package common

import (
	"zombiezen.com/go/sqlite"
	"zombiezen.com/go/sqlite/sqlitex"
)

// Represents a character color.
type CharColor struct {
	ID          int64  `db:"id"`
	CharacterID int32  `db:"character_id"`
	SignedValue int8   `db:"signed_value"`
	Type        string `db:"type"`
	Red         int16  `db:"red"`
	Green       int16  `db:"green"`
	Blue        int16  `db:"blue"`
}

// Creates the character colors table.
func CreateCharColorsTable(conn *sqlite.Conn) error {
	return sqlitex.ExecScript(conn, `
		CREATE TABLE IF NOT EXISTS char_colors (
			id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
			character_id INTEGER NOT NULL,
			signed_value INTEGER NOT NULL DEFAULT 0,
			type TEXT NOT NULL,
			red INTEGER NOT NULL DEFAULT 0,
			green INTEGER NOT NULL DEFAULT 0,
			blue INTEGER NOT NULL DEFAULT 0
		);

		CREATE INDEX IF NOT EXISTS CharID ON char_colors(character_id);
	`)
}
