package login

import (
	"zombiezen.com/go/sqlite"
	"zombiezen.com/go/sqlite/sqlitex"
)

// Represents a banned IP address for login attempts.
type BannedIP struct {
	ID int64  `db:"id"`
	IP string `db:"ip"`
}

// Creates the banned_ips table if it does not exist.
func CreateBannedIPsTable(conn *sqlite.Conn) error {
	return sqlitex.ExecScript(conn, `
		CREATE TABLE IF NOT EXISTS banned_ips (
			id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
			ip TEXT NOT NULL DEFAULT ''
		);
	`)
}
