package login

import (
	"zombiezen.com/go/sqlite"
	"zombiezen.com/go/sqlite/sqlitex"
)

// Represents a login server character picture.
type LSCharacterPicture struct {
	ID          int64  `db:"id"`
	ServerID    int32  `db:"server_id"`
	AccountID   int32  `db:"account_id"`
	CharacterID int32  `db:"character_id"`
	Picture     string `db:"picture"`
}

// Creates the login server character picture table.
func CreateLSCharacterPictureTable(conn *sqlite.Conn) error {
	return sqlitex.ExecScript(conn, `
		CREATE TABLE IF NOT EXISTS ls_character_picture (
			id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
			server_id INTEGER NOT NULL,
			account_id INTEGER NOT NULL,
			character_id INTEGER NOT NULL,
			picture TEXT NOT NULL,
			UNIQUE(character_id, server_id, account_id)
		);
	`)
}
