DROP TABLE IF EXISTS opcodes;
CREATE TABLE opcodes (
	id                   INTEGER PRIMARY KEY,
	version_range1       INTEGER NOT NULL DEFAULT 0,
	version_range2       INTEGER NOT NULL DEFAULT 0,
	name                 TEXT NOT NULL DEFAULT '',
	opcode               INTEGER NOT NULL DEFAULT 0,
	table_data_version   INTEGER NOT NULL DEFAULT 1,
	UNIQUE(version_range1, name, version_range2)
);

INSERT INTO opcodes VALUES
(1,562,838,'OP_LoginRequestMsg',0,1),
(2,562,838,'OP_LoginByNumRequestMsg',1,1),
(3,562,838,'OP_WSLoginRequestMsg',2,1),
(4,562,838,'OP_ESLoginRequestMsg',3,1),
(5,562,838,'OP_LoginReplyMsg',4,1),
(6,562,838,'OP_WSStatusReplyMsg',5,1),
(7,562,838,'OP_WorldStatusChangeMsg',6,1),
(8,562,838,'OP_AllWSDescRequestMsg',7,1),
(9,562,838,'OP_WorldListMsg',8,1),
(10,562,838,'OP_AllCharactersDescRequestMsg',9,1),
(11,562,838,'OP_AllCharactersDescReplyMsg',10,1),
(12,562,838,'OP_CreateCharacterRequestMsg',11,1),
(13,562,838,'OP_CreateCharacterReplyMsg',12,1),
(14,562,838,'OP_WSCreateCharacterRequestMsg',13,1),
(15,562,838,'OP_WSCreateCharacterReplyMsg',14,1),
(16,562,838,'OP_ReskinCharacterRequestMsg',15,1),
(17,562,838,'OP_DeleteCharacterRequestMsg',16,1),
(18,562,838,'OP_DeleteCharacterReplyMsg',17,1),
(19,562,838,'OP_PlayCharacterRequestMsg',18,1),
(20,562,838,'OP_PlayCharacterReplyMsg',19,1),
(21,562,838,'OP_ExpectClientAsCharacterReplyMs',22,1),
(22,562,838,'OP_ServerPlayCharacterRequestMsg',23,1),
(23,562,838,'OP_ServerPlayCharacterReplyMsg',24,1),
(24,562,838,'OP_ESInitMsg',25,1),
(25,562,838,'OP_ESReadyForClientsMsg',26,1),
(26,562,838,'OP_CreateZoneInstanceMsg',27,1),
(27,562,838,'OP_ZoneInstanceCreateReplyMsg',28,1),
(28,562,838,'OP_ZoneInstanceDestroyedMsg',29,1),
(29,562,838,'OP_ExpectClientAsCharacterRequest',30,1),
(30,562,838,'OP_ZoneInfoMsg',31,1),
(31,562,838,'OP_DoneLoadingZoneResourcesMsg',32,1),
(32,562,838,'OP_DoneSendingInitialEntitiesMsg',33,1),
(33,562,838,'OP_DoneLoadingEntityResourcesMsg',34,1),
(34,562,838,'OP_PredictionUpdateMsg',35,1),
(35,562,838,'OP_UpdatePositionMsg',36,1),
(36,562,838,'OP_SetRemoteCmdsMsg',37,1),
(37,562,838,'OP_RemoteCmdMsg',38,1),
(38,562,838,'OP_GameWorldTimeMsg',39,1),
(39,562,838,'OP_MOTDMsg',40,1),
(40,562,838,'OP_ZoneMOTDMsg',41,1),
(41,562,838,'OP_AvatarCreatedMsg',42,1),
(42,562,838,'OP_AvatarDestroyedMsg',43,1),
(43,562,838,'OP_RequestCampMsg',45,1),
(44,562,838,'OP_CampStartedMsg',46,1),
(45,562,838,'OP_CampAbortedMsg',47,1),
(46,562,838,'OP_WhoQueryRequestMsg',48,1),
(47,562,838,'OP_WhoQueryReplyMsg',49,1),
(48,562,838,'OP_MonitorReplyMsg',50,1),
(49,562,838,'OP_Unknown_51',51,1),
(50,562,838,'OP_MonitorCharacterListRequestMsg',52,1),
(51,562,838,'OP_ClientCmdMsg',53,1),
(52,562,838,'OP_DispatchESMsg',54,1),
(53,562,838,'OP_DispatchClientCmdMsg',55,1),
(54,562,838,'OP_UpdateTargetMsg',56,1),
(55,562,838,'OP_UpdateTargetLocMsg',57,1),
(56,562,838,'OP_UpdateCharacterSheetMsg',58,1),
(57,562,838,'OP_UpdateSpellBookMsg',59,1),
(58,562,838,'OP_UpdateInventoryMsg',61,1),
(59,562,838,'OP_UpdateRecipeBookMsg',63,1),
(60,562,838,'OP_RequestRecipeDetailsMsg',64,1),
(61,562,838,'OP_RecipeDetailsMsg',65,1),
(62,562,838,'OP_UpdateSkillBookMsg',66,1),
(63,562,838,'OP_UpdateSkillsMsg',67,1),
(64,562,838,'OP_UpdateOpportunityMsg',68,1),
(65,562,838,'OP_ChangeZoneMsg',70,1),
(66,562,838,'OP_ClientTeleportRequestMsg',71,1),
(67,562,838,'OP_TeleportWithinZoneMsg',72,1),
(68,562,838,'OP_TeleportWithinZoneNoReloadMsg',73,1),
(69,562,838,'OP_MigrateClientToZoneRequestMsg',74,1),
(70,562,838,'OP_MigrateClientToZoneReplyMsg',75,1),
(71,562,838,'OP_ReadyToZoneMsg',76,1),
(72,562,838,'OP_RemoveClientFromGroupMsg',77,1),
(73,562,838,'OP_RemoveGroupFromGroupMsg',78,1),
(74,562,838,'OP_MakeGroupLeaderMsg',79,1),
(75,562,838,'OP_GroupCreatedMsg',80,1),
(76,562,838,'OP_GroupDestroyedMsg',81,1),
(77,562,838,'OP_GroupMemberAddedMsg',82,1),
(78,562,838,'OP_GroupMemberRemovedMsg',83,1),
(79,562,838,'OP_GroupRemovedFromGroupMsg',84,1),
(80,562,838,'OP_GroupLeaderChangedMsg',85,1),
(81,562,838,'OP_GroupResendOOZDataMsg',86,1),
(82,562,838,'OP_GroupSettingsChangedMsg',87,1),
(83,562,838,'OP_OutOfZoneMemberDataMsg',88,1),
(84,562,838,'OP_SendLatestRequestMsg',89,1),
(85,562,838,'OP_ClearDataMsg',90,1),
(86,562,838,'OP_SetSocialMsg',91,1),
(87,562,838,'OP_ESStatusMsg',92,1),
(88,562,838,'OP_ESZoneInstanceStatusMsg',93,1),
(89,562,838,'OP_ZonesStatusRequestMsg',94,1),
(90,562,838,'OP_ZonesStatusMsg',95,1),
(91,562,838,'OP_ESWeatherRequestMsg',96,1),
(92,562,838,'OP_ESWeatherRequestEndMsg',97,1),
(93,562,838,'OP_DialogSelectMsg',98,1),
(94,562,838,'OP_DialogCloseMsg',99,1),
(95,562,838,'OP_RemoveSpellEffectMsg',100,1),
(96,562,838,'OP_RemoveConcentrationMsg',101,1),
(97,562,838,'OP_QuestJournalOpenMsg',104,1),
(98,562,838,'OP_QuestJournalInspectMsg',105,1),
(99,562,838,'OP_QuestJournalSetVisibleMsg',106,1),
(100,562,838,'OP_QuestJournalWaypointMsg',107,1),
(101,562,838,'OP_CreateGuildRequestMsg',108,1),
(102,562,838,'OP_CreateGuildReplyMsg',109,1),
(103,562,838,'OP_GuildsayMsg',110,1),
(104,562,838,'OP_GuildUpdateMsg',111,1),
(105,562,838,'OP_DeleteGuildMsg',112,1),
(106,562,838,'OP_FellowshipExpMsg',113,1),
(107,562,838,'OP_ConsignmentCloseStoreMsg',114,1),
(108,562,838,'OP_ConsignItemRequestMsg',115,1),
(109,562,838,'OP_ConsignItemResponseMsg',116,1),
(110,562,838,'OP_PurchaseConsignmentRequestMsg',117,1),
(111,562,838,'OP_HouseDeletedRemotelyMsg',118,1),
(112,562,838,'OP_UpdateHouseDataMsg',119,1),
(113,562,838,'OP_UpdateHouseAccessDataMsg',120,1),
(114,562,838,'OP_PlayerHouseBaseScreenMsg',121,1),
(115,562,838,'OP_PlayerHousePurchaseScreenMsg',122,1),
(116,562,838,'OP_PlayerHouseAccessUpdateMsg',123,1),
(117,562,838,'OP_PlayerHouseDisplayStatusMsg',124,1),
(118,562,838,'OP_PlayerHouseCloseUIMsg',125,1),
(119,562,838,'OP_BuyPlayerHouseMsg',126,1),
(120,562,838,'OP_BuyPlayerHouseTintMsg',127,1),
(121,562,838,'OP_CollectAllHouseItemsMsg',128,1),
(122,562,838,'OP_RelinquishHouseMsg',129,1),
(123,562,838,'OP_EnterHouseMsg',130,1),
(124,562,838,'OP_ExitHouseMsg',131,1),
(125,562,838,'OP_HouseDefaultAccessSetMsg',132,1),
(126,562,838,'OP_HouseAccessSetMsg',133,1),
(127,562,838,'OP_HouseAccessRemoveMsg',134,1),
(128,562,838,'OP_PayHouseUpkeepMsg',135,1),
(129,562,838,'OP_MoveableObjectPlacementCriteri',136,1),
(130,562,838,'OP_EnterMoveObjectModeMsg',137,1),
(131,562,838,'OP_PositionMoveableObject',138,1),
(132,562,838,'OP_CancelMoveObjectModeMsg',139,1),
(133,562,838,'OP_ShaderCustomizationMsg',140,1),
(134,562,838,'OP_ReplaceableSubMeshesMsg',141,1),
(135,562,838,'OP_HouseCustomizationScreenMsg',142,1),
(136,562,838,'OP_CustomizationPurchaseRequestMs',143,1),
(137,562,838,'OP_CustomizationSetRequestMsg',144,1),
(138,562,838,'OP_CustomizationReplyMsg',145,1),
(139,562,838,'OP_TintWidgetsMsg',146,1),
(140,562,838,'OP_ExamineConsignmentRequestMsg',147,1),
(141,562,838,'OP_ExamineConsignmentResponseMsg',148,1),
(142,562,838,'OP_UISettingsResponseMsg',149,1),
(143,562,838,'OP_UIResetMsg',150,1),
(144,562,838,'OP_KeymapLoadMsg',151,1),
(145,562,838,'OP_KeymapNoneMsg',152,1),
(146,562,838,'OP_KeymapDataMsg',153,1),
(147,562,838,'OP_KeymapSaveMsg',154,1),
(148,562,838,'OP_DispatchSpellCmdMsg',155,1),
(149,562,838,'OP_EntityVerbsRequestMsg',157,1),
(150,562,838,'OP_EntityVerbsReplyMsg',158,1),
(151,562,838,'OP_EntityVerbsVerbMsg',159,1),
(152,562,838,'OP_ChatRelationshipUpdateMsg',161,1),
(153,562,838,'OP_LootItemsRequestMsg',162,1),
(154,562,838,'OP_StoppedLootingMsg',163,1),
(155,562,838,'OP_SitMsg',164,1),
(156,562,838,'OP_StandMsg',165,1),
(157,562,838,'OP_SatMsg',166,1),
(158,562,838,'OP_StoodMsg',167,1),
(159,562,838,'OP_ClearForTakeOffMsg',168,1),
(160,562,838,'OP_ReadyForTakeOffMsg',169,1),
(161,562,838,'OP_ShowIllusionsMsg',170,1),
(162,562,838,'OP_HideIllusionsMsg',171,1),
(163,562,838,'OP_ExamineItemRequestMsg',172,1),
(164,562,838,'OP_ReadBookPageMsg',173,1),
(165,562,838,'OP_DefaultGroupOptionsRequestMsg',174,1),
(166,562,838,'OP_DefaultGroupOptionsMsg',175,1),
(167,562,838,'OP_GroupOptionsMsg',176,1),
(168,562,838,'OP_DisplayGroupOptionsScreenMsg',177,1),
(169,562,838,'OP_DisplayInnVisitScreenMsg',178,1),
(170,562,838,'OP_DumpSchedulerMsg',179,1),
(171,562,838,'OP_LSRequestPlayerDescMsg',180,1),
(172,562,838,'OP_LSCheckAcctLockMsg',181,1),
(173,562,838,'OP_WSAcctLockStatusMsg',182,1),
(174,562,838,'OP_RequestHelpRepathMsg',183,1),
(175,562,838,'OP_RequestTargetLocMsg',184,1),
(176,562,838,'OP_UpdateMotdMsg',185,1),
(177,562,838,'OP_PerformPlayerKnockbackMsg',186,1),
(178,562,838,'OP_PerformCameraShakeMsg',187,1),
(179,562,838,'OP_PopulateSkillMapsMsg',188,1),
(180,562,838,'OP_CancelledFeignMsg',190,1),
(181,562,838,'OP_SignalMsg',191,1),
(182,562,838,'OP_ShowCreateFromRecipeUIMsg',192,1),
(183,562,838,'OP_CancelCreateFromRecipeMsg',193,1),
(184,562,838,'OP_BeginItemCreationMsg',194,1),
(185,562,838,'OP_StopItemCreationMsg',195,1),
(186,562,838,'OP_ShowItemCreationProcessUIMsg',196,1),
(187,562,838,'OP_UpdateItemCreationProcessUIMsg',197,1),
(188,562,838,'OP_DisplayTSEventReactionMsg',198,1),
(189,562,838,'OP_ShowRecipeBookMsg',199,1),
(190,562,838,'OP_KnowledgebaseRequestMsg',200,1),
(191,562,838,'OP_KnowledgebaseResponseMsg',201,1),
(192,562,838,'OP_CSTicketHeaderRequestMsg',202,1),
(193,562,838,'OP_CSTicketInfoMsg',203,1),
(194,562,838,'OP_CSTicketCommentRequestMsg',204,1),
(195,562,838,'OP_CSTicketCommentResponseMsg',205,1),
(196,562,838,'OP_CSTicketCreateMsg',206,1),
(197,562,838,'OP_CSTicketAddCommentMsg',207,1),
(198,562,838,'OP_CSTicketDeleteMsg',208,1),
(199,562,838,'OP_CSTicketChangeNotificationMsg',209,1),
(200,562,838,'OP_WorldDataUpdateMsg',210,1),
(201,562,838,'OP_KnownLanguagesMsg',211,1),
(202,562,838,'OP_LsRequestClientCrashLogMsg',212,1),
(203,562,838,'OP_LsClientBaselogReplyMsg',213,1),
(204,562,838,'OP_LsClientCrashlogReplyMsg',214,1),
(205,562,838,'OP_LsClientAlertlogReplyMsg',215,1),
(206,562,838,'OP_LsClientVerifylogReplyMsg',216,1),
(207,562,838,'OP_ClientTeleportToLocationMsg',217,1),
(208,562,838,'OP_UpdateClientPredFlagsMsg',218,1),
(209,562,838,'OP_ChangeServerControlFlagMsg',219,1),
(210,562,838,'OP_CSToolsRequestMsg',220,1),
(211,562,838,'OP_CSToolsResponseMsg',221,1),
(212,562,838,'OP_AddSocialStructureStandingMsg',222,1),
(213,562,838,'OP_CreateBoatTransportsMsg',223,1),
(214,562,838,'OP_PositionBoatTransportMsg',224,1),
(215,562,838,'OP_MigrateBoatTransportMsg',225,1),
(216,562,838,'OP_MigrateBoatTransportReplyMsg',226,1),
(217,562,838,'OP_DisplayDebugNLLPointsMsg',227,1),
(218,562,838,'OP_ExamineInfoRequestMsg',228,1),
(219,562,838,'OP_QuickbarInitMsg',229,1),
(220,562,838,'OP_QuickbarUpdateMsg',230,1),
(221,562,838,'OP_MacroInitMsg',231,1),
(222,562,838,'OP_MacroUpdateMsg',232,1),
(223,562,838,'OP_QuestionnaireMsg',233,1),
(224,562,838,'OP_LevelChangedMsg',234,1),
(225,562,838,'OP_SpellGainedMsg',235,1),
(226,562,838,'OP_EncounterBrokenMsg',236,1),
(227,562,838,'OP_OnscreenMsgMsg',237,1),
(228,562,838,'OP_DisplayWarningMsg',238,1),
(229,562,838,'OP_ModifyGuildMsg',239,1),
(230,562,838,'OP_GuildEventMsg',240,1),
(231,562,838,'OP_GuildEventAddMsg',241,1),
(232,562,838,'OP_GuildEventActionMsg',242,1),
(233,562,838,'OP_GuildEventListMsg',243,1),
(234,562,838,'OP_RequestGuildEventDetailsMsg',244,1),
(235,562,838,'OP_GuildEventDetailsMsg',245,1),
(236,562,838,'OP_RequestGuildInfoMsg',246,1),
(237,562,838,'OP_GuildBankActionMsg',247,1),
(238,562,838,'OP_GuildBankActionResponseMsg',248,1),
(239,562,838,'OP_GuildBankItemDetailsRequestMsg',249,1),
(240,562,838,'OP_GuildBankItemDetailsResponseMs',250,1),
(241,562,838,'OP_GuildBankUpdateMsg',251,1),
(242,562,838,'OP_GuildBankEventListMsg',252,1),
(243,562,838,'OP_RequestGuildBankEventDetailsMs',253,1),
(244,562,838,'OP_RewardPackMsg',254,1),
(245,562,838,'OP_RenameGuildMsg',255,1),
(246,562,838,'OP_ZoneToFriendRequestMsg',257,1),
(247,562,838,'OP_ZoneToFriendReplyMsg',258,1),
(248,562,838,'OP_ChatCreateChannelMsg',259,1),
(249,562,838,'OP_ChatJoinChannelMsg',260,1),
(250,562,838,'OP_ChatWhoChannelMsg',261,1),
(251,562,838,'OP_ChatLeaveChannelMsg',262,1),
(252,562,838,'OP_ChatTellChannelMsg',263,1),
(253,562,838,'OP_ChatTellUserMsg',264,1),
(254,562,838,'OP_ChatToggleFriendMsg',265,1),
(255,562,838,'OP_ChatToggleIgnoreMsg',266,1),
(256,562,838,'OP_ChatSendFriendsMsg',267,1),
(257,562,838,'OP_ChatSendIgnoresMsg',268,1),
(258,562,838,'OP_QuestReward',294,1),
(259,562,838,'OP_ChatFiltersMsg',309,1),
(260,562,838,'OP_MailGetHeadersMsg',310,1),
(261,562,838,'OP_MailGetMessageMsg',311,1),
(262,562,838,'OP_MailSendMessageMsg',312,1),
(263,562,838,'OP_MailDeleteMessageMsg',313,1),
(264,562,838,'OP_MailGetHeadersReplyMsg',314,1),
(265,562,838,'OP_MailGetMessageReplyMsg',315,1),
(266,562,838,'OP_MailSendMessageReplyMsg',316,1),
(267,562,838,'OP_MailCommitSendMessageMsg',317,1),
(268,562,838,'OP_MailSendSystemMessageMsg',318,1),
(269,562,838,'OP_MailRemoveAttachFromMailMsg',319,1),
(270,562,838,'OP_WaypointRequestMsg',321,1),
(271,562,838,'OP_WaypointReplyMsg',322,1),
(272,562,838,'OP_WaypointSelectMsg',323,1),
(273,562,838,'OP_WaypointUpdateMsg',324,1),
(274,562,838,'OP_CharNameChangedMsg',325,1),
(275,562,838,'OP_ShowZoneTeleporterDestinations',326,1),
(276,562,838,'OP_SelectZoneTeleporterDestinatio',327,1),
(277,562,838,'OP_ReloadLocalizedTxtMsg',328,1),
(278,562,838,'OP_RequestGuildMembershipMsg',329,1),
(279,562,838,'OP_GuildMembershipResponseMsg',330,1),
(280,562,838,'OP_LeaveGuildNotifyMsg',331,1),
(281,562,838,'OP_JoinGuildNotifyMsg',332,1),
(282,562,838,'OP_AvatarUpdateMsg',334,1),
(283,562,838,'OP_BioUpdateMsg',335,1),
(284,562,838,'OP_InspectPlayerMsg',336,1),
(285,562,838,'OP_WSServerLockMsg',337,1),
(286,562,838,'OP_LSServerLockMsg',338,1),
(287,562,838,'OP_WSServerHideMsg',339,1),
(288,562,838,'OP_CsCategoryRequestMsg',340,1),
(289,562,838,'OP_CsCategoryResponseMsg',341,1),
(290,562,838,'OP_KnowledgeWindowSlotMappingMsg',342,1),
(291,562,838,'OP_LFGUpdateMsg',343,1),
(292,562,838,'OP_AFKUpdateMsg',344,1),
(293,562,838,'OP_AnonUpdateMsg',345,1),
(294,562,838,'OP_UpdateActivePublicZonesMsg',346,1),
(295,562,838,'OP_UnknownNpcMsg',347,1),
(296,562,838,'OP_PromoFlagsDetailsMsg',348,1),
(297,562,838,'OP_ConsignViewCreateMsg',349,1),
(298,562,838,'OP_ConsignViewGetPageMsg',350,1),
(299,562,838,'OP_ConsignViewReleaseMsg',351,1),
(300,562,838,'OP_ConsignRemoveItemsMsg',352,1),
(301,562,838,'OP_UpdateDebugRadiiMsg',353,1),
(302,562,838,'OP_SnoopMsg',354,1),
(303,562,838,'OP_ReportMsg',355,1),
(304,562,838,'OP_UpdateRaidMsg',356,1),
(305,562,838,'OP_ConsignViewSortMsg',357,1),
(306,562,838,'OP_TitleUpdateMsg',358,1),
(307,562,838,'OP_ClientFellMsg',359,1),
(308,562,838,'OP_ClientInDeathRegionMsg',360,1),
(309,562,838,'OP_CampClientMsg',361,1),
(310,562,838,'OP_CSToolAccessResponseMsg',362,1),
(311,562,838,'OP_TrackingUpdateMsg',363,1),
(312,562,838,'OP_BeginTrackingMsg',364,1),
(313,562,838,'OP_StopTrackingMsg',365,1),
(314,562,838,'OP_GetAvatarAccessRequestForCSToo',366,1),
(315,562,838,'OP_AdvancementRequestMsg',367,1),
(316,562,838,'OP_UpdateAvgFrameTimeMsg',368,1),
(317,562,838,'OP_MapFogDataInitMsg',369,1),
(318,562,838,'OP_MapFogDataUpdateMsg',370,1),
(319,562,838,'OP_CloseGroupInviteWindowMsg',371,1),
(320,562,838,'OP_UpdateGroupMemberDataMsg',372,1),
(321,562,838,'OP_WorldPingMsg',373,1),
(322,562,838,'OP_MoveLogUpdateMsg',374,1),
(323,562,838,'OP_OfferQuestMsg',375,1),
(324,562,838,'OP_WorldShutdownUpdateMsg',376,1),
(325,562,838,'OP_DisplayMailScreenMsg',377,1),
(326,562,838,'OP_ClientIdleBeginMsg',378,1),
(327,562,838,'OP_ClientIdleEndMsg',379,1),
(328,562,838,'OP_PurchaseConsignmentLoreCheckRe',380,1),
(329,562,838,'OP_NotifyApprenticeStoppedMentori',381,1),
(330,562,838,'OP_CorruptedClientMsg',382,1),
(331,562,838,'OP_WorldDataChangeMsg',383,1),
(332,562,838,'OP_MailEventNotificationMsg',384,1),
(333,562,838,'OP_RestartZoneMsg',385,1),
(334,562,838,'OP_FlightPathsMsg',386,1),
(335,562,838,'OP_CharacterLinkdeadMsg',387,1),
(336,562,838,'OP_CharTransferStartRequestMsg',388,1),
(337,562,838,'OP_CharTransferStartReplyMsg',389,1),
(338,562,838,'OP_CharTransferRequestMsg',390,1),
(339,562,838,'OP_CharTransferReplyMsg',391,1),
(340,562,838,'OP_CharTransferRollbackRequestMsg',392,1),
(341,562,838,'OP_CharTransferCommitRequestMsg',393,1),
(342,562,838,'OP_CharTransferRollbackReplyMsg',394,1),
(343,562,838,'OP_CharTransferCommitReplyMsg',395,1),
(344,562,838,'OP_GetCharacterSerializedRequestM',396,1),
(345,562,838,'OP_GetCharacterSerializedReplyMsg',397,1),
(346,562,838,'OP_CreateCharFromCBBRequestMsg',398,1),
(347,562,838,'OP_CreateCharFromCBBReplyMsg',399,1),
(348,562,838,'OP_HousingDataChangedMsg',400,1),
(349,562,838,'OP_HousingRestoreMsg',401,1),
(350,562,838,'OP_AuctionItem',402,1),
(351,562,838,'OP_AuctionItemReply',403,1),
(352,562,838,'OP_AuctionCoin',404,1),
(353,562,838,'OP_AuctionCoinReply',405,1),
(354,562,838,'OP_AuctionCharacter',406,1),
(355,562,838,'OP_AuctionCharacterReply',407,1),
(356,562,838,'OP_AuctionCommitMsg',408,1),
(357,562,838,'OP_AuctionAbortMsg',409,1),
(358,562,838,'OP_CharTransferValidateRequestMsg',410,1),
(359,562,838,'OP_CharTransferValidateReplyMsg',411,1),
(360,562,838,'OP_RaceRestrictionMsg',412,1),
(361,562,838,'OP_SetInstanceDisplayNameMsg',413,1),
(362,562,838,'OP_GetAuctionAssetIDMsg',414,1),
(363,562,838,'OP_GetAuctionAssetIDReplyMsg',415,1),
(364,562,838,'OP_ResendWorldChannelsMsg',416,1),
(365,562,838,'OP_DisplayExchangeScreenMsg',417,1),
(366,562,838,'OP_ArenaGameTypesMsg',418,1),
(367,562,838,'OP_AuditAuctionEventMsg',420,1),
(368,562,838,'OP_InviteRequestMsg',422,1),
(369,562,838,'OP_InviteResponseMsg',423,1),
(370,562,838,'OP_InviteTargetResponseMsg',424,1),
(371,562,838,'OP_InspectPlayerRequestMsg',425,1),
(372,562,838,'OP_DispatchMsg',426,1),
(373,562,838,'OP_DisplayEventMsg',427,1),
(374,562,838,'OP_PrePossessionMsg',428,1),
(375,562,838,'OP_PostPossessionMsg',429,1),
(376,562,838,'OP_AdventureList',454,1),
(377,562,838,'OP_CancelSpellCast',455,1),
(378,562,838,'OP_UpdateTitleCmd',461,1),
(379,562,838,'OP_AttackAllowed',467,1),
(380,562,838,'OP_AttackNotAllowed',468,1),
(381,562,838,'OP_DressingRoom',474,1),
(382,562,838,'OP_SkillInfoRequest',478,1),
(383,562,838,'OP_SkillInfoResponse',479,1),
(384,562,838,'OP_EqHearChatCmd',480,1),
(385,562,838,'OP_EqDisplayTextCmd',481,1),
(386,562,838,'OP_EqCreateGhostCmd',482,1),
(387,562,838,'OP_EqCreateWidgetCmd',483,1),
(388,562,838,'OP_EqCreateSignWidgetCmd',484,1),
(389,562,838,'OP_EqDestroyGhostCmd',485,1),
(390,562,838,'OP_EqUpdateGhostCmd',486,1),
(391,562,838,'OP_EqSetControlGhostCmd',487,1),
(392,562,838,'OP_EqSetPOVGhostCmd',488,1),
(393,562,838,'OP_EqHearCombatCmd',489,1),
(394,562,838,'OP_EqHearSpellCastCmd',490,1),
(395,562,838,'OP_EqHearSpellInterruptCmd',493,1),
(396,562,838,'OP_EqHearSpellFizzleCmd',494,1),
(397,562,838,'OP_EqHearConsiderCmd',495,1),
(398,562,838,'OP_EqUpdateSubClassesCmd',496,1),
(399,562,838,'OP_EqCreateListBoxCmd',497,1),
(400,562,838,'OP_EqSetDebugPathPointsCmd',498,1),
(401,562,838,'OP_EqCannedEmoteCmd',500,1),
(402,562,838,'OP_EqStateCmd',501,1),
(403,562,838,'OP_EqPlaySoundCmd',502,1),
(404,562,838,'OP_EqPlaySound3DCmd',503,1),
(405,562,838,'OP_EqPlayVoiceCmd',504,1),
(406,562,838,'OP_EqHearDrowningCmd',505,1),
(407,562,838,'OP_EqHearDeathCmd',506,1),
(408,562,838,'OP_EqGroupMemberRemovedCmd',507,1),
(409,562,838,'OP_EqHearChainEffectCmd',508,1),
(410,562,838,'OP_EqReceiveOfferCmd',509,1),
(411,562,838,'OP_EqInspectPCResultsCmd',510,1),
(412,562,838,'OP_EqDrawablePathGraphCmd',511,1),
(413,562,838,'OP_EqDialogOpenCmd',512,1),
(414,562,838,'OP_EqDialogCloseCmd',513,1),
(415,562,838,'OP_EqFactionUpdateCmd',514,1),
(416,562,838,'OP_EqCollectionUpdateCmd',515,1),
(417,562,838,'OP_EqCollectionFilterCmd',516,1),
(418,562,838,'OP_EqCollectionItemCmd',517,1),
(419,562,838,'OP_EqQuestJournalUpdateCmd',518,1),
(420,562,838,'OP_EqQuestJournalReplyCmd',520,1),
(421,562,838,'OP_EqQuestGroupCmd',521,1),
(422,562,838,'OP_EqUpdateMerchantCmd',522,1),
(423,562,838,'OP_EqUpdateStoreCmd',523,1),
(424,562,838,'OP_EqUpdatePlayerTradeCmd',524,1),
(425,562,838,'OP_EqHelpPathCmd',525,1),
(426,562,838,'OP_EqHelpPathClearCmd',526,1),
(427,562,838,'OP_EqUpdateBankCmd',527,1),
(428,562,838,'OP_EqExamineInfoCmd',528,1),
(429,562,838,'OP_EqCloseWindowCmd',529,1),
(430,562,838,'OP_EqUpdateLootCmd',530,1),
(431,562,838,'OP_EqJunctionListCmd',531,1),
(432,562,838,'OP_EqShowDeathWindowCmd',532,1),
(433,562,838,'OP_EqDisplaySpellFailCmd',533,1),
(434,562,838,'OP_EqSpellCastStartCmd',534,1),
(435,562,838,'OP_EqSpellCastEndCmd',535,1),
(436,562,838,'OP_EqResurrectedCmd',536,1),
(437,562,838,'OP_EqChoiceWinCmd',537,1),
(438,562,838,'OP_EqSetDefaultVerbCmd',538,1),
(439,562,838,'OP_EqInstructionWindowCmd',540,1),
(440,562,838,'OP_EqInstructionWindowCloseCmd',541,1),
(441,562,838,'OP_EqInstructionWindowGoalCmd',542,1),
(442,562,838,'OP_EqInstructionWindowTaskCmd',543,1),
(443,562,838,'OP_EqEnableGameEventCmd',544,1),
(444,562,838,'OP_EqShowWindowCmd',545,1),
(445,562,838,'OP_EqEnableWindowCmd',546,1),
(446,562,838,'OP_EqFlashWindowCmd',547,1),
(447,562,838,'OP_EqHearPlayFlavorCmd',548,1),
(448,562,838,'OP_EqUpdateSignWidgetCmd',550,1),
(449,562,838,'OP_EqDebugPVDCmd',551,1),
(450,562,838,'OP_EqShowBookCmd',552,1),
(451,562,838,'OP_EqQuestionnaireCmd',553,1),
(452,562,838,'OP_EqGetProbsCmd',554,1),
(453,562,838,'OP_EqHearHealCmd',555,1),
(454,562,838,'OP_EqChatChannelUpdateCmd',556,1),
(455,562,838,'OP_EqWhoChannelQueryReplyCmd',557,1),
(456,562,838,'OP_EqAvailWorldChannelsCmd',558,1),
(457,562,838,'OP_EqUpdateTargetCmd',559,1),
(458,562,838,'OP_EqConsignmentItemsCmd',561,1),
(459,562,838,'OP_EqStartBrokerCmd',563,1),
(460,562,838,'OP_EqMapExplorationCmd',564,1),
(461,562,838,'OP_EqStoreLogCmd',565,1),
(462,562,838,'OP_EqSpellMoveToRangeAndRetryCmd',566,1),
(463,562,838,'OP_EqUpdatePlayerMailCmd',567,1),
(464,562,838,'OP_EqArenaResultsCmd',568,1),
(465,562,838,'OP_EqGuildBankEventActionCmd',569,1),
(466,562,838,'OP_EqGuildBankExamineInfoCmd',570,1),
(467,562,838,'OP_EqHearSpellNoLandCmd',571,1),
(468,562,838,'OP_Lottery',572,1),
(469,562,838,'OP_GuildRecruitingMemberInfo',573,1),
(470,562,838,'OP_GuildRecruiting',574,1),
(471,562,838,'OP_GuildRecruitingDetails',575,1),
(472,562,838,'OP_GuildRecruitingImage',576,1),
(473,562,838,'OP_PointOfInterest',597,1),
(474,562,838,'OP_TraitsList',599,1),
(475,562,838,'OP_RecipeList',608,1),
(476,562,838,'OP_CharacterAchievements',655,1),
(477,562,838,'OP_AddClientToGroupMsg',999,1),
(478,562,838,'OP_AddGroupToGroupMsg',999,1),
(479,562,838,'OP_GuildKickMsg',999,1),
(480,562,838,'OP_PurchaseConsignmentResponseMsg',999,1),
(481,562,838,'OP_ProcessScriptMsg',999,1),
(482,562,838,'OP_ProcessWorkspaceMsg',999,1),
(483,562,838,'OP_QuickbarAddMsg',999,1),
(484,562,838,'OP_SkillSlotMapping',999,1),
(485,562,838,'OP_MapRequest',999,1),
(486,562,838,'OP_BadLanguageFilter',999,1),
(487,562,838,'OP_Unknown',10000,1),
(488,562,838,'OP_WSWeatherUpdateMsg',10012,1),
(977,908,927,'OP_LoginRequestMsg',0,1),
(978,908,927,'OP_LoginByNumRequestMsg',1,1),
(979,908,927,'OP_WSLoginRequestMsg',2,1),
(980,908,927,'OP_ESLoginRequestMsg',3,1),
(981,908,927,'OP_LoginReplyMsg',4,1),
(982,908,927,'OP_WSStatusReplyMsg',5,1),
(983,908,927,'OP_WorldStatusChangeMsg',6,1),
(984,908,927,'OP_AllWSDescRequestMsg',7,1),
(985,908,927,'OP_WorldListMsg',8,1),
(986,908,927,'OP_AllCharactersDescRequestMsg',9,1),
(987,908,927,'OP_AllCharactersDescReplyMsg',10,1),
(988,908,927,'OP_CreateCharacterRequestMsg',11,1),
(989,908,927,'OP_CreateCharacterReplyMsg',12,1),
(990,908,927,'OP_WSCreateCharacterRequestMsg',13,1),
(991,908,927,'OP_WSCreateCharacterReplyMsg',14,1),
(992,908,927,'OP_ReskinCharacterRequestMsg',15,1),
(993,908,927,'OP_DeleteCharacterRequestMsg',16,1),
(994,908,927,'OP_DeleteCharacterReplyMsg',17,1),
(995,908,927,'OP_PlayCharacterRequestMsg',18,1),
(996,908,927,'OP_PlayCharacterReplyMsg',19,1),
(997,908,927,'OP_ExpectClientAsCharacterReplyMs',22,1),
(998,908,927,'OP_ServerPlayCharacterRequestMsg',23,1),
(999,908,927,'OP_ServerPlayCharacterReplyMsg',24,1),
(1000,908,927,'OP_ESInitMsg',25,1),
(1001,908,927,'OP_ESReadyForClientsMsg',26,1),
(1002,908,927,'OP_CreateZoneInstanceMsg',27,1),
(1003,908,927,'OP_ZoneInstanceCreateReplyMsg',28,1),
(1004,908,927,'OP_ZoneInstanceDestroyedMsg',29,1),
(1005,908,927,'OP_ExpectClientAsCharacterRequest',30,1),
(1006,908,927,'OP_ZoneInfoMsg',31,1),
(1007,908,927,'OP_DoneLoadingZoneResourcesMsg',32,1),
(1008,908,927,'OP_DoneSendingInitialEntitiesMsg',33,1),
(1009,908,927,'OP_DoneLoadingEntityResourcesMsg',34,1),
(1010,908,927,'OP_PredictionUpdateMsg',35,1),
(1011,908,927,'OP_UpdatePositionMsg',37,1),
(1012,908,927,'OP_SetRemoteCmdsMsg',39,1),
(1013,908,927,'OP_RemoteCmdMsg',40,1),
(1014,908,927,'OP_GameWorldTimeMsg',41,1),
(1015,908,927,'OP_MOTDMsg',42,1),
(1016,908,927,'OP_ZoneMOTDMsg',43,1),
(1017,908,927,'OP_AvatarCreatedMsg',44,1),
(1018,908,927,'OP_AvatarDestroyedMsg',45,1),
(1019,908,927,'OP_RequestCampMsg',47,1),
(1020,908,927,'OP_CampStartedMsg',48,1),
(1021,908,927,'OP_CampAbortedMsg',49,1),
(1022,908,927,'OP_WhoQueryRequestMsg',50,1),
(1023,908,927,'OP_WhoQueryReplyMsg',51,1),
(1024,908,927,'OP_MonitorReplyMsg',52,1),
(1025,908,927,'OP_MonitorCharacterListMsg',53,1),
(1026,908,927,'OP_MonitorCharacterListRequestMsg',54,1),
(1027,908,927,'OP_ClientCmdMsg',55,1),
(1028,908,927,'OP_DispatchESMsg',56,1),
(1029,908,927,'OP_DispatchClientCmdMsg',57,1),
(1030,908,927,'OP_UpdateTargetMsg',58,1),
(1031,908,927,'OP_UpdateTargetLocMsg',59,1),
(1032,908,927,'OP_UpdateCharacterSheetMsg',60,1),
(1033,908,927,'OP_UpdateSpellBookMsg',61,1),
(1034,908,927,'OP_UpdateInventoryMsg',63,1),
(1035,908,927,'OP_UpdateRecipeBookMsg',65,1),
(1036,908,927,'OP_RequestRecipeDetailsMsg',66,1),
(1037,908,927,'OP_RecipeDetailsMsg',67,1),
(1038,908,927,'OP_UpdateSkillBookMsg',68,1),
(1039,908,927,'OP_UpdateSkillsMsg',69,1),
(1040,908,927,'OP_UpdateOpportunityMsg',70,1),
(1041,908,927,'OP_ChangeZoneMsg',72,1),
(1042,908,927,'OP_ClientTeleportRequestMsg',73,1),
(1043,908,927,'OP_TeleportWithinZoneMsg',74,1),
(1044,908,927,'OP_TeleportWithinZoneNoReloadMsg',75,1),
(1045,908,927,'OP_MigrateClientToZoneRequestMsg',76,1),
(1046,908,927,'OP_MigrateClientToZoneReplyMsg',77,1),
(1047,908,927,'OP_ReadyToZoneMsg',78,1),
(1048,908,927,'OP_RemoveClientFromGroupMsg',79,1),
(1049,908,927,'OP_RemoveGroupFromGroupMsg',80,1),
(1050,908,927,'OP_MakeGroupLeaderMsg',81,1),
(1051,908,927,'OP_GroupCreatedMsg',82,1),
(1052,908,927,'OP_GroupDestroyedMsg',83,1),
(1053,908,927,'OP_GroupMemberAddedMsg',84,1),
(1054,908,927,'OP_GroupMemberRemovedMsg',85,1),
(1055,908,927,'OP_GroupRemovedFromGroupMsg',86,1),
(1056,908,927,'OP_GroupLeaderChangedMsg',87,1),
(1057,908,927,'OP_GroupResendOOZDataMsg',88,1),
(1058,908,927,'OP_GroupSettingsChangedMsg',89,1),
(1059,908,927,'OP_OutOfZoneMemberDataMsg',90,1),
(1060,908,927,'OP_SendLatestRequestMsg',91,1),
(1061,908,927,'OP_ClearDataMsg',92,1),
(1062,908,927,'OP_SetSocialMsg',93,1),
(1063,908,927,'OP_ESStatusMsg',94,1),
(1064,908,927,'OP_ESZoneInstanceStatusMsg',95,1),
(1065,908,927,'OP_ZonesStatusRequestMsg',96,1),
(1066,908,927,'OP_ZonesStatusMsg',97,1),
(1067,908,927,'OP_ESWeatherRequestMsg',98,1),
(1068,908,927,'OP_ESWeatherRequestEndMsg',99,1),
(1069,908,927,'OP_DialogSelectMsg',102,1),
(1070,908,927,'OP_DialogCloseMsg',103,1),
(1071,908,927,'OP_RemoveSpellEffectMsg',104,1),
(1072,908,927,'OP_RemoveConcentrationMsg',105,1),
(1073,908,927,'OP_QuestJournalOpenMsg',106,1),
(1074,908,927,'OP_QuestJournalInspectMsg',107,1),
(1075,908,927,'OP_QuestJournalSetVisibleMsg',108,1),
(1076,908,927,'OP_QuestJournalWaypointMsg',109,1),
(1077,908,927,'OP_CreateGuildRequestMsg',110,1),
(1078,908,927,'OP_CreateGuildReplyMsg',111,1),
(1079,908,927,'OP_GuildsayMsg',112,1),
(1080,908,927,'OP_GuildUpdateMsg',115,1),
(1081,908,927,'OP_DeleteGuildMsg',116,1),
(1082,908,927,'OP_FellowshipExpMsg',117,1),
(1083,908,927,'OP_ConsignmentCloseStoreMsg',118,1),
(1084,908,927,'OP_ConsignItemRequestMsg',119,1),
(1085,908,927,'OP_ConsignItemResponseMsg',120,1),
(1086,908,927,'OP_PurchaseConsignmentRequestMsg',121,1),
(1087,908,927,'OP_HouseDeletedRemotelyMsg',122,1),
(1088,908,927,'OP_UpdateHouseDataMsg',123,1),
(1089,908,927,'OP_UpdateHouseAccessDataMsg',124,1),
(1090,908,927,'OP_PlayerHouseBaseScreenMsg',125,1),
(1091,908,927,'OP_PlayerHousePurchaseScreenMsg',126,1),
(1092,908,927,'OP_PlayerHouseAccessUpdateMsg',127,1),
(1093,908,927,'OP_PlayerHouseDisplayStatusMsg',128,1),
(1094,908,927,'OP_PlayerHouseCloseUIMsg',129,1),
(1095,908,927,'OP_BuyPlayerHouseMsg',130,1),
(1096,908,927,'OP_BuyPlayerHouseTintMsg',131,1),
(1097,908,927,'OP_CollectAllHouseItemsMsg',132,1),
(1098,908,927,'OP_RelinquishHouseMsg',133,1),
(1099,908,927,'OP_EnterHouseMsg',134,1),
(1100,908,927,'OP_ExitHouseMsg',135,1),
(1101,908,927,'OP_HouseDefaultAccessSetMsg',136,1),
(1102,908,927,'OP_HouseAccessSetMsg',137,1),
(1103,908,927,'OP_HouseAccessRemoveMsg',138,1),
(1104,908,927,'OP_PayHouseUpkeepMsg',139,1),
(1105,908,927,'OP_MoveableObjectPlacementCriteri',141,1),
(1106,908,927,'OP_EnterMoveObjectModeMsg',142,1),
(1107,908,927,'OP_PositionMoveableObject',143,1),
(1108,908,927,'OP_CancelMoveObjectModeMsg',144,1),
(1109,908,927,'OP_ShaderCustomizationMsg',145,1),
(1110,908,927,'OP_ReplaceableSubMeshesMsg',146,1),
(1111,908,927,'OP_HouseCustomizationScreenMsg',147,1),
(1112,908,927,'OP_CustomizationPurchaseRequestMs',148,1),
(1113,908,927,'OP_CustomizationSetRequestMsg',149,1),
(1114,908,927,'OP_CustomizationReplyMsg',150,1),
(1115,908,927,'OP_TintWidgetsMsg',151,1),
(1116,908,927,'OP_ExamineConsignmentRequestMsg',152,1),
(1117,908,927,'OP_ExamineConsignmentResponseMsg',153,1),
(1118,908,927,'OP_UISettingsResponseMsg',154,1),
(1119,908,927,'OP_UIResetMsg',155,1),
(1120,908,927,'OP_KeymapLoadMsg',156,1),
(1121,908,927,'OP_KeymapNoneMsg',157,1),
(1122,908,927,'OP_KeymapDataMsg',158,1),
(1123,908,927,'OP_KeymapSaveMsg',159,1),
(1124,908,927,'OP_DispatchSpellCmdMsg',160,1),
(1125,908,927,'OP_EntityVerbsRequestMsg',162,1),
(1126,908,927,'OP_EntityVerbsReplyMsg',163,1),
(1127,908,927,'OP_EntityVerbsVerbMsg',164,1),
(1128,908,927,'OP_ChatRelationshipUpdateMsg',166,1),
(1129,908,927,'OP_LootItemsRequestMsg',167,1),
(1130,908,927,'OP_StoppedLootingMsg',168,1),
(1131,908,927,'OP_SitMsg',169,1),
(1132,908,927,'OP_StandMsg',170,1),
(1133,908,927,'OP_SatMsg',171,1),
(1134,908,927,'OP_StoodMsg',172,1),
(1135,908,927,'OP_ClearForTakeOffMsg',173,1),
(1136,908,927,'OP_ReadyForTakeOffMsg',174,1),
(1137,908,927,'OP_ShowIllusionsMsg',175,1),
(1138,908,927,'OP_HideIllusionsMsg',176,1),
(1139,908,927,'OP_ExamineItemRequestMsg',177,1),
(1140,908,927,'OP_ReadBookPageMsg',178,1),
(1141,908,927,'OP_DefaultGroupOptionsRequestMsg',179,1),
(1142,908,927,'OP_DefaultGroupOptionsMsg',180,1),
(1143,908,927,'OP_GroupOptionsMsg',181,1),
(1144,908,927,'OP_DisplayGroupOptionsScreenMsg',182,1),
(1145,908,927,'OP_DisplayInnVisitScreenMsg',183,1),
(1146,908,927,'OP_DumpSchedulerMsg',184,1),
(1147,908,927,'OP_LSRequestPlayerDescMsg',185,1),
(1148,908,927,'OP_LSCheckAcctLockMsg',186,1),
(1149,908,927,'OP_WSAcctLockStatusMsg',187,1),
(1150,908,927,'OP_RequestHelpRepathMsg',188,1),
(1151,908,927,'OP_RequestTargetLocMsg',189,1),
(1152,908,927,'OP_UpdateMotdMsg',190,1),
(1153,908,927,'OP_PerformPlayerKnockbackMsg',191,1),
(1154,908,927,'OP_PerformCameraShakeMsg',192,1),
(1155,908,927,'OP_PopulateSkillMapsMsg',195,1),
(1156,908,927,'OP_CancelledFeignMsg',197,1),
(1157,908,927,'OP_SignalMsg',198,1),
(1158,908,927,'OP_ShowCreateFromRecipeUIMsg',199,1),
(1159,908,927,'OP_CancelCreateFromRecipeMsg',200,1),
(1160,908,927,'OP_BeginItemCreationMsg',201,1),
(1161,908,927,'OP_StopItemCreationMsg',202,1),
(1162,908,927,'OP_ShowItemCreationProcessUIMsg',203,1),
(1163,908,927,'OP_UpdateItemCreationProcessUIMsg',204,1),
(1164,908,927,'OP_DisplayTSEventReactionMsg',205,1),
(1165,908,927,'OP_ShowRecipeBookMsg',206,1),
(1166,908,927,'OP_KnowledgebaseRequestMsg',207,1),
(1167,908,927,'OP_KnowledgebaseResponseMsg',208,1),
(1168,908,927,'OP_CSTicketHeaderRequestMsg',209,1),
(1169,908,927,'OP_CSTicketInfoMsg',210,1),
(1170,908,927,'OP_CSTicketCommentRequestMsg',211,1),
(1171,908,927,'OP_CSTicketCommentResponseMsg',212,1),
(1172,908,927,'OP_CSTicketCreateMsg',213,1),
(1173,908,927,'OP_CSTicketAddCommentMsg',214,1),
(1174,908,927,'OP_CSTicketDeleteMsg',215,1),
(1175,908,927,'OP_CSTicketChangeNotificationMsg',216,1),
(1176,908,927,'OP_WorldDataUpdateMsg',217,1),
(1177,908,927,'OP_KnownLanguagesMsg',218,1),
(1178,908,927,'OP_LsRequestClientCrashLogMsg',219,1),
(1179,908,927,'OP_LsClientBaselogReplyMsg',220,1),
(1180,908,927,'OP_LsClientCrashlogReplyMsg',221,1),
(1181,908,927,'OP_LsClientAlertlogReplyMsg',222,1),
(1182,908,927,'OP_LsClientVerifylogReplyMsg',223,1),
(1183,908,927,'OP_ClientTeleportToLocationMsg',224,1),
(1184,908,927,'OP_UpdateClientPredFlagsMsg',225,1),
(1185,908,927,'OP_ChangeServerControlFlagMsg',226,1),
(1186,908,927,'OP_CSToolsRequestMsg',227,1),
(1187,908,927,'OP_CSToolsResponseMsg',228,1),
(1188,908,927,'OP_AddSocialStructureStandingMsg',229,1),
(1189,908,927,'OP_CreateBoatTransportsMsg',230,1),
(1190,908,927,'OP_PositionBoatTransportMsg',231,1),
(1191,908,927,'OP_MigrateBoatTransportMsg',232,1),
(1192,908,927,'OP_MigrateBoatTransportReplyMsg',233,1),
(1193,908,927,'OP_DisplayDebugNLLPointsMsg',234,1),
(1194,908,927,'OP_ExamineInfoRequestMsg',235,1),
(1195,908,927,'OP_QuickbarInitMsg',236,1),
(1196,908,927,'OP_QuickbarUpdateMsg',237,1),
(1197,908,927,'OP_MacroInitMsg',238,1),
(1198,908,927,'OP_MacroUpdateMsg',239,1),
(1199,908,927,'OP_QuestionnaireMsg',240,1),
(1200,908,927,'OP_LevelChangedMsg',241,1),
(1201,908,927,'OP_SpellGainedMsg',242,1),
(1202,908,927,'OP_EncounterBrokenMsg',243,1),
(1203,908,927,'OP_OnscreenMsgMsg',244,1),
(1204,908,927,'OP_DisplayWarningMsg',245,1),
(1205,908,927,'OP_ModifyGuildMsg',246,1),
(1206,908,927,'OP_GuildEventMsg',247,1),
(1207,908,927,'OP_GuildEventAddMsg',248,1),
(1208,908,927,'OP_GuildEventActionMsg',249,1),
(1209,908,927,'OP_GuildEventListMsg',250,1),
(1210,908,927,'OP_RequestGuildEventDetailsMsg',251,1),
(1211,908,927,'OP_GuildEventDetailsMsg',252,1),
(1212,908,927,'OP_RequestGuildInfoMsg',253,1),
(1213,908,927,'OP_GuildBankActionMsg',254,1),
(1214,908,927,'OP_GuildBankActionResponseMsg',255,1),
(1215,908,927,'OP_GuildBankItemDetailsRequestMsg',256,1),
(1216,908,927,'OP_GuildBankItemDetailsResponseMs',257,1),
(1217,908,927,'OP_GuildBankUpdateMsg',258,1),
(1218,908,927,'OP_GuildBankEventListMsg',259,1),
(1219,908,927,'OP_RequestGuildBankEventDetailsMs',260,1),
(1220,908,927,'OP_RewardPackMsg',261,1),
(1221,908,927,'OP_RenameGuildMsg',262,1),
(1222,908,927,'OP_ZoneToFriendRequestMsg',264,1),
(1223,908,927,'OP_ZoneToFriendReplyMsg',265,1),
(1224,908,927,'OP_ChatCreateChannelMsg',266,1),
(1225,908,927,'OP_ChatJoinChannelMsg',267,1),
(1226,908,927,'OP_ChatWhoChannelMsg',268,1),
(1227,908,927,'OP_ChatLeaveChannelMsg',269,1),
(1228,908,927,'OP_ChatTellChannelMsg',270,1),
(1229,908,927,'OP_ChatTellUserMsg',271,1),
(1230,908,927,'OP_ChatToggleFriendMsg',272,1),
(1231,908,927,'OP_ChatToggleIgnoreMsg',273,1),
(1232,908,927,'OP_ChatSendFriendsMsg',274,1),
(1233,908,927,'OP_ChatSendIgnoresMsg',275,1),
(1234,908,927,'OP_QuestReward',302,1),
(1235,908,927,'OP_ChatFiltersMsg',317,1),
(1236,908,927,'OP_MailGetHeadersMsg',318,1),
(1237,908,927,'OP_MailGetMessageMsg',319,1),
(1238,908,927,'OP_MailSendMessageMsg',320,1),
(1239,908,927,'OP_MailDeleteMessageMsg',321,1),
(1240,908,927,'OP_MailGetHeadersReplyMsg',322,1),
(1241,908,927,'OP_MailGetMessageReplyMsg',323,1),
(1242,908,927,'OP_MailSendMessageReplyMsg',324,1),
(1243,908,927,'OP_MailCommitSendMessageMsg',325,1),
(1244,908,927,'OP_MailSendSystemMessageMsg',326,1),
(1245,908,927,'OP_MailRemoveAttachFromMailMsg',327,1),
(1246,908,927,'OP_WaypointRequestMsg',329,1),
(1247,908,927,'OP_WaypointReplyMsg',330,1),
(1248,908,927,'OP_WaypointSelectMsg',331,1),
(1249,908,927,'OP_WaypointUpdateMsg',332,1),
(1250,908,927,'OP_CharNameChangedMsg',333,1),
(1251,908,927,'OP_ShowZoneTeleporterDestinations',334,1),
(1252,908,927,'OP_SelectZoneTeleporterDestinatio',335,1),
(1253,908,927,'OP_ReloadLocalizedTxtMsg',336,1),
(1254,908,927,'OP_RequestGuildMembershipMsg',337,1),
(1255,908,927,'OP_GuildMembershipResponseMsg',338,1),
(1256,908,927,'OP_LeaveGuildNotifyMsg',339,1),
(1257,908,927,'OP_JoinGuildNotifyMsg',340,1),
(1258,908,927,'OP_AvatarUpdateMsg',342,1),
(1259,908,927,'OP_BioUpdateMsg',343,1),
(1260,908,927,'OP_InspectPlayerMsg',344,1),
(1261,908,927,'OP_WSServerLockMsg',345,1),
(1262,908,927,'OP_LSServerLockMsg',346,1),
(1263,908,927,'OP_WSServerHideMsg',347,1),
(1264,908,927,'OP_CsCategoryRequestMsg',348,1),
(1265,908,927,'OP_CsCategoryResponseMsg',349,1),
(1266,908,927,'OP_KnowledgeWindowSlotMappingMsg',350,1),
(1267,908,927,'OP_LFGUpdateMsg',351,1),
(1268,908,927,'OP_AFKUpdateMsg',352,1),
(1269,908,927,'OP_AnonUpdateMsg',353,1),
(1270,908,927,'OP_UpdateActivePublicZonesMsg',354,1),
(1271,908,927,'OP_UnknownNpcMsg',355,1),
(1272,908,927,'OP_PromoFlagsDetailsMsg',356,1),
(1273,908,927,'OP_ConsignViewCreateMsg',357,1),
(1274,908,927,'OP_ConsignViewGetPageMsg',358,1),
(1275,908,927,'OP_ConsignViewReleaseMsg',359,1),
(1276,908,927,'OP_ConsignRemoveItemsMsg',360,1),
(1277,908,927,'OP_UpdateDebugRadiiMsg',361,1),
(1278,908,927,'OP_SnoopMsg',362,1),
(1279,908,927,'OP_ReportMsg',363,1),
(1280,908,927,'OP_UpdateRaidMsg',364,1),
(1281,908,927,'OP_ConsignViewSortMsg',365,1),
(1282,908,927,'OP_TitleUpdateMsg',366,1),
(1283,908,927,'OP_ClientFellMsg',367,1),
(1284,908,927,'OP_ClientInDeathRegionMsg',368,1),
(1285,908,927,'OP_CampClientMsg',369,1),
(1286,908,927,'OP_CSToolAccessResponseMsg',370,1),
(1287,908,927,'OP_TrackingUpdateMsg',371,1),
(1288,908,927,'OP_BeginTrackingMsg',372,1),
(1289,908,927,'OP_StopTrackingMsg',373,1),
(1290,908,927,'OP_GetAvatarAccessRequestForCSToo',374,1),
(1291,908,927,'OP_AdvancementRequestMsg',375,1),
(1292,908,927,'OP_UpdateAvgFrameTimeMsg',376,1),
(1293,908,927,'OP_MapFogDataInitMsg',377,1),
(1294,908,927,'OP_MapFogDataUpdateMsg',378,1),
(1295,908,927,'OP_CloseGroupInviteWindowMsg',379,1),
(1296,908,927,'OP_UpdateGroupMemberDataMsg',380,1),
(1297,908,927,'OP_WorldPingMsg',381,1),
(1298,908,927,'OP_MoveLogUpdateMsg',382,1),
(1299,908,927,'OP_OfferQuestMsg',383,1),
(1300,908,927,'OP_WorldShutdownUpdateMsg',384,1),
(1301,908,927,'OP_DisplayMailScreenMsg',385,1),
(1302,908,927,'OP_ClientIdleBeginMsg',386,1),
(1303,908,927,'OP_ClientIdleEndMsg',387,1),
(1304,908,927,'OP_PurchaseConsignmentLoreCheckRe',388,1),
(1305,908,927,'OP_NotifyApprenticeStoppedMentori',389,1),
(1306,908,927,'OP_CorruptedClientMsg',390,1),
(1307,908,927,'OP_WorldDataChangeMsg',391,1),
(1308,908,927,'OP_MailEventNotificationMsg',392,1),
(1309,908,927,'OP_RestartZoneMsg',393,1),
(1310,908,927,'OP_FlightPathsMsg',394,1),
(1311,908,927,'OP_CharacterLinkdeadMsg',395,1),
(1312,908,927,'OP_CharTransferStartRequestMsg',396,1),
(1313,908,927,'OP_CharTransferStartReplyMsg',397,1),
(1314,908,927,'OP_CharTransferRequestMsg',398,1),
(1315,908,927,'OP_CharTransferReplyMsg',399,1),
(1316,908,927,'OP_CharTransferRollbackRequestMsg',400,1),
(1317,908,927,'OP_CharTransferCommitRequestMsg',401,1),
(1318,908,927,'OP_CharTransferRollbackReplyMsg',402,1),
(1319,908,927,'OP_CharTransferCommitReplyMsg',403,1),
(1320,908,927,'OP_GetCharacterSerializedRequestM',404,1),
(1321,908,927,'OP_GetCharacterSerializedReplyMsg',405,1),
(1322,908,927,'OP_CreateCharFromCBBRequestMsg',406,1),
(1323,908,927,'OP_CreateCharFromCBBReplyMsg',407,1),
(1324,908,927,'OP_HousingDataChangedMsg',408,1),
(1325,908,927,'OP_HousingRestoreMsg',409,1),
(1326,908,927,'OP_AuctionItem',410,1),
(1327,908,927,'OP_AuctionItemReply',411,1),
(1328,908,927,'OP_AuctionCoin',412,1),
(1329,908,927,'OP_AuctionCoinReply',413,1),
(1330,908,927,'OP_AuctionCharacter',414,1),
(1331,908,927,'OP_AuctionCharacterReply',415,1),
(1332,908,927,'OP_AuctionCommitMsg',416,1),
(1333,908,927,'OP_AuctionAbortMsg',417,1),
(1334,908,927,'OP_CharTransferValidateRequestMsg',418,1),
(1335,908,927,'OP_CharTransferValidateReplyMsg',419,1),
(1336,908,927,'OP_RaceRestrictionMsg',420,1),
(1337,908,927,'OP_SetInstanceDisplayNameMsg',421,1),
(1338,908,927,'OP_GetAuctionAssetIDMsg',422,1),
(1339,908,927,'OP_GetAuctionAssetIDReplyMsg',423,1),
(1340,908,927,'OP_ResendWorldChannelsMsg',424,1),
(1341,908,927,'OP_DisplayExchangeScreenMsg',425,1),
(1342,908,927,'OP_ArenaGameTypesMsg',426,1),
(1343,908,927,'OP_AuditAuctionEventMsg',428,1),
(1344,908,927,'OP_InviteRequestMsg',430,1),
(1345,908,927,'OP_InviteResponseMsg',431,1),
(1346,908,927,'OP_InviteTargetResponseMsg',432,1),
(1347,908,927,'OP_InspectPlayerRequestMsg',433,1),
(1348,908,927,'OP_DispatchMsg',434,1),
(1349,908,927,'OP_DisplayEventMsg',435,1),
(1350,908,927,'OP_PrePossessionMsg',436,1),
(1351,908,927,'OP_PostPossessionMsg',437,1),
(1352,908,927,'OP_AdventureList',462,1),
(1353,908,927,'OP_CancelSpellCast',463,1),
(1354,908,927,'OP_UpdateTitleCmd',469,1),
(1355,908,927,'OP_AttackAllowed',475,1),
(1356,908,927,'OP_AttackNotAllowed',476,1),
(1357,908,927,'OP_DressingRoom',482,1),
(1358,908,927,'OP_SkillInfoRequest',486,1),
(1359,908,927,'OP_SkillInfoResponse',487,1),
(1360,908,927,'OP_BadLanguageFilter',490,1),
(1361,908,927,'OP_MapRequest',492,1),
(1362,908,927,'OP_EqUnknown',493,1),
(1363,908,927,'OP_EqHearChatCmd',494,1),
(1364,908,927,'OP_EqDisplayTextCmd',495,1),
(1365,908,927,'OP_EqCreateGhostCmd',496,1),
(1366,908,927,'OP_EqCreateWidgetCmd',497,1),
(1367,908,927,'OP_EqCreateSignWidgetCmd',498,1),
(1368,908,927,'OP_EqDestroyGhostCmd',499,1),
(1369,908,927,'OP_EqUpdateGhostCmd',500,1),
(1370,908,927,'OP_EqSetControlGhostCmd',501,1),
(1371,908,927,'OP_EqSetPOVGhostCmd',502,1),
(1372,908,927,'OP_EqHearCombatCmd',503,1),
(1373,908,927,'OP_EqHearSpellCastCmd',504,1),
(1374,908,927,'OP_EqHearSpellInterruptCmd',507,1),
(1375,908,927,'OP_EqHearSpellFizzleCmd',508,1),
(1376,908,927,'OP_EqHearConsiderCmd',509,1),
(1377,908,927,'OP_EqUpdateSubClassesCmd',510,1),
(1378,908,927,'OP_EqCreateListBoxCmd',511,1),
(1379,908,927,'OP_EqSetDebugPathPointsCmd',512,1),
(1380,908,927,'OP_EqCannedEmoteCmd',514,1),
(1381,908,927,'OP_EqStateCmd',515,1),
(1382,908,927,'OP_EqPlaySoundCmd',516,1),
(1383,908,927,'OP_EqPlaySound3DCmd',517,1),
(1384,908,927,'OP_EqPlayVoiceCmd',518,1),
(1385,908,927,'OP_EqHearDrowningCmd',519,1),
(1386,908,927,'OP_EqHearDeathCmd',520,1),
(1387,908,927,'OP_EqGroupMemberRemovedCmd',521,1),
(1388,908,927,'OP_EqHearChainEffectCmd',522,1),
(1389,908,927,'OP_EqReceiveOfferCmd',523,1),
(1390,908,927,'OP_EqInspectPCResultsCmd',524,1),
(1391,908,927,'OP_EqDrawablePathGraphCmd',525,1),
(1392,908,927,'OP_EqDialogOpenCmd',526,1),
(1393,908,927,'OP_EqDialogCloseCmd',527,1),
(1394,908,927,'OP_EqFactionUpdateCmd',528,1),
(1395,908,927,'OP_EqCollectionUpdateCmd',529,1),
(1396,908,927,'OP_EqCollectionFilterCmd',530,1),
(1397,908,927,'OP_EqCollectionItemCmd',531,1),
(1398,908,927,'OP_EqQuestJournalUpdateCmd',532,1),
(1399,908,927,'OP_EqQuestJournalReplyCmd',534,1),
(1400,908,927,'OP_EqQuestGroupCmd',535,1),
(1401,908,927,'OP_EqUpdateMerchantCmd',536,1),
(1402,908,927,'OP_EqUpdateStoreCmd',537,1),
(1403,908,927,'OP_EqUpdatePlayerTradeCmd',538,1),
(1404,908,927,'OP_EqHelpPathCmd',539,1),
(1405,908,927,'OP_EqHelpPathClearCmd',540,1),
(1406,908,927,'OP_EqUpdateBankCmd',541,1),
(1407,908,927,'OP_EqExamineInfoCmd',542,1),
(1408,908,927,'OP_EqCloseWindowCmd',543,1),
(1409,908,927,'OP_EqUpdateLootCmd',544,1),
(1410,908,927,'OP_EqJunctionListCmd',545,1),
(1411,908,927,'OP_EqShowDeathWindowCmd',546,1),
(1412,908,927,'OP_EqDisplaySpellFailCmd',547,1),
(1413,908,927,'OP_EqSpellCastStartCmd',548,1),
(1414,908,927,'OP_EqSpellCastEndCmd',549,1),
(1415,908,927,'OP_EqResurrectedCmd',550,1),
(1416,908,927,'OP_EqChoiceWinCmd',551,1),
(1417,908,927,'OP_EqSetDefaultVerbCmd',552,1),
(1418,908,927,'OP_EqInstructionWindowCmd',554,1),
(1419,908,927,'OP_EqInstructionWindowCloseCmd',555,1),
(1420,908,927,'OP_EqInstructionWindowGoalCmd',556,1),
(1421,908,927,'OP_EqInstructionWindowTaskCmd',557,1),
(1422,908,927,'OP_EqEnableGameEventCmd',558,1),
(1423,908,927,'OP_EqShowWindowCmd',559,1),
(1424,908,927,'OP_EqEnableWindowCmd',560,1),
(1425,908,927,'OP_EqFlashWindowCmd',561,1),
(1426,908,927,'OP_EqHearPlayFlavorCmd',562,1),
(1427,908,927,'OP_EqUpdateSignWidgetCmd',564,1),
(1428,908,927,'OP_EqDebugPVDCmd',565,1),
(1429,908,927,'OP_EqShowBookCmd',566,1),
(1430,908,927,'OP_EqQuestionnaireCmd',567,1),
(1431,908,927,'OP_EqGetProbsCmd',568,1),
(1432,908,927,'OP_EqHearHealCmd',569,1),
(1433,908,927,'OP_EqChatChannelUpdateCmd',570,1),
(1434,908,927,'OP_EqWhoChannelQueryReplyCmd',571,1),
(1435,908,927,'OP_EqAvailWorldChannelsCmd',572,1),
(1436,908,927,'OP_EqUpdateTargetCmd',573,1),
(1437,908,927,'OP_EqConsignmentItemsCmd',575,1),
(1438,908,927,'OP_EqStartBrokerCmd',577,1),
(1439,908,927,'OP_EqMapExplorationCmd',578,1),
(1440,908,927,'OP_EqStoreLogCmd',579,1),
(1441,908,927,'OP_EqSpellMoveToRangeAndRetryCmd',580,1),
(1442,908,927,'OP_EqUpdatePlayerMailCmd',581,1),
(1443,908,927,'OP_EqArenaResultsCmd',582,1),
(1444,908,927,'OP_EqGuildBankEventActionCmd',583,1),
(1445,908,927,'OP_EqGuildBankExamineInfoCmd',584,1),
(1446,908,927,'OP_EqHearSpellNoLandCmd',585,1),
(1447,908,927,'OP_Lottery',589,1),
(1448,908,927,'OP_GuildRecruitingMemberInfo',590,1),
(1449,908,927,'OP_GuildRecruiting',591,1),
(1450,908,927,'OP_GuildRecruitingDetails',592,1),
(1451,908,927,'OP_GuildRecruitingImage',593,1),
(1452,908,927,'OP_PointOfInterest',614,1),
(1453,908,927,'OP_TraitsList',616,1),
(1454,908,927,'OP_RecipeList',625,1),
(1455,908,927,'OP_CharacterAchievements',655,1),
(1456,908,927,'OP_AddClientToGroupMsg',1010,1),
(1457,908,927,'OP_AddGroupToGroupMsg',1010,1),
(1458,908,927,'OP_GuildKickMsg',1010,1),
(1459,908,927,'OP_ProcessScriptMsg',1010,1),
(1460,908,927,'OP_ProcessWorkspaceMsg',1010,1),
(1461,908,927,'OP_PurchaseConsignmentResponseMsg',1010,1),
(1462,908,927,'OP_QuickbarAddMsg',1010,1),
(1463,908,927,'OP_SkillSlotMapping',1010,1),
(1464,908,927,'OP_Unknown',10014,1),
(1465,908,927,'OP_WSWeatherUpdateMsg',10015,1),
(1466,972,1011,'OP_LoginRequestMsg',0,1),
(1467,972,1011,'OP_LoginByNumRequestMsg',1,1),
(1468,972,1011,'OP_WSLoginRequestMsg',2,1),
(1469,972,1011,'OP_ESLoginRequestMsg',3,1),
(1470,972,1011,'OP_LoginReplyMsg',4,1),
(1471,972,1011,'OP_WSStatusReplyMsg',5,1),
(1472,972,1011,'OP_WorldStatusChangeMsg',6,1),
(1473,972,1011,'OP_AllWSDescRequestMsg',7,1),
(1474,972,1011,'OP_WorldListMsg',8,1),
(1475,972,1011,'OP_AllCharactersDescRequestMsg',9,1),
(1476,972,1011,'OP_AllCharactersDescReplyMsg',10,1),
(1477,972,1011,'OP_CreateCharacterRequestMsg',11,1),
(1478,972,1011,'OP_CreateCharacterReplyMsg',12,1),
(1479,972,1011,'OP_WSCreateCharacterRequestMsg',13,1),
(1480,972,1011,'OP_WSCreateCharacterReplyMsg',14,1),
(1481,972,1011,'OP_ReskinCharacterRequestMsg',15,1),
(1482,972,1011,'OP_DeleteCharacterRequestMsg',16,1),
(1483,972,1011,'OP_DeleteCharacterReplyMsg',17,1),
(1484,972,1011,'OP_PlayCharacterRequestMsg',18,1),
(1485,972,1011,'OP_PlayCharacterReplyMsg',19,1),
(1486,972,1011,'OP_ExpectClientAsCharacterReplyMs',22,1),
(1487,972,1011,'OP_ServerPlayCharacterRequestMsg',23,1),
(1488,972,1011,'OP_ServerPlayCharacterReplyMsg',24,1),
(1489,972,1011,'OP_ESInitMsg',25,1),
(1490,972,1011,'OP_ESReadyForClientsMsg',26,1),
(1491,972,1011,'OP_CreateZoneInstanceMsg',27,1),
(1492,972,1011,'OP_ZoneInstanceCreateReplyMsg',28,1),
(1493,972,1011,'OP_ZoneInstanceDestroyedMsg',29,1),
(1494,972,1011,'OP_ExpectClientAsCharacterRequest',30,1),
(1495,972,1011,'OP_ZoneInfoMsg',31,1),
(1496,972,1011,'OP_DoneLoadingZoneResourcesMsg',32,1),
(1497,972,1011,'OP_DoneSendingInitialEntitiesMsg',33,1),
(1498,972,1011,'OP_DoneLoadingEntityResourcesMsg',34,1),
(1499,972,1011,'OP_PredictionUpdateMsg',35,1),
(1500,972,1011,'OP_UpdatePositionMsg',37,1),
(1501,972,1011,'OP_SetRemoteCmdsMsg',39,1),
(1502,972,1011,'OP_RemoteCmdMsg',40,1),
(1503,972,1011,'OP_GameWorldTimeMsg',41,1),
(1504,972,1011,'OP_MOTDMsg',42,1),
(1505,972,1011,'OP_ZoneMOTDMsg',43,1),
(1506,972,1011,'OP_AvatarCreatedMsg',44,1),
(1507,972,1011,'OP_AvatarDestroyedMsg',45,1),
(1508,972,1011,'OP_RequestCampMsg',47,1),
(1509,972,1011,'OP_CampStartedMsg',48,1),
(1510,972,1011,'OP_CampAbortedMsg',49,1),
(1511,972,1011,'OP_WhoQueryRequestMsg',50,1),
(1512,972,1011,'OP_WhoQueryReplyMsg',51,1),
(1513,972,1011,'OP_MonitorReplyMsg',52,1),
(1514,972,1011,'OP_MonitorCharacterListMsg',53,1),
(1515,972,1011,'OP_MonitorCharacterListRequestMsg',54,1),
(1516,972,1011,'OP_ClientCmdMsg',55,1),
(1517,972,1011,'OP_DispatchESMsg',56,1),
(1518,972,1011,'OP_DispatchClientCmdMsg',57,1),
(1519,972,1011,'OP_UpdateTargetMsg',58,1),
(1520,972,1011,'OP_UpdateTargetLocMsg',59,1),
(1521,972,1011,'OP_UpdateCharacterSheetMsg',60,1),
(1522,972,1011,'OP_UpdateSpellBookMsg',61,1),
(1523,972,1011,'OP_UpdateInventoryMsg',63,1),
(1524,972,1011,'OP_UpdateRecipeBookMsg',65,1),
(1525,972,1011,'OP_RequestRecipeDetailsMsg',66,1),
(1526,972,1011,'OP_RecipeDetailsMsg',67,1),
(1527,972,1011,'OP_UpdateSkillBookMsg',68,1),
(1528,972,1011,'OP_UpdateSkillsMsg',69,1),
(1529,972,1011,'OP_UpdateOpportunityMsg',70,1),
(1530,972,1011,'OP_ChangeZoneMsg',72,1),
(1531,972,1011,'OP_ClientTeleportRequestMsg',73,1),
(1532,972,1011,'OP_TeleportWithinZoneMsg',74,1),
(1533,972,1011,'OP_TeleportWithinZoneNoReloadMsg',75,1),
(1534,972,1011,'OP_MigrateClientToZoneRequestMsg',76,1),
(1535,972,1011,'OP_MigrateClientToZoneReplyMsg',77,1),
(1536,972,1011,'OP_ReadyToZoneMsg',78,1),
(1537,972,1011,'OP_RemoveClientFromGroupMsg',79,1),
(1538,972,1011,'OP_RemoveGroupFromGroupMsg',80,1),
(1539,972,1011,'OP_MakeGroupLeaderMsg',81,1),
(1540,972,1011,'OP_GroupCreatedMsg',82,1),
(1541,972,1011,'OP_GroupDestroyedMsg',83,1),
(1542,972,1011,'OP_GroupMemberAddedMsg',84,1),
(1543,972,1011,'OP_GroupMemberRemovedMsg',85,1),
(1544,972,1011,'OP_GroupRemovedFromGroupMsg',86,1),
(1545,972,1011,'OP_GroupLeaderChangedMsg',87,1),
(1546,972,1011,'OP_GroupResendOOZDataMsg',88,1),
(1547,972,1011,'OP_GroupSettingsChangedMsg',89,1),
(1548,972,1011,'OP_OutOfZoneMemberDataMsg',90,1),
(1549,972,1011,'OP_SendLatestRequestMsg',91,1),
(1550,972,1011,'OP_ClearDataMsg',92,1),
(1551,972,1011,'OP_SetSocialMsg',93,1),
(1552,972,1011,'OP_ESStatusMsg',94,1),
(1553,972,1011,'OP_ESZoneInstanceStatusMsg',95,1),
(1554,972,1011,'OP_ZonesStatusRequestMsg',96,1),
(1555,972,1011,'OP_ZonesStatusMsg',97,1),
(1556,972,1011,'OP_ESWeatherRequestMsg',98,1),
(1557,972,1011,'OP_ESWeatherRequestEndMsg',99,1),
(1558,972,1011,'OP_DialogSelectMsg',102,1),
(1559,972,1011,'OP_DialogCloseMsg',103,1),
(1560,972,1011,'OP_RemoveSpellEffectMsg',104,1),
(1561,972,1011,'OP_RemoveConcentrationMsg',105,1),
(1562,972,1011,'OP_QuestJournalOpenMsg',106,1),
(1563,972,1011,'OP_QuestJournalInspectMsg',107,1),
(1564,972,1011,'OP_QuestJournalSetVisibleMsg',108,1),
(1565,972,1011,'OP_QuestJournalWaypointMsg',109,1),
(1566,972,1011,'OP_CreateGuildRequestMsg',110,1),
(1567,972,1011,'OP_CreateGuildReplyMsg',111,1),
(1568,972,1011,'OP_GuildsayMsg',112,1),
(1569,972,1011,'OP_GuildUpdateMsg',115,1),
(1570,972,1011,'OP_DeleteGuildMsg',116,1),
(1571,972,1011,'OP_FellowshipExpMsg',117,1),
(1572,972,1011,'OP_ConsignmentCloseStoreMsg',118,1),
(1573,972,1011,'OP_ConsignItemRequestMsg',119,1),
(1574,972,1011,'OP_ConsignItemResponseMsg',120,1),
(1575,972,1011,'OP_PurchaseConsignmentRequestMsg',121,1),
(1576,972,1011,'OP_HouseDeletedRemotelyMsg',122,1),
(1577,972,1011,'OP_UpdateHouseDataMsg',123,1),
(1578,972,1011,'OP_UpdateHouseAccessDataMsg',124,1),
(1579,972,1011,'OP_PlayerHouseBaseScreenMsg',125,1),
(1580,972,1011,'OP_PlayerHousePurchaseScreenMsg',126,1),
(1581,972,1011,'OP_PlayerHouseAccessUpdateMsg',127,1),
(1582,972,1011,'OP_PlayerHouseDisplayStatusMsg',128,1),
(1583,972,1011,'OP_PlayerHouseCloseUIMsg',129,1),
(1584,972,1011,'OP_BuyPlayerHouseMsg',130,1),
(1585,972,1011,'OP_BuyPlayerHouseTintMsg',131,1),
(1586,972,1011,'OP_CollectAllHouseItemsMsg',132,1),
(1587,972,1011,'OP_RelinquishHouseMsg',133,1),
(1588,972,1011,'OP_EnterHouseMsg',134,1),
(1589,972,1011,'OP_ExitHouseMsg',135,1),
(1590,972,1011,'OP_HouseDefaultAccessSetMsg',136,1),
(1591,972,1011,'OP_HouseAccessSetMsg',137,1),
(1592,972,1011,'OP_HouseAccessRemoveMsg',138,1),
(1593,972,1011,'OP_PayHouseUpkeepMsg',139,1),
(1594,972,1011,'OP_MoveableObjectPlacementCriteri',141,1),
(1595,972,1011,'OP_EnterMoveObjectModeMsg',142,1),
(1596,972,1011,'OP_PositionMoveableObject',143,1),
(1597,972,1011,'OP_CancelMoveObjectModeMsg',144,1),
(1598,972,1011,'OP_ShaderCustomizationMsg',145,1),
(1599,972,1011,'OP_ReplaceableSubMeshesMsg',146,1),
(1600,972,1011,'OP_HouseCustomizationScreenMsg',147,1),
(1601,972,1011,'OP_CustomizationPurchaseRequestMs',148,1),
(1602,972,1011,'OP_CustomizationSetRequestMsg',149,1),
(1603,972,1011,'OP_CustomizationReplyMsg',150,1),
(1604,972,1011,'OP_TintWidgetsMsg',151,1),
(1605,972,1011,'OP_ExamineConsignmentRequestMsg',152,1),
(1606,972,1011,'OP_ExamineConsignmentResponseMsg',153,1),
(1607,972,1011,'OP_UISettingsResponseMsg',154,1),
(1608,972,1011,'OP_UIResetMsg',156,1),
(1609,972,1011,'OP_KeymapLoadMsg',157,1),
(1610,972,1011,'OP_KeymapNoneMsg',158,1),
(1611,972,1011,'OP_KeymapDataMsg',159,1),
(1612,972,1011,'OP_KeymapSaveMsg',160,1),
(1613,972,1011,'OP_DispatchSpellCmdMsg',161,1),
(1614,972,1011,'OP_EntityVerbsRequestMsg',163,1),
(1615,972,1011,'OP_EntityVerbsReplyMsg',164,1),
(1616,972,1011,'OP_EntityVerbsVerbMsg',165,1),
(1617,972,1011,'OP_ChatRelationshipUpdateMsg',167,1),
(1618,972,1011,'OP_LootItemsRequestMsg',168,1),
(1619,972,1011,'OP_StoppedLootingMsg',169,1),
(1620,972,1011,'OP_SitMsg',170,1),
(1621,972,1011,'OP_StandMsg',171,1),
(1622,972,1011,'OP_SatMsg',172,1),
(1623,972,1011,'OP_StoodMsg',173,1),
(1624,972,1011,'OP_ClearForTakeOffMsg',174,1),
(1625,972,1011,'OP_ReadyForTakeOffMsg',175,1),
(1626,972,1011,'OP_ShowIllusionsMsg',176,1),
(1627,972,1011,'OP_HideIllusionsMsg',177,1),
(1628,972,1011,'OP_ExamineItemRequestMsg',178,1),
(1629,972,1011,'OP_ReadBookPageMsg',179,1),
(1630,972,1011,'OP_DefaultGroupOptionsRequestMsg',180,1),
(1631,972,1011,'OP_DefaultGroupOptionsMsg',181,1),
(1632,972,1011,'OP_GroupOptionsMsg',182,1),
(1633,972,1011,'OP_DisplayGroupOptionsScreenMsg',183,1),
(1634,972,1011,'OP_DisplayInnVisitScreenMsg',184,1),
(1635,972,1011,'OP_DumpSchedulerMsg',185,1),
(1636,972,1011,'OP_LSRequestPlayerDescMsg',186,1),
(1637,972,1011,'OP_LSCheckAcctLockMsg',187,1),
(1638,972,1011,'OP_WSAcctLockStatusMsg',188,1),
(1639,972,1011,'OP_RequestHelpRepathMsg',189,1),
(1640,972,1011,'OP_RequestTargetLocMsg',190,1),
(1641,972,1011,'OP_UpdateMotdMsg',191,1),
(1642,972,1011,'OP_PerformPlayerKnockbackMsg',192,1),
(1643,972,1011,'OP_PerformCameraShakeMsg',193,1),
(1644,972,1011,'OP_PopulateSkillMapsMsg',196,1),
(1645,972,1011,'OP_CancelledFeignMsg',198,1),
(1646,972,1011,'OP_SignalMsg',199,1),
(1647,972,1011,'OP_ShowCreateFromRecipeUIMsg',200,1),
(1648,972,1011,'OP_CancelCreateFromRecipeMsg',201,1),
(1649,972,1011,'OP_BeginItemCreationMsg',202,1),
(1650,972,1011,'OP_StopItemCreationMsg',203,1),
(1651,972,1011,'OP_ShowItemCreationProcessUIMsg',204,1),
(1652,972,1011,'OP_UpdateItemCreationProcessUIMsg',205,1),
(1653,972,1011,'OP_DisplayTSEventReactionMsg',206,1),
(1654,972,1011,'OP_ShowRecipeBookMsg',207,1),
(1655,972,1011,'OP_KnowledgebaseRequestMsg',208,1),
(1656,972,1011,'OP_KnowledgebaseResponseMsg',209,1),
(1657,972,1011,'OP_CSTicketHeaderRequestMsg',210,1),
(1658,972,1011,'OP_CSTicketInfoMsg',211,1),
(1659,972,1011,'OP_CSTicketCommentRequestMsg',212,1),
(1660,972,1011,'OP_CSTicketCommentResponseMsg',213,1),
(1661,972,1011,'OP_CSTicketCreateMsg',214,1),
(1662,972,1011,'OP_CSTicketAddCommentMsg',215,1),
(1663,972,1011,'OP_CSTicketDeleteMsg',216,1),
(1664,972,1011,'OP_CSTicketChangeNotificationMsg',217,1),
(1665,972,1011,'OP_WorldDataUpdateMsg',218,1),
(1666,972,1011,'OP_KnownLanguagesMsg',219,1),
(1667,972,1011,'OP_LsRequestClientCrashLogMsg',220,1),
(1668,972,1011,'OP_LsClientBaselogReplyMsg',221,1),
(1669,972,1011,'OP_LsClientCrashlogReplyMsg',222,1),
(1670,972,1011,'OP_LsClientAlertlogReplyMsg',223,1),
(1671,972,1011,'OP_LsClientVerifylogReplyMsg',224,1),
(1672,972,1011,'OP_ClientTeleportToLocationMsg',225,1),
(1673,972,1011,'OP_UpdateClientPredFlagsMsg',226,1),
(1674,972,1011,'OP_ChangeServerControlFlagMsg',227,1),
(1675,972,1011,'OP_CSToolsRequestMsg',228,1),
(1676,972,1011,'OP_CSToolsResponseMsg',229,1),
(1677,972,1011,'OP_AddSocialStructureStandingMsg',230,1),
(1678,972,1011,'OP_CreateBoatTransportsMsg',231,1),
(1679,972,1011,'OP_PositionBoatTransportMsg',232,1),
(1680,972,1011,'OP_MigrateBoatTransportMsg',233,1),
(1681,972,1011,'OP_MigrateBoatTransportReplyMsg',234,1),
(1682,972,1011,'OP_DisplayDebugNLLPointsMsg',235,1),
(1683,972,1011,'OP_ExamineInfoRequestMsg',236,1),
(1684,972,1011,'OP_QuickbarInitMsg',237,1),
(1685,972,1011,'OP_QuickbarUpdateMsg',238,1),
(1686,972,1011,'OP_MacroInitMsg',239,1),
(1687,972,1011,'OP_MacroUpdateMsg',240,1),
(1688,972,1011,'OP_QuestionnaireMsg',241,1),
(1689,972,1011,'OP_LevelChangedMsg',242,1),
(1690,972,1011,'OP_SpellGainedMsg',243,1),
(1691,972,1011,'OP_EncounterBrokenMsg',244,1),
(1692,972,1011,'OP_OnscreenMsgMsg',245,1),
(1693,972,1011,'OP_DisplayWarningMsg',246,1),
(1694,972,1011,'OP_ModifyGuildMsg',247,1),
(1695,972,1011,'OP_GuildEventMsg',248,1),
(1696,972,1011,'OP_GuildEventAddMsg',249,1),
(1697,972,1011,'OP_GuildEventActionMsg',250,1),
(1698,972,1011,'OP_GuildEventListMsg',251,1),
(1699,972,1011,'OP_RequestGuildEventDetailsMsg',252,1),
(1700,972,1011,'OP_GuildEventDetailsMsg',253,1),
(1701,972,1011,'OP_RequestGuildInfoMsg',254,1),
(1702,972,1011,'OP_GuildBankActionMsg',255,1),
(1703,972,1011,'OP_GuildBankActionResponseMsg',256,1),
(1704,972,1011,'OP_GuildBankItemDetailsRequestMsg',257,1),
(1705,972,1011,'OP_GuildBankItemDetailsResponseMs',258,1),
(1706,972,1011,'OP_GuildBankUpdateMsg',259,1),
(1707,972,1011,'OP_GuildBankEventListMsg',260,1),
(1708,972,1011,'OP_RequestGuildBankEventDetailsMs',261,1),
(1709,972,1011,'OP_RewardPackMsg',262,1),
(1710,972,1011,'OP_RenameGuildMsg',263,1),
(1711,972,1011,'OP_ZoneToFriendRequestMsg',265,1),
(1712,972,1011,'OP_ZoneToFriendReplyMsg',266,1),
(1713,972,1011,'OP_ChatCreateChannelMsg',267,1),
(1714,972,1011,'OP_ChatJoinChannelMsg',268,1),
(1715,972,1011,'OP_ChatWhoChannelMsg',269,1),
(1716,972,1011,'OP_ChatLeaveChannelMsg',270,1),
(1717,972,1011,'OP_ChatTellChannelMsg',271,1),
(1718,972,1011,'OP_ChatTellUserMsg',272,1),
(1719,972,1011,'OP_ChatToggleFriendMsg',273,1),
(1720,972,1011,'OP_ChatToggleIgnoreMsg',274,1),
(1721,972,1011,'OP_ChatSendFriendsMsg',275,1),
(1722,972,1011,'OP_ChatSendIgnoresMsg',276,1),
(1723,972,1011,'OP_QuestReward',303,1),
(1724,972,1011,'OP_ChatFiltersMsg',318,1),
(1725,972,1011,'OP_MailGetHeadersMsg',319,1),
(1726,972,1011,'OP_MailGetMessageMsg',320,1),
(1727,972,1011,'OP_MailSendMessageMsg',321,1),
(1728,972,1011,'OP_MailDeleteMessageMsg',322,1),
(1729,972,1011,'OP_MailGetHeadersReplyMsg',323,1),
(1730,972,1011,'OP_MailGetMessageReplyMsg',324,1),
(1731,972,1011,'OP_MailSendMessageReplyMsg',325,1),
(1732,972,1011,'OP_MailCommitSendMessageMsg',326,1),
(1733,972,1011,'OP_MailSendSystemMessageMsg',327,1),
(1734,972,1011,'OP_MailRemoveAttachFromMailMsg',328,1),
(1735,972,1011,'OP_WaypointRequestMsg',330,1),
(1736,972,1011,'OP_WaypointReplyMsg',331,1),
(1737,972,1011,'OP_WaypointSelectMsg',332,1),
(1738,972,1011,'OP_WaypointUpdateMsg',333,1),
(1739,972,1011,'OP_CharNameChangedMsg',334,1),
(1740,972,1011,'OP_ShowZoneTeleporterDestinations',335,1),
(1741,972,1011,'OP_SelectZoneTeleporterDestinatio',336,1),
(1742,972,1011,'OP_ReloadLocalizedTxtMsg',337,1),
(1743,972,1011,'OP_RequestGuildMembershipMsg',338,1),
(1744,972,1011,'OP_GuildMembershipResponseMsg',339,1),
(1745,972,1011,'OP_LeaveGuildNotifyMsg',340,1),
(1746,972,1011,'OP_JoinGuildNotifyMsg',341,1),
(1747,972,1011,'OP_AvatarUpdateMsg',343,1),
(1748,972,1011,'OP_BioUpdateMsg',344,1),
(1749,972,1011,'OP_InspectPlayerMsg',345,1),
(1750,972,1011,'OP_WSServerLockMsg',346,1),
(1751,972,1011,'OP_LSServerLockMsg',347,1),
(1752,972,1011,'OP_WSServerHideMsg',348,1),
(1753,972,1011,'OP_CsCategoryRequestMsg',349,1),
(1754,972,1011,'OP_CsCategoryResponseMsg',350,1),
(1755,972,1011,'OP_KnowledgeWindowSlotMappingMsg',351,1),
(1756,972,1011,'OP_LFGUpdateMsg',352,1),
(1757,972,1011,'OP_AFKUpdateMsg',353,1),
(1758,972,1011,'OP_AnonUpdateMsg',354,1),
(1759,972,1011,'OP_UpdateActivePublicZonesMsg',355,1),
(1760,972,1011,'OP_UnknownNpcMsg',356,1),
(1761,972,1011,'OP_PromoFlagsDetailsMsg',357,1),
(1762,972,1011,'OP_ConsignViewCreateMsg',358,1),
(1763,972,1011,'OP_ConsignViewGetPageMsg',359,1),
(1764,972,1011,'OP_ConsignViewReleaseMsg',360,1),
(1765,972,1011,'OP_ConsignRemoveItemsMsg',361,1),
(1766,972,1011,'OP_UpdateDebugRadiiMsg',362,1),
(1767,972,1011,'OP_SnoopMsg',363,1),
(1768,972,1011,'OP_ReportMsg',364,1),
(1769,972,1011,'OP_UpdateRaidMsg',365,1),
(1770,972,1011,'OP_ConsignViewSortMsg',366,1),
(1771,972,1011,'OP_TitleUpdateMsg',367,1),
(1772,972,1011,'OP_ClientFellMsg',368,1),
(1773,972,1011,'OP_ClientInDeathRegionMsg',369,1),
(1774,972,1011,'OP_CampClientMsg',370,1),
(1775,972,1011,'OP_CSToolAccessResponseMsg',371,1),
(1776,972,1011,'OP_TrackingUpdateMsg',372,1),
(1777,972,1011,'OP_BeginTrackingMsg',373,1),
(1778,972,1011,'OP_StopTrackingMsg',374,1),
(1779,972,1011,'OP_GetAvatarAccessRequestForCSToo',375,1),
(1780,972,1011,'OP_AdvancementRequestMsg',376,1),
(1781,972,1011,'OP_UpdateAvgFrameTimeMsg',377,1),
(1782,972,1011,'OP_MapFogDataInitMsg',378,1),
(1783,972,1011,'OP_MapFogDataUpdateMsg',379,1),
(1784,972,1011,'OP_CloseGroupInviteWindowMsg',380,1),
(1785,972,1011,'OP_UpdateGroupMemberDataMsg',381,1),
(1786,972,1011,'OP_WorldPingMsg',382,1),
(1787,972,1011,'OP_MoveLogUpdateMsg',383,1),
(1788,972,1011,'OP_OfferQuestMsg',384,1),
(1789,972,1011,'OP_WorldShutdownUpdateMsg',385,1),
(1790,972,1011,'OP_DisplayMailScreenMsg',386,1),
(1791,972,1011,'OP_ClientIdleBeginMsg',387,1),
(1792,972,1011,'OP_ClientIdleEndMsg',388,1),
(1793,972,1011,'OP_PurchaseConsignmentLoreCheckRe',389,1),
(1794,972,1011,'OP_NotifyApprenticeStoppedMentori',390,1),
(1795,972,1011,'OP_CorruptedClientMsg',391,1),
(1796,972,1011,'OP_WorldDataChangeMsg',392,1),
(1797,972,1011,'OP_MailEventNotificationMsg',393,1),
(1798,972,1011,'OP_RestartZoneMsg',394,1),
(1799,972,1011,'OP_FlightPathsMsg',395,1),
(1800,972,1011,'OP_CharacterLinkdeadMsg',396,1),
(1801,972,1011,'OP_CharTransferStartRequestMsg',397,1),
(1802,972,1011,'OP_CharTransferStartReplyMsg',398,1),
(1803,972,1011,'OP_CharTransferRequestMsg',399,1),
(1804,972,1011,'OP_CharTransferReplyMsg',400,1),
(1805,972,1011,'OP_CharTransferRollbackRequestMsg',401,1),
(1806,972,1011,'OP_CharTransferCommitRequestMsg',402,1),
(1807,972,1011,'OP_CharTransferRollbackReplyMsg',403,1),
(1808,972,1011,'OP_CharTransferCommitReplyMsg',404,1),
(1809,972,1011,'OP_GetCharacterSerializedRequestM',405,1),
(1810,972,1011,'OP_GetCharacterSerializedReplyMsg',406,1),
(1811,972,1011,'OP_CreateCharFromCBBRequestMsg',407,1),
(1812,972,1011,'OP_CreateCharFromCBBReplyMsg',408,1),
(1813,972,1011,'OP_HousingDataChangedMsg',409,1),
(1814,972,1011,'OP_HousingRestoreMsg',410,1),
(1815,972,1011,'OP_AuctionItem',411,1),
(1816,972,1011,'OP_AuctionItemReply',412,1),
(1817,972,1011,'OP_AuctionCoin',413,1),
(1818,972,1011,'OP_AuctionCoinReply',414,1),
(1819,972,1011,'OP_AuctionCharacter',415,1),
(1820,972,1011,'OP_AuctionCharacterReply',416,1),
(1821,972,1011,'OP_AuctionCommitMsg',417,1),
(1822,972,1011,'OP_AuctionAbortMsg',418,1),
(1823,972,1011,'OP_CharTransferValidateRequestMsg',419,1),
(1824,972,1011,'OP_CharTransferValidateReplyMsg',420,1),
(1825,972,1011,'OP_RaceRestrictionMsg',421,1),
(1826,972,1011,'OP_SetInstanceDisplayNameMsg',422,1),
(1827,972,1011,'OP_GetAuctionAssetIDMsg',423,1),
(1828,972,1011,'OP_GetAuctionAssetIDReplyMsg',424,1),
(1829,972,1011,'OP_ResendWorldChannelsMsg',425,1),
(1830,972,1011,'OP_DisplayExchangeScreenMsg',426,1),
(1831,972,1011,'OP_ArenaGameTypesMsg',427,1),
(1832,972,1011,'OP_AuditAuctionEventMsg',429,1),
(1833,972,1011,'OP_InviteRequestMsg',431,1),
(1834,972,1011,'OP_InviteResponseMsg',432,1),
(1835,972,1011,'OP_InviteTargetResponseMsg',433,1),
(1836,972,1011,'OP_InspectPlayerRequestMsg',434,1),
(1837,972,1011,'OP_DispatchMsg',435,1),
(1838,972,1011,'OP_DisplayEventMsg',436,1),
(1839,972,1011,'OP_PrePossessionMsg',437,1),
(1840,972,1011,'OP_PostPossessionMsg',438,1),
(1841,972,1011,'OP_AdventureList',464,1),
(1842,972,1011,'OP_CancelSpellCast',465,1),
(1843,972,1011,'OP_UpdateTitleCmd',471,1),
(1844,972,1011,'OP_AttackAllowed',477,1),
(1845,972,1011,'OP_AttackNotAllowed',478,1),
(1846,972,1011,'OP_DressingRoom',485,1),
(1847,972,1011,'OP_SkillInfoRequest',489,1),
(1848,972,1011,'OP_SkillInfoResponse',490,1),
(1849,972,1011,'OP_BadLanguageFilter',494,1),
(1850,972,1011,'OP_MapRequest',495,1),
(1851,972,1011,'OP_EqUnknown',520,1),
(1852,972,1011,'OP_EqHearChatCmd',522,1),
(1853,972,1011,'OP_EqDisplayTextCmd',523,1),
(1854,972,1011,'OP_EqCreateGhostCmd',524,1),
(1855,972,1011,'OP_EqCreateWidgetCmd',525,1),
(1856,972,1011,'OP_EqCreateSignWidgetCmd',526,1),
(1857,972,1011,'OP_EqDestroyGhostCmd',527,1),
(1858,972,1011,'OP_EqUpdateGhostCmd',528,1),
(1859,972,1011,'OP_EqSetControlGhostCmd',529,1),
(1860,972,1011,'OP_EqSetPOVGhostCmd',530,1),
(1861,972,1011,'OP_EqHearCombatCmd',531,1),
(1862,972,1011,'OP_EqHearSpellCastCmd',532,1),
(1863,972,1011,'OP_EqHearSpellInterruptCmd',535,1),
(1864,972,1011,'OP_EqHearSpellFizzleCmd',536,1),
(1865,972,1011,'OP_EqHearConsiderCmd',537,1),
(1866,972,1011,'OP_EqUpdateSubClassesCmd',538,1),
(1867,972,1011,'OP_EqCreateListBoxCmd',539,1),
(1868,972,1011,'OP_EqSetDebugPathPointsCmd',540,1),
(1869,972,1011,'OP_EqCannedEmoteCmd',542,1),
(1870,972,1011,'OP_EqStateCmd',543,1),
(1871,972,1011,'OP_EqPlaySoundCmd',544,1),
(1872,972,1011,'OP_EqPlaySound3DCmd',545,1),
(1873,972,1011,'OP_EqPlayVoiceCmd',546,1),
(1874,972,1011,'OP_EqHearDrowningCmd',547,1),
(1875,972,1011,'OP_EqHearDeathCmd',548,1),
(1876,972,1011,'OP_EqGroupMemberRemovedCmd',549,1),
(1877,972,1011,'OP_EqHearChainEffectCmd',550,1),
(1878,972,1011,'OP_EqReceiveOfferCmd',551,1),
(1879,972,1011,'OP_EqInspectPCResultsCmd',552,1),
(1880,972,1011,'OP_EqDrawablePathGraphCmd',553,1),
(1881,972,1011,'OP_EqDialogOpenCmd',554,1),
(1882,972,1011,'OP_EqDialogCloseCmd',555,1),
(1883,972,1011,'OP_EqFactionUpdateCmd',556,1),
(1884,972,1011,'OP_EqCollectionUpdateCmd',557,1),
(1885,972,1011,'OP_EqCollectionFilterCmd',558,1),
(1886,972,1011,'OP_EqCollectionItemCmd',559,1),
(1887,972,1011,'OP_EqQuestJournalUpdateCmd',560,1),
(1888,972,1011,'OP_EqQuestJournalReplyCmd',562,1),
(1889,972,1011,'OP_EqQuestGroupCmd',563,1),
(1890,972,1011,'OP_EqUpdateMerchantCmd',564,1),
(1891,972,1011,'OP_EqUpdateStoreCmd',565,1),
(1892,972,1011,'OP_EqUpdatePlayerTradeCmd',566,1),
(1893,972,1011,'OP_EqHelpPathCmd',567,1),
(1894,972,1011,'OP_EqHelpPathClearCmd',568,1),
(1895,972,1011,'OP_EqUpdateBankCmd',569,1),
(1896,972,1011,'OP_EqExamineInfoCmd',570,1),
(1897,972,1011,'OP_EqCloseWindowCmd',571,1),
(1898,972,1011,'OP_EqUpdateLootCmd',572,1),
(1899,972,1011,'OP_EqJunctionListCmd',573,1),
(1900,972,1011,'OP_EqShowDeathWindowCmd',574,1),
(1901,972,1011,'OP_EqDisplaySpellFailCmd',575,1),
(1902,972,1011,'OP_EqSpellCastStartCmd',576,1),
(1903,972,1011,'OP_EqSpellCastEndCmd',577,1),
(1904,972,1011,'OP_EqResurrectedCmd',578,1),
(1905,972,1011,'OP_EqChoiceWinCmd',579,1),
(1906,972,1011,'OP_EqSetDefaultVerbCmd',580,1),
(1907,972,1011,'OP_EqInstructionWindowCmd',582,1),
(1908,972,1011,'OP_EqInstructionWindowCloseCmd',583,1),
(1909,972,1011,'OP_EqInstructionWindowGoalCmd',584,1),
(1910,972,1011,'OP_EqInstructionWindowTaskCmd',585,1),
(1911,972,1011,'OP_EqEnableGameEventCmd',586,1),
(1912,972,1011,'OP_EqShowWindowCmd',587,1),
(1913,972,1011,'OP_EqEnableWindowCmd',588,1),
(1914,972,1011,'OP_EqFlashWindowCmd',589,1),
(1915,972,1011,'OP_EqHearPlayFlavorCmd',590,1),
(1916,972,1011,'OP_EqUpdateSignWidgetCmd',592,1),
(1917,972,1011,'OP_EqDebugPVDCmd',593,1),
(1918,972,1011,'OP_EqShowBookCmd',594,1),
(1919,972,1011,'OP_EqQuestionnaireCmd',595,1),
(1920,972,1011,'OP_EqGetProbsCmd',596,1),
(1921,972,1011,'OP_EqHearHealCmd',597,1),
(1922,972,1011,'OP_EqChatChannelUpdateCmd',598,1),
(1923,972,1011,'OP_EqWhoChannelQueryReplyCmd',599,1),
(1924,972,1011,'OP_EqAvailWorldChannelsCmd',600,1),
(1925,972,1011,'OP_EqUpdateTargetCmd',601,1),
(1926,972,1011,'OP_EqConsignmentItemsCmd',603,1),
(1927,972,1011,'OP_EqStartBrokerCmd',605,1),
(1928,972,1011,'OP_EqMapExplorationCmd',606,1),
(1929,972,1011,'OP_EqStoreLogCmd',607,1),
(1930,972,1011,'OP_EqSpellMoveToRangeAndRetryCmd',608,1),
(1931,972,1011,'OP_EqUpdatePlayerMailCmd',609,1),
(1932,972,1011,'OP_EqArenaResultsCmd',610,1),
(1933,972,1011,'OP_EqGuildBankEventActionCmd',611,1),
(1934,972,1011,'OP_EqGuildBankExamineInfoCmd',612,1),
(1935,972,1011,'OP_EqHearSpellNoLandCmd',613,1),
(1936,972,1011,'OP_Lottery',617,1),
(1937,972,1011,'OP_GuildRecruitingMemberInfo',618,1),
(1938,972,1011,'OP_GuildRecruiting',619,1),
(1939,972,1011,'OP_GuildRecruitingDetails',620,1),
(1940,972,1011,'OP_GuildRecruitingImage',621,1),
(1941,972,1011,'OP_PointOfInterest',642,1),
(1942,972,1011,'OP_TraitsList',644,1),
(1943,972,1011,'OP_RecipeList',653,1),
(1944,972,1011,'OP_CharacterAchievements',655,1),
(1945,972,1011,'OP_AddClientToGroupMsg',1041,1),
(1946,972,1011,'OP_AddGroupToGroupMsg',1041,1),
(1947,972,1011,'OP_GuildKickMsg',1041,1),
(1948,972,1011,'OP_ProcessScriptMsg',1041,1),
(1949,972,1011,'OP_ProcessWorkspaceMsg',1041,1),
(1950,972,1011,'OP_PurchaseConsignmentResponseMsg',1041,1),
(1951,972,1011,'OP_QuickbarAddMsg',1041,1),
(1952,972,1011,'OP_SkillSlotMapping',1041,1),
(1953,972,1011,'OP_Unknown',10045,1),
(1954,972,1011,'OP_WSWeatherUpdateMsg',10046,1),
(1955,1045,1086,'OP_LoginRequestMsg',0,1),
(1956,1045,1086,'OP_LoginByNumRequestMsg',1,1),
(1957,1045,1086,'OP_WSLoginRequestMsg',2,1),
(1958,1045,1086,'OP_ESLoginRequestMsg',3,1),
(1959,1045,1086,'OP_LoginReplyMsg',4,1),
(1960,1045,1086,'OP_WSStatusReplyMsg',5,1),
(1961,1045,1086,'OP_WorldStatusChangeMsg',6,1),
(1962,1045,1086,'OP_AllWSDescRequestMsg',7,1),
(1963,1045,1086,'OP_WorldListMsg',8,1),
(1964,1045,1086,'OP_AllCharactersDescRequestMsg',9,1),
(1965,1045,1086,'OP_AllCharactersDescReplyMsg',10,1),
(1966,1045,1086,'OP_CreateCharacterRequestMsg',11,1),
(1967,1045,1086,'OP_CreateCharacterReplyMsg',12,1),
(1968,1045,1086,'OP_WSCreateCharacterRequestMsg',13,1),
(1969,1045,1086,'OP_WSCreateCharacterReplyMsg',14,1),
(1970,1045,1086,'OP_ReskinCharacterRequestMsg',15,1),
(1971,1045,1086,'OP_DeleteCharacterRequestMsg',16,1),
(1972,1045,1086,'OP_DeleteCharacterReplyMsg',17,1),
(1973,1045,1086,'OP_PlayCharacterRequestMsg',18,1),
(1974,1045,1086,'OP_PlayCharacterReplyMsg',19,1),
(1975,1045,1086,'OP_ExpectClientAsCharacterReplyMs',22,1),
(1976,1045,1086,'OP_ServerPlayCharacterRequestMsg',23,1),
(1977,1045,1086,'OP_ServerPlayCharacterReplyMsg',24,1),
(1978,1045,1086,'OP_ESInitMsg',25,1),
(1979,1045,1086,'OP_ESReadyForClientsMsg',26,1),
(1980,1045,1086,'OP_CreateZoneInstanceMsg',27,1),
(1981,1045,1086,'OP_ZoneInstanceCreateReplyMsg',28,1),
(1982,1045,1086,'OP_ZoneInstanceDestroyedMsg',29,1),
(1983,1045,1086,'OP_ExpectClientAsCharacterRequest',30,1),
(1984,1045,1086,'OP_ZoneInfoMsg',31,1),
(1985,1045,1086,'OP_DoneLoadingZoneResourcesMsg',32,1),
(1986,1045,1086,'OP_DoneSendingInitialEntitiesMsg',33,1),
(1987,1045,1086,'OP_DoneLoadingEntityResourcesMsg',34,1),
(1988,1045,1086,'OP_PredictionUpdateMsg',35,1),
(1989,1045,1086,'OP_UpdatePositionMsg',37,1),
(1990,1045,1086,'OP_SetRemoteCmdsMsg',39,1),
(1991,1045,1086,'OP_RemoteCmdMsg',40,1),
(1992,1045,1086,'OP_GameWorldTimeMsg',41,1),
(1993,1045,1086,'OP_MOTDMsg',42,1),
(1994,1045,1086,'OP_ZoneMOTDMsg',43,1),
(1995,1045,1086,'OP_AvatarCreatedMsg',44,1),
(1996,1045,1086,'OP_AvatarDestroyedMsg',45,1),
(1997,1045,1086,'OP_RequestCampMsg',47,1),
(1998,1045,1086,'OP_CampStartedMsg',48,1),
(1999,1045,1086,'OP_CampAbortedMsg',49,1),
(2000,1045,1086,'OP_WhoQueryRequestMsg',50,1),
(2001,1045,1086,'OP_WhoQueryReplyMsg',51,1),
(2002,1045,1086,'OP_MonitorReplyMsg',52,1),
(2003,1045,1086,'OP_MonitorCharacterListMsg',53,1),
(2004,1045,1086,'OP_MonitorCharacterListRequestMsg',54,1),
(2005,1045,1086,'OP_ClientCmdMsg',55,1),
(2006,1045,1086,'OP_DispatchESMsg',56,1),
(2007,1045,1086,'OP_DispatchClientCmdMsg',57,1),
(2008,1045,1086,'OP_UpdateTargetMsg',58,1),
(2009,1045,1086,'OP_UpdateTargetLocMsg',59,1),
(2010,1045,1086,'OP_UpdateCharacterSheetMsg',60,1),
(2011,1045,1086,'OP_UpdateSpellBookMsg',61,1),
(2012,1045,1086,'OP_UpdateInventoryMsg',63,1),
(2013,1045,1086,'OP_UpdateRecipeBookMsg',65,1),
(2014,1045,1086,'OP_RequestRecipeDetailsMsg',66,1),
(2015,1045,1086,'OP_RecipeDetailsMsg',67,1),
(2016,1045,1086,'OP_UpdateSkillBookMsg',68,1),
(2017,1045,1086,'OP_UpdateSkillsMsg',69,1),
(2018,1045,1086,'OP_UpdateOpportunityMsg',70,1),
(2019,1045,1086,'OP_ChangeZoneMsg',72,1),
(2020,1045,1086,'OP_ClientTeleportRequestMsg',73,1),
(2021,1045,1086,'OP_TeleportWithinZoneMsg',74,1),
(2022,1045,1086,'OP_TeleportWithinZoneNoReloadMsg',75,1),
(2023,1045,1086,'OP_MigrateClientToZoneRequestMsg',76,1),
(2024,1045,1086,'OP_MigrateClientToZoneReplyMsg',77,1),
(2025,1045,1086,'OP_ReadyToZoneMsg',78,1),
(2026,1045,1086,'OP_RemoveClientFromGroupMsg',79,1),
(2027,1045,1086,'OP_RemoveGroupFromGroupMsg',80,1),
(2028,1045,1086,'OP_MakeGroupLeaderMsg',81,1),
(2029,1045,1086,'OP_GroupCreatedMsg',82,1),
(2030,1045,1086,'OP_GroupDestroyedMsg',83,1),
(2031,1045,1086,'OP_GroupMemberAddedMsg',84,1),
(2032,1045,1086,'OP_GroupMemberRemovedMsg',85,1),
(2033,1045,1086,'OP_GroupRemovedFromGroupMsg',86,1),
(2034,1045,1086,'OP_GroupLeaderChangedMsg',87,1),
(2035,1045,1086,'OP_GroupResendOOZDataMsg',88,1),
(2036,1045,1086,'OP_GroupSettingsChangedMsg',89,1),
(2037,1045,1086,'OP_OutOfZoneMemberDataMsg',90,1),
(2038,1045,1086,'OP_SendLatestRequestMsg',91,1),
(2039,1045,1086,'OP_ClearDataMsg',92,1),
(2040,1045,1086,'OP_SetSocialMsg',93,1),
(2041,1045,1086,'OP_ESStatusMsg',94,1),
(2042,1045,1086,'OP_ESZoneInstanceStatusMsg',95,1),
(2043,1045,1086,'OP_ZonesStatusRequestMsg',96,1),
(2044,1045,1086,'OP_ZonesStatusMsg',97,1),
(2045,1045,1086,'OP_ESWeatherRequestMsg',98,1),
(2046,1045,1086,'OP_ESWeatherRequestEndMsg',99,1),
(2047,1045,1086,'OP_DialogSelectMsg',102,1),
(2048,1045,1086,'OP_DialogCloseMsg',103,1),
(2049,1045,1086,'OP_RemoveSpellEffectMsg',104,1),
(2050,1045,1086,'OP_RemoveConcentrationMsg',105,1),
(2051,1045,1086,'OP_QuestJournalOpenMsg',106,1),
(2052,1045,1086,'OP_QuestJournalInspectMsg',107,1),
(2053,1045,1086,'OP_QuestJournalSetVisibleMsg',108,1),
(2054,1045,1086,'OP_QuestJournalWaypointMsg',109,1),
(2055,1045,1086,'OP_CreateGuildRequestMsg',110,1),
(2056,1045,1086,'OP_CreateGuildReplyMsg',111,1),
(2057,1045,1086,'OP_GuildsayMsg',112,1),
(2058,1045,1086,'OP_GuildUpdateMsg',119,1),
(2059,1045,1086,'OP_DeleteGuildMsg',120,1),
(2060,1045,1086,'OP_FellowshipExpMsg',121,1),
(2061,1045,1086,'OP_ConsignmentCloseStoreMsg',122,1),
(2062,1045,1086,'OP_ConsignItemRequestMsg',123,1),
(2063,1045,1086,'OP_ConsignItemResponseMsg',124,1),
(2064,1045,1086,'OP_PurchaseConsignmentRequestMsg',125,1),
(2065,1045,1086,'OP_HouseDeletedRemotelyMsg',126,1),
(2066,1045,1086,'OP_UpdateHouseDataMsg',127,1),
(2067,1045,1086,'OP_UpdateHouseAccessDataMsg',128,1),
(2068,1045,1086,'OP_PlayerHouseBaseScreenMsg',129,1),
(2069,1045,1086,'OP_PlayerHousePurchaseScreenMsg',130,1),
(2070,1045,1086,'OP_PlayerHouseAccessUpdateMsg',131,1),
(2071,1045,1086,'OP_PlayerHouseDisplayStatusMsg',132,1),
(2072,1045,1086,'OP_PlayerHouseCloseUIMsg',133,1),
(2073,1045,1086,'OP_BuyPlayerHouseMsg',134,1),
(2074,1045,1086,'OP_BuyPlayerHouseTintMsg',135,1),
(2075,1045,1086,'OP_CollectAllHouseItemsMsg',136,1),
(2076,1045,1086,'OP_RelinquishHouseMsg',137,1),
(2077,1045,1086,'OP_EnterHouseMsg',138,1),
(2078,1045,1086,'OP_ExitHouseMsg',139,1),
(2079,1045,1086,'OP_HouseDefaultAccessSetMsg',140,1),
(2080,1045,1086,'OP_HouseAccessSetMsg',141,1),
(2081,1045,1086,'OP_HouseAccessRemoveMsg',142,1),
(2082,1045,1086,'OP_PayHouseUpkeepMsg',143,1),
(2083,1045,1086,'OP_MoveableObjectPlacementCriteri',145,1),
(2084,1045,1086,'OP_EnterMoveObjectModeMsg',146,1),
(2085,1045,1086,'OP_PositionMoveableObject',147,1),
(2086,1045,1086,'OP_CancelMoveObjectModeMsg',148,1),
(2087,1045,1086,'OP_ShaderCustomizationMsg',149,1),
(2088,1045,1086,'OP_ReplaceableSubMeshesMsg',150,1),
(2089,1045,1086,'OP_HouseCustomizationScreenMsg',151,1),
(2090,1045,1086,'OP_CustomizationPurchaseRequestMs',152,1),
(2091,1045,1086,'OP_CustomizationSetRequestMsg',153,1),
(2092,1045,1086,'OP_CustomizationReplyMsg',154,1),
(2093,1045,1086,'OP_TintWidgetsMsg',155,1),
(2094,1045,1086,'OP_ExamineConsignmentRequestMsg',156,1),
(2095,1045,1086,'OP_ExamineConsignmentResponseMsg',157,1),
(2096,1045,1086,'OP_UISettingsResponseMsg',158,1),
(2097,1045,1086,'OP_UIResetMsg',160,1),
(2098,1045,1086,'OP_KeymapLoadMsg',161,1),
(2099,1045,1086,'OP_KeymapNoneMsg',162,1),
(2100,1045,1086,'OP_KeymapDataMsg',163,1),
(2101,1045,1086,'OP_KeymapSaveMsg',164,1),
(2102,1045,1086,'OP_DispatchSpellCmdMsg',165,1),
(2103,1045,1086,'OP_EntityVerbsRequestMsg',167,1),
(2104,1045,1086,'OP_EntityVerbsReplyMsg',168,1),
(2105,1045,1086,'OP_EntityVerbsVerbMsg',169,1),
(2106,1045,1086,'OP_ChatRelationshipUpdateMsg',171,1),
(2107,1045,1086,'OP_LootItemsRequestMsg',172,1),
(2108,1045,1086,'OP_StoppedLootingMsg',173,1),
(2109,1045,1086,'OP_SitMsg',174,1),
(2110,1045,1086,'OP_StandMsg',175,1),
(2111,1045,1086,'OP_SatMsg',176,1),
(2112,1045,1086,'OP_StoodMsg',177,1),
(2113,1045,1086,'OP_ClearForTakeOffMsg',178,1),
(2114,1045,1086,'OP_ReadyForTakeOffMsg',179,1),
(2115,1045,1086,'OP_ShowIllusionsMsg',180,1),
(2116,1045,1086,'OP_HideIllusionsMsg',181,1),
(2117,1045,1086,'OP_ExamineItemRequestMsg',182,1),
(2118,1045,1086,'OP_ReadBookPageMsg',183,1),
(2119,1045,1086,'OP_DefaultGroupOptionsRequestMsg',184,1),
(2120,1045,1086,'OP_DefaultGroupOptionsMsg',185,1),
(2121,1045,1086,'OP_GroupOptionsMsg',186,1),
(2122,1045,1086,'OP_DisplayGroupOptionsScreenMsg',187,1),
(2123,1045,1086,'OP_DisplayInnVisitScreenMsg',188,1),
(2124,1045,1086,'OP_DumpSchedulerMsg',189,1),
(2125,1045,1086,'OP_LSRequestPlayerDescMsg',190,1),
(2126,1045,1086,'OP_LSCheckAcctLockMsg',191,1),
(2127,1045,1086,'OP_WSAcctLockStatusMsg',192,1),
(2128,1045,1086,'OP_RequestHelpRepathMsg',193,1),
(2129,1045,1086,'OP_RequestTargetLocMsg',194,1),
(2130,1045,1086,'OP_UpdateMotdMsg',195,1),
(2131,1045,1086,'OP_PerformPlayerKnockbackMsg',196,1),
(2132,1045,1086,'OP_PerformCameraShakeMsg',197,1),
(2133,1045,1086,'OP_PopulateSkillMapsMsg',200,1),
(2134,1045,1086,'OP_CancelledFeignMsg',202,1),
(2135,1045,1086,'OP_SignalMsg',203,1),
(2136,1045,1086,'OP_ShowCreateFromRecipeUIMsg',204,1),
(2137,1045,1086,'OP_CancelCreateFromRecipeMsg',205,1),
(2138,1045,1086,'OP_BeginItemCreationMsg',206,1),
(2139,1045,1086,'OP_StopItemCreationMsg',207,1),
(2140,1045,1086,'OP_ShowItemCreationProcessUIMsg',208,1),
(2141,1045,1086,'OP_UpdateItemCreationProcessUIMsg',209,1),
(2142,1045,1086,'OP_DisplayTSEventReactionMsg',210,1),
(2143,1045,1086,'OP_ShowRecipeBookMsg',211,1),
(2144,1045,1086,'OP_KnowledgebaseRequestMsg',212,1),
(2145,1045,1086,'OP_KnowledgebaseResponseMsg',213,1),
(2146,1045,1086,'OP_CSTicketHeaderRequestMsg',214,1),
(2147,1045,1086,'OP_CSTicketInfoMsg',215,1),
(2148,1045,1086,'OP_CSTicketCommentRequestMsg',216,1),
(2149,1045,1086,'OP_CSTicketCommentResponseMsg',217,1),
(2150,1045,1086,'OP_CSTicketCreateMsg',218,1),
(2151,1045,1086,'OP_CSTicketAddCommentMsg',219,1),
(2152,1045,1086,'OP_CSTicketDeleteMsg',220,1),
(2153,1045,1086,'OP_CSTicketChangeNotificationMsg',221,1),
(2154,1045,1086,'OP_WorldDataUpdateMsg',222,1),
(2155,1045,1086,'OP_KnownLanguagesMsg',223,1),
(2156,1045,1086,'OP_LsRequestClientCrashLogMsg',224,1),
(2157,1045,1086,'OP_LsClientBaselogReplyMsg',225,1),
(2158,1045,1086,'OP_LsClientCrashlogReplyMsg',226,1),
(2159,1045,1086,'OP_LsClientAlertlogReplyMsg',227,1),
(2160,1045,1086,'OP_LsClientVerifylogReplyMsg',228,1),
(2161,1045,1086,'OP_ClientTeleportToLocationMsg',229,1),
(2162,1045,1086,'OP_UpdateClientPredFlagsMsg',230,1),
(2163,1045,1086,'OP_ChangeServerControlFlagMsg',231,1),
(2164,1045,1086,'OP_CSToolsRequestMsg',232,1),
(2165,1045,1086,'OP_CSToolsResponseMsg',233,1),
(2166,1045,1086,'OP_AddSocialStructureStandingMsg',234,1),
(2167,1045,1086,'OP_CreateBoatTransportsMsg',235,1),
(2168,1045,1086,'OP_PositionBoatTransportMsg',236,1),
(2169,1045,1086,'OP_MigrateBoatTransportMsg',237,1),
(2170,1045,1086,'OP_MigrateBoatTransportReplyMsg',238,1),
(2171,1045,1086,'OP_DisplayDebugNLLPointsMsg',239,1),
(2172,1045,1086,'OP_ExamineInfoRequestMsg',240,1),
(2173,1045,1086,'OP_QuickbarInitMsg',241,1),
(2174,1045,1086,'OP_QuickbarUpdateMsg',242,1),
(2175,1045,1086,'OP_MacroInitMsg',243,1),
(2176,1045,1086,'OP_MacroUpdateMsg',244,1),
(2177,1045,1086,'OP_QuestionnaireMsg',245,1),
(2178,1045,1086,'OP_LevelChangedMsg',246,1),
(2179,1045,1086,'OP_SpellGainedMsg',247,1),
(2180,1045,1086,'OP_EncounterBrokenMsg',248,1),
(2181,1045,1086,'OP_OnscreenMsgMsg',249,1),
(2182,1045,1086,'OP_DisplayWarningMsg',250,1),
(2183,1045,1086,'OP_ModifyGuildMsg',251,1),
(2184,1045,1086,'OP_GuildEventMsg',252,1),
(2185,1045,1086,'OP_GuildEventAddMsg',253,1),
(2186,1045,1086,'OP_GuildEventActionMsg',254,1),
(2187,1045,1086,'OP_GuildEventListMsg',255,1),
(2188,1045,1086,'OP_RequestGuildEventDetailsMsg',256,1),
(2189,1045,1086,'OP_GuildEventDetailsMsg',257,1),
(2190,1045,1086,'OP_RequestGuildInfoMsg',258,1),
(2191,1045,1086,'OP_GuildBankActionMsg',259,1),
(2192,1045,1086,'OP_GuildBankActionResponseMsg',260,1),
(2193,1045,1086,'OP_GuildBankItemDetailsRequestMsg',261,1),
(2194,1045,1086,'OP_GuildBankItemDetailsResponseMs',262,1),
(2195,1045,1086,'OP_GuildBankUpdateMsg',263,1),
(2196,1045,1086,'OP_GuildBankEventListMsg',264,1),
(2197,1045,1086,'OP_RequestGuildBankEventDetailsMs',265,1),
(2198,1045,1086,'OP_RewardPackMsg',266,1),
(2199,1045,1086,'OP_RenameGuildMsg',267,1),
(2200,1045,1086,'OP_ZoneToFriendRequestMsg',269,1),
(2201,1045,1086,'OP_ZoneToFriendReplyMsg',270,1),
(2202,1045,1086,'OP_ChatCreateChannelMsg',271,1),
(2203,1045,1086,'OP_ChatJoinChannelMsg',272,1),
(2204,1045,1086,'OP_ChatWhoChannelMsg',273,1),
(2205,1045,1086,'OP_ChatLeaveChannelMsg',274,1),
(2206,1045,1086,'OP_ChatTellChannelMsg',275,1),
(2207,1045,1086,'OP_ChatTellUserMsg',276,1),
(2208,1045,1086,'OP_ChatToggleFriendMsg',277,1),
(2209,1045,1086,'OP_ChatToggleIgnoreMsg',278,1),
(2210,1045,1086,'OP_ChatSendFriendsMsg',279,1),
(2211,1045,1086,'OP_ChatSendIgnoresMsg',280,1),
(2212,1045,1086,'OP_QuestReward',307,1),
(2213,1045,1086,'OP_ChatFiltersMsg',322,1),
(2214,1045,1086,'OP_MailGetHeadersMsg',323,1),
(2215,1045,1086,'OP_MailGetMessageMsg',324,1),
(2216,1045,1086,'OP_MailSendMessageMsg',325,1),
(2217,1045,1086,'OP_MailDeleteMessageMsg',326,1),
(2218,1045,1086,'OP_MailGetHeadersReplyMsg',327,1),
(2219,1045,1086,'OP_MailGetMessageReplyMsg',328,1),
(2220,1045,1086,'OP_MailSendMessageReplyMsg',329,1),
(2221,1045,1086,'OP_MailCommitSendMessageMsg',330,1),
(2222,1045,1086,'OP_MailSendSystemMessageMsg',331,1),
(2223,1045,1086,'OP_MailRemoveAttachFromMailMsg',332,1),
(2224,1045,1086,'OP_WaypointRequestMsg',334,1),
(2225,1045,1086,'OP_WaypointReplyMsg',335,1),
(2226,1045,1086,'OP_WaypointSelectMsg',336,1),
(2227,1045,1086,'OP_WaypointUpdateMsg',337,1),
(2228,1045,1086,'OP_CharNameChangedMsg',338,1),
(2229,1045,1086,'OP_ShowZoneTeleporterDestinations',339,1),
(2230,1045,1086,'OP_SelectZoneTeleporterDestinatio',340,1),
(2231,1045,1086,'OP_ReloadLocalizedTxtMsg',341,1),
(2232,1045,1086,'OP_RequestGuildMembershipMsg',342,1),
(2233,1045,1086,'OP_GuildMembershipResponseMsg',343,1),
(2234,1045,1086,'OP_LeaveGuildNotifyMsg',344,1),
(2235,1045,1086,'OP_JoinGuildNotifyMsg',345,1),
(2236,1045,1086,'OP_AvatarUpdateMsg',347,1),
(2237,1045,1086,'OP_BioUpdateMsg',348,1),
(2238,1045,1086,'OP_InspectPlayerMsg',349,1),
(2239,1045,1086,'OP_WSServerLockMsg',350,1),
(2240,1045,1086,'OP_LSServerLockMsg',351,1),
(2241,1045,1086,'OP_WSServerHideMsg',352,1),
(2242,1045,1086,'OP_CsCategoryRequestMsg',353,1),
(2243,1045,1086,'OP_CsCategoryResponseMsg',354,1),
(2244,1045,1086,'OP_KnowledgeWindowSlotMappingMsg',355,1),
(2245,1045,1086,'OP_LFGUpdateMsg',356,1),
(2246,1045,1086,'OP_AFKUpdateMsg',357,1),
(2247,1045,1086,'OP_AnonUpdateMsg',358,1),
(2248,1045,1086,'OP_UpdateActivePublicZonesMsg',359,1),
(2249,1045,1086,'OP_UnknownNpcMsg',360,1),
(2250,1045,1086,'OP_PromoFlagsDetailsMsg',361,1),
(2251,1045,1086,'OP_ConsignViewCreateMsg',362,1),
(2252,1045,1086,'OP_ConsignViewGetPageMsg',363,1),
(2253,1045,1086,'OP_ConsignViewReleaseMsg',364,1),
(2254,1045,1086,'OP_ConsignRemoveItemsMsg',365,1),
(2255,1045,1086,'OP_UpdateDebugRadiiMsg',366,1),
(2256,1045,1086,'OP_SnoopMsg',367,1),
(2257,1045,1086,'OP_ReportMsg',368,1),
(2258,1045,1086,'OP_UpdateRaidMsg',369,1),
(2259,1045,1086,'OP_ConsignViewSortMsg',370,1),
(2260,1045,1086,'OP_TitleUpdateMsg',371,1),
(2261,1045,1086,'OP_ClientFellMsg',372,1),
(2262,1045,1086,'OP_ClientInDeathRegionMsg',373,1),
(2263,1045,1086,'OP_CampClientMsg',374,1),
(2264,1045,1086,'OP_CSToolAccessResponseMsg',375,1),
(2265,1045,1086,'OP_TrackingUpdateMsg',376,1),
(2266,1045,1086,'OP_BeginTrackingMsg',377,1),
(2267,1045,1086,'OP_StopTrackingMsg',378,1),
(2268,1045,1086,'OP_GetAvatarAccessRequestForCSToo',379,1),
(2269,1045,1086,'OP_AdvancementRequestMsg',380,1),
(2270,1045,1086,'OP_UpdateAvgFrameTimeMsg',381,1),
(2271,1045,1086,'OP_MapFogDataInitMsg',382,1),
(2272,1045,1086,'OP_MapFogDataUpdateMsg',383,1),
(2273,1045,1086,'OP_CloseGroupInviteWindowMsg',384,1),
(2274,1045,1086,'OP_UpdateGroupMemberDataMsg',385,1),
(2275,1045,1086,'OP_WorldPingMsg',386,1),
(2276,1045,1086,'OP_MoveLogUpdateMsg',387,1),
(2277,1045,1086,'OP_OfferQuestMsg',388,1),
(2278,1045,1086,'OP_WorldShutdownUpdateMsg',389,1),
(2279,1045,1086,'OP_DisplayMailScreenMsg',390,1),
(2280,1045,1086,'OP_ClientIdleBeginMsg',391,1),
(2281,1045,1086,'OP_ClientIdleEndMsg',392,1),
(2282,1045,1086,'OP_PurchaseConsignmentLoreCheckRe',393,1),
(2283,1045,1086,'OP_NotifyApprenticeStoppedMentori',394,1),
(2284,1045,1086,'OP_CorruptedClientMsg',395,1),
(2285,1045,1086,'OP_WorldDataChangeMsg',396,1),
(2286,1045,1086,'OP_MailEventNotificationMsg',397,1),
(2287,1045,1086,'OP_RestartZoneMsg',398,1),
(2288,1045,1086,'OP_FlightPathsMsg',399,1),
(2289,1045,1086,'OP_CharacterLinkdeadMsg',400,1),
(2290,1045,1086,'OP_CharTransferStartRequestMsg',401,1),
(2291,1045,1086,'OP_CharTransferStartReplyMsg',402,1),
(2292,1045,1086,'OP_CharTransferRequestMsg',403,1),
(2293,1045,1086,'OP_CharTransferReplyMsg',404,1),
(2294,1045,1086,'OP_CharTransferRollbackRequestMsg',405,1),
(2295,1045,1086,'OP_CharTransferCommitRequestMsg',406,1),
(2296,1045,1086,'OP_CharTransferRollbackReplyMsg',407,1),
(2297,1045,1086,'OP_CharTransferCommitReplyMsg',408,1),
(2298,1045,1086,'OP_GetCharacterSerializedRequestM',409,1),
(2299,1045,1086,'OP_GetCharacterSerializedReplyMsg',410,1),
(2300,1045,1086,'OP_CreateCharFromCBBRequestMsg',411,1),
(2301,1045,1086,'OP_CreateCharFromCBBReplyMsg',412,1),
(2302,1045,1086,'OP_HousingDataChangedMsg',413,1),
(2303,1045,1086,'OP_HousingRestoreMsg',414,1),
(2304,1045,1086,'OP_AuctionItem',415,1),
(2305,1045,1086,'OP_AuctionItemReply',416,1),
(2306,1045,1086,'OP_AuctionCoin',417,1),
(2307,1045,1086,'OP_AuctionCoinReply',418,1),
(2308,1045,1086,'OP_AuctionCharacter',419,1),
(2309,1045,1086,'OP_AuctionCharacterReply',420,1),
(2310,1045,1086,'OP_AuctionCommitMsg',421,1),
(2311,1045,1086,'OP_AuctionAbortMsg',422,1),
(2312,1045,1086,'OP_CharTransferValidateRequestMsg',423,1),
(2313,1045,1086,'OP_CharTransferValidateReplyMsg',424,1),
(2314,1045,1086,'OP_RaceRestrictionMsg',425,1),
(2315,1045,1086,'OP_SetInstanceDisplayNameMsg',426,1),
(2316,1045,1086,'OP_GetAuctionAssetIDMsg',427,1),
(2317,1045,1086,'OP_GetAuctionAssetIDReplyMsg',428,1),
(2318,1045,1086,'OP_ResendWorldChannelsMsg',429,1),
(2319,1045,1086,'OP_DisplayExchangeScreenMsg',430,1),
(2320,1045,1086,'OP_ArenaGameTypesMsg',431,1),
(2321,1045,1086,'OP_AuditAuctionEventMsg',433,1),
(2322,1045,1086,'OP_InviteRequestMsg',435,1),
(2323,1045,1086,'OP_InviteResponseMsg',436,1),
(2324,1045,1086,'OP_InviteTargetResponseMsg',437,1),
(2325,1045,1086,'OP_InspectPlayerRequestMsg',438,1),
(2326,1045,1086,'OP_DispatchMsg',439,1),
(2327,1045,1086,'OP_DisplayEventMsg',440,1),
(2328,1045,1086,'OP_PrePossessionMsg',441,1),
(2329,1045,1086,'OP_PostPossessionMsg',442,1),
(2330,1045,1086,'OP_AdventureList',474,1),
(2331,1045,1086,'OP_CancelSpellCast',475,1),
(2332,1045,1086,'OP_UpdateTitleCmd',483,1),
(2333,1045,1086,'OP_AttackAllowed',487,1),
(2334,1045,1086,'OP_AttackNotAllowed',488,1),
(2335,1045,1086,'OP_DressingRoom',494,1),
(2336,1045,1086,'OP_SkillInfoRequest',498,1),
(2337,1045,1086,'OP_SkillInfoResponse',499,1),
(2338,1045,1086,'OP_BadLanguageFilter',503,1),
(2339,1045,1086,'OP_MapRequest',504,1),
(2340,1045,1086,'OP_EqUnknown',539,1),
(2341,1045,1086,'OP_EqHearChatCmd',541,1),
(2342,1045,1086,'OP_EqDisplayTextCmd',542,1),
(2343,1045,1086,'OP_EqCreateGhostCmd',543,1),
(2344,1045,1086,'OP_EqCreateWidgetCmd',544,1),
(2345,1045,1086,'OP_EqCreateSignWidgetCmd',545,1),
(2346,1045,1086,'OP_EqDestroyGhostCmd',546,1),
(2347,1045,1086,'OP_EqUpdateGhostCmd',547,1),
(2348,1045,1086,'OP_EqSetControlGhostCmd',548,1),
(2349,1045,1086,'OP_EqSetPOVGhostCmd',549,1),
(2350,1045,1086,'OP_EqHearCombatCmd',550,1),
(2351,1045,1086,'OP_EqHearSpellCastCmd',551,1),
(2352,1045,1086,'OP_EqHearSpellInterruptCmd',554,1),
(2353,1045,1086,'OP_EqHearSpellFizzleCmd',555,1),
(2354,1045,1086,'OP_EqHearConsiderCmd',556,1),
(2355,1045,1086,'OP_EqUpdateSubClassesCmd',557,1),
(2356,1045,1086,'OP_EqCreateListBoxCmd',558,1),
(2357,1045,1086,'OP_EqSetDebugPathPointsCmd',559,1),
(2358,1045,1086,'OP_EqCannedEmoteCmd',561,1),
(2359,1045,1086,'OP_EqStateCmd',562,1),
(2360,1045,1086,'OP_EqPlaySoundCmd',563,1),
(2361,1045,1086,'OP_EqPlaySound3DCmd',564,1),
(2362,1045,1086,'OP_EqPlayVoiceCmd',565,1),
(2363,1045,1086,'OP_EqHearDrowningCmd',566,1),
(2364,1045,1086,'OP_EqHearDeathCmd',567,1),
(2365,1045,1086,'OP_EqGroupMemberRemovedCmd',568,1),
(2366,1045,1086,'OP_EqHearChainEffectCmd',569,1),
(2367,1045,1086,'OP_EqReceiveOfferCmd',570,1),
(2368,1045,1086,'OP_EqInspectPCResultsCmd',571,1),
(2369,1045,1086,'OP_EqDrawablePathGraphCmd',572,1),
(2370,1045,1086,'OP_EqDialogOpenCmd',573,1),
(2371,1045,1086,'OP_EqDialogCloseCmd',574,1),
(2372,1045,1086,'OP_EqFactionUpdateCmd',575,1),
(2373,1045,1086,'OP_EqCollectionUpdateCmd',576,1),
(2374,1045,1086,'OP_EqCollectionFilterCmd',577,1),
(2375,1045,1086,'OP_EqCollectionItemCmd',578,1),
(2376,1045,1086,'OP_EqQuestJournalUpdateCmd',579,1),
(2377,1045,1086,'OP_EqQuestJournalReplyCmd',581,1),
(2378,1045,1086,'OP_EqQuestGroupCmd',582,1),
(2379,1045,1086,'OP_EqUpdateMerchantCmd',583,1),
(2380,1045,1086,'OP_EqUpdateStoreCmd',584,1),
(2381,1045,1086,'OP_EqUpdatePlayerTradeCmd',585,1),
(2382,1045,1086,'OP_EqHelpPathCmd',586,1),
(2383,1045,1086,'OP_EqHelpPathClearCmd',587,1),
(2384,1045,1086,'OP_EqUpdateBankCmd',588,1),
(2385,1045,1086,'OP_EqExamineInfoCmd',589,1),
(2386,1045,1086,'OP_EqCloseWindowCmd',590,1),
(2387,1045,1086,'OP_EqUpdateLootCmd',591,1),
(2388,1045,1086,'OP_EqJunctionListCmd',592,1),
(2389,1045,1086,'OP_EqShowDeathWindowCmd',593,1),
(2390,1045,1086,'OP_EqDisplaySpellFailCmd',594,1),
(2391,1045,1086,'OP_EqSpellCastStartCmd',595,1),
(2392,1045,1086,'OP_EqSpellCastEndCmd',596,1),
(2393,1045,1086,'OP_EqResurrectedCmd',597,1),
(2394,1045,1086,'OP_EqChoiceWinCmd',598,1),
(2395,1045,1086,'OP_EqSetDefaultVerbCmd',599,1),
(2396,1045,1086,'OP_EqInstructionWindowCmd',601,1),
(2397,1045,1086,'OP_EqInstructionWindowCloseCmd',602,1),
(2398,1045,1086,'OP_EqInstructionWindowGoalCmd',603,1),
(2399,1045,1086,'OP_EqInstructionWindowTaskCmd',604,1),
(2400,1045,1086,'OP_EqEnableGameEventCmd',605,1),
(2401,1045,1086,'OP_EqShowWindowCmd',606,1),
(2402,1045,1086,'OP_EqEnableWindowCmd',607,1),
(2403,1045,1086,'OP_EqFlashWindowCmd',608,1),
(2404,1045,1086,'OP_EqHearPlayFlavorCmd',609,1),
(2405,1045,1086,'OP_EqUpdateSignWidgetCmd',611,1),
(2406,1045,1086,'OP_EqDebugPVDCmd',612,1),
(2407,1045,1086,'OP_EqShowBookCmd',613,1),
(2408,1045,1086,'OP_EqQuestionnaireCmd',614,1),
(2409,1045,1086,'OP_EqGetProbsCmd',615,1),
(2410,1045,1086,'OP_EqHearHealCmd',616,1),
(2411,1045,1086,'OP_EqChatChannelUpdateCmd',617,1),
(2412,1045,1086,'OP_EqWhoChannelQueryReplyCmd',618,1),
(2413,1045,1086,'OP_EqAvailWorldChannelsCmd',619,1),
(2414,1045,1086,'OP_EqUpdateTargetCmd',620,1),
(2415,1045,1086,'OP_EqConsignmentItemsCmd',622,1),
(2416,1045,1086,'OP_EqStartBrokerCmd',624,1),
(2417,1045,1086,'OP_EqMapExplorationCmd',625,1),
(2418,1045,1086,'OP_EqStoreLogCmd',626,1),
(2419,1045,1086,'OP_EqSpellMoveToRangeAndRetryCmd',627,1),
(2420,1045,1086,'OP_EqUpdatePlayerMailCmd',628,1),
(2421,1045,1086,'OP_EqArenaResultsCmd',629,1),
(2422,1045,1086,'OP_EqGuildBankEventActionCmd',630,1),
(2423,1045,1086,'OP_EqGuildBankExamineInfoCmd',631,1),
(2424,1045,1086,'OP_EqHearSpellNoLandCmd',632,1),
(2425,1045,1086,'OP_Lottery',636,1),
(2426,1045,1086,'OP_GuildRecruitingMemberInfo',637,1),
(2427,1045,1086,'OP_GuildRecruiting',638,1),
(2428,1045,1086,'OP_GuildRecruitingDetails',639,1),
(2429,1045,1086,'OP_GuildRecruitingImage',640,1),
(2430,1045,1086,'OP_PointOfInterest',661,1),
(2431,1045,1086,'OP_TraitsList',663,1),
(2432,1045,1086,'OP_RecipeList',672,1),
(2433,1045,1086,'OP_CharacterAchievements',674,1),
(2434,1045,1086,'OP_AddClientToGroupMsg',1054,1),
(2435,1045,1086,'OP_AddGroupToGroupMsg',1054,1),
(2436,1045,1086,'OP_GuildKickMsg',1054,1),
(2437,1045,1086,'OP_ProcessScriptMsg',1054,1),
(2438,1045,1086,'OP_ProcessWorkspaceMsg',1054,1),
(2439,1045,1086,'OP_PurchaseConsignmentResponseMsg',1054,1),
(2440,1045,1086,'OP_QuickbarAddMsg',1054,1),
(2441,1045,1086,'OP_SkillSlotMapping',1054,1),
(2442,1045,1086,'OP_Unknown',10058,1),
(2443,1045,1086,'OP_WSWeatherUpdateMsg',10059,1),
(2444,1096,1096,'OP_LoginRequestMsg',0,1),
(2445,1096,1096,'OP_LoginByNumRequestMsg',1,1),
(2446,1096,1096,'OP_WSLoginRequestMsg',2,1),
(2447,1096,1096,'OP_ESLoginRequestMsg',3,1),
(2448,1096,1096,'OP_LoginReplyMsg',4,1),
(2449,1096,1096,'OP_WSStatusReplyMsg',5,1),
(2450,1096,1096,'OP_WorldStatusChangeMsg',6,1),
(2451,1096,1096,'OP_AllWSDescRequestMsg',7,1),
(2452,1096,1096,'OP_WorldListMsg',8,1),
(2453,1096,1096,'OP_AllCharactersDescRequestMsg',9,1),
(2454,1096,1096,'OP_AllCharactersDescReplyMsg',10,1),
(2455,1096,1096,'OP_CreateCharacterRequestMsg',11,1),
(2456,1096,1096,'OP_CreateCharacterReplyMsg',12,1),
(2457,1096,1096,'OP_WSCreateCharacterRequestMsg',13,1),
(2458,1096,1096,'OP_WSCreateCharacterReplyMsg',14,1),
(2459,1096,1096,'OP_ReskinCharacterRequestMsg',15,1),
(2460,1096,1096,'OP_DeleteCharacterRequestMsg',16,1),
(2461,1096,1096,'OP_DeleteCharacterReplyMsg',17,1),
(2462,1096,1096,'OP_PlayCharacterRequestMsg',18,1),
(2463,1096,1096,'OP_PlayCharacterReplyMsg',19,1),
(2464,1096,1096,'OP_ExpectClientAsCharacterReplyMs',22,1),
(2465,1096,1096,'OP_ServerPlayCharacterRequestMsg',23,1),
(2466,1096,1096,'OP_ServerPlayCharacterReplyMsg',24,1),
(2467,1096,1096,'OP_ESInitMsg',25,1),
(2468,1096,1096,'OP_ESReadyForClientsMsg',26,1),
(2469,1096,1096,'OP_CreateZoneInstanceMsg',27,1),
(2470,1096,1096,'OP_ZoneInstanceCreateReplyMsg',28,1),
(2471,1096,1096,'OP_ZoneInstanceDestroyedMsg',29,1),
(2472,1096,1096,'OP_ExpectClientAsCharacterRequest',30,1),
(2473,1096,1096,'OP_ZoneInfoMsg',32,1),
(2474,1096,1096,'OP_DoneLoadingZoneResourcesMsg',33,1),
(2475,1096,1096,'OP_DoneSendingInitialEntitiesMsg',34,1),
(2476,1096,1096,'OP_DoneLoadingEntityResourcesMsg',35,1),
(2477,1096,1096,'OP_PredictionUpdateMsg',36,1),
(2478,1096,1096,'OP_UpdatePositionMsg',38,1),
(2479,1096,1096,'OP_SetRemoteCmdsMsg',40,1),
(2480,1096,1096,'OP_RemoteCmdMsg',41,1),
(2481,1096,1096,'OP_GameWorldTimeMsg',42,1),
(2482,1096,1096,'OP_MOTDMsg',43,1),
(2483,1096,1096,'OP_ZoneMOTDMsg',44,1),
(2484,1096,1096,'OP_AvatarCreatedMsg',45,1),
(2485,1096,1096,'OP_AvatarDestroyedMsg',46,1),
(2486,1096,1096,'OP_RequestCampMsg',48,1),
(2487,1096,1096,'OP_CampStartedMsg',49,1),
(2488,1096,1096,'OP_CampAbortedMsg',50,1),
(2489,1096,1096,'OP_WhoQueryRequestMsg',51,1),
(2490,1096,1096,'OP_WhoQueryReplyMsg',52,1),
(2491,1096,1096,'OP_MonitorReplyMsg',53,1),
(2492,1096,1096,'OP_MonitorCharacterListMsg',54,1),
(2493,1096,1096,'OP_MonitorCharacterListRequestMsg',55,1),
(2494,1096,1096,'OP_ClientCmdMsg',56,1),
(2495,1096,1096,'OP_DispatchESMsg',57,1),
(2496,1096,1096,'OP_DispatchClientCmdMsg',58,1),
(2497,1096,1096,'OP_UpdateTargetMsg',59,1),
(2498,1096,1096,'OP_UpdateTargetLocMsg',60,1),
(2499,1096,1096,'OP_UpdateCharacterSheetMsg',61,1),
(2500,1096,1096,'OP_UpdateSpellBookMsg',62,1),
(2501,1096,1096,'OP_UpdateInventoryMsg',64,1),
(2502,1096,1096,'OP_UpdateRecipeBookMsg',66,1),
(2503,1096,1096,'OP_RequestRecipeDetailsMsg',67,1),
(2504,1096,1096,'OP_RecipeDetailsMsg',68,1),
(2505,1096,1096,'OP_UpdateSkillBookMsg',69,1),
(2506,1096,1096,'OP_UpdateSkillsMsg',70,1),
(2507,1096,1096,'OP_UpdateOpportunityMsg',71,1),
(2508,1096,1096,'OP_ChangeZoneMsg',73,1),
(2509,1096,1096,'OP_ClientTeleportRequestMsg',74,1),
(2510,1096,1096,'OP_TeleportWithinZoneMsg',75,1),
(2511,1096,1096,'OP_TeleportWithinZoneNoReloadMsg',76,1),
(2512,1096,1096,'OP_MigrateClientToZoneRequestMsg',77,1),
(2513,1096,1096,'OP_MigrateClientToZoneReplyMsg',78,1),
(2514,1096,1096,'OP_ReadyToZoneMsg',80,1),
(2515,1096,1096,'OP_RemoveClientFromGroupMsg',81,1),
(2516,1096,1096,'OP_RemoveGroupFromGroupMsg',82,1),
(2517,1096,1096,'OP_MakeGroupLeaderMsg',83,1),
(2518,1096,1096,'OP_GroupCreatedMsg',84,1),
(2519,1096,1096,'OP_GroupDestroyedMsg',85,1),
(2520,1096,1096,'OP_GroupMemberAddedMsg',86,1),
(2521,1096,1096,'OP_GroupMemberRemovedMsg',87,1),
(2522,1096,1096,'OP_GroupRemovedFromGroupMsg',88,1),
(2523,1096,1096,'OP_GroupLeaderChangedMsg',89,1),
(2524,1096,1096,'OP_GroupResendOOZDataMsg',90,1),
(2525,1096,1096,'OP_GroupSettingsChangedMsg',91,1),
(2526,1096,1096,'OP_OutOfZoneMemberDataMsg',92,1),
(2527,1096,1096,'OP_SendLatestRequestMsg',93,1),
(2528,1096,1096,'OP_ClearDataMsg',94,1),
(2529,1096,1096,'OP_SetSocialMsg',95,1),
(2530,1096,1096,'OP_ESStatusMsg',96,1),
(2531,1096,1096,'OP_ESZoneInstanceStatusMsg',97,1),
(2532,1096,1096,'OP_ZonesStatusRequestMsg',98,1),
(2533,1096,1096,'OP_ZonesStatusMsg',99,1),
(2534,1096,1096,'OP_ESWeatherRequestMsg',100,1),
(2535,1096,1096,'OP_ESWeatherRequestEndMsg',101,1),
(2536,1096,1096,'OP_DialogSelectMsg',105,1),
(2537,1096,1096,'OP_DialogCloseMsg',106,1),
(2538,1096,1096,'OP_RemoveSpellEffectMsg',107,1),
(2539,1096,1096,'OP_RemoveConcentrationMsg',108,1),
(2540,1096,1096,'OP_QuestJournalOpenMsg',109,1),
(2541,1096,1096,'OP_QuestJournalInspectMsg',110,1),
(2542,1096,1096,'OP_QuestJournalSetVisibleMsg',111,1),
(2543,1096,1096,'OP_QuestJournalWaypointMsg',112,1),
(2544,1096,1096,'OP_CreateGuildRequestMsg',113,1),
(2545,1096,1096,'OP_CreateGuildReplyMsg',114,1),
(2546,1096,1096,'OP_GuildsayMsg',115,1),
(2547,1096,1096,'OP_FellowshipExpMsg',118,1),
(2548,1096,1096,'OP_DeleteGuildMsg',119,1),
(2549,1096,1096,'OP_GuildUpdateMsg',120,1),
(2550,1096,1096,'OP_ConsignmentCloseStoreMsg',121,1),
(2551,1096,1096,'OP_ConsignItemRequestMsg',122,1),
(2552,1096,1096,'OP_ConsignItemResponseMsg',123,1),
(2553,1096,1096,'OP_PurchaseConsignmentRequestMsg',124,1),
(2554,1096,1096,'OP_HouseDeletedRemotelyMsg',125,1),
(2555,1096,1096,'OP_UpdateHouseDataMsg',126,1),
(2556,1096,1096,'OP_UpdateHouseAccessDataMsg',127,1),
(2557,1096,1096,'OP_PlayerHouseBaseScreenMsg',128,1),
(2558,1096,1096,'OP_PlayerHousePurchaseScreenMsg',129,1),
(2559,1096,1096,'OP_PlayerHouseAccessUpdateMsg',130,1),
(2560,1096,1096,'OP_PlayerHouseDisplayStatusMsg',131,1),
(2561,1096,1096,'OP_PlayerHouseCloseUIMsg',132,1),
(2562,1096,1096,'OP_BuyPlayerHouseMsg',133,1),
(2563,1096,1096,'OP_BuyPlayerHouseTintMsg',134,1),
(2564,1096,1096,'OP_CollectAllHouseItemsMsg',135,1),
(2565,1096,1096,'OP_RelinquishHouseMsg',136,1),
(2566,1096,1096,'OP_EnterHouseMsg',137,1),
(2567,1096,1096,'OP_ExitHouseMsg',138,1),
(2568,1096,1096,'OP_HouseDefaultAccessSetMsg',139,1),
(2569,1096,1096,'OP_HouseAccessSetMsg',140,1),
(2570,1096,1096,'OP_HouseAccessRemoveMsg',141,1),
(2571,1096,1096,'OP_PayHouseUpkeepMsg',142,1),
(2572,1096,1096,'OP_MoveableObjectPlacementCriteri',146,1),
(2573,1096,1096,'OP_EnterMoveObjectModeMsg',147,1),
(2574,1096,1096,'OP_PositionMoveableObject',148,1),
(2575,1096,1096,'OP_CancelMoveObjectModeMsg',149,1),
(2576,1096,1096,'OP_ShaderCustomizationMsg',150,1),
(2577,1096,1096,'OP_ReplaceableSubMeshesMsg',151,1),
(2578,1096,1096,'OP_HouseCustomizationScreenMsg',152,1),
(2579,1096,1096,'OP_CustomizationPurchaseRequestMs',153,1),
(2580,1096,1096,'OP_CustomizationSetRequestMsg',154,1),
(2581,1096,1096,'OP_CustomizationReplyMsg',155,1),
(2582,1096,1096,'OP_TintWidgetsMsg',156,1),
(2583,1096,1096,'OP_ExamineConsignmentRequestMsg',157,1),
(2584,1096,1096,'OP_ExamineConsignmentResponseMsg',158,1),
(2585,1096,1096,'OP_UISettingsResponseMsg',159,1),
(2586,1096,1096,'OP_UIResetMsg',160,1),
(2587,1096,1096,'OP_KeymapLoadMsg',161,1),
(2588,1096,1096,'OP_KeymapNoneMsg',162,1),
(2589,1096,1096,'OP_KeymapDataMsg',163,1),
(2590,1096,1096,'OP_KeymapSaveMsg',164,1),
(2591,1096,1096,'OP_DispatchSpellCmdMsg',165,1),
(2592,1096,1096,'OP_EntityVerbsRequestMsg',166,1),
(2593,1096,1096,'OP_EntityVerbsReplyMsg',167,1),
(2594,1096,1096,'OP_EntityVerbsVerbMsg',168,1),
(2595,1096,1096,'OP_ChatRelationshipUpdateMsg',170,1),
(2596,1096,1096,'OP_LootItemsRequestMsg',171,1),
(2597,1096,1096,'OP_StoppedLootingMsg',172,1),
(2598,1096,1096,'OP_SitMsg',173,1),
(2599,1096,1096,'OP_StandMsg',174,1),
(2600,1096,1096,'OP_SatMsg',175,1),
(2601,1096,1096,'OP_StoodMsg',176,1),
(2602,1096,1096,'OP_ClearForTakeOffMsg',177,1),
(2603,1096,1096,'OP_ReadyForTakeOffMsg',178,1),
(2604,1096,1096,'OP_ShowIllusionsMsg',179,1),
(2605,1096,1096,'OP_HideIllusionsMsg',180,1),
(2606,1096,1096,'OP_ExamineItemRequestMsg',181,1),
(2607,1096,1096,'OP_ReadBookPageMsg',182,1),
(2608,1096,1096,'OP_DefaultGroupOptionsRequestMsg',183,1),
(2609,1096,1096,'OP_DefaultGroupOptionsMsg',184,1),
(2610,1096,1096,'OP_GroupOptionsMsg',185,1),
(2611,1096,1096,'OP_DisplayGroupOptionsScreenMsg',186,1),
(2612,1096,1096,'OP_DisplayInnVisitScreenMsg',188,1),
(2613,1096,1096,'OP_DumpSchedulerMsg',189,1),
(2614,1096,1096,'OP_LSRequestPlayerDescMsg',190,1),
(2615,1096,1096,'OP_LSCheckAcctLockMsg',191,1),
(2616,1096,1096,'OP_WSAcctLockStatusMsg',192,1),
(2617,1096,1096,'OP_RequestHelpRepathMsg',193,1),
(2618,1096,1096,'OP_RequestTargetLocMsg',194,1),
(2619,1096,1096,'OP_UpdateMotdMsg',195,1),
(2620,1096,1096,'OP_PerformPlayerKnockbackMsg',197,1),
(2621,1096,1096,'OP_PerformCameraShakeMsg',198,1),
(2622,1096,1096,'OP_PopulateSkillMapsMsg',199,1),
(2623,1096,1096,'OP_CancelledFeignMsg',201,1),
(2624,1096,1096,'OP_SignalMsg',202,1),
(2625,1096,1096,'OP_ShowCreateFromRecipeUIMsg',203,1),
(2626,1096,1096,'OP_CancelCreateFromRecipeMsg',204,1),
(2627,1096,1096,'OP_BeginItemCreationMsg',205,1),
(2628,1096,1096,'OP_StopItemCreationMsg',206,1),
(2629,1096,1096,'OP_ShowItemCreationProcessUIMsg',207,1),
(2630,1096,1096,'OP_UpdateItemCreationProcessUIMsg',208,1),
(2631,1096,1096,'OP_DisplayTSEventReactionMsg',209,1),
(2632,1096,1096,'OP_ShowRecipeBookMsg',210,1),
(2633,1096,1096,'OP_KnowledgebaseRequestMsg',211,1),
(2634,1096,1096,'OP_KnowledgebaseResponseMsg',212,1),
(2635,1096,1096,'OP_CSTicketHeaderRequestMsg',213,1),
(2636,1096,1096,'OP_CSTicketInfoMsg',214,1),
(2637,1096,1096,'OP_CSTicketCommentRequestMsg',215,1),
(2638,1096,1096,'OP_CSTicketCommentResponseMsg',216,1),
(2639,1096,1096,'OP_CSTicketCreateMsg',217,1),
(2640,1096,1096,'OP_CSTicketAddCommentMsg',218,1),
(2641,1096,1096,'OP_CSTicketDeleteMsg',219,1),
(2642,1096,1096,'OP_CSTicketChangeNotificationMsg',220,1),
(2643,1096,1096,'OP_WorldDataUpdateMsg',221,1),
(2644,1096,1096,'OP_KnownLanguagesMsg',222,1),
(2645,1096,1096,'OP_LsRequestClientCrashLogMsg',223,1),
(2646,1096,1096,'OP_LsClientBaselogReplyMsg',224,1),
(2647,1096,1096,'OP_LsClientCrashlogReplyMsg',225,1),
(2648,1096,1096,'OP_LsClientAlertlogReplyMsg',226,1),
(2649,1096,1096,'OP_LsClientVerifylogReplyMsg',227,1),
(2650,1096,1096,'OP_ClientTeleportToLocationMsg',228,1),
(2651,1096,1096,'OP_UpdateClientPredFlagsMsg',229,1),
(2652,1096,1096,'OP_ChangeServerControlFlagMsg',230,1),
(2653,1096,1096,'OP_CSToolsRequestMsg',231,1),
(2654,1096,1096,'OP_CSToolsResponseMsg',232,1),
(2655,1096,1096,'OP_AddSocialStructureStandingMsg',233,1),
(2656,1096,1096,'OP_CreateBoatTransportsMsg',234,1),
(2657,1096,1096,'OP_PositionBoatTransportMsg',235,1),
(2658,1096,1096,'OP_MigrateBoatTransportMsg',236,1),
(2659,1096,1096,'OP_MigrateBoatTransportReplyMsg',237,1),
(2660,1096,1096,'OP_DisplayDebugNLLPointsMsg',238,1),
(2661,1096,1096,'OP_ExamineInfoRequestMsg',239,1),
(2662,1096,1096,'OP_QuickbarInitMsg',240,1),
(2663,1096,1096,'OP_QuickbarUpdateMsg',241,1),
(2664,1096,1096,'OP_MacroInitMsg',242,1),
(2665,1096,1096,'OP_MacroUpdateMsg',243,1),
(2666,1096,1096,'OP_QuestionnaireMsg',244,1),
(2667,1096,1096,'OP_LevelChangedMsg',245,1),
(2668,1096,1096,'OP_SpellGainedMsg',246,1),
(2669,1096,1096,'OP_EncounterBrokenMsg',247,1),
(2670,1096,1096,'OP_OnscreenMsgMsg',248,1),
(2671,1096,1096,'OP_DisplayWarningMsg',249,1),
(2672,1096,1096,'OP_ModifyGuildMsg',250,1),
(2673,1096,1096,'OP_GuildEventMsg',251,1),
(2674,1096,1096,'OP_GuildEventAddMsg',252,1),
(2675,1096,1096,'OP_GuildEventActionMsg',253,1),
(2676,1096,1096,'OP_GuildEventListMsg',254,1),
(2677,1096,1096,'OP_RequestGuildEventDetailsMsg',255,1),
(2678,1096,1096,'OP_GuildEventDetailsMsg',256,1),
(2679,1096,1096,'OP_RequestGuildInfoMsg',257,1),
(2680,1096,1096,'OP_GuildBankActionMsg',258,1),
(2681,1096,1096,'OP_GuildBankActionResponseMsg',259,1),
(2682,1096,1096,'OP_GuildBankItemDetailsRequestMsg',260,1),
(2683,1096,1096,'OP_GuildBankItemDetailsResponseMs',261,1),
(2684,1096,1096,'OP_GuildBankUpdateMsg',262,1),
(2685,1096,1096,'OP_GuildBankEventListMsg',263,1),
(2686,1096,1096,'OP_RequestGuildBankEventDetailsMs',264,1),
(2687,1096,1096,'OP_RewardPackMsg',265,1),
(2688,1096,1096,'OP_RenameGuildMsg',266,1),
(2689,1096,1096,'OP_ZoneToFriendRequestMsg',268,1),
(2690,1096,1096,'OP_ZoneToFriendReplyMsg',269,1),
(2691,1096,1096,'OP_ChatCreateChannelMsg',270,1),
(2692,1096,1096,'OP_ChatJoinChannelMsg',271,1),
(2693,1096,1096,'OP_ChatWhoChannelMsg',272,1),
(2694,1096,1096,'OP_ChatLeaveChannelMsg',273,1),
(2695,1096,1096,'OP_ChatTellChannelMsg',274,1),
(2696,1096,1096,'OP_ChatTellUserMsg',275,1),
(2697,1096,1096,'OP_ChatToggleFriendMsg',276,1),
(2698,1096,1096,'OP_ChatToggleIgnoreMsg',277,1),
(2699,1096,1096,'OP_ChatSendFriendsMsg',278,1),
(2700,1096,1096,'OP_ChatSendIgnoresMsg',279,1),
(2701,1096,1096,'OP_QuestReward',304,1),
(2702,1096,1096,'OP_ChatFiltersMsg',319,1),
(2703,1096,1096,'OP_MailGetHeadersMsg',320,1),
(2704,1096,1096,'OP_MailGetMessageMsg',321,1),
(2705,1096,1096,'OP_MailSendMessageMsg',322,1),
(2706,1096,1096,'OP_MailDeleteMessageMsg',323,1),
(2707,1096,1096,'OP_MailGetHeadersReplyMsg',324,1),
(2708,1096,1096,'OP_MailGetMessageReplyMsg',325,1),
(2709,1096,1096,'OP_MailSendMessageReplyMsg',326,1),
(2710,1096,1096,'OP_MailCommitSendMessageMsg',327,1),
(2711,1096,1096,'OP_MailSendSystemMessageMsg',328,1),
(2712,1096,1096,'OP_MailRemoveAttachFromMailMsg',329,1),
(2713,1096,1096,'OP_WaypointRequestMsg',331,1),
(2714,1096,1096,'OP_WaypointReplyMsg',332,1),
(2715,1096,1096,'OP_WaypointSelectMsg',333,1),
(2716,1096,1096,'OP_WaypointUpdateMsg',334,1),
(2717,1096,1096,'OP_CharNameChangedMsg',335,1),
(2718,1096,1096,'OP_ShowZoneTeleporterDestinations',336,1),
(2719,1096,1096,'OP_SelectZoneTeleporterDestinatio',337,1),
(2720,1096,1096,'OP_ReloadLocalizedTxtMsg',338,1),
(2721,1096,1096,'OP_RequestGuildMembershipMsg',339,1),
(2722,1096,1096,'OP_GuildMembershipResponseMsg',340,1),
(2723,1096,1096,'OP_LeaveGuildNotifyMsg',341,1),
(2724,1096,1096,'OP_JoinGuildNotifyMsg',342,1),
(2725,1096,1096,'OP_AvatarUpdateMsg',343,1),
(2726,1096,1096,'OP_BioUpdateMsg',345,1),
(2727,1096,1096,'OP_InspectPlayerMsg',346,1),
(2728,1096,1096,'OP_WSServerLockMsg',347,1),
(2729,1096,1096,'OP_LSServerLockMsg',348,1),
(2730,1096,1096,'OP_WSServerHideMsg',349,1),
(2731,1096,1096,'OP_CsCategoryRequestMsg',350,1),
(2732,1096,1096,'OP_CsCategoryResponseMsg',351,1),
(2733,1096,1096,'OP_KnowledgeWindowSlotMappingMsg',352,1),
(2734,1096,1096,'OP_LFGUpdateMsg',3533,1),
(2735,1096,1096,'OP_AFKUpdateMsg',353,1),
(2736,1096,1096,'OP_AnonUpdateMsg',354,1),
(2737,1096,1096,'OP_UpdateActivePublicZonesMsg',355,1),
(2738,1096,1096,'OP_UnknownNpcMsg',356,1),
(2739,1096,1096,'OP_PromoFlagsDetailsMsg',357,1),
(2740,1096,1096,'OP_ConsignViewCreateMsg',358,1),
(2741,1096,1096,'OP_ConsignViewGetPageMsg',359,1),
(2742,1096,1096,'OP_ConsignViewReleaseMsg',360,1),
(2743,1096,1096,'OP_ConsignRemoveItemsMsg',361,1),
(2744,1096,1096,'OP_UpdateDebugRadiiMsg',362,1),
(2745,1096,1096,'OP_SnoopMsg',363,1),
(2746,1096,1096,'OP_ReportMsg',364,1),
(2747,1096,1096,'OP_UpdateRaidMsg',365,1),
(2748,1096,1096,'OP_ConsignViewSortMsg',366,1),
(2749,1096,1096,'OP_TitleUpdateMsg',367,1),
(2750,1096,1096,'OP_ClientFellMsg',368,1),
(2751,1096,1096,'OP_ClientInDeathRegionMsg',369,1),
(2752,1096,1096,'OP_CampClientMsg',370,1),
(2753,1096,1096,'OP_CSToolAccessResponseMsg',371,1),
(2754,1096,1096,'OP_TrackingUpdateMsg',372,1),
(2755,1096,1096,'OP_BeginTrackingMsg',373,1),
(2756,1096,1096,'OP_StopTrackingMsg',374,1),
(2757,1096,1096,'OP_GetAvatarAccessRequestForCSToo',375,1),
(2758,1096,1096,'OP_AdvancementRequestMsg',376,1),
(2759,1096,1096,'OP_UpdateAvgFrameTimeMsg',377,1),
(2760,1096,1096,'OP_MapFogDataInitMsg',378,1),
(2761,1096,1096,'OP_MapFogDataUpdateMsg',379,1),
(2762,1096,1096,'OP_CloseGroupInviteWindowMsg',380,1),
(2763,1096,1096,'OP_UpdateGroupMemberDataMsg',381,1),
(2764,1096,1096,'OP_WorldPingMsg',382,1),
(2765,1096,1096,'OP_MoveLogUpdateMsg',383,1),
(2766,1096,1096,'OP_OfferQuestMsg',384,1),
(2767,1096,1096,'OP_WorldShutdownUpdateMsg',385,1),
(2768,1096,1096,'OP_DisplayMailScreenMsg',386,1),
(2769,1096,1096,'OP_ClientIdleBeginMsg',387,1),
(2770,1096,1096,'OP_ClientIdleEndMsg',388,1),
(2771,1096,1096,'OP_PurchaseConsignmentLoreCheckRe',389,1),
(2772,1096,1096,'OP_NotifyApprenticeStoppedMentori',390,1),
(2773,1096,1096,'OP_CorruptedClientMsg',391,1),
(2774,1096,1096,'OP_WorldDataChangeMsg',392,1),
(2775,1096,1096,'OP_MailEventNotificationMsg',393,1),
(2776,1096,1096,'OP_RestartZoneMsg',394,1),
(2777,1096,1096,'OP_FlightPathsMsg',395,1),
(2778,1096,1096,'OP_CharacterLinkdeadMsg',396,1),
(2779,1096,1096,'OP_CharTransferStartRequestMsg',397,1),
(2780,1096,1096,'OP_CharTransferStartReplyMsg',398,1),
(2781,1096,1096,'OP_CharTransferRequestMsg',399,1),
(2782,1096,1096,'OP_CharTransferReplyMsg',400,1),
(2783,1096,1096,'OP_CharTransferRollbackRequestMsg',401,1),
(2784,1096,1096,'OP_CharTransferCommitRequestMsg',402,1),
(2785,1096,1096,'OP_CharTransferRollbackReplyMsg',403,1),
(2786,1096,1096,'OP_CharTransferCommitReplyMsg',404,1),
(2787,1096,1096,'OP_GetCharacterSerializedRequestM',405,1),
(2788,1096,1096,'OP_GetCharacterSerializedReplyMsg',406,1),
(2789,1096,1096,'OP_CreateCharFromCBBRequestMsg',407,1),
(2790,1096,1096,'OP_CreateCharFromCBBReplyMsg',408,1),
(2791,1096,1096,'OP_HousingDataChangedMsg',409,1),
(2792,1096,1096,'OP_HousingRestoreMsg',410,1),
(2793,1096,1096,'OP_AuctionItem',411,1),
(2794,1096,1096,'OP_AuctionItemReply',412,1),
(2795,1096,1096,'OP_AuctionCoin',413,1),
(2796,1096,1096,'OP_AuctionCoinReply',414,1),
(2797,1096,1096,'OP_AuctionCharacter',415,1),
(2798,1096,1096,'OP_AuctionCharacterReply',416,1),
(2799,1096,1096,'OP_AuctionCommitMsg',417,1),
(2800,1096,1096,'OP_AuctionAbortMsg',418,1),
(2801,1096,1096,'OP_CharTransferValidateRequestMsg',419,1),
(2802,1096,1096,'OP_CharTransferValidateReplyMsg',420,1),
(2803,1096,1096,'OP_RaceRestrictionMsg',421,1),
(2804,1096,1096,'OP_SetInstanceDisplayNameMsg',422,1),
(2805,1096,1096,'OP_GetAuctionAssetIDMsg',423,1),
(2806,1096,1096,'OP_GetAuctionAssetIDReplyMsg',424,1),
(2807,1096,1096,'OP_ResendWorldChannelsMsg',425,1),
(2808,1096,1096,'OP_DisplayExchangeScreenMsg',426,1),
(2809,1096,1096,'OP_ArenaGameTypesMsg',428,1),
(2810,1096,1096,'OP_AuditAuctionEventMsg',429,1),
(2811,1096,1096,'OP_InviteRequestMsg',431,1),
(2812,1096,1096,'OP_InviteResponseMsg',432,1),
(2813,1096,1096,'OP_InviteTargetResponseMsg',433,1),
(2814,1096,1096,'OP_InspectPlayerRequestMsg',434,1),
(2815,1096,1096,'OP_DispatchMsg',435,1),
(2816,1096,1096,'OP_DisplayEventMsg',436,1),
(2817,1096,1096,'OP_PrePossessionMsg',437,1),
(2818,1096,1096,'OP_PostPossessionMsg',438,1),
(2819,1096,1096,'OP_AdventureList',470,1),
(2820,1096,1096,'OP_CancelSpellCast',471,1),
(2821,1096,1096,'OP_UpdateTitleCmd',476,1),
(2822,1096,1096,'OP_AttackAllowed',482,1),
(2823,1096,1096,'OP_AttackNotAllowed',483,1),
(2824,1096,1096,'OP_DressingRoom',492,1),
(2825,1096,1096,'OP_SkillInfoRequest',496,1),
(2826,1096,1096,'OP_SkillInfoResponse',497,1),
(2827,1096,1096,'OP_BadLanguageFilter',501,1),
(2828,1096,1096,'OP_MapRequest',503,1),
(2829,1096,1096,'OP_Unknown',509,1),
(2830,1096,1096,'OP_EqUnknown',541,1),
(2831,1096,1096,'OP_EqHearChatCmd',543,1),
(2832,1096,1096,'OP_EqDisplayTextCmd',544,1),
(2833,1096,1096,'OP_EqCreateGhostCmd',545,1),
(2834,1096,1096,'OP_EqCreateWidgetCmd',546,1),
(2835,1096,1096,'OP_EqCreateSignWidgetCmd',547,1),
(2836,1096,1096,'OP_EqDestroyGhostCmd',548,1),
(2837,1096,1096,'OP_EqUpdateGhostCmd',549,1),
(2838,1096,1096,'OP_EqSetControlGhostCmd',550,1),
(2839,1096,1096,'OP_EqSetPOVGhostCmd',551,1),
(2840,1096,1096,'OP_EqHearCombatCmd',552,1),
(2841,1096,1096,'OP_EqHearSpellCastCmd',553,1),
(2842,1096,1096,'OP_EqHearSpellInterruptCmd',556,1),
(2843,1096,1096,'OP_EqHearSpellFizzleCmd',557,1),
(2844,1096,1096,'OP_EqHearConsiderCmd',558,1),
(2845,1096,1096,'OP_EqUpdateSubClassesCmd',559,1),
(2846,1096,1096,'OP_EqCreateListBoxCmd',560,1),
(2847,1096,1096,'OP_EqSetDebugPathPointsCmd',561,1),
(2848,1096,1096,'OP_EqCannedEmoteCmd',563,1),
(2849,1096,1096,'OP_EqStateCmd',564,1),
(2850,1096,1096,'OP_EqPlaySoundCmd',565,1),
(2851,1096,1096,'OP_EqPlaySound3DCmd',566,1),
(2852,1096,1096,'OP_EqPlayVoiceCmd',567,1),
(2853,1096,1096,'OP_EqHearDrowningCmd',568,1),
(2854,1096,1096,'OP_EqHearDeathCmd',569,1),
(2855,1096,1096,'OP_EqGroupMemberRemovedCmd',570,1),
(2856,1096,1096,'OP_EqHearChainEffectCmd',571,1),
(2857,1096,1096,'OP_EqReceiveOfferCmd',572,1),
(2858,1096,1096,'OP_EqInspectPCResultsCmd',573,1),
(2859,1096,1096,'OP_EqDrawablePathGraphCmd',574,1),
(2860,1096,1096,'OP_EqDialogOpenCmd',575,1),
(2861,1096,1096,'OP_EqDialogCloseCmd',576,1),
(2862,1096,1096,'OP_EqFactionUpdateCmd',577,1),
(2863,1096,1096,'OP_EqCollectionUpdateCmd',578,1),
(2864,1096,1096,'OP_EqCollectionFilterCmd',579,1),
(2865,1096,1096,'OP_EqCollectionItemCmd',580,1),
(2866,1096,1096,'OP_EqQuestJournalUpdateCmd',581,1),
(2867,1096,1096,'OP_EqQuestJournalReplyCmd',583,1),
(2868,1096,1096,'OP_EqQuestGroupCmd',584,1),
(2869,1096,1096,'OP_EqUpdateMerchantCmd',585,1),
(2870,1096,1096,'OP_EqUpdateStoreCmd',586,1),
(2871,1096,1096,'OP_EqUpdatePlayerTradeCmd',587,1),
(2872,1096,1096,'OP_EqHelpPathCmd',588,1),
(2873,1096,1096,'OP_EqHelpPathClearCmd',589,1),
(2874,1096,1096,'OP_EqUpdateBankCmd',590,1),
(2875,1096,1096,'OP_EqExamineInfoCmd',591,1),
(2876,1096,1096,'OP_EqCloseWindowCmd',592,1),
(2877,1096,1096,'OP_EqUpdateLootCmd',593,1),
(2878,1096,1096,'OP_EqJunctionListCmd',594,1),
(2879,1096,1096,'OP_EqShowDeathWindowCmd',595,1),
(2880,1096,1096,'OP_EqDisplaySpellFailCmd',596,1),
(2881,1096,1096,'OP_EqSpellCastStartCmd',597,1),
(2882,1096,1096,'OP_EqSpellCastEndCmd',598,1),
(2883,1096,1096,'OP_EqResurrectedCmd',599,1),
(2884,1096,1096,'OP_EqChoiceWinCmd',600,1),
(2885,1096,1096,'OP_EqSetDefaultVerbCmd',601,1),
(2886,1096,1096,'OP_EqInstructionWindowCmd',603,1),
(2887,1096,1096,'OP_EqInstructionWindowCloseCmd',604,1),
(2888,1096,1096,'OP_EqInstructionWindowGoalCmd',605,1),
(2889,1096,1096,'OP_EqInstructionWindowTaskCmd',606,1),
(2890,1096,1096,'OP_EqEnableGameEventCmd',607,1),
(2891,1096,1096,'OP_EqShowWindowCmd',608,1),
(2892,1096,1096,'OP_EqEnableWindowCmd',609,1),
(2893,1096,1096,'OP_EqFlashWindowCmd',610,1),
(2894,1096,1096,'OP_EqHearPlayFlavorCmd',611,1),
(2895,1096,1096,'OP_EqUpdateSignWidgetCmd',613,1),
(2896,1096,1096,'OP_EqDebugPVDCmd',614,1),
(2897,1096,1096,'OP_EqShowBookCmd',614,1),
(2898,1096,1096,'OP_EqQuestionnaireCmd',616,1),
(2899,1096,1096,'OP_EqGetProbsCmd',617,1),
(2900,1096,1096,'OP_EqHearHealCmd',618,1),
(2901,1096,1096,'OP_EqChatChannelUpdateCmd',619,1),
(2902,1096,1096,'OP_EqWhoChannelQueryReplyCmd',620,1),
(2903,1096,1096,'OP_EqAvailWorldChannelsCmd',621,1),
(2904,1096,1096,'OP_EqUpdateTargetCmd',622,1),
(2905,1096,1096,'OP_EqConsignmentItemsCmd',624,1),
(2906,1096,1096,'OP_EqStartBrokerCmd',626,1),
(2907,1096,1096,'OP_EqMapExplorationCmd',627,1),
(2908,1096,1096,'OP_EqStoreLogCmd',628,1),
(2909,1096,1096,'OP_EqSpellMoveToRangeAndRetryCmd',629,1),
(2910,1096,1096,'OP_EqUpdatePlayerMailCmd',630,1),
(2911,1096,1096,'OP_EqArenaResultsCmd',631,1),
(2912,1096,1096,'OP_EqGuildBankEventActionCmd',632,1),
(2913,1096,1096,'OP_EqGuildBankExamineInfoCmd',633,1),
(2914,1096,1096,'OP_EqHearSpellNoLandCmd',634,1),
(2915,1096,1096,'OP_GuildList',637,1),
(2916,1096,1096,'OP_Lottery',638,1),
(2917,1096,1096,'OP_GuildRecruitingMemberInfo',639,1),
(2918,1096,1096,'OP_GuildRecruiting',640,1),
(2919,1096,1096,'OP_GuildRecruitingDetails',641,1),
(2920,1096,1096,'OP_GuildRecruitingImage',642,1),
(2921,1096,1096,'OP_TradeskillList',659,1),
(2922,1096,1096,'OP_PointOfInterest',663,1),
(2923,1096,1096,'OP_TraitsList',665,1),
(2924,1096,1096,'OP_RecipeList',674,1),
(2925,1096,1096,'OP_CharacterAchievements',677,1),
(2926,1096,1096,'OP_AddClientToGroupMsg',999,1),
(2927,1096,1096,'OP_AddGroupToGroupMsg',1000,1),
(2928,1096,1096,'OP_WSWeatherUpdateMsg',1001,1),
(2929,1096,1096,'OP_SkillSlotMapping',1002,1),
(2930,1096,1096,'OP_GuildKickMsg',1003,1),
(2931,1096,1096,'OP_PurchaseConsignmentResponseMsg',1004,1),
(2932,1096,1096,'OP_ProcessScriptMsg',1005,1),
(2933,1096,1096,'OP_ProcessWorkspaceMsg',1006,1),
(2934,1096,1096,'OP_QuickbarAddMsg',1007,1),
(2935,562,838,'OP_BagOptions',999,1),
(2937,908,927,'OP_BagOptions',999,1),
(2938,972,1011,'OP_BagOptions',999,1),
(2939,1045,1086,'OP_BagOptions',999,1),
(2940,1096,1096,'OP_BagOptions',999,1),
(2941,562,838,'OP_AchievementUpdateMsg',999,1),
(2943,908,927,'OP_AchievementUpdateMsg',999,1),
(2944,972,1011,'OP_AchievementUpdateMsg',999,1),
(2945,1045,1086,'OP_AchievementUpdateMsg',999,1),
(2946,1096,1096,'OP_AchievementUpdateMsg',678,1),
(2947,1096,1096,'OP_PetOptions',187,1),
(2948,1045,1086,'OP_PetOptions',999,1),
(2949,972,1011,'OP_PetOptions',999,1),
(2950,908,927,'OP_PetOptions',999,1),
(2952,562,838,'OP_PetOptions',999,1),
(2953,1188,1195,'OP_LoginRequestMsg',0,1),
(2954,1188,1195,'OP_LoginByNumRequestMsg',1,1),
(2955,1188,1195,'OP_WSLoginRequestMsg',2,1),
(2956,1188,1195,'OP_ESLoginRequestMsg',3,1),
(2957,1188,1195,'OP_LoginReplyMsg',4,1),
(2958,1188,1195,'OP_WSStatusReplyMsg',5,1),
(2959,1188,1195,'OP_WorldStatusChangeMsg',6,1),
(2960,1188,1195,'OP_AllWSDescRequestMsg',7,1),
(2961,1188,1195,'OP_WorldListMsg',8,1),
(2962,1188,1195,'OP_AllCharactersDescRequestMsg',9,1),
(2963,1188,1195,'OP_AllCharactersDescReplyMsg',10,1),
(2964,1188,1195,'OP_CreateCharacterRequestMsg',11,1),
(2965,1188,1195,'OP_CreateCharacterReplyMsg',12,1),
(2966,1188,1195,'OP_WSCreateCharacterRequestMsg',13,1),
(2967,1188,1195,'OP_WSCreateCharacterReplyMsg',14,1),
(2968,1188,1195,'OP_ReskinCharacterRequestMsg',15,1),
(2969,1188,1195,'OP_DeleteCharacterRequestMsg',16,1),
(2970,1188,1195,'OP_DeleteCharacterReplyMsg',17,1),
(2971,1188,1195,'OP_PlayCharacterRequestMsg',18,1),
(2972,1188,1195,'OP_PlayCharacterReplyMsg',19,1),
(2973,1188,1195,'OP_ExpectClientAsCharacterReplyMs',22,1),
(2974,1188,1195,'OP_ServerPlayCharacterRequestMsg',23,1),
(2975,1188,1195,'OP_ServerPlayCharacterReplyMsg',24,1),
(2976,1188,1195,'OP_ESInitMsg',25,1),
(2977,1188,1195,'OP_ESReadyForClientsMsg',26,1),
(2978,1188,1195,'OP_CreateZoneInstanceMsg',29,1),
(2979,1188,1195,'OP_ZoneInstanceCreateReplyMsg',30,1),
(2980,1188,1195,'OP_ZoneInstanceDestroyedMsg',31,1),
(2981,1188,1195,'OP_ExpectClientAsCharacterRequest',32,1),
(2982,1188,1195,'OP_ZoneInfoMsg',33,1),
(2983,1188,1195,'OP_DoneLoadingZoneResourcesMsg',34,1),
(2984,1188,1195,'OP_DoneSendingInitialEntitiesMsg',35,1),
(2985,1188,1195,'OP_DoneLoadingEntityResourcesMsg',36,1),
(2986,1188,1195,'OP_PredictionUpdateMsg',37,1),
(2987,1188,1195,'OP_UpdatePositionMsg',39,1),
(2988,1188,1195,'OP_SetRemoteCmdsMsg',41,1),
(2989,1188,1195,'OP_RemoteCmdMsg',42,1),
(2990,1188,1195,'OP_GameWorldTimeMsg',43,1),
(2991,1188,1195,'OP_MOTDMsg',44,1),
(2992,1188,1195,'OP_ZoneMOTDMsg',45,1),
(2993,1188,1195,'OP_AvatarCreatedMsg',46,1),
(2994,1188,1195,'OP_AvatarDestroyedMsg',47,1),
(2995,1188,1195,'OP_RequestCampMsg',50,1),
(2996,1188,1195,'OP_CampStartedMsg',51,1),
(2997,1188,1195,'OP_CampAbortedMsg',52,1),
(2998,1188,1195,'OP_WhoQueryRequestMsg',53,1),
(2999,1188,1195,'OP_WhoQueryReplyMsg',54,1),
(3000,1188,1195,'OP_MonitorReplyMsg',55,1),
(3001,1188,1195,'OP_MonitorCharacterListMsg',56,1),
(3002,1188,1195,'OP_MonitorCharacterListRequestMsg',57,1),
(3003,1188,1195,'OP_ClientCmdMsg',58,1),
(3004,1188,1195,'OP_DispatchESMsg',59,1),
(3005,1188,1195,'OP_DispatchClientCmdMsg',60,1),
(3006,1188,1195,'OP_UpdateTargetMsg',61,1),
(3007,1188,1195,'OP_UpdateTargetLocMsg',62,1),
(3008,1188,1195,'OP_UpdateCharacterSheetMsg',63,1),
(3009,1188,1195,'OP_CharacterPet',64,1),
(3010,1188,1195,'OP_CharacterMerc',65,1),
(3011,1188,1195,'OP_UpdateSpellBookMsg',66,1),
(3012,1188,1195,'OP_UpdateInventoryMsg',68,1),
(3013,1188,1195,'OP_AfterInvSpellUpdate',69,1),
(3014,1188,1195,'OP_UpdateRecipeBookMsg',70,1),
(3015,1188,1195,'OP_RequestRecipeDetailsMsg',71,1),
(3016,1188,1195,'OP_RecipeDetailsMsg',72,1),
(3017,1188,1195,'OP_UpdateSkillBookMsg',73,1),
(3018,1188,1195,'OP_UpdateSkillsMsg',74,1),
(3019,1188,1195,'OP_UpdateOpportunityMsg',75,1),
(3020,1188,1195,'OP_ChangeZoneMsg',77,1),
(3021,1188,1195,'OP_ClientTeleportRequestMsg',78,1),
(3022,1188,1195,'OP_TeleportWithinZoneMsg',79,1),
(3023,1188,1195,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(3024,1188,1195,'OP_MigrateClientToZoneRequestMsg',81,1),
(3025,1188,1195,'OP_MigrateClientToZoneReplyMsg',82,1),
(3026,1188,1195,'OP_ReadyToZoneMsg',84,1),
(3027,1188,1195,'OP_RemoveClientFromGroupMsg',85,1),
(3028,1188,1195,'OP_RemoveGroupFromGroupMsg',86,1),
(3029,1188,1195,'OP_MakeGroupLeaderMsg',87,1),
(3030,1188,1195,'OP_GroupCreatedMsg',88,1),
(3031,1188,1195,'OP_GroupDestroyedMsg',89,1),
(3032,1188,1195,'OP_GroupMemberAddedMsg',90,1),
(3033,1188,1195,'OP_GroupMemberRemovedMsg',91,1),
(3034,1188,1195,'OP_GroupRemovedFromGroupMsg',92,1),
(3035,1188,1195,'OP_GroupLeaderChangedMsg',93,1),
(3036,1188,1195,'OP_GroupResendOOZDataMsg',94,1),
(3037,1188,1195,'OP_GroupSettingsChangedMsg',95,1),
(3038,1188,1195,'OP_OutOfZoneMemberDataMsg',96,1),
(3039,1188,1195,'OP_SendLatestRequestMsg',97,1),
(3040,1188,1195,'OP_ClearDataMsg',98,1),
(3041,1188,1195,'OP_SetSocialMsg',99,1),
(3042,1188,1195,'OP_ESStatusMsg',100,1),
(3043,1188,1195,'OP_ESZoneInstanceStatusMsg',101,1),
(3044,1188,1195,'OP_ZonesStatusRequestMsg',102,1),
(3045,1188,1195,'OP_ZonesStatusMsg',103,1),
(3046,1188,1195,'OP_ESWeatherRequestMsg',104,1),
(3047,1188,1195,'OP_ESWeatherRequestEndMsg',105,1),
(3048,1188,1195,'OP_DialogSelectMsg',109,1),
(3049,1188,1195,'OP_DialogCloseMsg',110,1),
(3050,1188,1195,'OP_RemoveSpellEffectMsg',111,1),
(3051,1188,1195,'OP_RemoveConcentrationMsg',112,1),
(3052,1188,1195,'OP_QuestJournalOpenMsg',113,1),
(3053,1188,1195,'OP_QuestJournalInspectMsg',114,1),
(3054,1188,1195,'OP_QuestJournalSetVisibleMsg',115,1),
(3055,1188,1195,'OP_QuestJournalWaypointMsg',116,1),
(3056,1188,1195,'OP_CreateGuildRequestMsg',119,1),
(3057,1188,1195,'OP_CreateGuildReplyMsg',120,1),
(3058,1188,1195,'OP_GuildsayMsg',121,1),
(3059,1188,1195,'OP_FellowshipExpMsg',122,1),
(3060,1188,1195,'OP_DeleteGuildMsg',123,1),
(3061,1188,1195,'OP_GuildUpdateMsg',124,1),
(3062,1188,1195,'OP_ConsignmentCloseStoreMsg',125,1),
(3063,1188,1195,'OP_ConsignItemRequestMsg',126,1),
(3064,1188,1195,'OP_ConsignItemResponseMsg',127,1),
(3065,1188,1195,'OP_PurchaseConsignmentRequestMsg',128,1),
(3066,1188,1195,'OP_LikeOption',135,1),
(3067,1188,1195,'OP_PublishHouse',137,1),
(3068,1188,1195,'OP_PlayerMadeInstacnesScreen',138,1),
(3069,1188,1195,'OP_PlayerMadeInstances',139,1),
(3070,1188,1195,'OP_HouseDeletedRemotelyMsg',140,1),
(3071,1188,1195,'OP_UpdateHouseDataMsg',141,1),
(3072,1188,1195,'OP_UpdateHouseAccessDataMsg',142,1),
(3073,1188,1195,'OP_PlayerHouseBaseScreenMsg',143,1),
(3074,1188,1195,'OP_PlayerHousePurchaseScreenMsg',144,1),
(3075,1188,1195,'OP_PlayerHouseAccessUpdateMsg',145,1),
(3076,1188,1195,'OP_PlayerHouseDisplayStatusMsg',146,1),
(3077,1188,1195,'OP_PlayerHouseCloseUIMsg',147,1),
(3078,1188,1195,'OP_BuyPlayerHouseMsg',148,1),
(3079,1188,1195,'OP_BuyPlayerHouseTintMsg',149,1),
(3080,1188,1195,'OP_CollectAllHouseItemsMsg',150,1),
(3081,1188,1195,'OP_RelinquishHouseMsg',151,1),
(3082,1188,1195,'OP_EnterHouseMsg',152,1),
(3083,1188,1195,'OP_ExitHouseMsg',153,1),
(3084,1188,1195,'OP_HouseDefaultAccessSetMsg',154,1),
(3085,1188,1195,'OP_HouseAccessSetMsg',155,1),
(3086,1188,1195,'OP_HouseAccessRemoveMsg',156,1),
(3087,1188,1195,'OP_PayHouseUpkeepMsg',157,1),
(3088,1188,1195,'OP_MoveableObjectPlacementCriteri',158,1),
(3089,1188,1195,'OP_EnterMoveObjectModeMsg',159,1),
(3090,1188,1195,'OP_PositionMoveableObject',160,1),
(3091,1188,1195,'OP_CancelMoveObjectModeMsg',161,1),
(3092,1188,1195,'OP_ShaderCustomizationMsg',162,1),
(3093,1188,1195,'OP_ReplaceableSubMeshesMsg',163,1),
(3094,1188,1195,'OP_HouseCustomizationScreenMsg',164,1),
(3095,1188,1195,'OP_CustomizationPurchaseRequestMs',165,1),
(3096,1188,1195,'OP_CustomizationSetRequestMsg',166,1),
(3097,1188,1195,'OP_CustomizationReplyMsg',167,1),
(3098,1188,1195,'OP_TintWidgetsMsg',168,1),
(3099,1188,1195,'OP_ExamineConsignmentRequestMsg',169,1),
(3100,1188,1195,'OP_ExamineConsignmentResponseMsg',170,1),
(3101,1188,1195,'OP_UISettingsResponseMsg',171,1),
(3102,1188,1195,'OP_UIResetMsg',172,1),
(3103,1188,1195,'OP_KeymapLoadMsg',173,1),
(3104,1188,1195,'OP_KeymapNoneMsg',174,1),
(3105,1188,1195,'OP_KeymapDataMsg',175,1),
(3106,1188,1195,'OP_KeymapSaveMsg',176,1),
(3107,1188,1195,'OP_DispatchSpellCmdMsg',177,1),
(3108,1188,1195,'OP_EntityVerbsRequestMsg',178,1),
(3109,1188,1195,'OP_EntityVerbsReplyMsg',179,1),
(3110,1188,1195,'OP_EntityVerbsVerbMsg',180,1),
(3111,1188,1195,'OP_ChatRelationshipUpdateMsg',182,1),
(3112,1188,1195,'OP_LootItemsRequestMsg',183,1),
(3113,1188,1195,'OP_StoppedLootingMsg',184,1),
(3114,1188,1195,'OP_SitMsg',185,1),
(3115,1188,1195,'OP_StandMsg',186,1),
(3116,1188,1195,'OP_SatMsg',187,1),
(3117,1188,1195,'OP_StoodMsg',188,1),
(3118,1188,1195,'OP_ClearForTakeOffMsg',189,1),
(3119,1188,1195,'OP_ReadyForTakeOffMsg',190,1),
(3120,1188,1195,'OP_ShowIllusionsMsg',191,1),
(3121,1188,1195,'OP_HideIllusionsMsg',192,1),
(3122,1188,1195,'OP_ExamineItemRequestMsg',193,1),
(3123,1188,1195,'OP_ReadBookPageMsg',194,1),
(3124,1188,1195,'OP_DefaultGroupOptionsRequestMsg',195,1),
(3125,1188,1195,'OP_DefaultGroupOptionsMsg',196,1),
(3126,1188,1195,'OP_GroupOptionsMsg',197,1),
(3127,1188,1195,'OP_DisplayGroupOptionsScreenMsg',198,1),
(3128,1188,1195,'OP_PetOptions',199,1),
(3129,1188,1195,'OP_DisplayInnVisitScreenMsg',200,1),
(3130,1188,1195,'OP_DumpSchedulerMsg',201,1),
(3131,1188,1195,'OP_LSCheckAcctLockMsg',202,1),
(3132,1188,1195,'OP_WSAcctLockStatusMsg',203,1),
(3133,1188,1195,'OP_RequestHelpRepathMsg',204,1),
(3134,1188,1195,'OP_RequestTargetLocMsg',205,1),
(3135,1188,1195,'OP_UpdateMotdMsg',206,1),
(3136,1188,1195,'OP_DestUpdateReq',208,1),
(3137,1188,1195,'OP_PerformPlayerKnockbackMsg',211,1),
(3138,1188,1195,'OP_PerformCameraShakeMsg',212,1),
(3139,1188,1195,'OP_PopulateSkillMapsMsg',213,1),
(3140,1188,1195,'OP_CancelledFeignMsg',214,1),
(3141,1188,1195,'OP_SysClient',216,1),
(3142,1188,1195,'OP_ShowCreateFromRecipeUIMsg',217,1),
(3143,1188,1195,'OP_CancelCreateFromRecipeMsg',218,1),
(3144,1188,1195,'OP_BeginItemCreationMsg',219,1),
(3145,1188,1195,'OP_StopItemCreationMsg',220,1),
(3146,1188,1195,'OP_ShowItemCreationProcessUIMsg',221,1),
(3147,1188,1195,'OP_UpdateItemCreationProcessUIMsg',222,1),
(3148,1188,1195,'OP_DisplayTSEventReactionMsg',223,1),
(3149,1188,1195,'OP_ShowRecipeBookMsg',224,1),
(3150,1188,1195,'OP_KnowledgebaseRequestMsg',225,1),
(3151,1188,1195,'OP_KnowledgebaseResponseMsg',226,1),
(3152,1188,1195,'OP_CSTicketHeaderRequestMsg',227,1),
(3153,1188,1195,'OP_CSTicketInfoMsg',228,1),
(3154,1188,1195,'OP_CSTicketCommentRequestMsg',229,1),
(3155,1188,1195,'OP_CSTicketCommentResponseMsg',230,1),
(3156,1188,1195,'OP_CSTicketCreateMsg',231,1),
(3157,1188,1195,'OP_CSTicketAddCommentMsg',232,1),
(3158,1188,1195,'OP_CSTicketDeleteMsg',233,1),
(3159,1188,1195,'OP_CSTicketChangeNotificationMsg',234,1),
(3160,1188,1195,'OP_WorldDataUpdateMsg',235,1),
(3161,1188,1195,'OP_KnownLanguagesMsg',236,1),
(3162,1188,1195,'OP_LsRequestClientCrashLogMsg',237,1),
(3163,1188,1195,'OP_LsClientBaselogReplyMsg',238,1),
(3164,1188,1195,'OP_LsClientCrashlogReplyMsg',239,1),
(3165,1188,1195,'OP_LsClientAlertlogReplyMsg',240,1),
(3166,1188,1195,'OP_LsClientVerifylogReplyMsg',241,1),
(3167,1188,1195,'OP_ClientTeleportToLocationMsg',242,1),
(3168,1188,1195,'OP_UpdateClientPredFlagsMsg',243,1),
(3169,1188,1195,'OP_ChangeServerControlFlagMsg',244,1),
(3170,1188,1195,'OP_CSToolsRequestMsg',245,1),
(3171,1188,1195,'OP_CSToolsResponseMsg',246,1),
(3172,1188,1195,'OP_AddSocialStructureStandingMsg',247,1),
(3173,1188,1195,'OP_CreateBoatTransportsMsg',248,1),
(3174,1188,1195,'OP_PositionBoatTransportMsg',249,1),
(3175,1188,1195,'OP_MigrateBoatTransportMsg',250,1),
(3176,1188,1195,'OP_MigrateBoatTransportReplyMsg',251,1),
(3177,1188,1195,'OP_DisplayDebugNLLPointsMsg',252,1),
(3178,1188,1195,'OP_ExamineInfoRequestMsg',253,1),
(3179,1188,1195,'OP_QuickbarInitMsg',254,1),
(3180,1188,1195,'OP_QuickbarUpdateMsg',255,1),
(3181,1188,1195,'OP_MacroInitMsg',256,1),
(3182,1188,1195,'OP_MacroUpdateMsg',257,1),
(3183,1188,1195,'OP_QuestionnaireMsg',258,1),
(3184,1188,1195,'OP_LevelChangedMsg',259,1),
(3185,1188,1195,'OP_SpellGainedMsg',260,1),
(3186,1188,1195,'OP_EncounterBrokenMsg',261,1),
(3187,1188,1195,'OP_OnscreenMsgMsg',262,1),
(3188,1188,1195,'OP_DisplayWarningMsg',263,1),
(3189,1188,1195,'OP_ModifyGuildMsg',264,1),
(3190,1188,1195,'OP_GuildEventMsg',265,1),
(3191,1188,1195,'OP_GuildEventAddMsg',266,1),
(3192,1188,1195,'OP_GuildEventActionMsg',267,1),
(3193,1188,1195,'OP_GuildEventListMsg',268,1),
(3194,1188,1195,'OP_RequestGuildEventDetailsMsg',269,1),
(3195,1188,1195,'OP_GuildEventDetailsMsg',270,1),
(3196,1188,1195,'OP_RequestGuildInfoMsg',271,1),
(3197,1188,1195,'OP_GuildBankActionMsg',272,1),
(3198,1188,1195,'OP_GuildBankActionResponseMsg',273,1),
(3199,1188,1195,'OP_GuildBankItemDetailsRequestMsg',274,1),
(3200,1188,1195,'OP_GuildBankItemDetailsResponseMs',275,1),
(3201,1188,1195,'OP_GuildBankUpdateMsg',276,1),
(3202,1188,1195,'OP_GuildBankEventListMsg',277,1),
(3203,1188,1195,'OP_RequestGuildBankEventDetailsMs',278,1),
(3204,1188,1195,'OP_RewardPackMsg',279,1),
(3205,1188,1195,'OP_RenameGuildMsg',280,1),
(3206,1188,1195,'OP_ZoneToFriendRequestMsg',281,1),
(3207,1188,1195,'OP_ZoneToFriendReplyMsg',282,1),
(3208,1188,1195,'OP_ChatCreateChannelMsg',283,1),
(3209,1188,1195,'OP_ChatJoinChannelMsg',284,1),
(3210,1188,1195,'OP_ChatWhoChannelMsg',285,1),
(3211,1188,1195,'OP_ChatLeaveChannelMsg',286,1),
(3212,1188,1195,'OP_ChatTellChannelMsg',287,1),
(3213,1188,1195,'OP_ChatTellUserMsg',288,1),
(3214,1188,1195,'OP_ChatToggleFriendMsg',289,1),
(3215,1188,1195,'OP_BrokerAddBag',290,1),
(3216,1188,1195,'OP_BrokerRemoveBag',291,1),
(3217,1188,1195,'OP_ChatToggleIgnoreMsg',292,1),
(3218,1188,1195,'OP_ChatSendFriendsMsg',293,1),
(3219,1188,1195,'OP_ChatSendIgnoresMsg',294,1),
(3220,1188,1195,'OP_QuestReward',318,1),
(3221,1188,1195,'OP_ChatFiltersMsg',333,1),
(3222,1188,1195,'OP_MailGetMessageMsg',336,1),
(3223,1188,1195,'OP_MailSendMessageMsg',337,1),
(3224,1188,1195,'OP_MailDeleteMessageMsg',338,1),
(3225,1188,1195,'OP_MailGetHeadersReplyMsg',339,1),
(3226,1188,1195,'OP_MailGetMessageReplyMsg',340,1),
(3227,1188,1195,'OP_MailSendMessageReplyMsg',341,1),
(3228,1188,1195,'OP_MailCommitSendMessageMsg',342,1),
(3229,1188,1195,'OP_MailSendSystemMessageMsg',343,1),
(3230,1188,1195,'OP_MailRemoveAttachFromMailMsg',344,1),
(3231,1188,1195,'OP_WaypointRequestMsg',346,1),
(3232,1188,1195,'OP_WaypointReplyMsg',347,1),
(3233,1188,1195,'OP_WaypointSelectMsg',348,1),
(3234,1188,1195,'OP_WaypointUpdateMsg',349,1),
(3235,1188,1195,'OP_CharNameChangedMsg',350,1),
(3236,1188,1195,'OP_ShowZoneTeleporterDestinations',351,1),
(3237,1188,1195,'OP_SelectZoneTeleporterDestinatio',352,1),
(3238,1188,1195,'OP_ReloadLocalizedTxtMsg',353,1),
(3239,1188,1195,'OP_RequestGuildMembershipMsg',354,1),
(3240,1188,1195,'OP_GuildMembershipResponseMsg',355,1),
(3241,1188,1195,'OP_LeaveGuildNotifyMsg',356,1),
(3242,1188,1195,'OP_JoinGuildNotifyMsg',357,1),
(3243,1188,1195,'OP_AvatarUpdateMsg',358,1),
(3244,1188,1195,'OP_BioUpdateMsg',360,1),
(3245,1188,1195,'OP_InspectPlayerMsg',361,1),
(3246,1188,1195,'OP_WSServerLockMsg',362,1),
(3247,1188,1195,'OP_LSServerLockMsg',363,1),
(3248,1188,1195,'OP_WSServerHideMsg',364,1),
(3249,1188,1195,'OP_CsCategoryRequestMsg',365,1),
(3250,1188,1195,'OP_CsCategoryResponseMsg',366,1),
(3251,1188,1195,'OP_KnowledgeWindowSlotMappingMsg',367,1),
(3252,1188,1195,'OP_AFKUpdateMsg',368,1),
(3253,1188,1195,'OP_AnonUpdateMsg',369,1),
(3254,1188,1195,'OP_UpdateActivePublicZonesMsg',370,1),
(3255,1188,1195,'OP_UnknownNpcMsg',371,1),
(3256,1188,1195,'OP_PromoFlagsDetailsMsg',372,1),
(3257,1188,1195,'OP_ConsignViewCreateMsg',373,1),
(3258,1188,1195,'OP_ConsignViewGetPageMsg',374,1),
(3259,1188,1195,'OP_ConsignViewReleaseMsg',375,1),
(3260,1188,1195,'OP_ConsignRemoveItemsMsg',376,1),
(3261,1188,1195,'OP_UpdateDebugRadiiMsg',377,1),
(3262,1188,1195,'OP_ReportMsg',378,1),
(3263,1188,1195,'OP_UpdateRaidMsg',379,1),
(3264,1188,1195,'OP_ConsignViewSortMsg',381,1),
(3265,1188,1195,'OP_TitleUpdateMsg',382,1),
(3266,1188,1195,'OP_ClientFellMsg',383,1),
(3267,1188,1195,'OP_ClientInDeathRegionMsg',384,1),
(3268,1188,1195,'OP_CampClientMsg',385,1),
(3269,1188,1195,'OP_CSToolAccessResponseMsg',386,1),
(3270,1188,1195,'OP_TrackingUpdateMsg',387,1),
(3271,1188,1195,'OP_BeginTrackingMsg',388,1),
(3272,1188,1195,'OP_StopTrackingMsg',389,1),
(3273,1188,1195,'OP_GetAvatarAccessRequestForCSToo',391,1),
(3274,1188,1195,'OP_AdvancementRequestMsg',392,1),
(3275,1188,1195,'OP_MapFogDataInitMsg',393,1),
(3276,1188,1195,'OP_MapFogDataUpdateMsg',394,1),
(3277,1188,1195,'OP_CloseGroupInviteWindowMsg',395,1),
(3278,1188,1195,'OP_UpdateGroupMemberDataMsg',396,1),
(3279,1188,1195,'OP_WorldPingMsg',397,1),
(3280,1188,1195,'OP_MoveLogUpdateMsg',388,1),
(3281,1188,1195,'OP_OfferQuestMsg',399,1),
(3282,1188,1195,'OP_WorldShutdownUpdateMsg',401,1),
(3283,1188,1195,'OP_DisplayMailScreenMsg',402,1),
(3284,1188,1195,'OP_ClientIdleBeginMsg',403,1),
(3285,1188,1195,'OP_ClientIdleEndMsg',404,1),
(3286,1188,1195,'OP_PurchaseConsignmentLoreCheckRe',405,1),
(3287,1188,1195,'OP_NotifyApprenticeStoppedMentori',406,1),
(3288,1188,1195,'OP_CorruptedClientMsg',407,1),
(3289,1188,1195,'OP_WorldDataChangeMsg',408,1),
(3290,1188,1195,'OP_MailEventNotificationMsg',409,1),
(3291,1188,1195,'OP_RestartZoneMsg',410,1),
(3292,1188,1195,'OP_FlightPathsMsg',411,1),
(3293,1188,1195,'OP_CharacterLinkdeadMsg',412,1),
(3294,1188,1195,'OP_CharTransferStartRequestMsg',413,1),
(3295,1188,1195,'OP_CharTransferStartReplyMsg',414,1),
(3296,1188,1195,'OP_CharTransferRequestMsg',415,1),
(3297,1188,1195,'OP_CharTransferReplyMsg',416,1),
(3298,1188,1195,'OP_CharTransferRollbackRequestMsg',417,1),
(3299,1188,1195,'OP_CharTransferCommitRequestMsg',418,1),
(3300,1188,1195,'OP_CharTransferRollbackReplyMsg',419,1),
(3301,1188,1195,'OP_CharTransferCommitReplyMsg',420,1),
(3302,1188,1195,'OP_GetCharacterSerializedRequestM',421,1),
(3303,1188,1195,'OP_GetCharacterSerializedReplyMsg',422,1),
(3304,1188,1195,'OP_CreateCharFromCBBRequestMsg',423,1),
(3305,1188,1195,'OP_CreateCharFromCBBReplyMsg',424,1),
(3306,1188,1195,'OP_HousingDataChangedMsg',425,1),
(3307,1188,1195,'OP_HousingRestoreMsg',426,1),
(3308,1188,1195,'OP_AuctionItem',427,1),
(3309,1188,1195,'OP_AuctionItemReply',428,1),
(3310,1188,1195,'OP_AuctionCoin',429,1),
(3311,1188,1195,'OP_AuctionCoinReply',430,1),
(3312,1188,1195,'OP_AuctionCharacter',431,1),
(3313,1188,1195,'OP_AuctionCharacterReply',432,1),
(3314,1188,1195,'OP_AuctionCommitMsg',433,1),
(3315,1188,1195,'OP_AuctionAbortMsg',434,1),
(3316,1188,1195,'OP_CharTransferValidateRequestMsg',435,1),
(3317,1188,1195,'OP_CharTransferValidateReplyMsg',436,1),
(3318,1188,1195,'OP_RaceRestrictionMsg',437,1),
(3319,1188,1195,'OP_SetInstanceDisplayNameMsg',438,1),
(3320,1188,1195,'OP_GetAuctionAssetIDMsg',439,1),
(3321,1188,1195,'OP_GetAuctionAssetIDReplyMsg',440,1),
(3322,1188,1195,'OP_ResendWorldChannelsMsg',441,1),
(3323,1188,1195,'OP_DisplayExchangeScreenMsg',442,1),
(3324,1188,1195,'OP_ArenaGameTypesMsg',443,1),
(3325,1188,1195,'OP_AuditAuctionEventMsg',444,1),
(3326,1188,1195,'OP_InviteRequestMsg',445,1),
(3327,1188,1195,'OP_InviteResponseMsg',446,1),
(3328,1188,1195,'OP_InviteTargetResponseMsg',447,1),
(3329,1188,1195,'OP_InspectPlayerRequestMsg',448,1),
(3330,1188,1195,'OP_DispatchMsg',449,1),
(3331,1188,1195,'OP_DisplayEventMsg',450,1),
(3332,1188,1195,'OP_PrePossessionMsg',451,1),
(3333,1188,1195,'OP_PostPossessionMsg',452,1),
(3334,1188,1195,'OP_ArenaCreate',454,1),
(3335,1188,1195,'OP_ArenaList',455,1),
(3336,1188,1195,'OP_ArenaWindow',463,1),
(3337,1188,1195,'OP_HouseItemsList',481,1),
(3338,1188,1195,'OP_CurrentPet',483,1),
(3339,1188,1195,'OP_AdventureList',486,1),
(3340,1188,1195,'OP_CancelSpellCast',487,1),
(3341,1188,1195,'OP_UpdateTitleCmd',492,1),
(3342,1188,1195,'OP_AttackAllowed',498,1),
(3343,1188,1195,'OP_AttackNotAllowed',499,1),
(3344,1188,1195,'OP_BagOptions',500,1),
(3345,1188,1195,'OP_LFGGroupSearch',502,1),
(3346,1188,1195,'OP_CharacterHousingList',505,1),
(3347,1188,1195,'OP_DressingRoom',508,1),
(3348,1188,1195,'OP_PlayLon',509,1),
(3349,1188,1195,'OP_SkillInfoRequest',512,1),
(3350,1188,1195,'OP_SkillInfoResponse',513,1),
(3351,1188,1195,'OP_LFGUpdateMsg',516,1),
(3352,1188,1195,'OP_BadLanguageFilter',517,1),
(3353,1188,1195,'OP_VoiceChatChannel',518,1),
(3354,1188,1195,'OP_MapRequest',519,1),
(3355,1188,1195,'OP_MarketFundsUpdate',524,1),
(3356,1188,1195,'OP_UIEvent',525,1),
(3357,1188,1195,'OP_MarketAddFundsRequest',526,1),
(3358,1188,1195,'OP_MarketAddFundsReply',527,1),
(3359,1188,1195,'OP_MarketPurchase',529,1),
(3360,1188,1195,'OP_MarketPlacePrices',530,1),
(3361,1188,1195,'OP_MarketPlaceItems',533,1),
(3362,1188,1195,'OP_RecipeBook',534,1),
(3363,1188,1195,'OP_CreateCharacterDungeon',543,1),
(3364,1188,1195,'OP_DungeonMakerEnter',544,1),
(3365,1188,1195,'OP_DungeonMakerItemRequest',546,1),
(3366,1188,1195,'OP_CharacterCreatedDungeons',547,1),
(3367,1188,1195,'OP_DungeonMakerToolboxList',548,1),
(3368,1188,1195,'OP_DungeonMakerUnknown',549,1),
(3369,1188,1195,'OP_DungeonMakerUnknown1',550,1),
(3370,1188,1195,'OP_PlayerPollPopup',552,1),
(3371,1188,1195,'OP_PlayerPollAnswer',553,1),
(3372,1188,1195,'OP_MentorPopup',554,1),
(3373,1188,1195,'OP_LoadWelcomeWindow',556,1),
(3374,1188,1195,'OP_OpenCharCust',557,1),
(3375,1188,1195,'OP_SubmitCharCust',558,1),
(3376,1188,1195,'OP_QueAllBgSolo',560,1),
(3377,1188,1195,'OP_ZoneBgInstanceList',562,1),
(3378,1188,1195,'OP_WorldTravelAvail',566,1),
(3379,1188,1195,'OP_PaperdollImage',569,1),
(3380,1188,1195,'OP_LoadCalendarEvents',570,1),
(3381,1188,1195,'OP_VideoUploaded',571,1),
(3382,1188,1195,'OP_SavageBarInitMsg',572,1),
(3383,1188,1195,'OP_PetOptionsResponse',573,1),
(3384,1188,1195,'OP_DungeonMakerItemResponse',574,1),
(3385,1188,1195,'OP_CharacterMounts',576,1),
(3386,1188,1195,'OP_EqBetaCopyRequest',585,1),
(3387,1188,1195,'OP_EqHearChatCmd',586,1),
(3388,1188,1195,'OP_EqDisplayTextCmd',587,1),
(3389,1188,1195,'OP_EqCreateGhostCmd',588,1),
(3390,1188,1195,'OP_EqCreateWidgetCmd',589,1),
(3391,1188,1195,'OP_EqCreateSignWidgetCmd',590,1),
(3392,1188,1195,'OP_EqDestroyGhostCmd',591,1),
(3393,1188,1195,'OP_EqUpdateGhostCmd',592,1),
(3394,1188,1195,'OP_EqSetControlGhostCmd',593,1),
(3395,1188,1195,'OP_EqSetPOVGhostCmd',594,1),
(3396,1188,1195,'OP_EqHearCombatCmd',595,1),
(3397,1188,1195,'OP_EqHearSpellCastCmd',596,1),
(3398,1188,1195,'OP_EQHearProcCmd',597,1),
(3399,1188,1195,'OP_EQHearResEffectCmd',598,1),
(3400,1188,1195,'OP_EqHearSpellInterruptCmd',599,1),
(3401,1188,1195,'OP_EqHearSpellFizzleCmd',600,1),
(3402,1188,1195,'OP_EqHearConsiderCmd',601,1),
(3403,1188,1195,'OP_EqUpdateSubClassesCmd',602,1),
(3404,1188,1195,'OP_EqCreateListBoxCmd',603,1),
(3405,1188,1195,'OP_EqSetDebugPathPointsCmd',604,1),
(3406,1188,1195,'OP_EqCannedEmoteCmd',606,1),
(3407,1188,1195,'OP_EqStateCmd',607,1),
(3408,1188,1195,'OP_EqPlaySoundCmd',608,1),
(3409,1188,1195,'OP_EqPlaySound3DCmd',609,1),
(3410,1188,1195,'OP_EqPlayVoiceCmd',610,1),
(3411,1188,1195,'OP_EqHearDrowningCmd',611,1),
(3412,1188,1195,'OP_EqHearDeathCmd',612,1),
(3413,1188,1195,'OP_EqGroupMemberRemovedCmd',613,1),
(3414,1188,1195,'OP_EqHearChainEffectCmd',614,1),
(3415,1188,1195,'OP_EqReceiveOfferCmd',615,1),
(3416,1188,1195,'OP_EqInspectPCResultsCmd',616,1),
(3417,1188,1195,'OP_EqDrawablePathGraphCmd',617,1),
(3418,1188,1195,'OP_EqDialogOpenCmd',618,1),
(3419,1188,1195,'OP_EqDialogCloseCmd',619,1),
(3420,1188,1195,'OP_EqFactionUpdateCmd',620,1),
(3421,1188,1195,'OP_EqCollectionUpdateCmd',621,1),
(3422,1188,1195,'OP_EqCollectionFilterCmd',622,1),
(3423,1188,1195,'OP_EqCollectionItemCmd',623,1),
(3424,1188,1195,'OP_EqQuestJournalUpdateCmd',624,1),
(3425,1188,1195,'OP_EqMentoring',625,1),
(3426,1188,1195,'OP_EqQuestJournalReplyCmd',626,1),
(3427,1188,1195,'OP_EqQuestGroupCmd',627,1),
(3428,1188,1195,'OP_EqUpdateMerchantCmd',628,1),
(3429,1188,1195,'OP_EqUpdateStoreCmd',629,1),
(3430,1188,1195,'OP_EqUpdatePlayerTradeCmd',630,1),
(3431,1188,1195,'OP_EqHelpPathCmd',631,1),
(3432,1188,1195,'OP_EqHelpPathClearCmd',632,1),
(3433,1188,1195,'OP_EqUpdateBankCmd',633,1),
(3434,1188,1195,'OP_EqExamineInfoCmd',634,1),
(3435,1188,1195,'OP_EqCloseWindowCmd',635,1),
(3436,1188,1195,'OP_EqUpdateLootCmd',636,1),
(3437,1188,1195,'OP_EqJunctionListCmd',637,1),
(3438,1188,1195,'OP_EqShowDeathWindowCmd',638,1),
(3439,1188,1195,'OP_EqDisplaySpellFailCmd',639,1),
(3440,1188,1195,'OP_EqSpellCastStartCmd',640,1),
(3441,1188,1195,'OP_EqSpellCastEndCmd',641,1),
(3442,1188,1195,'OP_EqResurrectedCmd',642,1),
(3443,1188,1195,'OP_EqChoiceWinCmd',643,1),
(3444,1188,1195,'OP_EqSetDefaultVerbCmd',644,1),
(3445,1188,1195,'OP_EqInstructionWindowCmd',645,1),
(3446,1188,1195,'OP_EqInstructionWindowCloseCmd',646,1),
(3447,1188,1195,'OP_EqInstructionWindowGoalCmd',647,1),
(3448,1188,1195,'OP_EqInstructionWindowTaskCmd',648,1),
(3449,1188,1195,'OP_EqEnableGameEventCmd',649,1),
(3450,1188,1195,'OP_EqShowWindowCmd',650,1),
(3451,1188,1195,'OP_EqEnableWindowCmd',651,1),
(3452,1188,1195,'OP_EqFlashWindowCmd',652,1),
(3453,1188,1195,'OP_EqHearPlayFlavorCmd',654,1),
(3454,1188,1195,'OP_EqUpdateSignWidgetCmd',655,1),
(3455,1188,1195,'OP_EqDebugPVDCmd',656,1),
(3456,1188,1195,'OP_EqShowBookCmd',657,1),
(3457,1188,1195,'OP_EqQuestionnaireCmd',658,1),
(3458,1188,1195,'OP_EqGetProbsCmd',660,1),
(3459,1188,1195,'OP_EqHearHealCmd',661,1),
(3460,1188,1195,'OP_EqChatChannelUpdateCmd',662,1),
(3461,1188,1195,'OP_EqWhoChannelQueryReplyCmd',663,1),
(3462,1188,1195,'OP_EqAvailWorldChannelsCmd',664,1),
(3463,1188,1195,'OP_EqUpdateTargetCmd',665,1),
(3464,1188,1195,'OP_BrokerSellList',666,1),
(3465,1188,1195,'OP_EqConsignmentItemsCmd',667,1),
(3466,1188,1195,'OP_EqStartBrokerCmd',669,1),
(3467,1188,1195,'OP_EqMapExplorationCmd',670,1),
(3468,1188,1195,'OP_EqStoreLogCmd',671,1),
(3469,1188,1195,'OP_EqSpellMoveToRangeAndRetryCmd',672,1),
(3470,1188,1195,'OP_EqUpdatePlayerMailCmd',673,1),
(3471,1188,1195,'OP_GuildStatusUpdate',676,1),
(3472,1188,1195,'OP_EqArenaResultsCmd',677,1),
(3473,1188,1195,'OP_EqGuildBankEventActionCmd',678,1),
(3474,1188,1195,'OP_EqGuildBankExamineInfoCmd',679,1),
(3475,1188,1195,'OP_EqHearSpellNoLandCmd',680,1),
(3476,1188,1195,'OP_Lottery',681,1),
(3477,1188,1195,'OP_GuildRecruitingMemberInfo',682,1),
(3478,1188,1195,'OP_GuildRecruiting',683,1),
(3479,1188,1195,'OP_GuildRecruitingDetails',684,1),
(3480,1188,1195,'OP_GuildRecruitingImage',685,1),
(3481,1188,1195,'OP_TradeskillList',703,1),
(3482,1188,1195,'OP_CharRenamed',687,1),
(3483,1188,1195,'OP_UseAdornment',697,1),
(3484,1188,1195,'OP_ExpPurchWindow',703,1),
(3485,1188,1195,'OP_PointOfInterest',707,1),
(3486,1188,1195,'OP_PointOfInterest2',708,1),
(3487,1188,1195,'OP_TraitsList',709,1),
(3488,1188,1195,'OP_CustomizeHouseDisplay',712,1),
(3489,1188,1195,'OP_VoiceChatServer',713,1),
(3490,1188,1195,'OP_SupplyDepot',717,1),
(3491,1188,1195,'OP_EQHearThreatCmd',718,1),
(3492,1188,1195,'OP_RecipeList',719,1),
(3493,1188,1195,'OP_Research',720,1),
(3494,1188,1195,'OP_CharacterCurrency',721,1),
(3495,1188,1195,'OP_CharacterAchievements',722,1),
(3496,1188,1195,'OP_AchievementUpdateMsg',723,1),
(3497,1188,1195,'OP_EQHearDispellCmd',724,1),
(3498,1188,1195,'OP_JournalQuestStoryline',725,1),
(3499,1188,1195,'OP_DungeonPlayAsAvatarList',726,1),
(3500,1188,1195,'OP_DungeonPlayAsAvatarSelected',727,1),
(3501,1188,1195,'OP_MercHireWindow',728,1),
(3502,1188,1195,'OP_MercUnknown',729,1),
(3503,1188,1195,'OP_Unknown',746,1),
(3504,1198,1199,'OP_LoginRequestMsg',0,1),
(3505,1198,1199,'OP_LoginByNumRequestMsg',1,1),
(3506,1198,1199,'OP_WSLoginRequestMsg',2,1),
(3507,1198,1199,'OP_ESLoginRequestMsg',3,1),
(3508,1198,1199,'OP_LoginReplyMsg',4,1),
(3509,1198,1199,'OP_WSStatusReplyMsg',5,1),
(3510,1198,1199,'OP_WorldStatusChangeMsg',6,1),
(3511,1198,1199,'OP_AllWSDescRequestMsg',7,1),
(3512,1198,1199,'OP_WorldListMsg',8,1),
(3513,1198,1199,'OP_AllCharactersDescRequestMsg',9,1),
(3514,1198,1199,'OP_AllCharactersDescReplyMsg',10,1),
(3515,1198,1199,'OP_CreateCharacterRequestMsg',11,1),
(3516,1198,1199,'OP_CreateCharacterReplyMsg',12,1),
(3517,1198,1199,'OP_WSCreateCharacterRequestMsg',13,1),
(3518,1198,1199,'OP_WSCreateCharacterReplyMsg',14,1),
(3519,1198,1199,'OP_ReskinCharacterRequestMsg',15,1),
(3520,1198,1199,'OP_DeleteCharacterRequestMsg',16,1),
(3521,1198,1199,'OP_DeleteCharacterReplyMsg',17,1),
(3522,1198,1199,'OP_PlayCharacterRequestMsg',18,1),
(3523,1198,1199,'OP_PlayCharacterReplyMsg',19,1),
(3524,1198,1199,'OP_ExpectClientAsCharacterReplyMs',22,1),
(3525,1198,1199,'OP_ServerPlayCharacterRequestMsg',23,1),
(3526,1198,1199,'OP_ServerPlayCharacterReplyMsg',24,1),
(3527,1198,1199,'OP_ESInitMsg',25,1),
(3528,1198,1199,'OP_ESReadyForClientsMsg',26,1),
(3529,1198,1199,'OP_CreateZoneInstanceMsg',29,1),
(3530,1198,1199,'OP_ZoneInstanceCreateReplyMsg',30,1),
(3531,1198,1199,'OP_ZoneInstanceDestroyedMsg',31,1),
(3532,1198,1199,'OP_ExpectClientAsCharacterRequest',32,1),
(3533,1198,1199,'OP_ZoneInfoMsg',33,1),
(3534,1198,1199,'OP_DoneLoadingZoneResourcesMsg',34,1),
(3535,1198,1199,'OP_DoneSendingInitialEntitiesMsg',35,1),
(3536,1198,1199,'OP_DoneLoadingEntityResourcesMsg',36,1),
(3537,1198,1199,'OP_PredictionUpdateMsg',37,1),
(3538,1198,1199,'OP_UpdatePositionMsg',39,1),
(3539,1198,1199,'OP_SetRemoteCmdsMsg',41,1),
(3540,1198,1199,'OP_RemoteCmdMsg',42,1),
(3541,1198,1199,'OP_GameWorldTimeMsg',43,1),
(3542,1198,1199,'OP_MOTDMsg',44,1),
(3543,1198,1199,'OP_ZoneMOTDMsg',45,1),
(3544,1198,1199,'OP_AvatarCreatedMsg',46,1),
(3545,1198,1199,'OP_AvatarDestroyedMsg',47,1),
(3546,1198,1199,'OP_RequestCampMsg',50,1),
(3547,1198,1199,'OP_CampStartedMsg',51,1),
(3548,1198,1199,'OP_CampAbortedMsg',52,1),
(3549,1198,1199,'OP_WhoQueryRequestMsg',53,1),
(3550,1198,1199,'OP_WhoQueryReplyMsg',54,1),
(3551,1198,1199,'OP_MonitorReplyMsg',55,1),
(3552,1198,1199,'OP_MonitorCharacterListMsg',56,1),
(3553,1198,1199,'OP_MonitorCharacterListRequestMsg',57,1),
(3554,1198,1199,'OP_ClientCmdMsg',58,1),
(3555,1198,1199,'OP_DispatchESMsg',59,1),
(3556,1198,1199,'OP_DispatchClientCmdMsg',60,1),
(3557,1198,1199,'OP_UpdateTargetMsg',61,1),
(3558,1198,1199,'OP_UpdateTargetLocMsg',62,1),
(3559,1198,1199,'OP_UpdateCharacterSheetMsg',63,1),
(3560,1198,1199,'OP_CharacterPet',64,1),
(3561,1198,1199,'OP_CharacterMerc',65,1),
(3562,1198,1199,'OP_UpdateSpellBookMsg',66,1),
(3563,1198,1199,'OP_UpdateInventoryMsg',68,1),
(3564,1198,1199,'OP_AfterInvSpellUpdate',69,1),
(3565,1198,1199,'OP_UpdateRecipeBookMsg',70,1),
(3566,1198,1199,'OP_RequestRecipeDetailsMsg',71,1),
(3567,1198,1199,'OP_RecipeDetailsMsg',72,1),
(3568,1198,1199,'OP_UpdateSkillBookMsg',73,1),
(3569,1198,1199,'OP_UpdateSkillsMsg',74,1),
(3570,1198,1199,'OP_UpdateOpportunityMsg',75,1),
(3571,1198,1199,'OP_ChangeZoneMsg',77,1),
(3572,1198,1199,'OP_ClientTeleportRequestMsg',78,1),
(3573,1198,1199,'OP_TeleportWithinZoneMsg',79,1),
(3574,1198,1199,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(3575,1198,1199,'OP_MigrateClientToZoneRequestMsg',81,1),
(3576,1198,1199,'OP_MigrateClientToZoneReplyMsg',82,1),
(3577,1198,1199,'OP_ReadyToZoneMsg',84,1),
(3578,1198,1199,'OP_RemoveClientFromGroupMsg',85,1),
(3579,1198,1199,'OP_RemoveGroupFromGroupMsg',86,1),
(3580,1198,1199,'OP_MakeGroupLeaderMsg',87,1),
(3581,1198,1199,'OP_GroupCreatedMsg',88,1),
(3582,1198,1199,'OP_GroupDestroyedMsg',89,1),
(3583,1198,1199,'OP_GroupMemberAddedMsg',90,1),
(3584,1198,1199,'OP_GroupMemberRemovedMsg',91,1),
(3585,1198,1199,'OP_GroupRemovedFromGroupMsg',92,1),
(3586,1198,1199,'OP_GroupLeaderChangedMsg',93,1),
(3587,1198,1199,'OP_GroupResendOOZDataMsg',94,1),
(3588,1198,1199,'OP_GroupSettingsChangedMsg',95,1),
(3589,1198,1199,'OP_OutOfZoneMemberDataMsg',96,1),
(3590,1198,1199,'OP_SendLatestRequestMsg',97,1),
(3591,1198,1199,'OP_ClearDataMsg',98,1),
(3592,1198,1199,'OP_SetSocialMsg',99,1),
(3593,1198,1199,'OP_ESStatusMsg',100,1),
(3594,1198,1199,'OP_ESZoneInstanceStatusMsg',101,1),
(3595,1198,1199,'OP_ZonesStatusRequestMsg',102,1),
(3596,1198,1199,'OP_ZonesStatusMsg',103,1),
(3597,1198,1199,'OP_ESWeatherRequestMsg',104,1),
(3598,1198,1199,'OP_ESWeatherRequestEndMsg',105,1),
(3599,1198,1199,'OP_DialogSelectMsg',109,1),
(3600,1198,1199,'OP_DialogCloseMsg',110,1),
(3601,1198,1199,'OP_RemoveSpellEffectMsg',111,1),
(3602,1198,1199,'OP_RemoveConcentrationMsg',112,1),
(3603,1198,1199,'OP_QuestJournalOpenMsg',113,1),
(3604,1198,1199,'OP_QuestJournalInspectMsg',114,1),
(3605,1198,1199,'OP_QuestJournalSetVisibleMsg',115,1),
(3606,1198,1199,'OP_QuestJournalWaypointMsg',116,1),
(3607,1198,1199,'OP_CreateGuildRequestMsg',119,1),
(3608,1198,1199,'OP_CreateGuildReplyMsg',120,1),
(3609,1198,1199,'OP_GuildsayMsg',121,1),
(3610,1198,1199,'OP_FellowshipExpMsg',122,1),
(3611,1198,1199,'OP_DeleteGuildMsg',123,1),
(3612,1198,1199,'OP_GuildUpdateMsg',124,1),
(3613,1198,1199,'OP_ConsignmentCloseStoreMsg',125,1),
(3614,1198,1199,'OP_ConsignItemRequestMsg',126,1),
(3615,1198,1199,'OP_ConsignItemResponseMsg',127,1),
(3616,1198,1199,'OP_PurchaseConsignmentRequestMsg',128,1),
(3617,1198,1199,'OP_LikeOption',135,1),
(3618,1198,1199,'OP_PublishHouse',137,1),
(3619,1198,1199,'OP_PlayerMadeInstacnesScreen',138,1),
(3620,1198,1199,'OP_PlayerMadeInstances',139,1),
(3621,1198,1199,'OP_HouseDeletedRemotelyMsg',140,1),
(3622,1198,1199,'OP_UpdateHouseDataMsg',141,1),
(3623,1198,1199,'OP_UpdateHouseAccessDataMsg',142,1),
(3624,1198,1199,'OP_PlayerHouseBaseScreenMsg',143,1),
(3625,1198,1199,'OP_PlayerHousePurchaseScreenMsg',144,1),
(3626,1198,1199,'OP_PlayerHouseAccessUpdateMsg',145,1),
(3627,1198,1199,'OP_PlayerHouseDisplayStatusMsg',146,1),
(3628,1198,1199,'OP_PlayerHouseCloseUIMsg',147,1),
(3629,1198,1199,'OP_BuyPlayerHouseMsg',148,1),
(3630,1198,1199,'OP_BuyPlayerHouseTintMsg',149,1),
(3631,1198,1199,'OP_CollectAllHouseItemsMsg',150,1),
(3632,1198,1199,'OP_RelinquishHouseMsg',151,1),
(3633,1198,1199,'OP_EnterHouseMsg',152,1),
(3634,1198,1199,'OP_ExitHouseMsg',153,1),
(3635,1198,1199,'OP_HouseDefaultAccessSetMsg',154,1),
(3636,1198,1199,'OP_HouseAccessSetMsg',155,1),
(3637,1198,1199,'OP_HouseAccessRemoveMsg',156,1),
(3638,1198,1199,'OP_PayHouseUpkeepMsg',157,1),
(3639,1198,1199,'OP_MoveableObjectPlacementCriteri',158,1),
(3640,1198,1199,'OP_EnterMoveObjectModeMsg',159,1),
(3641,1198,1199,'OP_PositionMoveableObject',160,1),
(3642,1198,1199,'OP_CancelMoveObjectModeMsg',161,1),
(3643,1198,1199,'OP_ShaderCustomizationMsg',162,1),
(3644,1198,1199,'OP_ReplaceableSubMeshesMsg',163,1),
(3645,1198,1199,'OP_HouseCustomizationScreenMsg',164,1),
(3646,1198,1199,'OP_CustomizationPurchaseRequestMs',165,1),
(3647,1198,1199,'OP_CustomizationSetRequestMsg',166,1),
(3648,1198,1199,'OP_CustomizationReplyMsg',167,1),
(3649,1198,1199,'OP_TintWidgetsMsg',168,1),
(3650,1198,1199,'OP_ExamineConsignmentRequestMsg',169,1),
(3651,1198,1199,'OP_ExamineConsignmentResponseMsg',170,1),
(3652,1198,1199,'OP_UISettingsResponseMsg',171,1),
(3653,1198,1199,'OP_UIResetMsg',172,1),
(3654,1198,1199,'OP_KeymapLoadMsg',173,1),
(3655,1198,1199,'OP_KeymapNoneMsg',174,1),
(3656,1198,1199,'OP_KeymapDataMsg',175,1),
(3657,1198,1199,'OP_KeymapSaveMsg',176,1),
(3658,1198,1199,'OP_DispatchSpellCmdMsg',177,1),
(3659,1198,1199,'OP_EntityVerbsRequestMsg',178,1),
(3660,1198,1199,'OP_EntityVerbsReplyMsg',179,1),
(3661,1198,1199,'OP_EntityVerbsVerbMsg',180,1),
(3662,1198,1199,'OP_ChatRelationshipUpdateMsg',182,1),
(3663,1198,1199,'OP_LootItemsRequestMsg',183,1),
(3664,1198,1199,'OP_StoppedLootingMsg',184,1),
(3665,1198,1199,'OP_SitMsg',185,1),
(3666,1198,1199,'OP_StandMsg',186,1),
(3667,1198,1199,'OP_SatMsg',187,1),
(3668,1198,1199,'OP_StoodMsg',188,1),
(3669,1198,1199,'OP_ClearForTakeOffMsg',189,1),
(3670,1198,1199,'OP_ReadyForTakeOffMsg',190,1),
(3671,1198,1199,'OP_ShowIllusionsMsg',191,1),
(3672,1198,1199,'OP_HideIllusionsMsg',192,1),
(3673,1198,1199,'OP_ExamineItemRequestMsg',193,1),
(3674,1198,1199,'OP_ReadBookPageMsg',194,1),
(3675,1198,1199,'OP_DefaultGroupOptionsRequestMsg',195,1),
(3676,1198,1199,'OP_DefaultGroupOptionsMsg',196,1),
(3677,1198,1199,'OP_GroupOptionsMsg',197,1),
(3678,1198,1199,'OP_DisplayGroupOptionsScreenMsg',198,1),
(3679,1198,1199,'OP_PetOptions',199,1),
(3680,1198,1199,'OP_DisplayInnVisitScreenMsg',200,1),
(3681,1198,1199,'OP_DumpSchedulerMsg',201,1),
(3682,1198,1199,'OP_LSCheckAcctLockMsg',202,1),
(3683,1198,1199,'OP_WSAcctLockStatusMsg',203,1),
(3684,1198,1199,'OP_RequestHelpRepathMsg',204,1),
(3685,1198,1199,'OP_RequestTargetLocMsg',205,1),
(3686,1198,1199,'OP_UpdateMotdMsg',206,1),
(3687,1198,1199,'OP_DestUpdateReq',208,1),
(3688,1198,1199,'OP_PerformPlayerKnockbackMsg',211,1),
(3689,1198,1199,'OP_PerformCameraShakeMsg',212,1),
(3690,1198,1199,'OP_PopulateSkillMapsMsg',213,1),
(3691,1198,1199,'OP_CancelledFeignMsg',214,1),
(3692,1198,1199,'OP_SysClient',216,1),
(3693,1198,1199,'OP_ShowCreateFromRecipeUIMsg',217,1),
(3694,1198,1199,'OP_CancelCreateFromRecipeMsg',218,1),
(3695,1198,1199,'OP_BeginItemCreationMsg',219,1),
(3696,1198,1199,'OP_StopItemCreationMsg',220,1),
(3697,1198,1199,'OP_ShowItemCreationProcessUIMsg',221,1),
(3698,1198,1199,'OP_UpdateItemCreationProcessUIMsg',222,1),
(3699,1198,1199,'OP_DisplayTSEventReactionMsg',223,1),
(3700,1198,1199,'OP_ShowRecipeBookMsg',224,1),
(3701,1198,1199,'OP_KnowledgebaseRequestMsg',225,1),
(3702,1198,1199,'OP_KnowledgebaseResponseMsg',226,1),
(3703,1198,1199,'OP_CSTicketHeaderRequestMsg',227,1),
(3704,1198,1199,'OP_CSTicketInfoMsg',228,1),
(3705,1198,1199,'OP_CSTicketCommentRequestMsg',229,1),
(3706,1198,1199,'OP_CSTicketCommentResponseMsg',230,1),
(3707,1198,1199,'OP_CSTicketCreateMsg',231,1),
(3708,1198,1199,'OP_CSTicketAddCommentMsg',232,1),
(3709,1198,1199,'OP_CSTicketDeleteMsg',233,1),
(3710,1198,1199,'OP_CSTicketChangeNotificationMsg',234,1),
(3711,1198,1199,'OP_WorldDataUpdateMsg',235,1),
(3712,1198,1199,'OP_KnownLanguagesMsg',236,1),
(3713,1198,1199,'OP_LsRequestClientCrashLogMsg',237,1),
(3714,1198,1199,'OP_LsClientBaselogReplyMsg',238,1),
(3715,1198,1199,'OP_LsClientCrashlogReplyMsg',239,1),
(3716,1198,1199,'OP_LsClientAlertlogReplyMsg',240,1),
(3717,1198,1199,'OP_LsClientVerifylogReplyMsg',241,1),
(3718,1198,1199,'OP_ClientTeleportToLocationMsg',242,1),
(3719,1198,1199,'OP_UpdateClientPredFlagsMsg',243,1),
(3720,1198,1199,'OP_ChangeServerControlFlagMsg',244,1),
(3721,1198,1199,'OP_CSToolsRequestMsg',245,1),
(3722,1198,1199,'OP_CSToolsResponseMsg',246,1),
(3723,1198,1199,'OP_AddSocialStructureStandingMsg',247,1),
(3724,1198,1199,'OP_CreateBoatTransportsMsg',248,1),
(3725,1198,1199,'OP_PositionBoatTransportMsg',249,1),
(3726,1198,1199,'OP_MigrateBoatTransportMsg',250,1),
(3727,1198,1199,'OP_MigrateBoatTransportReplyMsg',251,1),
(3728,1198,1199,'OP_DisplayDebugNLLPointsMsg',252,1),
(3729,1198,1199,'OP_ExamineInfoRequestMsg',253,1),
(3730,1198,1199,'OP_QuickbarInitMsg',254,1),
(3731,1198,1199,'OP_QuickbarUpdateMsg',255,1),
(3732,1198,1199,'OP_MacroInitMsg',256,1),
(3733,1198,1199,'OP_MacroUpdateMsg',257,1),
(3734,1198,1199,'OP_QuestionnaireMsg',258,1),
(3735,1198,1199,'OP_LevelChangedMsg',259,1),
(3736,1198,1199,'OP_SpellGainedMsg',260,1),
(3737,1198,1199,'OP_EncounterBrokenMsg',261,1),
(3738,1198,1199,'OP_OnscreenMsgMsg',262,1),
(3739,1198,1199,'OP_DisplayWarningMsg',263,1),
(3740,1198,1199,'OP_ModifyGuildMsg',264,1),
(3741,1198,1199,'OP_GuildEventMsg',265,1),
(3742,1198,1199,'OP_GuildEventAddMsg',266,1),
(3743,1198,1199,'OP_GuildEventActionMsg',267,1),
(3744,1198,1199,'OP_GuildEventListMsg',268,1),
(3745,1198,1199,'OP_RequestGuildEventDetailsMsg',269,1),
(3746,1198,1199,'OP_GuildEventDetailsMsg',270,1),
(3747,1198,1199,'OP_RequestGuildInfoMsg',271,1),
(3748,1198,1199,'OP_GuildBankActionMsg',272,1),
(3749,1198,1199,'OP_GuildBankActionResponseMsg',273,1),
(3750,1198,1199,'OP_GuildBankItemDetailsRequestMsg',274,1),
(3751,1198,1199,'OP_GuildBankItemDetailsResponseMs',275,1),
(3752,1198,1199,'OP_GuildBankUpdateMsg',276,1),
(3753,1198,1199,'OP_GuildBankEventListMsg',277,1),
(3754,1198,1199,'OP_RequestGuildBankEventDetailsMs',278,1),
(3755,1198,1199,'OP_RewardPackMsg',279,1),
(3756,1198,1199,'OP_RenameGuildMsg',280,1),
(3757,1198,1199,'OP_ZoneToFriendRequestMsg',281,1),
(3758,1198,1199,'OP_ZoneToFriendReplyMsg',282,1),
(3759,1198,1199,'OP_ChatCreateChannelMsg',283,1),
(3760,1198,1199,'OP_ChatJoinChannelMsg',284,1),
(3761,1198,1199,'OP_ChatWhoChannelMsg',285,1),
(3762,1198,1199,'OP_ChatLeaveChannelMsg',286,1),
(3763,1198,1199,'OP_ChatTellChannelMsg',287,1),
(3764,1198,1199,'OP_ChatTellUserMsg',288,1),
(3765,1198,1199,'OP_ChatToggleFriendMsg',289,1),
(3766,1198,1199,'OP_BrokerAddBag',290,1),
(3767,1198,1199,'OP_BrokerRemoveBag',291,1),
(3768,1198,1199,'OP_ChatToggleIgnoreMsg',292,1),
(3769,1198,1199,'OP_ChatSendFriendsMsg',293,1),
(3770,1198,1199,'OP_ChatSendIgnoresMsg',294,1),
(3771,1198,1199,'OP_QuestReward',318,1),
(3772,1198,1199,'OP_ChatFiltersMsg',333,1),
(3773,1198,1199,'OP_MailGetMessageMsg',336,1),
(3774,1198,1199,'OP_MailSendMessageMsg',337,1),
(3775,1198,1199,'OP_MailDeleteMessageMsg',338,1),
(3776,1198,1199,'OP_MailGetHeadersReplyMsg',339,1),
(3777,1198,1199,'OP_MailGetMessageReplyMsg',340,1),
(3778,1198,1199,'OP_MailSendMessageReplyMsg',341,1),
(3779,1198,1199,'OP_MailCommitSendMessageMsg',342,1),
(3780,1198,1199,'OP_MailSendSystemMessageMsg',343,1),
(3781,1198,1199,'OP_MailRemoveAttachFromMailMsg',344,1),
(3782,1198,1199,'OP_WaypointRequestMsg',346,1),
(3783,1198,1199,'OP_WaypointReplyMsg',347,1),
(3784,1198,1199,'OP_WaypointSelectMsg',348,1),
(3785,1198,1199,'OP_WaypointUpdateMsg',349,1),
(3786,1198,1199,'OP_CharNameChangedMsg',350,1),
(3787,1198,1199,'OP_ShowZoneTeleporterDestinations',351,1),
(3788,1198,1199,'OP_SelectZoneTeleporterDestinatio',352,1),
(3789,1198,1199,'OP_ReloadLocalizedTxtMsg',353,1),
(3790,1198,1199,'OP_RequestGuildMembershipMsg',354,1),
(3791,1198,1199,'OP_GuildMembershipResponseMsg',355,1),
(3792,1198,1199,'OP_LeaveGuildNotifyMsg',356,1),
(3793,1198,1199,'OP_JoinGuildNotifyMsg',357,1),
(3794,1198,1199,'OP_AvatarUpdateMsg',358,1),
(3795,1198,1199,'OP_BioUpdateMsg',360,1),
(3796,1198,1199,'OP_InspectPlayerMsg',361,1),
(3797,1198,1199,'OP_WSServerLockMsg',362,1),
(3798,1198,1199,'OP_LSServerLockMsg',363,1),
(3799,1198,1199,'OP_WSServerHideMsg',364,1),
(3800,1198,1199,'OP_CsCategoryRequestMsg',365,1),
(3801,1198,1199,'OP_CsCategoryResponseMsg',366,1),
(3802,1198,1199,'OP_KnowledgeWindowSlotMappingMsg',367,1),
(3803,1198,1199,'OP_AFKUpdateMsg',368,1),
(3804,1198,1199,'OP_AnonUpdateMsg',369,1),
(3805,1198,1199,'OP_UpdateActivePublicZonesMsg',370,1),
(3806,1198,1199,'OP_UnknownNpcMsg',371,1),
(3807,1198,1199,'OP_PromoFlagsDetailsMsg',372,1),
(3808,1198,1199,'OP_ConsignViewCreateMsg',373,1),
(3809,1198,1199,'OP_ConsignViewGetPageMsg',374,1),
(3810,1198,1199,'OP_ConsignViewReleaseMsg',375,1),
(3811,1198,1199,'OP_ConsignRemoveItemsMsg',376,1),
(3812,1198,1199,'OP_UpdateDebugRadiiMsg',377,1),
(3813,1198,1199,'OP_ReportMsg',378,1),
(3814,1198,1199,'OP_UpdateRaidMsg',379,1),
(3815,1198,1199,'OP_ConsignViewSortMsg',381,1),
(3816,1198,1199,'OP_TitleUpdateMsg',382,1),
(3817,1198,1199,'OP_ClientFellMsg',383,1),
(3818,1198,1199,'OP_ClientInDeathRegionMsg',384,1),
(3819,1198,1199,'OP_CampClientMsg',385,1),
(3820,1198,1199,'OP_CSToolAccessResponseMsg',386,1),
(3821,1198,1199,'OP_TrackingUpdateMsg',387,1),
(3822,1198,1199,'OP_BeginTrackingMsg',388,1),
(3823,1198,1199,'OP_StopTrackingMsg',389,1),
(3824,1198,1199,'OP_GetAvatarAccessRequestForCSToo',391,1),
(3825,1198,1199,'OP_AdvancementRequestMsg',392,1),
(3826,1198,1199,'OP_MapFogDataInitMsg',393,1),
(3827,1198,1199,'OP_MapFogDataUpdateMsg',394,1),
(3828,1198,1199,'OP_CloseGroupInviteWindowMsg',395,1),
(3829,1198,1199,'OP_UpdateGroupMemberDataMsg',396,1),
(3830,1198,1199,'OP_WorldPingMsg',397,1),
(3831,1198,1199,'OP_MoveLogUpdateMsg',388,1),
(3832,1198,1199,'OP_OfferQuestMsg',399,1),
(3833,1198,1199,'OP_WorldShutdownUpdateMsg',401,1),
(3834,1198,1199,'OP_DisplayMailScreenMsg',402,1),
(3835,1198,1199,'OP_ClientIdleBeginMsg',403,1),
(3836,1198,1199,'OP_ClientIdleEndMsg',404,1),
(3837,1198,1199,'OP_PurchaseConsignmentLoreCheckRe',405,1),
(3838,1198,1199,'OP_NotifyApprenticeStoppedMentori',406,1),
(3839,1198,1199,'OP_CorruptedClientMsg',407,1),
(3840,1198,1199,'OP_WorldDataChangeMsg',408,1),
(3841,1198,1199,'OP_MailEventNotificationMsg',409,1),
(3842,1198,1199,'OP_RestartZoneMsg',410,1),
(3843,1198,1199,'OP_FlightPathsMsg',411,1),
(3844,1198,1199,'OP_CharacterLinkdeadMsg',412,1),
(3845,1198,1199,'OP_CharTransferStartRequestMsg',413,1),
(3846,1198,1199,'OP_CharTransferStartReplyMsg',414,1),
(3847,1198,1199,'OP_CharTransferRequestMsg',415,1),
(3848,1198,1199,'OP_CharTransferReplyMsg',416,1),
(3849,1198,1199,'OP_CharTransferRollbackRequestMsg',417,1),
(3850,1198,1199,'OP_CharTransferCommitRequestMsg',418,1),
(3851,1198,1199,'OP_CharTransferRollbackReplyMsg',419,1),
(3852,1198,1199,'OP_CharTransferCommitReplyMsg',420,1),
(3853,1198,1199,'OP_GetCharacterSerializedRequestM',421,1),
(3854,1198,1199,'OP_GetCharacterSerializedReplyMsg',422,1),
(3855,1198,1199,'OP_CreateCharFromCBBRequestMsg',423,1),
(3856,1198,1199,'OP_CreateCharFromCBBReplyMsg',424,1),
(3857,1198,1199,'OP_HousingDataChangedMsg',425,1),
(3858,1198,1199,'OP_HousingRestoreMsg',426,1),
(3859,1198,1199,'OP_AuctionItem',427,1),
(3860,1198,1199,'OP_AuctionItemReply',428,1),
(3861,1198,1199,'OP_AuctionCoin',429,1),
(3862,1198,1199,'OP_AuctionCoinReply',430,1),
(3863,1198,1199,'OP_AuctionCharacter',431,1),
(3864,1198,1199,'OP_AuctionCharacterReply',432,1),
(3865,1198,1199,'OP_AuctionCommitMsg',433,1),
(3866,1198,1199,'OP_AuctionAbortMsg',434,1),
(3867,1198,1199,'OP_CharTransferValidateRequestMsg',435,1),
(3868,1198,1199,'OP_CharTransferValidateReplyMsg',436,1),
(3869,1198,1199,'OP_RaceRestrictionMsg',437,1),
(3870,1198,1199,'OP_SetInstanceDisplayNameMsg',438,1),
(3871,1198,1199,'OP_GetAuctionAssetIDMsg',439,1),
(3872,1198,1199,'OP_GetAuctionAssetIDReplyMsg',440,1),
(3873,1198,1199,'OP_ResendWorldChannelsMsg',441,1),
(3874,1198,1199,'OP_DisplayExchangeScreenMsg',442,1),
(3875,1198,1199,'OP_ArenaGameTypesMsg',443,1),
(3876,1198,1199,'OP_AuditAuctionEventMsg',444,1),
(3877,1198,1199,'OP_InviteRequestMsg',445,1),
(3878,1198,1199,'OP_InviteResponseMsg',446,1),
(3879,1198,1199,'OP_InviteTargetResponseMsg',447,1),
(3880,1198,1199,'OP_InspectPlayerRequestMsg',448,1),
(3881,1198,1199,'OP_DispatchMsg',449,1),
(3882,1198,1199,'OP_DisplayEventMsg',450,1),
(3883,1198,1199,'OP_PrePossessionMsg',451,1),
(3884,1198,1199,'OP_PostPossessionMsg',452,1),
(3885,1198,1199,'OP_ArenaCreate',454,1),
(3886,1198,1199,'OP_ArenaList',455,1),
(3887,1198,1199,'OP_ArenaWindow',463,1),
(3888,1198,1199,'OP_HouseItemsList',481,1),
(3889,1198,1199,'OP_CurrentPet',483,1),
(3890,1198,1199,'OP_AdventureList',486,1),
(3891,1198,1199,'OP_CancelSpellCast',487,1),
(3892,1198,1199,'OP_UpdateTitleCmd',492,1),
(3893,1198,1199,'OP_AttackAllowed',498,1),
(3894,1198,1199,'OP_AttackNotAllowed',499,1),
(3895,1198,1199,'OP_BagOptions',500,1),
(3896,1198,1199,'OP_LFGGroupSearch',502,1),
(3897,1198,1199,'OP_CharacterHousingList',505,1),
(3898,1198,1199,'OP_DressingRoom',508,1),
(3899,1198,1199,'OP_PlayLon',509,1),
(3900,1198,1199,'OP_SkillInfoRequest',512,1),
(3901,1198,1199,'OP_SkillInfoResponse',513,1),
(3902,1198,1199,'OP_LFGUpdateMsg',516,1),
(3903,1198,1199,'OP_BadLanguageFilter',517,1),
(3904,1198,1199,'OP_VoiceChatChannel',518,1),
(3905,1198,1199,'OP_MapRequest',519,1),
(3906,1198,1199,'OP_MarketFundsUpdate',524,1),
(3907,1198,1199,'OP_UIEvent',525,1),
(3908,1198,1199,'OP_MarketAddFundsRequest',526,1),
(3909,1198,1199,'OP_MarketAddFundsReply',527,1),
(3910,1198,1199,'OP_MarketPurchase',529,1),
(3911,1198,1199,'OP_MarketPlacePrices',530,1),
(3912,1198,1199,'OP_MarketPlaceItems',533,1),
(3913,1198,1199,'OP_RecipeBook',534,1),
(3914,1198,1199,'OP_CreateCharacterDungeon',543,1),
(3915,1198,1199,'OP_DungeonMakerEnter',544,1),
(3916,1198,1199,'OP_DungeonMakerItemRequest',546,1),
(3917,1198,1199,'OP_CharacterCreatedDungeons',547,1),
(3918,1198,1199,'OP_DungeonMakerToolboxList',548,1),
(3919,1198,1199,'OP_DungeonMakerUnknown',549,1),
(3920,1198,1199,'OP_DungeonMakerUnknown1',550,1),
(3921,1198,1199,'OP_PlayerPollPopup',552,1),
(3922,1198,1199,'OP_PlayerPollAnswer',553,1),
(3923,1198,1199,'OP_MentorPopup',554,1),
(3924,1198,1199,'OP_LoadWelcomeWindow',556,1),
(3925,1198,1199,'OP_OpenCharCust',557,1),
(3926,1198,1199,'OP_SubmitCharCust',558,1),
(3927,1198,1199,'OP_QueAllBgSolo',560,1),
(3928,1198,1199,'OP_ZoneBgInstanceList',562,1),
(3929,1198,1199,'OP_WorldTravelAvail',566,1),
(3930,1198,1199,'OP_PaperdollImage',569,1),
(3931,1198,1199,'OP_LoadCalendarEvents',570,1),
(3932,1198,1199,'OP_VideoUploaded',571,1),
(3933,1198,1199,'OP_SavageBarInitMsg',572,1),
(3934,1198,1199,'OP_PetOptionsResponse',573,1),
(3935,1198,1199,'OP_DungeonMakerItemResponse',574,1),
(3936,1198,1199,'OP_CharacterMounts',576,1),
(3937,1198,1199,'OP_EqBetaCopyRequest',586,1),
(3938,1198,1199,'OP_EqHearChatCmd',587,1),
(3939,1198,1199,'OP_EqDisplayTextCmd',588,1),
(3940,1198,1199,'OP_EqCreateGhostCmd',589,1),
(3941,1198,1199,'OP_EqCreateWidgetCmd',590,1),
(3942,1198,1199,'OP_EqCreateSignWidgetCmd',591,1),
(3943,1198,1199,'OP_EqDestroyGhostCmd',592,1),
(3944,1198,1199,'OP_EqUpdateGhostCmd',593,1),
(3945,1198,1199,'OP_EqSetControlGhostCmd',594,1),
(3946,1198,1199,'OP_EqSetPOVGhostCmd',595,1),
(3947,1198,1199,'OP_EqHearCombatCmd',596,1),
(3948,1198,1199,'OP_EqHearSpellCastCmd',597,1),
(3949,1198,1199,'OP_EQHearProcCmd',598,1),
(3950,1198,1199,'OP_EQHearResEffectCmd',599,1),
(3951,1198,1199,'OP_EqHearSpellInterruptCmd',600,1),
(3952,1198,1199,'OP_EqHearSpellFizzleCmd',601,1),
(3953,1198,1199,'OP_EqHearConsiderCmd',602,1),
(3954,1198,1199,'OP_EqUpdateSubClassesCmd',603,1),
(3955,1198,1199,'OP_EqCreateListBoxCmd',604,1),
(3956,1198,1199,'OP_EqSetDebugPathPointsCmd',605,1),
(3957,1198,1199,'OP_EqCannedEmoteCmd',607,1),
(3958,1198,1199,'OP_EqStateCmd',608,1),
(3959,1198,1199,'OP_EqPlaySoundCmd',609,1),
(3960,1198,1199,'OP_EqPlaySound3DCmd',610,1),
(3961,1198,1199,'OP_EqPlayVoiceCmd',611,1),
(3962,1198,1199,'OP_EqHearDrowningCmd',612,1),
(3963,1198,1199,'OP_EqHearDeathCmd',613,1),
(3964,1198,1199,'OP_EqGroupMemberRemovedCmd',614,1),
(3965,1198,1199,'OP_EqHearChainEffectCmd',615,1),
(3966,1198,1199,'OP_EqReceiveOfferCmd',616,1),
(3967,1198,1199,'OP_EqInspectPCResultsCmd',617,1),
(3968,1198,1199,'OP_EqDrawablePathGraphCmd',618,1),
(3969,1198,1199,'OP_EqDialogOpenCmd',619,1),
(3970,1198,1199,'OP_EqDialogCloseCmd',620,1),
(3971,1198,1199,'OP_EqFactionUpdateCmd',621,1),
(3972,1198,1199,'OP_EqCollectionUpdateCmd',622,1),
(3973,1198,1199,'OP_EqCollectionFilterCmd',623,1),
(3974,1198,1199,'OP_EqCollectionItemCmd',624,1),
(3975,1198,1199,'OP_EqQuestJournalUpdateCmd',625,1),
(3976,1198,1199,'OP_EqMentoring',626,1),
(3977,1198,1199,'OP_EqQuestJournalReplyCmd',627,1),
(3978,1198,1199,'OP_EqQuestGroupCmd',628,1),
(3979,1198,1199,'OP_EqUpdateMerchantCmd',629,1),
(3980,1198,1199,'OP_EqUpdateStoreCmd',630,1),
(3981,1198,1199,'OP_EqUpdatePlayerTradeCmd',631,1),
(3982,1198,1199,'OP_EqHelpPathCmd',632,1),
(3983,1198,1199,'OP_EqHelpPathClearCmd',633,1),
(3984,1198,1199,'OP_EqUpdateBankCmd',634,1),
(3985,1198,1199,'OP_EqExamineInfoCmd',635,1),
(3986,1198,1199,'OP_EqCloseWindowCmd',636,1),
(3987,1198,1199,'OP_EqUpdateLootCmd',637,1),
(3988,1198,1199,'OP_EqJunctionListCmd',638,1),
(3989,1198,1199,'OP_EqShowDeathWindowCmd',639,1),
(3990,1198,1199,'OP_EqDisplaySpellFailCmd',640,1),
(3991,1198,1199,'OP_EqSpellCastStartCmd',641,1),
(3992,1198,1199,'OP_EqSpellCastEndCmd',642,1),
(3993,1198,1199,'OP_EqResurrectedCmd',643,1),
(3994,1198,1199,'OP_EqChoiceWinCmd',644,1),
(3995,1198,1199,'OP_EqSetDefaultVerbCmd',645,1),
(3996,1198,1199,'OP_EqInstructionWindowCmd',646,1),
(3997,1198,1199,'OP_EqInstructionWindowCloseCmd',647,1),
(3998,1198,1199,'OP_EqInstructionWindowGoalCmd',648,1),
(3999,1198,1199,'OP_EqInstructionWindowTaskCmd',649,1),
(4000,1198,1199,'OP_EqEnableGameEventCmd',650,1),
(4001,1198,1199,'OP_EqShowWindowCmd',651,1),
(4002,1198,1199,'OP_EqEnableWindowCmd',652,1),
(4003,1198,1199,'OP_EqFlashWindowCmd',653,1),
(4004,1198,1199,'OP_EqHearPlayFlavorCmd',655,1),
(4005,1198,1199,'OP_EqUpdateSignWidgetCmd',656,1),
(4006,1198,1199,'OP_EqDebugPVDCmd',657,1),
(4007,1198,1199,'OP_EqShowBookCmd',658,1),
(4008,1198,1199,'OP_EqQuestionnaireCmd',659,1),
(4009,1198,1199,'OP_EqGetProbsCmd',661,1),
(4010,1198,1199,'OP_EqHearHealCmd',662,1),
(4011,1198,1199,'OP_EqChatChannelUpdateCmd',663,1),
(4012,1198,1199,'OP_EqWhoChannelQueryReplyCmd',664,1),
(4013,1198,1199,'OP_EqAvailWorldChannelsCmd',665,1),
(4014,1198,1199,'OP_EqUpdateTargetCmd',666,1),
(4015,1198,1199,'OP_BrokerSellList',667,1),
(4016,1198,1199,'OP_EqConsignmentItemsCmd',668,1),
(4017,1198,1199,'OP_EqStartBrokerCmd',670,1),
(4018,1198,1199,'OP_EqMapExplorationCmd',671,1),
(4019,1198,1199,'OP_EqStoreLogCmd',672,1),
(4020,1198,1199,'OP_EqSpellMoveToRangeAndRetryCmd',673,1),
(4021,1198,1199,'OP_EqUpdatePlayerMailCmd',674,1),
(4022,1198,1199,'OP_GuildStatusUpdate',677,1),
(4023,1198,1199,'OP_EqArenaResultsCmd',678,1),
(4024,1198,1199,'OP_EqGuildBankEventActionCmd',679,1),
(4025,1198,1199,'OP_EqGuildBankExamineInfoCmd',680,1),
(4026,1198,1199,'OP_EqHearSpellNoLandCmd',681,1),
(4027,1198,1199,'OP_Lottery',682,1),
(4028,1198,1199,'OP_GuildRecruitingMemberInfo',683,1),
(4029,1198,1199,'OP_GuildRecruiting',684,1),
(4030,1198,1199,'OP_GuildRecruitingDetails',685,1),
(4031,1198,1199,'OP_GuildRecruitingImage',686,1),
(4032,1198,1199,'OP_TradeskillList',704,1),
(4033,1198,1199,'OP_CharRenamed',688,1),
(4034,1198,1199,'OP_UseAdornment',698,1),
(4035,1198,1199,'OP_ExpPurchWindow',704,1),
(4036,1198,1199,'OP_PointOfInterest',708,1),
(4037,1198,1199,'OP_PointOfInterest2',709,1),
(4038,1198,1199,'OP_TraitsList',710,1),
(4039,1198,1199,'OP_CustomizeHouseDisplay',713,1),
(4040,1198,1199,'OP_VoiceChatServer',714,1),
(4041,1198,1199,'OP_SupplyDepot',718,1),
(4042,1198,1199,'OP_EQHearThreatCmd',719,1),
(4043,1198,1199,'OP_RecipeList',720,1),
(4044,1198,1199,'OP_Research',721,1),
(4045,1198,1199,'OP_CharacterCurrency',722,1),
(4046,1198,1199,'OP_CharacterAchievements',723,1),
(4047,1198,1199,'OP_AchievementUpdateMsg',724,1),
(4048,1198,1199,'OP_EQHearDispellCmd',725,1),
(4049,1198,1199,'OP_JournalQuestStoryline',726,1),
(4050,1198,1199,'OP_DungeonPlayAsAvatarList',727,1),
(4051,1198,1199,'OP_DungeonPlayAsAvatarSelected',728,1),
(4052,1198,1199,'OP_MercHireWindow',729,1),
(4053,1198,1199,'OP_MercUnknown',730,1),
(4054,1198,1199,'OP_Unknown',747,1),
(4055,562,838,'OP_BrokerAddBag',9999,1),
(4057,908,927,'OP_BrokerAddBag',9999,1),
(4058,972,1011,'OP_BrokerAddBag',9999,1),
(4059,1045,1086,'OP_BrokerAddBag',9999,1),
(4060,1096,1096,'OP_BrokerAddBag',9999,1),
(4062,562,838,'OP_CharacterCurrency',654,1),
(4064,908,927,'OP_CharacterCurrency',654,1),
(4065,972,1011,'OP_CharacterCurrency',654,1),
(4066,1045,1086,'OP_CharacterCurrency',673,1),
(4067,1096,1096,'OP_CharacterCurrency',676,1),
(4068,562,838,'OP_CharacterPet',9999,1),
(4070,908,927,'OP_CharacterPet',9999,1),
(4071,972,1011,'OP_CharacterPet',9999,1),
(4072,1045,1086,'OP_CharacterPet',9999,1),
(4073,1096,1096,'OP_CharacterPet',9999,1),
(4075,562,838,'OP_TradeskillList',9999,1),
(4077,908,927,'OP_TradeskillList',9999,1),
(4078,972,1011,'OP_TradeskillList',9999,1),
(4079,1045,1086,'OP_TradeskillList',9999,1),
(4083,1204,1205,'OP_LoginRequestMsg',0,1),
(4084,1204,1205,'OP_LoginByNumRequestMsg',1,1),
(4085,1204,1205,'OP_WSLoginRequestMsg',2,1),
(4086,1204,1205,'OP_ESLoginRequestMsg',3,1),
(4087,1204,1205,'OP_LoginReplyMsg',4,1),
(4088,1204,1205,'OP_WSStatusReplyMsg',5,1),
(4089,1204,1205,'OP_WorldStatusChangeMsg',6,1),
(4090,1204,1205,'OP_AllWSDescRequestMsg',7,1),
(4091,1204,1205,'OP_WorldListMsg',8,1),
(4092,1204,1205,'OP_AllCharactersDescRequestMsg',9,1),
(4093,1204,1205,'OP_AllCharactersDescReplyMsg',10,1),
(4094,1204,1205,'OP_CreateCharacterRequestMsg',11,1),
(4095,1204,1205,'OP_CreateCharacterReplyMsg',12,1),
(4096,1204,1205,'OP_WSCreateCharacterRequestMsg',13,1),
(4097,1204,1205,'OP_WSCreateCharacterReplyMsg',14,1),
(4098,1204,1205,'OP_ReskinCharacterRequestMsg',15,1),
(4099,1204,1205,'OP_DeleteCharacterRequestMsg',16,1),
(4100,1204,1205,'OP_DeleteCharacterReplyMsg',17,1),
(4101,1204,1205,'OP_PlayCharacterRequestMsg',18,1),
(4102,1204,1205,'OP_PlayCharacterReplyMsg',19,1),
(4103,1204,1205,'OP_ExpectClientAsCharacterReplyMs',22,1),
(4104,1204,1205,'OP_ServerPlayCharacterRequestMsg',23,1),
(4105,1204,1205,'OP_ServerPlayCharacterReplyMsg',24,1),
(4106,1204,1205,'OP_ESInitMsg',25,1),
(4107,1204,1205,'OP_ESReadyForClientsMsg',26,1),
(4108,1204,1205,'OP_CreateZoneInstanceMsg',29,1),
(4109,1204,1205,'OP_ZoneInstanceCreateReplyMsg',30,1),
(4110,1204,1205,'OP_ZoneInstanceDestroyedMsg',31,1),
(4111,1204,1205,'OP_ExpectClientAsCharacterRequest',32,1),
(4112,1204,1205,'OP_ZoneInfoMsg',33,1),
(4113,1204,1205,'OP_DoneLoadingZoneResourcesMsg',34,1),
(4114,1204,1205,'OP_DoneSendingInitialEntitiesMsg',35,1),
(4115,1204,1205,'OP_DoneLoadingEntityResourcesMsg',36,1),
(4116,1204,1205,'OP_PredictionUpdateMsg',37,1),
(4117,1204,1205,'OP_UpdatePositionMsg',39,1),
(4118,1204,1205,'OP_SetRemoteCmdsMsg',41,1),
(4119,1204,1205,'OP_RemoteCmdMsg',42,1),
(4120,1204,1205,'OP_GameWorldTimeMsg',43,1),
(4121,1204,1205,'OP_MOTDMsg',44,1),
(4122,1204,1205,'OP_ZoneMOTDMsg',45,1),
(4123,1204,1205,'OP_AvatarCreatedMsg',46,1),
(4124,1204,1205,'OP_AvatarDestroyedMsg',47,1),
(4125,1204,1205,'OP_RequestCampMsg',50,1),
(4126,1204,1205,'OP_CampStartedMsg',51,1),
(4127,1204,1205,'OP_CampAbortedMsg',52,1),
(4128,1204,1205,'OP_WhoQueryRequestMsg',53,1),
(4129,1204,1205,'OP_WhoQueryReplyMsg',54,1),
(4130,1204,1205,'OP_MonitorReplyMsg',55,1),
(4131,1204,1205,'OP_MonitorCharacterListMsg',56,1),
(4132,1204,1205,'OP_MonitorCharacterListRequestMsg',57,1),
(4133,1204,1205,'OP_ClientCmdMsg',58,1),
(4134,1204,1205,'OP_DispatchESMsg',59,1),
(4135,1204,1205,'OP_DispatchClientCmdMsg',60,1),
(4136,1204,1205,'OP_UpdateTargetMsg',61,1),
(4137,1204,1205,'OP_UpdateTargetLocMsg',62,1),
(4138,1204,1205,'OP_UpdateCharacterSheetMsg',63,1),
(4139,1204,1205,'OP_CharacterPet',64,1),
(4140,1204,1205,'OP_CharacterMerc',65,1),
(4141,1204,1205,'OP_UpdateSpellBookMsg',66,1),
(4142,1204,1205,'OP_UpdateInventoryMsg',68,1),
(4143,1204,1205,'OP_AfterInvSpellUpdate',69,1),
(4144,1204,1205,'OP_UpdateRecipeBookMsg',70,1),
(4145,1204,1205,'OP_RequestRecipeDetailsMsg',71,1),
(4146,1204,1205,'OP_RecipeDetailsMsg',72,1),
(4147,1204,1205,'OP_UpdateSkillBookMsg',73,1),
(4148,1204,1205,'OP_UpdateSkillsMsg',74,1),
(4149,1204,1205,'OP_UpdateOpportunityMsg',75,1),
(4150,1204,1205,'OP_ChangeZoneMsg',77,1),
(4151,1204,1205,'OP_ClientTeleportRequestMsg',78,1),
(4152,1204,1205,'OP_TeleportWithinZoneMsg',79,1),
(4153,1204,1205,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(4154,1204,1205,'OP_MigrateClientToZoneRequestMsg',81,1),
(4155,1204,1205,'OP_MigrateClientToZoneReplyMsg',82,1),
(4156,1204,1205,'OP_ReadyToZoneMsg',84,1),
(4157,1204,1205,'OP_RemoveClientFromGroupMsg',85,1),
(4158,1204,1205,'OP_RemoveGroupFromGroupMsg',86,1),
(4159,1204,1205,'OP_MakeGroupLeaderMsg',87,1),
(4160,1204,1205,'OP_GroupCreatedMsg',88,1),
(4161,1204,1205,'OP_GroupDestroyedMsg',89,1),
(4162,1204,1205,'OP_GroupMemberAddedMsg',90,1),
(4163,1204,1205,'OP_GroupMemberRemovedMsg',91,1),
(4164,1204,1205,'OP_GroupRemovedFromGroupMsg',92,1),
(4165,1204,1205,'OP_GroupLeaderChangedMsg',93,1),
(4166,1204,1205,'OP_GroupResendOOZDataMsg',94,1),
(4167,1204,1205,'OP_GroupSettingsChangedMsg',95,1),
(4168,1204,1205,'OP_OutOfZoneMemberDataMsg',96,1),
(4169,1204,1205,'OP_SendLatestRequestMsg',97,1),
(4170,1204,1205,'OP_ClearDataMsg',98,1),
(4171,1204,1205,'OP_SetSocialMsg',99,1),
(4172,1204,1205,'OP_ESStatusMsg',100,1),
(4173,1204,1205,'OP_ESZoneInstanceStatusMsg',101,1),
(4174,1204,1205,'OP_ZonesStatusRequestMsg',102,1),
(4175,1204,1205,'OP_ZonesStatusMsg',103,1),
(4176,1204,1205,'OP_ESWeatherRequestMsg',104,1),
(4177,1204,1205,'OP_ESWeatherRequestEndMsg',105,1),
(4178,1204,1205,'OP_DialogSelectMsg',109,1),
(4179,1204,1205,'OP_DialogCloseMsg',110,1),
(4180,1204,1205,'OP_RemoveSpellEffectMsg',111,1),
(4181,1204,1205,'OP_RemoveConcentrationMsg',112,1),
(4182,1204,1205,'OP_QuestJournalOpenMsg',113,1),
(4183,1204,1205,'OP_QuestJournalInspectMsg',114,1),
(4184,1204,1205,'OP_QuestJournalSetVisibleMsg',115,1),
(4185,1204,1205,'OP_QuestJournalWaypointMsg',116,1),
(4186,1204,1205,'OP_CreateGuildRequestMsg',119,1),
(4187,1204,1205,'OP_CreateGuildReplyMsg',120,1),
(4188,1204,1205,'OP_GuildsayMsg',121,1),
(4189,1204,1205,'OP_FellowshipExpMsg',122,1),
(4190,1204,1205,'OP_DeleteGuildMsg',123,1),
(4191,1204,1205,'OP_GuildUpdateMsg',124,1),
(4192,1204,1205,'OP_ConsignmentCloseStoreMsg',125,1),
(4193,1204,1205,'OP_ConsignItemRequestMsg',126,1),
(4194,1204,1205,'OP_ConsignItemResponseMsg',127,1),
(4195,1204,1205,'OP_PurchaseConsignmentRequestMsg',128,1),
(4196,1204,1205,'OP_LikeOption',135,1),
(4197,1204,1205,'OP_PublishHouse',138,1),
(4198,1204,1205,'OP_PlayerMadeInstacnesScreen',139,1),
(4199,1204,1205,'OP_PlayerMadeInstances',140,1),
(4200,1204,1205,'OP_HouseDeletedRemotelyMsg',141,1),
(4201,1204,1205,'OP_UpdateHouseDataMsg',142,1),
(4202,1204,1205,'OP_UpdateHouseAccessDataMsg',143,1),
(4203,1204,1205,'OP_PlayerHouseBaseScreenMsg',144,1),
(4204,1204,1205,'OP_PlayerHousePurchaseScreenMsg',145,1),
(4205,1204,1205,'OP_PlayerHouseAccessUpdateMsg',146,1),
(4206,1204,1205,'OP_PlayerHouseDisplayStatusMsg',147,1),
(4207,1204,1205,'OP_PlayerHouseCloseUIMsg',148,1),
(4208,1204,1205,'OP_BuyPlayerHouseMsg',149,1),
(4209,1204,1205,'OP_BuyPlayerHouseTintMsg',150,1),
(4210,1204,1205,'OP_CollectAllHouseItemsMsg',151,1),
(4211,1204,1205,'OP_RelinquishHouseMsg',152,1),
(4212,1204,1205,'OP_EnterHouseMsg',153,1),
(4213,1204,1205,'OP_ExitHouseMsg',154,1),
(4214,1204,1205,'OP_HouseDefaultAccessSetMsg',155,1),
(4215,1204,1205,'OP_HouseAccessSetMsg',156,1),
(4216,1204,1205,'OP_HouseAccessRemoveMsg',157,1),
(4217,1204,1205,'OP_PayHouseUpkeepMsg',158,1),
(4218,1204,1205,'OP_MoveableObjectPlacementCriteri',159,1),
(4219,1204,1205,'OP_EnterMoveObjectModeMsg',160,1),
(4220,1204,1205,'OP_PositionMoveableObject',161,1),
(4221,1204,1205,'OP_CancelMoveObjectModeMsg',162,1),
(4222,1204,1205,'OP_ShaderCustomizationMsg',163,1),
(4223,1204,1205,'OP_ReplaceableSubMeshesMsg',164,1),
(4224,1204,1205,'OP_HouseCustomizationScreenMsg',165,1),
(4225,1204,1205,'OP_CustomizationPurchaseRequestMs',166,1),
(4226,1204,1205,'OP_CustomizationSetRequestMsg',167,1),
(4227,1204,1205,'OP_CustomizationReplyMsg',168,1),
(4228,1204,1205,'OP_TintWidgetsMsg',169,1),
(4229,1204,1205,'OP_ExamineConsignmentRequestMsg',170,1),
(4230,1204,1205,'OP_ExamineConsignmentResponseMsg',171,1),
(4231,1204,1205,'OP_UISettingsResponseMsg',172,1),
(4232,1204,1205,'OP_UIResetMsg',173,1),
(4233,1204,1205,'OP_KeymapLoadMsg',174,1),
(4234,1204,1205,'OP_KeymapNoneMsg',175,1),
(4235,1204,1205,'OP_KeymapDataMsg',176,1),
(4236,1204,1205,'OP_KeymapSaveMsg',177,1),
(4237,1204,1205,'OP_DispatchSpellCmdMsg',178,1),
(4238,1204,1205,'OP_EntityVerbsRequestMsg',179,1),
(4239,1204,1205,'OP_EntityVerbsReplyMsg',180,1),
(4240,1204,1205,'OP_EntityVerbsVerbMsg',181,1),
(4241,1204,1205,'OP_ChatRelationshipUpdateMsg',183,1),
(4242,1204,1205,'OP_LootItemsRequestMsg',184,1),
(4243,1204,1205,'OP_StoppedLootingMsg',185,1),
(4244,1204,1205,'OP_SitMsg',186,1),
(4245,1204,1205,'OP_StandMsg',187,1),
(4246,1204,1205,'OP_SatMsg',188,1),
(4247,1204,1205,'OP_StoodMsg',189,1),
(4248,1204,1205,'OP_ClearForTakeOffMsg',190,1),
(4249,1204,1205,'OP_ReadyForTakeOffMsg',191,1),
(4250,1204,1205,'OP_ShowIllusionsMsg',192,1),
(4251,1204,1205,'OP_HideIllusionsMsg',193,1),
(4252,1204,1205,'OP_ExamineItemRequestMsg',194,1),
(4253,1204,1205,'OP_ReadBookPageMsg',195,1),
(4254,1204,1205,'OP_DefaultGroupOptionsRequestMsg',196,1),
(4255,1204,1205,'OP_DefaultGroupOptionsMsg',197,1),
(4256,1204,1205,'OP_GroupOptionsMsg',198,1),
(4257,1204,1205,'OP_DisplayGroupOptionsScreenMsg',199,1),
(4258,1204,1205,'OP_PetOptions',200,1),
(4259,1204,1205,'OP_DisplayInnVisitScreenMsg',201,1),
(4260,1204,1205,'OP_DumpSchedulerMsg',202,1),
(4261,1204,1205,'OP_LSCheckAcctLockMsg',203,1),
(4262,1204,1205,'OP_WSAcctLockStatusMsg',204,1),
(4263,1204,1205,'OP_RequestHelpRepathMsg',205,1),
(4264,1204,1205,'OP_RequestTargetLocMsg',206,1),
(4265,1204,1205,'OP_UpdateMotdMsg',207,1),
(4266,1204,1205,'OP_DestUpdateReq',209,1),
(4267,1204,1205,'OP_PerformPlayerKnockbackMsg',212,1),
(4268,1204,1205,'OP_PerformCameraShakeMsg',213,1),
(4269,1204,1205,'OP_PopulateSkillMapsMsg',214,1),
(4270,1204,1205,'OP_CancelledFeignMsg',215,1),
(4271,1204,1205,'OP_SysClient',217,1),
(4272,1204,1205,'OP_ShowCreateFromRecipeUIMsg',218,1),
(4273,1204,1205,'OP_CancelCreateFromRecipeMsg',219,1),
(4274,1204,1205,'OP_BeginItemCreationMsg',220,1),
(4275,1204,1205,'OP_StopItemCreationMsg',221,1),
(4276,1204,1205,'OP_ShowItemCreationProcessUIMsg',222,1),
(4277,1204,1205,'OP_UpdateItemCreationProcessUIMsg',223,1),
(4278,1204,1205,'OP_DisplayTSEventReactionMsg',224,1),
(4279,1204,1205,'OP_ShowRecipeBookMsg',225,1),
(4280,1204,1205,'OP_KnowledgebaseRequestMsg',226,1),
(4281,1204,1205,'OP_KnowledgebaseResponseMsg',227,1),
(4282,1204,1205,'OP_CSTicketHeaderRequestMsg',228,1),
(4283,1204,1205,'OP_CSTicketInfoMsg',229,1),
(4284,1204,1205,'OP_CSTicketCommentRequestMsg',230,1),
(4285,1204,1205,'OP_CSTicketCommentResponseMsg',231,1),
(4286,1204,1205,'OP_CSTicketCreateMsg',232,1),
(4287,1204,1205,'OP_CSTicketAddCommentMsg',233,1),
(4288,1204,1205,'OP_CSTicketDeleteMsg',234,1),
(4289,1204,1205,'OP_CSTicketChangeNotificationMsg',235,1),
(4290,1204,1205,'OP_WorldDataUpdateMsg',236,1),
(4291,1204,1205,'OP_KnownLanguagesMsg',237,1),
(4292,1204,1205,'OP_LsRequestClientCrashLogMsg',238,1),
(4293,1204,1205,'OP_LsClientBaselogReplyMsg',239,1),
(4294,1204,1205,'OP_LsClientCrashlogReplyMsg',240,1),
(4295,1204,1205,'OP_LsClientAlertlogReplyMsg',241,1),
(4296,1204,1205,'OP_LsClientVerifylogReplyMsg',242,1),
(4297,1204,1205,'OP_ClientTeleportToLocationMsg',243,1),
(4298,1204,1205,'OP_UpdateClientPredFlagsMsg',244,1),
(4299,1204,1205,'OP_ChangeServerControlFlagMsg',245,1),
(4300,1204,1205,'OP_CSToolsRequestMsg',246,1),
(4301,1204,1205,'OP_CSToolsResponseMsg',247,1),
(4302,1204,1205,'OP_AddSocialStructureStandingMsg',248,1),
(4303,1204,1205,'OP_CreateBoatTransportsMsg',249,1),
(4304,1204,1205,'OP_PositionBoatTransportMsg',250,1),
(4305,1204,1205,'OP_MigrateBoatTransportMsg',251,1),
(4306,1204,1205,'OP_MigrateBoatTransportReplyMsg',252,1),
(4307,1204,1205,'OP_DisplayDebugNLLPointsMsg',253,1),
(4308,1204,1205,'OP_ExamineInfoRequestMsg',254,1),
(4309,1204,1205,'OP_QuickbarInitMsg',255,1),
(4310,1204,1205,'OP_QuickbarUpdateMsg',256,1),
(4311,1204,1205,'OP_MacroInitMsg',257,1),
(4312,1204,1205,'OP_MacroUpdateMsg',258,1),
(4313,1204,1205,'OP_QuestionnaireMsg',259,1),
(4314,1204,1205,'OP_LevelChangedMsg',260,1),
(4315,1204,1205,'OP_SpellGainedMsg',261,1),
(4316,1204,1205,'OP_EncounterBrokenMsg',262,1),
(4317,1204,1205,'OP_OnscreenMsgMsg',263,1),
(4318,1204,1205,'OP_DisplayWarningMsg',264,1),
(4319,1204,1205,'OP_ModifyGuildMsg',265,1),
(4320,1204,1205,'OP_GuildEventMsg',266,1),
(4321,1204,1205,'OP_GuildEventAddMsg',267,1),
(4322,1204,1205,'OP_GuildEventActionMsg',268,1),
(4323,1204,1205,'OP_GuildEventListMsg',269,1),
(4324,1204,1205,'OP_RequestGuildEventDetailsMsg',270,1),
(4325,1204,1205,'OP_GuildEventDetailsMsg',271,1),
(4326,1204,1205,'OP_RequestGuildInfoMsg',272,1),
(4327,1204,1205,'OP_GuildBankActionMsg',273,1),
(4328,1204,1205,'OP_GuildBankActionResponseMsg',274,1),
(4329,1204,1205,'OP_GuildBankItemDetailsRequestMsg',275,1),
(4330,1204,1205,'OP_GuildBankItemDetailsResponseMs',276,1),
(4331,1204,1205,'OP_GuildBankUpdateMsg',277,1),
(4332,1204,1205,'OP_GuildBankEventListMsg',278,1),
(4333,1204,1205,'OP_RequestGuildBankEventDetailsMs',279,1),
(4334,1204,1205,'OP_RewardPackMsg',280,1),
(4335,1204,1205,'OP_RenameGuildMsg',281,1),
(4336,1204,1205,'OP_ZoneToFriendRequestMsg',282,1),
(4337,1204,1205,'OP_ZoneToFriendReplyMsg',283,1),
(4338,1204,1205,'OP_ChatCreateChannelMsg',284,1),
(4339,1204,1205,'OP_ChatJoinChannelMsg',285,1),
(4340,1204,1205,'OP_ChatWhoChannelMsg',286,1),
(4341,1204,1205,'OP_ChatLeaveChannelMsg',287,1),
(4342,1204,1205,'OP_ChatTellChannelMsg',288,1),
(4343,1204,1205,'OP_ChatTellUserMsg',289,1),
(4344,1204,1205,'OP_ChatToggleFriendMsg',290,1),
(4345,1204,1205,'OP_BrokerAddBag',291,1),
(4346,1204,1205,'OP_BrokerRemoveBag',292,1),
(4347,1204,1205,'OP_ChatToggleIgnoreMsg',293,1),
(4348,1204,1205,'OP_ChatSendFriendsMsg',294,1),
(4349,1204,1205,'OP_ChatSendIgnoresMsg',295,1),
(4350,1204,1205,'OP_QuestReward',319,1),
(4351,1204,1205,'OP_ChatFiltersMsg',334,1),
(4352,1204,1205,'OP_MailGetMessageMsg',337,1),
(4353,1204,1205,'OP_MailSendMessageMsg',338,1),
(4354,1204,1205,'OP_MailDeleteMessageMsg',339,1),
(4355,1204,1205,'OP_MailGetHeadersReplyMsg',340,1),
(4356,1204,1205,'OP_MailGetMessageReplyMsg',341,1),
(4357,1204,1205,'OP_MailSendMessageReplyMsg',342,1),
(4358,1204,1205,'OP_MailCommitSendMessageMsg',343,1),
(4359,1204,1205,'OP_MailSendSystemMessageMsg',344,1),
(4360,1204,1205,'OP_MailRemoveAttachFromMailMsg',345,1),
(4361,1204,1205,'OP_WaypointRequestMsg',347,1),
(4362,1204,1205,'OP_WaypointReplyMsg',348,1),
(4363,1204,1205,'OP_WaypointSelectMsg',349,1),
(4364,1204,1205,'OP_WaypointUpdateMsg',350,1),
(4365,1204,1205,'OP_CharNameChangedMsg',351,1),
(4366,1204,1205,'OP_ShowZoneTeleporterDestinations',352,1),
(4367,1204,1205,'OP_SelectZoneTeleporterDestinatio',353,1),
(4368,1204,1205,'OP_ReloadLocalizedTxtMsg',354,1),
(4369,1204,1205,'OP_RequestGuildMembershipMsg',355,1),
(4370,1204,1205,'OP_GuildMembershipResponseMsg',356,1),
(4371,1204,1205,'OP_LeaveGuildNotifyMsg',357,1),
(4372,1204,1205,'OP_JoinGuildNotifyMsg',358,1),
(4373,1204,1205,'OP_AvatarUpdateMsg',359,1),
(4374,1204,1205,'OP_BioUpdateMsg',361,1),
(4375,1204,1205,'OP_InspectPlayerMsg',362,1),
(4376,1204,1205,'OP_WSServerLockMsg',363,1),
(4377,1204,1205,'OP_LSServerLockMsg',364,1),
(4378,1204,1205,'OP_WSServerHideMsg',365,1),
(4379,1204,1205,'OP_CsCategoryRequestMsg',366,1),
(4380,1204,1205,'OP_CsCategoryResponseMsg',367,1),
(4381,1204,1205,'OP_KnowledgeWindowSlotMappingMsg',368,1),
(4382,1204,1205,'OP_AFKUpdateMsg',369,1),
(4383,1204,1205,'OP_AnonUpdateMsg',370,1),
(4384,1204,1205,'OP_UpdateActivePublicZonesMsg',371,1),
(4385,1204,1205,'OP_UnknownNpcMsg',372,1),
(4386,1204,1205,'OP_PromoFlagsDetailsMsg',373,1),
(4387,1204,1205,'OP_ConsignViewCreateMsg',374,1),
(4388,1204,1205,'OP_ConsignViewGetPageMsg',375,1),
(4389,1204,1205,'OP_ConsignViewReleaseMsg',376,1),
(4390,1204,1205,'OP_ConsignRemoveItemsMsg',377,1),
(4391,1204,1205,'OP_UpdateDebugRadiiMsg',378,1),
(4392,1204,1205,'OP_ReportMsg',379,1),
(4393,1204,1205,'OP_UpdateRaidMsg',380,1),
(4394,1204,1205,'OP_ConsignViewSortMsg',382,1),
(4395,1204,1205,'OP_TitleUpdateMsg',383,1),
(4396,1204,1205,'OP_ClientFellMsg',384,1),
(4397,1204,1205,'OP_ClientInDeathRegionMsg',385,1),
(4398,1204,1205,'OP_CampClientMsg',386,1),
(4399,1204,1205,'OP_CSToolAccessResponseMsg',387,1),
(4400,1204,1205,'OP_TrackingUpdateMsg',388,1),
(4401,1204,1205,'OP_BeginTrackingMsg',389,1),
(4402,1204,1205,'OP_StopTrackingMsg',390,1),
(4403,1204,1205,'OP_GetAvatarAccessRequestForCSToo',392,1),
(4404,1204,1205,'OP_AdvancementRequestMsg',393,1),
(4405,1204,1205,'OP_MapFogDataInitMsg',394,1),
(4406,1204,1205,'OP_MapFogDataUpdateMsg',395,1),
(4407,1204,1205,'OP_CloseGroupInviteWindowMsg',396,1),
(4408,1204,1205,'OP_UpdateGroupMemberDataMsg',397,1),
(4409,1204,1205,'OP_WorldPingMsg',398,1),
(4410,1204,1205,'OP_MoveLogUpdateMsg',389,1),
(4411,1204,1205,'OP_OfferQuestMsg',400,1),
(4412,1204,1205,'OP_WorldShutdownUpdateMsg',402,1),
(4413,1204,1205,'OP_DisplayMailScreenMsg',403,1),
(4414,1204,1205,'OP_ClientIdleBeginMsg',404,1),
(4415,1204,1205,'OP_ClientIdleEndMsg',405,1),
(4416,1204,1205,'OP_PurchaseConsignmentLoreCheckRe',406,1),
(4417,1204,1205,'OP_NotifyApprenticeStoppedMentori',407,1),
(4418,1204,1205,'OP_CorruptedClientMsg',408,1),
(4419,1204,1205,'OP_WorldDataChangeMsg',409,1),
(4420,1204,1205,'OP_MailEventNotificationMsg',410,1),
(4421,1204,1205,'OP_RestartZoneMsg',411,1),
(4422,1204,1205,'OP_FlightPathsMsg',412,1),
(4423,1204,1205,'OP_CharacterLinkdeadMsg',413,1),
(4424,1204,1205,'OP_CharTransferStartRequestMsg',414,1),
(4425,1204,1205,'OP_CharTransferStartReplyMsg',415,1),
(4426,1204,1205,'OP_CharTransferRequestMsg',416,1),
(4427,1204,1205,'OP_CharTransferReplyMsg',417,1),
(4428,1204,1205,'OP_CharTransferRollbackRequestMsg',418,1),
(4429,1204,1205,'OP_CharTransferCommitRequestMsg',419,1),
(4430,1204,1205,'OP_CharTransferRollbackReplyMsg',420,1),
(4431,1204,1205,'OP_CharTransferCommitReplyMsg',421,1),
(4432,1204,1205,'OP_GetCharacterSerializedRequestM',422,1),
(4433,1204,1205,'OP_GetCharacterSerializedReplyMsg',423,1),
(4434,1204,1205,'OP_CreateCharFromCBBRequestMsg',424,1),
(4435,1204,1205,'OP_CreateCharFromCBBReplyMsg',425,1),
(4436,1204,1205,'OP_HousingDataChangedMsg',426,1),
(4437,1204,1205,'OP_HousingRestoreMsg',427,1),
(4438,1204,1205,'OP_AuctionItem',428,1),
(4439,1204,1205,'OP_AuctionItemReply',429,1),
(4440,1204,1205,'OP_AuctionCoin',430,1),
(4441,1204,1205,'OP_AuctionCoinReply',431,1),
(4442,1204,1205,'OP_AuctionCharacter',432,1),
(4443,1204,1205,'OP_AuctionCharacterReply',433,1),
(4444,1204,1205,'OP_AuctionCommitMsg',434,1),
(4445,1204,1205,'OP_AuctionAbortMsg',435,1),
(4446,1204,1205,'OP_CharTransferValidateRequestMsg',436,1),
(4447,1204,1205,'OP_CharTransferValidateReplyMsg',437,1),
(4448,1204,1205,'OP_RaceRestrictionMsg',438,1),
(4449,1204,1205,'OP_SetInstanceDisplayNameMsg',439,1),
(4450,1204,1205,'OP_GetAuctionAssetIDMsg',440,1),
(4451,1204,1205,'OP_GetAuctionAssetIDReplyMsg',441,1),
(4452,1204,1205,'OP_ResendWorldChannelsMsg',442,1),
(4453,1204,1205,'OP_DisplayExchangeScreenMsg',443,1),
(4454,1204,1205,'OP_ArenaGameTypesMsg',444,1),
(4455,1204,1205,'OP_AuditAuctionEventMsg',445,1),
(4456,1204,1205,'OP_InviteRequestMsg',446,1),
(4457,1204,1205,'OP_InviteResponseMsg',447,1),
(4458,1204,1205,'OP_InviteTargetResponseMsg',448,1),
(4459,1204,1205,'OP_InspectPlayerRequestMsg',449,1),
(4460,1204,1205,'OP_DispatchMsg',450,1),
(4461,1204,1205,'OP_DisplayEventMsg',451,1),
(4462,1204,1205,'OP_PrePossessionMsg',452,1),
(4463,1204,1205,'OP_PostPossessionMsg',453,1),
(4464,1204,1205,'OP_ArenaCreate',455,1),
(4465,1204,1205,'OP_ArenaList',456,1),
(4466,1204,1205,'OP_ArenaWindow',464,1),
(4467,1204,1205,'OP_HouseItemsList',482,1),
(4468,1204,1205,'OP_CurrentPet',484,1),
(4469,1204,1205,'OP_AdventureList',487,1),
(4470,1204,1205,'OP_CancelSpellCast',488,1),
(4471,1204,1205,'OP_UpdateTitleCmd',493,1),
(4472,1204,1205,'OP_AttackAllowed',499,1),
(4473,1204,1205,'OP_AttackNotAllowed',500,1),
(4474,1204,1205,'OP_BagOptions',501,1),
(4475,1204,1205,'OP_LFGGroupSearch',503,1),
(4476,1204,1205,'OP_CharacterHousingList',506,1),
(4477,1204,1205,'OP_DressingRoom',509,1),
(4478,1204,1205,'OP_PlayLon',510,1),
(4479,1204,1205,'OP_SkillInfoRequest',513,1),
(4480,1204,1205,'OP_SkillInfoResponse',514,1),
(4481,1204,1205,'OP_LFGUpdateMsg',517,1),
(4482,1204,1205,'OP_BadLanguageFilter',518,1),
(4483,1204,1205,'OP_VoiceChatChannel',519,1),
(4484,1204,1205,'OP_MapRequest',520,1),
(4485,1204,1205,'OP_MarketFundsUpdate',525,1),
(4486,1204,1205,'OP_UIEvent',526,1),
(4487,1204,1205,'OP_MarketAddFundsRequest',527,1),
(4488,1204,1205,'OP_MarketAddFundsReply',528,1),
(4489,1204,1205,'OP_MarketPurchase',530,1),
(4490,1204,1205,'OP_MarketPlacePrices',531,1),
(4491,1204,1205,'OP_MarketPlaceItems',534,1),
(4492,1204,1205,'OP_RecipeBook',535,1),
(4493,1204,1205,'OP_CreateCharacterDungeon',544,1),
(4494,1204,1205,'OP_DungeonMakerEnter',545,1),
(4495,1204,1205,'OP_DungeonMakerItemRequest',547,1),
(4496,1204,1205,'OP_CharacterCreatedDungeons',548,1),
(4497,1204,1205,'OP_DungeonMakerToolboxList',549,1),
(4498,1204,1205,'OP_DungeonMakerUnknown',550,1),
(4499,1204,1205,'OP_DungeonMakerUnknown1',551,1),
(4500,1204,1205,'OP_PlayerPollPopup',553,1),
(4501,1204,1205,'OP_PlayerPollAnswer',554,1),
(4502,1204,1205,'OP_MentorPopup',555,1),
(4503,1204,1205,'OP_LoadWelcomeWindow',557,1),
(4504,1204,1205,'OP_OpenCharCust',558,1),
(4505,1204,1205,'OP_SubmitCharCust',559,1),
(4506,1204,1205,'OP_QueAllBgSolo',561,1),
(4507,1204,1205,'OP_ZoneBgInstanceList',563,1),
(4508,1204,1205,'OP_WorldTravelAvail',567,1),
(4509,1204,1205,'OP_PaperdollImage',570,1),
(4510,1204,1205,'OP_LoadCalendarEvents',571,1),
(4511,1204,1205,'OP_VideoUploaded',572,1),
(4512,1204,1205,'OP_SavageBarInitMsg',573,1),
(4513,1204,1205,'OP_PetOptionsResponse',574,1),
(4514,1204,1205,'OP_DungeonMakerItemResponse',575,1),
(4515,1204,1205,'OP_CharacterMounts',577,1),
(4516,1204,1205,'OP_EqBetaCopyRequest',587,1),
(4517,1204,1205,'OP_EqHearChatCmd',588,1),
(4518,1204,1205,'OP_EqDisplayTextCmd',589,1),
(4519,1204,1205,'OP_EqCreateGhostCmd',590,1),
(4520,1204,1205,'OP_EqCreateWidgetCmd',591,1),
(4521,1204,1205,'OP_EqCreateSignWidgetCmd',592,1),
(4522,1204,1205,'OP_EqDestroyGhostCmd',593,1),
(4523,1204,1205,'OP_EqUpdateGhostCmd',594,1),
(4524,1204,1205,'OP_EqSetControlGhostCmd',595,1),
(4525,1204,1205,'OP_EqSetPOVGhostCmd',596,1),
(4526,1204,1205,'OP_EqHearCombatCmd',597,1),
(4527,1204,1205,'OP_EqHearSpellCastCmd',598,1),
(4528,1204,1205,'OP_EQHearProcCmd',599,1),
(4529,1204,1205,'OP_EQHearResEffectCmd',600,1),
(4530,1204,1205,'OP_EqHearSpellInterruptCmd',601,1),
(4531,1204,1205,'OP_EqHearSpellFizzleCmd',602,1),
(4532,1204,1205,'OP_EqHearConsiderCmd',603,1),
(4533,1204,1205,'OP_EqUpdateSubClassesCmd',604,1),
(4534,1204,1205,'OP_EqCreateListBoxCmd',605,1),
(4535,1204,1205,'OP_EqSetDebugPathPointsCmd',606,1),
(4536,1204,1205,'OP_EqCannedEmoteCmd',608,1),
(4537,1204,1205,'OP_EqStateCmd',609,1),
(4538,1204,1205,'OP_EqPlaySoundCmd',610,1),
(4539,1204,1205,'OP_EqPlaySound3DCmd',611,1),
(4540,1204,1205,'OP_EqPlayVoiceCmd',612,1),
(4541,1204,1205,'OP_EqHearDrowningCmd',613,1),
(4542,1204,1205,'OP_EqHearDeathCmd',614,1),
(4543,1204,1205,'OP_EqGroupMemberRemovedCmd',615,1),
(4544,1204,1205,'OP_EqHearChainEffectCmd',616,1),
(4545,1204,1205,'OP_EqReceiveOfferCmd',617,1),
(4546,1204,1205,'OP_EqInspectPCResultsCmd',618,1),
(4547,1204,1205,'OP_EqDrawablePathGraphCmd',619,1),
(4548,1204,1205,'OP_EqDialogOpenCmd',620,1),
(4549,1204,1205,'OP_EqDialogCloseCmd',621,1),
(4550,1204,1205,'OP_EqFactionUpdateCmd',622,1),
(4551,1204,1205,'OP_EqCollectionUpdateCmd',623,1),
(4552,1204,1205,'OP_EqCollectionFilterCmd',624,1),
(4553,1204,1205,'OP_EqCollectionItemCmd',625,1),
(4554,1204,1205,'OP_EqQuestJournalUpdateCmd',626,1),
(4555,1204,1205,'OP_EqMentoring',627,1),
(4556,1204,1205,'OP_EqQuestJournalReplyCmd',628,1),
(4557,1204,1205,'OP_EqQuestGroupCmd',629,1),
(4558,1204,1205,'OP_EqUpdateMerchantCmd',630,1),
(4559,1204,1205,'OP_EqUpdateStoreCmd',631,1),
(4560,1204,1205,'OP_EqUpdatePlayerTradeCmd',632,1),
(4561,1204,1205,'OP_EqHelpPathCmd',633,1),
(4562,1204,1205,'OP_EqHelpPathClearCmd',634,1),
(4563,1204,1205,'OP_EqUpdateBankCmd',635,1),
(4564,1204,1205,'OP_EqExamineInfoCmd',636,1),
(4565,1204,1205,'OP_EqCloseWindowCmd',637,1),
(4566,1204,1205,'OP_EqUpdateLootCmd',638,1),
(4567,1204,1205,'OP_EqJunctionListCmd',639,1),
(4568,1204,1205,'OP_EqShowDeathWindowCmd',640,1),
(4569,1204,1205,'OP_EqDisplaySpellFailCmd',641,1),
(4570,1204,1205,'OP_EqSpellCastStartCmd',642,1),
(4571,1204,1205,'OP_EqSpellCastEndCmd',643,1),
(4572,1204,1205,'OP_EqResurrectedCmd',644,1),
(4573,1204,1205,'OP_EqChoiceWinCmd',645,1),
(4574,1204,1205,'OP_EqSetDefaultVerbCmd',646,1),
(4575,1204,1205,'OP_EqInstructionWindowCmd',647,1),
(4576,1204,1205,'OP_EqInstructionWindowCloseCmd',648,1),
(4577,1204,1205,'OP_EqInstructionWindowGoalCmd',649,1),
(4578,1204,1205,'OP_EqInstructionWindowTaskCmd',650,1),
(4579,1204,1205,'OP_EqEnableGameEventCmd',651,1),
(4580,1204,1205,'OP_EqShowWindowCmd',652,1),
(4581,1204,1205,'OP_EqEnableWindowCmd',653,1),
(4582,1204,1205,'OP_EqFlashWindowCmd',654,1),
(4583,1204,1205,'OP_EqHearPlayFlavorCmd',656,1),
(4584,1204,1205,'OP_EqUpdateSignWidgetCmd',657,1),
(4585,1204,1205,'OP_EqDebugPVDCmd',658,1),
(4586,1204,1205,'OP_EqShowBookCmd',659,1),
(4587,1204,1205,'OP_EqQuestionnaireCmd',660,1),
(4588,1204,1205,'OP_EqGetProbsCmd',662,1),
(4589,1204,1205,'OP_EqHearHealCmd',663,1),
(4590,1204,1205,'OP_EqChatChannelUpdateCmd',664,1),
(4591,1204,1205,'OP_EqWhoChannelQueryReplyCmd',665,1),
(4592,1204,1205,'OP_EqAvailWorldChannelsCmd',666,1),
(4593,1204,1205,'OP_EqUpdateTargetCmd',667,1),
(4594,1204,1205,'OP_BrokerSellList',668,1),
(4595,1204,1205,'OP_EqConsignmentItemsCmd',669,1),
(4596,1204,1205,'OP_EqStartBrokerCmd',671,1),
(4597,1204,1205,'OP_EqMapExplorationCmd',672,1),
(4598,1204,1205,'OP_EqStoreLogCmd',673,1),
(4599,1204,1205,'OP_EqSpellMoveToRangeAndRetryCmd',674,1),
(4600,1204,1205,'OP_EqUpdatePlayerMailCmd',675,1),
(4601,1204,1205,'OP_GuildStatusUpdate',678,1),
(4602,1204,1205,'OP_EqArenaResultsCmd',679,1),
(4603,1204,1205,'OP_EqGuildBankEventActionCmd',680,1),
(4604,1204,1205,'OP_EqGuildBankExamineInfoCmd',681,1),
(4605,1204,1205,'OP_EqHearSpellNoLandCmd',682,1),
(4606,1204,1205,'OP_Lottery',683,1),
(4607,1204,1205,'OP_GuildRecruitingMemberInfo',684,1),
(4608,1204,1205,'OP_GuildRecruiting',685,1),
(4609,1204,1205,'OP_GuildRecruitingDetails',686,1),
(4610,1204,1205,'OP_GuildRecruitingImage',687,1),
(4611,1204,1205,'OP_TradeskillList',705,1),
(4612,1204,1205,'OP_CharRenamed',689,1),
(4613,1204,1205,'OP_UseAdornment',699,1),
(4614,1204,1205,'OP_ExpPurchWindow',705,1),
(4615,1204,1205,'OP_PointOfInterest',709,1),
(4616,1204,1205,'OP_PointOfInterest2',710,1),
(4617,1204,1205,'OP_TraitsList',711,1),
(4618,1204,1205,'OP_CustomizeHouseDisplay',714,1),
(4619,1204,1205,'OP_VoiceChatServer',715,1),
(4620,1204,1205,'OP_SupplyDepot',719,1),
(4621,1204,1205,'OP_EQHearThreatCmd',720,1),
(4622,1204,1205,'OP_RecipeList',721,1),
(4623,1204,1205,'OP_Research',722,1),
(4624,1204,1205,'OP_CharacterCurrency',723,1),
(4625,1204,1205,'OP_CharacterAchievements',724,1),
(4626,1204,1205,'OP_AchievementUpdateMsg',725,1),
(4627,1204,1205,'OP_EQHearDispellCmd',726,1),
(4628,1204,1205,'OP_JournalQuestStoryline',727,1),
(4629,1204,1205,'OP_DungeonPlayAsAvatarList',728,1),
(4630,1204,1205,'OP_DungeonPlayAsAvatarSelected',729,1),
(4631,1204,1205,'OP_MercHireWindow',730,1),
(4632,1204,1205,'OP_MercUnknown',731,1),
(4633,1204,1205,'OP_Unknown',748,1),
(4634,1208,1208,'OP_LoginRequestMsg',0,1),
(4635,1208,1208,'OP_LoginByNumRequestMsg',1,1),
(4636,1208,1208,'OP_WSLoginRequestMsg',2,1),
(4637,1208,1208,'OP_ESLoginRequestMsg',3,1),
(4638,1208,1208,'OP_LoginReplyMsg',4,1),
(4639,1208,1208,'OP_WSStatusReplyMsg',5,1),
(4640,1208,1208,'OP_WorldStatusChangeMsg',6,1),
(4641,1208,1208,'OP_AllWSDescRequestMsg',7,1),
(4642,1208,1208,'OP_WorldListMsg',8,1),
(4643,1208,1208,'OP_AllCharactersDescRequestMsg',9,1),
(4644,1208,1208,'OP_AllCharactersDescReplyMsg',10,1),
(4645,1208,1208,'OP_CreateCharacterRequestMsg',11,1),
(4646,1208,1208,'OP_CreateCharacterReplyMsg',12,1),
(4647,1208,1208,'OP_WSCreateCharacterRequestMsg',13,1),
(4648,1208,1208,'OP_WSCreateCharacterReplyMsg',14,1),
(4649,1208,1208,'OP_ReskinCharacterRequestMsg',15,1),
(4650,1208,1208,'OP_DeleteCharacterRequestMsg',16,1),
(4651,1208,1208,'OP_DeleteCharacterReplyMsg',17,1),
(4652,1208,1208,'OP_PlayCharacterRequestMsg',18,1),
(4653,1208,1208,'OP_PlayCharacterReplyMsg',19,1),
(4654,1208,1208,'OP_ExpectClientAsCharacterReplyMs',22,1),
(4655,1208,1208,'OP_ServerPlayCharacterRequestMsg',23,1),
(4656,1208,1208,'OP_ServerPlayCharacterReplyMsg',24,1),
(4657,1208,1208,'OP_ESInitMsg',25,1),
(4658,1208,1208,'OP_ESReadyForClientsMsg',26,1),
(4659,1208,1208,'OP_CreateZoneInstanceMsg',29,1),
(4660,1208,1208,'OP_ZoneInstanceCreateReplyMsg',30,1),
(4661,1208,1208,'OP_ZoneInstanceDestroyedMsg',31,1),
(4662,1208,1208,'OP_ExpectClientAsCharacterRequest',32,1),
(4663,1208,1208,'OP_ZoneInfoMsg',33,1),
(4664,1208,1208,'OP_DoneLoadingZoneResourcesMsg',34,1),
(4665,1208,1208,'OP_DoneSendingInitialEntitiesMsg',35,1),
(4666,1208,1208,'OP_DoneLoadingEntityResourcesMsg',36,1),
(4667,1208,1208,'OP_PredictionUpdateMsg',37,1),
(4668,1208,1208,'OP_UpdatePositionMsg',39,1),
(4669,1208,1208,'OP_SetRemoteCmdsMsg',41,1),
(4670,1208,1208,'OP_RemoteCmdMsg',42,1),
(4671,1208,1208,'OP_GameWorldTimeMsg',43,1),
(4672,1208,1208,'OP_MOTDMsg',44,1),
(4673,1208,1208,'OP_ZoneMOTDMsg',45,1),
(4674,1208,1208,'OP_AvatarCreatedMsg',46,1),
(4675,1208,1208,'OP_AvatarDestroyedMsg',47,1),
(4676,1208,1208,'OP_RequestCampMsg',50,1),
(4677,1208,1208,'OP_CampStartedMsg',51,1),
(4678,1208,1208,'OP_CampAbortedMsg',52,1),
(4679,1208,1208,'OP_WhoQueryRequestMsg',53,1),
(4680,1208,1208,'OP_WhoQueryReplyMsg',54,1),
(4681,1208,1208,'OP_MonitorReplyMsg',55,1),
(4682,1208,1208,'OP_MonitorCharacterListMsg',56,1),
(4683,1208,1208,'OP_MonitorCharacterListRequestMsg',57,1),
(4684,1208,1208,'OP_ClientCmdMsg',58,1),
(4685,1208,1208,'OP_DispatchESMsg',59,1),
(4686,1208,1208,'OP_DispatchClientCmdMsg',60,1),
(4687,1208,1208,'OP_UpdateTargetMsg',61,1),
(4688,1208,1208,'OP_UpdateTargetLocMsg',62,1),
(4689,1208,1208,'OP_UpdateCharacterSheetMsg',63,1),
(4690,1208,1208,'OP_CharacterPet',64,1),
(4691,1208,1208,'OP_CharacterMerc',65,1),
(4692,1208,1208,'OP_UpdateSpellBookMsg',66,1),
(4693,1208,1208,'OP_UpdateInventoryMsg',68,1),
(4694,1208,1208,'OP_AfterInvSpellUpdate',69,1),
(4695,1208,1208,'OP_UpdateRecipeBookMsg',70,1),
(4696,1208,1208,'OP_RequestRecipeDetailsMsg',71,1),
(4697,1208,1208,'OP_RecipeDetailsMsg',72,1),
(4698,1208,1208,'OP_UpdateSkillBookMsg',73,1),
(4699,1208,1208,'OP_UpdateSkillsMsg',74,1),
(4700,1208,1208,'OP_UpdateOpportunityMsg',75,1),
(4701,1208,1208,'OP_ChangeZoneMsg',77,1),
(4702,1208,1208,'OP_ClientTeleportRequestMsg',78,1),
(4703,1208,1208,'OP_TeleportWithinZoneMsg',79,1),
(4704,1208,1208,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(4705,1208,1208,'OP_MigrateClientToZoneRequestMsg',81,1),
(4706,1208,1208,'OP_MigrateClientToZoneReplyMsg',82,1),
(4707,1208,1208,'OP_ReadyToZoneMsg',84,1),
(4708,1208,1208,'OP_RemoveClientFromGroupMsg',85,1),
(4709,1208,1208,'OP_RemoveGroupFromGroupMsg',86,1),
(4710,1208,1208,'OP_MakeGroupLeaderMsg',87,1),
(4711,1208,1208,'OP_GroupCreatedMsg',88,1),
(4712,1208,1208,'OP_GroupDestroyedMsg',89,1),
(4713,1208,1208,'OP_GroupMemberAddedMsg',90,1),
(4714,1208,1208,'OP_GroupMemberRemovedMsg',91,1),
(4715,1208,1208,'OP_GroupRemovedFromGroupMsg',92,1),
(4716,1208,1208,'OP_GroupLeaderChangedMsg',93,1),
(4717,1208,1208,'OP_GroupResendOOZDataMsg',94,1),
(4718,1208,1208,'OP_GroupSettingsChangedMsg',95,1),
(4719,1208,1208,'OP_OutOfZoneMemberDataMsg',96,1),
(4720,1208,1208,'OP_SendLatestRequestMsg',97,1),
(4721,1208,1208,'OP_ClearDataMsg',98,1),
(4722,1208,1208,'OP_SetSocialMsg',99,1),
(4723,1208,1208,'OP_ESStatusMsg',100,1),
(4724,1208,1208,'OP_ESZoneInstanceStatusMsg',101,1),
(4725,1208,1208,'OP_ZonesStatusRequestMsg',102,1),
(4726,1208,1208,'OP_ZonesStatusMsg',103,1),
(4727,1208,1208,'OP_ESWeatherRequestMsg',104,1),
(4728,1208,1208,'OP_ESWeatherRequestEndMsg',105,1),
(4729,1208,1208,'OP_DialogSelectMsg',109,1),
(4730,1208,1208,'OP_DialogCloseMsg',110,1),
(4731,1208,1208,'OP_RemoveSpellEffectMsg',111,1),
(4732,1208,1208,'OP_RemoveConcentrationMsg',112,1),
(4733,1208,1208,'OP_QuestJournalOpenMsg',113,1),
(4734,1208,1208,'OP_QuestJournalInspectMsg',114,1),
(4735,1208,1208,'OP_QuestJournalSetVisibleMsg',115,1),
(4736,1208,1208,'OP_QuestJournalWaypointMsg',116,1),
(4737,1208,1208,'OP_CreateGuildRequestMsg',119,1),
(4738,1208,1208,'OP_CreateGuildReplyMsg',120,1),
(4739,1208,1208,'OP_GuildsayMsg',121,1),
(4740,1208,1208,'OP_FellowshipExpMsg',122,1),
(4741,1208,1208,'OP_DeleteGuildMsg',123,1),
(4742,1208,1208,'OP_GuildUpdateMsg',124,1),
(4743,1208,1208,'OP_ConsignmentCloseStoreMsg',125,1),
(4744,1208,1208,'OP_ConsignItemRequestMsg',126,1),
(4745,1208,1208,'OP_ConsignItemResponseMsg',127,1),
(4746,1208,1208,'OP_PurchaseConsignmentRequestMsg',128,1),
(4747,1208,1208,'OP_LikeOption',135,1),
(4748,1208,1208,'OP_PublishHouse',138,1),
(4749,1208,1208,'OP_PlayerMadeInstacnesScreen',139,1),
(4750,1208,1208,'OP_PlayerMadeInstances',140,1),
(4751,1208,1208,'OP_HouseDeletedRemotelyMsg',141,1),
(4752,1208,1208,'OP_UpdateHouseDataMsg',142,1),
(4753,1208,1208,'OP_UpdateHouseAccessDataMsg',143,1),
(4754,1208,1208,'OP_PlayerHouseBaseScreenMsg',144,1),
(4755,1208,1208,'OP_PlayerHousePurchaseScreenMsg',145,1),
(4756,1208,1208,'OP_PlayerHouseAccessUpdateMsg',146,1),
(4757,1208,1208,'OP_PlayerHouseDisplayStatusMsg',147,1),
(4758,1208,1208,'OP_PlayerHouseCloseUIMsg',148,1),
(4759,1208,1208,'OP_BuyPlayerHouseMsg',149,1),
(4760,1208,1208,'OP_BuyPlayerHouseTintMsg',150,1),
(4761,1208,1208,'OP_CollectAllHouseItemsMsg',151,1),
(4762,1208,1208,'OP_RelinquishHouseMsg',152,1),
(4763,1208,1208,'OP_EnterHouseMsg',153,1),
(4764,1208,1208,'OP_ExitHouseMsg',154,1),
(4765,1208,1208,'OP_HouseDefaultAccessSetMsg',155,1),
(4766,1208,1208,'OP_HouseAccessSetMsg',156,1),
(4767,1208,1208,'OP_HouseAccessRemoveMsg',157,1),
(4768,1208,1208,'OP_PayHouseUpkeepMsg',158,1),
(4769,1208,1208,'OP_MoveableObjectPlacementCriteri',159,1),
(4770,1208,1208,'OP_EnterMoveObjectModeMsg',160,1),
(4771,1208,1208,'OP_PositionMoveableObject',161,1),
(4772,1208,1208,'OP_CancelMoveObjectModeMsg',162,1),
(4773,1208,1208,'OP_ShaderCustomizationMsg',163,1),
(4774,1208,1208,'OP_ReplaceableSubMeshesMsg',164,1),
(4775,1208,1208,'OP_HouseCustomizationScreenMsg',165,1),
(4776,1208,1208,'OP_CustomizationPurchaseRequestMs',166,1),
(4777,1208,1208,'OP_CustomizationSetRequestMsg',167,1),
(4778,1208,1208,'OP_CustomizationReplyMsg',168,1),
(4779,1208,1208,'OP_TintWidgetsMsg',169,1),
(4780,1208,1208,'OP_ExamineConsignmentRequestMsg',170,1),
(4781,1208,1208,'OP_ExamineConsignmentResponseMsg',171,1),
(4782,1208,1208,'OP_UISettingsResponseMsg',172,1),
(4783,1208,1208,'OP_UIResetMsg',173,1),
(4784,1208,1208,'OP_KeymapLoadMsg',174,1),
(4785,1208,1208,'OP_KeymapNoneMsg',175,1),
(4786,1208,1208,'OP_KeymapDataMsg',176,1),
(4787,1208,1208,'OP_KeymapSaveMsg',177,1),
(4788,1208,1208,'OP_DispatchSpellCmdMsg',178,1),
(4789,1208,1208,'OP_EntityVerbsRequestMsg',179,1),
(4790,1208,1208,'OP_EntityVerbsReplyMsg',180,1),
(4791,1208,1208,'OP_EntityVerbsVerbMsg',181,1),
(4792,1208,1208,'OP_ChatRelationshipUpdateMsg',183,1),
(4793,1208,1208,'OP_LootItemsRequestMsg',184,1),
(4794,1208,1208,'OP_StoppedLootingMsg',185,1),
(4795,1208,1208,'OP_SitMsg',186,1),
(4796,1208,1208,'OP_StandMsg',187,1),
(4797,1208,1208,'OP_SatMsg',188,1),
(4798,1208,1208,'OP_StoodMsg',189,1),
(4799,1208,1208,'OP_ClearForTakeOffMsg',190,1),
(4800,1208,1208,'OP_ReadyForTakeOffMsg',191,1),
(4801,1208,1208,'OP_ShowIllusionsMsg',192,1),
(4802,1208,1208,'OP_HideIllusionsMsg',193,1),
(4803,1208,1208,'OP_ExamineItemRequestMsg',194,1),
(4804,1208,1208,'OP_ReadBookPageMsg',195,1),
(4805,1208,1208,'OP_DefaultGroupOptionsRequestMsg',196,1),
(4806,1208,1208,'OP_DefaultGroupOptionsMsg',197,1),
(4807,1208,1208,'OP_GroupOptionsMsg',198,1),
(4808,1208,1208,'OP_DisplayGroupOptionsScreenMsg',199,1),
(4809,1208,1208,'OP_PetOptions',200,1),
(4810,1208,1208,'OP_DisplayInnVisitScreenMsg',201,1),
(4811,1208,1208,'OP_DumpSchedulerMsg',202,1),
(4812,1208,1208,'OP_LSCheckAcctLockMsg',203,1),
(4813,1208,1208,'OP_WSAcctLockStatusMsg',204,1),
(4814,1208,1208,'OP_RequestHelpRepathMsg',205,1),
(4815,1208,1208,'OP_RequestTargetLocMsg',206,1),
(4816,1208,1208,'OP_UpdateMotdMsg',207,1),
(4817,1208,1208,'OP_DestUpdateReq',209,1),
(4818,1208,1208,'OP_PerformPlayerKnockbackMsg',212,1),
(4819,1208,1208,'OP_PerformCameraShakeMsg',213,1),
(4820,1208,1208,'OP_PopulateSkillMapsMsg',214,1),
(4821,1208,1208,'OP_CancelledFeignMsg',215,1),
(4822,1208,1208,'OP_SysClient',217,1),
(4823,1208,1208,'OP_ShowCreateFromRecipeUIMsg',218,1),
(4824,1208,1208,'OP_CancelCreateFromRecipeMsg',219,1),
(4825,1208,1208,'OP_BeginItemCreationMsg',220,1),
(4826,1208,1208,'OP_StopItemCreationMsg',221,1),
(4827,1208,1208,'OP_ShowItemCreationProcessUIMsg',222,1),
(4828,1208,1208,'OP_UpdateItemCreationProcessUIMsg',223,1),
(4829,1208,1208,'OP_DisplayTSEventReactionMsg',224,1),
(4830,1208,1208,'OP_ShowRecipeBookMsg',225,1),
(4831,1208,1208,'OP_KnowledgebaseRequestMsg',226,1),
(4832,1208,1208,'OP_KnowledgebaseResponseMsg',227,1),
(4833,1208,1208,'OP_CSTicketHeaderRequestMsg',228,1),
(4834,1208,1208,'OP_CSTicketInfoMsg',229,1),
(4835,1208,1208,'OP_CSTicketCommentRequestMsg',230,1),
(4836,1208,1208,'OP_CSTicketCommentResponseMsg',231,1),
(4837,1208,1208,'OP_CSTicketCreateMsg',232,1),
(4838,1208,1208,'OP_CSTicketAddCommentMsg',233,1),
(4839,1208,1208,'OP_CSTicketDeleteMsg',234,1),
(4840,1208,1208,'OP_CSTicketChangeNotificationMsg',235,1),
(4841,1208,1208,'OP_WorldDataUpdateMsg',236,1),
(4842,1208,1208,'OP_KnownLanguagesMsg',237,1),
(4843,1208,1208,'OP_LsRequestClientCrashLogMsg',238,1),
(4844,1208,1208,'OP_LsClientBaselogReplyMsg',239,1),
(4845,1208,1208,'OP_LsClientCrashlogReplyMsg',240,1),
(4846,1208,1208,'OP_LsClientAlertlogReplyMsg',241,1),
(4847,1208,1208,'OP_LsClientVerifylogReplyMsg',242,1),
(4848,1208,1208,'OP_ClientTeleportToLocationMsg',243,1),
(4849,1208,1208,'OP_UpdateClientPredFlagsMsg',244,1),
(4850,1208,1208,'OP_ChangeServerControlFlagMsg',245,1),
(4851,1208,1208,'OP_CSToolsRequestMsg',246,1),
(4852,1208,1208,'OP_CSToolsResponseMsg',247,1),
(4853,1208,1208,'OP_AddSocialStructureStandingMsg',248,1),
(4854,1208,1208,'OP_CreateBoatTransportsMsg',249,1),
(4855,1208,1208,'OP_PositionBoatTransportMsg',250,1),
(4856,1208,1208,'OP_MigrateBoatTransportMsg',251,1),
(4857,1208,1208,'OP_MigrateBoatTransportReplyMsg',252,1),
(4858,1208,1208,'OP_DisplayDebugNLLPointsMsg',253,1),
(4859,1208,1208,'OP_ExamineInfoRequestMsg',254,1),
(4860,1208,1208,'OP_QuickbarInitMsg',255,1),
(4861,1208,1208,'OP_QuickbarUpdateMsg',256,1),
(4862,1208,1208,'OP_MacroInitMsg',257,1),
(4863,1208,1208,'OP_MacroUpdateMsg',258,1),
(4864,1208,1208,'OP_QuestionnaireMsg',259,1),
(4865,1208,1208,'OP_LevelChangedMsg',260,1),
(4866,1208,1208,'OP_SpellGainedMsg',261,1),
(4867,1208,1208,'OP_EncounterBrokenMsg',262,1),
(4868,1208,1208,'OP_OnscreenMsgMsg',263,1),
(4869,1208,1208,'OP_DisplayWarningMsg',264,1),
(4870,1208,1208,'OP_ModifyGuildMsg',265,1),
(4871,1208,1208,'OP_GuildEventMsg',266,1),
(4872,1208,1208,'OP_GuildEventAddMsg',267,1),
(4873,1208,1208,'OP_GuildEventActionMsg',268,1),
(4874,1208,1208,'OP_GuildEventListMsg',269,1),
(4875,1208,1208,'OP_RequestGuildEventDetailsMsg',270,1),
(4876,1208,1208,'OP_GuildEventDetailsMsg',271,1),
(4877,1208,1208,'OP_RequestGuildInfoMsg',272,1),
(4878,1208,1208,'OP_GuildBankActionMsg',273,1),
(4879,1208,1208,'OP_GuildBankActionResponseMsg',274,1),
(4880,1208,1208,'OP_GuildBankItemDetailsRequestMsg',275,1),
(4881,1208,1208,'OP_GuildBankItemDetailsResponseMs',276,1),
(4882,1208,1208,'OP_GuildBankUpdateMsg',277,1),
(4883,1208,1208,'OP_GuildBankEventListMsg',278,1),
(4884,1208,1208,'OP_RequestGuildBankEventDetailsMs',279,1),
(4885,1208,1208,'OP_RewardPackMsg',280,1),
(4886,1208,1208,'OP_RenameGuildMsg',281,1),
(4887,1208,1208,'OP_ZoneToFriendRequestMsg',282,1),
(4888,1208,1208,'OP_ZoneToFriendReplyMsg',283,1),
(4889,1208,1208,'OP_ChatCreateChannelMsg',284,1),
(4890,1208,1208,'OP_ChatJoinChannelMsg',285,1),
(4891,1208,1208,'OP_ChatWhoChannelMsg',286,1),
(4892,1208,1208,'OP_ChatLeaveChannelMsg',287,1),
(4893,1208,1208,'OP_ChatTellChannelMsg',288,1),
(4894,1208,1208,'OP_ChatTellUserMsg',289,1),
(4895,1208,1208,'OP_ChatToggleFriendMsg',290,1),
(4896,1208,1208,'OP_BrokerAddBag',291,1),
(4897,1208,1208,'OP_BrokerRemoveBag',292,1),
(4898,1208,1208,'OP_ChatToggleIgnoreMsg',293,1),
(4899,1208,1208,'OP_ChatSendFriendsMsg',294,1),
(4900,1208,1208,'OP_ChatSendIgnoresMsg',295,1),
(4901,1208,1208,'OP_QuestReward',319,1),
(4902,1208,1208,'OP_ChatFiltersMsg',334,1),
(4903,1208,1208,'OP_MailGetMessageMsg',337,1),
(4904,1208,1208,'OP_MailSendMessageMsg',338,1),
(4905,1208,1208,'OP_MailDeleteMessageMsg',339,1),
(4906,1208,1208,'OP_MailGetHeadersReplyMsg',340,1),
(4907,1208,1208,'OP_MailGetMessageReplyMsg',341,1),
(4908,1208,1208,'OP_MailSendMessageReplyMsg',342,1),
(4909,1208,1208,'OP_MailCommitSendMessageMsg',343,1),
(4910,1208,1208,'OP_MailSendSystemMessageMsg',344,1),
(4911,1208,1208,'OP_MailRemoveAttachFromMailMsg',345,1),
(4912,1208,1208,'OP_WaypointRequestMsg',347,1),
(4913,1208,1208,'OP_WaypointReplyMsg',348,1),
(4914,1208,1208,'OP_WaypointSelectMsg',349,1),
(4915,1208,1208,'OP_WaypointUpdateMsg',350,1),
(4916,1208,1208,'OP_CharNameChangedMsg',351,1),
(4917,1208,1208,'OP_ShowZoneTeleporterDestinations',352,1),
(4918,1208,1208,'OP_SelectZoneTeleporterDestinatio',353,1),
(4919,1208,1208,'OP_ReloadLocalizedTxtMsg',354,1),
(4920,1208,1208,'OP_RequestGuildMembershipMsg',355,1),
(4921,1208,1208,'OP_GuildMembershipResponseMsg',356,1),
(4922,1208,1208,'OP_LeaveGuildNotifyMsg',357,1),
(4923,1208,1208,'OP_JoinGuildNotifyMsg',358,1),
(4924,1208,1208,'OP_AvatarUpdateMsg',359,1),
(4925,1208,1208,'OP_BioUpdateMsg',361,1),
(4926,1208,1208,'OP_InspectPlayerMsg',362,1),
(4927,1208,1208,'OP_WSServerLockMsg',363,1),
(4928,1208,1208,'OP_LSServerLockMsg',364,1),
(4929,1208,1208,'OP_WSServerHideMsg',365,1),
(4930,1208,1208,'OP_CsCategoryRequestMsg',366,1),
(4931,1208,1208,'OP_CsCategoryResponseMsg',367,1),
(4932,1208,1208,'OP_KnowledgeWindowSlotMappingMsg',368,1),
(4933,1208,1208,'OP_AFKUpdateMsg',369,1),
(4934,1208,1208,'OP_AnonUpdateMsg',370,1),
(4935,1208,1208,'OP_UpdateActivePublicZonesMsg',371,1),
(4936,1208,1208,'OP_UnknownNpcMsg',372,1),
(4937,1208,1208,'OP_PromoFlagsDetailsMsg',373,1),
(4938,1208,1208,'OP_ConsignViewCreateMsg',374,1),
(4939,1208,1208,'OP_ConsignViewGetPageMsg',375,1),
(4940,1208,1208,'OP_ConsignViewReleaseMsg',376,1),
(4941,1208,1208,'OP_ConsignRemoveItemsMsg',377,1),
(4942,1208,1208,'OP_UpdateDebugRadiiMsg',378,1),
(4943,1208,1208,'OP_ReportMsg',379,1),
(4944,1208,1208,'OP_UpdateRaidMsg',380,1),
(4945,1208,1208,'OP_ConsignViewSortMsg',382,1),
(4946,1208,1208,'OP_TitleUpdateMsg',383,1),
(4947,1208,1208,'OP_ClientFellMsg',384,1),
(4948,1208,1208,'OP_ClientInDeathRegionMsg',385,1),
(4949,1208,1208,'OP_CampClientMsg',386,1),
(4950,1208,1208,'OP_CSToolAccessResponseMsg',387,1),
(4951,1208,1208,'OP_TrackingUpdateMsg',388,1),
(4952,1208,1208,'OP_BeginTrackingMsg',389,1),
(4953,1208,1208,'OP_StopTrackingMsg',390,1),
(4954,1208,1208,'OP_GetAvatarAccessRequestForCSToo',392,1),
(4955,1208,1208,'OP_AdvancementRequestMsg',393,1),
(4956,1208,1208,'OP_MapFogDataInitMsg',394,1),
(4957,1208,1208,'OP_MapFogDataUpdateMsg',395,1),
(4958,1208,1208,'OP_CloseGroupInviteWindowMsg',396,1),
(4959,1208,1208,'OP_UpdateGroupMemberDataMsg',397,1),
(4960,1208,1208,'OP_WorldPingMsg',398,1),
(4961,1208,1208,'OP_MoveLogUpdateMsg',389,1),
(4962,1208,1208,'OP_OfferQuestMsg',400,1),
(4963,1208,1208,'OP_WorldShutdownUpdateMsg',402,1),
(4964,1208,1208,'OP_DisplayMailScreenMsg',403,1),
(4965,1208,1208,'OP_ClientIdleBeginMsg',404,1),
(4966,1208,1208,'OP_ClientIdleEndMsg',405,1),
(4967,1208,1208,'OP_PurchaseConsignmentLoreCheckRe',406,1),
(4968,1208,1208,'OP_NotifyApprenticeStoppedMentori',407,1),
(4969,1208,1208,'OP_CorruptedClientMsg',408,1),
(4970,1208,1208,'OP_WorldDataChangeMsg',409,1),
(4971,1208,1208,'OP_MailEventNotificationMsg',410,1),
(4972,1208,1208,'OP_RestartZoneMsg',411,1),
(4973,1208,1208,'OP_FlightPathsMsg',412,1),
(4974,1208,1208,'OP_CharacterLinkdeadMsg',413,1),
(4975,1208,1208,'OP_CharTransferStartRequestMsg',414,1),
(4976,1208,1208,'OP_CharTransferStartReplyMsg',415,1),
(4977,1208,1208,'OP_CharTransferRequestMsg',416,1),
(4978,1208,1208,'OP_CharTransferReplyMsg',417,1),
(4979,1208,1208,'OP_CharTransferRollbackRequestMsg',418,1),
(4980,1208,1208,'OP_CharTransferCommitRequestMsg',419,1),
(4981,1208,1208,'OP_CharTransferRollbackReplyMsg',420,1),
(4982,1208,1208,'OP_CharTransferCommitReplyMsg',421,1),
(4983,1208,1208,'OP_GetCharacterSerializedRequestM',422,1),
(4984,1208,1208,'OP_GetCharacterSerializedReplyMsg',423,1),
(4985,1208,1208,'OP_CreateCharFromCBBRequestMsg',424,1),
(4986,1208,1208,'OP_CreateCharFromCBBReplyMsg',425,1),
(4987,1208,1208,'OP_HousingDataChangedMsg',426,1),
(4988,1208,1208,'OP_HousingRestoreMsg',427,1),
(4989,1208,1208,'OP_AuctionItem',428,1),
(4990,1208,1208,'OP_AuctionItemReply',429,1),
(4991,1208,1208,'OP_AuctionCoin',430,1),
(4992,1208,1208,'OP_AuctionCoinReply',431,1),
(4993,1208,1208,'OP_AuctionCharacter',432,1),
(4994,1208,1208,'OP_AuctionCharacterReply',433,1),
(4995,1208,1208,'OP_AuctionCommitMsg',434,1),
(4996,1208,1208,'OP_AuctionAbortMsg',435,1),
(4997,1208,1208,'OP_CharTransferValidateRequestMsg',436,1),
(4998,1208,1208,'OP_CharTransferValidateReplyMsg',437,1),
(4999,1208,1208,'OP_RaceRestrictionMsg',438,1),
(5000,1208,1208,'OP_SetInstanceDisplayNameMsg',439,1),
(5001,1208,1208,'OP_GetAuctionAssetIDMsg',440,1),
(5002,1208,1208,'OP_GetAuctionAssetIDReplyMsg',441,1),
(5003,1208,1208,'OP_ResendWorldChannelsMsg',442,1),
(5004,1208,1208,'OP_DisplayExchangeScreenMsg',443,1),
(5005,1208,1208,'OP_ArenaGameTypesMsg',444,1),
(5006,1208,1208,'OP_AuditAuctionEventMsg',445,1),
(5007,1208,1208,'OP_InviteRequestMsg',446,1),
(5008,1208,1208,'OP_InviteResponseMsg',447,1),
(5009,1208,1208,'OP_InviteTargetResponseMsg',448,1),
(5010,1208,1208,'OP_InspectPlayerRequestMsg',449,1),
(5011,1208,1208,'OP_DispatchMsg',450,1),
(5012,1208,1208,'OP_DisplayEventMsg',451,1),
(5013,1208,1208,'OP_PrePossessionMsg',452,1),
(5014,1208,1208,'OP_PostPossessionMsg',453,1),
(5015,1208,1208,'OP_ArenaCreate',455,1),
(5016,1208,1208,'OP_ArenaList',456,1),
(5017,1208,1208,'OP_ArenaWindow',464,1),
(5018,1208,1208,'OP_HouseItemsList',482,1),
(5019,1208,1208,'OP_CurrentPet',484,1),
(5020,1208,1208,'OP_AdventureList',487,1),
(5021,1208,1208,'OP_CancelSpellCast',488,1),
(5022,1208,1208,'OP_UpdateTitleCmd',493,1),
(5023,1208,1208,'OP_AttackAllowed',499,1),
(5024,1208,1208,'OP_AttackNotAllowed',500,1),
(5025,1208,1208,'OP_BagOptions',501,1),
(5026,1208,1208,'OP_LFGGroupSearch',503,1),
(5027,1208,1208,'OP_CharacterHousingList',506,1),
(5028,1208,1208,'OP_DressingRoom',509,1),
(5029,1208,1208,'OP_PlayLon',510,1),
(5030,1208,1208,'OP_SkillInfoRequest',513,1),
(5031,1208,1208,'OP_SkillInfoResponse',514,1),
(5032,1208,1208,'OP_LFGUpdateMsg',517,1),
(5033,1208,1208,'OP_BadLanguageFilter',518,1),
(5034,1208,1208,'OP_VoiceChatChannel',519,1),
(5035,1208,1208,'OP_MapRequest',520,1),
(5036,1208,1208,'OP_MarketFundsUpdate',525,1),
(5037,1208,1208,'OP_UIEvent',526,1),
(5038,1208,1208,'OP_MarketAddFundsRequest',527,1),
(5039,1208,1208,'OP_MarketAddFundsReply',528,1),
(5040,1208,1208,'OP_MarketPurchase',530,1),
(5041,1208,1208,'OP_MarketPlacePrices',531,1),
(5042,1208,1208,'OP_MarketPlaceItems',534,1),
(5043,1208,1208,'OP_RecipeBook',535,1),
(5044,1208,1208,'OP_CreateCharacterDungeon',544,1),
(5045,1208,1208,'OP_DungeonMakerEnter',545,1),
(5046,1208,1208,'OP_DungeonMakerItemRequest',547,1),
(5047,1208,1208,'OP_CharacterCreatedDungeons',548,1),
(5048,1208,1208,'OP_DungeonMakerToolboxList',549,1),
(5049,1208,1208,'OP_DungeonMakerUnknown',550,1),
(5050,1208,1208,'OP_DungeonMakerUnknown1',551,1),
(5051,1208,1208,'OP_PlayerPollPopup',553,1),
(5052,1208,1208,'OP_PlayerPollAnswer',554,1),
(5053,1208,1208,'OP_MentorPopup',555,1),
(5054,1208,1208,'OP_LoadWelcomeWindow',557,1),
(5055,1208,1208,'OP_OpenCharCust',558,1),
(5056,1208,1208,'OP_SubmitCharCust',559,1),
(5057,1208,1208,'OP_QueAllBgSolo',561,1),
(5058,1208,1208,'OP_ZoneBgInstanceList',563,1),
(5059,1208,1208,'OP_WorldTravelAvail',567,1),
(5060,1208,1208,'OP_PaperdollImage',571,1),
(5061,1208,1208,'OP_LoadCalendarEvents',572,1),
(5062,1208,1208,'OP_VideoUploaded',573,1),
(5063,1208,1208,'OP_SavageBarInitMsg',574,1),
(5064,1208,1208,'OP_PetOptionsResponse',575,1),
(5065,1208,1208,'OP_DungeonMakerItemResponse',576,1),
(5066,1208,1208,'OP_CharacterMounts',578,1),
(5067,1208,1208,'OP_EqBetaCopyRequest',588,1),
(5068,1208,1208,'OP_EqHearChatCmd',589,1),
(5069,1208,1208,'OP_EqDisplayTextCmd',590,1),
(5070,1208,1208,'OP_EqCreateGhostCmd',591,1),
(5071,1208,1208,'OP_EqCreateWidgetCmd',592,1),
(5072,1208,1208,'OP_EqCreateSignWidgetCmd',593,1),
(5073,1208,1208,'OP_EqDestroyGhostCmd',594,1),
(5074,1208,1208,'OP_EqUpdateGhostCmd',595,1),
(5075,1208,1208,'OP_EqSetControlGhostCmd',596,1),
(5076,1208,1208,'OP_EqSetPOVGhostCmd',597,1),
(5077,1208,1208,'OP_EqHearCombatCmd',598,1),
(5078,1208,1208,'OP_EqHearSpellCastCmd',599,1),
(5079,1208,1208,'OP_EQHearProcCmd',600,1),
(5080,1208,1208,'OP_EQHearResEffectCmd',601,1),
(5081,1208,1208,'OP_EqHearSpellInterruptCmd',602,1),
(5082,1208,1208,'OP_EqHearSpellFizzleCmd',603,1),
(5083,1208,1208,'OP_EqHearConsiderCmd',604,1),
(5084,1208,1208,'OP_EqUpdateSubClassesCmd',605,1),
(5085,1208,1208,'OP_EqCreateListBoxCmd',606,1),
(5086,1208,1208,'OP_EqSetDebugPathPointsCmd',607,1),
(5087,1208,1208,'OP_EqCannedEmoteCmd',609,1),
(5088,1208,1208,'OP_EqStateCmd',610,1),
(5089,1208,1208,'OP_EqPlaySoundCmd',611,1),
(5090,1208,1208,'OP_EqPlaySound3DCmd',612,1),
(5091,1208,1208,'OP_EqPlayVoiceCmd',613,1),
(5092,1208,1208,'OP_EqHearDrowningCmd',614,1),
(5093,1208,1208,'OP_EqHearDeathCmd',615,1),
(5094,1208,1208,'OP_EqGroupMemberRemovedCmd',616,1),
(5095,1208,1208,'OP_EqHearChainEffectCmd',617,1),
(5096,1208,1208,'OP_EqReceiveOfferCmd',618,1),
(5097,1208,1208,'OP_EqInspectPCResultsCmd',619,1),
(5098,1208,1208,'OP_EqDrawablePathGraphCmd',620,1),
(5099,1208,1208,'OP_EqDialogOpenCmd',621,1),
(5100,1208,1208,'OP_EqDialogCloseCmd',622,1),
(5101,1208,1208,'OP_EqFactionUpdateCmd',623,1),
(5102,1208,1208,'OP_EqCollectionUpdateCmd',624,1),
(5103,1208,1208,'OP_EqCollectionFilterCmd',625,1),
(5104,1208,1208,'OP_EqCollectionItemCmd',626,1),
(5105,1208,1208,'OP_EqQuestJournalUpdateCmd',627,1),
(5106,1208,1208,'OP_EqMentoring',628,1),
(5107,1208,1208,'OP_EqQuestJournalReplyCmd',629,1),
(5108,1208,1208,'OP_EqQuestGroupCmd',630,1),
(5109,1208,1208,'OP_EqUpdateMerchantCmd',631,1),
(5110,1208,1208,'OP_EqUpdateStoreCmd',632,1),
(5111,1208,1208,'OP_EqUpdatePlayerTradeCmd',633,1),
(5112,1208,1208,'OP_EqHelpPathCmd',634,1),
(5113,1208,1208,'OP_EqHelpPathClearCmd',635,1),
(5114,1208,1208,'OP_EqUpdateBankCmd',636,1),
(5115,1208,1208,'OP_EqExamineInfoCmd',637,1),
(5116,1208,1208,'OP_EqCloseWindowCmd',638,1),
(5117,1208,1208,'OP_EqUpdateLootCmd',639,1),
(5118,1208,1208,'OP_EqJunctionListCmd',640,1),
(5119,1208,1208,'OP_EqShowDeathWindowCmd',641,1),
(5120,1208,1208,'OP_EqDisplaySpellFailCmd',642,1),
(5121,1208,1208,'OP_EqSpellCastStartCmd',643,1),
(5122,1208,1208,'OP_EqSpellCastEndCmd',644,1),
(5123,1208,1208,'OP_EqResurrectedCmd',645,1),
(5124,1208,1208,'OP_EqChoiceWinCmd',646,1),
(5125,1208,1208,'OP_EqSetDefaultVerbCmd',647,1),
(5126,1208,1208,'OP_EqInstructionWindowCmd',648,1),
(5127,1208,1208,'OP_EqInstructionWindowCloseCmd',649,1),
(5128,1208,1208,'OP_EqInstructionWindowGoalCmd',650,1),
(5129,1208,1208,'OP_EqInstructionWindowTaskCmd',651,1),
(5130,1208,1208,'OP_EqEnableGameEventCmd',652,1),
(5131,1208,1208,'OP_EqShowWindowCmd',653,1),
(5132,1208,1208,'OP_EqEnableWindowCmd',654,1),
(5133,1208,1208,'OP_EqFlashWindowCmd',655,1),
(5134,1208,1208,'OP_EqHearPlayFlavorCmd',657,1),
(5135,1208,1208,'OP_EqUpdateSignWidgetCmd',658,1),
(5136,1208,1208,'OP_EqDebugPVDCmd',659,1),
(5137,1208,1208,'OP_EqShowBookCmd',660,1),
(5138,1208,1208,'OP_EqQuestionnaireCmd',661,1),
(5139,1208,1208,'OP_EqGetProbsCmd',663,1),
(5140,1208,1208,'OP_EqHearHealCmd',664,1),
(5141,1208,1208,'OP_EqChatChannelUpdateCmd',665,1),
(5142,1208,1208,'OP_EqWhoChannelQueryReplyCmd',666,1),
(5143,1208,1208,'OP_EqAvailWorldChannelsCmd',667,1),
(5144,1208,1208,'OP_EqUpdateTargetCmd',668,1),
(5145,1208,1208,'OP_BrokerSellList',669,1),
(5146,1208,1208,'OP_EqConsignmentItemsCmd',670,1),
(5147,1208,1208,'OP_EqStartBrokerCmd',672,1),
(5148,1208,1208,'OP_EqMapExplorationCmd',673,1),
(5149,1208,1208,'OP_EqStoreLogCmd',674,1),
(5150,1208,1208,'OP_EqSpellMoveToRangeAndRetryCmd',675,1),
(5151,1208,1208,'OP_EqUpdatePlayerMailCmd',676,1),
(5152,1208,1208,'OP_GuildStatusUpdate',679,1),
(5153,1208,1208,'OP_EqArenaResultsCmd',680,1),
(5154,1208,1208,'OP_EqGuildBankEventActionCmd',681,1),
(5155,1208,1208,'OP_EqGuildBankExamineInfoCmd',682,1),
(5156,1208,1208,'OP_EqHearSpellNoLandCmd',683,1),
(5157,1208,1208,'OP_Lottery',684,1),
(5158,1208,1208,'OP_GuildRecruitingMemberInfo',685,1),
(5159,1208,1208,'OP_GuildRecruiting',686,1),
(5160,1208,1208,'OP_GuildRecruitingDetails',687,1),
(5161,1208,1208,'OP_GuildRecruitingImage',688,1),
(5162,1208,1208,'OP_TradeskillList',706,1),
(5163,1208,1208,'OP_CharRenamed',690,1),
(5164,1208,1208,'OP_UseAdornment',700,1),
(5165,1208,1208,'OP_ExpPurchWindow',706,1),
(5166,1208,1208,'OP_PointOfInterest',710,1),
(5167,1208,1208,'OP_PointOfInterest2',711,1),
(5168,1208,1208,'OP_TraitsList',712,1),
(5169,1208,1208,'OP_CustomizeHouseDisplay',715,1),
(5170,1208,1208,'OP_VoiceChatServer',716,1),
(5171,1208,1208,'OP_SupplyDepot',720,1),
(5172,1208,1208,'OP_EQHearThreatCmd',721,1),
(5173,1208,1208,'OP_RecipeList',722,1),
(5174,1208,1208,'OP_Research',723,1),
(5175,1208,1208,'OP_CharacterCurrency',724,1),
(5176,1208,1208,'OP_CharacterAchievements',725,1),
(5177,1208,1208,'OP_AchievementUpdateMsg',726,1),
(5178,1208,1208,'OP_EQHearDispellCmd',727,1),
(5179,1208,1208,'OP_JournalQuestStoryline',728,1),
(5180,1208,1208,'OP_DungeonPlayAsAvatarList',729,1),
(5181,1208,1208,'OP_DungeonPlayAsAvatarSelected',730,1),
(5182,1208,1208,'OP_MercHireWindow',731,1),
(5183,1208,1208,'OP_MercUnknown',732,1),
(5184,1208,1208,'OP_Unknown',748,1),
(5657,1096,1096,'OP_RecipeBook',999,1),
(5658,1045,1086,'OP_RecipeBook',999,1),
(5659,972,1011,'OP_RecipeBook',999,1),
(5660,908,927,'OP_RecipeBook',999,1),
(5662,562,838,'OP_RecipeBook',999,1),
(5663,57000,57002,'OP_LoginRequestMsg',0,1),
(5664,57000,57002,'OP_LoginByNumRequestMsg',1,1),
(5665,57000,57002,'OP_WSLoginRequestMsg',2,1),
(5666,57000,57002,'OP_ESLoginRequestMsg',3,1),
(5667,57000,57002,'OP_LoginReplyMsg',4,1),
(5668,57000,57002,'OP_WSStatusReplyMsg',5,1),
(5669,57000,57002,'OP_WorldStatusChangeMsg',6,1),
(5670,57000,57002,'OP_AllWSDescRequestMsg',7,1),
(5671,57000,57002,'OP_WorldListMsg',8,1),
(5672,57000,57002,'OP_AllCharactersDescRequestMsg',9,1),
(5673,57000,57002,'OP_AllCharactersDescReplyMsg',10,1),
(5674,57000,57002,'OP_CreateCharacterRequestMsg',11,1),
(5675,57000,57002,'OP_CreateCharacterReplyMsg',12,1),
(5676,57000,57002,'OP_WSCreateCharacterRequestMsg',13,1),
(5677,57000,57002,'OP_WSCreateCharacterReplyMsg',14,1),
(5678,57000,57002,'OP_ReskinCharacterRequestMsg',15,1),
(5679,57000,57002,'OP_DeleteCharacterRequestMsg',16,1),
(5680,57000,57002,'OP_DeleteCharacterReplyMsg',17,1),
(5681,57000,57002,'OP_PlayCharacterRequestMsg',18,1),
(5682,57000,57002,'OP_PlayCharacterReplyMsg',19,1),
(5683,57000,57002,'OP_ExpectClientAsCharacterReplyMs',22,1),
(5684,57000,57002,'OP_ServerPlayCharacterRequestMsg',23,1),
(5685,57000,57002,'OP_ServerPlayCharacterReplyMsg',24,1),
(5686,57000,57002,'OP_ESInitMsg',25,1),
(5687,57000,57002,'OP_ESReadyForClientsMsg',26,1),
(5688,57000,57002,'OP_CreateZoneInstanceMsg',29,1),
(5689,57000,57002,'OP_ZoneInstanceCreateReplyMsg',30,1),
(5690,57000,57002,'OP_ZoneInstanceDestroyedMsg',31,1),
(5691,57000,57002,'OP_ExpectClientAsCharacterRequest',32,1),
(5692,57000,57002,'OP_ZoneInfoMsg',33,1),
(5693,57000,57002,'OP_DoneLoadingZoneResourcesMsg',34,1),
(5694,57000,57002,'OP_DoneSendingInitialEntitiesMsg',35,1),
(5695,57000,57002,'OP_DoneLoadingEntityResourcesMsg',36,1),
(5696,57000,57002,'OP_PredictionUpdateMsg',37,1),
(5697,57000,57002,'OP_UpdatePositionMsg',39,1),
(5698,57000,57002,'OP_SetRemoteCmdsMsg',41,1),
(5699,57000,57002,'OP_RemoteCmdMsg',42,1),
(5700,57000,57002,'OP_GameWorldTimeMsg',43,1),
(5701,57000,57002,'OP_MOTDMsg',44,1),
(5702,57000,57002,'OP_ZoneMOTDMsg',45,1),
(5703,57000,57002,'OP_AvatarCreatedMsg',46,1),
(5704,57000,57002,'OP_AvatarDestroyedMsg',47,1),
(5705,57000,57002,'OP_RequestCampMsg',50,1),
(5706,57000,57002,'OP_CampStartedMsg',51,1),
(5707,57000,57002,'OP_CampAbortedMsg',52,1),
(5708,57000,57002,'OP_WhoQueryRequestMsg',53,1),
(5709,57000,57002,'OP_WhoQueryReplyMsg',54,1),
(5710,57000,57002,'OP_MonitorReplyMsg',55,1),
(5711,57000,57002,'OP_MonitorCharacterListMsg',56,1),
(5712,57000,57002,'OP_MonitorCharacterListRequestMsg',57,1),
(5713,57000,57002,'OP_ClientCmdMsg',58,1),
(5714,57000,57002,'OP_DispatchESMsg',59,1),
(5715,57000,57002,'OP_DispatchClientCmdMsg',60,1),
(5716,57000,57002,'OP_UpdateTargetMsg',61,1),
(5717,57000,57002,'OP_UpdateTargetLocMsg',62,1),
(5718,57000,57002,'OP_UpdateCharacterSheetMsg',63,1),
(5719,57000,57002,'OP_CharacterPet',64,1),
(5720,57000,57002,'OP_CharacterMerc',65,1),
(5721,57000,57002,'OP_UpdateSpellBookMsg',66,1),
(5722,57000,57002,'OP_UpdateInventoryMsg',68,1),
(5723,57000,57002,'OP_AfterInvSpellUpdate',69,1),
(5724,57000,57002,'OP_UpdateRecipeBookMsg',70,1),
(5725,57000,57002,'OP_RequestRecipeDetailsMsg',71,1),
(5726,57000,57002,'OP_RecipeDetailsMsg',72,1),
(5727,57000,57002,'OP_UpdateSkillBookMsg',73,1),
(5728,57000,57002,'OP_UpdateSkillsMsg',74,1),
(5729,57000,57002,'OP_UpdateOpportunityMsg',75,1),
(5730,57000,57002,'OP_ChangeZoneMsg',77,1),
(5731,57000,57002,'OP_ClientTeleportRequestMsg',78,1),
(5732,57000,57002,'OP_TeleportWithinZoneMsg',79,1),
(5733,57000,57002,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(5734,57000,57002,'OP_MigrateClientToZoneRequestMsg',81,1),
(5735,57000,57002,'OP_MigrateClientToZoneReplyMsg',82,1),
(5736,57000,57002,'OP_ReadyToZoneMsg',84,1),
(5737,57000,57002,'OP_RemoveClientFromGroupMsg',85,1),
(5738,57000,57002,'OP_RemoveGroupFromGroupMsg',86,1),
(5739,57000,57002,'OP_MakeGroupLeaderMsg',87,1),
(5740,57000,57002,'OP_GroupCreatedMsg',88,1),
(5741,57000,57002,'OP_GroupDestroyedMsg',89,1),
(5742,57000,57002,'OP_GroupMemberAddedMsg',90,1),
(5743,57000,57002,'OP_GroupMemberRemovedMsg',91,1),
(5744,57000,57002,'OP_GroupRemovedFromGroupMsg',92,1),
(5745,57000,57002,'OP_GroupLeaderChangedMsg',93,1),
(5746,57000,57002,'OP_GroupResendOOZDataMsg',94,1),
(5747,57000,57002,'OP_GroupSettingsChangedMsg',95,1),
(5748,57000,57002,'OP_OutOfZoneMemberDataMsg',96,1),
(5749,57000,57002,'OP_SendLatestRequestMsg',97,1),
(5750,57000,57002,'OP_ClearDataMsg',98,1),
(5751,57000,57002,'OP_SetSocialMsg',99,1),
(5752,57000,57002,'OP_ESStatusMsg',100,1),
(5753,57000,57002,'OP_ESZoneInstanceStatusMsg',101,1),
(5754,57000,57002,'OP_ZonesStatusRequestMsg',102,1),
(5755,57000,57002,'OP_ZonesStatusMsg',103,1),
(5756,57000,57002,'OP_ESWeatherRequestMsg',104,1),
(5757,57000,57002,'OP_ESWeatherRequestEndMsg',105,1),
(5758,57000,57002,'OP_DialogSelectMsg',109,1),
(5759,57000,57002,'OP_DialogCloseMsg',110,1),
(5760,57000,57002,'OP_RemoveSpellEffectMsg',111,1),
(5761,57000,57002,'OP_RemoveConcentrationMsg',112,1),
(5762,57000,57002,'OP_QuestJournalOpenMsg',113,1),
(5763,57000,57002,'OP_QuestJournalInspectMsg',114,1),
(5764,57000,57002,'OP_QuestJournalSetVisibleMsg',115,1),
(5765,57000,57002,'OP_QuestJournalWaypointMsg',116,1),
(5766,57000,57002,'OP_CreateGuildRequestMsg',119,1),
(5767,57000,57002,'OP_CreateGuildReplyMsg',120,1),
(5768,57000,57002,'OP_GuildsayMsg',121,1),
(5769,57000,57002,'OP_FellowshipExpMsg',122,1),
(5770,57000,57002,'OP_DeleteGuildMsg',123,1),
(5771,57000,57002,'OP_GuildUpdateMsg',124,1),
(5772,57000,57002,'OP_ConsignmentCloseStoreMsg',125,1),
(5773,57000,57002,'OP_ConsignItemRequestMsg',126,1),
(5774,57000,57002,'OP_ConsignItemResponseMsg',127,1),
(5775,57000,57002,'OP_PurchaseConsignmentRequestMsg',128,1),
(5776,57000,57002,'OP_LikeOption',135,1),
(5777,57000,57002,'OP_PublishHouse',138,1),
(5778,57000,57002,'OP_PlayerMadeInstacnesScreen',139,1),
(5779,57000,57002,'OP_PlayerMadeInstances',140,1),
(5780,57000,57002,'OP_HouseDeletedRemotelyMsg',141,1),
(5781,57000,57002,'OP_UpdateHouseDataMsg',142,1),
(5782,57000,57002,'OP_UpdateHouseAccessDataMsg',143,1),
(5783,57000,57002,'OP_PlayerHouseBaseScreenMsg',144,1),
(5784,57000,57002,'OP_PlayerHousePurchaseScreenMsg',145,1),
(5785,57000,57002,'OP_PlayerHouseAccessUpdateMsg',146,1),
(5786,57000,57002,'OP_PlayerHouseDisplayStatusMsg',147,1),
(5787,57000,57002,'OP_PlayerHouseCloseUIMsg',148,1),
(5788,57000,57002,'OP_BuyPlayerHouseMsg',149,1),
(5789,57000,57002,'OP_BuyPlayerHouseTintMsg',150,1),
(5790,57000,57002,'OP_CollectAllHouseItemsMsg',151,1),
(5791,57000,57002,'OP_RelinquishHouseMsg',152,1),
(5792,57000,57002,'OP_EnterHouseMsg',153,1),
(5793,57000,57002,'OP_ExitHouseMsg',154,1),
(5794,57000,57002,'OP_HouseDefaultAccessSetMsg',155,1),
(5795,57000,57002,'OP_HouseAccessSetMsg',156,1),
(5796,57000,57002,'OP_HouseAccessRemoveMsg',157,1),
(5797,57000,57002,'OP_PayHouseUpkeepMsg',158,1),
(5798,57000,57002,'OP_MoveableObjectPlacementCriteri',159,1),
(5799,57000,57002,'OP_EnterMoveObjectModeMsg',160,1),
(5800,57000,57002,'OP_PositionMoveableObject',161,1),
(5801,57000,57002,'OP_CancelMoveObjectModeMsg',162,1),
(5802,57000,57002,'OP_ShaderCustomizationMsg',163,1),
(5803,57000,57002,'OP_ReplaceableSubMeshesMsg',164,1),
(5804,57000,57002,'OP_HouseCustomizationScreenMsg',165,1),
(5805,57000,57002,'OP_CustomizationPurchaseRequestMs',166,1),
(5806,57000,57002,'OP_CustomizationSetRequestMsg',167,1),
(5807,57000,57002,'OP_CustomizationReplyMsg',168,1),
(5808,57000,57002,'OP_TintWidgetsMsg',169,1),
(5809,57000,57002,'OP_ExamineConsignmentRequestMsg',170,1),
(5810,57000,57002,'OP_ExamineConsignmentResponseMsg',171,1),
(5811,57000,57002,'OP_UISettingsResponseMsg',172,1),
(5812,57000,57002,'OP_UIResetMsg',173,1),
(5813,57000,57002,'OP_KeymapLoadMsg',174,1),
(5814,57000,57002,'OP_KeymapNoneMsg',175,1),
(5815,57000,57002,'OP_KeymapDataMsg',176,1),
(5816,57000,57002,'OP_KeymapSaveMsg',177,1),
(5817,57000,57002,'OP_DispatchSpellCmdMsg',178,1),
(5818,57000,57002,'OP_EntityVerbsRequestMsg',179,1),
(5819,57000,57002,'OP_EntityVerbsReplyMsg',180,1),
(5820,57000,57002,'OP_EntityVerbsVerbMsg',181,1),
(5821,57000,57002,'OP_ChatRelationshipUpdateMsg',183,1),
(5822,57000,57002,'OP_LootItemsRequestMsg',184,1),
(5823,57000,57002,'OP_StoppedLootingMsg',185,1),
(5824,57000,57002,'OP_SitMsg',186,1),
(5825,57000,57002,'OP_StandMsg',187,1),
(5826,57000,57002,'OP_SatMsg',188,1),
(5827,57000,57002,'OP_StoodMsg',189,1),
(5828,57000,57002,'OP_ClearForTakeOffMsg',190,1),
(5829,57000,57002,'OP_ReadyForTakeOffMsg',191,1),
(5830,57000,57002,'OP_ShowIllusionsMsg',192,1),
(5831,57000,57002,'OP_HideIllusionsMsg',193,1),
(5832,57000,57002,'OP_ExamineItemRequestMsg',194,1),
(5833,57000,57002,'OP_ReadBookPageMsg',195,1),
(5834,57000,57002,'OP_DefaultGroupOptionsRequestMsg',196,1),
(5835,57000,57002,'OP_DefaultGroupOptionsMsg',197,1),
(5836,57000,57002,'OP_GroupOptionsMsg',198,1),
(5837,57000,57002,'OP_DisplayGroupOptionsScreenMsg',199,1),
(5838,57000,57002,'OP_PetOptions',200,1),
(5839,57000,57002,'OP_DisplayInnVisitScreenMsg',201,1),
(5840,57000,57002,'OP_DumpSchedulerMsg',202,1),
(5841,57000,57002,'OP_LSCheckAcctLockMsg',203,1),
(5842,57000,57002,'OP_WSAcctLockStatusMsg',204,1),
(5843,57000,57002,'OP_RequestHelpRepathMsg',205,1),
(5844,57000,57002,'OP_RequestTargetLocMsg',206,1),
(5845,57000,57002,'OP_UpdateMotdMsg',207,1),
(5846,57000,57002,'OP_DestUpdateReq',209,1),
(5847,57000,57002,'OP_PerformPlayerKnockbackMsg',212,1),
(5848,57000,57002,'OP_PerformCameraShakeMsg',213,1),
(5849,57000,57002,'OP_PopulateSkillMapsMsg',214,1),
(5850,57000,57002,'OP_CancelledFeignMsg',215,1),
(5851,57000,57002,'OP_SysClient',217,1),
(5852,57000,57002,'OP_ShowCreateFromRecipeUIMsg',218,1),
(5853,57000,57002,'OP_CancelCreateFromRecipeMsg',219,1),
(5854,57000,57002,'OP_BeginItemCreationMsg',220,1),
(5855,57000,57002,'OP_StopItemCreationMsg',221,1),
(5856,57000,57002,'OP_ShowItemCreationProcessUIMsg',222,1),
(5857,57000,57002,'OP_UpdateItemCreationProcessUIMsg',223,1),
(5858,57000,57002,'OP_DisplayTSEventReactionMsg',224,1),
(5859,57000,57002,'OP_ShowRecipeBookMsg',225,1),
(5860,57000,57002,'OP_KnowledgebaseRequestMsg',226,1),
(5861,57000,57002,'OP_KnowledgebaseResponseMsg',227,1),
(5862,57000,57002,'OP_CSTicketHeaderRequestMsg',228,1),
(5863,57000,57002,'OP_CSTicketInfoMsg',229,1),
(5864,57000,57002,'OP_CSTicketCommentRequestMsg',230,1),
(5865,57000,57002,'OP_CSTicketCommentResponseMsg',231,1),
(5866,57000,57002,'OP_CSTicketCreateMsg',232,1),
(5867,57000,57002,'OP_CSTicketAddCommentMsg',233,1),
(5868,57000,57002,'OP_CSTicketDeleteMsg',234,1),
(5869,57000,57002,'OP_CSTicketChangeNotificationMsg',235,1),
(5870,57000,57002,'OP_WorldDataUpdateMsg',236,1),
(5871,57000,57002,'OP_KnownLanguagesMsg',237,1),
(5872,57000,57002,'OP_LsRequestClientCrashLogMsg',238,1),
(5873,57000,57002,'OP_LsClientBaselogReplyMsg',239,1),
(5874,57000,57002,'OP_LsClientCrashlogReplyMsg',240,1),
(5875,57000,57002,'OP_LsClientAlertlogReplyMsg',241,1),
(5876,57000,57002,'OP_LsClientVerifylogReplyMsg',242,1),
(5877,57000,57002,'OP_ClientTeleportToLocationMsg',243,1),
(5878,57000,57002,'OP_UpdateClientPredFlagsMsg',244,1),
(5879,57000,57002,'OP_ChangeServerControlFlagMsg',245,1),
(5880,57000,57002,'OP_CSToolsRequestMsg',246,1),
(5881,57000,57002,'OP_CSToolsResponseMsg',247,1),
(5882,57000,57002,'OP_AddSocialStructureStandingMsg',248,1),
(5883,57000,57002,'OP_CreateBoatTransportsMsg',249,1),
(5884,57000,57002,'OP_PositionBoatTransportMsg',250,1),
(5885,57000,57002,'OP_MigrateBoatTransportMsg',251,1),
(5886,57000,57002,'OP_MigrateBoatTransportReplyMsg',252,1),
(5887,57000,57002,'OP_DisplayDebugNLLPointsMsg',253,1),
(5888,57000,57002,'OP_ExamineInfoRequestMsg',254,1),
(5889,57000,57002,'OP_QuickbarInitMsg',255,1),
(5890,57000,57002,'OP_QuickbarUpdateMsg',256,1),
(5891,57000,57002,'OP_MacroInitMsg',257,1),
(5892,57000,57002,'OP_MacroUpdateMsg',258,1),
(5893,57000,57002,'OP_QuestionnaireMsg',259,1),
(5894,57000,57002,'OP_LevelChangedMsg',260,1),
(5895,57000,57002,'OP_SpellGainedMsg',261,1),
(5896,57000,57002,'OP_EncounterBrokenMsg',262,1),
(5897,57000,57002,'OP_OnscreenMsgMsg',263,1),
(5898,57000,57002,'OP_DisplayWarningMsg',264,1),
(5899,57000,57002,'OP_ModifyGuildMsg',265,1),
(5900,57000,57002,'OP_GuildEventMsg',266,1),
(5901,57000,57002,'OP_GuildEventAddMsg',267,1),
(5902,57000,57002,'OP_GuildEventActionMsg',268,1),
(5903,57000,57002,'OP_GuildEventListMsg',269,1),
(5904,57000,57002,'OP_RequestGuildEventDetailsMsg',270,1),
(5905,57000,57002,'OP_GuildEventDetailsMsg',271,1),
(5906,57000,57002,'OP_RequestGuildInfoMsg',272,1),
(5907,57000,57002,'OP_GuildBankActionMsg',273,1),
(5908,57000,57002,'OP_GuildBankActionResponseMsg',274,1),
(5909,57000,57002,'OP_GuildBankItemDetailsRequestMsg',275,1),
(5910,57000,57002,'OP_GuildBankItemDetailsResponseMs',276,1),
(5911,57000,57002,'OP_GuildBankUpdateMsg',277,1),
(5912,57000,57002,'OP_GuildBankEventListMsg',278,1),
(5913,57000,57002,'OP_RequestGuildBankEventDetailsMs',279,1),
(5914,57000,57002,'OP_RewardPackMsg',280,1),
(5915,57000,57002,'OP_RenameGuildMsg',281,1),
(5916,57000,57002,'OP_ZoneToFriendRequestMsg',282,1),
(5917,57000,57002,'OP_ZoneToFriendReplyMsg',283,1),
(5918,57000,57002,'OP_ChatCreateChannelMsg',284,1),
(5919,57000,57002,'OP_ChatJoinChannelMsg',285,1),
(5920,57000,57002,'OP_ChatWhoChannelMsg',286,1),
(5921,57000,57002,'OP_ChatLeaveChannelMsg',287,1),
(5922,57000,57002,'OP_ChatTellChannelMsg',288,1),
(5923,57000,57002,'OP_ChatTellUserMsg',289,1),
(5924,57000,57002,'OP_ChatToggleFriendMsg',290,1),
(5925,57000,57002,'OP_BrokerAddBag',291,1),
(5926,57000,57002,'OP_BrokerRemoveBag',292,1),
(5927,57000,57002,'OP_ChatToggleIgnoreMsg',293,1),
(5928,57000,57002,'OP_ChatSendFriendsMsg',294,1),
(5929,57000,57002,'OP_ChatSendIgnoresMsg',295,1),
(5930,57000,57002,'OP_QuestReward',319,1),
(5931,57000,57002,'OP_ChatFiltersMsg',334,1),
(5932,57000,57002,'OP_MailGetMessageMsg',337,1),
(5933,57000,57002,'OP_MailSendMessageMsg',338,1),
(5934,57000,57002,'OP_MailDeleteMessageMsg',339,1),
(5935,57000,57002,'OP_MailGetHeadersReplyMsg',340,1),
(5936,57000,57002,'OP_MailGetMessageReplyMsg',341,1),
(5937,57000,57002,'OP_MailSendMessageReplyMsg',342,1),
(5938,57000,57002,'OP_MailCommitSendMessageMsg',343,1),
(5939,57000,57002,'OP_MailSendSystemMessageMsg',344,1),
(5940,57000,57002,'OP_MailRemoveAttachFromMailMsg',345,1),
(5941,57000,57002,'OP_WaypointRequestMsg',347,1),
(5942,57000,57002,'OP_WaypointReplyMsg',348,1),
(5943,57000,57002,'OP_WaypointSelectMsg',349,1),
(5944,57000,57002,'OP_WaypointUpdateMsg',350,1),
(5945,57000,57002,'OP_CharNameChangedMsg',351,1),
(5946,57000,57002,'OP_ShowZoneTeleporterDestinations',352,1),
(5947,57000,57002,'OP_SelectZoneTeleporterDestinatio',353,1),
(5948,57000,57002,'OP_ReloadLocalizedTxtMsg',354,1),
(5949,57000,57002,'OP_RequestGuildMembershipMsg',355,1),
(5950,57000,57002,'OP_GuildMembershipResponseMsg',356,1),
(5951,57000,57002,'OP_LeaveGuildNotifyMsg',357,1),
(5952,57000,57002,'OP_JoinGuildNotifyMsg',358,1),
(5953,57000,57002,'OP_AvatarUpdateMsg',359,1),
(5954,57000,57002,'OP_BioUpdateMsg',361,1),
(5955,57000,57002,'OP_InspectPlayerMsg',362,1),
(5956,57000,57002,'OP_WSServerLockMsg',363,1),
(5957,57000,57002,'OP_LSServerLockMsg',364,1),
(5958,57000,57002,'OP_WSServerHideMsg',365,1),
(5959,57000,57002,'OP_CsCategoryRequestMsg',366,1),
(5960,57000,57002,'OP_CsCategoryResponseMsg',367,1),
(5961,57000,57002,'OP_KnowledgeWindowSlotMappingMsg',368,1),
(5962,57000,57002,'OP_AFKUpdateMsg',369,1),
(5963,57000,57002,'OP_AnonUpdateMsg',370,1),
(5964,57000,57002,'OP_UpdateActivePublicZonesMsg',371,1),
(5965,57000,57002,'OP_UnknownNpcMsg',372,1),
(5966,57000,57002,'OP_PromoFlagsDetailsMsg',373,1),
(5967,57000,57002,'OP_ConsignViewCreateMsg',374,1),
(5968,57000,57002,'OP_ConsignViewGetPageMsg',375,1),
(5969,57000,57002,'OP_ConsignViewReleaseMsg',376,1),
(5970,57000,57002,'OP_ConsignRemoveItemsMsg',377,1),
(5971,57000,57002,'OP_UpdateDebugRadiiMsg',378,1),
(5972,57000,57002,'OP_ReportMsg',379,1),
(5973,57000,57002,'OP_UpdateRaidMsg',380,1),
(5974,57000,57002,'OP_ConsignViewSortMsg',382,1),
(5975,57000,57002,'OP_TitleUpdateMsg',383,1),
(5976,57000,57002,'OP_ClientFellMsg',384,1),
(5977,57000,57002,'OP_ClientInDeathRegionMsg',385,1),
(5978,57000,57002,'OP_CampClientMsg',386,1),
(5979,57000,57002,'OP_CSToolAccessResponseMsg',387,1),
(5980,57000,57002,'OP_TrackingUpdateMsg',388,1),
(5981,57000,57002,'OP_BeginTrackingMsg',389,1),
(5982,57000,57002,'OP_StopTrackingMsg',390,1),
(5983,57000,57002,'OP_GetAvatarAccessRequestForCSToo',392,1),
(5984,57000,57002,'OP_AdvancementRequestMsg',393,1),
(5985,57000,57002,'OP_MapFogDataInitMsg',394,1),
(5986,57000,57002,'OP_MapFogDataUpdateMsg',395,1),
(5987,57000,57002,'OP_CloseGroupInviteWindowMsg',396,1),
(5988,57000,57002,'OP_UpdateGroupMemberDataMsg',397,1),
(5989,57000,57002,'OP_WorldPingMsg',398,1),
(5990,57000,57002,'OP_MoveLogUpdateMsg',389,1),
(5991,57000,57002,'OP_OfferQuestMsg',400,1),
(5992,57000,57002,'OP_WorldShutdownUpdateMsg',402,1),
(5993,57000,57002,'OP_DisplayMailScreenMsg',403,1),
(5994,57000,57002,'OP_ClientIdleBeginMsg',404,1),
(5995,57000,57002,'OP_ClientIdleEndMsg',405,1),
(5996,57000,57002,'OP_PurchaseConsignmentLoreCheckRe',406,1),
(5997,57000,57002,'OP_NotifyApprenticeStoppedMentori',407,1),
(5998,57000,57002,'OP_CorruptedClientMsg',408,1),
(5999,57000,57002,'OP_WorldDataChangeMsg',409,1),
(6000,57000,57002,'OP_MailEventNotificationMsg',410,1),
(6001,57000,57002,'OP_RestartZoneMsg',411,1),
(6002,57000,57002,'OP_FlightPathsMsg',412,1),
(6003,57000,57002,'OP_CharacterLinkdeadMsg',413,1),
(6004,57000,57002,'OP_CharTransferStartRequestMsg',414,1),
(6005,57000,57002,'OP_CharTransferStartReplyMsg',415,1),
(6006,57000,57002,'OP_CharTransferRequestMsg',416,1),
(6007,57000,57002,'OP_CharTransferReplyMsg',417,1),
(6008,57000,57002,'OP_CharTransferRollbackRequestMsg',418,1),
(6009,57000,57002,'OP_CharTransferCommitRequestMsg',419,1),
(6010,57000,57002,'OP_CharTransferRollbackReplyMsg',420,1),
(6011,57000,57002,'OP_CharTransferCommitReplyMsg',421,1),
(6012,57000,57002,'OP_GetCharacterSerializedRequestM',422,1),
(6013,57000,57002,'OP_GetCharacterSerializedReplyMsg',423,1),
(6014,57000,57002,'OP_CreateCharFromCBBRequestMsg',424,1),
(6015,57000,57002,'OP_CreateCharFromCBBReplyMsg',425,1),
(6016,57000,57002,'OP_HousingDataChangedMsg',426,1),
(6017,57000,57002,'OP_HousingRestoreMsg',427,1),
(6018,57000,57002,'OP_AuctionItem',428,1),
(6019,57000,57002,'OP_AuctionItemReply',429,1),
(6020,57000,57002,'OP_AuctionCoin',430,1),
(6021,57000,57002,'OP_AuctionCoinReply',431,1),
(6022,57000,57002,'OP_AuctionCharacter',432,1),
(6023,57000,57002,'OP_AuctionCharacterReply',433,1),
(6024,57000,57002,'OP_AuctionCommitMsg',434,1),
(6025,57000,57002,'OP_AuctionAbortMsg',435,1),
(6026,57000,57002,'OP_CharTransferValidateRequestMsg',436,1),
(6027,57000,57002,'OP_CharTransferValidateReplyMsg',437,1),
(6028,57000,57002,'OP_RaceRestrictionMsg',438,1),
(6029,57000,57002,'OP_SetInstanceDisplayNameMsg',439,1),
(6030,57000,57002,'OP_GetAuctionAssetIDMsg',440,1),
(6031,57000,57002,'OP_GetAuctionAssetIDReplyMsg',441,1),
(6032,57000,57002,'OP_ResendWorldChannelsMsg',442,1),
(6033,57000,57002,'OP_DisplayExchangeScreenMsg',443,1),
(6034,57000,57002,'OP_ArenaGameTypesMsg',444,1),
(6035,57000,57002,'OP_AuditAuctionEventMsg',445,1),
(6036,57000,57002,'OP_InviteRequestMsg',446,1),
(6037,57000,57002,'OP_InviteResponseMsg',447,1),
(6038,57000,57002,'OP_InviteTargetResponseMsg',448,1),
(6039,57000,57002,'OP_InspectPlayerRequestMsg',449,1),
(6040,57000,57002,'OP_DispatchMsg',450,1),
(6041,57000,57002,'OP_DisplayEventMsg',451,1),
(6042,57000,57002,'OP_PrePossessionMsg',452,1),
(6043,57000,57002,'OP_PostPossessionMsg',453,1),
(6044,57000,57002,'OP_ArenaCreate',455,1),
(6045,57000,57002,'OP_ArenaList',456,1),
(6046,57000,57002,'OP_ArenaWindow',464,1),
(6047,57000,57002,'OP_HouseItemsList',482,1),
(6048,57000,57002,'OP_CurrentPet',484,1),
(6049,57000,57002,'OP_AdventureList',487,1),
(6050,57000,57002,'OP_CancelSpellCast',488,1),
(6051,57000,57002,'OP_UpdateTitleCmd',493,1),
(6052,57000,57002,'OP_AttackAllowed',499,1),
(6053,57000,57002,'OP_AttackNotAllowed',500,1),
(6054,57000,57002,'OP_BagOptions',501,1),
(6055,57000,57002,'OP_LFGGroupSearch',503,1),
(6056,57000,57002,'OP_CharacterHousingList',506,1),
(6057,57000,57002,'OP_DressingRoom',509,1),
(6058,57000,57002,'OP_PlayLon',510,1),
(6059,57000,57002,'OP_SkillInfoRequest',513,1),
(6060,57000,57002,'OP_SkillInfoResponse',514,1),
(6061,57000,57002,'OP_LFGUpdateMsg',517,1),
(6062,57000,57002,'OP_BadLanguageFilter',518,1),
(6063,57000,57002,'OP_VoiceChatChannel',519,1),
(6064,57000,57002,'OP_MapRequest',520,1),
(6065,57000,57002,'OP_MarketFundsUpdate',525,1),
(6066,57000,57002,'OP_UIEvent',526,1),
(6067,57000,57002,'OP_MarketAddFundsRequest',527,1),
(6068,57000,57002,'OP_MarketAddFundsReply',528,1),
(6069,57000,57002,'OP_MarketPurchase',530,1),
(6070,57000,57002,'OP_MarketPlacePrices',531,1),
(6071,57000,57002,'OP_MarketPlaceItems',534,1),
(6072,57000,57002,'OP_RecipeBook',535,1),
(6073,57000,57002,'OP_CreateCharacterDungeon',544,1),
(6074,57000,57002,'OP_DungeonMakerEnter',545,1),
(6075,57000,57002,'OP_DungeonMakerItemRequest',547,1),
(6076,57000,57002,'OP_CharacterCreatedDungeons',548,1),
(6077,57000,57002,'OP_DungeonMakerToolboxList',549,1),
(6078,57000,57002,'OP_DungeonMakerUnknown',550,1),
(6079,57000,57002,'OP_DungeonMakerUnknown1',551,1),
(6080,57000,57002,'OP_PlayerPollPopup',553,1),
(6081,57000,57002,'OP_PlayerPollAnswer',554,1),
(6082,57000,57002,'OP_MentorPopup',555,1),
(6083,57000,57002,'OP_LoadWelcomeWindow',557,1),
(6084,57000,57002,'OP_OpenCharCust',558,1),
(6085,57000,57002,'OP_SubmitCharCust',559,1),
(6086,57000,57002,'OP_QueAllBgSolo',561,1),
(6087,57000,57002,'OP_ZoneBgInstanceList',563,1),
(6088,57000,57002,'OP_WorldTravelAvail',567,1),
(6089,57000,57002,'OP_PaperdollImage',571,1),
(6090,57000,57002,'OP_LoadCalendarEvents',572,1),
(6091,57000,57002,'OP_VideoUploaded',573,1),
(6092,57000,57002,'OP_SavageBarInitMsg',574,1),
(6093,57000,57002,'OP_PetOptionsResponse',575,1),
(6094,57000,57002,'OP_DungeonMakerItemResponse',576,1),
(6095,57000,57002,'OP_CharacterMounts',578,1),
(6096,57000,57002,'OP_EqBetaCopyRequest',588,1),
(6097,57000,57002,'OP_EqHearChatCmd',589,1),
(6098,57000,57002,'OP_EqDisplayTextCmd',590,1),
(6099,57000,57002,'OP_EqCreateGhostCmd',591,1),
(6100,57000,57002,'OP_EqCreateWidgetCmd',592,1),
(6101,57000,57002,'OP_EqCreateSignWidgetCmd',593,1),
(6102,57000,57002,'OP_EqDestroyGhostCmd',594,1),
(6103,57000,57002,'OP_EqUpdateGhostCmd',595,1),
(6104,57000,57002,'OP_EqSetControlGhostCmd',596,1),
(6105,57000,57002,'OP_EqSetPOVGhostCmd',597,1),
(6106,57000,57002,'OP_EqHearCombatCmd',598,1),
(6107,57000,57002,'OP_EqHearSpellCastCmd',599,1),
(6108,57000,57002,'OP_EQHearProcCmd',600,1),
(6109,57000,57002,'OP_EQHearResEffectCmd',601,1),
(6110,57000,57002,'OP_EqHearSpellInterruptCmd',602,1),
(6111,57000,57002,'OP_EqHearSpellFizzleCmd',603,1),
(6112,57000,57002,'OP_EqHearConsiderCmd',604,1),
(6113,57000,57002,'OP_EqUpdateSubClassesCmd',605,1),
(6114,57000,57002,'OP_EqCreateListBoxCmd',606,1),
(6115,57000,57002,'OP_EqSetDebugPathPointsCmd',607,1),
(6116,57000,57002,'OP_EqCannedEmoteCmd',609,1),
(6117,57000,57002,'OP_EqStateCmd',610,1),
(6118,57000,57002,'OP_EqPlaySoundCmd',611,1),
(6119,57000,57002,'OP_EqPlaySound3DCmd',612,1),
(6120,57000,57002,'OP_EqPlayVoiceCmd',613,1),
(6121,57000,57002,'OP_EqHearDrowningCmd',614,1),
(6122,57000,57002,'OP_EqHearDeathCmd',615,1),
(6123,57000,57002,'OP_EqGroupMemberRemovedCmd',616,1),
(6124,57000,57002,'OP_EqHearChainEffectCmd',617,1),
(6125,57000,57002,'OP_EqReceiveOfferCmd',618,1),
(6126,57000,57002,'OP_EqInspectPCResultsCmd',619,1),
(6127,57000,57002,'OP_EqDrawablePathGraphCmd',620,1),
(6128,57000,57002,'OP_EqDialogOpenCmd',621,1),
(6129,57000,57002,'OP_EqDialogCloseCmd',622,1),
(6130,57000,57002,'OP_EqFactionUpdateCmd',623,1),
(6131,57000,57002,'OP_EqCollectionUpdateCmd',624,1),
(6132,57000,57002,'OP_EqCollectionFilterCmd',625,1),
(6133,57000,57002,'OP_EqCollectionItemCmd',626,1),
(6134,57000,57002,'OP_EqQuestJournalUpdateCmd',627,1),
(6135,57000,57002,'OP_EqMentoring',628,1),
(6136,57000,57002,'OP_EqQuestJournalReplyCmd',629,1),
(6137,57000,57002,'OP_EqQuestGroupCmd',630,1),
(6138,57000,57002,'OP_EqUpdateMerchantCmd',631,1),
(6139,57000,57002,'OP_EqUpdateStoreCmd',632,1),
(6140,57000,57002,'OP_EqUpdatePlayerTradeCmd',633,1),
(6141,57000,57002,'OP_EqHelpPathCmd',634,1),
(6142,57000,57002,'OP_EqHelpPathClearCmd',635,1),
(6143,57000,57002,'OP_EqUpdateBankCmd',636,1),
(6144,57000,57002,'OP_EqExamineInfoCmd',637,1),
(6145,57000,57002,'OP_EqCloseWindowCmd',638,1),
(6146,57000,57002,'OP_EqUpdateLootCmd',639,1),
(6147,57000,57002,'OP_EqJunctionListCmd',640,1),
(6148,57000,57002,'OP_EqShowDeathWindowCmd',641,1),
(6149,57000,57002,'OP_EqDisplaySpellFailCmd',642,1),
(6150,57000,57002,'OP_EqSpellCastStartCmd',643,1),
(6151,57000,57002,'OP_EqSpellCastEndCmd',644,1),
(6152,57000,57002,'OP_EqResurrectedCmd',645,1),
(6153,57000,57002,'OP_EqChoiceWinCmd',646,1),
(6154,57000,57002,'OP_EqSetDefaultVerbCmd',647,1),
(6155,57000,57002,'OP_EqInstructionWindowCmd',648,1),
(6156,57000,57002,'OP_EqInstructionWindowCloseCmd',649,1),
(6157,57000,57002,'OP_EqInstructionWindowGoalCmd',650,1),
(6158,57000,57002,'OP_EqInstructionWindowTaskCmd',651,1),
(6159,57000,57002,'OP_EqEnableGameEventCmd',652,1),
(6160,57000,57002,'OP_EqShowWindowCmd',653,1),
(6161,57000,57002,'OP_EqEnableWindowCmd',654,1),
(6162,57000,57002,'OP_EqFlashWindowCmd',655,1),
(6163,57000,57002,'OP_EqHearPlayFlavorCmd',657,1),
(6164,57000,57002,'OP_EqUpdateSignWidgetCmd',658,1),
(6165,57000,57002,'OP_EqDebugPVDCmd',659,1),
(6166,57000,57002,'OP_EqShowBookCmd',660,1),
(6167,57000,57002,'OP_EqQuestionnaireCmd',661,1),
(6168,57000,57002,'OP_EqGetProbsCmd',663,1),
(6169,57000,57002,'OP_EqHearHealCmd',664,1),
(6170,57000,57002,'OP_EqChatChannelUpdateCmd',665,1),
(6171,57000,57002,'OP_EqWhoChannelQueryReplyCmd',666,1),
(6172,57000,57002,'OP_EqAvailWorldChannelsCmd',667,1),
(6173,57000,57002,'OP_EqUpdateTargetCmd',668,1),
(6174,57000,57002,'OP_BrokerSellList',669,1),
(6175,57000,57002,'OP_EqConsignmentItemsCmd',670,1),
(6176,57000,57002,'OP_EqStartBrokerCmd',672,1),
(6177,57000,57002,'OP_EqMapExplorationCmd',673,1),
(6178,57000,57002,'OP_EqStoreLogCmd',674,1),
(6179,57000,57002,'OP_EqSpellMoveToRangeAndRetryCmd',675,1),
(6180,57000,57002,'OP_EqUpdatePlayerMailCmd',676,1),
(6181,57000,57002,'OP_GuildStatusUpdate',679,1),
(6182,57000,57002,'OP_EqArenaResultsCmd',680,1),
(6183,57000,57002,'OP_EqGuildBankEventActionCmd',681,1),
(6184,57000,57002,'OP_EqGuildBankExamineInfoCmd',682,1),
(6185,57000,57002,'OP_EqHearSpellNoLandCmd',683,1),
(6186,57000,57002,'OP_Lottery',684,1),
(6187,57000,57002,'OP_GuildRecruitingMemberInfo',685,1),
(6188,57000,57002,'OP_GuildRecruiting',686,1),
(6189,57000,57002,'OP_GuildRecruitingDetails',687,1),
(6190,57000,57002,'OP_GuildRecruitingImage',688,1),
(6191,57000,57002,'OP_TradeskillList',706,1),
(6192,57000,57002,'OP_CharRenamed',690,1),
(6193,57000,57002,'OP_UseAdornment',700,1),
(6194,57000,57002,'OP_ExpPurchWindow',706,1),
(6195,57000,57002,'OP_PointOfInterest',710,1),
(6196,57000,57002,'OP_PointOfInterest2',711,1),
(6197,57000,57002,'OP_TraitsList',712,1),
(6198,57000,57002,'OP_CustomizeHouseDisplay',715,1),
(6199,57000,57002,'OP_VoiceChatServer',716,1),
(6200,57000,57002,'OP_SupplyDepot',720,1),
(6201,57000,57002,'OP_EQHearThreatCmd',721,1),
(6202,57000,57002,'OP_RecipeList',722,1),
(6203,57000,57002,'OP_Research',723,1),
(6204,57000,57002,'OP_CharacterCurrency',724,1),
(6205,57000,57002,'OP_CharacterAchievements',725,1),
(6206,57000,57002,'OP_AchievementUpdateMsg',726,1),
(6207,57000,57002,'OP_EQHearDispellCmd',727,1),
(6208,57000,57002,'OP_JournalQuestStoryline',728,1),
(6209,57000,57002,'OP_DungeonPlayAsAvatarList',729,1),
(6210,57000,57002,'OP_DungeonPlayAsAvatarSelected',730,1),
(6211,57000,57002,'OP_MercHireWindow',731,1),
(6212,57000,57002,'OP_MercUnknown',732,1),
(6213,57000,57002,'OP_Unknown',748,1),
(6686,57003,57014,'OP_LoginRequestMsg',0,1),
(6687,57003,57014,'OP_LoginByNumRequestMsg',1,1),
(6688,57003,57014,'OP_WSLoginRequestMsg',2,1),
(6689,57003,57014,'OP_ESLoginRequestMsg',3,1),
(6690,57003,57014,'OP_LoginReplyMsg',4,1),
(6691,57003,57014,'OP_WSStatusReplyMsg',5,1),
(6692,57003,57014,'OP_WorldStatusChangeMsg',6,1),
(6693,57003,57014,'OP_AllWSDescRequestMsg',7,1),
(6694,57003,57014,'OP_WorldListMsg',8,1),
(6695,57003,57014,'OP_AllCharactersDescRequestMsg',9,1),
(6696,57003,57014,'OP_AllCharactersDescReplyMsg',10,1),
(6697,57003,57014,'OP_CreateCharacterRequestMsg',11,1),
(6698,57003,57014,'OP_CreateCharacterReplyMsg',12,1),
(6699,57003,57014,'OP_WSCreateCharacterRequestMsg',13,1),
(6700,57003,57014,'OP_WSCreateCharacterReplyMsg',14,1),
(6701,57003,57014,'OP_ReskinCharacterRequestMsg',15,1),
(6702,57003,57014,'OP_DeleteCharacterRequestMsg',16,1),
(6703,57003,57014,'OP_DeleteCharacterReplyMsg',17,1),
(6704,57003,57014,'OP_PlayCharacterRequestMsg',18,1),
(6705,57003,57014,'OP_PlayCharacterReplyMsg',19,1),
(6706,57003,57014,'OP_ExpectClientAsCharacterReplyMs',22,1),
(6707,57003,57014,'OP_ServerPlayCharacterRequestMsg',23,1),
(6708,57003,57014,'OP_ServerPlayCharacterReplyMsg',24,1),
(6709,57003,57014,'OP_ESInitMsg',25,1),
(6710,57003,57014,'OP_ESReadyForClientsMsg',26,1),
(6711,57003,57014,'OP_CreateZoneInstanceMsg',29,1),
(6712,57003,57014,'OP_ZoneInstanceCreateReplyMsg',30,1),
(6713,57003,57014,'OP_ZoneInstanceDestroyedMsg',31,1),
(6714,57003,57014,'OP_ExpectClientAsCharacterRequest',32,1),
(6715,57003,57014,'OP_ZoneInfoMsg',33,1),
(6716,57003,57014,'OP_DoneLoadingZoneResourcesMsg',34,1),
(6717,57003,57014,'OP_DoneSendingInitialEntitiesMsg',35,1),
(6718,57003,57014,'OP_DoneLoadingEntityResourcesMsg',36,1),
(6719,57003,57014,'OP_PredictionUpdateMsg',37,1),
(6720,57003,57014,'OP_UpdatePositionMsg',39,1),
(6721,57003,57014,'OP_SetRemoteCmdsMsg',41,1),
(6722,57003,57014,'OP_RemoteCmdMsg',42,1),
(6723,57003,57014,'OP_GameWorldTimeMsg',43,1),
(6724,57003,57014,'OP_MOTDMsg',44,1),
(6725,57003,57014,'OP_ZoneMOTDMsg',45,1),
(6726,57003,57014,'OP_AvatarCreatedMsg',46,1),
(6727,57003,57014,'OP_AvatarDestroyedMsg',47,1),
(6728,57003,57014,'OP_RequestCampMsg',50,1),
(6729,57003,57014,'OP_CampStartedMsg',51,1),
(6730,57003,57014,'OP_CampAbortedMsg',52,1),
(6731,57003,57014,'OP_WhoQueryRequestMsg',53,1),
(6732,57003,57014,'OP_WhoQueryReplyMsg',54,1),
(6733,57003,57014,'OP_MonitorReplyMsg',55,1),
(6734,57003,57014,'OP_MonitorCharacterListMsg',56,1),
(6735,57003,57014,'OP_MonitorCharacterListRequestMsg',57,1),
(6736,57003,57014,'OP_ClientCmdMsg',58,1),
(6737,57003,57014,'OP_DispatchESMsg',59,1),
(6738,57003,57014,'OP_DispatchClientCmdMsg',60,1),
(6739,57003,57014,'OP_UpdateTargetMsg',61,1),
(6740,57003,57014,'OP_UpdateTargetLocMsg',62,1),
(6741,57003,57014,'OP_UpdateCharacterSheetMsg',63,1),
(6742,57003,57014,'OP_CharacterPet',64,1),
(6743,57003,57014,'OP_CharacterMerc',65,1),
(6744,57003,57014,'OP_UpdateSpellBookMsg',66,1),
(6745,57003,57014,'OP_UpdateInventoryMsg',68,1),
(6746,57003,57014,'OP_AfterInvSpellUpdate',69,1),
(6747,57003,57014,'OP_UpdateRecipeBookMsg',70,1),
(6748,57003,57014,'OP_RequestRecipeDetailsMsg',71,1),
(6749,57003,57014,'OP_RecipeDetailsMsg',72,1),
(6750,57003,57014,'OP_UpdateSkillBookMsg',73,1),
(6751,57003,57014,'OP_UpdateSkillsMsg',74,1),
(6752,57003,57014,'OP_UpdateOpportunityMsg',75,1),
(6753,57003,57014,'OP_ChangeZoneMsg',77,1),
(6754,57003,57014,'OP_ClientTeleportRequestMsg',78,1),
(6755,57003,57014,'OP_TeleportWithinZoneMsg',79,1),
(6756,57003,57014,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(6757,57003,57014,'OP_MigrateClientToZoneRequestMsg',81,1),
(6758,57003,57014,'OP_MigrateClientToZoneReplyMsg',82,1),
(6759,57003,57014,'OP_ReadyToZoneMsg',84,1),
(6760,57003,57014,'OP_RemoveClientFromGroupMsg',85,1),
(6761,57003,57014,'OP_RemoveGroupFromGroupMsg',86,1),
(6762,57003,57014,'OP_MakeGroupLeaderMsg',87,1),
(6763,57003,57014,'OP_GroupCreatedMsg',88,1),
(6764,57003,57014,'OP_GroupDestroyedMsg',89,1),
(6765,57003,57014,'OP_GroupMemberAddedMsg',90,1),
(6766,57003,57014,'OP_GroupMemberRemovedMsg',91,1),
(6767,57003,57014,'OP_GroupRemovedFromGroupMsg',92,1),
(6768,57003,57014,'OP_GroupLeaderChangedMsg',93,1),
(6769,57003,57014,'OP_GroupResendOOZDataMsg',94,1),
(6770,57003,57014,'OP_GroupSettingsChangedMsg',95,1),
(6771,57003,57014,'OP_OutOfZoneMemberDataMsg',96,1),
(6772,57003,57014,'OP_SendLatestRequestMsg',97,1),
(6773,57003,57014,'OP_ClearDataMsg',98,1),
(6774,57003,57014,'OP_SetSocialMsg',99,1),
(6775,57003,57014,'OP_ESStatusMsg',100,1),
(6776,57003,57014,'OP_ESZoneInstanceStatusMsg',101,1),
(6777,57003,57014,'OP_ZonesStatusRequestMsg',102,1),
(6778,57003,57014,'OP_ZonesStatusMsg',103,1),
(6779,57003,57014,'OP_ESWeatherRequestMsg',104,1),
(6780,57003,57014,'OP_ESWeatherRequestEndMsg',105,1),
(6781,57003,57014,'OP_DialogSelectMsg',109,1),
(6782,57003,57014,'OP_DialogCloseMsg',110,1),
(6783,57003,57014,'OP_RemoveSpellEffectMsg',111,1),
(6784,57003,57014,'OP_RemoveConcentrationMsg',112,1),
(6785,57003,57014,'OP_QuestJournalOpenMsg',113,1),
(6786,57003,57014,'OP_QuestJournalInspectMsg',114,1),
(6787,57003,57014,'OP_QuestJournalSetVisibleMsg',115,1),
(6788,57003,57014,'OP_QuestJournalWaypointMsg',116,1),
(6789,57003,57014,'OP_CreateGuildRequestMsg',119,1),
(6790,57003,57014,'OP_CreateGuildReplyMsg',120,1),
(6791,57003,57014,'OP_GuildsayMsg',121,1),
(6792,57003,57014,'OP_FellowshipExpMsg',122,1),
(6793,57003,57014,'OP_DeleteGuildMsg',123,1),
(6794,57003,57014,'OP_GuildUpdateMsg',124,1),
(6795,57003,57014,'OP_ConsignmentCloseStoreMsg',125,1),
(6796,57003,57014,'OP_ConsignItemRequestMsg',126,1),
(6797,57003,57014,'OP_ConsignItemResponseMsg',127,1),
(6798,57003,57014,'OP_PurchaseConsignmentRequestMsg',128,1),
(6799,57003,57014,'OP_LikeOption',135,1),
(6800,57003,57014,'OP_PublishHouse',138,1),
(6801,57003,57014,'OP_PlayerMadeInstacnesScreen',139,1),
(6802,57003,57014,'OP_PlayerMadeInstances',140,1),
(6803,57003,57014,'OP_HouseDeletedRemotelyMsg',142,1),
(6804,57003,57014,'OP_UpdateHouseDataMsg',143,1),
(6805,57003,57014,'OP_UpdateHouseAccessDataMsg',144,1),
(6806,57003,57014,'OP_PlayerHouseBaseScreenMsg',145,1),
(6807,57003,57014,'OP_PlayerHousePurchaseScreenMsg',146,1),
(6808,57003,57014,'OP_PlayerHouseAccessUpdateMsg',147,1),
(6809,57003,57014,'OP_PlayerHouseDisplayStatusMsg',148,1),
(6810,57003,57014,'OP_PlayerHouseCloseUIMsg',149,1),
(6811,57003,57014,'OP_BuyPlayerHouseMsg',150,1),
(6812,57003,57014,'OP_BuyPlayerHouseTintMsg',151,1),
(6813,57003,57014,'OP_CollectAllHouseItemsMsg',152,1),
(6814,57003,57014,'OP_RelinquishHouseMsg',153,1),
(6815,57003,57014,'OP_EnterHouseMsg',154,1),
(6816,57003,57014,'OP_ExitHouseMsg',155,1),
(6817,57003,57014,'OP_HouseDefaultAccessSetMsg',156,1),
(6818,57003,57014,'OP_HouseAccessSetMsg',157,1),
(6819,57003,57014,'OP_HouseAccessRemoveMsg',158,1),
(6820,57003,57014,'OP_PayHouseUpkeepMsg',159,1),
(6821,57003,57014,'OP_MoveableObjectPlacementCriteri',160,1),
(6822,57003,57014,'OP_EnterMoveObjectModeMsg',161,1),
(6823,57003,57014,'OP_PositionMoveableObject',162,1),
(6824,57003,57014,'OP_CancelMoveObjectModeMsg',163,1),
(6825,57003,57014,'OP_ShaderCustomizationMsg',164,1),
(6826,57003,57014,'OP_ReplaceableSubMeshesMsg',165,1),
(6827,57003,57014,'OP_HouseCustomizationScreenMsg',166,1),
(6828,57003,57014,'OP_CustomizationPurchaseRequestMs',167,1),
(6829,57003,57014,'OP_CustomizationSetRequestMsg',168,1),
(6830,57003,57014,'OP_CustomizationReplyMsg',169,1),
(6831,57003,57014,'OP_TintWidgetsMsg',170,1),
(6832,57003,57014,'OP_ExamineConsignmentRequestMsg',171,1),
(6833,57003,57014,'OP_ExamineConsignmentResponseMsg',172,1),
(6834,57003,57014,'OP_UISettingsResponseMsg',173,1),
(6835,57003,57014,'OP_UIResetMsg',174,1),
(6836,57003,57014,'OP_KeymapLoadMsg',175,1),
(6837,57003,57014,'OP_KeymapNoneMsg',176,1),
(6838,57003,57014,'OP_KeymapDataMsg',177,1),
(6839,57003,57014,'OP_KeymapSaveMsg',178,1),
(6840,57003,57014,'OP_DispatchSpellCmdMsg',179,1),
(6841,57003,57014,'OP_EntityVerbsRequestMsg',180,1),
(6842,57003,57014,'OP_EntityVerbsReplyMsg',181,1),
(6843,57003,57014,'OP_EntityVerbsVerbMsg',182,1),
(6844,57003,57014,'OP_ChatRelationshipUpdateMsg',184,1),
(6845,57003,57014,'OP_LootItemsRequestMsg',185,1),
(6846,57003,57014,'OP_StoppedLootingMsg',186,1),
(6847,57003,57014,'OP_SitMsg',187,1),
(6848,57003,57014,'OP_StandMsg',188,1),
(6849,57003,57014,'OP_SatMsg',189,1),
(6850,57003,57014,'OP_StoodMsg',190,1),
(6851,57003,57014,'OP_ClearForTakeOffMsg',191,1),
(6852,57003,57014,'OP_ReadyForTakeOffMsg',192,1),
(6853,57003,57014,'OP_ShowIllusionsMsg',193,1),
(6854,57003,57014,'OP_HideIllusionsMsg',194,1),
(6855,57003,57014,'OP_ExamineItemRequestMsg',195,1),
(6856,57003,57014,'OP_ReadBookPageMsg',196,1),
(6857,57003,57014,'OP_DefaultGroupOptionsRequestMsg',197,1),
(6858,57003,57014,'OP_DefaultGroupOptionsMsg',198,1),
(6859,57003,57014,'OP_GroupOptionsMsg',199,1),
(6860,57003,57014,'OP_DisplayGroupOptionsScreenMsg',200,1),
(6861,57003,57014,'OP_PetOptions',201,1),
(6862,57003,57014,'OP_DisplayInnVisitScreenMsg',202,1),
(6863,57003,57014,'OP_DumpSchedulerMsg',203,1),
(6864,57003,57014,'OP_LSCheckAcctLockMsg',204,1),
(6865,57003,57014,'OP_WSAcctLockStatusMsg',205,1),
(6866,57003,57014,'OP_RequestHelpRepathMsg',206,1),
(6867,57003,57014,'OP_RequestTargetLocMsg',207,1),
(6868,57003,57014,'OP_UpdateMotdMsg',208,1),
(6869,57003,57014,'OP_DestUpdateReq',210,1),
(6870,57003,57014,'OP_PerformPlayerKnockbackMsg',213,1),
(6871,57003,57014,'OP_PerformCameraShakeMsg',214,1),
(6872,57003,57014,'OP_PopulateSkillMapsMsg',215,1),
(6873,57003,57014,'OP_CancelledFeignMsg',216,1),
(6874,57003,57014,'OP_SysClient',218,1),
(6875,57003,57014,'OP_ShowCreateFromRecipeUIMsg',219,1),
(6876,57003,57014,'OP_CancelCreateFromRecipeMsg',220,1),
(6877,57003,57014,'OP_BeginItemCreationMsg',221,1),
(6878,57003,57014,'OP_StopItemCreationMsg',222,1),
(6879,57003,57014,'OP_ShowItemCreationProcessUIMsg',223,1),
(6880,57003,57014,'OP_UpdateItemCreationProcessUIMsg',224,1),
(6881,57003,57014,'OP_DisplayTSEventReactionMsg',225,1),
(6882,57003,57014,'OP_ShowRecipeBookMsg',226,1),
(6883,57003,57014,'OP_KnowledgebaseRequestMsg',227,1),
(6884,57003,57014,'OP_KnowledgebaseResponseMsg',228,1),
(6885,57003,57014,'OP_CSTicketHeaderRequestMsg',229,1),
(6886,57003,57014,'OP_CSTicketInfoMsg',230,1),
(6887,57003,57014,'OP_CSTicketCommentRequestMsg',231,1),
(6888,57003,57014,'OP_CSTicketCommentResponseMsg',232,1),
(6889,57003,57014,'OP_CSTicketCreateMsg',233,1),
(6890,57003,57014,'OP_CSTicketAddCommentMsg',234,1),
(6891,57003,57014,'OP_CSTicketDeleteMsg',235,1),
(6892,57003,57014,'OP_CSTicketChangeNotificationMsg',236,1),
(6893,57003,57014,'OP_WorldDataUpdateMsg',237,1),
(6894,57003,57014,'OP_KnownLanguagesMsg',238,1),
(6895,57003,57014,'OP_LsRequestClientCrashLogMsg',239,1),
(6896,57003,57014,'OP_LsClientBaselogReplyMsg',240,1),
(6897,57003,57014,'OP_LsClientCrashlogReplyMsg',241,1),
(6898,57003,57014,'OP_LsClientAlertlogReplyMsg',242,1),
(6899,57003,57014,'OP_LsClientVerifylogReplyMsg',243,1),
(6900,57003,57014,'OP_ClientTeleportToLocationMsg',244,1),
(6901,57003,57014,'OP_UpdateClientPredFlagsMsg',245,1),
(6902,57003,57014,'OP_ChangeServerControlFlagMsg',246,1),
(6903,57003,57014,'OP_CSToolsRequestMsg',247,1),
(6904,57003,57014,'OP_CSToolsResponseMsg',248,1),
(6905,57003,57014,'OP_AddSocialStructureStandingMsg',249,1),
(6906,57003,57014,'OP_CreateBoatTransportsMsg',250,1),
(6907,57003,57014,'OP_PositionBoatTransportMsg',251,1),
(6908,57003,57014,'OP_MigrateBoatTransportMsg',252,1),
(6909,57003,57014,'OP_MigrateBoatTransportReplyMsg',253,1),
(6910,57003,57014,'OP_DisplayDebugNLLPointsMsg',254,1),
(6911,57003,57014,'OP_ExamineInfoRequestMsg',255,1),
(6912,57003,57014,'OP_QuickbarInitMsg',256,1),
(6913,57003,57014,'OP_QuickbarUpdateMsg',257,1),
(6914,57003,57014,'OP_MacroInitMsg',258,1),
(6915,57003,57014,'OP_MacroUpdateMsg',259,1),
(6916,57003,57014,'OP_QuestionnaireMsg',260,1),
(6917,57003,57014,'OP_LevelChangedMsg',261,1),
(6918,57003,57014,'OP_SpellGainedMsg',262,1),
(6919,57003,57014,'OP_EncounterBrokenMsg',263,1),
(6920,57003,57014,'OP_OnscreenMsgMsg',264,1),
(6921,57003,57014,'OP_DisplayWarningMsg',265,1),
(6922,57003,57014,'OP_ModifyGuildMsg',266,1),
(6923,57003,57014,'OP_GuildEventMsg',267,1),
(6924,57003,57014,'OP_GuildEventAddMsg',268,1),
(6925,57003,57014,'OP_GuildEventActionMsg',269,1),
(6926,57003,57014,'OP_GuildEventListMsg',270,1),
(6927,57003,57014,'OP_RequestGuildEventDetailsMsg',271,1),
(6928,57003,57014,'OP_GuildEventDetailsMsg',272,1),
(6929,57003,57014,'OP_RequestGuildInfoMsg',273,1),
(6930,57003,57014,'OP_GuildBankActionMsg',274,1),
(6931,57003,57014,'OP_GuildBankActionResponseMsg',275,1),
(6932,57003,57014,'OP_GuildBankItemDetailsRequestMsg',276,1),
(6933,57003,57014,'OP_GuildBankItemDetailsResponseMs',277,1),
(6934,57003,57014,'OP_GuildBankUpdateMsg',278,1),
(6935,57003,57014,'OP_GuildBankEventListMsg',279,1),
(6936,57003,57014,'OP_RequestGuildBankEventDetailsMs',280,1),
(6937,57003,57014,'OP_RewardPackMsg',281,1),
(6938,57003,57014,'OP_RenameGuildMsg',282,1),
(6939,57003,57014,'OP_ZoneToFriendRequestMsg',283,1),
(6940,57003,57014,'OP_ZoneToFriendReplyMsg',284,1),
(6941,57003,57014,'OP_ChatCreateChannelMsg',285,1),
(6942,57003,57014,'OP_ChatJoinChannelMsg',286,1),
(6943,57003,57014,'OP_ChatWhoChannelMsg',287,1),
(6944,57003,57014,'OP_ChatLeaveChannelMsg',288,1),
(6945,57003,57014,'OP_ChatTellChannelMsg',289,1),
(6946,57003,57014,'OP_ChatTellUserMsg',290,1),
(6947,57003,57014,'OP_ChatToggleFriendMsg',291,1),
(6948,57003,57014,'OP_BrokerAddBag',292,1),
(6949,57003,57014,'OP_BrokerRemoveBag',293,1),
(6950,57003,57014,'OP_ChatToggleIgnoreMsg',294,1),
(6951,57003,57014,'OP_ChatSendFriendsMsg',295,1),
(6952,57003,57014,'OP_ChatSendIgnoresMsg',296,1),
(6953,57003,57014,'OP_QuestReward',320,1),
(6954,57003,57014,'OP_ChatFiltersMsg',335,1),
(6955,57003,57014,'OP_MailGetMessageMsg',338,1),
(6956,57003,57014,'OP_MailSendMessageMsg',339,1),
(6957,57003,57014,'OP_MailDeleteMessageMsg',340,1),
(6958,57003,57014,'OP_MailGetHeadersReplyMsg',341,1),
(6959,57003,57014,'OP_MailGetMessageReplyMsg',342,1),
(6960,57003,57014,'OP_MailSendMessageReplyMsg',343,1),
(6961,57003,57014,'OP_MailCommitSendMessageMsg',344,1),
(6962,57003,57014,'OP_MailSendSystemMessageMsg',345,1),
(6963,57003,57014,'OP_MailRemoveAttachFromMailMsg',346,1),
(6964,57003,57014,'OP_WaypointRequestMsg',348,1),
(6965,57003,57014,'OP_WaypointReplyMsg',349,1),
(6966,57003,57014,'OP_WaypointSelectMsg',350,1),
(6967,57003,57014,'OP_WaypointUpdateMsg',351,1),
(6968,57003,57014,'OP_CharNameChangedMsg',352,1),
(6969,57003,57014,'OP_ShowZoneTeleporterDestinations',353,1),
(6970,57003,57014,'OP_SelectZoneTeleporterDestinatio',354,1),
(6971,57003,57014,'OP_ReloadLocalizedTxtMsg',355,1),
(6972,57003,57014,'OP_RequestGuildMembershipMsg',356,1),
(6973,57003,57014,'OP_GuildMembershipResponseMsg',357,1),
(6974,57003,57014,'OP_LeaveGuildNotifyMsg',358,1),
(6975,57003,57014,'OP_JoinGuildNotifyMsg',359,1),
(6976,57003,57014,'OP_AvatarUpdateMsg',360,1),
(6977,57003,57014,'OP_BioUpdateMsg',362,1),
(6978,57003,57014,'OP_InspectPlayerMsg',363,1),
(6979,57003,57014,'OP_WSServerLockMsg',364,1),
(6980,57003,57014,'OP_LSServerLockMsg',365,1),
(6981,57003,57014,'OP_WSServerHideMsg',366,1),
(6982,57003,57014,'OP_CsCategoryRequestMsg',367,1),
(6983,57003,57014,'OP_CsCategoryResponseMsg',368,1),
(6984,57003,57014,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(6985,57003,57014,'OP_AFKUpdateMsg',370,1),
(6986,57003,57014,'OP_AnonUpdateMsg',371,1),
(6987,57003,57014,'OP_UpdateActivePublicZonesMsg',372,1),
(6988,57003,57014,'OP_UnknownNpcMsg',373,1),
(6989,57003,57014,'OP_PromoFlagsDetailsMsg',374,1),
(6990,57003,57014,'OP_ConsignViewCreateMsg',375,1),
(6991,57003,57014,'OP_ConsignViewGetPageMsg',376,1),
(6992,57003,57014,'OP_ConsignViewReleaseMsg',377,1),
(6993,57003,57014,'OP_ConsignRemoveItemsMsg',378,1),
(6994,57003,57014,'OP_UpdateDebugRadiiMsg',379,1),
(6995,57003,57014,'OP_ReportMsg',380,1),
(6996,57003,57014,'OP_UpdateRaidMsg',381,1),
(6997,57003,57014,'OP_ConsignViewSortMsg',383,1),
(6998,57003,57014,'OP_TitleUpdateMsg',384,1),
(6999,57003,57014,'OP_ClientFellMsg',385,1),
(7000,57003,57014,'OP_ClientInDeathRegionMsg',386,1),
(7001,57003,57014,'OP_CampClientMsg',387,1),
(7002,57003,57014,'OP_CSToolAccessResponseMsg',388,1),
(7003,57003,57014,'OP_TrackingUpdateMsg',389,1),
(7004,57003,57014,'OP_BeginTrackingMsg',390,1),
(7005,57003,57014,'OP_StopTrackingMsg',391,1),
(7006,57003,57014,'OP_GetAvatarAccessRequestForCSToo',393,1),
(7007,57003,57014,'OP_AdvancementRequestMsg',394,1),
(7008,57003,57014,'OP_MapFogDataInitMsg',395,1),
(7009,57003,57014,'OP_MapFogDataUpdateMsg',396,1),
(7010,57003,57014,'OP_CloseGroupInviteWindowMsg',397,1),
(7011,57003,57014,'OP_UpdateGroupMemberDataMsg',398,1),
(7012,57003,57014,'OP_WorldPingMsg',399,1),
(7013,57003,57014,'OP_MoveLogUpdateMsg',390,1),
(7014,57003,57014,'OP_OfferQuestMsg',401,1),
(7015,57003,57014,'OP_WorldShutdownUpdateMsg',403,1),
(7016,57003,57014,'OP_DisplayMailScreenMsg',404,1),
(7017,57003,57014,'OP_ClientIdleBeginMsg',405,1),
(7018,57003,57014,'OP_ClientIdleEndMsg',406,1),
(7019,57003,57014,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(7020,57003,57014,'OP_NotifyApprenticeStoppedMentori',408,1),
(7021,57003,57014,'OP_CorruptedClientMsg',409,1),
(7022,57003,57014,'OP_WorldDataChangeMsg',410,1),
(7023,57003,57014,'OP_MailEventNotificationMsg',411,1),
(7024,57003,57014,'OP_RestartZoneMsg',412,1),
(7025,57003,57014,'OP_FlightPathsMsg',413,1),
(7026,57003,57014,'OP_CharacterLinkdeadMsg',414,1),
(7027,57003,57014,'OP_CharTransferStartRequestMsg',415,1),
(7028,57003,57014,'OP_CharTransferStartReplyMsg',416,1),
(7029,57003,57014,'OP_CharTransferRequestMsg',417,1),
(7030,57003,57014,'OP_CharTransferReplyMsg',418,1),
(7031,57003,57014,'OP_CharTransferRollbackRequestMsg',419,1),
(7032,57003,57014,'OP_CharTransferCommitRequestMsg',420,1),
(7033,57003,57014,'OP_CharTransferRollbackReplyMsg',421,1),
(7034,57003,57014,'OP_CharTransferCommitReplyMsg',422,1),
(7035,57003,57014,'OP_GetCharacterSerializedRequestM',423,1),
(7036,57003,57014,'OP_GetCharacterSerializedReplyMsg',424,1),
(7037,57003,57014,'OP_CreateCharFromCBBRequestMsg',425,1),
(7038,57003,57014,'OP_CreateCharFromCBBReplyMsg',426,1),
(7039,57003,57014,'OP_HousingDataChangedMsg',427,1),
(7040,57003,57014,'OP_HousingRestoreMsg',428,1),
(7041,57003,57014,'OP_AuctionItem',429,1),
(7042,57003,57014,'OP_AuctionItemReply',430,1),
(7043,57003,57014,'OP_AuctionCoin',431,1),
(7044,57003,57014,'OP_AuctionCoinReply',432,1),
(7045,57003,57014,'OP_AuctionCharacter',433,1),
(7046,57003,57014,'OP_AuctionCharacterReply',434,1),
(7047,57003,57014,'OP_AuctionCommitMsg',435,1),
(7048,57003,57014,'OP_AuctionAbortMsg',436,1),
(7049,57003,57014,'OP_CharTransferValidateRequestMsg',437,1),
(7050,57003,57014,'OP_CharTransferValidateReplyMsg',438,1),
(7051,57003,57014,'OP_RaceRestrictionMsg',439,1),
(7052,57003,57014,'OP_SetInstanceDisplayNameMsg',440,1),
(7053,57003,57014,'OP_GetAuctionAssetIDMsg',441,1),
(7054,57003,57014,'OP_GetAuctionAssetIDReplyMsg',442,1),
(7055,57003,57014,'OP_ResendWorldChannelsMsg',443,1),
(7056,57003,57014,'OP_DisplayExchangeScreenMsg',444,1),
(7057,57003,57014,'OP_ArenaGameTypesMsg',445,1),
(7058,57003,57014,'OP_AuditAuctionEventMsg',446,1),
(7059,57003,57014,'OP_InviteRequestMsg',447,1),
(7060,57003,57014,'OP_InviteResponseMsg',448,1),
(7061,57003,57014,'OP_InviteTargetResponseMsg',449,1),
(7062,57003,57014,'OP_InspectPlayerRequestMsg',450,1),
(7063,57003,57014,'OP_DispatchMsg',451,1),
(7064,57003,57014,'OP_DisplayEventMsg',452,1),
(7065,57003,57014,'OP_PrePossessionMsg',453,1),
(7066,57003,57014,'OP_PostPossessionMsg',454,1),
(7067,57003,57014,'OP_ArenaCreate',456,1),
(7068,57003,57014,'OP_ArenaList',457,1),
(7069,57003,57014,'OP_ArenaWindow',465,1),
(7070,57003,57014,'OP_HouseItemsList',483,1),
(7071,57003,57014,'OP_CurrentPet',485,1),
(7072,57003,57014,'OP_AdventureList',488,1),
(7073,57003,57014,'OP_CancelSpellCast',489,1),
(7074,57003,57014,'OP_UpdateTitleCmd',494,1),
(7075,57003,57014,'OP_AttackAllowed',500,1),
(7076,57003,57014,'OP_AttackNotAllowed',501,1),
(7077,57003,57014,'OP_BagOptions',502,1),
(7078,57003,57014,'OP_LFGGroupSearch',504,1),
(7079,57003,57014,'OP_CharacterHousingList',507,1),
(7080,57003,57014,'OP_DressingRoom',510,1),
(7081,57003,57014,'OP_PlayLon',511,1),
(7082,57003,57014,'OP_SkillInfoRequest',514,1),
(7083,57003,57014,'OP_SkillInfoResponse',515,1),
(7084,57003,57014,'OP_LFGUpdateMsg',518,1),
(7085,57003,57014,'OP_BadLanguageFilter',519,1),
(7086,57003,57014,'OP_VoiceChatChannel',520,1),
(7087,57003,57014,'OP_MapRequest',521,1),
(7088,57003,57014,'OP_MarketFundsUpdate',526,1),
(7089,57003,57014,'OP_UIEvent',527,1),
(7090,57003,57014,'OP_MarketAddFundsRequest',528,1),
(7091,57003,57014,'OP_MarketAddFundsReply',529,1),
(7092,57003,57014,'OP_MarketPurchase',531,1),
(7093,57003,57014,'OP_MarketPlacePrices',532,1),
(7094,57003,57014,'OP_MarketPlaceItems',535,1),
(7095,57003,57014,'OP_RecipeBook',536,1),
(7096,57003,57014,'OP_CreateCharacterDungeon',545,1),
(7097,57003,57014,'OP_DungeonMakerEnter',546,1),
(7098,57003,57014,'OP_DungeonMakerItemRequest',548,1),
(7099,57003,57014,'OP_CharacterCreatedDungeons',549,1),
(7100,57003,57014,'OP_DungeonMakerToolboxList',550,1),
(7101,57003,57014,'OP_DungeonMakerUnknown',551,1),
(7102,57003,57014,'OP_DungeonMakerUnknown1',552,1),
(7103,57003,57014,'OP_PlayerPollPopup',554,1),
(7104,57003,57014,'OP_PlayerPollAnswer',555,1),
(7105,57003,57014,'OP_MentorPopup',556,1),
(7106,57003,57014,'OP_LoadWelcomeWindow',558,1),
(7107,57003,57014,'OP_OpenCharCust',559,1),
(7108,57003,57014,'OP_SubmitCharCust',560,1),
(7109,57003,57014,'OP_QueAllBgSolo',562,1),
(7110,57003,57014,'OP_ZoneBgInstanceList',564,1),
(7111,57003,57014,'OP_WorldTravelAvail',568,1),
(7112,57003,57014,'OP_PaperdollImage',572,1),
(7113,57003,57014,'OP_LoadCalendarEvents',573,1),
(7114,57003,57014,'OP_VideoUploaded',574,1),
(7115,57003,57014,'OP_SavageBarInitMsg',575,1),
(7116,57003,57014,'OP_PetOptionsResponse',576,1),
(7117,57003,57014,'OP_DungeonMakerItemResponse',577,1),
(7118,57003,57014,'OP_CharacterMounts',579,1),
(7119,57003,57014,'OP_EqBetaCopyRequest',589,1),
(7120,57003,57014,'OP_EqHearChatCmd',590,1),
(7121,57003,57014,'OP_EqDisplayTextCmd',591,1),
(7122,57003,57014,'OP_EqCreateGhostCmd',592,1),
(7123,57003,57014,'OP_EqCreateWidgetCmd',593,1),
(7124,57003,57014,'OP_EqCreateSignWidgetCmd',594,1),
(7125,57003,57014,'OP_EqDestroyGhostCmd',595,1),
(7126,57003,57014,'OP_EqUpdateGhostCmd',596,1),
(7127,57003,57014,'OP_EqSetControlGhostCmd',597,1),
(7128,57003,57014,'OP_EqSetPOVGhostCmd',598,1),
(7129,57003,57014,'OP_EqHearCombatCmd',599,1),
(7130,57003,57014,'OP_EqHearSpellCastCmd',600,1),
(7131,57003,57014,'OP_EQHearProcCmd',601,1),
(7132,57003,57014,'OP_EQHearResEffectCmd',602,1),
(7133,57003,57014,'OP_EqHearSpellInterruptCmd',603,1),
(7134,57003,57014,'OP_EqHearSpellFizzleCmd',604,1),
(7135,57003,57014,'OP_EqHearConsiderCmd',605,1),
(7136,57003,57014,'OP_EqUpdateSubClassesCmd',606,1),
(7137,57003,57014,'OP_EqCreateListBoxCmd',607,1),
(7138,57003,57014,'OP_EqSetDebugPathPointsCmd',608,1),
(7139,57003,57014,'OP_EqCannedEmoteCmd',610,1),
(7140,57003,57014,'OP_EqStateCmd',611,1),
(7141,57003,57014,'OP_EqPlaySoundCmd',612,1),
(7142,57003,57014,'OP_EqPlaySound3DCmd',613,1),
(7143,57003,57014,'OP_EqPlayVoiceCmd',614,1),
(7144,57003,57014,'OP_EqHearDrowningCmd',615,1),
(7145,57003,57014,'OP_EqHearDeathCmd',616,1),
(7146,57003,57014,'OP_EqGroupMemberRemovedCmd',617,1),
(7147,57003,57014,'OP_EqHearChainEffectCmd',618,1),
(7148,57003,57014,'OP_EqReceiveOfferCmd',619,1),
(7149,57003,57014,'OP_EqInspectPCResultsCmd',620,1),
(7150,57003,57014,'OP_EqDrawablePathGraphCmd',621,1),
(7151,57003,57014,'OP_EqDialogOpenCmd',622,1),
(7152,57003,57014,'OP_EqDialogCloseCmd',623,1),
(7153,57003,57014,'OP_EqFactionUpdateCmd',624,1),
(7154,57003,57014,'OP_EqCollectionUpdateCmd',625,1),
(7155,57003,57014,'OP_EqCollectionFilterCmd',626,1),
(7156,57003,57014,'OP_EqCollectionItemCmd',627,1),
(7157,57003,57014,'OP_EqQuestJournalUpdateCmd',628,1),
(7158,57003,57014,'OP_EqMentoring',629,1),
(7159,57003,57014,'OP_EqQuestJournalReplyCmd',630,1),
(7160,57003,57014,'OP_EqQuestGroupCmd',631,1),
(7161,57003,57014,'OP_EqUpdateMerchantCmd',632,1),
(7162,57003,57014,'OP_EqUpdateStoreCmd',633,1),
(7163,57003,57014,'OP_EqUpdatePlayerTradeCmd',634,1),
(7164,57003,57014,'OP_EqHelpPathCmd',635,1),
(7165,57003,57014,'OP_EqHelpPathClearCmd',636,1),
(7166,57003,57014,'OP_EqUpdateBankCmd',637,1),
(7167,57003,57014,'OP_EqExamineInfoCmd',638,1),
(7168,57003,57014,'OP_EqCloseWindowCmd',639,1),
(7169,57003,57014,'OP_EqUpdateLootCmd',640,1),
(7170,57003,57014,'OP_EqJunctionListCmd',641,1),
(7171,57003,57014,'OP_EqShowDeathWindowCmd',642,1),
(7172,57003,57014,'OP_EqDisplaySpellFailCmd',643,1),
(7173,57003,57014,'OP_EqSpellCastStartCmd',644,1),
(7174,57003,57014,'OP_EqSpellCastEndCmd',645,1),
(7175,57003,57014,'OP_EqResurrectedCmd',646,1),
(7176,57003,57014,'OP_EqChoiceWinCmd',647,1),
(7177,57003,57014,'OP_EqSetDefaultVerbCmd',648,1),
(7178,57003,57014,'OP_EqInstructionWindowCmd',649,1),
(7179,57003,57014,'OP_EqInstructionWindowCloseCmd',650,1),
(7180,57003,57014,'OP_EqInstructionWindowGoalCmd',651,1),
(7181,57003,57014,'OP_EqInstructionWindowTaskCmd',652,1),
(7182,57003,57014,'OP_EqEnableGameEventCmd',653,1),
(7183,57003,57014,'OP_EqShowWindowCmd',654,1),
(7184,57003,57014,'OP_EqEnableWindowCmd',655,1),
(7185,57003,57014,'OP_EqFlashWindowCmd',656,1),
(7186,57003,57014,'OP_EqHearPlayFlavorCmd',658,1),
(7187,57003,57014,'OP_EqUpdateSignWidgetCmd',659,1),
(7188,57003,57014,'OP_EqDebugPVDCmd',660,1),
(7189,57003,57014,'OP_EqShowBookCmd',661,1),
(7190,57003,57014,'OP_EqQuestionnaireCmd',662,1),
(7191,57003,57014,'OP_EqGetProbsCmd',664,1),
(7192,57003,57014,'OP_EqHearHealCmd',665,1),
(7193,57003,57014,'OP_EqChatChannelUpdateCmd',666,1),
(7194,57003,57014,'OP_EqWhoChannelQueryReplyCmd',667,1),
(7195,57003,57014,'OP_EqAvailWorldChannelsCmd',668,1),
(7196,57003,57014,'OP_EqUpdateTargetCmd',669,1),
(7197,57003,57014,'OP_BrokerSellList',670,1),
(7198,57003,57014,'OP_EqConsignmentItemsCmd',671,1),
(7199,57003,57014,'OP_EqStartBrokerCmd',673,1),
(7200,57003,57014,'OP_EqMapExplorationCmd',674,1),
(7201,57003,57014,'OP_EqStoreLogCmd',675,1),
(7202,57003,57014,'OP_EqSpellMoveToRangeAndRetryCmd',676,1),
(7203,57003,57014,'OP_EqUpdatePlayerMailCmd',677,1),
(7204,57003,57014,'OP_GuildStatusUpdate',680,1),
(7205,57003,57014,'OP_EqArenaResultsCmd',681,1),
(7206,57003,57014,'OP_EqGuildBankEventActionCmd',682,1),
(7207,57003,57014,'OP_EqGuildBankExamineInfoCmd',683,1),
(7208,57003,57014,'OP_EqHearSpellNoLandCmd',684,1),
(7209,57003,57014,'OP_Lottery',685,1),
(7210,57003,57014,'OP_GuildRecruitingMemberInfo',686,1),
(7211,57003,57014,'OP_GuildRecruiting',687,1),
(7212,57003,57014,'OP_GuildRecruitingDetails',688,1),
(7213,57003,57014,'OP_GuildRecruitingImage',689,1),
(7214,57003,57014,'OP_TradeskillList',707,1),
(7215,57003,57014,'OP_CharRenamed',691,1),
(7216,57003,57014,'OP_UseAdornment',701,1),
(7217,57003,57014,'OP_ExpPurchWindow',707,1),
(7218,57003,57014,'OP_PointOfInterest',711,1),
(7219,57003,57014,'OP_PointOfInterest2',712,1),
(7220,57003,57014,'OP_TraitsList',713,1),
(7221,57003,57014,'OP_CustomizeHouseDisplay',716,1),
(7222,57003,57014,'OP_VoiceChatServer',717,1),
(7223,57003,57014,'OP_SupplyDepot',721,1),
(7224,57003,57014,'OP_EQHearThreatCmd',722,1),
(7225,57003,57014,'OP_RecipeList',723,1),
(7226,57003,57014,'OP_Research',724,1),
(7227,57003,57014,'OP_CharacterCurrency',725,1),
(7228,57003,57014,'OP_CharacterAchievements',726,1),
(7229,57003,57014,'OP_AchievementUpdateMsg',727,1),
(7230,57003,57014,'OP_EQHearDispellCmd',728,1),
(7231,57003,57014,'OP_JournalQuestStoryline',729,1),
(7232,57003,57014,'OP_DungeonPlayAsAvatarList',730,1),
(7233,57003,57014,'OP_DungeonPlayAsAvatarSelected',731,1),
(7234,57003,57014,'OP_MercHireWindow',732,1),
(7235,57003,57014,'OP_MercUnknown',733,1),
(7236,57003,57014,'OP_Unknown',749,1),
(7709,57003,57014,'OP_ClearForLandingMsg',491,1),
(7710,57003,57014,'OP_Launchpad',570,1),
(7711,57003,57014,'OP_ReceipelistUnknown',588,1),
(7712,57032,57047,'OP_LoginRequestMsg',0,1),
(7713,57032,57047,'OP_LoginByNumRequestMsg',1,1),
(7714,57032,57047,'OP_WSLoginRequestMsg',2,1),
(7715,57032,57047,'OP_ESLoginRequestMsg',3,1),
(7716,57032,57047,'OP_LoginReplyMsg',4,1),
(7717,57032,57047,'OP_WSStatusReplyMsg',5,1),
(7718,57032,57047,'OP_WorldStatusChangeMsg',6,1),
(7719,57032,57047,'OP_AllWSDescRequestMsg',7,1),
(7720,57032,57047,'OP_WorldListMsg',8,1),
(7721,57032,57047,'OP_AllCharactersDescRequestMsg',9,1),
(7722,57032,57047,'OP_AllCharactersDescReplyMsg',10,1),
(7723,57032,57047,'OP_CreateCharacterRequestMsg',11,1),
(7724,57032,57047,'OP_CreateCharacterReplyMsg',12,1),
(7725,57032,57047,'OP_WSCreateCharacterRequestMsg',13,1),
(7726,57032,57047,'OP_WSCreateCharacterReplyMsg',14,1),
(7727,57032,57047,'OP_ReskinCharacterRequestMsg',15,1),
(7728,57032,57047,'OP_DeleteCharacterRequestMsg',16,1),
(7729,57032,57047,'OP_DeleteCharacterReplyMsg',17,1),
(7730,57032,57047,'OP_PlayCharacterRequestMsg',18,1),
(7731,57032,57047,'OP_PlayCharacterReplyMsg',19,1),
(7732,57032,57047,'OP_ExpectClientAsCharacterReplyMs',22,1),
(7733,57032,57047,'OP_ServerPlayCharacterRequestMsg',23,1),
(7734,57032,57047,'OP_ServerPlayCharacterReplyMsg',24,1),
(7735,57032,57047,'OP_ESInitMsg',25,1),
(7736,57032,57047,'OP_ESReadyForClientsMsg',26,1),
(7737,57032,57047,'OP_CreateZoneInstanceMsg',29,1),
(7738,57032,57047,'OP_ZoneInstanceCreateReplyMsg',30,1),
(7739,57032,57047,'OP_ZoneInstanceDestroyedMsg',31,1),
(7740,57032,57047,'OP_ExpectClientAsCharacterRequest',32,1),
(7741,57032,57047,'OP_ZoneInfoMsg',33,1),
(7742,57032,57047,'OP_DoneLoadingZoneResourcesMsg',34,1),
(7743,57032,57047,'OP_DoneSendingInitialEntitiesMsg',35,1),
(7744,57032,57047,'OP_DoneLoadingEntityResourcesMsg',36,1),
(7745,57032,57047,'OP_PredictionUpdateMsg',37,1),
(7746,57032,57047,'OP_UpdatePositionMsg',39,1),
(7747,57032,57047,'OP_SetRemoteCmdsMsg',41,1),
(7748,57032,57047,'OP_RemoteCmdMsg',42,1),
(7749,57032,57047,'OP_GameWorldTimeMsg',43,1),
(7750,57032,57047,'OP_MOTDMsg',44,1),
(7751,57032,57047,'OP_ZoneMOTDMsg',45,1),
(7752,57032,57047,'OP_AvatarCreatedMsg',46,1),
(7753,57032,57047,'OP_AvatarDestroyedMsg',47,1),
(7754,57032,57047,'OP_RequestCampMsg',50,1),
(7755,57032,57047,'OP_CampStartedMsg',51,1),
(7756,57032,57047,'OP_CampAbortedMsg',52,1),
(7757,57032,57047,'OP_WhoQueryRequestMsg',53,1),
(7758,57032,57047,'OP_WhoQueryReplyMsg',54,1),
(7759,57032,57047,'OP_MonitorReplyMsg',55,1),
(7760,57032,57047,'OP_MonitorCharacterListMsg',56,1),
(7761,57032,57047,'OP_MonitorCharacterListRequestMsg',57,1),
(7762,57032,57047,'OP_ClientCmdMsg',58,1),
(7763,57032,57047,'OP_DispatchESMsg',59,1),
(7764,57032,57047,'OP_DispatchClientCmdMsg',60,1),
(7765,57032,57047,'OP_UpdateTargetMsg',61,1),
(7766,57032,57047,'OP_UpdateTargetLocMsg',62,1),
(7767,57032,57047,'OP_UpdateCharacterSheetMsg',63,1),
(7768,57032,57047,'OP_CharacterPet',64,1),
(7769,57032,57047,'OP_CharacterMerc',65,1),
(7770,57032,57047,'OP_UpdateSpellBookMsg',66,1),
(7771,57032,57047,'OP_UpdateInventoryMsg',68,1),
(7772,57032,57047,'OP_AfterInvSpellUpdate',69,1),
(7773,57032,57047,'OP_UpdateRecipeBookMsg',70,1),
(7774,57032,57047,'OP_RequestRecipeDetailsMsg',71,1),
(7775,57032,57047,'OP_RecipeDetailsMsg',72,1),
(7776,57032,57047,'OP_UpdateSkillBookMsg',73,1),
(7777,57032,57047,'OP_UpdateSkillsMsg',74,1),
(7778,57032,57047,'OP_UpdateOpportunityMsg',75,1),
(7779,57032,57047,'OP_ChangeZoneMsg',77,1),
(7780,57032,57047,'OP_ClientTeleportRequestMsg',78,1),
(7781,57032,57047,'OP_TeleportWithinZoneMsg',79,1),
(7782,57032,57047,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(7783,57032,57047,'OP_MigrateClientToZoneRequestMsg',81,1),
(7784,57032,57047,'OP_MigrateClientToZoneReplyMsg',82,1),
(7785,57032,57047,'OP_ReadyToZoneMsg',84,1),
(7786,57032,57047,'OP_RemoveClientFromGroupMsg',85,1),
(7787,57032,57047,'OP_RemoveGroupFromGroupMsg',86,1),
(7788,57032,57047,'OP_MakeGroupLeaderMsg',87,1),
(7789,57032,57047,'OP_GroupCreatedMsg',88,1),
(7790,57032,57047,'OP_GroupDestroyedMsg',89,1),
(7791,57032,57047,'OP_GroupMemberAddedMsg',90,1),
(7792,57032,57047,'OP_GroupMemberRemovedMsg',91,1),
(7793,57032,57047,'OP_GroupRemovedFromGroupMsg',92,1),
(7794,57032,57047,'OP_GroupLeaderChangedMsg',93,1),
(7795,57032,57047,'OP_GroupResendOOZDataMsg',94,1),
(7796,57032,57047,'OP_GroupSettingsChangedMsg',95,1),
(7797,57032,57047,'OP_OutOfZoneMemberDataMsg',96,1),
(7798,57032,57047,'OP_SendLatestRequestMsg',97,1),
(7799,57032,57047,'OP_ClearDataMsg',98,1),
(7800,57032,57047,'OP_SetSocialMsg',99,1),
(7801,57032,57047,'OP_ESStatusMsg',100,1),
(7802,57032,57047,'OP_ESZoneInstanceStatusMsg',101,1),
(7803,57032,57047,'OP_ZonesStatusRequestMsg',102,1),
(7804,57032,57047,'OP_ZonesStatusMsg',103,1),
(7805,57032,57047,'OP_ESWeatherRequestMsg',104,1),
(7806,57032,57047,'OP_ESWeatherRequestEndMsg',105,1),
(7807,57032,57047,'OP_DialogSelectMsg',109,1),
(7808,57032,57047,'OP_DialogCloseMsg',110,1),
(7809,57032,57047,'OP_RemoveSpellEffectMsg',111,1),
(7810,57032,57047,'OP_RemoveConcentrationMsg',112,1),
(7811,57032,57047,'OP_QuestJournalOpenMsg',113,1),
(7812,57032,57047,'OP_QuestJournalInspectMsg',114,1),
(7813,57032,57047,'OP_QuestJournalSetVisibleMsg',115,1),
(7814,57032,57047,'OP_QuestJournalWaypointMsg',116,1),
(7815,57032,57047,'OP_CreateGuildRequestMsg',119,1),
(7816,57032,57047,'OP_CreateGuildReplyMsg',120,1),
(7817,57032,57047,'OP_GuildsayMsg',121,1),
(7818,57032,57047,'OP_FellowshipExpMsg',122,1),
(7819,57032,57047,'OP_DeleteGuildMsg',123,1),
(7820,57032,57047,'OP_GuildUpdateMsg',124,1),
(7821,57032,57047,'OP_ConsignmentCloseStoreMsg',125,1),
(7822,57032,57047,'OP_ConsignItemRequestMsg',126,1),
(7823,57032,57047,'OP_ConsignItemResponseMsg',127,1),
(7824,57032,57047,'OP_PurchaseConsignmentRequestMsg',128,1),
(7825,57032,57047,'OP_LikeOption',136,1),
(7826,57032,57047,'OP_PublishHouse',138,1),
(7827,57032,57047,'OP_PlayerMadeInstancesScreen',139,1),
(7828,57032,57047,'OP_PlayerMadeInstances',140,1),
(7829,57032,57047,'OP_HouseDeletedRemotelyMsg',142,1),
(7830,57032,57047,'OP_UpdateHouseDataMsg',143,1),
(7831,57032,57047,'OP_UpdateHouseAccessDataMsg',144,1),
(7832,57032,57047,'OP_PlayerHouseBaseScreenMsg',145,1),
(7833,57032,57047,'OP_PlayerHousePurchaseScreenMsg',146,1),
(7834,57032,57047,'OP_PlayerHouseAccessUpdateMsg',147,1),
(7835,57032,57047,'OP_PlayerHouseDisplayStatusMsg',148,1),
(7836,57032,57047,'OP_PlayerHouseCloseUIMsg',149,1),
(7837,57032,57047,'OP_BuyPlayerHouseMsg',150,1),
(7838,57032,57047,'OP_BuyPlayerHouseTintMsg',151,1),
(7839,57032,57047,'OP_CollectAllHouseItemsMsg',152,1),
(7840,57032,57047,'OP_RelinquishHouseMsg',153,1),
(7841,57032,57047,'OP_EnterHouseMsg',154,1),
(7842,57032,57047,'OP_ExitHouseMsg',155,1),
(7843,57032,57047,'OP_HouseDefaultAccessSetMsg',156,1),
(7844,57032,57047,'OP_HouseAccessSetMsg',157,1),
(7845,57032,57047,'OP_HouseAccessRemoveMsg',158,1),
(7846,57032,57047,'OP_PayHouseUpkeepMsg',159,1),
(7847,57032,57047,'OP_MoveableObjectPlacementCriteri',160,1),
(7848,57032,57047,'OP_EnterMoveObjectModeMsg',161,1),
(7849,57032,57047,'OP_PositionMoveableObject',162,1),
(7850,57032,57047,'OP_CancelMoveObjectModeMsg',163,1),
(7851,57032,57047,'OP_ShaderCustomizationMsg',164,1),
(7852,57032,57047,'OP_ReplaceableSubMeshesMsg',165,1),
(7853,57032,57047,'OP_HouseCustomizationScreenMsg',166,1),
(7854,57032,57047,'OP_CustomizationPurchaseRequestMs',167,1),
(7855,57032,57047,'OP_CustomizationSetRequestMsg',168,1),
(7856,57032,57047,'OP_CustomizationReplyMsg',169,1),
(7857,57032,57047,'OP_TintWidgetsMsg',170,1),
(7858,57032,57047,'OP_ExamineConsignmentRequestMsg',171,1),
(7859,57032,57047,'OP_ExamineConsignmentResponseMsg',172,1),
(7860,57032,57047,'OP_UISettingsResponseMsg',173,1),
(7861,57032,57047,'OP_UIResetMsg',174,1),
(7862,57032,57047,'OP_KeymapLoadMsg',175,1),
(7863,57032,57047,'OP_KeymapNoneMsg',176,1),
(7864,57032,57047,'OP_KeymapDataMsg',177,1),
(7865,57032,57047,'OP_KeymapSaveMsg',178,1),
(7866,57032,57047,'OP_DispatchSpellCmdMsg',179,1),
(7867,57032,57047,'OP_EntityVerbsRequestMsg',180,1),
(7868,57032,57047,'OP_EntityVerbsReplyMsg',181,1),
(7869,57032,57047,'OP_EntityVerbsVerbMsg',182,1),
(7870,57032,57047,'OP_ChatRelationshipUpdateMsg',184,1),
(7871,57032,57047,'OP_LootItemsRequestMsg',185,1),
(7872,57032,57047,'OP_StoppedLootingMsg',186,1),
(7873,57032,57047,'OP_SitMsg',187,1),
(7874,57032,57047,'OP_StandMsg',188,1),
(7875,57032,57047,'OP_SatMsg',189,1),
(7876,57032,57047,'OP_StoodMsg',190,1),
(7877,57032,57047,'OP_ClearForTakeOffMsg',191,1),
(7878,57032,57047,'OP_ReadyForTakeOffMsg',192,1),
(7879,57032,57047,'OP_ShowIllusionsMsg',193,1),
(7880,57032,57047,'OP_HideIllusionsMsg',194,1),
(7881,57032,57047,'OP_ExamineItemRequestMsg',195,1),
(7882,57032,57047,'OP_ReadBookPageMsg',196,1),
(7883,57032,57047,'OP_DefaultGroupOptionsRequestMsg',197,1),
(7884,57032,57047,'OP_DefaultGroupOptionsMsg',198,1),
(7885,57032,57047,'OP_GroupOptionsMsg',199,1),
(7886,57032,57047,'OP_DisplayGroupOptionsScreenMsg',200,1),
(7887,57032,57047,'OP_PetOptions',201,1),
(7888,57032,57047,'OP_DisplayInnVisitScreenMsg',202,1),
(7889,57032,57047,'OP_DumpSchedulerMsg',203,1),
(7890,57032,57047,'OP_LSCheckAcctLockMsg',204,1),
(7891,57032,57047,'OP_WSAcctLockStatusMsg',205,1),
(7892,57032,57047,'OP_RequestHelpRepathMsg',206,1),
(7893,57032,57047,'OP_RequestTargetLocMsg',207,1),
(7894,57032,57047,'OP_UpdateMotdMsg',208,1),
(7895,57032,57047,'OP_DestUpdateReq',210,1),
(7896,57032,57047,'OP_PerformPlayerKnockbackMsg',213,1),
(7897,57032,57047,'OP_PerformCameraShakeMsg',214,1),
(7898,57032,57047,'OP_PopulateSkillMapsMsg',215,1),
(7899,57032,57047,'OP_CancelledFeignMsg',216,1),
(7900,57032,57047,'OP_SysClient',218,1),
(7901,57032,57047,'OP_ShowCreateFromRecipeUIMsg',219,1),
(7902,57032,57047,'OP_CancelCreateFromRecipeMsg',220,1),
(7903,57032,57047,'OP_BeginItemCreationMsg',221,1),
(7904,57032,57047,'OP_StopItemCreationMsg',222,1),
(7905,57032,57047,'OP_ShowItemCreationProcessUIMsg',223,1),
(7906,57032,57047,'OP_UpdateItemCreationProcessUIMsg',224,1),
(7907,57032,57047,'OP_DisplayTSEventReactionMsg',225,1),
(7908,57032,57047,'OP_ShowRecipeBookMsg',226,1),
(7909,57032,57047,'OP_KnowledgebaseRequestMsg',227,1),
(7910,57032,57047,'OP_KnowledgebaseResponseMsg',228,1),
(7911,57032,57047,'OP_CSTicketHeaderRequestMsg',229,1),
(7912,57032,57047,'OP_CSTicketInfoMsg',230,1),
(7913,57032,57047,'OP_CSTicketCommentRequestMsg',231,1),
(7914,57032,57047,'OP_CSTicketCommentResponseMsg',232,1),
(7915,57032,57047,'OP_CSTicketCreateMsg',233,1),
(7916,57032,57047,'OP_CSTicketAddCommentMsg',234,1),
(7917,57032,57047,'OP_CSTicketDeleteMsg',235,1),
(7918,57032,57047,'OP_CSTicketChangeNotificationMsg',236,1),
(7919,57032,57047,'OP_WorldDataUpdateMsg',237,1),
(7920,57032,57047,'OP_KnownLanguagesMsg',238,1),
(7921,57032,57047,'OP_LsRequestClientCrashLogMsg',239,1),
(7922,57032,57047,'OP_LsClientBaselogReplyMsg',240,1),
(7923,57032,57047,'OP_LsClientCrashlogReplyMsg',241,1),
(7924,57032,57047,'OP_LsClientAlertlogReplyMsg',242,1),
(7925,57032,57047,'OP_LsClientVerifylogReplyMsg',243,1),
(7926,57032,57047,'OP_ClientTeleportToLocationMsg',244,1),
(7927,57032,57047,'OP_UpdateClientPredFlagsMsg',245,1),
(7928,57032,57047,'OP_ChangeServerControlFlagMsg',246,1),
(7929,57032,57047,'OP_CSToolsRequestMsg',247,1),
(7930,57032,57047,'OP_CSToolsResponseMsg',248,1),
(7931,57032,57047,'OP_AddSocialStructureStandingMsg',249,1),
(7932,57032,57047,'OP_CreateBoatTransportsMsg',250,1),
(7933,57032,57047,'OP_PositionBoatTransportMsg',251,1),
(7934,57032,57047,'OP_MigrateBoatTransportMsg',252,1),
(7935,57032,57047,'OP_MigrateBoatTransportReplyMsg',253,1),
(7936,57032,57047,'OP_DisplayDebugNLLPointsMsg',254,1),
(7937,57032,57047,'OP_ExamineInfoRequestMsg',255,1),
(7938,57032,57047,'OP_QuickbarInitMsg',256,1),
(7939,57032,57047,'OP_QuickbarUpdateMsg',257,1),
(7940,57032,57047,'OP_MacroInitMsg',258,1),
(7941,57032,57047,'OP_MacroUpdateMsg',259,1),
(7942,57032,57047,'OP_QuestionnaireMsg',260,1),
(7943,57032,57047,'OP_LevelChangedMsg',261,1),
(7944,57032,57047,'OP_SpellGainedMsg',262,1),
(7945,57032,57047,'OP_EncounterBrokenMsg',263,1),
(7946,57032,57047,'OP_OnscreenMsgMsg',264,1),
(7947,57032,57047,'OP_DisplayWarningMsg',265,1),
(7948,57032,57047,'OP_ModifyGuildMsg',266,1),
(7949,57032,57047,'OP_GuildEventMsg',267,1),
(7950,57032,57047,'OP_GuildEventAddMsg',268,1),
(7951,57032,57047,'OP_GuildEventActionMsg',269,1),
(7952,57032,57047,'OP_GuildEventListMsg',270,1),
(7953,57032,57047,'OP_RequestGuildEventDetailsMsg',271,1),
(7954,57032,57047,'OP_GuildEventDetailsMsg',272,1),
(7955,57032,57047,'OP_RequestGuildInfoMsg',273,1),
(7956,57032,57047,'OP_GuildBankActionMsg',274,1),
(7957,57032,57047,'OP_GuildBankActionResponseMsg',275,1),
(7958,57032,57047,'OP_GuildBankItemDetailsRequestMsg',276,1),
(7959,57032,57047,'OP_GuildBankItemDetailsResponseMs',277,1),
(7960,57032,57047,'OP_GuildBankUpdateMsg',278,1),
(7961,57032,57047,'OP_GuildBankEventListMsg',279,1),
(7962,57032,57047,'OP_RequestGuildBankEventDetailsMs',280,1),
(7963,57032,57047,'OP_RewardPackMsg',281,1),
(7964,57032,57047,'OP_RenameGuildMsg',282,1),
(7965,57032,57047,'OP_ZoneToFriendRequestMsg',283,1),
(7966,57032,57047,'OP_ZoneToFriendReplyMsg',284,1),
(7967,57032,57047,'OP_ChatCreateChannelMsg',285,1),
(7968,57032,57047,'OP_ChatJoinChannelMsg',286,1),
(7969,57032,57047,'OP_ChatWhoChannelMsg',287,1),
(7970,57032,57047,'OP_ChatLeaveChannelMsg',288,1),
(7971,57032,57047,'OP_ChatTellChannelMsg',289,1),
(7972,57032,57047,'OP_ChatTellUserMsg',290,1),
(7973,57032,57047,'OP_ChatToggleFriendMsg',291,1),
(7974,57032,57047,'OP_BrokerAddBag',292,1),
(7975,57032,57047,'OP_BrokerRemoveBag',293,1),
(7976,57032,57047,'OP_ChatToggleIgnoreMsg',294,1),
(7977,57032,57047,'OP_ChatSendFriendsMsg',295,1),
(7978,57032,57047,'OP_ChatSendIgnoresMsg',296,1),
(7979,57032,57047,'OP_QuestReward',320,1),
(7980,57032,57047,'OP_ChatFiltersMsg',335,1),
(7981,57032,57047,'OP_MailGetMessageMsg',338,1),
(7982,57032,57047,'OP_MailSendMessageMsg',339,1),
(7983,57032,57047,'OP_MailDeleteMessageMsg',340,1),
(7984,57032,57047,'OP_MailGetHeadersReplyMsg',341,1),
(7985,57032,57047,'OP_MailGetMessageReplyMsg',342,1),
(7986,57032,57047,'OP_MailSendMessageReplyMsg',343,1),
(7987,57032,57047,'OP_MailCommitSendMessageMsg',344,1),
(7988,57032,57047,'OP_MailSendSystemMessageMsg',345,1),
(7989,57032,57047,'OP_MailRemoveAttachFromMailMsg',346,1),
(7990,57032,57047,'OP_WaypointRequestMsg',348,1),
(7991,57032,57047,'OP_WaypointReplyMsg',349,1),
(7992,57032,57047,'OP_WaypointSelectMsg',350,1),
(7993,57032,57047,'OP_WaypointUpdateMsg',351,1),
(7994,57032,57047,'OP_CharNameChangedMsg',352,1),
(7995,57032,57047,'OP_ShowZoneTeleporterDestinations',353,1),
(7996,57032,57047,'OP_SelectZoneTeleporterDestinatio',354,1),
(7997,57032,57047,'OP_ReloadLocalizedTxtMsg',355,1),
(7998,57032,57047,'OP_RequestGuildMembershipMsg',356,1),
(7999,57032,57047,'OP_GuildMembershipResponseMsg',357,1),
(8000,57032,57047,'OP_LeaveGuildNotifyMsg',358,1),
(8001,57032,57047,'OP_JoinGuildNotifyMsg',359,1),
(8002,57032,57047,'OP_AvatarUpdateMsg',360,1),
(8003,57032,57047,'OP_BioUpdateMsg',362,1),
(8004,57032,57047,'OP_InspectPlayerMsg',363,1),
(8005,57032,57047,'OP_WSServerLockMsg',364,1),
(8006,57032,57047,'OP_LSServerLockMsg',365,1),
(8007,57032,57047,'OP_WSServerHideMsg',366,1),
(8008,57032,57047,'OP_CsCategoryRequestMsg',367,1),
(8009,57032,57047,'OP_CsCategoryResponseMsg',368,1),
(8010,57032,57047,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(8011,57032,57047,'OP_AFKUpdateMsg',370,1),
(8012,57032,57047,'OP_AnonUpdateMsg',371,1),
(8013,57032,57047,'OP_UpdateActivePublicZonesMsg',372,1),
(8014,57032,57047,'OP_UnknownNpcMsg',373,1),
(8015,57032,57047,'OP_PromoFlagsDetailsMsg',374,1),
(8016,57032,57047,'OP_ConsignViewCreateMsg',375,1),
(8017,57032,57047,'OP_ConsignViewGetPageMsg',376,1),
(8018,57032,57047,'OP_ConsignViewReleaseMsg',377,1),
(8019,57032,57047,'OP_ConsignRemoveItemsMsg',378,1),
(8020,57032,57047,'OP_UpdateDebugRadiiMsg',379,1),
(8021,57032,57047,'OP_ReportMsg',380,1),
(8022,57032,57047,'OP_UpdateRaidMsg',381,1),
(8023,57032,57047,'OP_ConsignViewSortMsg',383,1),
(8024,57032,57047,'OP_TitleUpdateMsg',384,1),
(8025,57032,57047,'OP_ClientFellMsg',385,1),
(8026,57032,57047,'OP_ClientInDeathRegionMsg',386,1),
(8027,57032,57047,'OP_CampClientMsg',387,1),
(8028,57032,57047,'OP_CSToolAccessResponseMsg',388,1),
(8029,57032,57047,'OP_UpdateGroupMemberDataMsg',388,1),
(8030,57032,57047,'OP_TrackingUpdateMsg',389,1),
(8031,57032,57047,'OP_BeginTrackingMsg',390,1),
(8032,57032,57047,'OP_StopTrackingMsg',391,1),
(8033,57032,57047,'OP_GetAvatarAccessRequestForCSToo',393,1),
(8034,57032,57047,'OP_AdvancementRequestMsg',394,1),
(8035,57032,57047,'OP_MapFogDataInitMsg',395,1),
(8036,57032,57047,'OP_MapFogDataUpdateMsg',396,1),
(8037,57032,57047,'OP_CloseGroupInviteWindowMsg',397,1),
(8038,57032,57047,'OP_WorldPingMsg',399,1),
(8039,57032,57047,'OP_MoveLogUpdateMsg',400,1),
(8040,57032,57047,'OP_OfferQuestMsg',401,1),
(8041,57032,57047,'OP_WorldShutdownUpdateMsg',403,1),
(8042,57032,57047,'OP_DisplayMailScreenMsg',404,1),
(8043,57032,57047,'OP_ClientIdleBeginMsg',405,1),
(8044,57032,57047,'OP_ClientIdleEndMsg',406,1),
(8045,57032,57047,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(8046,57032,57047,'OP_NotifyApprenticeStoppedMentori',408,1),
(8047,57032,57047,'OP_CorruptedClientMsg',409,1),
(8048,57032,57047,'OP_WorldDataChangeMsg',410,1),
(8049,57032,57047,'OP_MailEventNotificationMsg',411,1),
(8050,57032,57047,'OP_RestartZoneMsg',412,1),
(8051,57032,57047,'OP_FlightPathsMsg',413,1),
(8052,57032,57047,'OP_CharacterLinkdeadMsg',414,1),
(8053,57032,57047,'OP_CharTransferStartRequestMsg',415,1),
(8054,57032,57047,'OP_CharTransferStartReplyMsg',416,1),
(8055,57032,57047,'OP_CharTransferRequestMsg',417,1),
(8056,57032,57047,'OP_CharTransferReplyMsg',418,1),
(8057,57032,57047,'OP_CharTransferRollbackRequestMsg',419,1),
(8058,57032,57047,'OP_CharTransferCommitRequestMsg',420,1),
(8059,57032,57047,'OP_CharTransferRollbackReplyMsg',421,1),
(8060,57032,57047,'OP_CharTransferCommitReplyMsg',422,1),
(8061,57032,57047,'OP_GetCharacterSerializedRequestM',423,1),
(8062,57032,57047,'OP_GetCharacterSerializedReplyMsg',424,1),
(8063,57032,57047,'OP_CreateCharFromCBBRequestMsg',425,1),
(8064,57032,57047,'OP_CreateCharFromCBBReplyMsg',426,1),
(8065,57032,57047,'OP_HousingDataChangedMsg',427,1),
(8066,57032,57047,'OP_HousingRestoreMsg',428,1),
(8067,57032,57047,'OP_AuctionItem',429,1),
(8068,57032,57047,'OP_AuctionItemReply',430,1),
(8069,57032,57047,'OP_AuctionCoin',431,1),
(8070,57032,57047,'OP_AuctionCoinReply',432,1),
(8071,57032,57047,'OP_AuctionCharacter',433,1),
(8072,57032,57047,'OP_AuctionCharacterReply',434,1),
(8073,57032,57047,'OP_AuctionCommitMsg',435,1),
(8074,57032,57047,'OP_AuctionAbortMsg',436,1),
(8075,57032,57047,'OP_CharTransferValidateRequestMsg',437,1),
(8076,57032,57047,'OP_CharTransferValidateReplyMsg',438,1),
(8077,57032,57047,'OP_RaceRestrictionMsg',439,1),
(8078,57032,57047,'OP_SetInstanceDisplayNameMsg',440,1),
(8079,57032,57047,'OP_GetAuctionAssetIDMsg',441,1),
(8080,57032,57047,'OP_GetAuctionAssetIDReplyMsg',442,1),
(8081,57032,57047,'OP_ResendWorldChannelsMsg',443,1),
(8082,57032,57047,'OP_DisplayExchangeScreenMsg',444,1),
(8083,57032,57047,'OP_ArenaGameTypesMsg',445,1),
(8084,57032,57047,'OP_AuditAuctionEventMsg',446,1),
(8085,57032,57047,'OP_InviteRequestMsg',447,1),
(8086,57032,57047,'OP_InviteResponseMsg',448,1),
(8087,57032,57047,'OP_InviteTargetResponseMsg',449,1),
(8088,57032,57047,'OP_InspectPlayerRequestMsg',450,1),
(8089,57032,57047,'OP_DispatchMsg',451,1),
(8090,57032,57047,'OP_DisplayEventMsg',452,1),
(8091,57032,57047,'OP_PrePossessionMsg',453,1),
(8092,57032,57047,'OP_PostPossessionMsg',454,1),
(8093,57032,57047,'OP_ArenaCreate',456,1),
(8094,57032,57047,'OP_ArenaList',457,1),
(8095,57032,57047,'OP_ArenaWindow',465,1),
(8096,57032,57047,'OP_HouseItemsList',483,1),
(8097,57032,57047,'OP_CurrentPet',485,1),
(8098,57032,57047,'OP_AdventureList',488,1),
(8099,57032,57047,'OP_CancelSpellCast',489,1),
(8100,57032,57047,'OP_ClearForLandingMsg',491,1),
(8101,57032,57047,'OP_UpdateTitleCmd',494,1),
(8102,57032,57047,'OP_AttackAllowed',500,1),
(8103,57032,57047,'OP_AttackNotAllowed',501,1),
(8104,57032,57047,'OP_BagOptions',502,1),
(8105,57032,57047,'OP_LFGGroupSearch',504,1),
(8106,57032,57047,'OP_CharacterHousingList',507,1),
(8107,57032,57047,'OP_DressingRoom',510,1),
(8108,57032,57047,'OP_PlayLon',511,1),
(8109,57032,57047,'OP_SkillInfoRequest',514,1),
(8110,57032,57047,'OP_SkillInfoResponse',515,1),
(8111,57032,57047,'OP_LFGUpdateMsg',518,1),
(8112,57032,57047,'OP_BadLanguageFilter',519,1),
(8113,57032,57047,'OP_VoiceChatChannel',520,1),
(8114,57032,57047,'OP_MapRequest',521,1),
(8115,57032,57047,'OP_MarketFundsUpdate',526,1),
(8116,57032,57047,'OP_UIEvent',527,1),
(8117,57032,57047,'OP_MarketAddFundsRequest',528,1),
(8118,57032,57047,'OP_MarketAddFundsReply',529,1),
(8119,57032,57047,'OP_MarketPurchase',531,1),
(8120,57032,57047,'OP_MarketPlacePrices',532,1),
(8121,57032,57047,'OP_MarketPlaceItems',535,1),
(8122,57032,57047,'OP_RecipeBook',536,1),
(8123,57032,57047,'OP_CreateCharacterDungeon',545,1),
(8124,57032,57047,'OP_DungeonMakerEnter',546,1),
(8125,57032,57047,'OP_DungeonMakerItemRequest',548,1),
(8126,57032,57047,'OP_CharacterCreatedDungeons',549,1),
(8127,57032,57047,'OP_DungeonMakerToolboxList',550,1),
(8128,57032,57047,'OP_DungeonMakerUnknown',551,1),
(8129,57032,57047,'OP_DungeonMakerUnknown1',552,1),
(8130,57032,57047,'OP_PlayerPollPopup',554,1),
(8131,57032,57047,'OP_PlayerPollAnswer',555,1),
(8132,57032,57047,'OP_MentorPopup',556,1),
(8133,57032,57047,'OP_LoadWelcomeWindow',558,1),
(8134,57032,57047,'OP_OpenCharCust',559,1),
(8135,57032,57047,'OP_SubmitCharCust',560,1),
(8136,57032,57047,'OP_QueAllBgSolo',562,1),
(8137,57032,57047,'OP_ZoneBgInstanceList',564,1),
(8138,57032,57047,'OP_WorldTravelAvail',568,1),
(8139,57032,57047,'OP_Launchpad',570,1),
(8140,57032,57047,'OP_PaperdollImage',572,1),
(8141,57032,57047,'OP_LoadCalendarEvents',573,1),
(8142,57032,57047,'OP_VideoUploaded',574,1),
(8143,57032,57047,'OP_SavageBarInitMsg',575,1),
(8144,57032,57047,'OP_PetOptionsResponse',576,1),
(8145,57032,57047,'OP_DungeonMakerItemResponse',577,1),
(8146,57032,57047,'OP_CharacterMounts',579,1),
(8147,57032,57047,'OP_RecipeListUnknown',588,1),
(8148,57032,57047,'OP_EqBetaCopyRequest',593,1),
(8149,57032,57047,'OP_EqHearChatCmd',594,1),
(8150,57032,57047,'OP_EqDisplayTextCmd',595,1),
(8151,57032,57047,'OP_EqCreateGhostCmd',596,1),
(8152,57032,57047,'OP_EqCreateWidgetCmd',597,1),
(8153,57032,57047,'OP_EqCreateSignWidgetCmd',598,1),
(8154,57032,57047,'OP_EqDestroyGhostCmd',599,1),
(8155,57032,57047,'OP_EqUpdateGhostCmd',600,1),
(8156,57032,57047,'OP_EqSetControlGhostCmd',601,1),
(8157,57032,57047,'OP_EqSetPOVGhostCmd',602,1),
(8158,57032,57047,'OP_EqHearCombatCmd',603,1),
(8159,57032,57047,'OP_EqHearSpellCastCmd',604,1),
(8160,57032,57047,'OP_EQHearProcCmd',605,1),
(8161,57032,57047,'OP_EQHearResEffectCmd',606,1),
(8162,57032,57047,'OP_EqHearSpellInterruptCmd',607,1),
(8163,57032,57047,'OP_EqHearSpellFizzleCmd',608,1),
(8164,57032,57047,'OP_EqHearConsiderCmd',609,1),
(8165,57032,57047,'OP_EqUpdateSubClassesCmd',610,1),
(8166,57032,57047,'OP_EqCreateListBoxCmd',611,1),
(8167,57032,57047,'OP_EqSetDebugPathPointsCmd',612,1),
(8168,57032,57047,'OP_EqCannedEmoteCmd',614,1),
(8169,57032,57047,'OP_EqStateCmd',615,1),
(8170,57032,57047,'OP_EqPlaySoundCmd',616,1),
(8171,57032,57047,'OP_EqPlaySound3DCmd',617,1),
(8172,57032,57047,'OP_EqPlayVoiceCmd',618,1),
(8173,57032,57047,'OP_EqHearDrowningCmd',619,1),
(8174,57032,57047,'OP_EqHearDeathCmd',620,1),
(8175,57032,57047,'OP_EqGroupMemberRemovedCmd',621,1),
(8176,57032,57047,'OP_EqHearChainEffectCmd',622,1),
(8177,57032,57047,'OP_EqReceiveOfferCmd',623,1),
(8178,57032,57047,'OP_EqInspectPCResultsCmd',624,1),
(8179,57032,57047,'OP_EqDrawablePathGraphCmd',625,1),
(8180,57032,57047,'OP_EqDialogOpenCmd',626,1),
(8181,57032,57047,'OP_EqDialogCloseCmd',627,1),
(8182,57032,57047,'OP_EqFactionUpdateCmd',628,1),
(8183,57032,57047,'OP_EqCollectionUpdateCmd',629,1),
(8184,57032,57047,'OP_EqCollectionFilterCmd',630,1),
(8185,57032,57047,'OP_EqCollectionItemCmd',631,1),
(8186,57032,57047,'OP_EqQuestJournalUpdateCmd',632,1),
(8187,57032,57047,'OP_EqMentoring',633,1),
(8188,57032,57047,'OP_EqQuestJournalReplyCmd',634,1),
(8189,57032,57047,'OP_EqQuestGroupCmd',635,1),
(8190,57032,57047,'OP_EqUpdateMerchantCmd',636,1),
(8191,57032,57047,'OP_EqUpdateStoreCmd',637,1),
(8192,57032,57047,'OP_EqUpdatePlayerTradeCmd',638,1),
(8193,57032,57047,'OP_EqHelpPathCmd',639,1),
(8194,57032,57047,'OP_EqHelpPathClearCmd',640,1),
(8195,57032,57047,'OP_EqUpdateBankCmd',641,1),
(8196,57032,57047,'OP_EqExamineInfoCmd',642,1),
(8197,57032,57047,'OP_EqCloseWindowCmd',643,1),
(8198,57032,57047,'OP_EqUpdateLootCmd',644,1),
(8199,57032,57047,'OP_EqJunctionListCmd',645,1),
(8200,57032,57047,'OP_EqShowDeathWindowCmd',646,1),
(8201,57032,57047,'OP_EqDisplaySpellFailCmd',647,1),
(8202,57032,57047,'OP_EqSpellCastStartCmd',648,1),
(8203,57032,57047,'OP_EqSpellCastEndCmd',649,1),
(8204,57032,57047,'OP_EqResurrectedCmd',650,1),
(8205,57032,57047,'OP_EqChoiceWinCmd',651,1),
(8206,57032,57047,'OP_EqSetDefaultVerbCmd',652,1),
(8207,57032,57047,'OP_EqInstructionWindowCmd',653,1),
(8208,57032,57047,'OP_EqInstructionWindowCloseCmd',654,1),
(8209,57032,57047,'OP_EqInstructionWindowGoalCmd',655,1),
(8210,57032,57047,'OP_EqInstructionWindowTaskCmd',656,1),
(8211,57032,57047,'OP_EqEnableGameEventCmd',657,1),
(8212,57032,57047,'OP_EqShowWindowCmd',658,1),
(8213,57032,57047,'OP_EqEnableWindowCmd',659,1),
(8214,57032,57047,'OP_EqFlashWindowCmd',660,1),
(8215,57032,57047,'OP_EqHearPlayFlavorCmd',662,1),
(8216,57032,57047,'OP_EqUpdateSignWidgetCmd',663,1),
(8217,57032,57047,'OP_EqDebugPVDCmd',664,1),
(8218,57032,57047,'OP_EqShowBookCmd',665,1),
(8219,57032,57047,'OP_EqQuestionnaireCmd',666,1),
(8220,57032,57047,'OP_EqGetProbsCmd',668,1),
(8221,57032,57047,'OP_EqHearHealCmd',669,1),
(8222,57032,57047,'OP_EqChatChannelUpdateCmd',670,1),
(8223,57032,57047,'OP_EqWhoChannelQueryReplyCmd',671,1),
(8224,57032,57047,'OP_EqAvailWorldChannelsCmd',672,1),
(8225,57032,57047,'OP_EqUpdateTargetCmd',673,1),
(8226,57032,57047,'OP_BrokerSellList',674,1),
(8227,57032,57047,'OP_EqConsignmentItemsCmd',675,1),
(8228,57032,57047,'OP_EqStartBrokerCmd',677,1),
(8229,57032,57047,'OP_EqMapExplorationCmd',678,1),
(8230,57032,57047,'OP_EqStoreLogCmd',679,1),
(8231,57032,57047,'OP_EqSpellMoveToRangeAndRetryCmd',680,1),
(8232,57032,57047,'OP_EqUpdatePlayerMailCmd',681,1),
(8233,57032,57047,'OP_GuildStatusUpdate',684,1),
(8234,57032,57047,'OP_EqArenaResultsCmd',685,1),
(8235,57032,57047,'OP_EqGuildBankEventActionCmd',686,1),
(8236,57032,57047,'OP_EqGuildBankExamineInfoCmd',687,1),
(8237,57032,57047,'OP_EqHearSpellNoLandCmd',688,1),
(8238,57032,57047,'OP_Lottery',689,1),
(8239,57032,57047,'OP_GuildRecruitingMemberInfo',690,1),
(8240,57032,57047,'OP_GuildRecruiting',691,1),
(8241,57032,57047,'OP_GuildRecruitingDetails',692,1),
(8242,57032,57047,'OP_GuildRecruitingImage',693,1),
(8243,57032,57047,'OP_TradeskillList',694,1),
(8244,57032,57047,'OP_CharRenamed',695,1),
(8245,57032,57047,'OP_UseAdornment',705,1),
(8246,57032,57047,'OP_ExpPurchWindow',711,1),
(8247,57032,57047,'OP_PointOfInterest',715,1),
(8248,57032,57047,'OP_PointOfInterest2',716,1),
(8249,57032,57047,'OP_TraitsList',717,1),
(8250,57032,57047,'OP_CustomizeHouseDisplay',720,1),
(8251,57032,57047,'OP_VoiceChatServer',721,1),
(8252,57032,57047,'OP_SupplyDepot',725,1),
(8253,57032,57047,'OP_EQHearThreatCmd',726,1),
(8254,57032,57047,'OP_RecipeList',727,1),
(8255,57032,57047,'OP_Research',728,1),
(8256,57032,57047,'OP_CharacterCurrency',729,1),
(8257,57032,57047,'OP_CharacterAchievements',730,1),
(8258,57032,57047,'OP_AchievementUpdateMsg',731,1),
(8259,57032,57047,'OP_EQHearDispellCmd',732,1),
(8260,57032,57047,'OP_JournalQuestStoryline',733,1),
(8261,57032,57047,'OP_DungeonPlayAsAvatarList',734,1),
(8262,57032,57047,'OP_DungeonPlayAsAvatarSelected',735,1),
(8263,57032,57047,'OP_MercHireWindow',736,1),
(8264,57032,57047,'OP_MercUnknown',737,1),
(8265,57032,57047,'OP_Unknown',750,1),
(8266,57048,57079,'OP_LoginRequestMsg',0,1),
(8267,57048,57079,'OP_LoginByNumRequestMsg',1,1),
(8268,57048,57079,'OP_WSLoginRequestMsg',2,1),
(8269,57048,57079,'OP_ESLoginRequestMsg',3,1),
(8270,57048,57079,'OP_LoginReplyMsg',4,1),
(8271,57048,57079,'OP_WSStatusReplyMsg',5,1),
(8272,57048,57079,'OP_WorldStatusChangeMsg',6,1),
(8273,57048,57079,'OP_AllWSDescRequestMsg',7,1),
(8274,57048,57079,'OP_WorldListMsg',8,1),
(8275,57048,57079,'OP_AllCharactersDescRequestMsg',9,1),
(8276,57048,57079,'OP_AllCharactersDescReplyMsg',10,1),
(8277,57048,57079,'OP_CreateCharacterRequestMsg',11,1),
(8278,57048,57079,'OP_CreateCharacterReplyMsg',12,1),
(8279,57048,57079,'OP_WSCreateCharacterRequestMsg',13,1),
(8280,57048,57079,'OP_WSCreateCharacterReplyMsg',14,1),
(8281,57048,57079,'OP_ReskinCharacterRequestMsg',15,1),
(8282,57048,57079,'OP_DeleteCharacterRequestMsg',16,1),
(8283,57048,57079,'OP_DeleteCharacterReplyMsg',17,1),
(8284,57048,57079,'OP_PlayCharacterRequestMsg',18,1),
(8285,57048,57079,'OP_PlayCharacterReplyMsg',19,1),
(8286,57048,57079,'OP_ExpectClientAsCharacterReplyMs',22,1),
(8287,57048,57079,'OP_ServerPlayCharacterRequestMsg',23,1),
(8288,57048,57079,'OP_ServerPlayCharacterReplyMsg',24,1),
(8289,57048,57079,'OP_ESInitMsg',25,1),
(8290,57048,57079,'OP_ESReadyForClientsMsg',26,1),
(8291,57048,57079,'OP_CreateZoneInstanceMsg',29,1),
(8292,57048,57079,'OP_ZoneInstanceCreateReplyMsg',30,1),
(8293,57048,57079,'OP_ZoneInstanceDestroyedMsg',31,1),
(8294,57048,57079,'OP_ExpectClientAsCharacterRequest',32,1),
(8295,57048,57079,'OP_ZoneInfoMsg',33,1),
(8296,57048,57079,'OP_DoneLoadingZoneResourcesMsg',34,1),
(8297,57048,57079,'OP_DoneSendingInitialEntitiesMsg',35,1),
(8298,57048,57079,'OP_DoneLoadingEntityResourcesMsg',36,1),
(8299,57048,57079,'OP_PredictionUpdateMsg',37,1),
(8300,57048,57079,'OP_UpdatePositionMsg',39,1),
(8301,57048,57079,'OP_SetRemoteCmdsMsg',41,1),
(8302,57048,57079,'OP_RemoteCmdMsg',42,1),
(8303,57048,57079,'OP_GameWorldTimeMsg',43,1),
(8304,57048,57079,'OP_MOTDMsg',44,1),
(8305,57048,57079,'OP_ZoneMOTDMsg',45,1),
(8306,57048,57079,'OP_AvatarCreatedMsg',46,1),
(8307,57048,57079,'OP_AvatarDestroyedMsg',47,1),
(8308,57048,57079,'OP_RequestCampMsg',50,1),
(8309,57048,57079,'OP_CampStartedMsg',51,1),
(8310,57048,57079,'OP_CampAbortedMsg',52,1),
(8311,57048,57079,'OP_WhoQueryRequestMsg',53,1),
(8312,57048,57079,'OP_WhoQueryReplyMsg',54,1),
(8313,57048,57079,'OP_MonitorReplyMsg',55,1),
(8314,57048,57079,'OP_MonitorCharacterListMsg',56,1),
(8315,57048,57079,'OP_MonitorCharacterListRequestMsg',57,1),
(8316,57048,57079,'OP_ClientCmdMsg',58,1),
(8317,57048,57079,'OP_DispatchESMsg',59,1),
(8318,57048,57079,'OP_DispatchClientCmdMsg',60,1),
(8319,57048,57079,'OP_UpdateTargetMsg',61,1),
(8320,57048,57079,'OP_UpdateTargetLocMsg',62,1),
(8321,57048,57079,'OP_UpdateCharacterSheetMsg',63,1),
(8322,57048,57079,'OP_CharacterPet',64,1),
(8323,57048,57079,'OP_CharacterMerc',65,1),
(8324,57048,57079,'OP_UpdateSpellBookMsg',66,1),
(8325,57048,57079,'OP_UpdateInventoryMsg',68,1),
(8326,57048,57079,'OP_AfterInvSpellUpdate',69,1),
(8327,57048,57079,'OP_UpdateRecipeBookMsg',70,1),
(8328,57048,57079,'OP_RequestRecipeDetailsMsg',71,1),
(8329,57048,57079,'OP_RecipeDetailsMsg',72,1),
(8330,57048,57079,'OP_UpdateSkillBookMsg',73,1),
(8331,57048,57079,'OP_UpdateSkillsMsg',74,1),
(8332,57048,57079,'OP_UpdateOpportunityMsg',75,1),
(8333,57048,57079,'OP_ChangeZoneMsg',77,1),
(8334,57048,57079,'OP_ClientTeleportRequestMsg',78,1),
(8335,57048,57079,'OP_TeleportWithinZoneMsg',79,1),
(8336,57048,57079,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(8337,57048,57079,'OP_MigrateClientToZoneRequestMsg',81,1),
(8338,57048,57079,'OP_MigrateClientToZoneReplyMsg',82,1),
(8339,57048,57079,'OP_ReadyToZoneMsg',84,1),
(8340,57048,57079,'OP_RemoveClientFromGroupMsg',85,1),
(8341,57048,57079,'OP_RemoveGroupFromGroupMsg',86,1),
(8342,57048,57079,'OP_MakeGroupLeaderMsg',87,1),
(8343,57048,57079,'OP_GroupCreatedMsg',88,1),
(8344,57048,57079,'OP_GroupDestroyedMsg',89,1),
(8345,57048,57079,'OP_GroupMemberAddedMsg',90,1),
(8346,57048,57079,'OP_GroupMemberRemovedMsg',91,1),
(8347,57048,57079,'OP_GroupRemovedFromGroupMsg',92,1),
(8348,57048,57079,'OP_GroupLeaderChangedMsg',93,1),
(8349,57048,57079,'OP_GroupResendOOZDataMsg',94,1),
(8350,57048,57079,'OP_GroupSettingsChangedMsg',95,1),
(8351,57048,57079,'OP_OutOfZoneMemberDataMsg',96,1),
(8352,57048,57079,'OP_SendLatestRequestMsg',97,1),
(8353,57048,57079,'OP_ClearDataMsg',98,1),
(8354,57048,57079,'OP_SetSocialMsg',99,1),
(8355,57048,57079,'OP_ESStatusMsg',100,1),
(8356,57048,57079,'OP_ESZoneInstanceStatusMsg',101,1),
(8357,57048,57079,'OP_ZonesStatusRequestMsg',102,1),
(8358,57048,57079,'OP_ZonesStatusMsg',103,1),
(8359,57048,57079,'OP_ESWeatherRequestMsg',104,1),
(8360,57048,57079,'OP_ESWeatherRequestEndMsg',105,1),
(8361,57048,57079,'OP_DialogSelectMsg',109,1),
(8362,57048,57079,'OP_DialogCloseMsg',110,1),
(8363,57048,57079,'OP_RemoveSpellEffectMsg',111,1),
(8364,57048,57079,'OP_RemoveConcentrationMsg',112,1),
(8365,57048,57079,'OP_QuestJournalOpenMsg',113,1),
(8366,57048,57079,'OP_QuestJournalInspectMsg',114,1),
(8367,57048,57079,'OP_QuestJournalSetVisibleMsg',115,1),
(8368,57048,57079,'OP_QuestJournalWaypointMsg',116,1),
(8369,57048,57079,'OP_CreateGuildRequestMsg',119,1),
(8370,57048,57079,'OP_CreateGuildReplyMsg',120,1),
(8371,57048,57079,'OP_GuildsayMsg',121,1),
(8372,57048,57079,'OP_FellowshipExpMsg',122,1),
(8373,57048,57079,'OP_DeleteGuildMsg',123,1),
(8374,57048,57079,'OP_GuildUpdateMsg',124,1),
(8375,57048,57079,'OP_ConsignmentCloseStoreMsg',125,1),
(8376,57048,57079,'OP_ConsignItemRequestMsg',126,1),
(8377,57048,57079,'OP_ConsignItemResponseMsg',127,1),
(8378,57048,57079,'OP_PurchaseConsignmentRequestMsg',128,1),
(8379,57048,57079,'OP_LikeOption',136,1),
(8380,57048,57079,'OP_PublishHouse',138,1),
(8381,57048,57079,'OP_PlayerMadeInstancesScreen',139,1),
(8382,57048,57079,'OP_PlayerMadeInstances',140,1),
(8383,57048,57079,'OP_HouseDeletedRemotelyMsg',142,1),
(8384,57048,57079,'OP_UpdateHouseDataMsg',143,1),
(8385,57048,57079,'OP_UpdateHouseAccessDataMsg',144,1),
(8386,57048,57079,'OP_PlayerHouseBaseScreenMsg',145,1),
(8387,57048,57079,'OP_PlayerHousePurchaseScreenMsg',146,1),
(8388,57048,57079,'OP_PlayerHouseAccessUpdateMsg',147,1),
(8389,57048,57079,'OP_PlayerHouseDisplayStatusMsg',148,1),
(8390,57048,57079,'OP_PlayerHouseCloseUIMsg',149,1),
(8391,57048,57079,'OP_BuyPlayerHouseMsg',150,1),
(8392,57048,57079,'OP_BuyPlayerHouseTintMsg',151,1),
(8393,57048,57079,'OP_CollectAllHouseItemsMsg',152,1),
(8394,57048,57079,'OP_RelinquishHouseMsg',153,1),
(8395,57048,57079,'OP_EnterHouseMsg',154,1),
(8396,57048,57079,'OP_ExitHouseMsg',155,1),
(8397,57048,57079,'OP_HouseDefaultAccessSetMsg',156,1),
(8398,57048,57079,'OP_HouseAccessSetMsg',157,1),
(8399,57048,57079,'OP_HouseAccessRemoveMsg',158,1),
(8400,57048,57079,'OP_PayHouseUpkeepMsg',159,1),
(8401,57048,57079,'OP_MoveableObjectPlacementCriteri',160,1),
(8402,57048,57079,'OP_EnterMoveObjectModeMsg',161,1),
(8403,57048,57079,'OP_PositionMoveableObject',162,1),
(8404,57048,57079,'OP_CancelMoveObjectModeMsg',163,1),
(8405,57048,57079,'OP_ShaderCustomizationMsg',164,1),
(8406,57048,57079,'OP_ReplaceableSubMeshesMsg',165,1),
(8407,57048,57079,'OP_HouseCustomizationScreenMsg',166,1),
(8408,57048,57079,'OP_CustomizationPurchaseRequestMs',167,1),
(8409,57048,57079,'OP_CustomizationSetRequestMsg',168,1),
(8410,57048,57079,'OP_CustomizationReplyMsg',169,1),
(8411,57048,57079,'OP_TintWidgetsMsg',170,1),
(8412,57048,57079,'OP_ExamineConsignmentRequestMsg',171,1),
(8413,57048,57079,'OP_ExamineConsignmentResponseMsg',172,1),
(8414,57048,57079,'OP_UISettingsResponseMsg',173,1),
(8415,57048,57079,'OP_UIResetMsg',174,1),
(8416,57048,57079,'OP_KeymapLoadMsg',175,1),
(8417,57048,57079,'OP_KeymapNoneMsg',176,1),
(8418,57048,57079,'OP_KeymapDataMsg',177,1),
(8419,57048,57079,'OP_KeymapSaveMsg',178,1),
(8420,57048,57079,'OP_DispatchSpellCmdMsg',179,1),
(8421,57048,57079,'OP_EntityVerbsRequestMsg',180,1),
(8422,57048,57079,'OP_EntityVerbsReplyMsg',181,1),
(8423,57048,57079,'OP_EntityVerbsVerbMsg',182,1),
(8424,57048,57079,'OP_ChatRelationshipUpdateMsg',184,1),
(8425,57048,57079,'OP_LootItemsRequestMsg',185,1),
(8426,57048,57079,'OP_StoppedLootingMsg',186,1),
(8427,57048,57079,'OP_SitMsg',187,1),
(8428,57048,57079,'OP_StandMsg',188,1),
(8429,57048,57079,'OP_SatMsg',189,1),
(8430,57048,57079,'OP_StoodMsg',190,1),
(8431,57048,57079,'OP_ClearForTakeOffMsg',191,1),
(8432,57048,57079,'OP_ReadyForTakeOffMsg',192,1),
(8433,57048,57079,'OP_ShowIllusionsMsg',193,1),
(8434,57048,57079,'OP_HideIllusionsMsg',194,1),
(8435,57048,57079,'OP_ExamineItemRequestMsg',195,1),
(8436,57048,57079,'OP_ReadBookPageMsg',196,1),
(8437,57048,57079,'OP_DefaultGroupOptionsRequestMsg',197,1),
(8438,57048,57079,'OP_DefaultGroupOptionsMsg',198,1),
(8439,57048,57079,'OP_GroupOptionsMsg',199,1),
(8440,57048,57079,'OP_DisplayGroupOptionsScreenMsg',200,1),
(8441,57048,57079,'OP_PetOptions',201,1),
(8442,57048,57079,'OP_DisplayInnVisitScreenMsg',202,1),
(8443,57048,57079,'OP_DumpSchedulerMsg',203,1),
(8444,57048,57079,'OP_LSCheckAcctLockMsg',204,1),
(8445,57048,57079,'OP_WSAcctLockStatusMsg',205,1),
(8446,57048,57079,'OP_RequestHelpRepathMsg',206,1),
(8447,57048,57079,'OP_RequestTargetLocMsg',207,1),
(8448,57048,57079,'OP_UpdateMotdMsg',208,1),
(8449,57048,57079,'OP_DestUpdateReq',210,1),
(8450,57048,57079,'OP_PerformPlayerKnockbackMsg',213,1),
(8451,57048,57079,'OP_PerformCameraShakeMsg',214,1),
(8452,57048,57079,'OP_PopulateSkillMapsMsg',215,1),
(8453,57048,57079,'OP_CancelledFeignMsg',216,1),
(8454,57048,57079,'OP_SysClient',218,1),
(8455,57048,57079,'OP_ShowCreateFromRecipeUIMsg',219,1),
(8456,57048,57079,'OP_CancelCreateFromRecipeMsg',220,1),
(8457,57048,57079,'OP_BeginItemCreationMsg',221,1),
(8458,57048,57079,'OP_StopItemCreationMsg',222,1),
(8459,57048,57079,'OP_ShowItemCreationProcessUIMsg',223,1),
(8460,57048,57079,'OP_UpdateItemCreationProcessUIMsg',224,1),
(8461,57048,57079,'OP_DisplayTSEventReactionMsg',225,1),
(8462,57048,57079,'OP_ShowRecipeBookMsg',226,1),
(8463,57048,57079,'OP_KnowledgebaseRequestMsg',227,1),
(8464,57048,57079,'OP_KnowledgebaseResponseMsg',228,1),
(8465,57048,57079,'OP_CSTicketHeaderRequestMsg',229,1),
(8466,57048,57079,'OP_CSTicketInfoMsg',230,1),
(8467,57048,57079,'OP_CSTicketCommentRequestMsg',231,1),
(8468,57048,57079,'OP_CSTicketCommentResponseMsg',232,1),
(8469,57048,57079,'OP_CSTicketCreateMsg',233,1),
(8470,57048,57079,'OP_CSTicketAddCommentMsg',234,1),
(8471,57048,57079,'OP_CSTicketDeleteMsg',235,1),
(8472,57048,57079,'OP_CSTicketChangeNotificationMsg',236,1),
(8473,57048,57079,'OP_WorldDataUpdateMsg',237,1),
(8474,57048,57079,'OP_KnownLanguagesMsg',238,1),
(8475,57048,57079,'OP_LsRequestClientCrashLogMsg',239,1),
(8476,57048,57079,'OP_LsClientBaselogReplyMsg',240,1),
(8477,57048,57079,'OP_LsClientCrashlogReplyMsg',241,1),
(8478,57048,57079,'OP_LsClientAlertlogReplyMsg',242,1),
(8479,57048,57079,'OP_LsClientVerifylogReplyMsg',243,1),
(8480,57048,57079,'OP_ClientTeleportToLocationMsg',244,1),
(8481,57048,57079,'OP_UpdateClientPredFlagsMsg',245,1),
(8482,57048,57079,'OP_ChangeServerControlFlagMsg',246,1),
(8483,57048,57079,'OP_CSToolsRequestMsg',247,1),
(8484,57048,57079,'OP_CSToolsResponseMsg',248,1),
(8485,57048,57079,'OP_AddSocialStructureStandingMsg',249,1),
(8486,57048,57079,'OP_CreateBoatTransportsMsg',250,1),
(8487,57048,57079,'OP_PositionBoatTransportMsg',251,1),
(8488,57048,57079,'OP_MigrateBoatTransportMsg',252,1),
(8489,57048,57079,'OP_MigrateBoatTransportReplyMsg',253,1),
(8490,57048,57079,'OP_DisplayDebugNLLPointsMsg',254,1),
(8491,57048,57079,'OP_ExamineInfoRequestMsg',255,1),
(8492,57048,57079,'OP_QuickbarInitMsg',256,1),
(8493,57048,57079,'OP_QuickbarUpdateMsg',257,1),
(8494,57048,57079,'OP_MacroInitMsg',258,1),
(8495,57048,57079,'OP_MacroUpdateMsg',259,1),
(8496,57048,57079,'OP_QuestionnaireMsg',260,1),
(8497,57048,57079,'OP_LevelChangedMsg',261,1),
(8498,57048,57079,'OP_SpellGainedMsg',262,1),
(8499,57048,57079,'OP_EncounterBrokenMsg',263,1),
(8500,57048,57079,'OP_OnscreenMsgMsg',264,1),
(8501,57048,57079,'OP_DisplayWarningMsg',265,1),
(8502,57048,57079,'OP_ModifyGuildMsg',266,1),
(8503,57048,57079,'OP_GuildEventMsg',267,1),
(8504,57048,57079,'OP_GuildEventAddMsg',268,1),
(8505,57048,57079,'OP_GuildEventActionMsg',269,1),
(8506,57048,57079,'OP_GuildEventListMsg',270,1),
(8507,57048,57079,'OP_RequestGuildEventDetailsMsg',271,1),
(8508,57048,57079,'OP_GuildEventDetailsMsg',272,1),
(8509,57048,57079,'OP_RequestGuildInfoMsg',273,1),
(8510,57048,57079,'OP_GuildBankActionMsg',274,1),
(8511,57048,57079,'OP_GuildBankActionResponseMsg',275,1),
(8512,57048,57079,'OP_GuildBankItemDetailsRequestMsg',276,1),
(8513,57048,57079,'OP_GuildBankItemDetailsResponseMs',277,1),
(8514,57048,57079,'OP_GuildBankUpdateMsg',278,1),
(8515,57048,57079,'OP_GuildBankEventListMsg',279,1),
(8516,57048,57079,'OP_RequestGuildBankEventDetailsMs',280,1),
(8517,57048,57079,'OP_RewardPackMsg',281,1),
(8518,57048,57079,'OP_RenameGuildMsg',282,1),
(8519,57048,57079,'OP_ZoneToFriendRequestMsg',283,1),
(8520,57048,57079,'OP_ZoneToFriendReplyMsg',284,1),
(8521,57048,57079,'OP_ChatCreateChannelMsg',285,1),
(8522,57048,57079,'OP_ChatJoinChannelMsg',286,1),
(8523,57048,57079,'OP_ChatWhoChannelMsg',287,1),
(8524,57048,57079,'OP_ChatLeaveChannelMsg',288,1),
(8525,57048,57079,'OP_ChatTellChannelMsg',289,1),
(8526,57048,57079,'OP_ChatTellUserMsg',290,1),
(8527,57048,57079,'OP_ChatToggleFriendMsg',291,1),
(8528,57048,57079,'OP_BrokerAddBag',292,1),
(8529,57048,57079,'OP_BrokerRemoveBag',293,1),
(8530,57048,57079,'OP_ChatToggleIgnoreMsg',294,1),
(8531,57048,57079,'OP_ChatSendFriendsMsg',295,1),
(8532,57048,57079,'OP_ChatSendIgnoresMsg',296,1),
(8533,57048,57079,'OP_QuestReward',320,1),
(8534,57048,57079,'OP_ChatFiltersMsg',335,1),
(8535,57048,57079,'OP_MailGetMessageMsg',338,1),
(8536,57048,57079,'OP_MailSendMessageMsg',339,1),
(8537,57048,57079,'OP_MailDeleteMessageMsg',340,1),
(8538,57048,57079,'OP_MailGetHeadersReplyMsg',341,1),
(8539,57048,57079,'OP_MailGetMessageReplyMsg',342,1),
(8540,57048,57079,'OP_MailSendMessageReplyMsg',343,1),
(8541,57048,57079,'OP_MailCommitSendMessageMsg',344,1),
(8542,57048,57079,'OP_MailSendSystemMessageMsg',345,1),
(8543,57048,57079,'OP_MailRemoveAttachFromMailMsg',346,1),
(8544,57048,57079,'OP_WaypointRequestMsg',348,1),
(8545,57048,57079,'OP_WaypointReplyMsg',349,1),
(8546,57048,57079,'OP_WaypointSelectMsg',350,1),
(8547,57048,57079,'OP_WaypointUpdateMsg',351,1),
(8548,57048,57079,'OP_CharNameChangedMsg',352,1),
(8549,57048,57079,'OP_ShowZoneTeleporterDestinations',353,1),
(8550,57048,57079,'OP_SelectZoneTeleporterDestinatio',354,1),
(8551,57048,57079,'OP_ReloadLocalizedTxtMsg',355,1),
(8552,57048,57079,'OP_RequestGuildMembershipMsg',356,1),
(8553,57048,57079,'OP_GuildMembershipResponseMsg',357,1),
(8554,57048,57079,'OP_LeaveGuildNotifyMsg',358,1),
(8555,57048,57079,'OP_JoinGuildNotifyMsg',359,1),
(8556,57048,57079,'OP_AvatarUpdateMsg',360,1),
(8557,57048,57079,'OP_BioUpdateMsg',362,1),
(8558,57048,57079,'OP_InspectPlayerMsg',363,1),
(8559,57048,57079,'OP_WSServerLockMsg',364,1),
(8560,57048,57079,'OP_LSServerLockMsg',365,1),
(8561,57048,57079,'OP_WSServerHideMsg',366,1),
(8562,57048,57079,'OP_CsCategoryRequestMsg',367,1),
(8563,57048,57079,'OP_CsCategoryResponseMsg',368,1),
(8564,57048,57079,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(8565,57048,57079,'OP_AFKUpdateMsg',370,1),
(8566,57048,57079,'OP_AnonUpdateMsg',371,1),
(8567,57048,57079,'OP_UpdateActivePublicZonesMsg',372,1),
(8568,57048,57079,'OP_UnknownNpcMsg',373,1),
(8569,57048,57079,'OP_PromoFlagsDetailsMsg',374,1),
(8570,57048,57079,'OP_ConsignViewCreateMsg',375,1),
(8571,57048,57079,'OP_ConsignViewGetPageMsg',376,1),
(8572,57048,57079,'OP_ConsignViewReleaseMsg',377,1),
(8573,57048,57079,'OP_ConsignRemoveItemsMsg',378,1),
(8574,57048,57079,'OP_UpdateDebugRadiiMsg',379,1),
(8575,57048,57079,'OP_ReportMsg',380,1),
(8576,57048,57079,'OP_UpdateRaidMsg',381,1),
(8577,57048,57079,'OP_ConsignViewSortMsg',383,1),
(8578,57048,57079,'OP_TitleUpdateMsg',384,1),
(8579,57048,57079,'OP_ClientFellMsg',385,1),
(8580,57048,57079,'OP_ClientInDeathRegionMsg',386,1),
(8581,57048,57079,'OP_CampClientMsg',387,1),
(8582,57048,57079,'OP_CSToolAccessResponseMsg',388,1),
(8583,57048,57079,'OP_UpdateGroupMemberDataMsg',388,1),
(8584,57048,57079,'OP_TrackingUpdateMsg',389,1),
(8585,57048,57079,'OP_BeginTrackingMsg',390,1),
(8586,57048,57079,'OP_StopTrackingMsg',391,1),
(8587,57048,57079,'OP_GetAvatarAccessRequestForCSToo',393,1),
(8588,57048,57079,'OP_AdvancementRequestMsg',394,1),
(8589,57048,57079,'OP_MapFogDataInitMsg',395,1),
(8590,57048,57079,'OP_MapFogDataUpdateMsg',396,1),
(8591,57048,57079,'OP_CloseGroupInviteWindowMsg',397,1),
(8592,57048,57079,'OP_WorldPingMsg',399,1),
(8593,57048,57079,'OP_MoveLogUpdateMsg',400,1),
(8594,57048,57079,'OP_OfferQuestMsg',401,1),
(8595,57048,57079,'OP_WorldShutdownUpdateMsg',403,1),
(8596,57048,57079,'OP_DisplayMailScreenMsg',404,1),
(8597,57048,57079,'OP_ClientIdleBeginMsg',405,1),
(8598,57048,57079,'OP_ClientIdleEndMsg',406,1),
(8599,57048,57079,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(8600,57048,57079,'OP_NotifyApprenticeStoppedMentori',408,1),
(8601,57048,57079,'OP_CorruptedClientMsg',409,1),
(8602,57048,57079,'OP_WorldDataChangeMsg',410,1),
(8603,57048,57079,'OP_MailEventNotificationMsg',411,1),
(8604,57048,57079,'OP_RestartZoneMsg',412,1),
(8605,57048,57079,'OP_FlightPathsMsg',413,1),
(8606,57048,57079,'OP_CharacterLinkdeadMsg',414,1),
(8607,57048,57079,'OP_CharTransferStartRequestMsg',415,1),
(8608,57048,57079,'OP_CharTransferStartReplyMsg',416,1),
(8609,57048,57079,'OP_CharTransferRequestMsg',417,1),
(8610,57048,57079,'OP_CharTransferReplyMsg',418,1),
(8611,57048,57079,'OP_CharTransferRollbackRequestMsg',419,1),
(8612,57048,57079,'OP_CharTransferCommitRequestMsg',420,1),
(8613,57048,57079,'OP_CharTransferRollbackReplyMsg',421,1),
(8614,57048,57079,'OP_CharTransferCommitReplyMsg',422,1),
(8615,57048,57079,'OP_GetCharacterSerializedRequestM',423,1),
(8616,57048,57079,'OP_GetCharacterSerializedReplyMsg',424,1),
(8617,57048,57079,'OP_CreateCharFromCBBRequestMsg',425,1),
(8618,57048,57079,'OP_CreateCharFromCBBReplyMsg',426,1),
(8619,57048,57079,'OP_HousingDataChangedMsg',427,1),
(8620,57048,57079,'OP_HousingRestoreMsg',428,1),
(8621,57048,57079,'OP_AuctionItem',429,1),
(8622,57048,57079,'OP_AuctionItemReply',430,1),
(8623,57048,57079,'OP_AuctionCoin',431,1),
(8624,57048,57079,'OP_AuctionCoinReply',432,1),
(8625,57048,57079,'OP_AuctionCharacter',433,1),
(8626,57048,57079,'OP_AuctionCharacterReply',434,1),
(8627,57048,57079,'OP_AuctionCommitMsg',435,1),
(8628,57048,57079,'OP_AuctionAbortMsg',436,1),
(8629,57048,57079,'OP_CharTransferValidateRequestMsg',437,1),
(8630,57048,57079,'OP_CharTransferValidateReplyMsg',438,1),
(8631,57048,57079,'OP_RaceRestrictionMsg',439,1),
(8632,57048,57079,'OP_SetInstanceDisplayNameMsg',440,1),
(8633,57048,57079,'OP_GetAuctionAssetIDMsg',441,1),
(8634,57048,57079,'OP_GetAuctionAssetIDReplyMsg',442,1),
(8635,57048,57079,'OP_ResendWorldChannelsMsg',443,1),
(8636,57048,57079,'OP_DisplayExchangeScreenMsg',444,1),
(8637,57048,57079,'OP_ArenaGameTypesMsg',445,1),
(8638,57048,57079,'OP_AuditAuctionEventMsg',446,1),
(8639,57048,57079,'OP_InviteRequestMsg',447,1),
(8640,57048,57079,'OP_InviteResponseMsg',448,1),
(8641,57048,57079,'OP_InviteTargetResponseMsg',449,1),
(8642,57048,57079,'OP_InspectPlayerRequestMsg',450,1),
(8643,57048,57079,'OP_DispatchMsg',451,1),
(8644,57048,57079,'OP_DisplayEventMsg',452,1),
(8645,57048,57079,'OP_PrePossessionMsg',453,1),
(8646,57048,57079,'OP_PostPossessionMsg',454,1),
(8647,57048,57079,'OP_ArenaCreate',456,1),
(8648,57048,57079,'OP_ArenaList',457,1),
(8649,57048,57079,'OP_ArenaWindow',465,1),
(8650,57048,57079,'OP_HouseItemsList',484,1),
(8651,57048,57079,'OP_CurrentPet',485,1),
(8652,57048,57079,'OP_AdventureList',488,1),
(8653,57048,57079,'OP_CancelSpellCast',489,1),
(8654,57048,57079,'OP_ClearForLandingMsg',491,1),
(8655,57048,57079,'OP_UpdateTitleCmd',494,1),
(8656,57048,57079,'OP_AttackAllowed',500,1),
(8657,57048,57079,'OP_AttackNotAllowed',501,1),
(8658,57048,57079,'OP_BagOptions',502,1),
(8659,57048,57079,'OP_LFGGroupSearch',504,1),
(8660,57048,57079,'OP_CharacterHousingList',507,1),
(8661,57048,57079,'OP_DressingRoom',510,1),
(8662,57048,57079,'OP_PlayLon',511,1),
(8663,57048,57079,'OP_SkillInfoRequest',514,1),
(8664,57048,57079,'OP_SkillInfoResponse',515,1),
(8665,57048,57079,'OP_LFGUpdateMsg',518,1),
(8666,57048,57079,'OP_BadLanguageFilter',519,1),
(8667,57048,57079,'OP_VoiceChatChannel',520,1),
(8668,57048,57079,'OP_MapRequest',521,1),
(8669,57048,57079,'OP_MarketFundsUpdate',526,1),
(8670,57048,57079,'OP_UIEvent',527,1),
(8671,57048,57079,'OP_MarketAddFundsRequest',528,1),
(8672,57048,57079,'OP_MarketAddFundsReply',529,1),
(8673,57048,57079,'OP_MarketPurchase',531,1),
(8674,57048,57079,'OP_MarketPlacePrices',532,1),
(8675,57048,57079,'OP_MarketPlaceItems',537,1),
(8676,57048,57079,'OP_RecipeBook',538,1),
(8677,57048,57079,'OP_CreateCharacterDungeon',547,1),
(8678,57048,57079,'OP_DungeonMakerEnter',548,1),
(8679,57048,57079,'OP_DungeonMakerItemRequest',550,1),
(8680,57048,57079,'OP_CharacterCreatedDungeons',551,1),
(8681,57048,57079,'OP_DungeonMakerToolboxList',552,1),
(8682,57048,57079,'OP_DungeonMakerUnknown',553,1),
(8683,57048,57079,'OP_DungeonMakerUnknown1',554,1),
(8684,57048,57079,'OP_PlayerPollPopup',556,1),
(8685,57048,57079,'OP_PlayerPollAnswer',557,1),
(8686,57048,57079,'OP_MentorPopup',558,1),
(8687,57048,57079,'OP_LoadWelcomeWindow',560,1),
(8688,57048,57079,'OP_OpenCharCust',561,1),
(8689,57048,57079,'OP_SubmitCharCust',562,1),
(8690,57048,57079,'OP_QueAllBgSolo',564,1),
(8691,57048,57079,'OP_ZoneBgInstanceList',566,1),
(8692,57048,57079,'OP_WorldTravelAvail',570,1),
(8693,57048,57079,'OP_Launchpad',572,1),
(8694,57048,57079,'OP_PaperdollImage',574,1),
(8695,57048,57079,'OP_LoadCalendarEvents',575,1),
(8696,57048,57079,'OP_VideoUploaded',576,1),
(8697,57048,57079,'OP_SavageBarInitMsg',577,1),
(8698,57048,57079,'OP_PetOptionsResponse',578,1),
(8699,57048,57079,'OP_DungeonMakerItemResponse',579,1),
(8700,57048,57079,'OP_CharacterMounts',581,1),
(8701,57048,57079,'OP_RecipeListUnknown',590,1),
(8702,57048,57079,'OP_EqBetaCopyRequest',596,1),
(8703,57048,57079,'OP_EqHearChatCmd',597,1),
(8704,57048,57079,'OP_EqDisplayTextCmd',598,1),
(8705,57048,57079,'OP_EqCreateGhostCmd',599,1),
(8706,57048,57079,'OP_EqCreateWidgetCmd',600,1),
(8707,57048,57079,'OP_EqCreateSignWidgetCmd',601,1),
(8708,57048,57079,'OP_EqDestroyGhostCmd',602,1),
(8709,57048,57079,'OP_EqUpdateGhostCmd',603,1),
(8710,57048,57079,'OP_EqSetControlGhostCmd',604,1),
(8711,57048,57079,'OP_EqSetPOVGhostCmd',605,1),
(8712,57048,57079,'OP_EqHearCombatCmd',606,1),
(8713,57048,57079,'OP_EqHearSpellCastCmd',607,1),
(8714,57048,57079,'OP_EQHearProcCmd',608,1),
(8715,57048,57079,'OP_EQHearResEffectCmd',609,1),
(8716,57048,57079,'OP_EqHearSpellInterruptCmd',610,1),
(8717,57048,57079,'OP_EqHearSpellFizzleCmd',611,1),
(8718,57048,57079,'OP_EqHearConsiderCmd',612,1),
(8719,57048,57079,'OP_EqUpdateSubClassesCmd',613,1),
(8720,57048,57079,'OP_EqCreateListBoxCmd',614,1),
(8721,57048,57079,'OP_EqSetDebugPathPointsCmd',615,1),
(8722,57048,57079,'OP_EqCannedEmoteCmd',617,1),
(8723,57048,57079,'OP_EqStateCmd',618,1),
(8724,57048,57079,'OP_EqPlaySoundCmd',619,1),
(8725,57048,57079,'OP_EqPlaySound3DCmd',620,1),
(8726,57048,57079,'OP_EqPlayVoiceCmd',621,1),
(8727,57048,57079,'OP_EqHearDrowningCmd',622,1),
(8728,57048,57079,'OP_EqHearDeathCmd',623,1),
(8729,57048,57079,'OP_EqGroupMemberRemovedCmd',624,1),
(8730,57048,57079,'OP_EqHearChainEffectCmd',625,1),
(8731,57048,57079,'OP_EqReceiveOfferCmd',626,1),
(8732,57048,57079,'OP_EqInspectPCResultsCmd',627,1),
(8733,57048,57079,'OP_EqDrawablePathGraphCmd',628,1),
(8734,57048,57079,'OP_EqDialogOpenCmd',629,1),
(8735,57048,57079,'OP_EqDialogCloseCmd',630,1),
(8736,57048,57079,'OP_EqFactionUpdateCmd',631,1),
(8737,57048,57079,'OP_EqCollectionUpdateCmd',632,1),
(8738,57048,57079,'OP_EqCollectionFilterCmd',633,1),
(8739,57048,57079,'OP_EqCollectionItemCmd',634,1),
(8740,57048,57079,'OP_EqQuestJournalUpdateCmd',635,1),
(8741,57048,57079,'OP_EqMentoring',636,1),
(8742,57048,57079,'OP_EqQuestJournalReplyCmd',637,1),
(8743,57048,57079,'OP_EqQuestGroupCmd',638,1),
(8744,57048,57079,'OP_EqUpdateMerchantCmd',639,1),
(8745,57048,57079,'OP_EqUpdateStoreCmd',640,1),
(8746,57048,57079,'OP_EqUpdatePlayerTradeCmd',641,1),
(8747,57048,57079,'OP_EqHelpPathCmd',642,1),
(8748,57048,57079,'OP_EqHelpPathClearCmd',643,1),
(8749,57048,57079,'OP_EqUpdateBankCmd',644,1),
(8750,57048,57079,'OP_EqExamineInfoCmd',645,1),
(8751,57048,57079,'OP_EqCloseWindowCmd',646,1),
(8752,57048,57079,'OP_EqUpdateLootCmd',647,1),
(8753,57048,57079,'OP_EqJunctionListCmd',648,1),
(8754,57048,57079,'OP_EqShowDeathWindowCmd',649,1),
(8755,57048,57079,'OP_EqDisplaySpellFailCmd',650,1),
(8756,57048,57079,'OP_EqSpellCastStartCmd',651,1),
(8757,57048,57079,'OP_EqSpellCastEndCmd',652,1),
(8758,57048,57079,'OP_EqResurrectedCmd',653,1),
(8759,57048,57079,'OP_EqChoiceWinCmd',654,1),
(8760,57048,57079,'OP_EqSetDefaultVerbCmd',655,1),
(8761,57048,57079,'OP_EqInstructionWindowCmd',656,1),
(8762,57048,57079,'OP_EqInstructionWindowCloseCmd',657,1),
(8763,57048,57079,'OP_EqInstructionWindowGoalCmd',658,1),
(8764,57048,57079,'OP_EqInstructionWindowTaskCmd',659,1),
(8765,57048,57079,'OP_EqEnableGameEventCmd',660,1),
(8766,57048,57079,'OP_EqShowWindowCmd',661,1),
(8767,57048,57079,'OP_EqEnableWindowCmd',662,1),
(8768,57048,57079,'OP_EqFlashWindowCmd',663,1),
(8769,57048,57079,'OP_EqHearPlayFlavorCmd',665,1),
(8770,57048,57079,'OP_EqUpdateSignWidgetCmd',666,1),
(8771,57048,57079,'OP_EqDebugPVDCmd',667,1),
(8772,57048,57079,'OP_EqShowBookCmd',668,1),
(8773,57048,57079,'OP_EqQuestionnaireCmd',669,1),
(8774,57048,57079,'OP_EqGetProbsCmd',671,1),
(8775,57048,57079,'OP_EqHearHealCmd',672,1),
(8776,57048,57079,'OP_EqChatChannelUpdateCmd',673,1),
(8777,57048,57079,'OP_EqWhoChannelQueryReplyCmd',674,1),
(8778,57048,57079,'OP_EqAvailWorldChannelsCmd',675,1),
(8779,57048,57079,'OP_EqUpdateTargetCmd',676,1),
(8780,57048,57079,'OP_BrokerSellList',677,1),
(8781,57048,57079,'OP_EqConsignmentItemsCmd',678,1),
(8782,57048,57079,'OP_EqStartBrokerCmd',680,1),
(8783,57048,57079,'OP_EqMapExplorationCmd',681,1),
(8784,57048,57079,'OP_EqStoreLogCmd',682,1),
(8785,57048,57079,'OP_EqSpellMoveToRangeAndRetryCmd',683,1),
(8786,57048,57079,'OP_EqUpdatePlayerMailCmd',684,1),
(8787,57048,57079,'OP_GuildStatusUpdate',687,1),
(8788,57048,57079,'OP_EqArenaResultsCmd',688,1),
(8789,57048,57079,'OP_EqGuildBankEventActionCmd',689,1),
(8790,57048,57079,'OP_EqGuildBankExamineInfoCmd',690,1),
(8791,57048,57079,'OP_EqHearSpellNoLandCmd',691,1),
(8792,57048,57079,'OP_Lottery',692,1),
(8793,57048,57079,'OP_GuildRecruitingMemberInfo',693,1),
(8794,57048,57079,'OP_GuildRecruiting',694,1),
(8795,57048,57079,'OP_GuildRecruitingDetails',695,1),
(8796,57048,57079,'OP_GuildRecruitingImage',696,1),
(8797,57048,57079,'OP_TradeskillList',697,1),
(8798,57048,57079,'OP_CharRenamed',698,1),
(8799,57048,57079,'OP_UseAdornment',708,1),
(8800,57048,57079,'OP_ExpPurchWindow',714,1),
(8801,57048,57079,'OP_PointOfInterest',718,1),
(8802,57048,57079,'OP_PointOfInterest2',719,1),
(8803,57048,57079,'OP_TraitsList',720,1),
(8804,57048,57079,'OP_CustomizeHouseDisplay',723,1),
(8805,57048,57079,'OP_VoiceChatServer',724,1),
(8806,57048,57079,'OP_SupplyDepot',728,1),
(8807,57048,57079,'OP_EQHearThreatCmd',729,1),
(8808,57048,57079,'OP_RecipeList',730,1),
(8809,57048,57079,'OP_Research',731,1),
(8810,57048,57079,'OP_CharacterCurrency',732,1),
(8811,57048,57079,'OP_CharacterAchievements',733,1),
(8812,57048,57079,'OP_AchievementUpdateMsg',734,1),
(8813,57048,57079,'OP_EQHearDispellCmd',735,1),
(8814,57048,57079,'OP_JournalQuestStoryline',736,1),
(8815,57048,57079,'OP_DungeonPlayAsAvatarList',737,1),
(8816,57048,57079,'OP_DungeonPlayAsAvatarSelected',738,1),
(8817,57048,57079,'OP_MercHireWindow',739,1),
(8818,57048,57079,'OP_MercUnknown',740,1),
(8819,57048,57079,'OP_Unknown',753,1),
(9289,57048,57079,'OP_DailyObjectives',594,1),
(9290,1188,1195,'OP_Weakness',575,1),
(9291,1198,1199,'OP_Weakness',575,1),
(9292,1204,1205,'OP_Weakness',576,1),
(9293,1208,1208,'OP_Weakness',577,1),
(9294,57000,57002,'OP_Weakness',577,1),
(9295,57003,57014,'OP_Weakness',578,1),
(9296,57032,57047,'OP_Weakness',578,1),
(9297,57048,57079,'OP_Weakness',580,1),
(9298,57080,57095,'OP_LoginRequestMsg',0,1),
(9299,57080,57095,'OP_LoginByNumRequestMsg',1,1),
(9300,57080,57095,'OP_WSLoginRequestMsg',2,1),
(9301,57080,57095,'OP_ESLoginRequestMsg',3,1),
(9302,57080,57095,'OP_LoginReplyMsg',4,1),
(9303,57080,57095,'OP_WSStatusReplyMsg',5,1),
(9304,57080,57095,'OP_WorldStatusChangeMsg',6,1),
(9305,57080,57095,'OP_AllWSDescRequestMsg',7,1),
(9306,57080,57095,'OP_WorldListMsg',8,1),
(9307,57080,57095,'OP_AllCharactersDescRequestMsg',9,1),
(9308,57080,57095,'OP_AllCharactersDescReplyMsg',10,1),
(9309,57080,57095,'OP_CreateCharacterRequestMsg',11,1),
(9310,57080,57095,'OP_CreateCharacterReplyMsg',12,1),
(9311,57080,57095,'OP_WSCreateCharacterRequestMsg',13,1),
(9312,57080,57095,'OP_WSCreateCharacterReplyMsg',14,1),
(9313,57080,57095,'OP_ReskinCharacterRequestMsg',15,1),
(9314,57080,57095,'OP_DeleteCharacterRequestMsg',16,1),
(9315,57080,57095,'OP_DeleteCharacterReplyMsg',17,1),
(9316,57080,57095,'OP_PlayCharacterRequestMsg',18,1),
(9317,57080,57095,'OP_PlayCharacterReplyMsg',19,1),
(9318,57080,57095,'OP_ExpectClientAsCharacterReplyMs',22,1),
(9319,57080,57095,'OP_ServerPlayCharacterRequestMsg',23,1),
(9320,57080,57095,'OP_ServerPlayCharacterReplyMsg',24,1),
(9321,57080,57095,'OP_ESInitMsg',25,1),
(9322,57080,57095,'OP_ESReadyForClientsMsg',26,1),
(9323,57080,57095,'OP_CreateZoneInstanceMsg',29,1),
(9324,57080,57095,'OP_ZoneInstanceCreateReplyMsg',30,1),
(9325,57080,57095,'OP_ZoneInstanceDestroyedMsg',31,1),
(9326,57080,57095,'OP_ExpectClientAsCharacterRequest',32,1),
(9327,57080,57095,'OP_ZoneInfoMsg',33,1),
(9328,57080,57095,'OP_DoneLoadingZoneResourcesMsg',34,1),
(9329,57080,57095,'OP_DoneSendingInitialEntitiesMsg',35,1),
(9330,57080,57095,'OP_DoneLoadingEntityResourcesMsg',36,1),
(9331,57080,57095,'OP_PredictionUpdateMsg',37,1),
(9332,57080,57095,'OP_UpdatePositionMsg',39,1),
(9333,57080,57095,'OP_SetRemoteCmdsMsg',41,1),
(9334,57080,57095,'OP_RemoteCmdMsg',42,1),
(9335,57080,57095,'OP_GameWorldTimeMsg',43,1),
(9336,57080,57095,'OP_MOTDMsg',44,1),
(9337,57080,57095,'OP_ZoneMOTDMsg',45,1),
(9338,57080,57095,'OP_AvatarCreatedMsg',46,1),
(9339,57080,57095,'OP_AvatarDestroyedMsg',47,1),
(9340,57080,57095,'OP_RequestCampMsg',50,1),
(9341,57080,57095,'OP_CampStartedMsg',51,1),
(9342,57080,57095,'OP_CampAbortedMsg',52,1),
(9343,57080,57095,'OP_WhoQueryRequestMsg',53,1),
(9344,57080,57095,'OP_WhoQueryReplyMsg',54,1),
(9345,57080,57095,'OP_MonitorReplyMsg',55,1),
(9346,57080,57095,'OP_MonitorCharacterListMsg',56,1),
(9347,57080,57095,'OP_MonitorCharacterListRequestMsg',57,1),
(9348,57080,57095,'OP_ClientCmdMsg',58,1),
(9349,57080,57095,'OP_DispatchESMsg',59,1),
(9350,57080,57095,'OP_DispatchClientCmdMsg',60,1),
(9351,57080,57095,'OP_UpdateTargetMsg',61,1),
(9352,57080,57095,'OP_UpdateTargetLocMsg',62,1),
(9353,57080,57095,'OP_UpdateCharacterSheetMsg',63,1),
(9354,57080,57095,'OP_CharacterPet',64,1),
(9355,57080,57095,'OP_CharacterMerc',65,1),
(9356,57080,57095,'OP_UpdateSpellBookMsg',66,1),
(9357,57080,57095,'OP_UpdateInventoryMsg',68,1),
(9358,57080,57095,'OP_AfterInvSpellUpdate',69,1),
(9359,57080,57095,'OP_UpdateRecipeBookMsg',70,1),
(9360,57080,57095,'OP_RequestRecipeDetailsMsg',71,1),
(9361,57080,57095,'OP_RecipeDetailsMsg',72,1),
(9362,57080,57095,'OP_UpdateSkillBookMsg',73,1),
(9363,57080,57095,'OP_UpdateSkillsMsg',74,1),
(9364,57080,57095,'OP_UpdateOpportunityMsg',75,1),
(9365,57080,57095,'OP_ChangeZoneMsg',77,1),
(9366,57080,57095,'OP_ClientTeleportRequestMsg',78,1),
(9367,57080,57095,'OP_TeleportWithinZoneMsg',79,1),
(9368,57080,57095,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(9369,57080,57095,'OP_MigrateClientToZoneRequestMsg',81,1),
(9370,57080,57095,'OP_MigrateClientToZoneReplyMsg',82,1),
(9371,57080,57095,'OP_ReadyToZoneMsg',84,1),
(9372,57080,57095,'OP_RemoveClientFromGroupMsg',85,1),
(9373,57080,57095,'OP_RemoveGroupFromGroupMsg',86,1),
(9374,57080,57095,'OP_MakeGroupLeaderMsg',87,1),
(9375,57080,57095,'OP_GroupCreatedMsg',88,1),
(9376,57080,57095,'OP_GroupDestroyedMsg',89,1),
(9377,57080,57095,'OP_GroupMemberAddedMsg',90,1),
(9378,57080,57095,'OP_GroupMemberRemovedMsg',91,1),
(9379,57080,57095,'OP_GroupRemovedFromGroupMsg',92,1),
(9380,57080,57095,'OP_GroupLeaderChangedMsg',93,1),
(9381,57080,57095,'OP_GroupResendOOZDataMsg',94,1),
(9382,57080,57095,'OP_GroupSettingsChangedMsg',95,1),
(9383,57080,57095,'OP_OutOfZoneMemberDataMsg',96,1),
(9384,57080,57095,'OP_SendLatestRequestMsg',97,1),
(9385,57080,57095,'OP_ClearDataMsg',98,1),
(9386,57080,57095,'OP_SetSocialMsg',99,1),
(9387,57080,57095,'OP_ESStatusMsg',100,1),
(9388,57080,57095,'OP_ESZoneInstanceStatusMsg',101,1),
(9389,57080,57095,'OP_ZonesStatusRequestMsg',102,1),
(9390,57080,57095,'OP_ZonesStatusMsg',103,1),
(9391,57080,57095,'OP_ESWeatherRequestMsg',104,1),
(9392,57080,57095,'OP_ESWeatherRequestEndMsg',105,1),
(9393,57080,57095,'OP_DialogSelectMsg',109,1),
(9394,57080,57095,'OP_DialogCloseMsg',110,1),
(9395,57080,57095,'OP_RemoveSpellEffectMsg',111,1),
(9396,57080,57095,'OP_RemoveConcentrationMsg',112,1),
(9397,57080,57095,'OP_QuestJournalOpenMsg',113,1),
(9398,57080,57095,'OP_QuestJournalInspectMsg',114,1),
(9399,57080,57095,'OP_QuestJournalSetVisibleMsg',115,1),
(9400,57080,57095,'OP_QuestJournalWaypointMsg',116,1),
(9401,57080,57095,'OP_CreateGuildRequestMsg',119,1),
(9402,57080,57095,'OP_CreateGuildReplyMsg',120,1),
(9403,57080,57095,'OP_GuildsayMsg',121,1),
(9404,57080,57095,'OP_FellowshipExpMsg',122,1),
(9405,57080,57095,'OP_DeleteGuildMsg',123,1),
(9406,57080,57095,'OP_GuildUpdateMsg',124,1),
(9407,57080,57095,'OP_ConsignmentCloseStoreMsg',125,1),
(9408,57080,57095,'OP_ConsignItemRequestMsg',126,1),
(9409,57080,57095,'OP_ConsignItemResponseMsg',127,1),
(9410,57080,57095,'OP_PurchaseConsignmentRequestMsg',128,1),
(9411,57080,57095,'OP_LikeOption',136,1),
(9412,57080,57095,'OP_PublishHouse',138,1),
(9413,57080,57095,'OP_PlayerMadeInstancesScreen',139,1),
(9414,57080,57095,'OP_PlayerMadeInstances',140,1),
(9415,57080,57095,'OP_HouseDeletedRemotelyMsg',142,1),
(9416,57080,57095,'OP_UpdateHouseDataMsg',143,1),
(9417,57080,57095,'OP_UpdateHouseAccessDataMsg',144,1),
(9418,57080,57095,'OP_PlayerHouseBaseScreenMsg',145,1),
(9419,57080,57095,'OP_PlayerHousePurchaseScreenMsg',146,1),
(9420,57080,57095,'OP_PlayerHouseAccessUpdateMsg',147,1),
(9421,57080,57095,'OP_PlayerHouseDisplayStatusMsg',148,1),
(9422,57080,57095,'OP_PlayerHouseCloseUIMsg',149,1),
(9423,57080,57095,'OP_BuyPlayerHouseMsg',150,1),
(9424,57080,57095,'OP_BuyPlayerHouseTintMsg',151,1),
(9425,57080,57095,'OP_CollectAllHouseItemsMsg',152,1),
(9426,57080,57095,'OP_RelinquishHouseMsg',153,1),
(9427,57080,57095,'OP_EnterHouseMsg',154,1),
(9428,57080,57095,'OP_ExitHouseMsg',155,1),
(9429,57080,57095,'OP_HouseDefaultAccessSetMsg',156,1),
(9430,57080,57095,'OP_HouseAccessSetMsg',157,1),
(9431,57080,57095,'OP_HouseAccessRemoveMsg',158,1),
(9432,57080,57095,'OP_PayHouseUpkeepMsg',159,1),
(9433,57080,57095,'OP_MoveableObjectPlacementCriteri',160,1),
(9434,57080,57095,'OP_EnterMoveObjectModeMsg',161,1),
(9435,57080,57095,'OP_PositionMoveableObject',162,1),
(9436,57080,57095,'OP_CancelMoveObjectModeMsg',163,1),
(9437,57080,57095,'OP_ShaderCustomizationMsg',164,1),
(9438,57080,57095,'OP_ReplaceableSubMeshesMsg',165,1),
(9439,57080,57095,'OP_HouseCustomizationScreenMsg',166,1),
(9440,57080,57095,'OP_CustomizationPurchaseRequestMs',167,1),
(9441,57080,57095,'OP_CustomizationSetRequestMsg',168,1),
(9442,57080,57095,'OP_CustomizationReplyMsg',169,1),
(9443,57080,57095,'OP_TintWidgetsMsg',170,1),
(9444,57080,57095,'OP_ExamineConsignmentRequestMsg',171,1),
(9445,57080,57095,'OP_ExamineConsignmentResponseMsg',172,1),
(9446,57080,57095,'OP_UISettingsResponseMsg',173,1),
(9447,57080,57095,'OP_UIResetMsg',174,1),
(9448,57080,57095,'OP_KeymapLoadMsg',175,1),
(9449,57080,57095,'OP_KeymapNoneMsg',176,1),
(9450,57080,57095,'OP_KeymapDataMsg',177,1),
(9451,57080,57095,'OP_KeymapSaveMsg',178,1),
(9452,57080,57095,'OP_DispatchSpellCmdMsg',179,1),
(9453,57080,57095,'OP_EntityVerbsRequestMsg',180,1),
(9454,57080,57095,'OP_EntityVerbsReplyMsg',181,1),
(9455,57080,57095,'OP_EntityVerbsVerbMsg',182,1),
(9456,57080,57095,'OP_ChatRelationshipUpdateMsg',184,1),
(9457,57080,57095,'OP_LootItemsRequestMsg',185,1),
(9458,57080,57095,'OP_StoppedLootingMsg',186,1),
(9459,57080,57095,'OP_SitMsg',187,1),
(9460,57080,57095,'OP_StandMsg',188,1),
(9461,57080,57095,'OP_SatMsg',189,1),
(9462,57080,57095,'OP_StoodMsg',190,1),
(9463,57080,57095,'OP_ClearForTakeOffMsg',191,1),
(9464,57080,57095,'OP_ReadyForTakeOffMsg',192,1),
(9465,57080,57095,'OP_ShowIllusionsMsg',193,1),
(9466,57080,57095,'OP_HideIllusionsMsg',194,1),
(9467,57080,57095,'OP_ExamineItemRequestMsg',195,1),
(9468,57080,57095,'OP_ReadBookPageMsg',196,1),
(9469,57080,57095,'OP_DefaultGroupOptionsRequestMsg',197,1),
(9470,57080,57095,'OP_DefaultGroupOptionsMsg',198,1),
(9471,57080,57095,'OP_GroupOptionsMsg',199,1),
(9472,57080,57095,'OP_DisplayGroupOptionsScreenMsg',200,1),
(9473,57080,57095,'OP_PetOptions',201,1),
(9474,57080,57095,'OP_DisplayInnVisitScreenMsg',202,1),
(9475,57080,57095,'OP_DumpSchedulerMsg',203,1),
(9476,57080,57095,'OP_LSCheckAcctLockMsg',204,1),
(9477,57080,57095,'OP_WSAcctLockStatusMsg',205,1),
(9478,57080,57095,'OP_RequestHelpRepathMsg',206,1),
(9479,57080,57095,'OP_RequestTargetLocMsg',207,1),
(9480,57080,57095,'OP_UpdateMotdMsg',208,1),
(9481,57080,57095,'OP_DestUpdateReq',210,1),
(9482,57080,57095,'OP_PerformPlayerKnockbackMsg',213,1),
(9483,57080,57095,'OP_PerformCameraShakeMsg',214,1),
(9484,57080,57095,'OP_PopulateSkillMapsMsg',215,1),
(9485,57080,57095,'OP_CancelledFeignMsg',216,1),
(9486,57080,57095,'OP_SysClient',218,1),
(9487,57080,57095,'OP_ShowCreateFromRecipeUIMsg',219,1),
(9488,57080,57095,'OP_CancelCreateFromRecipeMsg',220,1),
(9489,57080,57095,'OP_BeginItemCreationMsg',221,1),
(9490,57080,57095,'OP_StopItemCreationMsg',222,1),
(9491,57080,57095,'OP_ShowItemCreationProcessUIMsg',223,1),
(9492,57080,57095,'OP_UpdateItemCreationProcessUIMsg',224,1),
(9493,57080,57095,'OP_DisplayTSEventReactionMsg',225,1),
(9494,57080,57095,'OP_ShowRecipeBookMsg',226,1),
(9495,57080,57095,'OP_KnowledgebaseRequestMsg',227,1),
(9496,57080,57095,'OP_KnowledgebaseResponseMsg',228,1),
(9497,57080,57095,'OP_CSTicketHeaderRequestMsg',229,1),
(9498,57080,57095,'OP_CSTicketInfoMsg',230,1),
(9499,57080,57095,'OP_CSTicketCommentRequestMsg',231,1),
(9500,57080,57095,'OP_CSTicketCommentResponseMsg',232,1),
(9501,57080,57095,'OP_CSTicketCreateMsg',233,1),
(9502,57080,57095,'OP_CSTicketAddCommentMsg',234,1),
(9503,57080,57095,'OP_CSTicketDeleteMsg',235,1),
(9504,57080,57095,'OP_CSTicketChangeNotificationMsg',236,1),
(9505,57080,57095,'OP_WorldDataUpdateMsg',237,1),
(9506,57080,57095,'OP_KnownLanguagesMsg',238,1),
(9507,57080,57095,'OP_LsRequestClientCrashLogMsg',239,1),
(9508,57080,57095,'OP_LsClientBaselogReplyMsg',240,1),
(9509,57080,57095,'OP_LsClientCrashlogReplyMsg',241,1),
(9510,57080,57095,'OP_LsClientAlertlogReplyMsg',242,1),
(9511,57080,57095,'OP_LsClientVerifylogReplyMsg',243,1),
(9512,57080,57095,'OP_ClientTeleportToLocationMsg',244,1),
(9513,57080,57095,'OP_UpdateClientPredFlagsMsg',245,1),
(9514,57080,57095,'OP_ChangeServerControlFlagMsg',246,1),
(9515,57080,57095,'OP_CSToolsRequestMsg',247,1),
(9516,57080,57095,'OP_CSToolsResponseMsg',248,1),
(9517,57080,57095,'OP_AddSocialStructureStandingMsg',249,1),
(9518,57080,57095,'OP_CreateBoatTransportsMsg',250,1),
(9519,57080,57095,'OP_PositionBoatTransportMsg',251,1),
(9520,57080,57095,'OP_MigrateBoatTransportMsg',252,1),
(9521,57080,57095,'OP_MigrateBoatTransportReplyMsg',253,1),
(9522,57080,57095,'OP_DisplayDebugNLLPointsMsg',254,1),
(9523,57080,57095,'OP_ExamineInfoRequestMsg',255,1),
(9524,57080,57095,'OP_QuickbarInitMsg',256,1),
(9525,57080,57095,'OP_QuickbarUpdateMsg',257,1),
(9526,57080,57095,'OP_MacroInitMsg',258,1),
(9527,57080,57095,'OP_MacroUpdateMsg',259,1),
(9528,57080,57095,'OP_QuestionnaireMsg',260,1),
(9529,57080,57095,'OP_LevelChangedMsg',261,1),
(9530,57080,57095,'OP_SpellGainedMsg',262,1),
(9531,57080,57095,'OP_EncounterBrokenMsg',263,1),
(9532,57080,57095,'OP_OnscreenMsgMsg',264,1),
(9533,57080,57095,'OP_DisplayWarningMsg',265,1),
(9534,57080,57095,'OP_ModifyGuildMsg',266,1),
(9535,57080,57095,'OP_GuildEventMsg',267,1),
(9536,57080,57095,'OP_GuildEventAddMsg',268,1),
(9537,57080,57095,'OP_GuildEventActionMsg',269,1),
(9538,57080,57095,'OP_GuildEventListMsg',270,1),
(9539,57080,57095,'OP_RequestGuildEventDetailsMsg',271,1),
(9540,57080,57095,'OP_GuildEventDetailsMsg',272,1),
(9541,57080,57095,'OP_RequestGuildInfoMsg',273,1),
(9542,57080,57095,'OP_GuildBankActionMsg',274,1),
(9543,57080,57095,'OP_GuildBankActionResponseMsg',275,1),
(9544,57080,57095,'OP_GuildBankItemDetailsRequestMsg',276,1),
(9545,57080,57095,'OP_GuildBankItemDetailsResponseMs',277,1),
(9546,57080,57095,'OP_GuildBankUpdateMsg',278,1),
(9547,57080,57095,'OP_GuildBankEventListMsg',279,1),
(9548,57080,57095,'OP_RequestGuildBankEventDetailsMs',280,1),
(9549,57080,57095,'OP_RewardPackMsg',281,1),
(9550,57080,57095,'OP_RenameGuildMsg',282,1),
(9551,57080,57095,'OP_ZoneToFriendRequestMsg',283,1),
(9552,57080,57095,'OP_ZoneToFriendReplyMsg',284,1),
(9553,57080,57095,'OP_ChatCreateChannelMsg',285,1),
(9554,57080,57095,'OP_ChatJoinChannelMsg',286,1),
(9555,57080,57095,'OP_ChatWhoChannelMsg',287,1),
(9556,57080,57095,'OP_ChatLeaveChannelMsg',288,1),
(9557,57080,57095,'OP_ChatTellChannelMsg',289,1),
(9558,57080,57095,'OP_ChatTellUserMsg',290,1),
(9559,57080,57095,'OP_ChatToggleFriendMsg',291,1),
(9560,57080,57095,'OP_BrokerAddBag',292,1),
(9561,57080,57095,'OP_BrokerRemoveBag',293,1),
(9562,57080,57095,'OP_ChatToggleIgnoreMsg',294,1),
(9563,57080,57095,'OP_ChatSendFriendsMsg',295,1),
(9564,57080,57095,'OP_ChatSendIgnoresMsg',296,1),
(9565,57080,57095,'OP_QuestReward',320,1),
(9566,57080,57095,'OP_ChatFiltersMsg',335,1),
(9567,57080,57095,'OP_MailGetMessageMsg',338,1),
(9568,57080,57095,'OP_MailSendMessageMsg',339,1),
(9569,57080,57095,'OP_MailDeleteMessageMsg',340,1),
(9570,57080,57095,'OP_MailGetHeadersReplyMsg',341,1),
(9571,57080,57095,'OP_MailGetMessageReplyMsg',342,1),
(9572,57080,57095,'OP_MailSendMessageReplyMsg',343,1),
(9573,57080,57095,'OP_MailCommitSendMessageMsg',344,1),
(9574,57080,57095,'OP_MailSendSystemMessageMsg',345,1),
(9575,57080,57095,'OP_MailRemoveAttachFromMailMsg',346,1),
(9576,57080,57095,'OP_WaypointRequestMsg',348,1),
(9577,57080,57095,'OP_WaypointReplyMsg',349,1),
(9578,57080,57095,'OP_WaypointSelectMsg',350,1),
(9579,57080,57095,'OP_WaypointUpdateMsg',351,1),
(9580,57080,57095,'OP_CharNameChangedMsg',352,1),
(9581,57080,57095,'OP_ShowZoneTeleporterDestinations',353,1),
(9582,57080,57095,'OP_SelectZoneTeleporterDestinatio',354,1),
(9583,57080,57095,'OP_ReloadLocalizedTxtMsg',355,1),
(9584,57080,57095,'OP_RequestGuildMembershipMsg',356,1),
(9585,57080,57095,'OP_GuildMembershipResponseMsg',357,1),
(9586,57080,57095,'OP_LeaveGuildNotifyMsg',358,1),
(9587,57080,57095,'OP_JoinGuildNotifyMsg',359,1),
(9588,57080,57095,'OP_AvatarUpdateMsg',360,1),
(9589,57080,57095,'OP_BioUpdateMsg',362,1),
(9590,57080,57095,'OP_InspectPlayerMsg',363,1),
(9591,57080,57095,'OP_WSServerLockMsg',364,1),
(9592,57080,57095,'OP_LSServerLockMsg',365,1),
(9593,57080,57095,'OP_WSServerHideMsg',366,1),
(9594,57080,57095,'OP_CsCategoryRequestMsg',367,1),
(9595,57080,57095,'OP_CsCategoryResponseMsg',368,1),
(9596,57080,57095,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(9597,57080,57095,'OP_AFKUpdateMsg',370,1),
(9598,57080,57095,'OP_AnonUpdateMsg',371,1),
(9599,57080,57095,'OP_UpdateActivePublicZonesMsg',372,1),
(9600,57080,57095,'OP_UnknownNpcMsg',373,1),
(9601,57080,57095,'OP_PromoFlagsDetailsMsg',374,1),
(9602,57080,57095,'OP_ConsignViewCreateMsg',375,1),
(9603,57080,57095,'OP_ConsignViewGetPageMsg',376,1),
(9604,57080,57095,'OP_ConsignViewReleaseMsg',377,1),
(9605,57080,57095,'OP_ConsignRemoveItemsMsg',378,1),
(9606,57080,57095,'OP_UpdateDebugRadiiMsg',379,1),
(9607,57080,57095,'OP_ReportMsg',380,1),
(9608,57080,57095,'OP_UpdateRaidMsg',381,1),
(9609,57080,57095,'OP_ConsignViewSortMsg',383,1),
(9610,57080,57095,'OP_TitleUpdateMsg',384,1),
(9611,57080,57095,'OP_ClientFellMsg',385,1),
(9612,57080,57095,'OP_ClientInDeathRegionMsg',386,1),
(9613,57080,57095,'OP_CampClientMsg',387,1),
(9614,57080,57095,'OP_CSToolAccessResponseMsg',388,1),
(9615,57080,57095,'OP_UpdateGroupMemberDataMsg',388,1),
(9616,57080,57095,'OP_TrackingUpdateMsg',389,1),
(9617,57080,57095,'OP_BeginTrackingMsg',390,1),
(9618,57080,57095,'OP_StopTrackingMsg',391,1),
(9619,57080,57095,'OP_GetAvatarAccessRequestForCSToo',393,1),
(9620,57080,57095,'OP_AdvancementRequestMsg',394,1),
(9621,57080,57095,'OP_MapFogDataInitMsg',395,1),
(9622,57080,57095,'OP_MapFogDataUpdateMsg',396,1),
(9623,57080,57095,'OP_CloseGroupInviteWindowMsg',397,1),
(9624,57080,57095,'OP_WorldPingMsg',399,1),
(9625,57080,57095,'OP_MoveLogUpdateMsg',400,1),
(9626,57080,57095,'OP_OfferQuestMsg',401,1),
(9627,57080,57095,'OP_WorldShutdownUpdateMsg',403,1),
(9628,57080,57095,'OP_DisplayMailScreenMsg',404,1),
(9629,57080,57095,'OP_ClientIdleBeginMsg',405,1),
(9630,57080,57095,'OP_ClientIdleEndMsg',406,1),
(9631,57080,57095,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(9632,57080,57095,'OP_NotifyApprenticeStoppedMentori',408,1),
(9633,57080,57095,'OP_CorruptedClientMsg',409,1),
(9634,57080,57095,'OP_WorldDataChangeMsg',410,1),
(9635,57080,57095,'OP_MailEventNotificationMsg',411,1),
(9636,57080,57095,'OP_RestartZoneMsg',412,1),
(9637,57080,57095,'OP_FlightPathsMsg',413,1),
(9638,57080,57095,'OP_CharacterLinkdeadMsg',414,1),
(9639,57080,57095,'OP_CharTransferStartRequestMsg',415,1),
(9640,57080,57095,'OP_CharTransferStartReplyMsg',416,1),
(9641,57080,57095,'OP_CharTransferRequestMsg',417,1),
(9642,57080,57095,'OP_CharTransferReplyMsg',418,1),
(9643,57080,57095,'OP_CharTransferRollbackRequestMsg',419,1),
(9644,57080,57095,'OP_CharTransferCommitRequestMsg',420,1),
(9645,57080,57095,'OP_CharTransferRollbackReplyMsg',421,1),
(9646,57080,57095,'OP_CharTransferCommitReplyMsg',422,1),
(9647,57080,57095,'OP_GetCharacterSerializedRequestM',423,1),
(9648,57080,57095,'OP_GetCharacterSerializedReplyMsg',424,1),
(9649,57080,57095,'OP_CreateCharFromCBBRequestMsg',425,1),
(9650,57080,57095,'OP_CreateCharFromCBBReplyMsg',426,1),
(9651,57080,57095,'OP_HousingDataChangedMsg',427,1),
(9652,57080,57095,'OP_HousingRestoreMsg',428,1),
(9653,57080,57095,'OP_AuctionItem',429,1),
(9654,57080,57095,'OP_AuctionItemReply',430,1),
(9655,57080,57095,'OP_AuctionCoin',431,1),
(9656,57080,57095,'OP_AuctionCoinReply',432,1),
(9657,57080,57095,'OP_AuctionCharacter',433,1),
(9658,57080,57095,'OP_AuctionCharacterReply',434,1),
(9659,57080,57095,'OP_AuctionCommitMsg',435,1),
(9660,57080,57095,'OP_AuctionAbortMsg',436,1),
(9661,57080,57095,'OP_CharTransferValidateRequestMsg',437,1),
(9662,57080,57095,'OP_CharTransferValidateReplyMsg',438,1),
(9663,57080,57095,'OP_RaceRestrictionMsg',439,1),
(9664,57080,57095,'OP_SetInstanceDisplayNameMsg',440,1),
(9665,57080,57095,'OP_GetAuctionAssetIDMsg',441,1),
(9666,57080,57095,'OP_GetAuctionAssetIDReplyMsg',442,1),
(9667,57080,57095,'OP_ResendWorldChannelsMsg',443,1),
(9668,57080,57095,'OP_DisplayExchangeScreenMsg',444,1),
(9669,57080,57095,'OP_ArenaGameTypesMsg',445,1),
(9670,57080,57095,'OP_AuditAuctionEventMsg',446,1),
(9671,57080,57095,'OP_InviteRequestMsg',447,1),
(9672,57080,57095,'OP_InviteResponseMsg',448,1),
(9673,57080,57095,'OP_InviteTargetResponseMsg',449,1),
(9674,57080,57095,'OP_InspectPlayerRequestMsg',450,1),
(9675,57080,57095,'OP_DispatchMsg',451,1),
(9676,57080,57095,'OP_DisplayEventMsg',452,1),
(9677,57080,57095,'OP_PrePossessionMsg',453,1),
(9678,57080,57095,'OP_PostPossessionMsg',454,1),
(9679,57080,57095,'OP_ArenaCreate',456,1),
(9680,57080,57095,'OP_ArenaList',457,1),
(9681,57080,57095,'OP_ArenaWindow',465,1),
(9682,57080,57095,'OP_HouseItemsList',484,1),
(9683,57080,57095,'OP_CurrentPet',485,1),
(9684,57080,57095,'OP_AdventureList',488,1),
(9685,57080,57095,'OP_CancelSpellCast',489,1),
(9686,57080,57095,'OP_ClearForLandingMsg',491,1),
(9687,57080,57095,'OP_UpdateTitleCmd',494,1),
(9688,57080,57095,'OP_AttackAllowed',500,1),
(9689,57080,57095,'OP_AttackNotAllowed',501,1),
(9690,57080,57095,'OP_BagOptions',502,1),
(9691,57080,57095,'OP_LFGGroupSearch',504,1),
(9692,57080,57095,'OP_CharacterHousingList',507,1),
(9693,57080,57095,'OP_DressingRoom',510,1),
(9694,57080,57095,'OP_PlayLon',511,1),
(9695,57080,57095,'OP_SkillInfoRequest',514,1),
(9696,57080,57095,'OP_SkillInfoResponse',515,1),
(9697,57080,57095,'OP_LFGUpdateMsg',518,1),
(9698,57080,57095,'OP_BadLanguageFilter',519,1),
(9699,57080,57095,'OP_VoiceChatChannel',520,1),
(9700,57080,57095,'OP_MapRequest',521,1),
(9701,57080,57095,'OP_MarketFundsUpdate',526,1),
(9702,57080,57095,'OP_UIEvent',527,1),
(9703,57080,57095,'OP_MarketAddFundsRequest',528,1),
(9704,57080,57095,'OP_MarketAddFundsReply',529,1),
(9705,57080,57095,'OP_MarketPurchase',531,1),
(9706,57080,57095,'OP_MarketPlacePrices',532,1),
(9707,57080,57095,'OP_MarketPlaceItems',537,1),
(9708,57080,57095,'OP_RecipeBook',538,1),
(9709,57080,57095,'OP_CreateCharacterDungeon',547,1),
(9710,57080,57095,'OP_DungeonMakerEnter',548,1),
(9711,57080,57095,'OP_DungeonMakerItemRequest',550,1),
(9712,57080,57095,'OP_CharacterCreatedDungeons',551,1),
(9713,57080,57095,'OP_DungeonMakerToolboxList',552,1),
(9714,57080,57095,'OP_DungeonMakerUnknown',553,1),
(9715,57080,57095,'OP_DungeonMakerUnknown1',554,1),
(9716,57080,57095,'OP_PlayerPollPopup',556,1),
(9717,57080,57095,'OP_PlayerPollAnswer',557,1),
(9718,57080,57095,'OP_MentorPopup',558,1),
(9719,57080,57095,'OP_LoadWelcomeWindow',560,1),
(9720,57080,57095,'OP_OpenCharCust',561,1),
(9721,57080,57095,'OP_SubmitCharCust',562,1),
(9722,57080,57095,'OP_QueAllBgSolo',564,1),
(9723,57080,57095,'OP_ZoneBgInstanceList',566,1),
(9724,57080,57095,'OP_WorldTravelAvail',570,1),
(9725,57080,57095,'OP_Launchpad',572,1),
(9726,57080,57095,'OP_PaperdollImage',574,1),
(9727,57080,57095,'OP_LoadCalendarEvents',575,1),
(9728,57080,57095,'OP_VideoUploaded',576,1),
(9729,57080,57095,'OP_SavageBarInitMsg',577,1),
(9730,57080,57095,'OP_PetOptionsResponse',578,1),
(9731,57080,57095,'OP_DungeonMakerItemResponse',579,1),
(9732,57080,57095,'OP_CharacterMounts',581,1),
(9733,57080,57095,'OP_RecipeListUnknown',590,1),
(9734,57080,57095,'OP_EqBetaCopyRequest',599,1),
(9735,57080,57095,'OP_EqHearChatCmd',600,1),
(9736,57080,57095,'OP_EqDisplayTextCmd',601,1),
(9737,57080,57095,'OP_EqCreateGhostCmd',602,1),
(9738,57080,57095,'OP_EqCreateWidgetCmd',603,1),
(9739,57080,57095,'OP_EqCreateSignWidgetCmd',604,1),
(9740,57080,57095,'OP_EqDestroyGhostCmd',605,1),
(9741,57080,57095,'OP_EqUpdateGhostCmd',606,1),
(9742,57080,57095,'OP_EqSetControlGhostCmd',607,1),
(9743,57080,57095,'OP_EqSetPOVGhostCmd',608,1),
(9744,57080,57095,'OP_EqHearCombatCmd',609,1),
(9745,57080,57095,'OP_EqHearSpellCastCmd',610,1),
(9746,57080,57095,'OP_EQHearProcCmd',611,1),
(9747,57080,57095,'OP_EQHearResEffectCmd',612,1),
(9748,57080,57095,'OP_EqHearSpellInterruptCmd',613,1),
(9749,57080,57095,'OP_EqHearSpellFizzleCmd',614,1),
(9750,57080,57095,'OP_EqHearConsiderCmd',615,1),
(9751,57080,57095,'OP_EqUpdateSubClassesCmd',616,1),
(9752,57080,57095,'OP_EqCreateListBoxCmd',617,1),
(9753,57080,57095,'OP_EqSetDebugPathPointsCmd',618,1),
(9754,57080,57095,'OP_EqCannedEmoteCmd',620,1),
(9755,57080,57095,'OP_EqStateCmd',621,1),
(9756,57080,57095,'OP_EqPlaySoundCmd',622,1),
(9757,57080,57095,'OP_EqPlaySound3DCmd',623,1),
(9758,57080,57095,'OP_EqPlayVoiceCmd',624,1),
(9759,57080,57095,'OP_EqHearDrowningCmd',625,1),
(9760,57080,57095,'OP_EqHearDeathCmd',626,1),
(9761,57080,57095,'OP_EqGroupMemberRemovedCmd',627,1),
(9762,57080,57095,'OP_EqHearChainEffectCmd',628,1),
(9763,57080,57095,'OP_EqReceiveOfferCmd',629,1),
(9764,57080,57095,'OP_EqInspectPCResultsCmd',630,1),
(9765,57080,57095,'OP_EqDrawablePathGraphCmd',631,1),
(9766,57080,57095,'OP_EqDialogOpenCmd',632,1),
(9767,57080,57095,'OP_EqDialogCloseCmd',633,1),
(9768,57080,57095,'OP_EqFactionUpdateCmd',634,1),
(9769,57080,57095,'OP_EqCollectionUpdateCmd',635,1),
(9770,57080,57095,'OP_EqCollectionFilterCmd',636,1),
(9771,57080,57095,'OP_EqCollectionItemCmd',637,1),
(9772,57080,57095,'OP_EqQuestJournalUpdateCmd',638,1),
(9773,57080,57095,'OP_EqMentoring',639,1),
(9774,57080,57095,'OP_EqQuestJournalReplyCmd',640,1),
(9775,57080,57095,'OP_EqQuestGroupCmd',641,1),
(9776,57080,57095,'OP_EqUpdateMerchantCmd',642,1),
(9777,57080,57095,'OP_EqUpdateStoreCmd',643,1),
(9778,57080,57095,'OP_EqUpdatePlayerTradeCmd',644,1),
(9779,57080,57095,'OP_EqHelpPathCmd',645,1),
(9780,57080,57095,'OP_EqHelpPathClearCmd',646,1),
(9781,57080,57095,'OP_EqUpdateBankCmd',647,1),
(9782,57080,57095,'OP_EqExamineInfoCmd',648,1),
(9783,57080,57095,'OP_EqCloseWindowCmd',649,1),
(9784,57080,57095,'OP_EqUpdateLootCmd',650,1),
(9785,57080,57095,'OP_EqJunctionListCmd',651,1),
(9786,57080,57095,'OP_EqShowDeathWindowCmd',652,1),
(9787,57080,57095,'OP_EqDisplaySpellFailCmd',653,1),
(9788,57080,57095,'OP_EqSpellCastStartCmd',654,1),
(9789,57080,57095,'OP_EqSpellCastEndCmd',655,1),
(9790,57080,57095,'OP_EqResurrectedCmd',656,1),
(9791,57080,57095,'OP_EqChoiceWinCmd',657,1),
(9792,57080,57095,'OP_EqSetDefaultVerbCmd',658,1),
(9793,57080,57095,'OP_EqInstructionWindowCmd',659,1),
(9794,57080,57095,'OP_EqInstructionWindowCloseCmd',660,1),
(9795,57080,57095,'OP_EqInstructionWindowGoalCmd',661,1),
(9796,57080,57095,'OP_EqInstructionWindowTaskCmd',662,1),
(9797,57080,57095,'OP_EqEnableGameEventCmd',663,1),
(9798,57080,57095,'OP_EqShowWindowCmd',664,1),
(9799,57080,57095,'OP_EqEnableWindowCmd',665,1),
(9800,57080,57095,'OP_EqFlashWindowCmd',666,1),
(9801,57080,57095,'OP_EqHearPlayFlavorCmd',668,1),
(9802,57080,57095,'OP_EqUpdateSignWidgetCmd',669,1),
(9803,57080,57095,'OP_EqDebugPVDCmd',670,1),
(9804,57080,57095,'OP_EqShowBookCmd',671,1),
(9805,57080,57095,'OP_EqQuestionnaireCmd',672,1),
(9806,57080,57095,'OP_EqGetProbsCmd',674,1),
(9807,57080,57095,'OP_EqHearHealCmd',675,1),
(9808,57080,57095,'OP_EqChatChannelUpdateCmd',676,1),
(9809,57080,57095,'OP_EqWhoChannelQueryReplyCmd',677,1),
(9810,57080,57095,'OP_EqAvailWorldChannelsCmd',678,1),
(9811,57080,57095,'OP_EqUpdateTargetCmd',679,1),
(9812,57080,57095,'OP_BrokerSellList',680,1),
(9813,57080,57095,'OP_EqConsignmentItemsCmd',681,1),
(9814,57080,57095,'OP_EqStartBrokerCmd',683,1),
(9815,57080,57095,'OP_EqMapExplorationCmd',684,1),
(9816,57080,57095,'OP_EqStoreLogCmd',685,1),
(9817,57080,57095,'OP_EqSpellMoveToRangeAndRetryCmd',686,1),
(9818,57080,57095,'OP_EqUpdatePlayerMailCmd',687,1),
(9819,57080,57095,'OP_GuildStatusUpdate',690,1),
(9820,57080,57095,'OP_EqArenaResultsCmd',691,1),
(9821,57080,57095,'OP_EqGuildBankEventActionCmd',692,1),
(9822,57080,57095,'OP_EqGuildBankExamineInfoCmd',693,1),
(9823,57080,57095,'OP_EqHearSpellNoLandCmd',694,1),
(9824,57080,57095,'OP_Lottery',695,1),
(9825,57080,57095,'OP_GuildRecruitingMemberInfo',696,1),
(9826,57080,57095,'OP_GuildRecruiting',697,1),
(9827,57080,57095,'OP_GuildRecruitingDetails',698,1),
(9828,57080,57095,'OP_GuildRecruitingImage',699,1),
(9829,57080,57095,'OP_TradeskillList',700,1),
(9830,57080,57095,'OP_CharRenamed',701,1),
(9831,57080,57095,'OP_UseAdornment',711,1),
(9832,57080,57095,'OP_ExpPurchWindow',717,1),
(9833,57080,57095,'OP_PointOfInterest',721,1),
(9834,57080,57095,'OP_PointOfInterest2',722,1),
(9835,57080,57095,'OP_TraitsList',723,1),
(9836,57080,57095,'OP_CustomizeHouseDisplay',726,1),
(9837,57080,57095,'OP_VoiceChatServer',727,1),
(9838,57080,57095,'OP_SupplyDepot',731,1),
(9839,57080,57095,'OP_EQHearThreatCmd',732,1),
(9840,57080,57095,'OP_RecipeList',733,1),
(9841,57080,57095,'OP_Research',734,1),
(9842,57080,57095,'OP_CharacterCurrency',735,1),
(9843,57080,57095,'OP_CharacterAchievements',736,1),
(9844,57080,57095,'OP_AchievementUpdateMsg',737,1),
(9845,57080,57095,'OP_EQHearDispellCmd',738,1),
(9846,57080,57095,'OP_JournalQuestStoryline',739,1),
(9847,57080,57095,'OP_DungeonPlayAsAvatarList',740,1),
(9848,57080,57095,'OP_DungeonPlayAsAvatarSelected',741,1),
(9849,57080,57095,'OP_MercHireWindow',742,1),
(9850,57080,57095,'OP_MercUnknown',743,1),
(9851,57080,57095,'OP_Unknown',756,1),
(9852,57080,57095,'OP_DailyObjectives',594,1),
(9853,57080,57095,'OP_Weakness',580,1),
(9854,57015,57031,'OP_AchievementUpdateMsg',731,1),
(9855,57015,57031,'OP_AddSocialStructureStandingMsg',249,1),
(9856,57015,57031,'OP_AdvancementRequestMsg',394,1),
(9857,57015,57031,'OP_AdventureList',488,1),
(9858,57015,57031,'OP_AFKUpdateMsg',370,1),
(9859,57015,57031,'OP_AfterInvSpellUpdate',69,1),
(9860,57015,57031,'OP_AllCharactersDescReplyMsg',10,1),
(9861,57015,57031,'OP_AllCharactersDescRequestMsg',9,1),
(9862,57015,57031,'OP_AllWSDescRequestMsg',7,1),
(9863,57015,57031,'OP_AnonUpdateMsg',371,1),
(9864,57015,57031,'OP_ArenaCreate',456,1),
(9865,57015,57031,'OP_ArenaGameTypesMsg',445,1),
(9866,57015,57031,'OP_ArenaList',457,1),
(9867,57015,57031,'OP_ArenaWindow',465,1),
(9868,57015,57031,'OP_AttackAllowed',500,1),
(9869,57015,57031,'OP_AttackNotAllowed',501,1),
(9870,57015,57031,'OP_AuctionAbortMsg',436,1),
(9871,57015,57031,'OP_AuctionCharacter',433,1),
(9872,57015,57031,'OP_AuctionCharacterReply',434,1),
(9873,57015,57031,'OP_AuctionCoin',431,1),
(9874,57015,57031,'OP_AuctionCoinReply',432,1),
(9875,57015,57031,'OP_AuctionCommitMsg',435,1),
(9876,57015,57031,'OP_AuctionItem',429,1),
(9877,57015,57031,'OP_AuctionItemReply',430,1),
(9878,57015,57031,'OP_AuditAuctionEventMsg',446,1),
(9879,57015,57031,'OP_AvatarCreatedMsg',46,1),
(9880,57015,57031,'OP_AvatarDestroyedMsg',47,1),
(9881,57015,57031,'OP_AvatarUpdateMsg',360,1),
(9882,57015,57031,'OP_BadLanguageFilter',519,1),
(9883,57015,57031,'OP_BagOptions',502,1),
(9884,57015,57031,'OP_BeginItemCreationMsg',221,1),
(9885,57015,57031,'OP_BeginTrackingMsg',390,1),
(9886,57015,57031,'OP_BioUpdateMsg',362,1),
(9887,57015,57031,'OP_BrokerAddBag',292,1),
(9888,57015,57031,'OP_BrokerRemoveBag',293,1),
(9889,57015,57031,'OP_BrokerSellList',674,1),
(9890,57015,57031,'OP_BuyPlayerHouseMsg',150,1),
(9891,57015,57031,'OP_BuyPlayerHouseTintMsg',151,1),
(9892,57015,57031,'OP_CampAbortedMsg',52,1),
(9893,57015,57031,'OP_CampClientMsg',387,1),
(9894,57015,57031,'OP_CampStartedMsg',51,1),
(9895,57015,57031,'OP_CancelCreateFromRecipeMsg',220,1),
(9896,57015,57031,'OP_CancelledFeignMsg',216,1),
(9897,57015,57031,'OP_CancelMoveObjectModeMsg',163,1),
(9898,57015,57031,'OP_CancelSpellCast',489,1),
(9899,57015,57031,'OP_ChangeServerControlFlagMsg',246,1),
(9900,57015,57031,'OP_ChangeZoneMsg',77,1),
(9901,57015,57031,'OP_CharacterAchievements',730,1),
(9902,57015,57031,'OP_CharacterCreatedDungeons',549,1),
(9903,57015,57031,'OP_CharacterCurrency',729,1),
(9904,57015,57031,'OP_CharacterHousingList',507,1),
(9905,57015,57031,'OP_CharacterLinkdeadMsg',414,1),
(9906,57015,57031,'OP_CharacterMerc',65,1),
(9907,57015,57031,'OP_CharacterMounts',579,1),
(9908,57015,57031,'OP_CharacterPet',64,1),
(9909,57015,57031,'OP_CharNameChangedMsg',352,1),
(9910,57015,57031,'OP_CharRenamed',695,1),
(9911,57015,57031,'OP_CharTransferCommitReplyMsg',422,1),
(9912,57015,57031,'OP_CharTransferCommitRequestMsg',420,1),
(9913,57015,57031,'OP_CharTransferReplyMsg',418,1),
(9914,57015,57031,'OP_CharTransferRequestMsg',417,1),
(9915,57015,57031,'OP_CharTransferRollbackReplyMsg',421,1),
(9916,57015,57031,'OP_CharTransferRollbackRequestMsg',419,1),
(9917,57015,57031,'OP_CharTransferStartReplyMsg',416,1),
(9918,57015,57031,'OP_CharTransferStartRequestMsg',415,1),
(9919,57015,57031,'OP_CharTransferValidateReplyMsg',438,1),
(9920,57015,57031,'OP_CharTransferValidateRequestMsg',437,1),
(9921,57015,57031,'OP_ChatCreateChannelMsg',285,1),
(9922,57015,57031,'OP_ChatFiltersMsg',335,1),
(9923,57015,57031,'OP_ChatJoinChannelMsg',286,1),
(9924,57015,57031,'OP_ChatLeaveChannelMsg',288,1),
(9925,57015,57031,'OP_ChatRelationshipUpdateMsg',184,1),
(9926,57015,57031,'OP_ChatSendFriendsMsg',295,1),
(9927,57015,57031,'OP_ChatSendIgnoresMsg',296,1),
(9928,57015,57031,'OP_ChatTellChannelMsg',289,1),
(9929,57015,57031,'OP_ChatTellUserMsg',290,1),
(9930,57015,57031,'OP_ChatToggleFriendMsg',291,1),
(9931,57015,57031,'OP_ChatToggleIgnoreMsg',294,1),
(9932,57015,57031,'OP_ChatWhoChannelMsg',287,1),
(9933,57015,57031,'OP_ClearDataMsg',98,1),
(9934,57015,57031,'OP_ClearForLandingMsg',491,1),
(9935,57015,57031,'OP_ClearForTakeOffMsg',191,1),
(9936,57015,57031,'OP_ClientCmdMsg',58,1),
(9937,57015,57031,'OP_ClientFellMsg',385,1),
(9938,57015,57031,'OP_ClientIdleBeginMsg',405,1),
(9939,57015,57031,'OP_ClientIdleEndMsg',406,1),
(9940,57015,57031,'OP_ClientInDeathRegionMsg',386,1),
(9941,57015,57031,'OP_ClientTeleportRequestMsg',78,1),
(9942,57015,57031,'OP_ClientTeleportToLocationMsg',244,1),
(9943,57015,57031,'OP_CloseGroupInviteWindowMsg',397,1),
(9944,57015,57031,'OP_CollectAllHouseItemsMsg',152,1),
(9945,57015,57031,'OP_ConsignItemRequestMsg',126,1),
(9946,57015,57031,'OP_ConsignItemResponseMsg',127,1),
(9947,57015,57031,'OP_ConsignmentCloseStoreMsg',125,1),
(9948,57015,57031,'OP_ConsignRemoveItemsMsg',378,1),
(9949,57015,57031,'OP_ConsignViewCreateMsg',375,1),
(9950,57015,57031,'OP_ConsignViewGetPageMsg',376,1),
(9951,57015,57031,'OP_ConsignViewReleaseMsg',377,1),
(9952,57015,57031,'OP_ConsignViewSortMsg',383,1),
(9953,57015,57031,'OP_CorruptedClientMsg',409,1),
(9954,57015,57031,'OP_CreateBoatTransportsMsg',250,1),
(9955,57015,57031,'OP_CreateCharacterDungeon',545,1),
(9956,57015,57031,'OP_CreateCharacterReplyMsg',12,1),
(9957,57015,57031,'OP_CreateCharacterRequestMsg',11,1),
(9958,57015,57031,'OP_CreateCharFromCBBReplyMsg',426,1),
(9959,57015,57031,'OP_CreateCharFromCBBRequestMsg',425,1),
(9960,57015,57031,'OP_CreateGuildReplyMsg',120,1),
(9961,57015,57031,'OP_CreateGuildRequestMsg',119,1),
(9962,57015,57031,'OP_CreateZoneInstanceMsg',29,1),
(9963,57015,57031,'OP_CsCategoryRequestMsg',367,1),
(9964,57015,57031,'OP_CsCategoryResponseMsg',368,1),
(9965,57015,57031,'OP_CSTicketAddCommentMsg',234,1),
(9966,57015,57031,'OP_CSTicketChangeNotificationMsg',236,1),
(9967,57015,57031,'OP_CSTicketCommentRequestMsg',231,1),
(9968,57015,57031,'OP_CSTicketCommentResponseMsg',232,1),
(9969,57015,57031,'OP_CSTicketCreateMsg',233,1),
(9970,57015,57031,'OP_CSTicketDeleteMsg',235,1),
(9971,57015,57031,'OP_CSTicketHeaderRequestMsg',229,1),
(9972,57015,57031,'OP_CSTicketInfoMsg',230,1),
(9973,57015,57031,'OP_CSToolAccessResponseMsg',388,1),
(9974,57015,57031,'OP_CSToolsRequestMsg',247,1),
(9975,57015,57031,'OP_CSToolsResponseMsg',248,1),
(9976,57015,57031,'OP_CurrentPet',485,1),
(9977,57015,57031,'OP_CustomizationPurchaseRequestMs',167,1),
(9978,57015,57031,'OP_CustomizationReplyMsg',169,1),
(9979,57015,57031,'OP_CustomizationSetRequestMsg',168,1),
(9980,57015,57031,'OP_CustomizeHouseDisplay',720,1),
(9981,57015,57031,'OP_DefaultGroupOptionsMsg',198,1),
(9982,57015,57031,'OP_DefaultGroupOptionsRequestMsg',197,1),
(9983,57015,57031,'OP_DeleteCharacterReplyMsg',17,1),
(9984,57015,57031,'OP_DeleteCharacterRequestMsg',16,1),
(9985,57015,57031,'OP_DeleteGuildMsg',123,1),
(9986,57015,57031,'OP_DestUpdateReq',210,1),
(9987,57015,57031,'OP_DialogCloseMsg',110,1),
(9988,57015,57031,'OP_DialogSelectMsg',109,1),
(9989,57015,57031,'OP_DispatchClientCmdMsg',60,1),
(9990,57015,57031,'OP_DispatchESMsg',59,1),
(9991,57015,57031,'OP_DispatchMsg',451,1),
(9992,57015,57031,'OP_DispatchSpellCmdMsg',179,1),
(9993,57015,57031,'OP_DisplayDebugNLLPointsMsg',254,1),
(9994,57015,57031,'OP_DisplayEventMsg',452,1),
(9995,57015,57031,'OP_DisplayExchangeScreenMsg',444,1),
(9996,57015,57031,'OP_DisplayGroupOptionsScreenMsg',200,1),
(9997,57015,57031,'OP_DisplayInnVisitScreenMsg',202,1),
(9998,57015,57031,'OP_DisplayMailScreenMsg',404,1),
(9999,57015,57031,'OP_DisplayTSEventReactionMsg',225,1),
(10000,57015,57031,'OP_DisplayWarningMsg',265,1),
(10001,57015,57031,'OP_DoneLoadingEntityResourcesMsg',36,1),
(10002,57015,57031,'OP_DoneLoadingZoneResourcesMsg',34,1),
(10003,57015,57031,'OP_DoneSendingInitialEntitiesMsg',35,1),
(10004,57015,57031,'OP_DressingRoom',510,1),
(10005,57015,57031,'OP_DumpSchedulerMsg',203,1),
(10006,57015,57031,'OP_DungeonMakerEnter',546,1),
(10007,57015,57031,'OP_DungeonMakerItemRequest',548,1),
(10008,57015,57031,'OP_DungeonMakerItemResponse',577,1),
(10009,57015,57031,'OP_DungeonMakerToolboxList',550,1),
(10010,57015,57031,'OP_DungeonMakerUnknown',551,1),
(10011,57015,57031,'OP_DungeonMakerUnknown1',552,1),
(10012,57015,57031,'OP_DungeonPlayAsAvatarList',734,1),
(10013,57015,57031,'OP_DungeonPlayAsAvatarSelected',735,1),
(10014,57015,57031,'OP_EncounterBrokenMsg',263,1),
(10015,57015,57031,'OP_EnterHouseMsg',154,1),
(10016,57015,57031,'OP_EnterMoveObjectModeMsg',161,1),
(10017,57015,57031,'OP_EntityVerbsReplyMsg',181,1),
(10018,57015,57031,'OP_EntityVerbsRequestMsg',180,1),
(10019,57015,57031,'OP_EntityVerbsVerbMsg',182,1),
(10020,57015,57031,'OP_EqArenaResultsCmd',685,1),
(10021,57015,57031,'OP_EqAvailWorldChannelsCmd',672,1),
(10022,57015,57031,'OP_EqBetaCopyRequest',593,1),
(10023,57015,57031,'OP_EqCannedEmoteCmd',614,1),
(10024,57015,57031,'OP_EqChatChannelUpdateCmd',670,1),
(10025,57015,57031,'OP_EqChoiceWinCmd',651,1),
(10026,57015,57031,'OP_EqCloseWindowCmd',643,1),
(10027,57015,57031,'OP_EqCollectionFilterCmd',630,1),
(10028,57015,57031,'OP_EqCollectionItemCmd',631,1),
(10029,57015,57031,'OP_EqCollectionUpdateCmd',629,1),
(10030,57015,57031,'OP_EqConsignmentItemsCmd',675,1),
(10031,57015,57031,'OP_EqCreateGhostCmd',596,1),
(10032,57015,57031,'OP_EqCreateListBoxCmd',611,1),
(10033,57015,57031,'OP_EqCreateSignWidgetCmd',598,1),
(10034,57015,57031,'OP_EqCreateWidgetCmd',597,1),
(10035,57015,57031,'OP_EqDebugPVDCmd',664,1),
(10036,57015,57031,'OP_EqDestroyGhostCmd',599,1),
(10037,57015,57031,'OP_EqDialogCloseCmd',627,1),
(10038,57015,57031,'OP_EqDialogOpenCmd',626,1),
(10039,57015,57031,'OP_EqDisplaySpellFailCmd',647,1),
(10040,57015,57031,'OP_EqDisplayTextCmd',595,1),
(10041,57015,57031,'OP_EqDrawablePathGraphCmd',625,1),
(10042,57015,57031,'OP_EqEnableGameEventCmd',657,1),
(10043,57015,57031,'OP_EqEnableWindowCmd',659,1),
(10044,57015,57031,'OP_EqExamineInfoCmd',642,1),
(10045,57015,57031,'OP_EqFactionUpdateCmd',628,1),
(10046,57015,57031,'OP_EqFlashWindowCmd',660,1),
(10047,57015,57031,'OP_EqGetProbsCmd',668,1),
(10048,57015,57031,'OP_EqGroupMemberRemovedCmd',621,1),
(10049,57015,57031,'OP_EqGuildBankEventActionCmd',686,1),
(10050,57015,57031,'OP_EqGuildBankExamineInfoCmd',687,1),
(10051,57015,57031,'OP_EqHearChainEffectCmd',622,1),
(10052,57015,57031,'OP_EqHearChatCmd',594,1),
(10053,57015,57031,'OP_EqHearCombatCmd',603,1),
(10054,57015,57031,'OP_EqHearConsiderCmd',609,1),
(10055,57015,57031,'OP_EqHearDeathCmd',620,1),
(10056,57015,57031,'OP_EQHearDispellCmd',732,1),
(10057,57015,57031,'OP_EqHearDrowningCmd',619,1),
(10058,57015,57031,'OP_EqHearHealCmd',669,1),
(10059,57015,57031,'OP_EqHearPlayFlavorCmd',662,1),
(10060,57015,57031,'OP_EQHearProcCmd',605,1),
(10061,57015,57031,'OP_EQHearResEffectCmd',606,1),
(10062,57015,57031,'OP_EqHearSpellCastCmd',604,1),
(10063,57015,57031,'OP_EqHearSpellFizzleCmd',608,1),
(10064,57015,57031,'OP_EqHearSpellInterruptCmd',607,1),
(10065,57015,57031,'OP_EqHearSpellNoLandCmd',688,1),
(10066,57015,57031,'OP_EQHearThreatCmd',726,1),
(10067,57015,57031,'OP_EqHelpPathClearCmd',640,1),
(10068,57015,57031,'OP_EqHelpPathCmd',639,1),
(10069,57015,57031,'OP_EqInspectPCResultsCmd',624,1),
(10070,57015,57031,'OP_EqInstructionWindowCloseCmd',654,1),
(10071,57015,57031,'OP_EqInstructionWindowCmd',653,1),
(10072,57015,57031,'OP_EqInstructionWindowGoalCmd',655,1),
(10073,57015,57031,'OP_EqInstructionWindowTaskCmd',656,1),
(10074,57015,57031,'OP_EqJunctionListCmd',645,1),
(10075,57015,57031,'OP_EqMapExplorationCmd',678,1),
(10076,57015,57031,'OP_EqMentoring',633,1),
(10077,57015,57031,'OP_EqPlaySound3DCmd',617,1),
(10078,57015,57031,'OP_EqPlaySoundCmd',616,1),
(10079,57015,57031,'OP_EqPlayVoiceCmd',618,1),
(10080,57015,57031,'OP_EqQuestGroupCmd',635,1),
(10081,57015,57031,'OP_EqQuestionnaireCmd',666,1),
(10082,57015,57031,'OP_EqQuestJournalReplyCmd',634,1),
(10083,57015,57031,'OP_EqQuestJournalUpdateCmd',632,1),
(10084,57015,57031,'OP_EqReceiveOfferCmd',623,1),
(10085,57015,57031,'OP_EqResurrectedCmd',650,1),
(10086,57015,57031,'OP_EqSetControlGhostCmd',601,1),
(10087,57015,57031,'OP_EqSetDebugPathPointsCmd',612,1),
(10088,57015,57031,'OP_EqSetDefaultVerbCmd',652,1),
(10089,57015,57031,'OP_EqSetPOVGhostCmd',602,1),
(10090,57015,57031,'OP_EqShowBookCmd',665,1),
(10091,57015,57031,'OP_EqShowDeathWindowCmd',646,1),
(10092,57015,57031,'OP_EqShowWindowCmd',658,1),
(10093,57015,57031,'OP_EqSpellCastEndCmd',649,1),
(10094,57015,57031,'OP_EqSpellCastStartCmd',648,1),
(10095,57015,57031,'OP_EqSpellMoveToRangeAndRetryCmd',680,1),
(10096,57015,57031,'OP_EqStartBrokerCmd',677,1),
(10097,57015,57031,'OP_EqStateCmd',615,1),
(10098,57015,57031,'OP_EqStoreLogCmd',679,1),
(10099,57015,57031,'OP_EqUpdateBankCmd',641,1),
(10100,57015,57031,'OP_EqUpdateGhostCmd',600,1),
(10101,57015,57031,'OP_EqUpdateLootCmd',644,1),
(10102,57015,57031,'OP_EqUpdateMerchantCmd',636,1),
(10103,57015,57031,'OP_EqUpdatePlayerMailCmd',681,1),
(10104,57015,57031,'OP_EqUpdatePlayerTradeCmd',638,1),
(10105,57015,57031,'OP_EqUpdateSignWidgetCmd',663,1),
(10106,57015,57031,'OP_EqUpdateStoreCmd',637,1),
(10107,57015,57031,'OP_EqUpdateSubClassesCmd',610,1),
(10108,57015,57031,'OP_EqUpdateTargetCmd',673,1),
(10109,57015,57031,'OP_EqWhoChannelQueryReplyCmd',671,1),
(10110,57015,57031,'OP_ESInitMsg',25,1),
(10111,57015,57031,'OP_ESLoginRequestMsg',3,1),
(10112,57015,57031,'OP_ESReadyForClientsMsg',26,1),
(10113,57015,57031,'OP_ESStatusMsg',100,1),
(10114,57015,57031,'OP_ESWeatherRequestEndMsg',105,1),
(10115,57015,57031,'OP_ESWeatherRequestMsg',104,1),
(10116,57015,57031,'OP_ESZoneInstanceStatusMsg',101,1),
(10117,57015,57031,'OP_ExamineConsignmentRequestMsg',171,1),
(10118,57015,57031,'OP_ExamineConsignmentResponseMsg',172,1),
(10119,57015,57031,'OP_ExamineInfoRequestMsg',255,1),
(10120,57015,57031,'OP_ExamineItemRequestMsg',195,1),
(10121,57015,57031,'OP_ExitHouseMsg',155,1),
(10122,57015,57031,'OP_ExpectClientAsCharacterReplyMs',22,1),
(10123,57015,57031,'OP_ExpectClientAsCharacterRequest',32,1),
(10124,57015,57031,'OP_ExpPurchWindow',711,1),
(10125,57015,57031,'OP_FellowshipExpMsg',122,1),
(10126,57015,57031,'OP_FlightPathsMsg',413,1),
(10127,57015,57031,'OP_GameWorldTimeMsg',43,1),
(10128,57015,57031,'OP_PaperdollImage',572,1),
(10129,57015,57031,'OP_GetAuctionAssetIDMsg',441,1),
(10130,57015,57031,'OP_GetAuctionAssetIDReplyMsg',442,1),
(10131,57015,57031,'OP_GetAvatarAccessRequestForCSToo',393,1),
(10132,57015,57031,'OP_GetCharacterSerializedReplyMsg',424,1),
(10133,57015,57031,'OP_GetCharacterSerializedRequestM',423,1),
(10134,57015,57031,'OP_GroupCreatedMsg',88,1),
(10135,57015,57031,'OP_GroupDestroyedMsg',89,1),
(10136,57015,57031,'OP_GroupLeaderChangedMsg',93,1),
(10137,57015,57031,'OP_GroupMemberAddedMsg',90,1),
(10138,57015,57031,'OP_GroupMemberRemovedMsg',91,1),
(10139,57015,57031,'OP_GroupOptionsMsg',199,1),
(10140,57015,57031,'OP_GroupRemovedFromGroupMsg',92,1),
(10141,57015,57031,'OP_GroupResendOOZDataMsg',94,1),
(10142,57015,57031,'OP_GroupSettingsChangedMsg',95,1),
(10143,57015,57031,'OP_GuildBankActionMsg',274,1),
(10144,57015,57031,'OP_GuildBankActionResponseMsg',275,1),
(10145,57015,57031,'OP_GuildBankEventListMsg',279,1),
(10146,57015,57031,'OP_GuildBankItemDetailsRequestMsg',276,1),
(10147,57015,57031,'OP_GuildBankItemDetailsResponseMs',277,1),
(10148,57015,57031,'OP_GuildBankUpdateMsg',278,1),
(10149,57015,57031,'OP_GuildEventActionMsg',269,1),
(10150,57015,57031,'OP_GuildEventAddMsg',268,1),
(10151,57015,57031,'OP_GuildEventDetailsMsg',272,1),
(10152,57015,57031,'OP_GuildEventListMsg',270,1),
(10153,57015,57031,'OP_GuildEventMsg',267,1),
(10154,57015,57031,'OP_GuildMembershipResponseMsg',357,1),
(10155,57015,57031,'OP_GuildRecruiting',691,1),
(10156,57015,57031,'OP_GuildRecruitingDetails',692,1),
(10157,57015,57031,'OP_GuildRecruitingImage',693,1),
(10158,57015,57031,'OP_GuildRecruitingMemberInfo',690,1),
(10159,57015,57031,'OP_GuildsayMsg',121,1),
(10160,57015,57031,'OP_GuildStatusUpdate',684,1),
(10161,57015,57031,'OP_GuildUpdateMsg',124,1),
(10162,57015,57031,'OP_HideIllusionsMsg',194,1),
(10163,57015,57031,'OP_HouseAccessRemoveMsg',158,1),
(10164,57015,57031,'OP_HouseAccessSetMsg',157,1),
(10165,57015,57031,'OP_HouseCustomizationScreenMsg',166,1),
(10166,57015,57031,'OP_HouseDefaultAccessSetMsg',156,1),
(10167,57015,57031,'OP_HouseDeletedRemotelyMsg',142,1),
(10168,57015,57031,'OP_HouseItemsList',483,1),
(10169,57015,57031,'OP_HousingDataChangedMsg',427,1),
(10170,57015,57031,'OP_HousingRestoreMsg',428,1),
(10171,57015,57031,'OP_InspectPlayerMsg',363,1),
(10172,57015,57031,'OP_InspectPlayerRequestMsg',450,1),
(10173,57015,57031,'OP_InviteRequestMsg',447,1),
(10174,57015,57031,'OP_InviteResponseMsg',448,1),
(10175,57015,57031,'OP_InviteTargetResponseMsg',449,1),
(10176,57015,57031,'OP_JoinGuildNotifyMsg',359,1),
(10177,57015,57031,'OP_JournalQuestStoryline',733,1),
(10178,57015,57031,'OP_KeymapDataMsg',177,1),
(10179,57015,57031,'OP_KeymapLoadMsg',175,1),
(10180,57015,57031,'OP_KeymapNoneMsg',176,1),
(10181,57015,57031,'OP_KeymapSaveMsg',178,1),
(10182,57015,57031,'OP_KnowledgebaseRequestMsg',227,1),
(10183,57015,57031,'OP_KnowledgebaseResponseMsg',228,1),
(10184,57015,57031,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(10185,57015,57031,'OP_KnownLanguagesMsg',238,1),
(10186,57015,57031,'OP_Launchpad',570,1),
(10187,57015,57031,'OP_LeaveGuildNotifyMsg',358,1),
(10188,57015,57031,'OP_LevelChangedMsg',261,1),
(10189,57015,57031,'OP_LFGGroupSearch',504,1),
(10190,57015,57031,'OP_LFGUpdateMsg',518,1),
(10191,57015,57031,'OP_LikeOption',135,1),
(10192,57015,57031,'OP_LoadCalendarEvents',573,1),
(10193,57015,57031,'OP_LoadWelcomeWindow',558,1),
(10194,57015,57031,'OP_LoginByNumRequestMsg',1,1),
(10195,57015,57031,'OP_LoginReplyMsg',4,1),
(10196,57015,57031,'OP_LoginRequestMsg',0,1),
(10197,57015,57031,'OP_LootItemsRequestMsg',185,1),
(10198,57015,57031,'OP_Lottery',689,1),
(10199,57015,57031,'OP_LSCheckAcctLockMsg',204,1),
(10200,57015,57031,'OP_LsClientAlertlogReplyMsg',242,1),
(10201,57015,57031,'OP_LsClientBaselogReplyMsg',240,1),
(10202,57015,57031,'OP_LsClientCrashlogReplyMsg',241,1),
(10203,57015,57031,'OP_LsClientVerifylogReplyMsg',243,1),
(10204,57015,57031,'OP_LsRequestClientCrashLogMsg',239,1),
(10205,57015,57031,'OP_LSServerLockMsg',365,1),
(10206,57015,57031,'OP_MacroInitMsg',258,1),
(10207,57015,57031,'OP_MacroUpdateMsg',259,1),
(10208,57015,57031,'OP_MailCommitSendMessageMsg',344,1),
(10209,57015,57031,'OP_MailDeleteMessageMsg',340,1),
(10210,57015,57031,'OP_MailEventNotificationMsg',411,1),
(10211,57015,57031,'OP_MailGetHeadersReplyMsg',341,1),
(10212,57015,57031,'OP_MailGetMessageMsg',338,1),
(10213,57015,57031,'OP_MailGetMessageReplyMsg',342,1),
(10214,57015,57031,'OP_MailRemoveAttachFromMailMsg',346,1),
(10215,57015,57031,'OP_MailSendMessageMsg',339,1),
(10216,57015,57031,'OP_MailSendMessageReplyMsg',343,1),
(10217,57015,57031,'OP_MailSendSystemMessageMsg',345,1),
(10218,57015,57031,'OP_MakeGroupLeaderMsg',87,1),
(10219,57015,57031,'OP_MapFogDataInitMsg',395,1),
(10220,57015,57031,'OP_MapFogDataUpdateMsg',396,1),
(10221,57015,57031,'OP_MapRequest',521,1),
(10222,57015,57031,'OP_MarketAddFundsReply',529,1),
(10223,57015,57031,'OP_MarketAddFundsRequest',528,1),
(10224,57015,57031,'OP_MarketFundsUpdate',526,1),
(10225,57015,57031,'OP_MarketPlaceItems',535,1),
(10226,57015,57031,'OP_MarketPlacePrices',532,1),
(10227,57015,57031,'OP_MarketPurchase',531,1),
(10228,57015,57031,'OP_MentorPopup',556,1),
(10229,57015,57031,'OP_MercHireWindow',736,1),
(10230,57015,57031,'OP_MercUnknown',737,1),
(10231,57015,57031,'OP_MigrateBoatTransportMsg',252,1),
(10232,57015,57031,'OP_MigrateBoatTransportReplyMsg',253,1),
(10233,57015,57031,'OP_MigrateClientToZoneReplyMsg',82,1),
(10234,57015,57031,'OP_MigrateClientToZoneRequestMsg',81,1),
(10235,57015,57031,'OP_ModifyGuildMsg',266,1),
(10236,57015,57031,'OP_MonitorCharacterListMsg',56,1),
(10237,57015,57031,'OP_MonitorCharacterListRequestMsg',57,1),
(10238,57015,57031,'OP_MonitorReplyMsg',55,1),
(10239,57015,57031,'OP_MOTDMsg',44,1),
(10240,57015,57031,'OP_MoveableObjectPlacementCriteri',160,1),
(10241,57015,57031,'OP_MoveLogUpdateMsg',390,1),
(10242,57015,57031,'OP_NotifyApprenticeStoppedMentori',408,1),
(10243,57015,57031,'OP_OfferQuestMsg',401,1),
(10244,57015,57031,'OP_OnscreenMsgMsg',264,1),
(10245,57015,57031,'OP_OpenCharCust',559,1),
(10246,57015,57031,'OP_OutOfZoneMemberDataMsg',96,1),
(10247,57015,57031,'OP_PayHouseUpkeepMsg',159,1),
(10248,57015,57031,'OP_PerformCameraShakeMsg',214,1),
(10249,57015,57031,'OP_PerformPlayerKnockbackMsg',213,1),
(10250,57015,57031,'OP_PetOptions',201,1),
(10251,57015,57031,'OP_PetOptionsResponse',576,1),
(10252,57015,57031,'OP_PlayCharacterReplyMsg',19,1),
(10253,57015,57031,'OP_PlayCharacterRequestMsg',18,1),
(10254,57015,57031,'OP_PlayerHouseAccessUpdateMsg',147,1),
(10255,57015,57031,'OP_PlayerHouseBaseScreenMsg',145,1),
(10256,57015,57031,'OP_PlayerHouseCloseUIMsg',149,1),
(10257,57015,57031,'OP_PlayerHouseDisplayStatusMsg',148,1),
(10258,57015,57031,'OP_PlayerHousePurchaseScreenMsg',146,1),
(10259,57015,57031,'OP_PlayerMadeInstacnesScreen',139,1),
(10260,57015,57031,'OP_PlayerMadeInstances',140,1),
(10261,57015,57031,'OP_PlayerPollAnswer',555,1),
(10262,57015,57031,'OP_PlayerPollPopup',554,1),
(10263,57015,57031,'OP_PlayLon',511,1),
(10264,57015,57031,'OP_PointOfInterest',715,1),
(10265,57015,57031,'OP_PointOfInterest2',716,1),
(10266,57015,57031,'OP_PopulateSkillMapsMsg',215,1),
(10267,57015,57031,'OP_PositionBoatTransportMsg',251,1),
(10268,57015,57031,'OP_PositionMoveableObject',162,1),
(10269,57015,57031,'OP_PostPossessionMsg',454,1),
(10270,57015,57031,'OP_PredictionUpdateMsg',37,1),
(10271,57015,57031,'OP_PrePossessionMsg',453,1),
(10272,57015,57031,'OP_PromoFlagsDetailsMsg',374,1),
(10273,57015,57031,'OP_PublishHouse',138,1),
(10274,57015,57031,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(10275,57015,57031,'OP_PurchaseConsignmentRequestMsg',128,1),
(10276,57015,57031,'OP_QueAllBgSolo',562,1),
(10277,57015,57031,'OP_QuestionnaireMsg',260,1),
(10278,57015,57031,'OP_QuestJournalInspectMsg',114,1),
(10279,57015,57031,'OP_QuestJournalOpenMsg',113,1),
(10280,57015,57031,'OP_QuestJournalSetVisibleMsg',115,1),
(10281,57015,57031,'OP_QuestJournalWaypointMsg',116,1),
(10282,57015,57031,'OP_QuestReward',320,1),
(10283,57015,57031,'OP_QuickbarInitMsg',256,1),
(10284,57015,57031,'OP_QuickbarUpdateMsg',257,1),
(10285,57015,57031,'OP_RaceRestrictionMsg',439,1),
(10286,57015,57031,'OP_ReadBookPageMsg',196,1),
(10287,57015,57031,'OP_ReadyForTakeOffMsg',192,1),
(10288,57015,57031,'OP_ReadyToZoneMsg',84,1),
(10289,57015,57031,'OP_ReceipelistUnknown',588,1),
(10290,57015,57031,'OP_RecipeBook',536,1),
(10291,57015,57031,'OP_RecipeDetailsMsg',72,1),
(10292,57015,57031,'OP_RecipeList',727,1),
(10293,57015,57031,'OP_RelinquishHouseMsg',153,1),
(10294,57015,57031,'OP_ReloadLocalizedTxtMsg',355,1),
(10295,57015,57031,'OP_RemoteCmdMsg',42,1),
(10296,57015,57031,'OP_RemoveClientFromGroupMsg',85,1),
(10297,57015,57031,'OP_RemoveConcentrationMsg',112,1),
(10298,57015,57031,'OP_RemoveGroupFromGroupMsg',86,1),
(10299,57015,57031,'OP_RemoveSpellEffectMsg',111,1),
(10300,57015,57031,'OP_RenameGuildMsg',282,1),
(10301,57015,57031,'OP_ReplaceableSubMeshesMsg',165,1),
(10302,57015,57031,'OP_ReportMsg',380,1),
(10303,57015,57031,'OP_RequestCampMsg',50,1),
(10304,57015,57031,'OP_RequestGuildBankEventDetailsMs',280,1),
(10305,57015,57031,'OP_RequestGuildEventDetailsMsg',271,1),
(10306,57015,57031,'OP_RequestGuildInfoMsg',273,1),
(10307,57015,57031,'OP_RequestGuildMembershipMsg',356,1),
(10308,57015,57031,'OP_RequestHelpRepathMsg',206,1),
(10309,57015,57031,'OP_RequestRecipeDetailsMsg',71,1),
(10310,57015,57031,'OP_RequestTargetLocMsg',207,1),
(10311,57015,57031,'OP_Research',728,1),
(10312,57015,57031,'OP_ResendWorldChannelsMsg',443,1),
(10313,57015,57031,'OP_ReskinCharacterRequestMsg',15,1),
(10314,57015,57031,'OP_RestartZoneMsg',412,1),
(10315,57015,57031,'OP_RewardPackMsg',281,1),
(10316,57015,57031,'OP_SatMsg',189,1),
(10317,57015,57031,'OP_SavageBarInitMsg',575,1),
(10318,57015,57031,'OP_SelectZoneTeleporterDestinatio',354,1),
(10319,57015,57031,'OP_SendLatestRequestMsg',97,1),
(10320,57015,57031,'OP_ServerPlayCharacterReplyMsg',24,1),
(10321,57015,57031,'OP_ServerPlayCharacterRequestMsg',23,1),
(10322,57015,57031,'OP_SetInstanceDisplayNameMsg',440,1),
(10323,57015,57031,'OP_SetRemoteCmdsMsg',41,1),
(10324,57015,57031,'OP_SetSocialMsg',99,1),
(10325,57015,57031,'OP_ShaderCustomizationMsg',164,1),
(10326,57015,57031,'OP_ShowCreateFromRecipeUIMsg',219,1),
(10327,57015,57031,'OP_ShowIllusionsMsg',193,1),
(10328,57015,57031,'OP_ShowItemCreationProcessUIMsg',223,1),
(10329,57015,57031,'OP_ShowRecipeBookMsg',226,1),
(10330,57015,57031,'OP_ShowZoneTeleporterDestinations',353,1),
(10331,57015,57031,'OP_SitMsg',187,1),
(10332,57015,57031,'OP_SkillInfoRequest',514,1),
(10333,57015,57031,'OP_SkillInfoResponse',515,1),
(10334,57015,57031,'OP_SpellGainedMsg',262,1),
(10335,57015,57031,'OP_StandMsg',188,1),
(10336,57015,57031,'OP_StoodMsg',190,1),
(10337,57015,57031,'OP_StopItemCreationMsg',222,1),
(10338,57015,57031,'OP_StoppedLootingMsg',186,1),
(10339,57015,57031,'OP_StopTrackingMsg',391,1),
(10340,57015,57031,'OP_SubmitCharCust',560,1),
(10341,57015,57031,'OP_SupplyDepot',725,1),
(10342,57015,57031,'OP_SysClient',218,1),
(10343,57015,57031,'OP_TeleportWithinZoneMsg',79,1),
(10344,57015,57031,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(10345,57015,57031,'OP_TintWidgetsMsg',170,1),
(10346,57015,57031,'OP_TitleUpdateMsg',384,1),
(10347,57015,57031,'OP_TrackingUpdateMsg',389,1),
(10348,57015,57031,'OP_TradeskillList',711,1),
(10349,57015,57031,'OP_TraitsList',717,1),
(10350,57015,57031,'OP_UIEvent',527,1),
(10351,57015,57031,'OP_UIResetMsg',174,1),
(10352,57015,57031,'OP_UISettingsResponseMsg',173,1),
(10353,57015,57031,'OP_Unknown',753,1),
(10354,57015,57031,'OP_UnknownNpcMsg',373,1),
(10355,57015,57031,'OP_UpdateActivePublicZonesMsg',372,1),
(10356,57015,57031,'OP_UpdateCharacterSheetMsg',63,1),
(10357,57015,57031,'OP_UpdateClientPredFlagsMsg',245,1),
(10358,57015,57031,'OP_UpdateDebugRadiiMsg',379,1),
(10359,57015,57031,'OP_UpdateGroupMemberDataMsg',398,1),
(10360,57015,57031,'OP_UpdateHouseAccessDataMsg',144,1),
(10361,57015,57031,'OP_UpdateHouseDataMsg',143,1),
(10362,57015,57031,'OP_UpdateInventoryMsg',68,1),
(10363,57015,57031,'OP_UpdateItemCreationProcessUIMsg',224,1),
(10364,57015,57031,'OP_UpdateMotdMsg',208,1),
(10365,57015,57031,'OP_UpdateOpportunityMsg',75,1),
(10366,57015,57031,'OP_UpdatePositionMsg',39,1),
(10367,57015,57031,'OP_UpdateRaidMsg',381,1),
(10368,57015,57031,'OP_UpdateRecipeBookMsg',70,1),
(10369,57015,57031,'OP_UpdateSkillBookMsg',73,1),
(10370,57015,57031,'OP_UpdateSkillsMsg',74,1),
(10371,57015,57031,'OP_UpdateSpellBookMsg',66,1),
(10372,57015,57031,'OP_UpdateTargetLocMsg',62,1),
(10373,57015,57031,'OP_UpdateTargetMsg',61,1),
(10374,57015,57031,'OP_UpdateTitleCmd',494,1),
(10375,57015,57031,'OP_UseAdornment',705,1),
(10376,57015,57031,'OP_VideoUploaded',574,1),
(10377,57015,57031,'OP_VoiceChatChannel',520,1),
(10378,57015,57031,'OP_VoiceChatServer',721,1),
(10379,57015,57031,'OP_WaypointReplyMsg',349,1),
(10380,57015,57031,'OP_WaypointRequestMsg',348,1),
(10381,57015,57031,'OP_WaypointSelectMsg',350,1),
(10382,57015,57031,'OP_WaypointUpdateMsg',351,1),
(10383,57015,57031,'OP_Weakness',578,1),
(10384,57015,57031,'OP_WhoQueryReplyMsg',54,1),
(10385,57015,57031,'OP_WhoQueryRequestMsg',53,1),
(10386,57015,57031,'OP_WorldDataChangeMsg',410,1),
(10387,57015,57031,'OP_WorldDataUpdateMsg',237,1),
(10388,57015,57031,'OP_WorldListMsg',8,1),
(10389,57015,57031,'OP_WorldPingMsg',399,1),
(10390,57015,57031,'OP_WorldShutdownUpdateMsg',403,1),
(10391,57015,57031,'OP_WorldStatusChangeMsg',6,1),
(10392,57015,57031,'OP_WorldTravelAvail',568,1),
(10393,57015,57031,'OP_WSAcctLockStatusMsg',205,1),
(10394,57015,57031,'OP_WSCreateCharacterReplyMsg',14,1),
(10395,57015,57031,'OP_WSCreateCharacterRequestMsg',13,1),
(10396,57015,57031,'OP_WSLoginRequestMsg',2,1),
(10397,57015,57031,'OP_WSServerHideMsg',366,1),
(10398,57015,57031,'OP_WSServerLockMsg',364,1),
(10399,57015,57031,'OP_WSStatusReplyMsg',5,1),
(10400,57015,57031,'OP_ZoneBgInstanceList',564,1),
(10401,57015,57031,'OP_ZoneInfoMsg',33,1),
(10402,57015,57031,'OP_ZoneInstanceCreateReplyMsg',30,1),
(10403,57015,57031,'OP_ZoneInstanceDestroyedMsg',31,1),
(10404,57015,57031,'OP_ZoneMOTDMsg',45,1),
(10405,57015,57031,'OP_ZonesStatusMsg',103,1),
(10406,57015,57031,'OP_ZonesStatusRequestMsg',102,1),
(10407,57015,57031,'OP_ZoneToFriendReplyMsg',284,1),
(10408,57015,57031,'OP_ZoneToFriendRequestMsg',283,1),
(10409,57107,57109,'OP_LoginRequestMsg',0,1),
(10410,57107,57109,'OP_LoginByNumRequestMsg',1,1),
(10411,57107,57109,'OP_WSLoginRequestMsg',2,1),
(10412,57107,57109,'OP_ESLoginRequestMsg',3,1),
(10413,57107,57109,'OP_LoginReplyMsg',4,1),
(10414,57107,57109,'OP_WSStatusReplyMsg',5,1),
(10415,57107,57109,'OP_WorldStatusChangeMsg',6,1),
(10416,57107,57109,'OP_AllWSDescRequestMsg',7,1),
(10417,57107,57109,'OP_WorldListMsg',8,1),
(10418,57107,57109,'OP_AllCharactersDescRequestMsg',9,1),
(10419,57107,57109,'OP_AllCharactersDescReplyMsg',10,1),
(10420,57107,57109,'OP_CreateCharacterRequestMsg',11,1),
(10421,57107,57109,'OP_CreateCharacterReplyMsg',12,1),
(10422,57107,57109,'OP_WSCreateCharacterRequestMsg',13,1),
(10423,57107,57109,'OP_WSCreateCharacterReplyMsg',14,1),
(10424,57107,57109,'OP_ReskinCharacterRequestMsg',15,1),
(10425,57107,57109,'OP_DeleteCharacterRequestMsg',16,1),
(10426,57107,57109,'OP_DeleteCharacterReplyMsg',17,1),
(10427,57107,57109,'OP_PlayCharacterRequestMsg',18,1),
(10428,57107,57109,'OP_PlayCharacterReplyMsg',19,1),
(10429,57107,57109,'OP_ExpectClientAsCharacterReplyMs',22,1),
(10430,57107,57109,'OP_ServerPlayCharacterRequestMsg',23,1),
(10431,57107,57109,'OP_ServerPlayCharacterReplyMsg',24,1),
(10432,57107,57109,'OP_ESInitMsg',25,1),
(10433,57107,57109,'OP_ESReadyForClientsMsg',26,1),
(10434,57107,57109,'OP_CreateZoneInstanceMsg',29,1),
(10435,57107,57109,'OP_ZoneInstanceCreateReplyMsg',30,1),
(10436,57107,57109,'OP_ZoneInstanceDestroyedMsg',31,1),
(10437,57107,57109,'OP_ExpectClientAsCharacterRequest',32,1),
(10438,57107,57109,'OP_ZoneInfoMsg',33,1),
(10439,57107,57109,'OP_DoneLoadingZoneResourcesMsg',34,1),
(10440,57107,57109,'OP_DoneSendingInitialEntitiesMsg',35,1),
(10441,57107,57109,'OP_DoneLoadingEntityResourcesMsg',36,1),
(10442,57107,57109,'OP_PredictionUpdateMsg',37,1),
(10443,57107,57109,'OP_UpdatePositionMsg',39,1),
(10444,57107,57109,'OP_SetRemoteCmdsMsg',41,1),
(10445,57107,57109,'OP_RemoteCmdMsg',42,1),
(10446,57107,57109,'OP_GameWorldTimeMsg',43,1),
(10447,57107,57109,'OP_MOTDMsg',44,1),
(10448,57107,57109,'OP_ZoneMOTDMsg',45,1),
(10449,57107,57109,'OP_AvatarCreatedMsg',46,1),
(10450,57107,57109,'OP_AvatarDestroyedMsg',47,1),
(10451,57107,57109,'OP_RequestCampMsg',50,1),
(10452,57107,57109,'OP_CampStartedMsg',51,1),
(10453,57107,57109,'OP_CampAbortedMsg',52,1),
(10454,57107,57109,'OP_WhoQueryRequestMsg',53,1),
(10455,57107,57109,'OP_WhoQueryReplyMsg',54,1),
(10456,57107,57109,'OP_MonitorReplyMsg',55,1),
(10457,57107,57109,'OP_MonitorCharacterListMsg',56,1),
(10458,57107,57109,'OP_MonitorCharacterListRequestMsg',57,1),
(10459,57107,57109,'OP_ClientCmdMsg',58,1),
(10460,57107,57109,'OP_DispatchESMsg',59,1),
(10461,57107,57109,'OP_DispatchClientCmdMsg',60,1),
(10462,57107,57109,'OP_UpdateTargetMsg',61,1),
(10463,57107,57109,'OP_UpdateTargetLocMsg',62,1),
(10464,57107,57109,'OP_UpdateCharacterSheetMsg',63,1),
(10465,57107,57109,'OP_CharacterPet',64,1),
(10466,57107,57109,'OP_CharacterMerc',65,1),
(10467,57107,57109,'OP_UpdateSpellBookMsg',66,1),
(10468,57107,57109,'OP_UpdateInventoryMsg',68,1),
(10469,57107,57109,'OP_AfterInvSpellUpdate',69,1),
(10470,57107,57109,'OP_UpdateRecipeBookMsg',70,1),
(10471,57107,57109,'OP_RequestRecipeDetailsMsg',71,1),
(10472,57107,57109,'OP_RecipeDetailsMsg',72,1),
(10473,57107,57109,'OP_UpdateSkillBookMsg',73,1),
(10474,57107,57109,'OP_UpdateSkillsMsg',74,1),
(10475,57107,57109,'OP_UpdateOpportunityMsg',75,1),
(10476,57107,57109,'OP_ChangeZoneMsg',77,1),
(10477,57107,57109,'OP_ClientTeleportRequestMsg',78,1),
(10478,57107,57109,'OP_TeleportWithinZoneMsg',79,1),
(10479,57107,57109,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(10480,57107,57109,'OP_MigrateClientToZoneRequestMsg',81,1),
(10481,57107,57109,'OP_MigrateClientToZoneReplyMsg',82,1),
(10482,57107,57109,'OP_ReadyToZoneMsg',84,1),
(10483,57107,57109,'OP_RemoveClientFromGroupMsg',85,1),
(10484,57107,57109,'OP_RemoveGroupFromGroupMsg',86,1),
(10485,57107,57109,'OP_MakeGroupLeaderMsg',87,1),
(10486,57107,57109,'OP_GroupCreatedMsg',88,1),
(10487,57107,57109,'OP_GroupDestroyedMsg',89,1),
(10488,57107,57109,'OP_GroupMemberAddedMsg',90,1),
(10489,57107,57109,'OP_GroupMemberRemovedMsg',91,1),
(10490,57107,57109,'OP_GroupRemovedFromGroupMsg',92,1),
(10491,57107,57109,'OP_GroupLeaderChangedMsg',93,1),
(10492,57107,57109,'OP_GroupResendOOZDataMsg',94,1),
(10493,57107,57109,'OP_GroupSettingsChangedMsg',95,1),
(10494,57107,57109,'OP_OutOfZoneMemberDataMsg',96,1),
(10495,57107,57109,'OP_SendLatestRequestMsg',97,1),
(10496,57107,57109,'OP_ClearDataMsg',98,1),
(10497,57107,57109,'OP_SetSocialMsg',99,1),
(10498,57107,57109,'OP_ESStatusMsg',100,1),
(10499,57107,57109,'OP_ESZoneInstanceStatusMsg',101,1),
(10500,57107,57109,'OP_ZonesStatusRequestMsg',102,1),
(10501,57107,57109,'OP_ZonesStatusMsg',103,1),
(10502,57107,57109,'OP_ESWeatherRequestMsg',104,1),
(10503,57107,57109,'OP_ESWeatherRequestEndMsg',105,1),
(10504,57107,57109,'OP_DialogSelectMsg',109,1),
(10505,57107,57109,'OP_DialogCloseMsg',110,1),
(10506,57107,57109,'OP_RemoveSpellEffectMsg',111,1),
(10507,57107,57109,'OP_RemoveConcentrationMsg',112,1),
(10508,57107,57109,'OP_QuestJournalOpenMsg',113,1),
(10509,57107,57109,'OP_QuestJournalInspectMsg',114,1),
(10510,57107,57109,'OP_QuestJournalSetVisibleMsg',115,1),
(10511,57107,57109,'OP_QuestJournalWaypointMsg',116,1),
(10512,57107,57109,'OP_CreateGuildRequestMsg',119,1),
(10513,57107,57109,'OP_CreateGuildReplyMsg',120,1),
(10514,57107,57109,'OP_GuildsayMsg',121,1),
(10515,57107,57109,'OP_FellowshipExpMsg',122,1),
(10516,57107,57109,'OP_DeleteGuildMsg',123,1),
(10517,57107,57109,'OP_GuildUpdateMsg',124,1),
(10518,57107,57109,'OP_ConsignmentCloseStoreMsg',125,1),
(10519,57107,57109,'OP_ConsignItemRequestMsg',126,1),
(10520,57107,57109,'OP_ConsignItemResponseMsg',127,1),
(10521,57107,57109,'OP_PurchaseConsignmentRequestMsg',128,1),
(10522,57107,57109,'OP_LikeOption',136,1),
(10523,57107,57109,'OP_PublishHouse',138,1),
(10524,57107,57109,'OP_PlayerMadeInstancesScreen',139,1),
(10525,57107,57109,'OP_PlayerMadeInstances',140,1),
(10526,57107,57109,'OP_HouseDeletedRemotelyMsg',142,1),
(10527,57107,57109,'OP_UpdateHouseDataMsg',143,1),
(10528,57107,57109,'OP_UpdateHouseAccessDataMsg',144,1),
(10529,57107,57109,'OP_PlayerHouseBaseScreenMsg',145,1),
(10530,57107,57109,'OP_PlayerHousePurchaseScreenMsg',146,1),
(10531,57107,57109,'OP_PlayerHouseAccessUpdateMsg',147,1),
(10532,57107,57109,'OP_PlayerHouseDisplayStatusMsg',148,1),
(10533,57107,57109,'OP_PlayerHouseCloseUIMsg',149,1),
(10534,57107,57109,'OP_BuyPlayerHouseMsg',150,1),
(10535,57107,57109,'OP_BuyPlayerHouseTintMsg',151,1),
(10536,57107,57109,'OP_CollectAllHouseItemsMsg',152,1),
(10537,57107,57109,'OP_RelinquishHouseMsg',153,1),
(10538,57107,57109,'OP_EnterHouseMsg',154,1),
(10539,57107,57109,'OP_ExitHouseMsg',155,1),
(10540,57107,57109,'OP_HouseDefaultAccessSetMsg',156,1),
(10541,57107,57109,'OP_HouseAccessSetMsg',157,1),
(10542,57107,57109,'OP_HouseAccessRemoveMsg',158,1),
(10543,57107,57109,'OP_PayHouseUpkeepMsg',159,1),
(10544,57107,57109,'OP_MoveableObjectPlacementCriteri',160,1),
(10545,57107,57109,'OP_EnterMoveObjectModeMsg',161,1),
(10546,57107,57109,'OP_PositionMoveableObject',162,1),
(10547,57107,57109,'OP_CancelMoveObjectModeMsg',163,1),
(10548,57107,57109,'OP_ShaderCustomizationMsg',164,1),
(10549,57107,57109,'OP_ReplaceableSubMeshesMsg',165,1),
(10550,57107,57109,'OP_HouseCustomizationScreenMsg',166,1),
(10551,57107,57109,'OP_CustomizationPurchaseRequestMs',167,1),
(10552,57107,57109,'OP_CustomizationSetRequestMsg',168,1),
(10553,57107,57109,'OP_CustomizationReplyMsg',169,1),
(10554,57107,57109,'OP_TintWidgetsMsg',170,1),
(10555,57107,57109,'OP_ExamineConsignmentRequestMsg',171,1),
(10556,57107,57109,'OP_ExamineConsignmentResponseMsg',172,1),
(10557,57107,57109,'OP_UISettingsResponseMsg',173,1),
(10558,57107,57109,'OP_UIResetMsg',174,1),
(10559,57107,57109,'OP_KeymapLoadMsg',175,1),
(10560,57107,57109,'OP_KeymapNoneMsg',176,1),
(10561,57107,57109,'OP_KeymapDataMsg',177,1),
(10562,57107,57109,'OP_KeymapSaveMsg',178,1),
(10563,57107,57109,'OP_DispatchSpellCmdMsg',179,1),
(10564,57107,57109,'OP_EntityVerbsRequestMsg',180,1),
(10565,57107,57109,'OP_EntityVerbsReplyMsg',181,1),
(10566,57107,57109,'OP_EntityVerbsVerbMsg',182,1),
(10567,57107,57109,'OP_ChatRelationshipUpdateMsg',184,1),
(10568,57107,57109,'OP_LootItemsRequestMsg',185,1),
(10569,57107,57109,'OP_StoppedLootingMsg',186,1),
(10570,57107,57109,'OP_SitMsg',187,1),
(10571,57107,57109,'OP_StandMsg',188,1),
(10572,57107,57109,'OP_SatMsg',189,1),
(10573,57107,57109,'OP_StoodMsg',190,1),
(10574,57107,57109,'OP_ClearForTakeOffMsg',191,1),
(10575,57107,57109,'OP_ReadyForTakeOffMsg',192,1),
(10576,57107,57109,'OP_ShowIllusionsMsg',193,1),
(10577,57107,57109,'OP_HideIllusionsMsg',194,1),
(10578,57107,57109,'OP_ExamineItemRequestMsg',195,1),
(10579,57107,57109,'OP_ReadBookPageMsg',196,1),
(10580,57107,57109,'OP_DefaultGroupOptionsRequestMsg',197,1),
(10581,57107,57109,'OP_DefaultGroupOptionsMsg',198,1),
(10582,57107,57109,'OP_GroupOptionsMsg',199,1),
(10583,57107,57109,'OP_DisplayGroupOptionsScreenMsg',200,1),
(10584,57107,57109,'OP_PetOptions',201,1),
(10585,57107,57109,'OP_DisplayInnVisitScreenMsg',202,1),
(10586,57107,57109,'OP_DumpSchedulerMsg',203,1),
(10587,57107,57109,'OP_LSCheckAcctLockMsg',204,1),
(10588,57107,57109,'OP_WSAcctLockStatusMsg',205,1),
(10589,57107,57109,'OP_RequestHelpRepathMsg',206,1),
(10590,57107,57109,'OP_RequestTargetLocMsg',207,1),
(10591,57107,57109,'OP_UpdateMotdMsg',208,1),
(10592,57107,57109,'OP_DestUpdateReq',210,1),
(10593,57107,57109,'OP_PerformPlayerKnockbackMsg',213,1),
(10594,57107,57109,'OP_PerformCameraShakeMsg',214,1),
(10595,57107,57109,'OP_PopulateSkillMapsMsg',215,1),
(10596,57107,57109,'OP_CancelledFeignMsg',216,1),
(10597,57107,57109,'OP_SysClient',218,1),
(10598,57107,57109,'OP_ShowCreateFromRecipeUIMsg',219,1),
(10599,57107,57109,'OP_CancelCreateFromRecipeMsg',220,1),
(10600,57107,57109,'OP_BeginItemCreationMsg',221,1),
(10601,57107,57109,'OP_StopItemCreationMsg',222,1),
(10602,57107,57109,'OP_ShowItemCreationProcessUIMsg',223,1),
(10603,57107,57109,'OP_UpdateItemCreationProcessUIMsg',224,1),
(10604,57107,57109,'OP_DisplayTSEventReactionMsg',225,1),
(10605,57107,57109,'OP_ShowRecipeBookMsg',226,1),
(10606,57107,57109,'OP_KnowledgebaseRequestMsg',227,1),
(10607,57107,57109,'OP_KnowledgebaseResponseMsg',228,1),
(10608,57107,57109,'OP_CSTicketHeaderRequestMsg',229,1),
(10609,57107,57109,'OP_CSTicketInfoMsg',230,1),
(10610,57107,57109,'OP_CSTicketCommentRequestMsg',231,1),
(10611,57107,57109,'OP_CSTicketCommentResponseMsg',232,1),
(10612,57107,57109,'OP_CSTicketCreateMsg',233,1),
(10613,57107,57109,'OP_CSTicketAddCommentMsg',234,1),
(10614,57107,57109,'OP_CSTicketDeleteMsg',235,1),
(10615,57107,57109,'OP_CSTicketChangeNotificationMsg',236,1),
(10616,57107,57109,'OP_WorldDataUpdateMsg',237,1),
(10617,57107,57109,'OP_KnownLanguagesMsg',238,1),
(10618,57107,57109,'OP_LsRequestClientCrashLogMsg',239,1),
(10619,57107,57109,'OP_LsClientBaselogReplyMsg',240,1),
(10620,57107,57109,'OP_LsClientCrashlogReplyMsg',241,1),
(10621,57107,57109,'OP_LsClientAlertlogReplyMsg',242,1),
(10622,57107,57109,'OP_LsClientVerifylogReplyMsg',243,1),
(10623,57107,57109,'OP_ClientTeleportToLocationMsg',244,1),
(10624,57107,57109,'OP_UpdateClientPredFlagsMsg',245,1),
(10625,57107,57109,'OP_ChangeServerControlFlagMsg',246,1),
(10626,57107,57109,'OP_CSToolsRequestMsg',247,1),
(10627,57107,57109,'OP_CSToolsResponseMsg',248,1),
(10628,57107,57109,'OP_AddSocialStructureStandingMsg',249,1),
(10629,57107,57109,'OP_CreateBoatTransportsMsg',250,1),
(10630,57107,57109,'OP_PositionBoatTransportMsg',251,1),
(10631,57107,57109,'OP_MigrateBoatTransportMsg',252,1),
(10632,57107,57109,'OP_MigrateBoatTransportReplyMsg',253,1),
(10633,57107,57109,'OP_DisplayDebugNLLPointsMsg',254,1),
(10634,57107,57109,'OP_ExamineInfoRequestMsg',255,1),
(10635,57107,57109,'OP_QuickbarInitMsg',256,1),
(10636,57107,57109,'OP_QuickbarUpdateMsg',257,1),
(10637,57107,57109,'OP_MacroInitMsg',258,1),
(10638,57107,57109,'OP_MacroUpdateMsg',259,1),
(10639,57107,57109,'OP_QuestionnaireMsg',260,1),
(10640,57107,57109,'OP_LevelChangedMsg',261,1),
(10641,57107,57109,'OP_SpellGainedMsg',262,1),
(10642,57107,57109,'OP_EncounterBrokenMsg',263,1),
(10643,57107,57109,'OP_OnscreenMsgMsg',264,1),
(10644,57107,57109,'OP_DisplayWarningMsg',265,1),
(10645,57107,57109,'OP_ModifyGuildMsg',266,1),
(10646,57107,57109,'OP_GuildEventMsg',267,1),
(10647,57107,57109,'OP_GuildEventAddMsg',268,1),
(10648,57107,57109,'OP_GuildEventActionMsg',269,1),
(10649,57107,57109,'OP_GuildEventListMsg',270,1),
(10650,57107,57109,'OP_RequestGuildEventDetailsMsg',271,1),
(10651,57107,57109,'OP_GuildEventDetailsMsg',272,1),
(10652,57107,57109,'OP_RequestGuildInfoMsg',273,1),
(10653,57107,57109,'OP_GuildBankActionMsg',274,1),
(10654,57107,57109,'OP_GuildBankActionResponseMsg',275,1),
(10655,57107,57109,'OP_GuildBankItemDetailsRequestMsg',276,1),
(10656,57107,57109,'OP_GuildBankItemDetailsResponseMs',277,1),
(10657,57107,57109,'OP_GuildBankUpdateMsg',278,1),
(10658,57107,57109,'OP_GuildBankEventListMsg',279,1),
(10659,57107,57109,'OP_RequestGuildBankEventDetailsMs',280,1),
(10660,57107,57109,'OP_RewardPackMsg',281,1),
(10661,57107,57109,'OP_RenameGuildMsg',282,1),
(10662,57107,57109,'OP_ZoneToFriendRequestMsg',283,1),
(10663,57107,57109,'OP_ZoneToFriendReplyMsg',284,1),
(10664,57107,57109,'OP_ChatCreateChannelMsg',285,1),
(10665,57107,57109,'OP_ChatJoinChannelMsg',286,1),
(10666,57107,57109,'OP_ChatWhoChannelMsg',287,1),
(10667,57107,57109,'OP_ChatLeaveChannelMsg',288,1),
(10668,57107,57109,'OP_ChatTellChannelMsg',289,1),
(10669,57107,57109,'OP_ChatTellUserMsg',290,1),
(10670,57107,57109,'OP_ChatToggleFriendMsg',291,1),
(10671,57107,57109,'OP_BrokerAddBag',292,1),
(10672,57107,57109,'OP_BrokerRemoveBag',293,1),
(10673,57107,57109,'OP_ChatToggleIgnoreMsg',294,1),
(10674,57107,57109,'OP_ChatSendFriendsMsg',295,1),
(10675,57107,57109,'OP_ChatSendIgnoresMsg',296,1),
(10676,57107,57109,'OP_QuestReward',320,1),
(10677,57107,57109,'OP_ChatFiltersMsg',335,1),
(10678,57107,57109,'OP_MailGetMessageMsg',338,1),
(10679,57107,57109,'OP_MailSendMessageMsg',339,1),
(10680,57107,57109,'OP_MailDeleteMessageMsg',340,1),
(10681,57107,57109,'OP_MailGetHeadersReplyMsg',341,1),
(10682,57107,57109,'OP_MailGetMessageReplyMsg',342,1),
(10683,57107,57109,'OP_MailSendMessageReplyMsg',343,1),
(10684,57107,57109,'OP_MailCommitSendMessageMsg',344,1),
(10685,57107,57109,'OP_MailSendSystemMessageMsg',345,1),
(10686,57107,57109,'OP_MailRemoveAttachFromMailMsg',346,1),
(10687,57107,57109,'OP_WaypointRequestMsg',348,1),
(10688,57107,57109,'OP_WaypointReplyMsg',349,1),
(10689,57107,57109,'OP_WaypointSelectMsg',350,1),
(10690,57107,57109,'OP_WaypointUpdateMsg',351,1),
(10691,57107,57109,'OP_CharNameChangedMsg',352,1),
(10692,57107,57109,'OP_ShowZoneTeleporterDestinations',353,1),
(10693,57107,57109,'OP_SelectZoneTeleporterDestinatio',354,1),
(10694,57107,57109,'OP_ReloadLocalizedTxtMsg',355,1),
(10695,57107,57109,'OP_RequestGuildMembershipMsg',356,1),
(10696,57107,57109,'OP_GuildMembershipResponseMsg',357,1),
(10697,57107,57109,'OP_LeaveGuildNotifyMsg',358,1),
(10698,57107,57109,'OP_JoinGuildNotifyMsg',359,1),
(10699,57107,57109,'OP_AvatarUpdateMsg',360,1),
(10700,57107,57109,'OP_BioUpdateMsg',362,1),
(10701,57107,57109,'OP_InspectPlayerMsg',363,1),
(10702,57107,57109,'OP_WSServerLockMsg',364,1),
(10703,57107,57109,'OP_LSServerLockMsg',365,1),
(10704,57107,57109,'OP_WSServerHideMsg',366,1),
(10705,57107,57109,'OP_CsCategoryRequestMsg',367,1),
(10706,57107,57109,'OP_CsCategoryResponseMsg',368,1),
(10707,57107,57109,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(10708,57107,57109,'OP_AFKUpdateMsg',370,1),
(10709,57107,57109,'OP_AnonUpdateMsg',371,1),
(10710,57107,57109,'OP_UpdateActivePublicZonesMsg',372,1),
(10711,57107,57109,'OP_UnknownNpcMsg',373,1),
(10712,57107,57109,'OP_PromoFlagsDetailsMsg',374,1),
(10713,57107,57109,'OP_ConsignViewCreateMsg',375,1),
(10714,57107,57109,'OP_ConsignViewGetPageMsg',376,1),
(10715,57107,57109,'OP_ConsignViewReleaseMsg',377,1),
(10716,57107,57109,'OP_ConsignRemoveItemsMsg',378,1),
(10717,57107,57109,'OP_UpdateDebugRadiiMsg',379,1),
(10718,57107,57109,'OP_ReportMsg',380,1),
(10719,57107,57109,'OP_UpdateRaidMsg',381,1),
(10720,57107,57109,'OP_ConsignViewSortMsg',383,1),
(10721,57107,57109,'OP_TitleUpdateMsg',384,1),
(10722,57107,57109,'OP_ClientFellMsg',385,1),
(10723,57107,57109,'OP_ClientInDeathRegionMsg',386,1),
(10724,57107,57109,'OP_CampClientMsg',387,1),
(10725,57107,57109,'OP_CSToolAccessResponseMsg',388,1),
(10726,57107,57109,'OP_UpdateGroupMemberDataMsg',388,1),
(10727,57107,57109,'OP_TrackingUpdateMsg',389,1),
(10728,57107,57109,'OP_BeginTrackingMsg',390,1),
(10729,57107,57109,'OP_StopTrackingMsg',391,1),
(10730,57107,57109,'OP_GetAvatarAccessRequestForCSToo',393,1),
(10731,57107,57109,'OP_AdvancementRequestMsg',394,1),
(10732,57107,57109,'OP_MapFogDataInitMsg',395,1),
(10733,57107,57109,'OP_MapFogDataUpdateMsg',396,1),
(10734,57107,57109,'OP_CloseGroupInviteWindowMsg',397,1),
(10735,57107,57109,'OP_WorldPingMsg',399,1),
(10736,57107,57109,'OP_MoveLogUpdateMsg',400,1),
(10737,57107,57109,'OP_OfferQuestMsg',401,1),
(10738,57107,57109,'OP_WorldShutdownUpdateMsg',403,1),
(10739,57107,57109,'OP_DisplayMailScreenMsg',404,1),
(10740,57107,57109,'OP_ClientIdleBeginMsg',405,1),
(10741,57107,57109,'OP_ClientIdleEndMsg',406,1),
(10742,57107,57109,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(10743,57107,57109,'OP_NotifyApprenticeStoppedMentori',408,1),
(10744,57107,57109,'OP_CorruptedClientMsg',409,1),
(10745,57107,57109,'OP_WorldDataChangeMsg',410,1),
(10746,57107,57109,'OP_MailEventNotificationMsg',411,1),
(10747,57107,57109,'OP_RestartZoneMsg',412,1),
(10748,57107,57109,'OP_FlightPathsMsg',413,1),
(10749,57107,57109,'OP_CharacterLinkdeadMsg',414,1),
(10750,57107,57109,'OP_CharTransferStartRequestMsg',415,1),
(10751,57107,57109,'OP_CharTransferStartReplyMsg',416,1),
(10752,57107,57109,'OP_CharTransferRequestMsg',417,1),
(10753,57107,57109,'OP_CharTransferReplyMsg',418,1),
(10754,57107,57109,'OP_CharTransferRollbackRequestMsg',419,1),
(10755,57107,57109,'OP_CharTransferCommitRequestMsg',420,1),
(10756,57107,57109,'OP_CharTransferRollbackReplyMsg',421,1),
(10757,57107,57109,'OP_CharTransferCommitReplyMsg',422,1),
(10758,57107,57109,'OP_GetCharacterSerializedRequestM',423,1),
(10759,57107,57109,'OP_GetCharacterSerializedReplyMsg',424,1),
(10760,57107,57109,'OP_CreateCharFromCBBRequestMsg',425,1),
(10761,57107,57109,'OP_CreateCharFromCBBReplyMsg',426,1),
(10762,57107,57109,'OP_HousingDataChangedMsg',427,1),
(10763,57107,57109,'OP_HousingRestoreMsg',428,1),
(10764,57107,57109,'OP_AuctionItem',429,1),
(10765,57107,57109,'OP_AuctionItemReply',430,1),
(10766,57107,57109,'OP_AuctionCoin',431,1),
(10767,57107,57109,'OP_AuctionCoinReply',432,1),
(10768,57107,57109,'OP_AuctionCharacter',433,1),
(10769,57107,57109,'OP_AuctionCharacterReply',434,1),
(10770,57107,57109,'OP_AuctionCommitMsg',435,1),
(10771,57107,57109,'OP_AuctionAbortMsg',436,1),
(10772,57107,57109,'OP_CharTransferValidateRequestMsg',437,1),
(10773,57107,57109,'OP_CharTransferValidateReplyMsg',438,1),
(10774,57107,57109,'OP_RaceRestrictionMsg',439,1),
(10775,57107,57109,'OP_SetInstanceDisplayNameMsg',440,1),
(10776,57107,57109,'OP_GetAuctionAssetIDMsg',441,1),
(10777,57107,57109,'OP_GetAuctionAssetIDReplyMsg',442,1),
(10778,57107,57109,'OP_ResendWorldChannelsMsg',443,1),
(10779,57107,57109,'OP_DisplayExchangeScreenMsg',444,1),
(10780,57107,57109,'OP_ArenaGameTypesMsg',445,1),
(10781,57107,57109,'OP_AuditAuctionEventMsg',446,1),
(10782,57107,57109,'OP_InviteRequestMsg',447,1),
(10783,57107,57109,'OP_InviteResponseMsg',448,1),
(10784,57107,57109,'OP_InviteTargetResponseMsg',449,1),
(10785,57107,57109,'OP_InspectPlayerRequestMsg',450,1),
(10786,57107,57109,'OP_DispatchMsg',451,1),
(10787,57107,57109,'OP_DisplayEventMsg',452,1),
(10788,57107,57109,'OP_PrePossessionMsg',453,1),
(10789,57107,57109,'OP_PostPossessionMsg',454,1),
(10790,57107,57109,'OP_ArenaCreate',456,1),
(10791,57107,57109,'OP_ArenaList',457,1),
(10792,57107,57109,'OP_ArenaWindow',465,1),
(10793,57107,57109,'OP_HouseItemsList',484,1),
(10794,57107,57109,'OP_CurrentPet',485,1),
(10795,57107,57109,'OP_AdventureList',488,1),
(10796,57107,57109,'OP_CancelSpellCast',489,1),
(10797,57107,57109,'OP_ClearForLandingMsg',491,1),
(10798,57107,57109,'OP_UpdateTitleCmd',494,1),
(10799,57107,57109,'OP_AttackAllowed',500,1),
(10800,57107,57109,'OP_AttackNotAllowed',501,1),
(10801,57107,57109,'OP_BagOptions',502,1),
(10802,57107,57109,'OP_LFGGroupSearch',504,1),
(10803,57107,57109,'OP_CharacterHousingList',507,1),
(10804,57107,57109,'OP_DressingRoom',510,1),
(10805,57107,57109,'OP_PlayLon',511,1),
(10806,57107,57109,'OP_SkillInfoRequest',514,1),
(10807,57107,57109,'OP_SkillInfoResponse',515,1),
(10808,57107,57109,'OP_LFGUpdateMsg',518,1),
(10809,57107,57109,'OP_BadLanguageFilter',519,1),
(10810,57107,57109,'OP_VoiceChatChannel',520,1),
(10811,57107,57109,'OP_MapRequest',521,1),
(10812,57107,57109,'OP_MarketFundsUpdate',526,1),
(10813,57107,57109,'OP_UIEvent',527,1),
(10814,57107,57109,'OP_MarketAddFundsRequest',528,1),
(10815,57107,57109,'OP_MarketAddFundsReply',529,1),
(10816,57107,57109,'OP_MarketPurchase',531,1),
(10817,57107,57109,'OP_MarketPlacePrices',532,1),
(10818,57107,57109,'OP_MarketPlaceItems',537,1),
(10819,57107,57109,'OP_RecipeBook',538,1),
(10820,57107,57109,'OP_CreateCharacterDungeon',547,1),
(10821,57107,57109,'OP_DungeonMakerEnter',548,1),
(10822,57107,57109,'OP_DungeonMakerItemRequest',550,1),
(10823,57107,57109,'OP_CharacterCreatedDungeons',551,1),
(10824,57107,57109,'OP_DungeonMakerToolboxList',552,1),
(10825,57107,57109,'OP_DungeonMakerUnknown',553,1),
(10826,57107,57109,'OP_DungeonMakerUnknown1',554,1),
(10827,57107,57109,'OP_PlayerPollPopup',556,1),
(10828,57107,57109,'OP_PlayerPollAnswer',557,1),
(10829,57107,57109,'OP_MentorPopup',558,1),
(10830,57107,57109,'OP_LoadWelcomeWindow',560,1),
(10831,57107,57109,'OP_OpenCharCust',561,1),
(10832,57107,57109,'OP_SubmitCharCust',562,1),
(10833,57107,57109,'OP_QueAllBgSolo',564,1),
(10834,57107,57109,'OP_ZoneBgInstanceList',566,1),
(10835,57107,57109,'OP_WorldTravelAvail',570,1),
(10836,57107,57109,'OP_Launchpad',572,1),
(10837,57107,57109,'OP_PaperdollImage',574,1),
(10838,57107,57109,'OP_LoadCalendarEvents',575,1),
(10839,57107,57109,'OP_VideoUploaded',576,1),
(10840,57107,57109,'OP_SavageBarInitMsg',577,1),
(10841,57107,57109,'OP_PetOptionsResponse',578,1),
(10842,57107,57109,'OP_DungeonMakerItemResponse',579,1),
(10843,57107,57109,'OP_CharacterMounts',581,1),
(10844,57107,57109,'OP_RecipeListUnknown',590,1),
(10845,57107,57109,'OP_EqBetaCopyRequest',601,1),
(10846,57107,57109,'OP_EqHearChatCmd',602,1),
(10847,57107,57109,'OP_EqDisplayTextCmd',603,1),
(10848,57107,57109,'OP_EqCreateGhostCmd',604,1),
(10849,57107,57109,'OP_EqCreateWidgetCmd',605,1),
(10850,57107,57109,'OP_EqCreateSignWidgetCmd',606,1),
(10851,57107,57109,'OP_EqDestroyGhostCmd',607,1),
(10852,57107,57109,'OP_EqUpdateGhostCmd',608,1),
(10853,57107,57109,'OP_EqSetControlGhostCmd',609,1),
(10854,57107,57109,'OP_EqSetPOVGhostCmd',610,1),
(10855,57107,57109,'OP_EqHearCombatCmd',611,1),
(10856,57107,57109,'OP_EqHearSpellCastCmd',612,1),
(10857,57107,57109,'OP_EQHearProcCmd',613,1),
(10858,57107,57109,'OP_EQHearResEffectCmd',614,1),
(10859,57107,57109,'OP_EqHearSpellInterruptCmd',615,1),
(10860,57107,57109,'OP_EqHearSpellFizzleCmd',616,1),
(10861,57107,57109,'OP_EqHearConsiderCmd',617,1),
(10862,57107,57109,'OP_EqUpdateSubClassesCmd',618,1),
(10863,57107,57109,'OP_EqCreateListBoxCmd',619,1),
(10864,57107,57109,'OP_EqSetDebugPathPointsCmd',620,1),
(10865,57107,57109,'OP_EqCannedEmoteCmd',622,1),
(10866,57107,57109,'OP_EqStateCmd',623,1),
(10867,57107,57109,'OP_EqPlaySoundCmd',624,1),
(10868,57107,57109,'OP_EqPlaySound3DCmd',625,1),
(10869,57107,57109,'OP_EqPlayVoiceCmd',626,1),
(10870,57107,57109,'OP_EqHearDrowningCmd',627,1),
(10871,57107,57109,'OP_EqHearDeathCmd',628,1),
(10872,57107,57109,'OP_EqGroupMemberRemovedCmd',629,1),
(10873,57107,57109,'OP_EqHearChainEffectCmd',630,1),
(10874,57107,57109,'OP_EqReceiveOfferCmd',631,1),
(10875,57107,57109,'OP_EqInspectPCResultsCmd',632,1),
(10876,57107,57109,'OP_EqDrawablePathGraphCmd',633,1),
(10877,57107,57109,'OP_EqDialogOpenCmd',634,1),
(10878,57107,57109,'OP_EqDialogCloseCmd',635,1),
(10879,57107,57109,'OP_EqFactionUpdateCmd',636,1),
(10880,57107,57109,'OP_EqCollectionUpdateCmd',637,1),
(10881,57107,57109,'OP_EqCollectionFilterCmd',638,1),
(10882,57107,57109,'OP_EqCollectionItemCmd',639,1),
(10883,57107,57109,'OP_EqQuestJournalUpdateCmd',640,1),
(10884,57107,57109,'OP_EqMentoring',641,1),
(10885,57107,57109,'OP_EqQuestJournalReplyCmd',642,1),
(10886,57107,57109,'OP_EqQuestGroupCmd',643,1),
(10887,57107,57109,'OP_EqUpdateMerchantCmd',644,1),
(10888,57107,57109,'OP_EqUpdateStoreCmd',645,1),
(10889,57107,57109,'OP_EqUpdatePlayerTradeCmd',646,1),
(10890,57107,57109,'OP_EqHelpPathCmd',647,1),
(10891,57107,57109,'OP_EqHelpPathClearCmd',648,1),
(10892,57107,57109,'OP_EqUpdateBankCmd',649,1),
(10893,57107,57109,'OP_EqExamineInfoCmd',650,1),
(10894,57107,57109,'OP_EqCloseWindowCmd',651,1),
(10895,57107,57109,'OP_EqUpdateLootCmd',652,1),
(10896,57107,57109,'OP_EqJunctionListCmd',653,1),
(10897,57107,57109,'OP_EqShowDeathWindowCmd',654,1),
(10898,57107,57109,'OP_EqDisplaySpellFailCmd',655,1),
(10899,57107,57109,'OP_EqSpellCastStartCmd',656,1),
(10900,57107,57109,'OP_EqSpellCastEndCmd',657,1),
(10901,57107,57109,'OP_EqResurrectedCmd',658,1),
(10902,57107,57109,'OP_EqChoiceWinCmd',659,1),
(10903,57107,57109,'OP_EqSetDefaultVerbCmd',660,1),
(10904,57107,57109,'OP_EqInstructionWindowCmd',661,1),
(10905,57107,57109,'OP_EqInstructionWindowCloseCmd',662,1),
(10906,57107,57109,'OP_EqInstructionWindowGoalCmd',663,1),
(10907,57107,57109,'OP_EqInstructionWindowTaskCmd',664,1),
(10908,57107,57109,'OP_EqEnableGameEventCmd',665,1),
(10909,57107,57109,'OP_EqShowWindowCmd',666,1),
(10910,57107,57109,'OP_EqEnableWindowCmd',667,1),
(10911,57107,57109,'OP_EqFlashWindowCmd',668,1),
(10912,57107,57109,'OP_EqHearPlayFlavorCmd',670,1),
(10913,57107,57109,'OP_EqUpdateSignWidgetCmd',671,1),
(10914,57107,57109,'OP_EqDebugPVDCmd',672,1),
(10915,57107,57109,'OP_EqShowBookCmd',673,1),
(10916,57107,57109,'OP_EqQuestionnaireCmd',674,1),
(10917,57107,57109,'OP_EqGetProbsCmd',676,1),
(10918,57107,57109,'OP_EqHearHealCmd',677,1),
(10919,57107,57109,'OP_EqChatChannelUpdateCmd',678,1),
(10920,57107,57109,'OP_EqWhoChannelQueryReplyCmd',679,1),
(10921,57107,57109,'OP_EqAvailWorldChannelsCmd',680,1),
(10922,57107,57109,'OP_EqUpdateTargetCmd',681,1),
(10923,57107,57109,'OP_BrokerSellList',682,1),
(10924,57107,57109,'OP_EqConsignmentItemsCmd',683,1),
(10925,57107,57109,'OP_EqStartBrokerCmd',685,1),
(10926,57107,57109,'OP_EqMapExplorationCmd',686,1),
(10927,57107,57109,'OP_EqStoreLogCmd',687,1),
(10928,57107,57109,'OP_EqSpellMoveToRangeAndRetryCmd',688,1),
(10929,57107,57109,'OP_EqUpdatePlayerMailCmd',689,1),
(10930,57107,57109,'OP_GuildStatusUpdate',692,1),
(10931,57107,57109,'OP_EqArenaResultsCmd',693,1),
(10932,57107,57109,'OP_EqGuildBankEventActionCmd',694,1),
(10933,57107,57109,'OP_EqGuildBankExamineInfoCmd',695,1),
(10934,57107,57109,'OP_EqHearSpellNoLandCmd',696,1),
(10935,57107,57109,'OP_Lottery',697,1),
(10936,57107,57109,'OP_GuildRecruitingMemberInfo',698,1),
(10937,57107,57109,'OP_GuildRecruiting',699,1),
(10938,57107,57109,'OP_GuildRecruitingDetails',700,1),
(10939,57107,57109,'OP_GuildRecruitingImage',701,1),
(10940,57107,57109,'OP_TradeskillList',702,1),
(10941,57107,57109,'OP_CharRenamed',703,1),
(10942,57107,57109,'OP_UseAdornment',713,1),
(10943,57107,57109,'OP_ExpPurchWindow',719,1),
(10944,57107,57109,'OP_PointOfInterest',723,1),
(10945,57107,57109,'OP_PointOfInterest2',724,1),
(10946,57107,57109,'OP_TraitsList',725,1),
(10947,57107,57109,'OP_CustomizeHouseDisplay',728,1),
(10948,57107,57109,'OP_VoiceChatServer',729,1),
(10949,57107,57109,'OP_SupplyDepot',733,1),
(10950,57107,57109,'OP_EQHearThreatCmd',734,1),
(10951,57107,57109,'OP_RecipeList',735,1),
(10952,57107,57109,'OP_Research',736,1),
(10953,57107,57109,'OP_CharacterCurrency',737,1),
(10954,57107,57109,'OP_CharacterAchievements',738,1),
(10955,57107,57109,'OP_AchievementUpdateMsg',739,1),
(10956,57107,57109,'OP_EQHearDispellCmd',740,1),
(10957,57107,57109,'OP_JournalQuestStoryline',741,1),
(10958,57107,57109,'OP_DungeonPlayAsAvatarList',742,1),
(10959,57107,57109,'OP_DungeonPlayAsAvatarSelected',743,1),
(10960,57107,57109,'OP_MercHireWindow',744,1),
(10961,57107,57109,'OP_MercUnknown',745,1),
(10962,57107,57109,'OP_Unknown',758,1),
(10963,57107,57109,'OP_DailyObjectives',595,1),
(10964,57107,57109,'OP_Weakness',580,1),
(10965,57121,58525,'OP_AchievementUpdateMsg',741,1),
(10966,57121,58525,'OP_AddSocialStructureStandingMsg',249,1),
(10967,57121,58525,'OP_AdvancementRequestMsg',394,1),
(10968,57121,58525,'OP_AdventureList',488,1),
(10969,57121,58525,'OP_AFKUpdateMsg',370,1),
(10970,57121,58525,'OP_AfterInvSpellUpdate',69,1),
(10971,57121,58525,'OP_AllCharactersDescReplyMsg',10,1),
(10972,57121,58525,'OP_AllCharactersDescRequestMsg',9,1),
(10973,57121,58525,'OP_AllWSDescRequestMsg',7,1),
(10974,57121,58525,'OP_AnonUpdateMsg',371,1),
(10975,57121,58525,'OP_ArenaCreate',456,1),
(10976,57121,58525,'OP_ArenaGameTypesMsg',445,1),
(10977,57121,58525,'OP_ArenaList',457,1),
(10978,57121,58525,'OP_ArenaWindow',465,1),
(10979,57121,58525,'OP_AttackAllowed',500,1),
(10980,57121,58525,'OP_AttackNotAllowed',501,1),
(10981,57121,58525,'OP_AuctionAbortMsg',436,1),
(10982,57121,58525,'OP_AuctionCharacter',433,1),
(10983,57121,58525,'OP_AuctionCharacterReply',434,1),
(10984,57121,58525,'OP_AuctionCoin',431,1),
(10985,57121,58525,'OP_AuctionCoinReply',432,1),
(10986,57121,58525,'OP_AuctionCommitMsg',435,1),
(10987,57121,58525,'OP_AuctionItem',429,1),
(10988,57121,58525,'OP_AuctionItemReply',430,1),
(10989,57121,58525,'OP_AuditAuctionEventMsg',446,1),
(10990,57121,58525,'OP_AvatarCreatedMsg',46,1),
(10991,57121,58525,'OP_AvatarDestroyedMsg',47,1),
(10992,57121,58525,'OP_AvatarUpdateMsg',360,1),
(10993,57121,58525,'OP_BadLanguageFilter',519,1),
(10994,57121,58525,'OP_BagOptions',502,1),
(10995,57121,58525,'OP_BeginItemCreationMsg',221,1),
(10996,57121,58525,'OP_BeginTrackingMsg',390,1),
(10997,57121,58525,'OP_BioUpdateMsg',362,1),
(10998,57121,58525,'OP_BrokerAddBag',292,1),
(10999,57121,58525,'OP_BrokerRemoveBag',293,1),
(11000,57121,58525,'OP_BrokerSellList',684,1),
(11001,57121,58525,'OP_BuyPlayerHouseMsg',150,1),
(11002,57121,58525,'OP_BuyPlayerHouseTintMsg',151,1),
(11003,57121,58525,'OP_CampAbortedMsg',52,1),
(11004,57121,58525,'OP_CampClientMsg',387,1),
(11005,57121,58525,'OP_CampStartedMsg',51,1),
(11006,57121,58525,'OP_CancelCreateFromRecipeMsg',220,1),
(11007,57121,58525,'OP_CancelledFeignMsg',216,1),
(11008,57121,58525,'OP_CancelMoveObjectModeMsg',163,1),
(11009,57121,58525,'OP_CancelSpellCast',489,1),
(11010,57121,58525,'OP_ChangeServerControlFlagMsg',246,1),
(11011,57121,58525,'OP_ChangeZoneMsg',77,1),
(11012,57121,58525,'OP_CharacterAchievements',740,1),
(11013,57121,58525,'OP_CharacterCreatedDungeons',551,1),
(11014,57121,58525,'OP_CharacterCurrency',739,1),
(11015,57121,58525,'OP_CharacterHousingList',507,1),
(11016,57121,58525,'OP_CharacterLinkdeadMsg',414,1),
(11017,57121,58525,'OP_CharacterMerc',65,1),
(11018,57121,58525,'OP_CharacterMounts',582,1),
(11019,57121,58525,'OP_CharacterPet',64,1),
(11020,57121,58525,'OP_CharNameChangedMsg',352,1),
(11021,57121,58525,'OP_CharRenamed',705,1),
(11022,57121,58525,'OP_CharTransferCommitReplyMsg',422,1),
(11023,57121,58525,'OP_CharTransferCommitRequestMsg',420,1),
(11024,57121,58525,'OP_CharTransferReplyMsg',418,1),
(11025,57121,58525,'OP_CharTransferRequestMsg',417,1),
(11026,57121,58525,'OP_CharTransferRollbackReplyMsg',421,1),
(11027,57121,58525,'OP_CharTransferRollbackRequestMsg',419,1),
(11028,57121,58525,'OP_CharTransferStartReplyMsg',416,1),
(11029,57121,58525,'OP_CharTransferStartRequestMsg',415,1),
(11030,57121,58525,'OP_CharTransferValidateReplyMsg',438,1),
(11031,57121,58525,'OP_CharTransferValidateRequestMsg',437,1),
(11032,57121,58525,'OP_ChatCreateChannelMsg',285,1),
(11033,57121,58525,'OP_ChatFiltersMsg',335,1),
(11034,57121,58525,'OP_ChatJoinChannelMsg',286,1),
(11035,57121,58525,'OP_ChatLeaveChannelMsg',288,1),
(11036,57121,58525,'OP_ChatRelationshipUpdateMsg',184,1),
(11037,57121,58525,'OP_ChatSendFriendsMsg',295,1),
(11038,57121,58525,'OP_ChatSendIgnoresMsg',296,1),
(11039,57121,58525,'OP_ChatTellChannelMsg',289,1),
(11040,57121,58525,'OP_ChatTellUserMsg',290,1),
(11041,57121,58525,'OP_ChatToggleFriendMsg',291,1),
(11042,57121,58525,'OP_ChatToggleIgnoreMsg',294,1),
(11043,57121,58525,'OP_ChatWhoChannelMsg',287,1),
(11044,57121,58525,'OP_ClearDataMsg',98,1),
(11045,57121,58525,'OP_ClearForLandingMsg',491,1),
(11046,57121,58525,'OP_ClearForTakeOffMsg',191,1),
(11047,57121,58525,'OP_ClientCmdMsg',58,1),
(11048,57121,58525,'OP_ClientFellMsg',385,1),
(11049,57121,58525,'OP_ClientIdleBeginMsg',405,1),
(11050,57121,58525,'OP_ClientIdleEndMsg',406,1),
(11051,57121,58525,'OP_ClientInDeathRegionMsg',386,1),
(11052,57121,58525,'OP_ClientTeleportRequestMsg',78,1),
(11053,57121,58525,'OP_ClientTeleportToLocationMsg',244,1),
(11054,57121,58525,'OP_CloseGroupInviteWindowMsg',397,1),
(11055,57121,58525,'OP_CollectAllHouseItemsMsg',152,1),
(11056,57121,58525,'OP_ConsignItemRequestMsg',126,1),
(11057,57121,58525,'OP_ConsignItemResponseMsg',127,1),
(11058,57121,58525,'OP_ConsignmentCloseStoreMsg',125,1),
(11059,57121,58525,'OP_ConsignRemoveItemsMsg',378,1),
(11060,57121,58525,'OP_ConsignViewCreateMsg',375,1),
(11061,57121,58525,'OP_ConsignViewGetPageMsg',376,1),
(11062,57121,58525,'OP_ConsignViewReleaseMsg',377,1),
(11063,57121,58525,'OP_ConsignViewSortMsg',383,1),
(11064,57121,58525,'OP_CorruptedClientMsg',409,1),
(11065,57121,58525,'OP_CreateBoatTransportsMsg',250,1),
(11066,57121,58525,'OP_CreateCharacterDungeon',547,1),
(11067,57121,58525,'OP_CreateCharacterReplyMsg',12,1),
(11068,57121,58525,'OP_CreateCharacterRequestMsg',11,1),
(11069,57121,58525,'OP_CreateCharFromCBBReplyMsg',426,1),
(11070,57121,58525,'OP_CreateCharFromCBBRequestMsg',425,1),
(11071,57121,58525,'OP_CreateGuildReplyMsg',120,1),
(11072,57121,58525,'OP_CreateGuildRequestMsg',119,1),
(11073,57121,58525,'OP_CreateZoneInstanceMsg',29,1),
(11074,57121,58525,'OP_CsCategoryRequestMsg',367,1),
(11075,57121,58525,'OP_CsCategoryResponseMsg',368,1),
(11076,57121,58525,'OP_CSTicketAddCommentMsg',234,1),
(11077,57121,58525,'OP_CSTicketChangeNotificationMsg',236,1),
(11078,57121,58525,'OP_CSTicketCommentRequestMsg',231,1),
(11079,57121,58525,'OP_CSTicketCommentResponseMsg',232,1),
(11080,57121,58525,'OP_CSTicketCreateMsg',233,1),
(11081,57121,58525,'OP_CSTicketDeleteMsg',235,1),
(11082,57121,58525,'OP_CSTicketHeaderRequestMsg',229,1),
(11083,57121,58525,'OP_CSTicketInfoMsg',230,1),
(11084,57121,58525,'OP_CSToolAccessResponseMsg',388,1),
(11085,57121,58525,'OP_CSToolsRequestMsg',247,1),
(11086,57121,58525,'OP_CSToolsResponseMsg',248,1),
(11087,57121,58525,'OP_CurrentPet',485,1),
(11088,57121,58525,'OP_CustomizationPurchaseRequestMs',167,1),
(11089,57121,58525,'OP_CustomizationReplyMsg',169,1),
(11090,57121,58525,'OP_CustomizationSetRequestMsg',168,1),
(11091,57121,58525,'OP_CustomizeHouseDisplay',730,1),
(11092,57121,58525,'OP_DailyObjectives',595,1),
(11093,57121,58525,'OP_DefaultGroupOptionsMsg',198,1),
(11094,57121,58525,'OP_DefaultGroupOptionsRequestMsg',197,1),
(11095,57121,58525,'OP_DeleteCharacterReplyMsg',17,1),
(11096,57121,58525,'OP_DeleteCharacterRequestMsg',16,1),
(11097,57121,58525,'OP_DeleteGuildMsg',123,1),
(11098,57121,58525,'OP_DestUpdateReq',210,1),
(11099,57121,58525,'OP_DialogCloseMsg',110,1),
(11100,57121,58525,'OP_DialogSelectMsg',109,1),
(11101,57121,58525,'OP_DispatchClientCmdMsg',60,1),
(11102,57121,58525,'OP_DispatchESMsg',59,1),
(11103,57121,58525,'OP_DispatchMsg',451,1),
(11104,57121,58525,'OP_DispatchSpellCmdMsg',179,1),
(11105,57121,58525,'OP_DisplayDebugNLLPointsMsg',254,1),
(11106,57121,58525,'OP_DisplayEventMsg',452,1),
(11107,57121,58525,'OP_DisplayExchangeScreenMsg',444,1),
(11108,57121,58525,'OP_DisplayGroupOptionsScreenMsg',200,1),
(11109,57121,58525,'OP_DisplayInnVisitScreenMsg',202,1),
(11110,57121,58525,'OP_DisplayMailScreenMsg',404,1),
(11111,57121,58525,'OP_DisplayTSEventReactionMsg',225,1),
(11112,57121,58525,'OP_DisplayWarningMsg',265,1),
(11113,57121,58525,'OP_DoneLoadingEntityResourcesMsg',36,1),
(11114,57121,58525,'OP_DoneLoadingZoneResourcesMsg',34,1),
(11115,57121,58525,'OP_DoneSendingInitialEntitiesMsg',35,1),
(11116,57121,58525,'OP_DressingRoom',510,1),
(11117,57121,58525,'OP_DumpSchedulerMsg',203,1),
(11118,57121,58525,'OP_DungeonMakerEnter',548,1),
(11119,57121,58525,'OP_DungeonMakerItemRequest',550,1),
(11120,57121,58525,'OP_DungeonMakerItemResponse',580,1),
(11121,57121,58525,'OP_DungeonMakerToolboxList',552,1),
(11122,57121,58525,'OP_DungeonMakerUnknown',553,1),
(11123,57121,58525,'OP_DungeonMakerUnknown1',554,1),
(11124,57121,58525,'OP_DungeonPlayAsAvatarList',744,1),
(11125,57121,58525,'OP_DungeonPlayAsAvatarSelected',745,1),
(11126,57121,58525,'OP_EncounterBrokenMsg',263,1),
(11127,57121,58525,'OP_EnterHouseMsg',154,1),
(11128,57121,58525,'OP_EnterMoveObjectModeMsg',161,1),
(11129,57121,58525,'OP_EntityVerbsReplyMsg',181,1),
(11130,57121,58525,'OP_EntityVerbsRequestMsg',180,1),
(11131,57121,58525,'OP_EntityVerbsVerbMsg',182,1),
(11132,57121,58525,'OP_EqArenaResultsCmd',695,1),
(11133,57121,58525,'OP_EqAvailWorldChannelsCmd',682,1),
(11134,57121,58525,'OP_EqBetaCopyRequest',603,1),
(11135,57121,58525,'OP_EqCannedEmoteCmd',624,1),
(11136,57121,58525,'OP_EqChatChannelUpdateCmd',680,1),
(11137,57121,58525,'OP_EqChoiceWinCmd',661,1),
(11138,57121,58525,'OP_EqCloseWindowCmd',653,1),
(11139,57121,58525,'OP_EqCollectionFilterCmd',640,1),
(11140,57121,58525,'OP_EqCollectionItemCmd',641,1),
(11141,57121,58525,'OP_EqCollectionUpdateCmd',639,1),
(11142,57121,58525,'OP_EqConsignmentItemsCmd',685,1),
(11143,57121,58525,'OP_EqCreateGhostCmd',606,1),
(11144,57121,58525,'OP_EqCreateListBoxCmd',621,1),
(11145,57121,58525,'OP_EqCreateSignWidgetCmd',608,1),
(11146,57121,58525,'OP_EqCreateWidgetCmd',607,1),
(11147,57121,58525,'OP_EqDebugPVDCmd',674,1),
(11148,57121,58525,'OP_EqDestroyGhostCmd',609,1),
(11149,57121,58525,'OP_EqDialogCloseCmd',637,1),
(11150,57121,58525,'OP_EqDialogOpenCmd',636,1),
(11151,57121,58525,'OP_EqDisplaySpellFailCmd',657,1),
(11152,57121,58525,'OP_EqDisplayTextCmd',605,1),
(11153,57121,58525,'OP_EqDrawablePathGraphCmd',635,1),
(11154,57121,58525,'OP_EqEnableGameEventCmd',667,1),
(11155,57121,58525,'OP_EqEnableWindowCmd',669,1),
(11156,57121,58525,'OP_EqExamineInfoCmd',652,1),
(11157,57121,58525,'OP_EqFactionUpdateCmd',638,1),
(11158,57121,58525,'OP_EqFlashWindowCmd',670,1),
(11159,57121,58525,'OP_EqGetProbsCmd',678,1),
(11160,57121,58525,'OP_EqGroupMemberRemovedCmd',631,1),
(11161,57121,58525,'OP_EqGuildBankEventActionCmd',696,1),
(11162,57121,58525,'OP_EqGuildBankExamineInfoCmd',697,1),
(11163,57121,58525,'OP_EqHearChainEffectCmd',632,1),
(11164,57121,58525,'OP_EqHearChatCmd',604,1),
(11165,57121,58525,'OP_EqHearCombatCmd',613,1),
(11166,57121,58525,'OP_EqHearConsiderCmd',619,1),
(11167,57121,58525,'OP_EqHearDeathCmd',630,1),
(11168,57121,58525,'OP_EQHearDispellCmd',742,1),
(11169,57121,58525,'OP_EqHearDrowningCmd',629,1),
(11170,57121,58525,'OP_EqHearHealCmd',679,1),
(11171,57121,58525,'OP_EqHearPlayFlavorCmd',672,1),
(11172,57121,58525,'OP_EQHearProcCmd',615,1),
(11173,57121,58525,'OP_EQHearResEffectCmd',616,1),
(11174,57121,58525,'OP_EqHearSpellCastCmd',614,1),
(11175,57121,58525,'OP_EqHearSpellFizzleCmd',618,1),
(11176,57121,58525,'OP_EqHearSpellInterruptCmd',617,1),
(11177,57121,58525,'OP_EqHearSpellNoLandCmd',698,1),
(11178,57121,58525,'OP_EQHearThreatCmd',736,1),
(11179,57121,58525,'OP_EqHelpPathClearCmd',650,1),
(11180,57121,58525,'OP_EqHelpPathCmd',649,1),
(11181,57121,58525,'OP_EqInspectPCResultsCmd',634,1),
(11182,57121,58525,'OP_EqInstructionWindowCloseCmd',664,1),
(11183,57121,58525,'OP_EqInstructionWindowCmd',663,1),
(11184,57121,58525,'OP_EqInstructionWindowGoalCmd',665,1),
(11185,57121,58525,'OP_EqInstructionWindowTaskCmd',666,1),
(11186,57121,58525,'OP_EqJunctionListCmd',655,1),
(11187,57121,58525,'OP_EqMapExplorationCmd',688,1),
(11188,57121,58525,'OP_EqMentoring',643,1),
(11189,57121,58525,'OP_EqPlaySound3DCmd',627,1),
(11190,57121,58525,'OP_EqPlaySoundCmd',626,1),
(11191,57121,58525,'OP_EqPlayVoiceCmd',628,1),
(11192,57121,58525,'OP_EqQuestGroupCmd',645,1),
(11193,57121,58525,'OP_EqQuestionnaireCmd',676,1),
(11194,57121,58525,'OP_EqQuestJournalReplyCmd',644,1),
(11195,57121,58525,'OP_EqQuestJournalUpdateCmd',642,1),
(11196,57121,58525,'OP_EqReceiveOfferCmd',633,1),
(11197,57121,58525,'OP_EqResurrectedCmd',660,1),
(11198,57121,58525,'OP_EqSetControlGhostCmd',611,1),
(11199,57121,58525,'OP_EqSetDebugPathPointsCmd',622,1),
(11200,57121,58525,'OP_EqSetDefaultVerbCmd',662,1),
(11201,57121,58525,'OP_EqSetPOVGhostCmd',612,1),
(11202,57121,58525,'OP_EqShowBookCmd',675,1),
(11203,57121,58525,'OP_EqShowDeathWindowCmd',656,1),
(11204,57121,58525,'OP_EqShowWindowCmd',668,1),
(11205,57121,58525,'OP_EqSpellCastEndCmd',659,1),
(11206,57121,58525,'OP_EqSpellCastStartCmd',658,1),
(11207,57121,58525,'OP_EqSpellMoveToRangeAndRetryCmd',690,1),
(11208,57121,58525,'OP_EqStartBrokerCmd',687,1),
(11209,57121,58525,'OP_EqStateCmd',625,1),
(11210,57121,58525,'OP_EqStoreLogCmd',689,1),
(11211,57121,58525,'OP_EqUpdateBankCmd',651,1),
(11212,57121,58525,'OP_EqUpdateGhostCmd',610,1),
(11213,57121,58525,'OP_EqUpdateLootCmd',654,1),
(11214,57121,58525,'OP_EqUpdateMerchantCmd',646,1),
(11215,57121,58525,'OP_EqUpdatePlayerMailCmd',691,1),
(11216,57121,58525,'OP_EqUpdatePlayerTradeCmd',648,1),
(11217,57121,58525,'OP_EqUpdateSignWidgetCmd',673,1),
(11218,57121,58525,'OP_EqUpdateStoreCmd',647,1),
(11219,57121,58525,'OP_EqUpdateSubClassesCmd',620,1),
(11220,57121,58525,'OP_EqUpdateTargetCmd',683,1),
(11221,57121,58525,'OP_EqWhoChannelQueryReplyCmd',681,1),
(11222,57121,58525,'OP_ESInitMsg',25,1),
(11223,57121,58525,'OP_ESLoginRequestMsg',3,1),
(11224,57121,58525,'OP_ESReadyForClientsMsg',26,1),
(11225,57121,58525,'OP_ESStatusMsg',100,1),
(11226,57121,58525,'OP_ESWeatherRequestEndMsg',105,1),
(11227,57121,58525,'OP_ESWeatherRequestMsg',104,1),
(11228,57121,58525,'OP_ESZoneInstanceStatusMsg',101,1),
(11229,57121,58525,'OP_ExamineConsignmentRequestMsg',171,1),
(11230,57121,58525,'OP_ExamineConsignmentResponseMsg',172,1),
(11231,57121,58525,'OP_ExamineInfoRequestMsg',255,1),
(11232,57121,58525,'OP_ExamineItemRequestMsg',195,1),
(11233,57121,58525,'OP_ExitHouseMsg',155,1),
(11234,57121,58525,'OP_ExpectClientAsCharacterReplyMs',22,1),
(11235,57121,58525,'OP_ExpectClientAsCharacterRequest',32,1),
(11236,57121,58525,'OP_ExpPurchWindow',721,1),
(11237,57121,58525,'OP_FellowshipExpMsg',122,1),
(11238,57121,58525,'OP_FlightPathsMsg',413,1),
(11239,57121,58525,'OP_GameWorldTimeMsg',43,1),
(11240,57121,58525,'OP_PaperdollImage',575,1),
(11241,57121,58525,'OP_GetAuctionAssetIDMsg',441,1),
(11242,57121,58525,'OP_GetAuctionAssetIDReplyMsg',442,1),
(11243,57121,58525,'OP_GetAvatarAccessRequestForCSToo',393,1),
(11244,57121,58525,'OP_GetCharacterSerializedReplyMsg',424,1),
(11245,57121,58525,'OP_GetCharacterSerializedRequestM',423,1),
(11246,57121,58525,'OP_GroupCreatedMsg',88,1),
(11247,57121,58525,'OP_GroupDestroyedMsg',89,1),
(11248,57121,58525,'OP_GroupLeaderChangedMsg',93,1),
(11249,57121,58525,'OP_GroupMemberAddedMsg',90,1),
(11250,57121,58525,'OP_GroupMemberRemovedMsg',91,1),
(11251,57121,58525,'OP_GroupOptionsMsg',199,1),
(11252,57121,58525,'OP_GroupRemovedFromGroupMsg',92,1),
(11253,57121,58525,'OP_GroupResendOOZDataMsg',94,1),
(11254,57121,58525,'OP_GroupSettingsChangedMsg',95,1),
(11255,57121,58525,'OP_GuildBankActionMsg',274,1),
(11256,57121,58525,'OP_GuildBankActionResponseMsg',275,1),
(11257,57121,58525,'OP_GuildBankEventListMsg',279,1),
(11258,57121,58525,'OP_GuildBankItemDetailsRequestMsg',276,1),
(11259,57121,58525,'OP_GuildBankItemDetailsResponseMs',277,1),
(11260,57121,58525,'OP_GuildBankUpdateMsg',278,1),
(11261,57121,58525,'OP_GuildEventActionMsg',269,1),
(11262,57121,58525,'OP_GuildEventAddMsg',268,1),
(11263,57121,58525,'OP_GuildEventDetailsMsg',272,1),
(11264,57121,58525,'OP_GuildEventListMsg',270,1),
(11265,57121,58525,'OP_GuildEventMsg',267,1),
(11266,57121,58525,'OP_GuildMembershipResponseMsg',357,1),
(11267,57121,58525,'OP_GuildRecruiting',701,1),
(11268,57121,58525,'OP_GuildRecruitingDetails',702,1),
(11269,57121,58525,'OP_GuildRecruitingImage',703,1),
(11270,57121,58525,'OP_GuildRecruitingMemberInfo',700,1),
(11271,57121,58525,'OP_GuildsayMsg',121,1),
(11272,57121,58525,'OP_GuildStatusUpdate',694,1),
(11273,57121,58525,'OP_GuildUpdateMsg',124,1),
(11274,57121,58525,'OP_HideIllusionsMsg',194,1),
(11275,57121,58525,'OP_HouseAccessRemoveMsg',158,1),
(11276,57121,58525,'OP_HouseAccessSetMsg',157,1),
(11277,57121,58525,'OP_HouseCustomizationScreenMsg',166,1),
(11278,57121,58525,'OP_HouseDefaultAccessSetMsg',156,1),
(11279,57121,58525,'OP_HouseDeletedRemotelyMsg',142,1),
(11280,57121,58525,'OP_HouseItemsList',484,1),
(11281,57121,58525,'OP_HousingDataChangedMsg',427,1),
(11282,57121,58525,'OP_HousingRestoreMsg',428,1),
(11283,57121,58525,'OP_InspectPlayerMsg',363,1),
(11284,57121,58525,'OP_InspectPlayerRequestMsg',450,1),
(11285,57121,58525,'OP_InviteRequestMsg',447,1),
(11286,57121,58525,'OP_InviteResponseMsg',448,1),
(11287,57121,58525,'OP_InviteTargetResponseMsg',449,1),
(11288,57121,58525,'OP_JoinGuildNotifyMsg',359,1),
(11289,57121,58525,'OP_JournalQuestStoryline',743,1),
(11290,57121,58525,'OP_KeymapDataMsg',177,1),
(11291,57121,58525,'OP_KeymapLoadMsg',175,1),
(11292,57121,58525,'OP_KeymapNoneMsg',176,1),
(11293,57121,58525,'OP_KeymapSaveMsg',178,1),
(11294,57121,58525,'OP_KnowledgebaseRequestMsg',227,1),
(11295,57121,58525,'OP_KnowledgebaseResponseMsg',228,1),
(11296,57121,58525,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(11297,57121,58525,'OP_KnownLanguagesMsg',238,1),
(11298,57121,58525,'OP_Launchpad',573,1),
(11299,57121,58525,'OP_LeaveGuildNotifyMsg',358,1),
(11300,57121,58525,'OP_LevelChangedMsg',261,1),
(11301,57121,58525,'OP_LFGGroupSearch',504,1),
(11302,57121,58525,'OP_LFGUpdateMsg',518,1),
(11303,57121,58525,'OP_LikeOption',136,1),
(11304,57121,58525,'OP_LoadCalendarEvents',576,1),
(11305,57121,58525,'OP_LoadWelcomeWindow',560,1),
(11306,57121,58525,'OP_LoginByNumRequestMsg',1,1),
(11307,57121,58525,'OP_LoginReplyMsg',4,1),
(11308,57121,58525,'OP_LoginRequestMsg',0,1),
(11309,57121,58525,'OP_LootItemsRequestMsg',185,1),
(11310,57121,58525,'OP_Lottery',699,1),
(11311,57121,58525,'OP_LSCheckAcctLockMsg',204,1),
(11312,57121,58525,'OP_LsClientAlertlogReplyMsg',242,1),
(11313,57121,58525,'OP_LsClientBaselogReplyMsg',240,1),
(11314,57121,58525,'OP_LsClientCrashlogReplyMsg',241,1),
(11315,57121,58525,'OP_LsClientVerifylogReplyMsg',243,1),
(11316,57121,58525,'OP_LsRequestClientCrashLogMsg',239,1),
(11317,57121,58525,'OP_LSServerLockMsg',365,1),
(11318,57121,58525,'OP_MacroInitMsg',258,1),
(11319,57121,58525,'OP_MacroUpdateMsg',259,1),
(11320,57121,58525,'OP_MailCommitSendMessageMsg',344,1),
(11321,57121,58525,'OP_MailDeleteMessageMsg',340,1),
(11322,57121,58525,'OP_MailEventNotificationMsg',411,1),
(11323,57121,58525,'OP_MailGetHeadersReplyMsg',341,1),
(11324,57121,58525,'OP_MailGetMessageMsg',338,1),
(11325,57121,58525,'OP_MailGetMessageReplyMsg',342,1),
(11326,57121,58525,'OP_MailRemoveAttachFromMailMsg',346,1),
(11327,57121,58525,'OP_MailSendMessageMsg',339,1),
(11328,57121,58525,'OP_MailSendMessageReplyMsg',343,1),
(11329,57121,58525,'OP_MailSendSystemMessageMsg',345,1),
(11330,57121,58525,'OP_MakeGroupLeaderMsg',87,1),
(11331,57121,58525,'OP_MapFogDataInitMsg',395,1),
(11332,57121,58525,'OP_MapFogDataUpdateMsg',396,1),
(11333,57121,58525,'OP_MapRequest',521,1),
(11334,57121,58525,'OP_MarketAddFundsReply',529,1),
(11335,57121,58525,'OP_MarketAddFundsRequest',528,1),
(11336,57121,58525,'OP_MarketFundsUpdate',526,1),
(11337,57121,58525,'OP_MarketPlaceItems',537,1),
(11338,57121,58525,'OP_MarketPlacePrices',532,1),
(11339,57121,58525,'OP_MarketPurchase',531,1),
(11340,57121,58525,'OP_MentorPopup',558,1),
(11341,57121,58525,'OP_MercHireWindow',746,1),
(11342,57121,58525,'OP_MercUnknown',747,1),
(11343,57121,58525,'OP_MigrateBoatTransportMsg',252,1),
(11344,57121,58525,'OP_MigrateBoatTransportReplyMsg',253,1),
(11345,57121,58525,'OP_MigrateClientToZoneReplyMsg',82,1),
(11346,57121,58525,'OP_MigrateClientToZoneRequestMsg',81,1),
(11347,57121,58525,'OP_ModifyGuildMsg',266,1),
(11348,57121,58525,'OP_MonitorCharacterListMsg',56,1),
(11349,57121,58525,'OP_MonitorCharacterListRequestMsg',57,1),
(11350,57121,58525,'OP_MonitorReplyMsg',55,1),
(11351,57121,58525,'OP_MOTDMsg',44,1),
(11352,57121,58525,'OP_MoveableObjectPlacementCriteri',160,1),
(11353,57121,58525,'OP_MoveLogUpdateMsg',400,1),
(11354,57121,58525,'OP_NotifyApprenticeStoppedMentori',408,1),
(11355,57121,58525,'OP_OfferQuestMsg',401,1),
(11356,57121,58525,'OP_OnscreenMsgMsg',264,1),
(11357,57121,58525,'OP_OpenCharCust',561,1),
(11358,57121,58525,'OP_OutOfZoneMemberDataMsg',96,1),
(11359,57121,58525,'OP_PayHouseUpkeepMsg',159,1),
(11360,57121,58525,'OP_PerformCameraShakeMsg',214,1),
(11361,57121,58525,'OP_PerformPlayerKnockbackMsg',213,1),
(11362,57121,58525,'OP_PetOptions',201,1),
(11363,57121,58525,'OP_PetOptionsResponse',579,1),
(11364,57121,58525,'OP_PlayCharacterReplyMsg',19,1),
(11365,57121,58525,'OP_PlayCharacterRequestMsg',18,1),
(11366,57121,58525,'OP_PlayerHouseAccessUpdateMsg',147,1),
(11367,57121,58525,'OP_PlayerHouseBaseScreenMsg',145,1),
(11368,57121,58525,'OP_PlayerHouseCloseUIMsg',149,1),
(11369,57121,58525,'OP_PlayerHouseDisplayStatusMsg',148,1),
(11370,57121,58525,'OP_PlayerHousePurchaseScreenMsg',146,1),
(11371,57121,58525,'OP_PlayerMadeInstances',140,1),
(11372,57121,58525,'OP_PlayerMadeInstancesScreen',139,1),
(11373,57121,58525,'OP_PlayerPollAnswer',557,1),
(11374,57121,58525,'OP_PlayerPollPopup',556,1),
(11375,57121,58525,'OP_PlayLon',511,1),
(11376,57121,58525,'OP_PointOfInterest',725,1),
(11377,57121,58525,'OP_PointOfInterest2',726,1),
(11378,57121,58525,'OP_PopulateSkillMapsMsg',215,1),
(11379,57121,58525,'OP_PositionBoatTransportMsg',251,1),
(11380,57121,58525,'OP_PositionMoveableObject',162,1),
(11381,57121,58525,'OP_PostPossessionMsg',454,1),
(11382,57121,58525,'OP_PredictionUpdateMsg',37,1),
(11383,57121,58525,'OP_PrePossessionMsg',453,1),
(11384,57121,58525,'OP_PromoFlagsDetailsMsg',374,1),
(11385,57121,58525,'OP_PublishHouse',138,1),
(11386,57121,58525,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(11387,57121,58525,'OP_PurchaseConsignmentRequestMsg',128,1),
(11388,57121,58525,'OP_QueAllBgSolo',564,1),
(11389,57121,58525,'OP_QuestionnaireMsg',260,1),
(11390,57121,58525,'OP_QuestJournalInspectMsg',114,1),
(11391,57121,58525,'OP_QuestJournalOpenMsg',113,1),
(11392,57121,58525,'OP_QuestJournalSetVisibleMsg',115,1),
(11393,57121,58525,'OP_QuestJournalWaypointMsg',116,1),
(11394,57121,58525,'OP_QuestReward',320,1),
(11395,57121,58525,'OP_QuickbarInitMsg',256,1),
(11396,57121,58525,'OP_QuickbarUpdateMsg',257,1),
(11397,57121,58525,'OP_RaceRestrictionMsg',439,1),
(11398,57121,58525,'OP_ReadBookPageMsg',196,1),
(11399,57121,58525,'OP_ReadyForTakeOffMsg',192,1),
(11400,57121,58525,'OP_ReadyToZoneMsg',84,1),
(11401,57121,58525,'OP_RecipeBook',538,1),
(11402,57121,58525,'OP_RecipeDetailsMsg',72,1),
(11403,57121,58525,'OP_RecipeList',737,1),
(11404,57121,58525,'OP_RecipeListUnknown',591,1),
(11405,57121,58525,'OP_RelinquishHouseMsg',153,1),
(11406,57121,58525,'OP_ReloadLocalizedTxtMsg',355,1),
(11407,57121,58525,'OP_RemoteCmdMsg',42,1),
(11408,57121,58525,'OP_RemoveClientFromGroupMsg',85,1),
(11409,57121,58525,'OP_RemoveConcentrationMsg',112,1),
(11410,57121,58525,'OP_RemoveGroupFromGroupMsg',86,1),
(11411,57121,58525,'OP_RemoveSpellEffectMsg',111,1),
(11412,57121,58525,'OP_RenameGuildMsg',282,1),
(11413,57121,58525,'OP_ReplaceableSubMeshesMsg',165,1),
(11414,57121,58525,'OP_ReportMsg',380,1),
(11415,57121,58525,'OP_RequestCampMsg',50,1),
(11416,57121,58525,'OP_RequestGuildBankEventDetailsMs',280,1),
(11417,57121,58525,'OP_RequestGuildEventDetailsMsg',271,1),
(11418,57121,58525,'OP_RequestGuildInfoMsg',273,1),
(11419,57121,58525,'OP_RequestGuildMembershipMsg',356,1),
(11420,57121,58525,'OP_RequestHelpRepathMsg',206,1),
(11421,57121,58525,'OP_RequestRecipeDetailsMsg',71,1),
(11422,57121,58525,'OP_RequestTargetLocMsg',207,1),
(11423,57121,58525,'OP_Research',738,1),
(11424,57121,58525,'OP_ResendWorldChannelsMsg',443,1),
(11425,57121,58525,'OP_ReskinCharacterRequestMsg',15,1),
(11426,57121,58525,'OP_RestartZoneMsg',412,1),
(11427,57121,58525,'OP_RewardPackMsg',281,1),
(11428,57121,58525,'OP_SatMsg',189,1),
(11429,57121,58525,'OP_SavageBarInitMsg',578,1),
(11430,57121,58525,'OP_SelectZoneTeleporterDestinatio',354,1),
(11431,57121,58525,'OP_SendLatestRequestMsg',97,1),
(11432,57121,58525,'OP_ServerPlayCharacterReplyMsg',24,1),
(11433,57121,58525,'OP_ServerPlayCharacterRequestMsg',23,1),
(11434,57121,58525,'OP_SetInstanceDisplayNameMsg',440,1),
(11435,57121,58525,'OP_SetRemoteCmdsMsg',41,1),
(11436,57121,58525,'OP_SetSocialMsg',99,1),
(11437,57121,58525,'OP_ShaderCustomizationMsg',164,1),
(11438,57121,58525,'OP_ShowCreateFromRecipeUIMsg',219,1),
(11439,57121,58525,'OP_ShowIllusionsMsg',193,1),
(11440,57121,58525,'OP_ShowItemCreationProcessUIMsg',223,1),
(11441,57121,58525,'OP_ShowRecipeBookMsg',226,1),
(11442,57121,58525,'OP_ShowZoneTeleporterDestinations',353,1),
(11443,57121,58525,'OP_SitMsg',187,1),
(11444,57121,58525,'OP_SkillInfoRequest',514,1),
(11445,57121,58525,'OP_SkillInfoResponse',515,1),
(11446,57121,58525,'OP_SpellGainedMsg',262,1),
(11447,57121,58525,'OP_StandMsg',188,1),
(11448,57121,58525,'OP_StoodMsg',190,1),
(11449,57121,58525,'OP_StopItemCreationMsg',222,1),
(11450,57121,58525,'OP_StoppedLootingMsg',186,1),
(11451,57121,58525,'OP_StopTrackingMsg',391,1),
(11452,57121,58525,'OP_SubmitCharCust',562,1),
(11453,57121,58525,'OP_SupplyDepot',735,1),
(11454,57121,58525,'OP_SysClient',218,1),
(11455,57121,58525,'OP_TeleportWithinZoneMsg',79,1),
(11456,57121,58525,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(11457,57121,58525,'OP_TintWidgetsMsg',170,1),
(11458,57121,58525,'OP_TitleUpdateMsg',384,1),
(11459,57121,58525,'OP_TrackingUpdateMsg',389,1),
(11460,57121,58525,'OP_TradeskillList',704,1),
(11461,57121,58525,'OP_TraitsList',727,1),
(11462,57121,58525,'OP_UIEvent',527,1),
(11463,57121,58525,'OP_UIResetMsg',174,1),
(11464,57121,58525,'OP_UISettingsResponseMsg',173,1),
(11465,57121,58525,'OP_Unknown',760,1),
(11466,57121,58525,'OP_UnknownNpcMsg',373,1),
(11467,57121,58525,'OP_UpdateActivePublicZonesMsg',372,1),
(11468,57121,58525,'OP_UpdateCharacterSheetMsg',63,1),
(11469,57121,58525,'OP_UpdateClientPredFlagsMsg',245,1),
(11470,57121,58525,'OP_UpdateDebugRadiiMsg',379,1),
(11471,57121,58525,'OP_UpdateGroupMemberDataMsg',388,1),
(11472,57121,58525,'OP_UpdateHouseAccessDataMsg',144,1),
(11473,57121,58525,'OP_UpdateHouseDataMsg',143,1),
(11474,57121,58525,'OP_UpdateInventoryMsg',68,1),
(11475,57121,58525,'OP_UpdateItemCreationProcessUIMsg',224,1),
(11476,57121,58525,'OP_UpdateMotdMsg',208,1),
(11477,57121,58525,'OP_UpdateOpportunityMsg',75,1),
(11478,57121,58525,'OP_UpdatePositionMsg',39,1),
(11479,57121,58525,'OP_UpdateRaidMsg',381,1),
(11480,57121,58525,'OP_UpdateRecipeBookMsg',70,1),
(11481,57121,58525,'OP_UpdateSkillBookMsg',73,1),
(11482,57121,58525,'OP_UpdateSkillsMsg',74,1),
(11483,57121,58525,'OP_UpdateSpellBookMsg',66,1),
(11484,57121,58525,'OP_UpdateTargetLocMsg',62,1),
(11485,57121,58525,'OP_UpdateTargetMsg',61,1),
(11486,57121,58525,'OP_UpdateTitleCmd',494,1),
(11487,57121,58525,'OP_UseAdornment',715,1),
(11488,57121,58525,'OP_VideoUploaded',577,1),
(11489,57121,58525,'OP_VoiceChatChannel',520,1),
(11490,57121,58525,'OP_VoiceChatServer',731,1),
(11491,57121,58525,'OP_WaypointReplyMsg',349,1),
(11492,57121,58525,'OP_WaypointRequestMsg',348,1),
(11493,57121,58525,'OP_WaypointSelectMsg',350,1),
(11494,57121,58525,'OP_WaypointUpdateMsg',351,1),
(11495,57121,58525,'OP_Weakness',581,1),
(11496,57121,58525,'OP_WhoQueryReplyMsg',54,1),
(11497,57121,58525,'OP_WhoQueryRequestMsg',53,1),
(11498,57121,58525,'OP_WorldDataChangeMsg',410,1),
(11499,57121,58525,'OP_WorldDataUpdateMsg',237,1),
(11500,57121,58525,'OP_WorldListMsg',8,1),
(11501,57121,58525,'OP_WorldPingMsg',399,1),
(11502,57121,58525,'OP_WorldShutdownUpdateMsg',403,1),
(11503,57121,58525,'OP_WorldStatusChangeMsg',6,1),
(11504,57121,58525,'OP_WorldTravelAvail',570,1),
(11505,57121,58525,'OP_WSAcctLockStatusMsg',205,1),
(11506,57121,58525,'OP_WSCreateCharacterReplyMsg',14,1),
(11507,57121,58525,'OP_WSCreateCharacterRequestMsg',13,1),
(11508,57121,58525,'OP_WSLoginRequestMsg',2,1),
(11509,57121,58525,'OP_WSServerHideMsg',366,1),
(11510,57121,58525,'OP_WSServerLockMsg',364,1),
(11511,57121,58525,'OP_WSStatusReplyMsg',5,1),
(11512,57121,58525,'OP_ZoneBgInstanceList',566,1),
(11513,57121,58525,'OP_ZoneInfoMsg',33,1),
(11514,57121,58525,'OP_ZoneInstanceCreateReplyMsg',30,1),
(11515,57121,58525,'OP_ZoneInstanceDestroyedMsg',31,1),
(11516,57121,58525,'OP_ZoneMOTDMsg',45,1),
(11517,57121,58525,'OP_ZonesStatusMsg',103,1),
(11518,57121,58525,'OP_ZonesStatusRequestMsg',102,1),
(11519,57121,58525,'OP_ZoneToFriendReplyMsg',284,1),
(11520,57121,58525,'OP_ZoneToFriendRequestMsg',283,1),
(11521,562,838,'OP_OpenCharCust',9999,1),
(11523,908,927,'OP_OpenCharCust',9999,1),
(11524,972,1011,'OP_OpenCharCust',9999,1),
(11525,1045,1086,'OP_OpenCharCust',9999,1),
(11526,1096,1096,'OP_OpenCharCust',529,1),
(11527,562,838,'OP_CharacterMerc',9999,1),
(11529,908,927,'OP_CharacterMerc',9999,1),
(11530,972,1011,'OP_CharacterMerc',9999,1),
(11531,1045,1086,'OP_CharacterMerc',9999,1),
(11532,1096,1096,'OP_CharacterMerc',9999,1),
(11533,562,838,'OP_AfterInvSpellUpdate',9999,1),
(11535,908,927,'OP_AfterInvSpellUpdate',9999,1),
(11536,972,1011,'OP_AfterInvSpellUpdate',9999,1),
(11537,1045,1086,'OP_AfterInvSpellUpdate',9999,1),
(11538,1096,1096,'OP_AfterInvSpellUpdate',65,1),
(11539,562,838,'OP_CharacterCreatedDungeons',9999,1),
(11541,908,927,'OP_CharacterCreatedDungeons',9999,1),
(11542,972,1011,'OP_CharacterCreatedDungeons',9999,1),
(11543,1045,1086,'OP_CharacterCreatedDungeons',9999,1),
(11544,1096,1096,'OP_CharacterCreatedDungeons',9999,1),
(11545,562,838,'OP_CharacterHousingList',9999,1),
(11547,908,927,'OP_CharacterHousingList',9999,1),
(11548,972,1011,'OP_CharacterHousingList',9999,1),
(11549,1045,1086,'OP_CharacterHousingList',9999,1),
(11550,1096,1096,'OP_CharacterHousingList',489,1),
(11551,562,838,'OP_HouseItemsList',9999,1),
(11553,908,927,'OP_HouseItemsList',9999,1),
(11554,972,1011,'OP_HouseItemsList',9999,1),
(11555,1045,1086,'OP_HouseItemsList',9999,1),
(11556,1096,1096,'OP_HouseItemsList',9999,1),
(11557,562,838,'OP_CharacterMounts',9999,1),
(11559,908,927,'OP_CharacterMounts',9999,1),
(11560,972,1011,'OP_CharacterMounts',9999,1),
(11561,1045,1086,'OP_CharacterMounts',9999,1),
(11562,1096,1096,'OP_CharacterMounts',9999,1),
(11563,562,838,'OP_LoadCalendarEvents',9999,1),
(11565,908,927,'OP_LoadCalendarEvents',9999,1),
(11566,972,1011,'OP_LoadCalendarEvents',9999,1),
(11567,1045,1086,'OP_LoadCalendarEvents',9999,1),
(11568,1096,1096,'OP_LoadCalendarEvents',542,1),
(11569,562,838,'OP_LoadWelcomeWindow',9999,1),
(11571,908,927,'OP_LoadWelcomeWindow',9999,1),
(11572,972,1011,'OP_LoadWelcomeWindow',9999,1),
(11573,1045,1086,'OP_LoadWelcomeWindow',9999,1),
(11574,1096,1096,'OP_LoadWelcomeWindow',528,1),
(11575,562,838,'OP_DungeonMakerItemRequest',9999,1),
(11577,908,927,'OP_DungeonMakerItemRequest',9999,1),
(11578,972,1011,'OP_DungeonMakerItemRequest',9999,1),
(11579,1045,1086,'OP_DungeonMakerItemRequest',9999,1),
(11580,1096,1096,'OP_DungeonMakerItemRequest',9999,1),
(11581,562,838,'OP_SysClient',191,1),
(11583,908,927,'OP_SysClient',198,1),
(11584,972,1011,'OP_SysClient',199,1),
(11585,1045,1086,'OP_SysClient',203,1),
(11586,1096,1096,'OP_SysClient',202,1),
(11587,562,838,'OP_LFGGroupSearch',9999,1),
(11589,908,927,'OP_LFGGroupSearch',9999,1),
(11590,972,1011,'OP_LFGGroupSearch',9999,1),
(11591,1045,1086,'OP_LFGGroupSearch',9999,1),
(11592,1096,1096,'OP_LFGGroupSearch',9999,1),
(11593,562,838,'OP_MarketPlacePrices',9999,1),
(11595,908,927,'OP_MarketPlacePrices',9999,1),
(11596,972,1011,'OP_MarketPlacePrices',9999,1),
(11597,1045,1086,'OP_MarketPlacePrices',9999,1),
(11598,1096,1096,'OP_MarketPlacePrices',9999,1),
(11599,562,838,'OP_MarketFundsUpdate',9999,1),
(11601,908,927,'OP_MarketFundsUpdate',9999,1),
(11602,972,1011,'OP_MarketFundsUpdate',9999,1),
(11603,1045,1086,'OP_MarketFundsUpdate',9999,1),
(11604,1096,1096,'OP_MarketFundsUpdate',9999,1),
(11605,562,838,'OP_MarketAddFundsRequest',9999,1),
(11607,908,927,'OP_MarketAddFundsRequest',9999,1),
(11608,972,1011,'OP_MarketAddFundsRequest',9999,1),
(11609,1045,1086,'OP_MarketAddFundsRequest',9999,1),
(11610,1096,1096,'OP_MarketAddFundsRequest',9999,1),
(11611,562,838,'OP_ZoneBgInstanceList',9999,1),
(11613,908,927,'OP_ZoneBgInstanceList',9999,1),
(11614,972,1011,'OP_ZoneBgInstanceList',9999,1),
(11615,1045,1086,'OP_ZoneBgInstanceList',9999,1),
(11616,1096,1096,'OP_ZoneBgInstanceList',534,1),
(11617,562,838,'OP_UIEvent',9999,1),
(11619,908,927,'OP_UIEvent',9999,1),
(11620,972,1011,'OP_UIEvent',9999,1),
(11621,1045,1086,'OP_UIEvent',9999,1),
(11622,1096,1096,'OP_UIEvent',9999,1),
(11623,562,838,'OP_EQHearThreatCmd',9999,1),
(11625,908,927,'OP_EQHearThreatCmd',9999,1),
(11626,972,1011,'OP_EQHearThreatCmd',9999,1),
(11627,1045,1086,'OP_EQHearThreatCmd',9999,1),
(11628,1096,1096,'OP_EQHearThreatCmd',9999,1),
(11629,562,838,'OP_Weakness',9999,1),
(11631,908,927,'OP_Weakness',9999,1),
(11632,972,1011,'OP_Weakness',9999,1),
(11633,1045,1086,'OP_Weakness',9999,1),
(11634,1096,1096,'OP_Weakness',9999,1),
(11635,562,838,'OP_SavageBarInitMsg',9999,1),
(11637,908,927,'OP_SavageBarInitMsg',9999,1),
(11638,972,1011,'OP_SavageBarInitMsg',9999,1),
(11639,1045,1086,'OP_SavageBarInitMsg',9999,1),
(11640,1096,1096,'OP_SavageBarInitMsg',9999,1),
(11641,562,838,'OP_PetOptionsResponse',9999,1),
(11643,908,927,'OP_PetOptionsResponse',9999,1),
(11644,972,1011,'OP_PetOptionsResponse',9999,1),
(11645,1045,1086,'OP_PetOptionsResponse',9999,1),
(11646,1096,1096,'OP_PetOptionsResponse',9999,1),
(11647,562,838,'OP_CurrentPet',9999,1),
(11649,908,927,'OP_CurrentPet',9999,1),
(11650,972,1011,'OP_CurrentPet',9999,1),
(11651,1045,1086,'OP_CurrentPet',9999,1),
(11652,1096,1096,'OP_CurrentPet',9999,1),
(11653,562,838,'OP_JournalQuestStoryline',9999,1),
(11655,908,927,'OP_JournalQuestStoryline',9999,1),
(11656,972,1011,'OP_JournalQuestStoryline',9999,1),
(11657,1045,1086,'OP_JournalQuestStoryline',9999,1),
(11658,1096,1096,'OP_JournalQuestStoryline',9999,1),
(11659,562,838,'OP_EQHearDispellCmd',9999,1),
(11661,908,927,'OP_EQHearDispellCmd',9999,1),
(11662,972,1011,'OP_EQHearDispellCmd',9999,1),
(11663,1045,1086,'OP_EQHearDispellCmd',9999,1),
(11664,1096,1096,'OP_EQHearDispellCmd',9999,1),
(11665,562,838,'OP_LikeOption',9999,1),
(11667,908,927,'OP_LikeOption',9999,1),
(11668,972,1011,'OP_LikeOption',9999,1),
(11669,1045,1086,'OP_LikeOption',9999,1),
(11670,1096,1096,'OP_LikeOption',9999,1),
(11671,562,838,'OP_Launchpad',9999,1),
(11673,908,927,'OP_Launchpad',9999,1),
(11674,972,1011,'OP_Launchpad',9999,1),
(11675,1045,1086,'OP_Launchpad',9999,1),
(11676,1096,1096,'OP_Launchpad',9999,1),
(11677,1188,1195,'OP_Launchpad',9999,1),
(11678,1198,1199,'OP_Launchpad',9999,1),
(11679,1204,1205,'OP_Launchpad',9999,1),
(11680,1208,1208,'OP_Launchpad',9999,1),
(11681,57000,57002,'OP_Launchpad',9999,1),
(11682,562,838,'OP_ClearForLandingMsg',9999,1),
(11684,908,927,'OP_ClearForLandingMsg',9999,1),
(11685,972,1011,'OP_ClearForLandingMsg',9999,1),
(11686,1045,1086,'OP_ClearForLandingMsg',9999,1),
(11687,1096,1096,'OP_ClearForLandingMsg',473,1),
(11688,1188,1195,'OP_ClearForLandingMsg',9999,1),
(11689,1198,1199,'OP_ClearForLandingMsg',9999,1),
(11690,1204,1205,'OP_ClearForLandingMsg',9999,1),
(11691,1208,1208,'OP_ClearForLandingMsg',490,1),
(11692,57000,57002,'OP_ClearForLandingMsg',9999,1),
(11693,562,838,'OP_RecipeListUnknown',9999,1),
(11695,908,927,'OP_RecipeListUnknown',9999,1),
(11696,972,1011,'OP_RecipeListUnknown',9999,1),
(11697,1045,1086,'OP_RecipeListUnknown',9999,1),
(11698,1096,1096,'OP_RecipeListUnknown',9999,1),
(11699,1188,1195,'OP_RecipeListUnknown',9999,1),
(11700,1198,1199,'OP_RecipeListUnknown',9999,1),
(11701,1204,1205,'OP_RecipeListUnknown',9999,1),
(11702,1208,1208,'OP_RecipeListUnknown',9999,1),
(11703,57000,57002,'OP_RecipeListUnknown',9999,1),
(11704,57003,57014,'OP_RecipeListUnknown',9999,1),
(11705,57015,57031,'OP_RecipeListUnknown',9999,1),
(11706,562,838,'OP_DailyObjectives',9999,1),
(11708,908,927,'OP_DailyObjectives',9999,1),
(11709,972,1011,'OP_DailyObjectives',9999,1),
(11710,1045,1086,'OP_DailyObjectives',9999,1),
(11711,1096,1096,'OP_DailyObjectives',9999,1),
(11712,1188,1195,'OP_DailyObjectives',9999,1),
(11713,1198,1199,'OP_DailyObjectives',9999,1),
(11714,1204,1205,'OP_DailyObjectives',9999,1),
(11715,1208,1208,'OP_DailyObjectives',9999,1),
(11716,57000,57002,'OP_DailyObjectives',9999,1),
(11717,57003,57014,'OP_DailyObjectives',9999,1),
(11718,57015,57031,'OP_DailyObjectives',9999,1),
(11719,57032,57047,'OP_DailyObjectives',9999,1),
(11720,562,838,'OP_HeritageMsg',9999,1),
(11722,908,927,'OP_HeritageMsg',9999,1),
(11723,972,1011,'OP_HeritageMsg',9999,1),
(11724,1045,1086,'OP_HeritageMsg',9999,1),
(11725,1096,1096,'OP_HeritageMsg',9999,1),
(11726,1188,1195,'OP_HeritageMsg',9999,1),
(11727,1198,1199,'OP_HeritageMsg',9999,1),
(11728,1204,1205,'OP_HeritageMsg',9999,1),
(11729,1208,1208,'OP_HeritageMsg',9999,1),
(11730,57000,57002,'OP_HeritageMsg',9999,1),
(11731,57003,57014,'OP_HeritageMsg',9999,1),
(11732,57015,57031,'OP_HeritageMsg',9999,1),
(11733,57032,57047,'OP_HeritageMsg',9999,1),
(11734,57048,57079,'OP_HeritageMsg',9999,1),
(11735,57080,57095,'OP_HeritageMsg',9999,1),
(11736,57107,57109,'OP_HeritageMsg',9999,1),
(11737,57121,58525,'OP_HeritageMsg',9999,1),
(11738,58542,58588,'OP_AchievementUpdateMsg',742,1),
(11739,58542,58588,'OP_AddSocialStructureStandingMsg',249,1),
(11740,58542,58588,'OP_AdvancementRequestMsg',394,1),
(11741,58542,58588,'OP_AdventureList',488,1),
(11742,58542,58588,'OP_AFKUpdateMsg',370,1),
(11743,58542,58588,'OP_AfterInvSpellUpdate',69,1),
(11744,58542,58588,'OP_AllCharactersDescReplyMsg',10,1),
(11745,58542,58588,'OP_AllCharactersDescRequestMsg',9,1),
(11746,58542,58588,'OP_AllWSDescRequestMsg',7,1),
(11747,58542,58588,'OP_AnonUpdateMsg',371,1),
(11748,58542,58588,'OP_ArenaCreate',456,1),
(11749,58542,58588,'OP_ArenaGameTypesMsg',445,1),
(11750,58542,58588,'OP_ArenaList',457,1),
(11751,58542,58588,'OP_ArenaWindow',465,1),
(11752,58542,58588,'OP_AttackAllowed',500,1),
(11753,58542,58588,'OP_AttackNotAllowed',501,1),
(11754,58542,58588,'OP_AuctionAbortMsg',436,1),
(11755,58542,58588,'OP_AuctionCharacter',433,1),
(11756,58542,58588,'OP_AuctionCharacterReply',434,1),
(11757,58542,58588,'OP_AuctionCoin',431,1),
(11758,58542,58588,'OP_AuctionCoinReply',432,1),
(11759,58542,58588,'OP_AuctionCommitMsg',435,1),
(11760,58542,58588,'OP_AuctionItem',429,1),
(11761,58542,58588,'OP_AuctionItemReply',430,1),
(11762,58542,58588,'OP_AuditAuctionEventMsg',446,1),
(11763,58542,58588,'OP_AvatarCreatedMsg',46,1),
(11764,58542,58588,'OP_AvatarDestroyedMsg',47,1),
(11765,58542,58588,'OP_AvatarUpdateMsg',360,1),
(11766,58542,58588,'OP_BadLanguageFilter',519,1),
(11767,58542,58588,'OP_BagOptions',502,1),
(11768,58542,58588,'OP_BeginItemCreationMsg',221,1),
(11769,58542,58588,'OP_BeginTrackingMsg',390,1),
(11770,58542,58588,'OP_BioUpdateMsg',362,1),
(11771,58542,58588,'OP_BrokerAddBag',292,1),
(11772,58542,58588,'OP_BrokerRemoveBag',293,1),
(11773,58542,58588,'OP_BrokerSellList',685,1),
(11774,58542,58588,'OP_BuyPlayerHouseMsg',150,1),
(11775,58542,58588,'OP_BuyPlayerHouseTintMsg',151,1),
(11776,58542,58588,'OP_CampAbortedMsg',52,1),
(11777,58542,58588,'OP_CampClientMsg',387,1),
(11778,58542,58588,'OP_CampStartedMsg',51,1),
(11779,58542,58588,'OP_CancelCreateFromRecipeMsg',220,1),
(11780,58542,58588,'OP_CancelledFeignMsg',216,1),
(11781,58542,58588,'OP_CancelMoveObjectModeMsg',163,1),
(11782,58542,58588,'OP_CancelSpellCast',489,1),
(11783,58542,58588,'OP_ChangeServerControlFlagMsg',246,1),
(11784,58542,58588,'OP_ChangeZoneMsg',77,1),
(11785,58542,58588,'OP_CharacterAchievements',741,1),
(11786,58542,58588,'OP_CharacterCreatedDungeons',551,1),
(11787,58542,58588,'OP_CharacterCurrency',740,1),
(11788,58542,58588,'OP_CharacterHousingList',507,1),
(11789,58542,58588,'OP_CharacterLinkdeadMsg',414,1),
(11790,58542,58588,'OP_CharacterMerc',65,1),
(11791,58542,58588,'OP_CharacterMounts',582,1),
(11792,58542,58588,'OP_CharacterPet',64,1),
(11793,58542,58588,'OP_CharNameChangedMsg',352,1),
(11794,58542,58588,'OP_CharRenamed',706,1),
(11795,58542,58588,'OP_CharTransferCommitReplyMsg',422,1),
(11796,58542,58588,'OP_CharTransferCommitRequestMsg',420,1),
(11797,58542,58588,'OP_CharTransferReplyMsg',418,1),
(11798,58542,58588,'OP_CharTransferRequestMsg',417,1),
(11799,58542,58588,'OP_CharTransferRollbackReplyMsg',421,1),
(11800,58542,58588,'OP_CharTransferRollbackRequestMsg',419,1),
(11801,58542,58588,'OP_CharTransferStartReplyMsg',416,1),
(11802,58542,58588,'OP_CharTransferStartRequestMsg',415,1),
(11803,58542,58588,'OP_CharTransferValidateReplyMsg',438,1),
(11804,58542,58588,'OP_CharTransferValidateRequestMsg',437,1),
(11805,58542,58588,'OP_ChatCreateChannelMsg',285,1),
(11806,58542,58588,'OP_ChatFiltersMsg',335,1),
(11807,58542,58588,'OP_ChatJoinChannelMsg',286,1),
(11808,58542,58588,'OP_ChatLeaveChannelMsg',288,1),
(11809,58542,58588,'OP_ChatRelationshipUpdateMsg',184,1),
(11810,58542,58588,'OP_ChatSendFriendsMsg',295,1),
(11811,58542,58588,'OP_ChatSendIgnoresMsg',296,1),
(11812,58542,58588,'OP_ChatTellChannelMsg',289,1),
(11813,58542,58588,'OP_ChatTellUserMsg',290,1),
(11814,58542,58588,'OP_ChatToggleFriendMsg',291,1),
(11815,58542,58588,'OP_ChatToggleIgnoreMsg',294,1),
(11816,58542,58588,'OP_ChatWhoChannelMsg',287,1),
(11817,58542,58588,'OP_ClearDataMsg',98,1),
(11818,58542,58588,'OP_ClearForLandingMsg',491,1),
(11819,58542,58588,'OP_ClearForTakeOffMsg',191,1),
(11820,58542,58588,'OP_ClientCmdMsg',58,1),
(11821,58542,58588,'OP_ClientFellMsg',385,1),
(11822,58542,58588,'OP_ClientIdleBeginMsg',405,1),
(11823,58542,58588,'OP_ClientIdleEndMsg',406,1),
(11824,58542,58588,'OP_ClientInDeathRegionMsg',386,1),
(11825,58542,58588,'OP_ClientTeleportRequestMsg',78,1),
(11826,58542,58588,'OP_ClientTeleportToLocationMsg',244,1),
(11827,58542,58588,'OP_CloseGroupInviteWindowMsg',397,1),
(11828,58542,58588,'OP_CollectAllHouseItemsMsg',152,1),
(11829,58542,58588,'OP_ConsignItemRequestMsg',126,1),
(11830,58542,58588,'OP_ConsignItemResponseMsg',127,1),
(11831,58542,58588,'OP_ConsignmentCloseStoreMsg',125,1),
(11832,58542,58588,'OP_ConsignRemoveItemsMsg',378,1),
(11833,58542,58588,'OP_ConsignViewCreateMsg',375,1),
(11834,58542,58588,'OP_ConsignViewGetPageMsg',376,1),
(11835,58542,58588,'OP_ConsignViewReleaseMsg',377,1),
(11836,58542,58588,'OP_ConsignViewSortMsg',383,1),
(11837,58542,58588,'OP_CorruptedClientMsg',409,1),
(11838,58542,58588,'OP_CreateBoatTransportsMsg',250,1),
(11839,58542,58588,'OP_CreateCharacterDungeon',547,1),
(11840,58542,58588,'OP_CreateCharacterReplyMsg',12,1),
(11841,58542,58588,'OP_CreateCharacterRequestMsg',11,1),
(11842,58542,58588,'OP_CreateCharFromCBBReplyMsg',426,1),
(11843,58542,58588,'OP_CreateCharFromCBBRequestMsg',425,1),
(11844,58542,58588,'OP_CreateGuildReplyMsg',120,1),
(11845,58542,58588,'OP_CreateGuildRequestMsg',119,1),
(11846,58542,58588,'OP_CreateZoneInstanceMsg',29,1),
(11847,58542,58588,'OP_CsCategoryRequestMsg',367,1),
(11848,58542,58588,'OP_CsCategoryResponseMsg',368,1),
(11849,58542,58588,'OP_CSTicketAddCommentMsg',234,1),
(11850,58542,58588,'OP_CSTicketChangeNotificationMsg',236,1),
(11851,58542,58588,'OP_CSTicketCommentRequestMsg',231,1),
(11852,58542,58588,'OP_CSTicketCommentResponseMsg',232,1),
(11853,58542,58588,'OP_CSTicketCreateMsg',233,1),
(11854,58542,58588,'OP_CSTicketDeleteMsg',235,1),
(11855,58542,58588,'OP_CSTicketHeaderRequestMsg',229,1),
(11856,58542,58588,'OP_CSTicketInfoMsg',230,1),
(11857,58542,58588,'OP_CSToolAccessResponseMsg',388,1),
(11858,58542,58588,'OP_CSToolsRequestMsg',247,1),
(11859,58542,58588,'OP_CSToolsResponseMsg',248,1),
(11860,58542,58588,'OP_CurrentPet',485,1),
(11861,58542,58588,'OP_CustomizationPurchaseRequestMs',167,1),
(11862,58542,58588,'OP_CustomizationReplyMsg',169,1),
(11863,58542,58588,'OP_CustomizationSetRequestMsg',168,1),
(11864,58542,58588,'OP_CustomizeHouseDisplay',731,1),
(11865,58542,58588,'OP_DailyObjectives',595,1),
(11866,58542,58588,'OP_DefaultGroupOptionsMsg',198,1),
(11867,58542,58588,'OP_DefaultGroupOptionsRequestMsg',197,1),
(11868,58542,58588,'OP_DeleteCharacterReplyMsg',17,1),
(11869,58542,58588,'OP_DeleteCharacterRequestMsg',16,1),
(11870,58542,58588,'OP_DeleteGuildMsg',123,1),
(11871,58542,58588,'OP_DestUpdateReq',210,1),
(11872,58542,58588,'OP_DialogCloseMsg',110,1),
(11873,58542,58588,'OP_DialogSelectMsg',109,1),
(11874,58542,58588,'OP_DispatchClientCmdMsg',60,1),
(11875,58542,58588,'OP_DispatchESMsg',59,1),
(11876,58542,58588,'OP_DispatchMsg',451,1),
(11877,58542,58588,'OP_DispatchSpellCmdMsg',179,1),
(11878,58542,58588,'OP_DisplayDebugNLLPointsMsg',254,1),
(11879,58542,58588,'OP_DisplayEventMsg',452,1),
(11880,58542,58588,'OP_DisplayExchangeScreenMsg',444,1),
(11881,58542,58588,'OP_DisplayGroupOptionsScreenMsg',200,1),
(11882,58542,58588,'OP_DisplayInnVisitScreenMsg',202,1),
(11883,58542,58588,'OP_DisplayMailScreenMsg',404,1),
(11884,58542,58588,'OP_DisplayTSEventReactionMsg',225,1),
(11885,58542,58588,'OP_DisplayWarningMsg',265,1),
(11886,58542,58588,'OP_DoneLoadingEntityResourcesMsg',36,1),
(11887,58542,58588,'OP_DoneLoadingZoneResourcesMsg',34,1),
(11888,58542,58588,'OP_DoneSendingInitialEntitiesMsg',35,1),
(11889,58542,58588,'OP_DressingRoom',510,1),
(11890,58542,58588,'OP_DumpSchedulerMsg',203,1),
(11891,58542,58588,'OP_DungeonMakerEnter',548,1),
(11892,58542,58588,'OP_DungeonMakerItemRequest',550,1),
(11893,58542,58588,'OP_DungeonMakerItemResponse',580,1),
(11894,58542,58588,'OP_DungeonMakerToolboxList',552,1),
(11895,58542,58588,'OP_DungeonMakerUnknown',553,1),
(11896,58542,58588,'OP_DungeonMakerUnknown1',554,1),
(11897,58542,58588,'OP_DungeonPlayAsAvatarList',745,1),
(11898,58542,58588,'OP_DungeonPlayAsAvatarSelected',746,1),
(11899,58542,58588,'OP_EncounterBrokenMsg',263,1),
(11900,58542,58588,'OP_EnterHouseMsg',154,1),
(11901,58542,58588,'OP_EnterMoveObjectModeMsg',161,1),
(11902,58542,58588,'OP_EntityVerbsReplyMsg',181,1),
(11903,58542,58588,'OP_EntityVerbsRequestMsg',180,1),
(11904,58542,58588,'OP_EntityVerbsVerbMsg',182,1),
(11905,58542,58588,'OP_EqArenaResultsCmd',696,1),
(11906,58542,58588,'OP_EqAvailWorldChannelsCmd',683,1),
(11907,58542,58588,'OP_EqBetaCopyRequest',603,1),
(11908,58542,58588,'OP_EqCannedEmoteCmd',625,1),
(11909,58542,58588,'OP_EqChatChannelUpdateCmd',681,1),
(11910,58542,58588,'OP_EqChoiceWinCmd',662,1),
(11911,58542,58588,'OP_EqCloseWindowCmd',654,1),
(11912,58542,58588,'OP_EqCollectionFilterCmd',641,1),
(11913,58542,58588,'OP_EqCollectionItemCmd',642,1),
(11914,58542,58588,'OP_EqCollectionUpdateCmd',640,1),
(11915,58542,58588,'OP_EqConsignmentItemsCmd',686,1),
(11916,58542,58588,'OP_EqCreateGhostCmd',607,1),
(11917,58542,58588,'OP_EqCreateListBoxCmd',622,1),
(11918,58542,58588,'OP_EqCreateSignWidgetCmd',609,1),
(11919,58542,58588,'OP_EqCreateWidgetCmd',608,1),
(11920,58542,58588,'OP_EqDebugPVDCmd',675,1),
(11921,58542,58588,'OP_EqDestroyGhostCmd',610,1),
(11922,58542,58588,'OP_EqDialogCloseCmd',638,1),
(11923,58542,58588,'OP_EqDialogOpenCmd',637,1),
(11924,58542,58588,'OP_EqDisplaySpellFailCmd',658,1),
(11925,58542,58588,'OP_EqDisplayTextCmd',606,1),
(11926,58542,58588,'OP_EqDrawablePathGraphCmd',636,1),
(11927,58542,58588,'OP_EqEnableGameEventCmd',668,1),
(11928,58542,58588,'OP_EqEnableWindowCmd',670,1),
(11929,58542,58588,'OP_EqExamineInfoCmd',653,1),
(11930,58542,58588,'OP_EqFactionUpdateCmd',639,1),
(11931,58542,58588,'OP_EqFlashWindowCmd',671,1),
(11932,58542,58588,'OP_EqGetProbsCmd',679,1),
(11933,58542,58588,'OP_EqGroupMemberRemovedCmd',632,1),
(11934,58542,58588,'OP_EqGuildBankEventActionCmd',697,1),
(11935,58542,58588,'OP_EqGuildBankExamineInfoCmd',698,1),
(11936,58542,58588,'OP_EqHearChainEffectCmd',633,1),
(11937,58542,58588,'OP_EqHearChatCmd',605,1),
(11938,58542,58588,'OP_EqHearCombatCmd',614,1),
(11939,58542,58588,'OP_EqHearConsiderCmd',620,1),
(11940,58542,58588,'OP_EqHearDeathCmd',631,1),
(11941,58542,58588,'OP_EQHearDispellCmd',743,1),
(11942,58542,58588,'OP_EqHearDrowningCmd',630,1),
(11943,58542,58588,'OP_EqHearHealCmd',680,1),
(11944,58542,58588,'OP_EqHearPlayFlavorCmd',673,1),
(11945,58542,58588,'OP_EQHearProcCmd',616,1),
(11946,58542,58588,'OP_EQHearResEffectCmd',617,1),
(11947,58542,58588,'OP_EqHearSpellCastCmd',615,1),
(11948,58542,58588,'OP_EqHearSpellFizzleCmd',619,1),
(11949,58542,58588,'OP_EqHearSpellInterruptCmd',618,1),
(11950,58542,58588,'OP_EqHearSpellNoLandCmd',699,1),
(11951,58542,58588,'OP_EQHearThreatCmd',737,1),
(11952,58542,58588,'OP_EqHelpPathClearCmd',651,1),
(11953,58542,58588,'OP_EqHelpPathCmd',650,1),
(11954,58542,58588,'OP_EqInspectPCResultsCmd',635,1),
(11955,58542,58588,'OP_EqInstructionWindowCloseCmd',665,1),
(11956,58542,58588,'OP_EqInstructionWindowCmd',664,1),
(11957,58542,58588,'OP_EqInstructionWindowGoalCmd',666,1),
(11958,58542,58588,'OP_EqInstructionWindowTaskCmd',667,1),
(11959,58542,58588,'OP_EqJunctionListCmd',656,1),
(11960,58542,58588,'OP_EqMapExplorationCmd',689,1),
(11961,58542,58588,'OP_EqMentoring',644,1),
(11962,58542,58588,'OP_EqPlaySound3DCmd',628,1),
(11963,58542,58588,'OP_EqPlaySoundCmd',627,1),
(11964,58542,58588,'OP_EqPlayVoiceCmd',629,1),
(11965,58542,58588,'OP_EqQuestGroupCmd',646,1),
(11966,58542,58588,'OP_EqQuestionnaireCmd',677,1),
(11967,58542,58588,'OP_EqQuestJournalReplyCmd',645,1),
(11968,58542,58588,'OP_EqQuestJournalUpdateCmd',643,1),
(11969,58542,58588,'OP_EqReceiveOfferCmd',634,1),
(11970,58542,58588,'OP_EqResurrectedCmd',661,1),
(11971,58542,58588,'OP_EqSetControlGhostCmd',612,1),
(11972,58542,58588,'OP_EqSetDebugPathPointsCmd',623,1),
(11973,58542,58588,'OP_EqSetDefaultVerbCmd',663,1),
(11974,58542,58588,'OP_EqSetPOVGhostCmd',613,1),
(11975,58542,58588,'OP_EqShowBookCmd',676,1),
(11976,58542,58588,'OP_EqShowDeathWindowCmd',657,1),
(11977,58542,58588,'OP_EqShowWindowCmd',669,1),
(11978,58542,58588,'OP_EqSpellCastEndCmd',660,1),
(11979,58542,58588,'OP_EqSpellCastStartCmd',659,1),
(11980,58542,58588,'OP_EqSpellMoveToRangeAndRetryCmd',691,1),
(11981,58542,58588,'OP_EqStartBrokerCmd',688,1),
(11982,58542,58588,'OP_EqStateCmd',626,1),
(11983,58542,58588,'OP_EqStoreLogCmd',690,1),
(11984,58542,58588,'OP_EqUpdateBankCmd',652,1),
(11985,58542,58588,'OP_EqUpdateGhostCmd',611,1),
(11986,58542,58588,'OP_EqUpdateLootCmd',655,1),
(11987,58542,58588,'OP_EqUpdateMerchantCmd',647,1),
(11988,58542,58588,'OP_EqUpdatePlayerMailCmd',692,1),
(11989,58542,58588,'OP_EqUpdatePlayerTradeCmd',649,1),
(11990,58542,58588,'OP_EqUpdateSignWidgetCmd',674,1),
(11991,58542,58588,'OP_EqUpdateStoreCmd',648,1),
(11992,58542,58588,'OP_EqUpdateSubClassesCmd',621,1),
(11993,58542,58588,'OP_EqUpdateTargetCmd',684,1),
(11994,58542,58588,'OP_EqWhoChannelQueryReplyCmd',682,1),
(11995,58542,58588,'OP_ESInitMsg',25,1),
(11996,58542,58588,'OP_ESLoginRequestMsg',3,1),
(11997,58542,58588,'OP_ESReadyForClientsMsg',26,1),
(11998,58542,58588,'OP_ESStatusMsg',100,1),
(11999,58542,58588,'OP_ESWeatherRequestEndMsg',105,1),
(12000,58542,58588,'OP_ESWeatherRequestMsg',104,1),
(12001,58542,58588,'OP_ESZoneInstanceStatusMsg',101,1),
(12002,58542,58588,'OP_ExamineConsignmentRequestMsg',171,1),
(12003,58542,58588,'OP_ExamineConsignmentResponseMsg',172,1),
(12004,58542,58588,'OP_ExamineInfoRequestMsg',255,1),
(12005,58542,58588,'OP_ExamineItemRequestMsg',195,1),
(12006,58542,58588,'OP_ExitHouseMsg',155,1),
(12007,58542,58588,'OP_ExpectClientAsCharacterReplyMs',22,1),
(12008,58542,58588,'OP_ExpectClientAsCharacterRequest',32,1),
(12009,58542,58588,'OP_ExpPurchWindow',722,1),
(12010,58542,58588,'OP_FellowshipExpMsg',122,1),
(12011,58542,58588,'OP_FlightPathsMsg',413,1),
(12012,58542,58588,'OP_GameWorldTimeMsg',43,1),
(12013,58542,58588,'OP_PaperdollImage',575,1),
(12014,58542,58588,'OP_GetAuctionAssetIDMsg',441,1),
(12015,58542,58588,'OP_GetAuctionAssetIDReplyMsg',442,1),
(12016,58542,58588,'OP_GetAvatarAccessRequestForCSToo',393,1),
(12017,58542,58588,'OP_GetCharacterSerializedReplyMsg',424,1),
(12018,58542,58588,'OP_GetCharacterSerializedRequestM',423,1),
(12019,58542,58588,'OP_GroupCreatedMsg',88,1),
(12020,58542,58588,'OP_GroupDestroyedMsg',89,1),
(12021,58542,58588,'OP_GroupLeaderChangedMsg',93,1),
(12022,58542,58588,'OP_GroupMemberAddedMsg',90,1),
(12023,58542,58588,'OP_GroupMemberRemovedMsg',91,1),
(12024,58542,58588,'OP_GroupOptionsMsg',199,1),
(12025,58542,58588,'OP_GroupRemovedFromGroupMsg',92,1),
(12026,58542,58588,'OP_GroupResendOOZDataMsg',94,1),
(12027,58542,58588,'OP_GroupSettingsChangedMsg',95,1),
(12028,58542,58588,'OP_GuildBankActionMsg',274,1),
(12029,58542,58588,'OP_GuildBankActionResponseMsg',275,1),
(12030,58542,58588,'OP_GuildBankEventListMsg',279,1),
(12031,58542,58588,'OP_GuildBankItemDetailsRequestMsg',276,1),
(12032,58542,58588,'OP_GuildBankItemDetailsResponseMs',277,1),
(12033,58542,58588,'OP_GuildBankUpdateMsg',278,1),
(12034,58542,58588,'OP_GuildEventActionMsg',269,1),
(12035,58542,58588,'OP_GuildEventAddMsg',268,1),
(12036,58542,58588,'OP_GuildEventDetailsMsg',272,1),
(12037,58542,58588,'OP_GuildEventListMsg',270,1),
(12038,58542,58588,'OP_GuildEventMsg',267,1),
(12039,58542,58588,'OP_GuildMembershipResponseMsg',357,1),
(12040,58542,58588,'OP_GuildRecruiting',702,1),
(12041,58542,58588,'OP_GuildRecruitingDetails',703,1),
(12042,58542,58588,'OP_GuildRecruitingImage',704,1),
(12043,58542,58588,'OP_GuildRecruitingMemberInfo',701,1),
(12044,58542,58588,'OP_GuildsayMsg',121,1),
(12045,58542,58588,'OP_GuildStatusUpdate',695,1),
(12046,58542,58588,'OP_GuildUpdateMsg',124,1),
(12047,58542,58588,'OP_HeritageMsg',10000,1),
(12048,58542,58588,'OP_HideIllusionsMsg',194,1),
(12049,58542,58588,'OP_HouseAccessRemoveMsg',158,1),
(12050,58542,58588,'OP_HouseAccessSetMsg',157,1),
(12051,58542,58588,'OP_HouseCustomizationScreenMsg',166,1),
(12052,58542,58588,'OP_HouseDefaultAccessSetMsg',156,1),
(12053,58542,58588,'OP_HouseDeletedRemotelyMsg',142,1),
(12054,58542,58588,'OP_HouseItemsList',484,1),
(12055,58542,58588,'OP_HousingDataChangedMsg',427,1),
(12056,58542,58588,'OP_HousingRestoreMsg',428,1),
(12057,58542,58588,'OP_InspectPlayerMsg',363,1),
(12058,58542,58588,'OP_InspectPlayerRequestMsg',450,1),
(12059,58542,58588,'OP_InviteRequestMsg',447,1),
(12060,58542,58588,'OP_InviteResponseMsg',448,1),
(12061,58542,58588,'OP_InviteTargetResponseMsg',449,1),
(12062,58542,58588,'OP_JoinGuildNotifyMsg',359,1),
(12063,58542,58588,'OP_JournalQuestStoryline',744,1),
(12064,58542,58588,'OP_KeymapDataMsg',177,1),
(12065,58542,58588,'OP_KeymapLoadMsg',175,1),
(12066,58542,58588,'OP_KeymapNoneMsg',176,1),
(12067,58542,58588,'OP_KeymapSaveMsg',178,1),
(12068,58542,58588,'OP_KnowledgebaseRequestMsg',227,1),
(12069,58542,58588,'OP_KnowledgebaseResponseMsg',228,1),
(12070,58542,58588,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(12071,58542,58588,'OP_KnownLanguagesMsg',238,1),
(12072,58542,58588,'OP_Launchpad',573,1),
(12073,58542,58588,'OP_LeaveGuildNotifyMsg',358,1),
(12074,58542,58588,'OP_LevelChangedMsg',261,1),
(12075,58542,58588,'OP_LFGGroupSearch',504,1),
(12076,58542,58588,'OP_LFGUpdateMsg',518,1),
(12077,58542,58588,'OP_LikeOption',136,1),
(12078,58542,58588,'OP_LoadCalendarEvents',576,1),
(12079,58542,58588,'OP_LoadWelcomeWindow',560,1),
(12080,58542,58588,'OP_LoginByNumRequestMsg',1,1),
(12081,58542,58588,'OP_LoginReplyMsg',4,1),
(12082,58542,58588,'OP_LoginRequestMsg',0,1),
(12083,58542,58588,'OP_LootItemsRequestMsg',185,1),
(12084,58542,58588,'OP_Lottery',700,1),
(12085,58542,58588,'OP_LSCheckAcctLockMsg',204,1),
(12086,58542,58588,'OP_LsClientAlertlogReplyMsg',242,1),
(12087,58542,58588,'OP_LsClientBaselogReplyMsg',240,1),
(12088,58542,58588,'OP_LsClientCrashlogReplyMsg',241,1),
(12089,58542,58588,'OP_LsClientVerifylogReplyMsg',243,1),
(12090,58542,58588,'OP_LsRequestClientCrashLogMsg',239,1),
(12091,58542,58588,'OP_LSServerLockMsg',365,1),
(12092,58542,58588,'OP_MacroInitMsg',258,1),
(12093,58542,58588,'OP_MacroUpdateMsg',259,1),
(12094,58542,58588,'OP_MailCommitSendMessageMsg',344,1),
(12095,58542,58588,'OP_MailDeleteMessageMsg',340,1),
(12096,58542,58588,'OP_MailEventNotificationMsg',411,1),
(12097,58542,58588,'OP_MailGetHeadersReplyMsg',341,1),
(12098,58542,58588,'OP_MailGetMessageMsg',338,1),
(12099,58542,58588,'OP_MailGetMessageReplyMsg',342,1),
(12100,58542,58588,'OP_MailRemoveAttachFromMailMsg',346,1),
(12101,58542,58588,'OP_MailSendMessageMsg',339,1),
(12102,58542,58588,'OP_MailSendMessageReplyMsg',343,1),
(12103,58542,58588,'OP_MailSendSystemMessageMsg',345,1),
(12104,58542,58588,'OP_MakeGroupLeaderMsg',87,1),
(12105,58542,58588,'OP_MapFogDataInitMsg',395,1),
(12106,58542,58588,'OP_MapFogDataUpdateMsg',396,1),
(12107,58542,58588,'OP_MapRequest',521,1),
(12108,58542,58588,'OP_MarketAddFundsReply',529,1),
(12109,58542,58588,'OP_MarketAddFundsRequest',528,1),
(12110,58542,58588,'OP_MarketFundsUpdate',526,1),
(12111,58542,58588,'OP_MarketPlaceItems',537,1),
(12112,58542,58588,'OP_MarketPlacePrices',532,1),
(12113,58542,58588,'OP_MarketPurchase',531,1),
(12114,58542,58588,'OP_MentorPopup',558,1),
(12115,58542,58588,'OP_MercHireWindow',747,1),
(12116,58542,58588,'OP_MercUnknown',748,1),
(12117,58542,58588,'OP_MigrateBoatTransportMsg',252,1),
(12118,58542,58588,'OP_MigrateBoatTransportReplyMsg',253,1),
(12119,58542,58588,'OP_MigrateClientToZoneReplyMsg',82,1),
(12120,58542,58588,'OP_MigrateClientToZoneRequestMsg',81,1),
(12121,58542,58588,'OP_ModifyGuildMsg',266,1),
(12122,58542,58588,'OP_MonitorCharacterListMsg',56,1),
(12123,58542,58588,'OP_MonitorCharacterListRequestMsg',57,1),
(12124,58542,58588,'OP_MonitorReplyMsg',55,1),
(12125,58542,58588,'OP_MOTDMsg',44,1),
(12126,58542,58588,'OP_MoveableObjectPlacementCriteri',160,1),
(12127,58542,58588,'OP_MoveLogUpdateMsg',400,1),
(12128,58542,58588,'OP_NotifyApprenticeStoppedMentori',408,1),
(12129,58542,58588,'OP_OfferQuestMsg',401,1),
(12130,58542,58588,'OP_OnscreenMsgMsg',264,1),
(12131,58542,58588,'OP_OpenCharCust',561,1),
(12132,58542,58588,'OP_OutOfZoneMemberDataMsg',96,1),
(12133,58542,58588,'OP_PayHouseUpkeepMsg',159,1),
(12134,58542,58588,'OP_PerformCameraShakeMsg',214,1),
(12135,58542,58588,'OP_PerformPlayerKnockbackMsg',213,1),
(12136,58542,58588,'OP_PetOptions',201,1),
(12137,58542,58588,'OP_PetOptionsResponse',579,1),
(12138,58542,58588,'OP_PlayCharacterReplyMsg',19,1),
(12139,58542,58588,'OP_PlayCharacterRequestMsg',18,1),
(12140,58542,58588,'OP_PlayerHouseAccessUpdateMsg',147,1),
(12141,58542,58588,'OP_PlayerHouseBaseScreenMsg',145,1),
(12142,58542,58588,'OP_PlayerHouseCloseUIMsg',149,1),
(12143,58542,58588,'OP_PlayerHouseDisplayStatusMsg',148,1),
(12144,58542,58588,'OP_PlayerHousePurchaseScreenMsg',146,1),
(12145,58542,58588,'OP_PlayerMadeInstances',140,1),
(12146,58542,58588,'OP_PlayerMadeInstancesScreen',139,1),
(12147,58542,58588,'OP_PlayerPollAnswer',557,1),
(12148,58542,58588,'OP_PlayerPollPopup',556,1),
(12149,58542,58588,'OP_PlayLon',511,1),
(12150,58542,58588,'OP_PointOfInterest',726,1),
(12151,58542,58588,'OP_PointOfInterest2',727,1),
(12152,58542,58588,'OP_PopulateSkillMapsMsg',215,1),
(12153,58542,58588,'OP_PositionBoatTransportMsg',251,1),
(12154,58542,58588,'OP_PositionMoveableObject',162,1),
(12155,58542,58588,'OP_PostPossessionMsg',454,1),
(12156,58542,58588,'OP_PredictionUpdateMsg',37,1),
(12157,58542,58588,'OP_PrePossessionMsg',453,1),
(12158,58542,58588,'OP_PromoFlagsDetailsMsg',374,1),
(12159,58542,58588,'OP_PublishHouse',138,1),
(12160,58542,58588,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(12161,58542,58588,'OP_PurchaseConsignmentRequestMsg',128,1),
(12162,58542,58588,'OP_QueAllBgSolo',564,1),
(12163,58542,58588,'OP_QuestionnaireMsg',260,1),
(12164,58542,58588,'OP_QuestJournalInspectMsg',114,1),
(12165,58542,58588,'OP_QuestJournalOpenMsg',113,1),
(12166,58542,58588,'OP_QuestJournalSetVisibleMsg',115,1),
(12167,58542,58588,'OP_QuestJournalWaypointMsg',116,1),
(12168,58542,58588,'OP_QuestReward',320,1),
(12169,58542,58588,'OP_QuickbarInitMsg',256,1),
(12170,58542,58588,'OP_QuickbarUpdateMsg',257,1),
(12171,58542,58588,'OP_RaceRestrictionMsg',439,1),
(12172,58542,58588,'OP_ReadBookPageMsg',196,1),
(12173,58542,58588,'OP_ReadyForTakeOffMsg',192,1),
(12174,58542,58588,'OP_ReadyToZoneMsg',84,1),
(12175,58542,58588,'OP_RecipeBook',538,1),
(12176,58542,58588,'OP_RecipeDetailsMsg',72,1),
(12177,58542,58588,'OP_RecipeList',738,1),
(12178,58542,58588,'OP_RecipeListUnknown',591,1),
(12179,58542,58588,'OP_RelinquishHouseMsg',153,1),
(12180,58542,58588,'OP_ReloadLocalizedTxtMsg',355,1),
(12181,58542,58588,'OP_RemoteCmdMsg',42,1),
(12182,58542,58588,'OP_RemoveClientFromGroupMsg',85,1),
(12183,58542,58588,'OP_RemoveConcentrationMsg',112,1),
(12184,58542,58588,'OP_RemoveGroupFromGroupMsg',86,1),
(12185,58542,58588,'OP_RemoveSpellEffectMsg',111,1),
(12186,58542,58588,'OP_RenameGuildMsg',282,1),
(12187,58542,58588,'OP_ReplaceableSubMeshesMsg',165,1),
(12188,58542,58588,'OP_ReportMsg',380,1),
(12189,58542,58588,'OP_RequestCampMsg',50,1),
(12190,58542,58588,'OP_RequestGuildBankEventDetailsMs',280,1),
(12191,58542,58588,'OP_RequestGuildEventDetailsMsg',271,1),
(12192,58542,58588,'OP_RequestGuildInfoMsg',273,1),
(12193,58542,58588,'OP_RequestGuildMembershipMsg',356,1),
(12194,58542,58588,'OP_RequestHelpRepathMsg',206,1),
(12195,58542,58588,'OP_RequestRecipeDetailsMsg',71,1),
(12196,58542,58588,'OP_RequestTargetLocMsg',207,1),
(12197,58542,58588,'OP_Research',739,1),
(12198,58542,58588,'OP_ResendWorldChannelsMsg',443,1),
(12199,58542,58588,'OP_ReskinCharacterRequestMsg',15,1),
(12200,58542,58588,'OP_RestartZoneMsg',412,1),
(12201,58542,58588,'OP_RewardPackMsg',281,1),
(12202,58542,58588,'OP_SatMsg',189,1),
(12203,58542,58588,'OP_SavageBarInitMsg',578,1),
(12204,58542,58588,'OP_SelectZoneTeleporterDestinatio',354,1),
(12205,58542,58588,'OP_SendLatestRequestMsg',97,1),
(12206,58542,58588,'OP_ServerPlayCharacterReplyMsg',24,1),
(12207,58542,58588,'OP_ServerPlayCharacterRequestMsg',23,1),
(12208,58542,58588,'OP_SetInstanceDisplayNameMsg',440,1),
(12209,58542,58588,'OP_SetRemoteCmdsMsg',41,1),
(12210,58542,58588,'OP_SetSocialMsg',99,1),
(12211,58542,58588,'OP_ShaderCustomizationMsg',164,1),
(12212,58542,58588,'OP_ShowCreateFromRecipeUIMsg',219,1),
(12213,58542,58588,'OP_ShowIllusionsMsg',193,1),
(12214,58542,58588,'OP_ShowItemCreationProcessUIMsg',223,1),
(12215,58542,58588,'OP_ShowRecipeBookMsg',226,1),
(12216,58542,58588,'OP_ShowZoneTeleporterDestinations',353,1),
(12217,58542,58588,'OP_SitMsg',187,1),
(12218,58542,58588,'OP_SkillInfoRequest',514,1),
(12219,58542,58588,'OP_SkillInfoResponse',515,1),
(12220,58542,58588,'OP_SpellGainedMsg',262,1),
(12221,58542,58588,'OP_StandMsg',188,1),
(12222,58542,58588,'OP_StoodMsg',190,1),
(12223,58542,58588,'OP_StopItemCreationMsg',222,1),
(12224,58542,58588,'OP_StoppedLootingMsg',186,1),
(12225,58542,58588,'OP_StopTrackingMsg',391,1),
(12226,58542,58588,'OP_SubmitCharCust',562,1),
(12227,58542,58588,'OP_SupplyDepot',736,1),
(12228,58542,58588,'OP_SysClient',218,1),
(12229,58542,58588,'OP_TeleportWithinZoneMsg',79,1),
(12230,58542,58588,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(12231,58542,58588,'OP_TintWidgetsMsg',170,1),
(12232,58542,58588,'OP_TitleUpdateMsg',384,1),
(12233,58542,58588,'OP_TrackingUpdateMsg',389,1),
(12234,58542,58588,'OP_TradeskillList',705,1),
(12235,58542,58588,'OP_TraitsList',728,1),
(12236,58542,58588,'OP_UIEvent',527,1),
(12237,58542,58588,'OP_UIResetMsg',174,1),
(12238,58542,58588,'OP_UISettingsResponseMsg',173,1),
(12239,58542,58588,'OP_Unknown',761,1),
(12240,58542,58588,'OP_UnknownNpcMsg',373,1),
(12241,58542,58588,'OP_UpdateActivePublicZonesMsg',372,1),
(12242,58542,58588,'OP_UpdateCharacterSheetMsg',63,1),
(12243,58542,58588,'OP_UpdateClientPredFlagsMsg',245,1),
(12244,58542,58588,'OP_UpdateDebugRadiiMsg',379,1),
(12245,58542,58588,'OP_UpdateGroupMemberDataMsg',388,1),
(12246,58542,58588,'OP_UpdateHouseAccessDataMsg',144,1),
(12247,58542,58588,'OP_UpdateHouseDataMsg',143,1),
(12248,58542,58588,'OP_UpdateInventoryMsg',68,1),
(12249,58542,58588,'OP_UpdateItemCreationProcessUIMsg',224,1),
(12250,58542,58588,'OP_UpdateMotdMsg',208,1),
(12251,58542,58588,'OP_UpdateOpportunityMsg',75,1),
(12252,58542,58588,'OP_UpdatePositionMsg',39,1),
(12253,58542,58588,'OP_UpdateRaidMsg',381,1),
(12254,58542,58588,'OP_UpdateRecipeBookMsg',70,1),
(12255,58542,58588,'OP_UpdateSkillBookMsg',73,1),
(12256,58542,58588,'OP_UpdateSkillsMsg',74,1),
(12257,58542,58588,'OP_UpdateSpellBookMsg',66,1),
(12258,58542,58588,'OP_UpdateTargetLocMsg',62,1),
(12259,58542,58588,'OP_UpdateTargetMsg',61,1),
(12260,58542,58588,'OP_UpdateTitleCmd',494,1),
(12261,58542,58588,'OP_UseAdornment',716,1),
(12262,58542,58588,'OP_VideoUploaded',577,1),
(12263,58542,58588,'OP_VoiceChatChannel',520,1),
(12264,58542,58588,'OP_VoiceChatServer',732,1),
(12265,58542,58588,'OP_WaypointReplyMsg',349,1),
(12266,58542,58588,'OP_WaypointRequestMsg',348,1),
(12267,58542,58588,'OP_WaypointSelectMsg',350,1),
(12268,58542,58588,'OP_WaypointUpdateMsg',351,1),
(12269,58542,58588,'OP_Weakness',581,1),
(12270,58542,58588,'OP_WhoQueryReplyMsg',54,1),
(12271,58542,58588,'OP_WhoQueryRequestMsg',53,1),
(12272,58542,58588,'OP_WorldDataChangeMsg',410,1),
(12273,58542,58588,'OP_WorldDataUpdateMsg',237,1),
(12274,58542,58588,'OP_WorldListMsg',8,1),
(12275,58542,58588,'OP_WorldPingMsg',399,1),
(12276,58542,58588,'OP_WorldShutdownUpdateMsg',403,1),
(12277,58542,58588,'OP_WorldStatusChangeMsg',6,1),
(12278,58542,58588,'OP_WorldTravelAvail',570,1),
(12279,58542,58588,'OP_WSAcctLockStatusMsg',205,1),
(12280,58542,58588,'OP_WSCreateCharacterReplyMsg',14,1),
(12281,58542,58588,'OP_WSCreateCharacterRequestMsg',13,1),
(12282,58542,58588,'OP_WSLoginRequestMsg',2,1),
(12283,58542,58588,'OP_WSServerHideMsg',366,1),
(12284,58542,58588,'OP_WSServerLockMsg',364,1),
(12285,58542,58588,'OP_WSStatusReplyMsg',5,1),
(12286,58542,58588,'OP_ZoneBgInstanceList',566,1),
(12287,58542,58588,'OP_ZoneInfoMsg',33,1),
(12288,58542,58588,'OP_ZoneInstanceCreateReplyMsg',30,1),
(12289,58542,58588,'OP_ZoneInstanceDestroyedMsg',31,1),
(12290,58542,58588,'OP_ZoneMOTDMsg',45,1),
(12291,58542,58588,'OP_ZonesStatusMsg',103,1),
(12292,58542,58588,'OP_ZonesStatusRequestMsg',102,1),
(12293,58542,58588,'OP_ZoneToFriendReplyMsg',284,1),
(12294,58542,58588,'OP_ZoneToFriendRequestMsg',283,1),
(12761,58542,58588,'OP_SOEAllAccess',604,1),
(13188,58604,58604,'OP_AchievementUpdateMsg',745,1),
(13189,58604,58604,'OP_AddSocialStructureStandingMsg',249,1),
(13190,58604,58604,'OP_AdvancementRequestMsg',394,1),
(13191,58604,58604,'OP_AdventureList',488,1),
(13192,58604,58604,'OP_AFKUpdateMsg',370,1),
(13193,58604,58604,'OP_AfterInvSpellUpdate',69,1),
(13194,58604,58604,'OP_AllCharactersDescReplyMsg',10,1),
(13195,58604,58604,'OP_AllCharactersDescRequestMsg',9,1),
(13196,58604,58604,'OP_AllWSDescRequestMsg',7,1),
(13197,58604,58604,'OP_AnonUpdateMsg',371,1),
(13198,58604,58604,'OP_ArenaCreate',456,1),
(13199,58604,58604,'OP_ArenaGameTypesMsg',445,1),
(13200,58604,58604,'OP_ArenaList',457,1),
(13201,58604,58604,'OP_ArenaWindow',465,1),
(13202,58604,58604,'OP_AttackAllowed',500,1),
(13203,58604,58604,'OP_AttackNotAllowed',501,1),
(13204,58604,58604,'OP_AuctionAbortMsg',436,1),
(13205,58604,58604,'OP_AuctionCharacter',433,1),
(13206,58604,58604,'OP_AuctionCharacterReply',434,1),
(13207,58604,58604,'OP_AuctionCoin',431,1),
(13208,58604,58604,'OP_AuctionCoinReply',432,1),
(13209,58604,58604,'OP_AuctionCommitMsg',435,1),
(13210,58604,58604,'OP_AuctionItem',429,1),
(13211,58604,58604,'OP_AuctionItemReply',430,1),
(13212,58604,58604,'OP_AuditAuctionEventMsg',446,1),
(13213,58604,58604,'OP_AvatarCreatedMsg',46,1),
(13214,58604,58604,'OP_AvatarDestroyedMsg',47,1),
(13215,58604,58604,'OP_AvatarUpdateMsg',360,1),
(13216,58604,58604,'OP_BadLanguageFilter',519,1),
(13217,58604,58604,'OP_BagOptions',502,1),
(13218,58604,58604,'OP_BeginItemCreationMsg',221,1),
(13219,58604,58604,'OP_BeginTrackingMsg',390,1),
(13220,58604,58604,'OP_BioUpdateMsg',362,1),
(13221,58604,58604,'OP_BrokerAddBag',292,1),
(13222,58604,58604,'OP_BrokerRemoveBag',293,1),
(13223,58604,58604,'OP_BrokerSellList',688,1),
(13224,58604,58604,'OP_BuyPlayerHouseMsg',150,1),
(13225,58604,58604,'OP_BuyPlayerHouseTintMsg',151,1),
(13226,58604,58604,'OP_CampAbortedMsg',52,1),
(13227,58604,58604,'OP_CampClientMsg',387,1),
(13228,58604,58604,'OP_CampStartedMsg',51,1),
(13229,58604,58604,'OP_CancelCreateFromRecipeMsg',220,1),
(13230,58604,58604,'OP_CancelledFeignMsg',216,1),
(13231,58604,58604,'OP_CancelMoveObjectModeMsg',163,1),
(13232,58604,58604,'OP_CancelSpellCast',489,1),
(13233,58604,58604,'OP_ChangeServerControlFlagMsg',246,1),
(13234,58604,58604,'OP_ChangeZoneMsg',77,1),
(13235,58604,58604,'OP_CharacterAchievements',744,1),
(13236,58604,58604,'OP_CharacterCreatedDungeons',551,1),
(13237,58604,58604,'OP_CharacterCurrency',743,1),
(13238,58604,58604,'OP_CharacterHousingList',507,1),
(13239,58604,58604,'OP_CharacterLinkdeadMsg',414,1),
(13240,58604,58604,'OP_CharacterMerc',65,1),
(13241,58604,58604,'OP_CharacterMounts',584,1),
(13242,58604,58604,'OP_CharacterPet',64,1),
(13243,58604,58604,'OP_CharNameChangedMsg',352,1),
(13244,58604,58604,'OP_CharRenamed',709,1),
(13245,58604,58604,'OP_CharTransferCommitReplyMsg',422,1),
(13246,58604,58604,'OP_CharTransferCommitRequestMsg',420,1),
(13247,58604,58604,'OP_CharTransferReplyMsg',418,1),
(13248,58604,58604,'OP_CharTransferRequestMsg',417,1),
(13249,58604,58604,'OP_CharTransferRollbackReplyMsg',421,1),
(13250,58604,58604,'OP_CharTransferRollbackRequestMsg',419,1),
(13251,58604,58604,'OP_CharTransferStartReplyMsg',416,1),
(13252,58604,58604,'OP_CharTransferStartRequestMsg',415,1),
(13253,58604,58604,'OP_CharTransferValidateReplyMsg',438,1),
(13254,58604,58604,'OP_CharTransferValidateRequestMsg',437,1),
(13255,58604,58604,'OP_ChatCreateChannelMsg',285,1),
(13256,58604,58604,'OP_ChatFiltersMsg',335,1),
(13257,58604,58604,'OP_ChatJoinChannelMsg',286,1),
(13258,58604,58604,'OP_ChatLeaveChannelMsg',288,1),
(13259,58604,58604,'OP_ChatRelationshipUpdateMsg',184,1),
(13260,58604,58604,'OP_ChatSendFriendsMsg',295,1),
(13261,58604,58604,'OP_ChatSendIgnoresMsg',296,1),
(13262,58604,58604,'OP_ChatTellChannelMsg',289,1),
(13263,58604,58604,'OP_ChatTellUserMsg',290,1),
(13264,58604,58604,'OP_ChatToggleFriendMsg',291,1),
(13265,58604,58604,'OP_ChatToggleIgnoreMsg',294,1),
(13266,58604,58604,'OP_ChatWhoChannelMsg',287,1),
(13267,58604,58604,'OP_ClearDataMsg',98,1),
(13268,58604,58604,'OP_ClearForLandingMsg',491,1),
(13269,58604,58604,'OP_ClearForTakeOffMsg',191,1),
(13270,58604,58604,'OP_ClientCmdMsg',58,1),
(13271,58604,58604,'OP_ClientFellMsg',385,1),
(13272,58604,58604,'OP_ClientIdleBeginMsg',405,1),
(13273,58604,58604,'OP_ClientIdleEndMsg',406,1),
(13274,58604,58604,'OP_ClientInDeathRegionMsg',386,1),
(13275,58604,58604,'OP_ClientTeleportRequestMsg',78,1),
(13276,58604,58604,'OP_ClientTeleportToLocationMsg',244,1),
(13277,58604,58604,'OP_CloseGroupInviteWindowMsg',397,1),
(13278,58604,58604,'OP_CollectAllHouseItemsMsg',152,1),
(13279,58604,58604,'OP_ConsignItemRequestMsg',126,1),
(13280,58604,58604,'OP_ConsignItemResponseMsg',127,1),
(13281,58604,58604,'OP_ConsignmentCloseStoreMsg',125,1),
(13282,58604,58604,'OP_ConsignRemoveItemsMsg',378,1),
(13283,58604,58604,'OP_ConsignViewCreateMsg',375,1),
(13284,58604,58604,'OP_ConsignViewGetPageMsg',376,1),
(13285,58604,58604,'OP_ConsignViewReleaseMsg',377,1),
(13286,58604,58604,'OP_ConsignViewSortMsg',383,1),
(13287,58604,58604,'OP_CorruptedClientMsg',409,1),
(13288,58604,58604,'OP_CreateBoatTransportsMsg',250,1),
(13289,58604,58604,'OP_CreateCharacterDungeon',547,1),
(13290,58604,58604,'OP_CreateCharacterReplyMsg',12,1),
(13291,58604,58604,'OP_CreateCharacterRequestMsg',11,1),
(13292,58604,58604,'OP_CreateCharFromCBBReplyMsg',426,1),
(13293,58604,58604,'OP_CreateCharFromCBBRequestMsg',425,1),
(13294,58604,58604,'OP_CreateGuildReplyMsg',120,1),
(13295,58604,58604,'OP_CreateGuildRequestMsg',119,1),
(13296,58604,58604,'OP_CreateZoneInstanceMsg',29,1),
(13297,58604,58604,'OP_CsCategoryRequestMsg',367,1),
(13298,58604,58604,'OP_CsCategoryResponseMsg',368,1),
(13299,58604,58604,'OP_CSTicketAddCommentMsg',234,1),
(13300,58604,58604,'OP_CSTicketChangeNotificationMsg',236,1),
(13301,58604,58604,'OP_CSTicketCommentRequestMsg',231,1),
(13302,58604,58604,'OP_CSTicketCommentResponseMsg',232,1),
(13303,58604,58604,'OP_CSTicketCreateMsg',233,1),
(13304,58604,58604,'OP_CSTicketDeleteMsg',235,1),
(13305,58604,58604,'OP_CSTicketHeaderRequestMsg',229,1),
(13306,58604,58604,'OP_CSTicketInfoMsg',230,1),
(13307,58604,58604,'OP_CSToolAccessResponseMsg',388,1),
(13308,58604,58604,'OP_CSToolsRequestMsg',247,1),
(13309,58604,58604,'OP_CSToolsResponseMsg',248,1),
(13310,58604,58604,'OP_CurrentPet',485,1),
(13311,58604,58604,'OP_CustomizationPurchaseRequestMs',167,1),
(13312,58604,58604,'OP_CustomizationReplyMsg',169,1),
(13313,58604,58604,'OP_CustomizationSetRequestMsg',168,1),
(13314,58604,58604,'OP_CustomizeHouseDisplay',734,1),
(13315,58604,58604,'OP_DailyObjectives',597,1),
(13316,58604,58604,'OP_DefaultGroupOptionsMsg',198,1),
(13317,58604,58604,'OP_DefaultGroupOptionsRequestMsg',197,1),
(13318,58604,58604,'OP_DeleteCharacterReplyMsg',17,1),
(13319,58604,58604,'OP_DeleteCharacterRequestMsg',16,1),
(13320,58604,58604,'OP_DeleteGuildMsg',123,1),
(13321,58604,58604,'OP_DestUpdateReq',210,1),
(13322,58604,58604,'OP_DialogCloseMsg',110,1),
(13323,58604,58604,'OP_DialogSelectMsg',109,1),
(13324,58604,58604,'OP_DispatchClientCmdMsg',60,1),
(13325,58604,58604,'OP_DispatchESMsg',59,1),
(13326,58604,58604,'OP_DispatchMsg',451,1),
(13327,58604,58604,'OP_DispatchSpellCmdMsg',179,1),
(13328,58604,58604,'OP_DisplayDebugNLLPointsMsg',254,1),
(13329,58604,58604,'OP_DisplayEventMsg',452,1),
(13330,58604,58604,'OP_DisplayExchangeScreenMsg',444,1),
(13331,58604,58604,'OP_DisplayGroupOptionsScreenMsg',200,1),
(13332,58604,58604,'OP_DisplayInnVisitScreenMsg',202,1),
(13333,58604,58604,'OP_DisplayMailScreenMsg',404,1),
(13334,58604,58604,'OP_DisplayTSEventReactionMsg',225,1),
(13335,58604,58604,'OP_DisplayWarningMsg',265,1),
(13336,58604,58604,'OP_DoneLoadingEntityResourcesMsg',36,1),
(13337,58604,58604,'OP_DoneLoadingZoneResourcesMsg',34,1),
(13338,58604,58604,'OP_DoneSendingInitialEntitiesMsg',35,1),
(13339,58604,58604,'OP_DressingRoom',510,1),
(13340,58604,58604,'OP_DumpSchedulerMsg',203,1),
(13341,58604,58604,'OP_DungeonMakerEnter',548,1),
(13342,58604,58604,'OP_DungeonMakerItemRequest',550,1),
(13343,58604,58604,'OP_DungeonMakerItemResponse',582,1),
(13344,58604,58604,'OP_DungeonMakerToolboxList',552,1),
(13345,58604,58604,'OP_DungeonMakerUnknown',553,1),
(13346,58604,58604,'OP_DungeonMakerUnknown1',554,1),
(13347,58604,58604,'OP_DungeonPlayAsAvatarList',748,1),
(13348,58604,58604,'OP_DungeonPlayAsAvatarSelected',749,1),
(13349,58604,58604,'OP_EncounterBrokenMsg',263,1),
(13350,58604,58604,'OP_EnterHouseMsg',154,1),
(13351,58604,58604,'OP_EnterMoveObjectModeMsg',161,1),
(13352,58604,58604,'OP_EntityVerbsReplyMsg',181,1),
(13353,58604,58604,'OP_EntityVerbsRequestMsg',180,1),
(13354,58604,58604,'OP_EntityVerbsVerbMsg',182,1),
(13355,58604,58604,'OP_EqArenaResultsCmd',699,1),
(13356,58604,58604,'OP_EqAvailWorldChannelsCmd',686,1),
(13357,58604,58604,'OP_EqBetaCopyRequest',606,1),
(13358,58604,58604,'OP_EqCannedEmoteCmd',628,1),
(13359,58604,58604,'OP_EqChatChannelUpdateCmd',684,1),
(13360,58604,58604,'OP_EqChoiceWinCmd',665,1),
(13361,58604,58604,'OP_EqCloseWindowCmd',657,1),
(13362,58604,58604,'OP_EqCollectionFilterCmd',644,1),
(13363,58604,58604,'OP_EqCollectionItemCmd',645,1),
(13364,58604,58604,'OP_EqCollectionUpdateCmd',643,1),
(13365,58604,58604,'OP_EqConsignmentItemsCmd',689,1),
(13366,58604,58604,'OP_EqCreateGhostCmd',610,1),
(13367,58604,58604,'OP_EqCreateListBoxCmd',625,1),
(13368,58604,58604,'OP_EqCreateSignWidgetCmd',612,1),
(13369,58604,58604,'OP_EqCreateWidgetCmd',611,1),
(13370,58604,58604,'OP_EqDebugPVDCmd',678,1),
(13371,58604,58604,'OP_EqDestroyGhostCmd',613,1),
(13372,58604,58604,'OP_EqDialogCloseCmd',641,1),
(13373,58604,58604,'OP_EqDialogOpenCmd',640,1),
(13374,58604,58604,'OP_EqDisplaySpellFailCmd',661,1),
(13375,58604,58604,'OP_EqDisplayTextCmd',609,1),
(13376,58604,58604,'OP_EqDrawablePathGraphCmd',639,1),
(13377,58604,58604,'OP_EqEnableGameEventCmd',671,1),
(13378,58604,58604,'OP_EqEnableWindowCmd',673,1),
(13379,58604,58604,'OP_EqExamineInfoCmd',656,1),
(13380,58604,58604,'OP_EqFactionUpdateCmd',642,1),
(13381,58604,58604,'OP_EqFlashWindowCmd',674,1),
(13382,58604,58604,'OP_EqGetProbsCmd',682,1),
(13383,58604,58604,'OP_EqGroupMemberRemovedCmd',635,1),
(13384,58604,58604,'OP_EqGuildBankEventActionCmd',700,1),
(13385,58604,58604,'OP_EqGuildBankExamineInfoCmd',701,1),
(13386,58604,58604,'OP_EqHearChainEffectCmd',636,1),
(13387,58604,58604,'OP_EqHearChatCmd',608,1),
(13388,58604,58604,'OP_EqHearCombatCmd',617,1),
(13389,58604,58604,'OP_EqHearConsiderCmd',623,1),
(13390,58604,58604,'OP_EqHearDeathCmd',634,1),
(13391,58604,58604,'OP_EQHearDispellCmd',746,1),
(13392,58604,58604,'OP_EqHearDrowningCmd',633,1),
(13393,58604,58604,'OP_EqHearHealCmd',683,1),
(13394,58604,58604,'OP_EqHearPlayFlavorCmd',676,1),
(13395,58604,58604,'OP_EQHearProcCmd',619,1),
(13396,58604,58604,'OP_EQHearResEffectCmd',620,1),
(13397,58604,58604,'OP_EqHearSpellCastCmd',618,1),
(13398,58604,58604,'OP_EqHearSpellFizzleCmd',622,1),
(13399,58604,58604,'OP_EqHearSpellInterruptCmd',621,1),
(13400,58604,58604,'OP_EqHearSpellNoLandCmd',702,1),
(13401,58604,58604,'OP_EQHearThreatCmd',740,1),
(13402,58604,58604,'OP_EqHelpPathClearCmd',654,1),
(13403,58604,58604,'OP_EqHelpPathCmd',653,1),
(13404,58604,58604,'OP_EqInspectPCResultsCmd',638,1),
(13405,58604,58604,'OP_EqInstructionWindowCloseCmd',668,1),
(13406,58604,58604,'OP_EqInstructionWindowCmd',667,1),
(13407,58604,58604,'OP_EqInstructionWindowGoalCmd',669,1),
(13408,58604,58604,'OP_EqInstructionWindowTaskCmd',670,1),
(13409,58604,58604,'OP_EqJunctionListCmd',659,1),
(13410,58604,58604,'OP_EqMapExplorationCmd',692,1),
(13411,58604,58604,'OP_EqMentoring',647,1),
(13412,58604,58604,'OP_EqPlaySound3DCmd',631,1),
(13413,58604,58604,'OP_EqPlaySoundCmd',630,1),
(13414,58604,58604,'OP_EqPlayVoiceCmd',632,1),
(13415,58604,58604,'OP_EqQuestGroupCmd',649,1),
(13416,58604,58604,'OP_EqQuestionnaireCmd',680,1),
(13417,58604,58604,'OP_EqQuestJournalReplyCmd',648,1),
(13418,58604,58604,'OP_EqQuestJournalUpdateCmd',646,1),
(13419,58604,58604,'OP_EqReceiveOfferCmd',637,1),
(13420,58604,58604,'OP_EqResurrectedCmd',664,1),
(13421,58604,58604,'OP_EqSetControlGhostCmd',615,1),
(13422,58604,58604,'OP_EqSetDebugPathPointsCmd',626,1),
(13423,58604,58604,'OP_EqSetDefaultVerbCmd',666,1),
(13424,58604,58604,'OP_EqSetPOVGhostCmd',616,1),
(13425,58604,58604,'OP_EqShowBookCmd',679,1),
(13426,58604,58604,'OP_EqShowDeathWindowCmd',660,1),
(13427,58604,58604,'OP_EqShowWindowCmd',672,1),
(13428,58604,58604,'OP_EqSpellCastEndCmd',663,1),
(13429,58604,58604,'OP_EqSpellCastStartCmd',662,1),
(13430,58604,58604,'OP_EqSpellMoveToRangeAndRetryCmd',694,1),
(13431,58604,58604,'OP_EqStartBrokerCmd',691,1),
(13432,58604,58604,'OP_EqStateCmd',629,1),
(13433,58604,58604,'OP_EqStoreLogCmd',693,1),
(13434,58604,58604,'OP_EqUpdateBankCmd',655,1),
(13435,58604,58604,'OP_EqUpdateGhostCmd',614,1),
(13436,58604,58604,'OP_EqUpdateLootCmd',658,1),
(13437,58604,58604,'OP_EqUpdateMerchantCmd',650,1),
(13438,58604,58604,'OP_EqUpdatePlayerMailCmd',695,1),
(13439,58604,58604,'OP_EqUpdatePlayerTradeCmd',652,1),
(13440,58604,58604,'OP_EqUpdateSignWidgetCmd',677,1),
(13441,58604,58604,'OP_EqUpdateStoreCmd',651,1),
(13442,58604,58604,'OP_EqUpdateSubClassesCmd',624,1),
(13443,58604,58604,'OP_EqUpdateTargetCmd',687,1),
(13444,58604,58604,'OP_EqWhoChannelQueryReplyCmd',685,1),
(13445,58604,58604,'OP_ESInitMsg',25,1),
(13446,58604,58604,'OP_ESLoginRequestMsg',3,1),
(13447,58604,58604,'OP_ESReadyForClientsMsg',26,1),
(13448,58604,58604,'OP_ESStatusMsg',100,1),
(13449,58604,58604,'OP_ESWeatherRequestEndMsg',105,1),
(13450,58604,58604,'OP_ESWeatherRequestMsg',104,1),
(13451,58604,58604,'OP_ESZoneInstanceStatusMsg',101,1),
(13452,58604,58604,'OP_ExamineConsignmentRequestMsg',171,1),
(13453,58604,58604,'OP_ExamineConsignmentResponseMsg',172,1),
(13454,58604,58604,'OP_ExamineInfoRequestMsg',255,1),
(13455,58604,58604,'OP_ExamineItemRequestMsg',195,1),
(13456,58604,58604,'OP_ExitHouseMsg',155,1),
(13457,58604,58604,'OP_ExpectClientAsCharacterReplyMs',22,1),
(13458,58604,58604,'OP_ExpectClientAsCharacterRequest',32,1),
(13459,58604,58604,'OP_ExpPurchWindow',725,1),
(13460,58604,58604,'OP_FellowshipExpMsg',122,1),
(13461,58604,58604,'OP_FlightPathsMsg',413,1),
(13462,58604,58604,'OP_GameWorldTimeMsg',43,1),
(13463,58604,58604,'OP_PaperdollImage',577,1),
(13464,58604,58604,'OP_GetAuctionAssetIDMsg',441,1),
(13465,58604,58604,'OP_GetAuctionAssetIDReplyMsg',442,1),
(13466,58604,58604,'OP_GetAvatarAccessRequestForCSToo',393,1),
(13467,58604,58604,'OP_GetCharacterSerializedReplyMsg',424,1),
(13468,58604,58604,'OP_GetCharacterSerializedRequestM',423,1),
(13469,58604,58604,'OP_GroupCreatedMsg',88,1),
(13470,58604,58604,'OP_GroupDestroyedMsg',89,1),
(13471,58604,58604,'OP_GroupLeaderChangedMsg',93,1),
(13472,58604,58604,'OP_GroupMemberAddedMsg',90,1),
(13473,58604,58604,'OP_GroupMemberRemovedMsg',91,1),
(13474,58604,58604,'OP_GroupOptionsMsg',199,1),
(13475,58604,58604,'OP_GroupRemovedFromGroupMsg',92,1),
(13476,58604,58604,'OP_GroupResendOOZDataMsg',94,1),
(13477,58604,58604,'OP_GroupSettingsChangedMsg',95,1),
(13478,58604,58604,'OP_GuildBankActionMsg',274,1),
(13479,58604,58604,'OP_GuildBankActionResponseMsg',275,1),
(13480,58604,58604,'OP_GuildBankEventListMsg',279,1),
(13481,58604,58604,'OP_GuildBankItemDetailsRequestMsg',276,1),
(13482,58604,58604,'OP_GuildBankItemDetailsResponseMs',277,1),
(13483,58604,58604,'OP_GuildBankUpdateMsg',278,1),
(13484,58604,58604,'OP_GuildEventActionMsg',269,1),
(13485,58604,58604,'OP_GuildEventAddMsg',268,1),
(13486,58604,58604,'OP_GuildEventDetailsMsg',272,1),
(13487,58604,58604,'OP_GuildEventListMsg',270,1),
(13488,58604,58604,'OP_GuildEventMsg',267,1),
(13489,58604,58604,'OP_GuildMembershipResponseMsg',357,1),
(13490,58604,58604,'OP_GuildRecruiting',705,1),
(13491,58604,58604,'OP_GuildRecruitingDetails',706,1),
(13492,58604,58604,'OP_GuildRecruitingImage',707,1),
(13493,58604,58604,'OP_GuildRecruitingMemberInfo',704,1),
(13494,58604,58604,'OP_GuildsayMsg',121,1),
(13495,58604,58604,'OP_GuildStatusUpdate',698,1),
(13496,58604,58604,'OP_GuildUpdateMsg',124,1),
(13497,58604,58604,'OP_HeritageMsg',10000,1),
(13498,58604,58604,'OP_HideIllusionsMsg',194,1),
(13499,58604,58604,'OP_HouseAccessRemoveMsg',158,1),
(13500,58604,58604,'OP_HouseAccessSetMsg',157,1),
(13501,58604,58604,'OP_HouseCustomizationScreenMsg',166,1),
(13502,58604,58604,'OP_HouseDefaultAccessSetMsg',156,1),
(13503,58604,58604,'OP_HouseDeletedRemotelyMsg',142,1),
(13504,58604,58604,'OP_HouseItemsList',484,1),
(13505,58604,58604,'OP_HousingDataChangedMsg',427,1),
(13506,58604,58604,'OP_HousingRestoreMsg',428,1),
(13507,58604,58604,'OP_InspectPlayerMsg',363,1),
(13508,58604,58604,'OP_InspectPlayerRequestMsg',450,1),
(13509,58604,58604,'OP_InviteRequestMsg',447,1),
(13510,58604,58604,'OP_InviteResponseMsg',448,1),
(13511,58604,58604,'OP_InviteTargetResponseMsg',449,1),
(13512,58604,58604,'OP_JoinGuildNotifyMsg',359,1),
(13513,58604,58604,'OP_JournalQuestStoryline',747,1),
(13514,58604,58604,'OP_KeymapDataMsg',177,1),
(13515,58604,58604,'OP_KeymapLoadMsg',175,1),
(13516,58604,58604,'OP_KeymapNoneMsg',176,1),
(13517,58604,58604,'OP_KeymapSaveMsg',178,1),
(13518,58604,58604,'OP_KnowledgebaseRequestMsg',227,1),
(13519,58604,58604,'OP_KnowledgebaseResponseMsg',228,1),
(13520,58604,58604,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(13521,58604,58604,'OP_KnownLanguagesMsg',238,1),
(13522,58604,58604,'OP_Launchpad',575,1),
(13523,58604,58604,'OP_LeaveGuildNotifyMsg',358,1),
(13524,58604,58604,'OP_LevelChangedMsg',261,1),
(13525,58604,58604,'OP_LFGGroupSearch',504,1),
(13526,58604,58604,'OP_LFGUpdateMsg',518,1),
(13527,58604,58604,'OP_LikeOption',136,1),
(13528,58604,58604,'OP_LoadCalendarEvents',578,1),
(13529,58604,58604,'OP_LoadWelcomeWindow',560,1),
(13530,58604,58604,'OP_LoginByNumRequestMsg',1,1),
(13531,58604,58604,'OP_LoginReplyMsg',4,1),
(13532,58604,58604,'OP_LoginRequestMsg',0,1),
(13533,58604,58604,'OP_LootItemsRequestMsg',185,1),
(13534,58604,58604,'OP_Lottery',703,1),
(13535,58604,58604,'OP_LSCheckAcctLockMsg',204,1),
(13536,58604,58604,'OP_LsClientAlertlogReplyMsg',242,1),
(13537,58604,58604,'OP_LsClientBaselogReplyMsg',240,1),
(13538,58604,58604,'OP_LsClientCrashlogReplyMsg',241,1),
(13539,58604,58604,'OP_LsClientVerifylogReplyMsg',243,1),
(13540,58604,58604,'OP_LsRequestClientCrashLogMsg',239,1),
(13541,58604,58604,'OP_LSServerLockMsg',365,1),
(13542,58604,58604,'OP_MacroInitMsg',258,1),
(13543,58604,58604,'OP_MacroUpdateMsg',259,1),
(13544,58604,58604,'OP_MailCommitSendMessageMsg',344,1),
(13545,58604,58604,'OP_MailDeleteMessageMsg',340,1),
(13546,58604,58604,'OP_MailEventNotificationMsg',411,1),
(13547,58604,58604,'OP_MailGetHeadersReplyMsg',341,1),
(13548,58604,58604,'OP_MailGetMessageMsg',338,1),
(13549,58604,58604,'OP_MailGetMessageReplyMsg',342,1),
(13550,58604,58604,'OP_MailRemoveAttachFromMailMsg',346,1),
(13551,58604,58604,'OP_MailSendMessageMsg',339,1),
(13552,58604,58604,'OP_MailSendMessageReplyMsg',343,1),
(13553,58604,58604,'OP_MailSendSystemMessageMsg',345,1),
(13554,58604,58604,'OP_MakeGroupLeaderMsg',87,1),
(13555,58604,58604,'OP_MapFogDataInitMsg',395,1),
(13556,58604,58604,'OP_MapFogDataUpdateMsg',396,1),
(13557,58604,58604,'OP_MapRequest',521,1),
(13558,58604,58604,'OP_MarketAddFundsReply',529,1),
(13559,58604,58604,'OP_MarketAddFundsRequest',528,1),
(13560,58604,58604,'OP_MarketFundsUpdate',526,1),
(13561,58604,58604,'OP_MarketPlaceItems',537,1),
(13562,58604,58604,'OP_MarketPlacePrices',532,1),
(13563,58604,58604,'OP_MarketPurchase',531,1),
(13564,58604,58604,'OP_MentorPopup',558,1),
(13565,58604,58604,'OP_MercHireWindow',750,1),
(13566,58604,58604,'OP_MercUnknown',751,1),
(13567,58604,58604,'OP_MigrateBoatTransportMsg',252,1),
(13568,58604,58604,'OP_MigrateBoatTransportReplyMsg',253,1),
(13569,58604,58604,'OP_MigrateClientToZoneReplyMsg',82,1),
(13570,58604,58604,'OP_MigrateClientToZoneRequestMsg',81,1),
(13571,58604,58604,'OP_ModifyGuildMsg',266,1),
(13572,58604,58604,'OP_MonitorCharacterListMsg',56,1),
(13573,58604,58604,'OP_MonitorCharacterListRequestMsg',57,1),
(13574,58604,58604,'OP_MonitorReplyMsg',55,1),
(13575,58604,58604,'OP_MOTDMsg',44,1),
(13576,58604,58604,'OP_MoveableObjectPlacementCriteri',160,1),
(13577,58604,58604,'OP_MoveLogUpdateMsg',400,1),
(13578,58604,58604,'OP_NotifyApprenticeStoppedMentori',408,1),
(13579,58604,58604,'OP_OfferQuestMsg',401,1),
(13580,58604,58604,'OP_OnscreenMsgMsg',264,1),
(13581,58604,58604,'OP_OpenCharCust',561,1),
(13582,58604,58604,'OP_OutOfZoneMemberDataMsg',96,1),
(13583,58604,58604,'OP_PayHouseUpkeepMsg',159,1),
(13584,58604,58604,'OP_PerformCameraShakeMsg',214,1),
(13585,58604,58604,'OP_PerformPlayerKnockbackMsg',213,1),
(13586,58604,58604,'OP_PetOptions',201,1),
(13587,58604,58604,'OP_PetOptionsResponse',581,1),
(13588,58604,58604,'OP_PlayCharacterReplyMsg',19,1),
(13589,58604,58604,'OP_PlayCharacterRequestMsg',18,1),
(13590,58604,58604,'OP_PlayerHouseAccessUpdateMsg',147,1),
(13591,58604,58604,'OP_PlayerHouseBaseScreenMsg',145,1),
(13592,58604,58604,'OP_PlayerHouseCloseUIMsg',149,1),
(13593,58604,58604,'OP_PlayerHouseDisplayStatusMsg',148,1),
(13594,58604,58604,'OP_PlayerHousePurchaseScreenMsg',146,1),
(13595,58604,58604,'OP_PlayerMadeInstances',140,1),
(13596,58604,58604,'OP_PlayerMadeInstancesScreen',139,1),
(13597,58604,58604,'OP_PlayerPollAnswer',557,1),
(13598,58604,58604,'OP_PlayerPollPopup',556,1),
(13599,58604,58604,'OP_PlayLon',511,1),
(13600,58604,58604,'OP_PointOfInterest',729,1),
(13601,58604,58604,'OP_PointOfInterest2',730,1),
(13602,58604,58604,'OP_PopulateSkillMapsMsg',215,1),
(13603,58604,58604,'OP_PositionBoatTransportMsg',251,1),
(13604,58604,58604,'OP_PositionMoveableObject',162,1),
(13605,58604,58604,'OP_PostPossessionMsg',454,1),
(13606,58604,58604,'OP_PredictionUpdateMsg',37,1),
(13607,58604,58604,'OP_PrePossessionMsg',453,1),
(13608,58604,58604,'OP_PromoFlagsDetailsMsg',374,1),
(13609,58604,58604,'OP_PublishHouse',138,1),
(13610,58604,58604,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(13611,58604,58604,'OP_PurchaseConsignmentRequestMsg',128,1),
(13612,58604,58604,'OP_QueAllBgSolo',564,1),
(13613,58604,58604,'OP_QuestionnaireMsg',260,1),
(13614,58604,58604,'OP_QuestJournalInspectMsg',114,1),
(13615,58604,58604,'OP_QuestJournalOpenMsg',113,1),
(13616,58604,58604,'OP_QuestJournalSetVisibleMsg',115,1),
(13617,58604,58604,'OP_QuestJournalWaypointMsg',116,1),
(13618,58604,58604,'OP_QuestReward',320,1),
(13619,58604,58604,'OP_QuickbarInitMsg',256,1),
(13620,58604,58604,'OP_QuickbarUpdateMsg',257,1),
(13621,58604,58604,'OP_RaceRestrictionMsg',439,1),
(13622,58604,58604,'OP_ReadBookPageMsg',196,1),
(13623,58604,58604,'OP_ReadyForTakeOffMsg',192,1),
(13624,58604,58604,'OP_ReadyToZoneMsg',84,1),
(13625,58604,58604,'OP_RecipeBook',538,1),
(13626,58604,58604,'OP_RecipeDetailsMsg',72,1),
(13627,58604,58604,'OP_RecipeList',741,1),
(13628,58604,58604,'OP_RecipeListUnknown',593,1),
(13629,58604,58604,'OP_RelinquishHouseMsg',153,1),
(13630,58604,58604,'OP_ReloadLocalizedTxtMsg',355,1),
(13631,58604,58604,'OP_RemoteCmdMsg',42,1),
(13632,58604,58604,'OP_RemoveClientFromGroupMsg',85,1),
(13633,58604,58604,'OP_RemoveConcentrationMsg',112,1),
(13634,58604,58604,'OP_RemoveGroupFromGroupMsg',86,1),
(13635,58604,58604,'OP_RemoveSpellEffectMsg',111,1),
(13636,58604,58604,'OP_RenameGuildMsg',282,1),
(13637,58604,58604,'OP_ReplaceableSubMeshesMsg',165,1),
(13638,58604,58604,'OP_ReportMsg',380,1),
(13639,58604,58604,'OP_RequestCampMsg',50,1),
(13640,58604,58604,'OP_RequestGuildBankEventDetailsMs',280,1),
(13641,58604,58604,'OP_RequestGuildEventDetailsMsg',271,1),
(13642,58604,58604,'OP_RequestGuildInfoMsg',273,1),
(13643,58604,58604,'OP_RequestGuildMembershipMsg',356,1),
(13644,58604,58604,'OP_RequestHelpRepathMsg',206,1),
(13645,58604,58604,'OP_RequestRecipeDetailsMsg',71,1),
(13646,58604,58604,'OP_RequestTargetLocMsg',207,1),
(13647,58604,58604,'OP_Research',742,1),
(13648,58604,58604,'OP_ResendWorldChannelsMsg',443,1),
(13649,58604,58604,'OP_ReskinCharacterRequestMsg',15,1),
(13650,58604,58604,'OP_RestartZoneMsg',412,1),
(13651,58604,58604,'OP_RewardPackMsg',281,1),
(13652,58604,58604,'OP_SatMsg',189,1),
(13653,58604,58604,'OP_SavageBarInitMsg',580,1),
(13654,58604,58604,'OP_SelectZoneTeleporterDestinatio',354,1),
(13655,58604,58604,'OP_SendLatestRequestMsg',97,1),
(13656,58604,58604,'OP_ServerPlayCharacterReplyMsg',24,1),
(13657,58604,58604,'OP_ServerPlayCharacterRequestMsg',23,1),
(13658,58604,58604,'OP_SetInstanceDisplayNameMsg',440,1),
(13659,58604,58604,'OP_SetRemoteCmdsMsg',41,1),
(13660,58604,58604,'OP_SetSocialMsg',99,1),
(13661,58604,58604,'OP_ShaderCustomizationMsg',164,1),
(13662,58604,58604,'OP_ShowCreateFromRecipeUIMsg',219,1),
(13663,58604,58604,'OP_ShowIllusionsMsg',193,1),
(13664,58604,58604,'OP_ShowItemCreationProcessUIMsg',223,1),
(13665,58604,58604,'OP_ShowRecipeBookMsg',226,1),
(13666,58604,58604,'OP_ShowZoneTeleporterDestinations',353,1),
(13667,58604,58604,'OP_SitMsg',187,1),
(13668,58604,58604,'OP_SkillInfoRequest',514,1),
(13669,58604,58604,'OP_SkillInfoResponse',515,1),
(13670,58604,58604,'OP_SOEAllAccess',607,1),
(13671,58604,58604,'OP_SpellGainedMsg',262,1),
(13672,58604,58604,'OP_StandMsg',188,1),
(13673,58604,58604,'OP_StoodMsg',190,1),
(13674,58604,58604,'OP_StopItemCreationMsg',222,1),
(13675,58604,58604,'OP_StoppedLootingMsg',186,1),
(13676,58604,58604,'OP_StopTrackingMsg',391,1),
(13677,58604,58604,'OP_SubmitCharCust',562,1),
(13678,58604,58604,'OP_SupplyDepot',739,1),
(13679,58604,58604,'OP_SysClient',218,1),
(13680,58604,58604,'OP_TeleportWithinZoneMsg',79,1),
(13681,58604,58604,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(13682,58604,58604,'OP_TintWidgetsMsg',170,1),
(13683,58604,58604,'OP_TitleUpdateMsg',384,1),
(13684,58604,58604,'OP_TrackingUpdateMsg',389,1),
(13685,58604,58604,'OP_TradeskillList',708,1),
(13686,58604,58604,'OP_TraitsList',731,1),
(13687,58604,58604,'OP_UIEvent',527,1),
(13688,58604,58604,'OP_UIResetMsg',174,1),
(13689,58604,58604,'OP_UISettingsResponseMsg',173,1),
(13690,58604,58604,'OP_Unknown',764,1),
(13691,58604,58604,'OP_UnknownNpcMsg',373,1),
(13692,58604,58604,'OP_UpdateActivePublicZonesMsg',372,1),
(13693,58604,58604,'OP_UpdateCharacterSheetMsg',63,1),
(13694,58604,58604,'OP_UpdateClientPredFlagsMsg',245,1),
(13695,58604,58604,'OP_UpdateDebugRadiiMsg',379,1),
(13696,58604,58604,'OP_UpdateGroupMemberDataMsg',388,1),
(13697,58604,58604,'OP_UpdateHouseAccessDataMsg',144,1),
(13698,58604,58604,'OP_UpdateHouseDataMsg',143,1),
(13699,58604,58604,'OP_UpdateInventoryMsg',68,1),
(13700,58604,58604,'OP_UpdateItemCreationProcessUIMsg',224,1),
(13701,58604,58604,'OP_UpdateMotdMsg',208,1),
(13702,58604,58604,'OP_UpdateOpportunityMsg',75,1),
(13703,58604,58604,'OP_UpdatePositionMsg',39,1),
(13704,58604,58604,'OP_UpdateRaidMsg',381,1),
(13705,58604,58604,'OP_UpdateRecipeBookMsg',70,1),
(13706,58604,58604,'OP_UpdateSkillBookMsg',73,1),
(13707,58604,58604,'OP_UpdateSkillsMsg',74,1),
(13708,58604,58604,'OP_UpdateSpellBookMsg',66,1),
(13709,58604,58604,'OP_UpdateTargetLocMsg',62,1),
(13710,58604,58604,'OP_UpdateTargetMsg',61,1),
(13711,58604,58604,'OP_UpdateTitleCmd',494,1),
(13712,58604,58604,'OP_UseAdornment',719,1),
(13713,58604,58604,'OP_VideoUploaded',579,1),
(13714,58604,58604,'OP_VoiceChatChannel',520,1),
(13715,58604,58604,'OP_VoiceChatServer',735,1),
(13716,58604,58604,'OP_WaypointReplyMsg',349,1),
(13717,58604,58604,'OP_WaypointRequestMsg',348,1),
(13718,58604,58604,'OP_WaypointSelectMsg',350,1),
(13719,58604,58604,'OP_WaypointUpdateMsg',351,1),
(13720,58604,58604,'OP_Weakness',583,1),
(13721,58604,58604,'OP_WhoQueryReplyMsg',54,1),
(13722,58604,58604,'OP_WhoQueryRequestMsg',53,1),
(13723,58604,58604,'OP_WorldDataChangeMsg',410,1),
(13724,58604,58604,'OP_WorldDataUpdateMsg',237,1),
(13725,58604,58604,'OP_WorldListMsg',8,1),
(13726,58604,58604,'OP_WorldPingMsg',399,1),
(13727,58604,58604,'OP_WorldShutdownUpdateMsg',403,1),
(13728,58604,58604,'OP_WorldStatusChangeMsg',6,1),
(13729,58604,58604,'OP_WorldTravelAvail',572,1),
(13730,58604,58604,'OP_WSAcctLockStatusMsg',205,1),
(13731,58604,58604,'OP_WSCreateCharacterReplyMsg',14,1),
(13732,58604,58604,'OP_WSCreateCharacterRequestMsg',13,1),
(13733,58604,58604,'OP_WSLoginRequestMsg',2,1),
(13734,58604,58604,'OP_WSServerHideMsg',366,1),
(13735,58604,58604,'OP_WSServerLockMsg',364,1),
(13736,58604,58604,'OP_WSStatusReplyMsg',5,1),
(13737,58604,58604,'OP_ZoneBgInstanceList',568,1),
(13738,58604,58604,'OP_ZoneInfoMsg',33,1),
(13739,58604,58604,'OP_ZoneInstanceCreateReplyMsg',30,1),
(13740,58604,58604,'OP_ZoneInstanceDestroyedMsg',31,1),
(13741,58604,58604,'OP_ZoneMOTDMsg',45,1),
(13742,58604,58604,'OP_ZonesStatusMsg',103,1),
(13743,58604,58604,'OP_ZonesStatusRequestMsg',102,1),
(13744,58604,58604,'OP_ZoneToFriendReplyMsg',284,1),
(13745,58604,58604,'OP_ZoneToFriendRequestMsg',283,1),
(13746,58647,58647,'OP_AchievementUpdateMsg',746,1),
(13747,58647,58647,'OP_AddSocialStructureStandingMsg',249,1),
(13748,58647,58647,'OP_AdvancementRequestMsg',394,1),
(13749,58647,58647,'OP_AdventureList',488,1),
(13750,58647,58647,'OP_AFKUpdateMsg',370,1),
(13751,58647,58647,'OP_AfterInvSpellUpdate',69,1),
(13752,58647,58647,'OP_AllCharactersDescReplyMsg',10,1),
(13753,58647,58647,'OP_AllCharactersDescRequestMsg',9,1),
(13754,58647,58647,'OP_AllWSDescRequestMsg',7,1),
(13755,58647,58647,'OP_AnonUpdateMsg',371,1),
(13756,58647,58647,'OP_ArenaCreate',456,1),
(13757,58647,58647,'OP_ArenaGameTypesMsg',445,1),
(13758,58647,58647,'OP_ArenaList',457,1),
(13759,58647,58647,'OP_ArenaWindow',465,1),
(13760,58647,58647,'OP_AttackAllowed',500,1),
(13761,58647,58647,'OP_AttackNotAllowed',501,1),
(13762,58647,58647,'OP_AuctionAbortMsg',436,1),
(13763,58647,58647,'OP_AuctionCharacter',433,1),
(13764,58647,58647,'OP_AuctionCharacterReply',434,1),
(13765,58647,58647,'OP_AuctionCoin',431,1),
(13766,58647,58647,'OP_AuctionCoinReply',432,1),
(13767,58647,58647,'OP_AuctionCommitMsg',435,1),
(13768,58647,58647,'OP_AuctionItem',429,1),
(13769,58647,58647,'OP_AuctionItemReply',430,1),
(13770,58647,58647,'OP_AuditAuctionEventMsg',446,1),
(13771,58647,58647,'OP_AvatarCreatedMsg',46,1),
(13772,58647,58647,'OP_AvatarDestroyedMsg',47,1),
(13773,58647,58647,'OP_AvatarUpdateMsg',360,1),
(13774,58647,58647,'OP_BadLanguageFilter',519,1),
(13775,58647,58647,'OP_BagOptions',502,1),
(13776,58647,58647,'OP_BeginItemCreationMsg',221,1),
(13777,58647,58647,'OP_BeginTrackingMsg',390,1),
(13778,58647,58647,'OP_BioUpdateMsg',362,1),
(13779,58647,58647,'OP_BrokerAddBag',292,1),
(13780,58647,58647,'OP_BrokerRemoveBag',293,1),
(13781,58647,58647,'OP_BrokerSellList',689,1),
(13782,58647,58647,'OP_BuyPlayerHouseMsg',150,1),
(13783,58647,58647,'OP_BuyPlayerHouseTintMsg',151,1),
(13784,58647,58647,'OP_CampAbortedMsg',52,1),
(13785,58647,58647,'OP_CampClientMsg',387,1),
(13786,58647,58647,'OP_CampStartedMsg',51,1),
(13787,58647,58647,'OP_CancelCreateFromRecipeMsg',220,1),
(13788,58647,58647,'OP_CancelledFeignMsg',216,1),
(13789,58647,58647,'OP_CancelMoveObjectModeMsg',163,1),
(13790,58647,58647,'OP_CancelSpellCast',489,1),
(13791,58647,58647,'OP_ChangeServerControlFlagMsg',246,1),
(13792,58647,58647,'OP_ChangeZoneMsg',77,1),
(13793,58647,58647,'OP_CharacterAchievements',745,1),
(13794,58647,58647,'OP_CharacterCreatedDungeons',551,1),
(13795,58647,58647,'OP_CharacterCurrency',744,1),
(13796,58647,58647,'OP_CharacterHousingList',507,1),
(13797,58647,58647,'OP_CharacterLinkdeadMsg',414,1),
(13798,58647,58647,'OP_CharacterMerc',65,1),
(13799,58647,58647,'OP_CharacterMounts',584,1),
(13800,58647,58647,'OP_CharacterPet',64,1),
(13801,58647,58647,'OP_CharNameChangedMsg',352,1),
(13802,58647,58647,'OP_CharRenamed',710,1),
(13803,58647,58647,'OP_CharTransferCommitReplyMsg',422,1),
(13804,58647,58647,'OP_CharTransferCommitRequestMsg',420,1),
(13805,58647,58647,'OP_CharTransferReplyMsg',418,1),
(13806,58647,58647,'OP_CharTransferRequestMsg',417,1),
(13807,58647,58647,'OP_CharTransferRollbackReplyMsg',421,1),
(13808,58647,58647,'OP_CharTransferRollbackRequestMsg',419,1),
(13809,58647,58647,'OP_CharTransferStartReplyMsg',416,1),
(13810,58647,58647,'OP_CharTransferStartRequestMsg',415,1),
(13811,58647,58647,'OP_CharTransferValidateReplyMsg',438,1),
(13812,58647,58647,'OP_CharTransferValidateRequestMsg',437,1),
(13813,58647,58647,'OP_ChatCreateChannelMsg',285,1),
(13814,58647,58647,'OP_ChatFiltersMsg',335,1),
(13815,58647,58647,'OP_ChatJoinChannelMsg',286,1),
(13816,58647,58647,'OP_ChatLeaveChannelMsg',288,1),
(13817,58647,58647,'OP_ChatRelationshipUpdateMsg',184,1),
(13818,58647,58647,'OP_ChatSendFriendsMsg',295,1),
(13819,58647,58647,'OP_ChatSendIgnoresMsg',296,1),
(13820,58647,58647,'OP_ChatTellChannelMsg',289,1),
(13821,58647,58647,'OP_ChatTellUserMsg',290,1),
(13822,58647,58647,'OP_ChatToggleFriendMsg',291,1),
(13823,58647,58647,'OP_ChatToggleIgnoreMsg',294,1),
(13824,58647,58647,'OP_ChatWhoChannelMsg',287,1),
(13825,58647,58647,'OP_ClearDataMsg',98,1),
(13826,58647,58647,'OP_ClearForLandingMsg',491,1),
(13827,58647,58647,'OP_ClearForTakeOffMsg',191,1),
(13828,58647,58647,'OP_ClientCmdMsg',58,1),
(13829,58647,58647,'OP_ClientFellMsg',385,1),
(13830,58647,58647,'OP_ClientIdleBeginMsg',405,1),
(13831,58647,58647,'OP_ClientIdleEndMsg',406,1),
(13832,58647,58647,'OP_ClientInDeathRegionMsg',386,1),
(13833,58647,58647,'OP_ClientTeleportRequestMsg',78,1),
(13834,58647,58647,'OP_ClientTeleportToLocationMsg',244,1),
(13835,58647,58647,'OP_CloseGroupInviteWindowMsg',397,1),
(13836,58647,58647,'OP_CollectAllHouseItemsMsg',152,1),
(13837,58647,58647,'OP_ConsignItemRequestMsg',126,1),
(13838,58647,58647,'OP_ConsignItemResponseMsg',127,1),
(13839,58647,58647,'OP_ConsignmentCloseStoreMsg',125,1),
(13840,58647,58647,'OP_ConsignRemoveItemsMsg',378,1),
(13841,58647,58647,'OP_ConsignViewCreateMsg',375,1),
(13842,58647,58647,'OP_ConsignViewGetPageMsg',376,1),
(13843,58647,58647,'OP_ConsignViewReleaseMsg',377,1),
(13844,58647,58647,'OP_ConsignViewSortMsg',383,1),
(13845,58647,58647,'OP_CorruptedClientMsg',409,1),
(13846,58647,58647,'OP_CreateBoatTransportsMsg',250,1),
(13847,58647,58647,'OP_CreateCharacterDungeon',547,1),
(13848,58647,58647,'OP_CreateCharacterReplyMsg',12,1),
(13849,58647,58647,'OP_CreateCharacterRequestMsg',11,1),
(13850,58647,58647,'OP_CreateCharFromCBBReplyMsg',426,1),
(13851,58647,58647,'OP_CreateCharFromCBBRequestMsg',425,1),
(13852,58647,58647,'OP_CreateGuildReplyMsg',120,1),
(13853,58647,58647,'OP_CreateGuildRequestMsg',119,1),
(13854,58647,58647,'OP_CreateZoneInstanceMsg',29,1),
(13855,58647,58647,'OP_CsCategoryRequestMsg',367,1),
(13856,58647,58647,'OP_CsCategoryResponseMsg',368,1),
(13857,58647,58647,'OP_CSTicketAddCommentMsg',234,1),
(13858,58647,58647,'OP_CSTicketChangeNotificationMsg',236,1),
(13859,58647,58647,'OP_CSTicketCommentRequestMsg',231,1),
(13860,58647,58647,'OP_CSTicketCommentResponseMsg',232,1),
(13861,58647,58647,'OP_CSTicketCreateMsg',233,1),
(13862,58647,58647,'OP_CSTicketDeleteMsg',235,1),
(13863,58647,58647,'OP_CSTicketHeaderRequestMsg',229,1),
(13864,58647,58647,'OP_CSTicketInfoMsg',230,1),
(13865,58647,58647,'OP_CSToolAccessResponseMsg',388,1),
(13866,58647,58647,'OP_CSToolsRequestMsg',247,1),
(13867,58647,58647,'OP_CSToolsResponseMsg',248,1),
(13868,58647,58647,'OP_CurrentPet',485,1),
(13869,58647,58647,'OP_CustomizationPurchaseRequestMs',167,1),
(13870,58647,58647,'OP_CustomizationReplyMsg',169,1),
(13871,58647,58647,'OP_CustomizationSetRequestMsg',168,1),
(13872,58647,58647,'OP_CustomizeHouseDisplay',735,1),
(13873,58647,58647,'OP_DailyObjectives',597,1),
(13874,58647,58647,'OP_DefaultGroupOptionsMsg',198,1),
(13875,58647,58647,'OP_DefaultGroupOptionsRequestMsg',197,1),
(13876,58647,58647,'OP_DeleteCharacterReplyMsg',17,1),
(13877,58647,58647,'OP_DeleteCharacterRequestMsg',16,1),
(13878,58647,58647,'OP_DeleteGuildMsg',123,1),
(13879,58647,58647,'OP_DestUpdateReq',210,1),
(13880,58647,58647,'OP_DialogCloseMsg',110,1),
(13881,58647,58647,'OP_DialogSelectMsg',109,1),
(13882,58647,58647,'OP_DispatchClientCmdMsg',60,1),
(13883,58647,58647,'OP_DispatchESMsg',59,1),
(13884,58647,58647,'OP_DispatchMsg',451,1),
(13885,58647,58647,'OP_DispatchSpellCmdMsg',179,1),
(13886,58647,58647,'OP_DisplayDebugNLLPointsMsg',254,1),
(13887,58647,58647,'OP_DisplayEventMsg',452,1),
(13888,58647,58647,'OP_DisplayExchangeScreenMsg',444,1),
(13889,58647,58647,'OP_DisplayGroupOptionsScreenMsg',200,1),
(13890,58647,58647,'OP_DisplayInnVisitScreenMsg',202,1),
(13891,58647,58647,'OP_DisplayMailScreenMsg',404,1),
(13892,58647,58647,'OP_DisplayTSEventReactionMsg',225,1),
(13893,58647,58647,'OP_DisplayWarningMsg',265,1),
(13894,58647,58647,'OP_DoneLoadingEntityResourcesMsg',36,1),
(13895,58647,58647,'OP_DoneLoadingZoneResourcesMsg',34,1),
(13896,58647,58647,'OP_DoneSendingInitialEntitiesMsg',35,1),
(13897,58647,58647,'OP_DressingRoom',510,1),
(13898,58647,58647,'OP_DumpSchedulerMsg',203,1),
(13899,58647,58647,'OP_DungeonMakerEnter',548,1),
(13900,58647,58647,'OP_DungeonMakerItemRequest',550,1),
(13901,58647,58647,'OP_DungeonMakerItemResponse',582,1),
(13902,58647,58647,'OP_DungeonMakerToolboxList',552,1),
(13903,58647,58647,'OP_DungeonMakerUnknown',553,1),
(13904,58647,58647,'OP_DungeonMakerUnknown1',554,1),
(13905,58647,58647,'OP_DungeonPlayAsAvatarList',749,1),
(13906,58647,58647,'OP_DungeonPlayAsAvatarSelected',750,1),
(13907,58647,58647,'OP_EncounterBrokenMsg',263,1),
(13908,58647,58647,'OP_EnterHouseMsg',154,1),
(13909,58647,58647,'OP_EnterMoveObjectModeMsg',161,1),
(13910,58647,58647,'OP_EntityVerbsReplyMsg',181,1),
(13911,58647,58647,'OP_EntityVerbsRequestMsg',180,1),
(13912,58647,58647,'OP_EntityVerbsVerbMsg',182,1),
(13913,58647,58647,'OP_EqArenaResultsCmd',700,1),
(13914,58647,58647,'OP_EqAvailWorldChannelsCmd',687,1),
(13915,58647,58647,'OP_EqBetaCopyRequest',606,1),
(13916,58647,58647,'OP_EqCannedEmoteCmd',629,1),
(13917,58647,58647,'OP_EqChatChannelUpdateCmd',685,1),
(13918,58647,58647,'OP_EqChoiceWinCmd',666,1),
(13919,58647,58647,'OP_EqCloseWindowCmd',658,1),
(13920,58647,58647,'OP_EqCollectionFilterCmd',645,1),
(13921,58647,58647,'OP_EqCollectionItemCmd',646,1),
(13922,58647,58647,'OP_EqCollectionUpdateCmd',644,1),
(13923,58647,58647,'OP_EqConsignmentItemsCmd',690,1),
(13924,58647,58647,'OP_EqCreateGhostCmd',611,1),
(13925,58647,58647,'OP_EqCreateListBoxCmd',626,1),
(13926,58647,58647,'OP_EqCreateSignWidgetCmd',613,1),
(13927,58647,58647,'OP_EqCreateWidgetCmd',612,1),
(13928,58647,58647,'OP_EqDebugPVDCmd',679,1),
(13929,58647,58647,'OP_EqDestroyGhostCmd',614,1),
(13930,58647,58647,'OP_EqDialogCloseCmd',642,1),
(13931,58647,58647,'OP_EqDialogOpenCmd',641,1),
(13932,58647,58647,'OP_EqDisplaySpellFailCmd',662,1),
(13933,58647,58647,'OP_EqDisplayTextCmd',610,1),
(13934,58647,58647,'OP_EqDrawablePathGraphCmd',640,1),
(13935,58647,58647,'OP_EqEnableGameEventCmd',672,1),
(13936,58647,58647,'OP_EqEnableWindowCmd',674,1),
(13937,58647,58647,'OP_EqExamineInfoCmd',657,1),
(13938,58647,58647,'OP_EqFactionUpdateCmd',643,1),
(13939,58647,58647,'OP_EqFlashWindowCmd',675,1),
(13940,58647,58647,'OP_EqGetProbsCmd',683,1),
(13941,58647,58647,'OP_EqGroupMemberRemovedCmd',636,1),
(13942,58647,58647,'OP_EqGuildBankEventActionCmd',701,1),
(13943,58647,58647,'OP_EqGuildBankExamineInfoCmd',702,1),
(13944,58647,58647,'OP_EqHearChainEffectCmd',637,1),
(13945,58647,58647,'OP_EqHearChatCmd',609,1),
(13946,58647,58647,'OP_EqHearCombatCmd',618,1),
(13947,58647,58647,'OP_EqHearConsiderCmd',624,1),
(13948,58647,58647,'OP_EqHearDeathCmd',635,1),
(13949,58647,58647,'OP_EQHearDispellCmd',747,1),
(13950,58647,58647,'OP_EqHearDrowningCmd',634,1),
(13951,58647,58647,'OP_EqHearHealCmd',684,1),
(13952,58647,58647,'OP_EqHearPlayFlavorCmd',677,1),
(13953,58647,58647,'OP_EQHearProcCmd',620,1),
(13954,58647,58647,'OP_EQHearResEffectCmd',621,1),
(13955,58647,58647,'OP_EqHearSpellCastCmd',619,1),
(13956,58647,58647,'OP_EqHearSpellFizzleCmd',623,1),
(13957,58647,58647,'OP_EqHearSpellInterruptCmd',622,1),
(13958,58647,58647,'OP_EqHearSpellNoLandCmd',703,1),
(13959,58647,58647,'OP_EQHearThreatCmd',741,1),
(13960,58647,58647,'OP_EqHelpPathClearCmd',655,1),
(13961,58647,58647,'OP_EqHelpPathCmd',654,1),
(13962,58647,58647,'OP_EqInspectPCResultsCmd',639,1),
(13963,58647,58647,'OP_EqInstructionWindowCloseCmd',669,1),
(13964,58647,58647,'OP_EqInstructionWindowCmd',668,1),
(13965,58647,58647,'OP_EqInstructionWindowGoalCmd',670,1),
(13966,58647,58647,'OP_EqInstructionWindowTaskCmd',671,1),
(13967,58647,58647,'OP_EqJunctionListCmd',660,1),
(13968,58647,58647,'OP_EqMapExplorationCmd',693,1),
(13969,58647,58647,'OP_EqMentoring',648,1),
(13970,58647,58647,'OP_EqPlaySound3DCmd',632,1),
(13971,58647,58647,'OP_EqPlaySoundCmd',631,1),
(13972,58647,58647,'OP_EqPlayVoiceCmd',633,1),
(13973,58647,58647,'OP_EqQuestGroupCmd',650,1),
(13974,58647,58647,'OP_EqQuestionnaireCmd',681,1),
(13975,58647,58647,'OP_EqQuestJournalReplyCmd',649,1),
(13976,58647,58647,'OP_EqQuestJournalUpdateCmd',647,1),
(13977,58647,58647,'OP_EqReceiveOfferCmd',638,1),
(13978,58647,58647,'OP_EqResurrectedCmd',665,1),
(13979,58647,58647,'OP_EqSetControlGhostCmd',616,1),
(13980,58647,58647,'OP_EqSetDebugPathPointsCmd',627,1),
(13981,58647,58647,'OP_EqSetDefaultVerbCmd',667,1),
(13982,58647,58647,'OP_EqSetPOVGhostCmd',617,1),
(13983,58647,58647,'OP_EqShowBookCmd',680,1),
(13984,58647,58647,'OP_EqShowDeathWindowCmd',661,1),
(13985,58647,58647,'OP_EqShowWindowCmd',673,1),
(13986,58647,58647,'OP_EqSpellCastEndCmd',664,1),
(13987,58647,58647,'OP_EqSpellCastStartCmd',663,1),
(13988,58647,58647,'OP_EqSpellMoveToRangeAndRetryCmd',695,1),
(13989,58647,58647,'OP_EqStartBrokerCmd',692,1),
(13990,58647,58647,'OP_EqStateCmd',630,1),
(13991,58647,58647,'OP_EqStoreLogCmd',694,1),
(13992,58647,58647,'OP_EqUpdateBankCmd',656,1),
(13993,58647,58647,'OP_EqUpdateGhostCmd',615,1),
(13994,58647,58647,'OP_EqUpdateLootCmd',659,1),
(13995,58647,58647,'OP_EqUpdateMerchantCmd',651,1),
(13996,58647,58647,'OP_EqUpdatePlayerMailCmd',696,1),
(13997,58647,58647,'OP_EqUpdatePlayerTradeCmd',653,1),
(13998,58647,58647,'OP_EqUpdateSignWidgetCmd',678,1),
(13999,58647,58647,'OP_EqUpdateStoreCmd',652,1),
(14000,58647,58647,'OP_EqUpdateSubClassesCmd',625,1),
(14001,58647,58647,'OP_EqUpdateTargetCmd',688,1),
(14002,58647,58647,'OP_EqWhoChannelQueryReplyCmd',686,1),
(14003,58647,58647,'OP_ESInitMsg',25,1),
(14004,58647,58647,'OP_ESLoginRequestMsg',3,1),
(14005,58647,58647,'OP_ESReadyForClientsMsg',26,1),
(14006,58647,58647,'OP_ESStatusMsg',100,1),
(14007,58647,58647,'OP_ESWeatherRequestEndMsg',105,1),
(14008,58647,58647,'OP_ESWeatherRequestMsg',104,1),
(14009,58647,58647,'OP_ESZoneInstanceStatusMsg',101,1),
(14010,58647,58647,'OP_ExamineConsignmentRequestMsg',171,1),
(14011,58647,58647,'OP_ExamineConsignmentResponseMsg',172,1),
(14012,58647,58647,'OP_ExamineInfoRequestMsg',255,1),
(14013,58647,58647,'OP_ExamineItemRequestMsg',195,1),
(14014,58647,58647,'OP_ExitHouseMsg',155,1),
(14015,58647,58647,'OP_ExpectClientAsCharacterReplyMs',22,1),
(14016,58647,58647,'OP_ExpectClientAsCharacterRequest',32,1),
(14017,58647,58647,'OP_ExpPurchWindow',726,1),
(14018,58647,58647,'OP_FellowshipExpMsg',122,1),
(14019,58647,58647,'OP_FlightPathsMsg',413,1),
(14020,58647,58647,'OP_GameWorldTimeMsg',43,1),
(14021,58647,58647,'OP_PaperdollImage',577,1),
(14022,58647,58647,'OP_GetAuctionAssetIDMsg',441,1),
(14023,58647,58647,'OP_GetAuctionAssetIDReplyMsg',442,1),
(14024,58647,58647,'OP_GetAvatarAccessRequestForCSToo',393,1),
(14025,58647,58647,'OP_GetCharacterSerializedReplyMsg',424,1),
(14026,58647,58647,'OP_GetCharacterSerializedRequestM',423,1),
(14027,58647,58647,'OP_GroupCreatedMsg',88,1),
(14028,58647,58647,'OP_GroupDestroyedMsg',89,1),
(14029,58647,58647,'OP_GroupLeaderChangedMsg',93,1),
(14030,58647,58647,'OP_GroupMemberAddedMsg',90,1),
(14031,58647,58647,'OP_GroupMemberRemovedMsg',91,1),
(14032,58647,58647,'OP_GroupOptionsMsg',199,1),
(14033,58647,58647,'OP_GroupRemovedFromGroupMsg',92,1),
(14034,58647,58647,'OP_GroupResendOOZDataMsg',94,1),
(14035,58647,58647,'OP_GroupSettingsChangedMsg',95,1),
(14036,58647,58647,'OP_GuildBankActionMsg',274,1),
(14037,58647,58647,'OP_GuildBankActionResponseMsg',275,1),
(14038,58647,58647,'OP_GuildBankEventListMsg',279,1),
(14039,58647,58647,'OP_GuildBankItemDetailsRequestMsg',276,1),
(14040,58647,58647,'OP_GuildBankItemDetailsResponseMs',277,1),
(14041,58647,58647,'OP_GuildBankUpdateMsg',278,1),
(14042,58647,58647,'OP_GuildEventActionMsg',269,1),
(14043,58647,58647,'OP_GuildEventAddMsg',268,1),
(14044,58647,58647,'OP_GuildEventDetailsMsg',272,1),
(14045,58647,58647,'OP_GuildEventListMsg',270,1),
(14046,58647,58647,'OP_GuildEventMsg',267,1),
(14047,58647,58647,'OP_GuildMembershipResponseMsg',357,1),
(14048,58647,58647,'OP_GuildRecruiting',706,1),
(14049,58647,58647,'OP_GuildRecruitingDetails',707,1),
(14050,58647,58647,'OP_GuildRecruitingImage',708,1),
(14051,58647,58647,'OP_GuildRecruitingMemberInfo',705,1),
(14052,58647,58647,'OP_GuildsayMsg',121,1),
(14053,58647,58647,'OP_GuildStatusUpdate',699,1),
(14054,58647,58647,'OP_GuildUpdateMsg',124,1),
(14055,58647,58647,'OP_HeritageMsg',10001,1),
(14056,58647,58647,'OP_HideIllusionsMsg',194,1),
(14057,58647,58647,'OP_HouseAccessRemoveMsg',158,1),
(14058,58647,58647,'OP_HouseAccessSetMsg',157,1),
(14059,58647,58647,'OP_HouseCustomizationScreenMsg',166,1),
(14060,58647,58647,'OP_HouseDefaultAccessSetMsg',156,1),
(14061,58647,58647,'OP_HouseDeletedRemotelyMsg',142,1),
(14062,58647,58647,'OP_HouseItemsList',484,1),
(14063,58647,58647,'OP_HousingDataChangedMsg',427,1),
(14064,58647,58647,'OP_HousingRestoreMsg',428,1),
(14065,58647,58647,'OP_InspectPlayerMsg',363,1),
(14066,58647,58647,'OP_InspectPlayerRequestMsg',450,1),
(14067,58647,58647,'OP_InviteRequestMsg',447,1),
(14068,58647,58647,'OP_InviteResponseMsg',448,1),
(14069,58647,58647,'OP_InviteTargetResponseMsg',449,1),
(14070,58647,58647,'OP_JoinGuildNotifyMsg',359,1),
(14071,58647,58647,'OP_JournalQuestStoryline',748,1),
(14072,58647,58647,'OP_KeymapDataMsg',177,1),
(14073,58647,58647,'OP_KeymapLoadMsg',175,1),
(14074,58647,58647,'OP_KeymapNoneMsg',176,1),
(14075,58647,58647,'OP_KeymapSaveMsg',178,1),
(14076,58647,58647,'OP_KnowledgebaseRequestMsg',227,1),
(14077,58647,58647,'OP_KnowledgebaseResponseMsg',228,1),
(14078,58647,58647,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(14079,58647,58647,'OP_KnownLanguagesMsg',238,1),
(14080,58647,58647,'OP_Launchpad',575,1),
(14081,58647,58647,'OP_LeaveGuildNotifyMsg',358,1),
(14082,58647,58647,'OP_LevelChangedMsg',261,1),
(14083,58647,58647,'OP_LFGGroupSearch',504,1),
(14084,58647,58647,'OP_LFGUpdateMsg',518,1),
(14085,58647,58647,'OP_LikeOption',136,1),
(14086,58647,58647,'OP_LoadCalendarEvents',578,1),
(14087,58647,58647,'OP_LoadWelcomeWindow',560,1),
(14088,58647,58647,'OP_LoginByNumRequestMsg',1,1),
(14089,58647,58647,'OP_LoginReplyMsg',4,1),
(14090,58647,58647,'OP_LoginRequestMsg',0,1),
(14091,58647,58647,'OP_LootItemsRequestMsg',185,1),
(14092,58647,58647,'OP_Lottery',704,1),
(14093,58647,58647,'OP_LSCheckAcctLockMsg',204,1),
(14094,58647,58647,'OP_LsClientAlertlogReplyMsg',242,1),
(14095,58647,58647,'OP_LsClientBaselogReplyMsg',240,1),
(14096,58647,58647,'OP_LsClientCrashlogReplyMsg',241,1),
(14097,58647,58647,'OP_LsClientVerifylogReplyMsg',243,1),
(14098,58647,58647,'OP_LsRequestClientCrashLogMsg',239,1),
(14099,58647,58647,'OP_LSServerLockMsg',365,1),
(14100,58647,58647,'OP_MacroInitMsg',258,1),
(14101,58647,58647,'OP_MacroUpdateMsg',259,1),
(14102,58647,58647,'OP_MailCommitSendMessageMsg',344,1),
(14103,58647,58647,'OP_MailDeleteMessageMsg',340,1),
(14104,58647,58647,'OP_MailEventNotificationMsg',411,1),
(14105,58647,58647,'OP_MailGetHeadersReplyMsg',341,1),
(14106,58647,58647,'OP_MailGetMessageMsg',338,1),
(14107,58647,58647,'OP_MailGetMessageReplyMsg',342,1),
(14108,58647,58647,'OP_MailRemoveAttachFromMailMsg',346,1),
(14109,58647,58647,'OP_MailSendMessageMsg',339,1),
(14110,58647,58647,'OP_MailSendMessageReplyMsg',343,1),
(14111,58647,58647,'OP_MailSendSystemMessageMsg',345,1),
(14112,58647,58647,'OP_MakeGroupLeaderMsg',87,1),
(14113,58647,58647,'OP_MapFogDataInitMsg',395,1),
(14114,58647,58647,'OP_MapFogDataUpdateMsg',396,1),
(14115,58647,58647,'OP_MapRequest',521,1),
(14116,58647,58647,'OP_MarketAddFundsReply',529,1),
(14117,58647,58647,'OP_MarketAddFundsRequest',528,1),
(14118,58647,58647,'OP_MarketFundsUpdate',526,1),
(14119,58647,58647,'OP_MarketPlaceItems',537,1),
(14120,58647,58647,'OP_MarketPlacePrices',532,1),
(14121,58647,58647,'OP_MarketPurchase',531,1),
(14122,58647,58647,'OP_MentorPopup',558,1),
(14123,58647,58647,'OP_MercHireWindow',751,1),
(14124,58647,58647,'OP_MercUnknown',752,1),
(14125,58647,58647,'OP_MigrateBoatTransportMsg',252,1),
(14126,58647,58647,'OP_MigrateBoatTransportReplyMsg',253,1),
(14127,58647,58647,'OP_MigrateClientToZoneReplyMsg',82,1),
(14128,58647,58647,'OP_MigrateClientToZoneRequestMsg',81,1),
(14129,58647,58647,'OP_ModifyGuildMsg',266,1),
(14130,58647,58647,'OP_MonitorCharacterListMsg',56,1),
(14131,58647,58647,'OP_MonitorCharacterListRequestMsg',57,1),
(14132,58647,58647,'OP_MonitorReplyMsg',55,1),
(14133,58647,58647,'OP_MOTDMsg',44,1),
(14134,58647,58647,'OP_MoveableObjectPlacementCriteri',160,1),
(14135,58647,58647,'OP_MoveLogUpdateMsg',400,1),
(14136,58647,58647,'OP_NotifyApprenticeStoppedMentori',408,1),
(14137,58647,58647,'OP_OfferQuestMsg',401,1),
(14138,58647,58647,'OP_OnscreenMsgMsg',264,1),
(14139,58647,58647,'OP_OpenCharCust',561,1),
(14140,58647,58647,'OP_OutOfZoneMemberDataMsg',96,1),
(14141,58647,58647,'OP_PayHouseUpkeepMsg',159,1),
(14142,58647,58647,'OP_PerformCameraShakeMsg',214,1),
(14143,58647,58647,'OP_PerformPlayerKnockbackMsg',213,1),
(14144,58647,58647,'OP_PetOptions',201,1),
(14145,58647,58647,'OP_PetOptionsResponse',581,1),
(14146,58647,58647,'OP_PlayCharacterReplyMsg',19,1),
(14147,58647,58647,'OP_PlayCharacterRequestMsg',18,1),
(14148,58647,58647,'OP_PlayerHouseAccessUpdateMsg',147,1),
(14149,58647,58647,'OP_PlayerHouseBaseScreenMsg',145,1),
(14150,58647,58647,'OP_PlayerHouseCloseUIMsg',149,1),
(14151,58647,58647,'OP_PlayerHouseDisplayStatusMsg',148,1),
(14152,58647,58647,'OP_PlayerHousePurchaseScreenMsg',146,1),
(14153,58647,58647,'OP_PlayerMadeInstances',140,1),
(14154,58647,58647,'OP_PlayerMadeInstancesScreen',139,1),
(14155,58647,58647,'OP_PlayerPollAnswer',557,1),
(14156,58647,58647,'OP_PlayerPollPopup',556,1),
(14157,58647,58647,'OP_PlayLon',511,1),
(14158,58647,58647,'OP_PointOfInterest',730,1),
(14159,58647,58647,'OP_PointOfInterest2',731,1),
(14160,58647,58647,'OP_PopulateSkillMapsMsg',215,1),
(14161,58647,58647,'OP_PositionBoatTransportMsg',251,1),
(14162,58647,58647,'OP_PositionMoveableObject',162,1),
(14163,58647,58647,'OP_PostPossessionMsg',454,1),
(14164,58647,58647,'OP_PredictionUpdateMsg',37,1),
(14165,58647,58647,'OP_PrePossessionMsg',453,1),
(14166,58647,58647,'OP_PromoFlagsDetailsMsg',374,1),
(14167,58647,58647,'OP_PublishHouse',138,1),
(14168,58647,58647,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(14169,58647,58647,'OP_PurchaseConsignmentRequestMsg',128,1),
(14170,58647,58647,'OP_QueAllBgSolo',564,1),
(14171,58647,58647,'OP_QuestionnaireMsg',260,1),
(14172,58647,58647,'OP_QuestJournalInspectMsg',114,1),
(14173,58647,58647,'OP_QuestJournalOpenMsg',113,1),
(14174,58647,58647,'OP_QuestJournalSetVisibleMsg',115,1),
(14175,58647,58647,'OP_QuestJournalWaypointMsg',116,1),
(14176,58647,58647,'OP_QuestReward',320,1),
(14177,58647,58647,'OP_QuickbarInitMsg',256,1),
(14178,58647,58647,'OP_QuickbarUpdateMsg',257,1),
(14179,58647,58647,'OP_RaceRestrictionMsg',439,1),
(14180,58647,58647,'OP_ReadBookPageMsg',196,1),
(14181,58647,58647,'OP_ReadyForTakeOffMsg',192,1),
(14182,58647,58647,'OP_ReadyToZoneMsg',84,1),
(14183,58647,58647,'OP_RecipeBook',538,1),
(14184,58647,58647,'OP_RecipeDetailsMsg',72,1),
(14185,58647,58647,'OP_RecipeList',742,1),
(14186,58647,58647,'OP_RecipeListUnknown',593,1),
(14187,58647,58647,'OP_RelinquishHouseMsg',153,1),
(14188,58647,58647,'OP_ReloadLocalizedTxtMsg',355,1),
(14189,58647,58647,'OP_RemoteCmdMsg',42,1),
(14190,58647,58647,'OP_RemoveClientFromGroupMsg',85,1),
(14191,58647,58647,'OP_RemoveConcentrationMsg',112,1),
(14192,58647,58647,'OP_RemoveGroupFromGroupMsg',86,1),
(14193,58647,58647,'OP_RemoveSpellEffectMsg',111,1),
(14194,58647,58647,'OP_RenameGuildMsg',282,1),
(14195,58647,58647,'OP_ReplaceableSubMeshesMsg',165,1),
(14196,58647,58647,'OP_ReportMsg',380,1),
(14197,58647,58647,'OP_RequestCampMsg',50,1),
(14198,58647,58647,'OP_RequestGuildBankEventDetailsMs',280,1),
(14199,58647,58647,'OP_RequestGuildEventDetailsMsg',271,1),
(14200,58647,58647,'OP_RequestGuildInfoMsg',273,1),
(14201,58647,58647,'OP_RequestGuildMembershipMsg',356,1),
(14202,58647,58647,'OP_RequestHelpRepathMsg',206,1),
(14203,58647,58647,'OP_RequestRecipeDetailsMsg',71,1),
(14204,58647,58647,'OP_RequestTargetLocMsg',207,1),
(14205,58647,58647,'OP_Research',743,1),
(14206,58647,58647,'OP_ResendWorldChannelsMsg',443,1),
(14207,58647,58647,'OP_ReskinCharacterRequestMsg',15,1),
(14208,58647,58647,'OP_RestartZoneMsg',412,1),
(14209,58647,58647,'OP_RewardPackMsg',281,1),
(14210,58647,58647,'OP_SatMsg',189,1),
(14211,58647,58647,'OP_SavageBarInitMsg',580,1),
(14212,58647,58647,'OP_SelectZoneTeleporterDestinatio',354,1),
(14213,58647,58647,'OP_SendLatestRequestMsg',97,1),
(14214,58647,58647,'OP_ServerPlayCharacterReplyMsg',24,1),
(14215,58647,58647,'OP_ServerPlayCharacterRequestMsg',23,1),
(14216,58647,58647,'OP_SetInstanceDisplayNameMsg',440,1),
(14217,58647,58647,'OP_SetRemoteCmdsMsg',41,1),
(14218,58647,58647,'OP_SetSocialMsg',99,1),
(14219,58647,58647,'OP_ShaderCustomizationMsg',164,1),
(14220,58647,58647,'OP_ShowCreateFromRecipeUIMsg',219,1),
(14221,58647,58647,'OP_ShowIllusionsMsg',193,1),
(14222,58647,58647,'OP_ShowItemCreationProcessUIMsg',223,1),
(14223,58647,58647,'OP_ShowRecipeBookMsg',226,1),
(14224,58647,58647,'OP_ShowZoneTeleporterDestinations',353,1),
(14225,58647,58647,'OP_SitMsg',187,1),
(14226,58647,58647,'OP_SkillInfoRequest',514,1),
(14227,58647,58647,'OP_SkillInfoResponse',515,1),
(14228,58647,58647,'OP_SOEAllAccess',607,1),
(14229,58647,58647,'OP_SpellGainedMsg',262,1),
(14230,58647,58647,'OP_StandMsg',188,1),
(14231,58647,58647,'OP_StoodMsg',190,1),
(14232,58647,58647,'OP_StopItemCreationMsg',222,1),
(14233,58647,58647,'OP_StoppedLootingMsg',186,1),
(14234,58647,58647,'OP_StopTrackingMsg',391,1),
(14235,58647,58647,'OP_SubmitCharCust',562,1),
(14236,58647,58647,'OP_SupplyDepot',740,1),
(14237,58647,58647,'OP_SysClient',218,1),
(14238,58647,58647,'OP_TeleportWithinZoneMsg',79,1),
(14239,58647,58647,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(14240,58647,58647,'OP_TintWidgetsMsg',170,1),
(14241,58647,58647,'OP_TitleUpdateMsg',384,1),
(14242,58647,58647,'OP_TrackingUpdateMsg',389,1),
(14243,58647,58647,'OP_TradeskillList',709,1),
(14244,58647,58647,'OP_TraitsList',732,1),
(14245,58647,58647,'OP_UIEvent',527,1),
(14246,58647,58647,'OP_UIResetMsg',174,1),
(14247,58647,58647,'OP_UISettingsResponseMsg',173,1),
(14248,58647,58647,'OP_Unknown',765,1),
(14249,58647,58647,'OP_UnknownNpcMsg',373,1),
(14250,58647,58647,'OP_UpdateActivePublicZonesMsg',372,1),
(14251,58647,58647,'OP_UpdateCharacterSheetMsg',63,1),
(14252,58647,58647,'OP_UpdateClientPredFlagsMsg',245,1),
(14253,58647,58647,'OP_UpdateDebugRadiiMsg',379,1),
(14254,58647,58647,'OP_UpdateGroupMemberDataMsg',388,1),
(14255,58647,58647,'OP_UpdateHouseAccessDataMsg',144,1),
(14256,58647,58647,'OP_UpdateHouseDataMsg',143,1),
(14257,58647,58647,'OP_UpdateInventoryMsg',68,1),
(14258,58647,58647,'OP_UpdateItemCreationProcessUIMsg',224,1),
(14259,58647,58647,'OP_UpdateMotdMsg',208,1),
(14260,58647,58647,'OP_UpdateOpportunityMsg',75,1),
(14261,58647,58647,'OP_UpdatePositionMsg',39,1),
(14262,58647,58647,'OP_UpdateRaidMsg',381,1),
(14263,58647,58647,'OP_UpdateRecipeBookMsg',70,1),
(14264,58647,58647,'OP_UpdateSkillBookMsg',73,1),
(14265,58647,58647,'OP_UpdateSkillsMsg',74,1),
(14266,58647,58647,'OP_UpdateSpellBookMsg',66,1),
(14267,58647,58647,'OP_UpdateTargetLocMsg',62,1),
(14268,58647,58647,'OP_UpdateTargetMsg',61,1),
(14269,58647,58647,'OP_UpdateTitleCmd',494,1),
(14270,58647,58647,'OP_UseAdornment',720,1),
(14271,58647,58647,'OP_VideoUploaded',579,1),
(14272,58647,58647,'OP_VoiceChatChannel',520,1),
(14273,58647,58647,'OP_VoiceChatServer',736,1),
(14274,58647,58647,'OP_WaypointReplyMsg',349,1),
(14275,58647,58647,'OP_WaypointRequestMsg',348,1),
(14276,58647,58647,'OP_WaypointSelectMsg',350,1),
(14277,58647,58647,'OP_WaypointUpdateMsg',351,1),
(14278,58647,58647,'OP_Weakness',583,1),
(14279,58647,58647,'OP_WhoQueryReplyMsg',54,1),
(14280,58647,58647,'OP_WhoQueryRequestMsg',53,1),
(14281,58647,58647,'OP_WorldDataChangeMsg',410,1),
(14282,58647,58647,'OP_WorldDataUpdateMsg',237,1),
(14283,58647,58647,'OP_WorldListMsg',8,1),
(14284,58647,58647,'OP_WorldPingMsg',399,1),
(14285,58647,58647,'OP_WorldShutdownUpdateMsg',403,1),
(14286,58647,58647,'OP_WorldStatusChangeMsg',6,1),
(14287,58647,58647,'OP_WorldTravelAvail',572,1),
(14288,58647,58647,'OP_WSAcctLockStatusMsg',205,1),
(14289,58647,58647,'OP_WSCreateCharacterReplyMsg',14,1),
(14290,58647,58647,'OP_WSCreateCharacterRequestMsg',13,1),
(14291,58647,58647,'OP_WSLoginRequestMsg',2,1),
(14292,58647,58647,'OP_WSServerHideMsg',366,1),
(14293,58647,58647,'OP_WSServerLockMsg',364,1),
(14294,58647,58647,'OP_WSStatusReplyMsg',5,1),
(14295,58647,58647,'OP_ZoneBgInstanceList',568,1),
(14296,58647,58647,'OP_ZoneInfoMsg',33,1),
(14297,58647,58647,'OP_ZoneInstanceCreateReplyMsg',30,1),
(14298,58647,58647,'OP_ZoneInstanceDestroyedMsg',31,1),
(14299,58647,58647,'OP_ZoneMOTDMsg',45,1),
(14300,58647,58647,'OP_ZonesStatusMsg',103,1),
(14301,58647,58647,'OP_ZonesStatusRequestMsg',102,1),
(14302,58647,58647,'OP_ZoneToFriendReplyMsg',284,1),
(14303,58647,58647,'OP_ZoneToFriendRequestMsg',283,1),
(14304,60024,60024,'OP_AchievementUpdateMsg',748,1),
(14305,60024,60024,'OP_AddSocialStructureStandingMsg',249,1),
(14306,60024,60024,'OP_AdvancementRequestMsg',394,1),
(14307,60024,60024,'OP_AdventureList',488,1),
(14308,60024,60024,'OP_AFKUpdateMsg',370,1),
(14309,60024,60024,'OP_AfterInvSpellUpdate',69,1),
(14310,60024,60024,'OP_AllCharactersDescReplyMsg',10,1),
(14311,60024,60024,'OP_AllCharactersDescRequestMsg',9,1),
(14312,60024,60024,'OP_AllWSDescRequestMsg',7,1),
(14313,60024,60024,'OP_AnonUpdateMsg',371,1),
(14314,60024,60024,'OP_ArenaCreate',456,1),
(14315,60024,60024,'OP_ArenaGameTypesMsg',445,1),
(14316,60024,60024,'OP_ArenaList',457,1),
(14317,60024,60024,'OP_ArenaWindow',465,1),
(14318,60024,60024,'OP_AttackAllowed',500,1),
(14319,60024,60024,'OP_AttackNotAllowed',501,1),
(14320,60024,60024,'OP_AuctionAbortMsg',436,1),
(14321,60024,60024,'OP_AuctionCharacter',433,1),
(14322,60024,60024,'OP_AuctionCharacterReply',434,1),
(14323,60024,60024,'OP_AuctionCoin',431,1),
(14324,60024,60024,'OP_AuctionCoinReply',432,1),
(14325,60024,60024,'OP_AuctionCommitMsg',435,1),
(14326,60024,60024,'OP_AuctionItem',429,1),
(14327,60024,60024,'OP_AuctionItemReply',430,1),
(14328,60024,60024,'OP_AuditAuctionEventMsg',446,1),
(14329,60024,60024,'OP_AvatarCreatedMsg',46,1),
(14330,60024,60024,'OP_AvatarDestroyedMsg',47,1),
(14331,60024,60024,'OP_AvatarUpdateMsg',360,1),
(14332,60024,60024,'OP_BadLanguageFilter',519,1),
(14333,60024,60024,'OP_BagOptions',502,1),
(14334,60024,60024,'OP_BeginItemCreationMsg',221,1),
(14335,60024,60024,'OP_BeginTrackingMsg',390,1),
(14336,60024,60024,'OP_BioUpdateMsg',362,1),
(14337,60024,60024,'OP_BrokerAddBag',292,1),
(14338,60024,60024,'OP_BrokerRemoveBag',293,1),
(14339,60024,60024,'OP_BrokerSellList',691,1),
(14340,60024,60024,'OP_BuyPlayerHouseMsg',150,1),
(14341,60024,60024,'OP_BuyPlayerHouseTintMsg',151,1),
(14342,60024,60024,'OP_CampAbortedMsg',52,1),
(14343,60024,60024,'OP_CampClientMsg',387,1),
(14344,60024,60024,'OP_CampStartedMsg',51,1),
(14345,60024,60024,'OP_CancelCreateFromRecipeMsg',220,1),
(14346,60024,60024,'OP_CancelledFeignMsg',216,1),
(14347,60024,60024,'OP_CancelMoveObjectModeMsg',163,1),
(14348,60024,60024,'OP_CancelSpellCast',489,1),
(14349,60024,60024,'OP_ChangeServerControlFlagMsg',246,1),
(14350,60024,60024,'OP_ChangeZoneMsg',77,1),
(14351,60024,60024,'OP_CharacterAchievements',747,1),
(14352,60024,60024,'OP_CharacterCreatedDungeons',551,1),
(14353,60024,60024,'OP_CharacterCurrency',746,1),
(14354,60024,60024,'OP_CharacterHousingList',507,1),
(14355,60024,60024,'OP_CharacterLinkdeadMsg',414,1),
(14356,60024,60024,'OP_CharacterMerc',65,1),
(14357,60024,60024,'OP_CharacterMounts',584,1),
(14358,60024,60024,'OP_CharacterPet',64,1),
(14359,60024,60024,'OP_CharNameChangedMsg',352,1),
(14360,60024,60024,'OP_CharRenamed',712,1),
(14361,60024,60024,'OP_CharTransferCommitReplyMsg',422,1),
(14362,60024,60024,'OP_CharTransferCommitRequestMsg',420,1),
(14363,60024,60024,'OP_CharTransferReplyMsg',418,1),
(14364,60024,60024,'OP_CharTransferRequestMsg',417,1),
(14365,60024,60024,'OP_CharTransferRollbackReplyMsg',421,1),
(14366,60024,60024,'OP_CharTransferRollbackRequestMsg',419,1),
(14367,60024,60024,'OP_CharTransferStartReplyMsg',416,1),
(14368,60024,60024,'OP_CharTransferStartRequestMsg',415,1),
(14369,60024,60024,'OP_CharTransferValidateReplyMsg',438,1),
(14370,60024,60024,'OP_CharTransferValidateRequestMsg',437,1),
(14371,60024,60024,'OP_ChatCreateChannelMsg',285,1),
(14372,60024,60024,'OP_ChatFiltersMsg',335,1),
(14373,60024,60024,'OP_ChatJoinChannelMsg',286,1),
(14374,60024,60024,'OP_ChatLeaveChannelMsg',288,1),
(14375,60024,60024,'OP_ChatRelationshipUpdateMsg',184,1),
(14376,60024,60024,'OP_ChatSendFriendsMsg',295,1),
(14377,60024,60024,'OP_ChatSendIgnoresMsg',296,1),
(14378,60024,60024,'OP_ChatTellChannelMsg',289,1),
(14379,60024,60024,'OP_ChatTellUserMsg',290,1),
(14380,60024,60024,'OP_ChatToggleFriendMsg',291,1),
(14381,60024,60024,'OP_ChatToggleIgnoreMsg',294,1),
(14382,60024,60024,'OP_ChatWhoChannelMsg',287,1),
(14383,60024,60024,'OP_ClearDataMsg',98,1),
(14384,60024,60024,'OP_ClearForLandingMsg',491,1),
(14385,60024,60024,'OP_ClearForTakeOffMsg',191,1),
(14386,60024,60024,'OP_ClientCmdMsg',58,1),
(14387,60024,60024,'OP_ClientFellMsg',385,1),
(14388,60024,60024,'OP_ClientIdleBeginMsg',405,1),
(14389,60024,60024,'OP_ClientIdleEndMsg',406,1),
(14390,60024,60024,'OP_ClientInDeathRegionMsg',386,1),
(14391,60024,60024,'OP_ClientTeleportRequestMsg',78,1),
(14392,60024,60024,'OP_ClientTeleportToLocationMsg',244,1),
(14393,60024,60024,'OP_CloseGroupInviteWindowMsg',397,1),
(14394,60024,60024,'OP_CollectAllHouseItemsMsg',152,1),
(14395,60024,60024,'OP_ConsignItemRequestMsg',126,1),
(14396,60024,60024,'OP_ConsignItemResponseMsg',127,1),
(14397,60024,60024,'OP_ConsignmentCloseStoreMsg',125,1),
(14398,60024,60024,'OP_ConsignRemoveItemsMsg',378,1),
(14399,60024,60024,'OP_ConsignViewCreateMsg',375,1),
(14400,60024,60024,'OP_ConsignViewGetPageMsg',376,1),
(14401,60024,60024,'OP_ConsignViewReleaseMsg',377,1),
(14402,60024,60024,'OP_ConsignViewSortMsg',383,1),
(14403,60024,60024,'OP_CorruptedClientMsg',409,1),
(14404,60024,60024,'OP_CreateBoatTransportsMsg',250,1),
(14405,60024,60024,'OP_CreateCharacterDungeon',547,1),
(14406,60024,60024,'OP_CreateCharacterReplyMsg',12,1),
(14407,60024,60024,'OP_CreateCharacterRequestMsg',11,1),
(14408,60024,60024,'OP_CreateCharFromCBBReplyMsg',426,1),
(14409,60024,60024,'OP_CreateCharFromCBBRequestMsg',425,1),
(14410,60024,60024,'OP_CreateGuildReplyMsg',120,1),
(14411,60024,60024,'OP_CreateGuildRequestMsg',119,1),
(14412,60024,60024,'OP_CreateZoneInstanceMsg',29,1),
(14413,60024,60024,'OP_CsCategoryRequestMsg',367,1),
(14414,60024,60024,'OP_CsCategoryResponseMsg',368,1),
(14415,60024,60024,'OP_CSTicketAddCommentMsg',234,1),
(14416,60024,60024,'OP_CSTicketChangeNotificationMsg',236,1),
(14417,60024,60024,'OP_CSTicketCommentRequestMsg',231,1),
(14418,60024,60024,'OP_CSTicketCommentResponseMsg',232,1),
(14419,60024,60024,'OP_CSTicketCreateMsg',233,1),
(14420,60024,60024,'OP_CSTicketDeleteMsg',235,1),
(14421,60024,60024,'OP_CSTicketHeaderRequestMsg',229,1),
(14422,60024,60024,'OP_CSTicketInfoMsg',230,1),
(14423,60024,60024,'OP_CSToolAccessResponseMsg',388,1),
(14424,60024,60024,'OP_CSToolsRequestMsg',247,1),
(14425,60024,60024,'OP_CSToolsResponseMsg',248,1),
(14426,60024,60024,'OP_CurrentPet',485,1),
(14427,60024,60024,'OP_CustomizationPurchaseRequestMs',167,1),
(14428,60024,60024,'OP_CustomizationReplyMsg',169,1),
(14429,60024,60024,'OP_CustomizationSetRequestMsg',168,1),
(14430,60024,60024,'OP_CustomizeHouseDisplay',737,1),
(14431,60024,60024,'OP_DailyObjectives',597,1),
(14432,60024,60024,'OP_DefaultGroupOptionsMsg',198,1),
(14433,60024,60024,'OP_DefaultGroupOptionsRequestMsg',197,1),
(14434,60024,60024,'OP_DeleteCharacterReplyMsg',17,1),
(14435,60024,60024,'OP_DeleteCharacterRequestMsg',16,1),
(14436,60024,60024,'OP_DeleteGuildMsg',123,1),
(14437,60024,60024,'OP_DestUpdateReq',210,1),
(14438,60024,60024,'OP_DialogCloseMsg',110,1),
(14439,60024,60024,'OP_DialogSelectMsg',109,1),
(14440,60024,60024,'OP_DispatchClientCmdMsg',60,1),
(14441,60024,60024,'OP_DispatchESMsg',59,1),
(14442,60024,60024,'OP_DispatchMsg',451,1),
(14443,60024,60024,'OP_DispatchSpellCmdMsg',179,1),
(14444,60024,60024,'OP_DisplayDebugNLLPointsMsg',254,1),
(14445,60024,60024,'OP_DisplayEventMsg',452,1),
(14446,60024,60024,'OP_DisplayExchangeScreenMsg',444,1),
(14447,60024,60024,'OP_DisplayGroupOptionsScreenMsg',200,1),
(14448,60024,60024,'OP_DisplayInnVisitScreenMsg',202,1),
(14449,60024,60024,'OP_DisplayMailScreenMsg',404,1),
(14450,60024,60024,'OP_DisplayTSEventReactionMsg',225,1),
(14451,60024,60024,'OP_DisplayWarningMsg',265,1),
(14452,60024,60024,'OP_DoneLoadingEntityResourcesMsg',36,1),
(14453,60024,60024,'OP_DoneLoadingZoneResourcesMsg',34,1),
(14454,60024,60024,'OP_DoneSendingInitialEntitiesMsg',35,1),
(14455,60024,60024,'OP_DressingRoom',510,1),
(14456,60024,60024,'OP_DumpSchedulerMsg',203,1),
(14457,60024,60024,'OP_DungeonMakerEnter',548,1),
(14458,60024,60024,'OP_DungeonMakerItemRequest',550,1),
(14459,60024,60024,'OP_DungeonMakerItemResponse',582,1),
(14460,60024,60024,'OP_DungeonMakerToolboxList',552,1),
(14461,60024,60024,'OP_DungeonMakerUnknown',553,1),
(14462,60024,60024,'OP_DungeonMakerUnknown1',554,1),
(14463,60024,60024,'OP_DungeonPlayAsAvatarList',751,1),
(14464,60024,60024,'OP_DungeonPlayAsAvatarSelected',752,1),
(14465,60024,60024,'OP_EncounterBrokenMsg',263,1),
(14466,60024,60024,'OP_EnterHouseMsg',154,1),
(14467,60024,60024,'OP_EnterMoveObjectModeMsg',161,1),
(14468,60024,60024,'OP_EntityVerbsReplyMsg',181,1),
(14469,60024,60024,'OP_EntityVerbsRequestMsg',180,1),
(14470,60024,60024,'OP_EntityVerbsVerbMsg',182,1),
(14471,60024,60024,'OP_EqArenaResultsCmd',702,1),
(14472,60024,60024,'OP_EqAvailWorldChannelsCmd',689,1),
(14473,60024,60024,'OP_EqBetaCopyRequest',608,1),
(14474,60024,60024,'OP_EqCannedEmoteCmd',631,1),
(14475,60024,60024,'OP_EqChatChannelUpdateCmd',687,1),
(14476,60024,60024,'OP_EqChoiceWinCmd',668,1),
(14477,60024,60024,'OP_EqCloseWindowCmd',660,1),
(14478,60024,60024,'OP_EqCollectionFilterCmd',647,1),
(14479,60024,60024,'OP_EqCollectionItemCmd',648,1),
(14480,60024,60024,'OP_EqCollectionUpdateCmd',646,1),
(14481,60024,60024,'OP_EqConsignmentItemsCmd',692,1),
(14482,60024,60024,'OP_EqCreateGhostCmd',613,1),
(14483,60024,60024,'OP_EqCreateListBoxCmd',628,1),
(14484,60024,60024,'OP_EqCreateSignWidgetCmd',615,1),
(14485,60024,60024,'OP_EqCreateWidgetCmd',614,1),
(14486,60024,60024,'OP_EqDebugPVDCmd',681,1),
(14487,60024,60024,'OP_EqDestroyGhostCmd',616,1),
(14488,60024,60024,'OP_EqDialogCloseCmd',644,1),
(14489,60024,60024,'OP_EqDialogOpenCmd',643,1),
(14490,60024,60024,'OP_EqDisplaySpellFailCmd',664,1),
(14491,60024,60024,'OP_EqDisplayTextCmd',612,1),
(14492,60024,60024,'OP_EqDrawablePathGraphCmd',642,1),
(14493,60024,60024,'OP_EqEnableGameEventCmd',674,1),
(14494,60024,60024,'OP_EqEnableWindowCmd',676,1),
(14495,60024,60024,'OP_EqExamineInfoCmd',659,1),
(14496,60024,60024,'OP_EqFactionUpdateCmd',645,1),
(14497,60024,60024,'OP_EqFlashWindowCmd',677,1),
(14498,60024,60024,'OP_EqGetProbsCmd',685,1),
(14499,60024,60024,'OP_EqGroupMemberRemovedCmd',638,1),
(14500,60024,60024,'OP_EqGuildBankEventActionCmd',703,1),
(14501,60024,60024,'OP_EqGuildBankExamineInfoCmd',704,1),
(14502,60024,60024,'OP_EqHearChainEffectCmd',639,1),
(14503,60024,60024,'OP_EqHearChatCmd',611,1),
(14504,60024,60024,'OP_EqHearCombatCmd',620,1),
(14505,60024,60024,'OP_EqHearConsiderCmd',626,1),
(14506,60024,60024,'OP_EqHearDeathCmd',637,1),
(14507,60024,60024,'OP_EQHearDispellCmd',749,1),
(14508,60024,60024,'OP_EqHearDrowningCmd',636,1),
(14509,60024,60024,'OP_EqHearHealCmd',686,1),
(14510,60024,60024,'OP_EqHearPlayFlavorCmd',679,1),
(14511,60024,60024,'OP_EQHearProcCmd',622,1),
(14512,60024,60024,'OP_EQHearResEffectCmd',623,1),
(14513,60024,60024,'OP_EqHearSpellCastCmd',621,1),
(14514,60024,60024,'OP_EqHearSpellFizzleCmd',625,1),
(14515,60024,60024,'OP_EqHearSpellInterruptCmd',624,1),
(14516,60024,60024,'OP_EqHearSpellNoLandCmd',705,1),
(14517,60024,60024,'OP_EQHearThreatCmd',743,1),
(14518,60024,60024,'OP_EqHelpPathClearCmd',657,1),
(14519,60024,60024,'OP_EqHelpPathCmd',656,1),
(14520,60024,60024,'OP_EqInspectPCResultsCmd',641,1),
(14521,60024,60024,'OP_EqInstructionWindowCloseCmd',671,1),
(14522,60024,60024,'OP_EqInstructionWindowCmd',670,1),
(14523,60024,60024,'OP_EqInstructionWindowGoalCmd',672,1),
(14524,60024,60024,'OP_EqInstructionWindowTaskCmd',673,1),
(14525,60024,60024,'OP_EqJunctionListCmd',662,1),
(14526,60024,60024,'OP_EqMapExplorationCmd',695,1),
(14527,60024,60024,'OP_EqMentoring',650,1),
(14528,60024,60024,'OP_EqPlaySound3DCmd',634,1),
(14529,60024,60024,'OP_EqPlaySoundCmd',633,1),
(14530,60024,60024,'OP_EqPlayVoiceCmd',635,1),
(14531,60024,60024,'OP_EqQuestGroupCmd',652,1),
(14532,60024,60024,'OP_EqQuestionnaireCmd',683,1),
(14533,60024,60024,'OP_EqQuestJournalReplyCmd',651,1),
(14534,60024,60024,'OP_EqQuestJournalUpdateCmd',649,1),
(14535,60024,60024,'OP_EqReceiveOfferCmd',640,1),
(14536,60024,60024,'OP_EqResurrectedCmd',667,1),
(14537,60024,60024,'OP_EqSetControlGhostCmd',618,1),
(14538,60024,60024,'OP_EqSetDebugPathPointsCmd',629,1),
(14539,60024,60024,'OP_EqSetDefaultVerbCmd',669,1),
(14540,60024,60024,'OP_EqSetPOVGhostCmd',619,1),
(14541,60024,60024,'OP_EqShowBookCmd',682,1),
(14542,60024,60024,'OP_EqShowDeathWindowCmd',663,1),
(14543,60024,60024,'OP_EqShowWindowCmd',675,1),
(14544,60024,60024,'OP_EqSpellCastEndCmd',666,1),
(14545,60024,60024,'OP_EqSpellCastStartCmd',665,1),
(14546,60024,60024,'OP_EqSpellMoveToRangeAndRetryCmd',697,1),
(14547,60024,60024,'OP_EqStartBrokerCmd',694,1),
(14548,60024,60024,'OP_EqStateCmd',632,1),
(14549,60024,60024,'OP_EqStoreLogCmd',696,1),
(14550,60024,60024,'OP_EqUpdateBankCmd',658,1),
(14551,60024,60024,'OP_EqUpdateGhostCmd',617,1),
(14552,60024,60024,'OP_EqUpdateLootCmd',661,1),
(14553,60024,60024,'OP_EqUpdateMerchantCmd',653,1),
(14554,60024,60024,'OP_EqUpdatePlayerMailCmd',698,1),
(14555,60024,60024,'OP_EqUpdatePlayerTradeCmd',655,1),
(14556,60024,60024,'OP_EqUpdateSignWidgetCmd',680,1),
(14557,60024,60024,'OP_EqUpdateStoreCmd',654,1),
(14558,60024,60024,'OP_EqUpdateSubClassesCmd',627,1),
(14559,60024,60024,'OP_EqUpdateTargetCmd',690,1),
(14560,60024,60024,'OP_EqWhoChannelQueryReplyCmd',688,1),
(14561,60024,60024,'OP_ESInitMsg',25,1),
(14562,60024,60024,'OP_ESLoginRequestMsg',3,1),
(14563,60024,60024,'OP_ESReadyForClientsMsg',26,1),
(14564,60024,60024,'OP_ESStatusMsg',100,1),
(14565,60024,60024,'OP_ESWeatherRequestEndMsg',105,1),
(14566,60024,60024,'OP_ESWeatherRequestMsg',104,1),
(14567,60024,60024,'OP_ESZoneInstanceStatusMsg',101,1),
(14568,60024,60024,'OP_ExamineConsignmentRequestMsg',171,1),
(14569,60024,60024,'OP_ExamineConsignmentResponseMsg',172,1),
(14570,60024,60024,'OP_ExamineInfoRequestMsg',255,1),
(14571,60024,60024,'OP_ExamineItemRequestMsg',195,1),
(14572,60024,60024,'OP_ExitHouseMsg',155,1),
(14573,60024,60024,'OP_ExpectClientAsCharacterReplyMs',22,1),
(14574,60024,60024,'OP_ExpectClientAsCharacterRequest',32,1),
(14575,60024,60024,'OP_ExpPurchWindow',728,1),
(14576,60024,60024,'OP_FellowshipExpMsg',122,1),
(14577,60024,60024,'OP_FlightPathsMsg',413,1),
(14578,60024,60024,'OP_GameWorldTimeMsg',43,1),
(14579,60024,60024,'OP_PaperdollImage',577,1),
(14580,60024,60024,'OP_GetAuctionAssetIDMsg',441,1),
(14581,60024,60024,'OP_GetAuctionAssetIDReplyMsg',442,1),
(14582,60024,60024,'OP_GetAvatarAccessRequestForCSToo',393,1),
(14583,60024,60024,'OP_GetCharacterSerializedReplyMsg',424,1),
(14584,60024,60024,'OP_GetCharacterSerializedRequestM',423,1),
(14585,60024,60024,'OP_GroupCreatedMsg',88,1),
(14586,60024,60024,'OP_GroupDestroyedMsg',89,1),
(14587,60024,60024,'OP_GroupLeaderChangedMsg',93,1),
(14588,60024,60024,'OP_GroupMemberAddedMsg',90,1),
(14589,60024,60024,'OP_GroupMemberRemovedMsg',91,1),
(14590,60024,60024,'OP_GroupOptionsMsg',199,1),
(14591,60024,60024,'OP_GroupRemovedFromGroupMsg',92,1),
(14592,60024,60024,'OP_GroupResendOOZDataMsg',94,1),
(14593,60024,60024,'OP_GroupSettingsChangedMsg',95,1),
(14594,60024,60024,'OP_GuildBankActionMsg',274,1),
(14595,60024,60024,'OP_GuildBankActionResponseMsg',275,1),
(14596,60024,60024,'OP_GuildBankEventListMsg',279,1),
(14597,60024,60024,'OP_GuildBankItemDetailsRequestMsg',276,1),
(14598,60024,60024,'OP_GuildBankItemDetailsResponseMs',277,1),
(14599,60024,60024,'OP_GuildBankUpdateMsg',278,1),
(14600,60024,60024,'OP_GuildEventActionMsg',269,1),
(14601,60024,60024,'OP_GuildEventAddMsg',268,1),
(14602,60024,60024,'OP_GuildEventDetailsMsg',272,1),
(14603,60024,60024,'OP_GuildEventListMsg',270,1),
(14604,60024,60024,'OP_GuildEventMsg',267,1),
(14605,60024,60024,'OP_GuildMembershipResponseMsg',357,1),
(14606,60024,60024,'OP_GuildRecruiting',708,1),
(14607,60024,60024,'OP_GuildRecruitingDetails',709,1),
(14608,60024,60024,'OP_GuildRecruitingImage',710,1),
(14609,60024,60024,'OP_GuildRecruitingMemberInfo',707,1),
(14610,60024,60024,'OP_GuildsayMsg',121,1),
(14611,60024,60024,'OP_GuildStatusUpdate',701,1),
(14612,60024,60024,'OP_GuildUpdateMsg',124,1),
(14613,60024,60024,'OP_HeritageMsg',10001,1),
(14614,60024,60024,'OP_HideIllusionsMsg',194,1),
(14615,60024,60024,'OP_HouseAccessRemoveMsg',158,1),
(14616,60024,60024,'OP_HouseAccessSetMsg',157,1),
(14617,60024,60024,'OP_HouseCustomizationScreenMsg',166,1),
(14618,60024,60024,'OP_HouseDefaultAccessSetMsg',156,1),
(14619,60024,60024,'OP_HouseDeletedRemotelyMsg',142,1),
(14620,60024,60024,'OP_HouseItemsList',484,1),
(14621,60024,60024,'OP_HousingDataChangedMsg',427,1),
(14622,60024,60024,'OP_HousingRestoreMsg',428,1),
(14623,60024,60024,'OP_InspectPlayerMsg',363,1),
(14624,60024,60024,'OP_InspectPlayerRequestMsg',450,1),
(14625,60024,60024,'OP_InviteRequestMsg',447,1),
(14626,60024,60024,'OP_InviteResponseMsg',448,1),
(14627,60024,60024,'OP_InviteTargetResponseMsg',449,1),
(14628,60024,60024,'OP_JoinGuildNotifyMsg',359,1),
(14629,60024,60024,'OP_JournalQuestStoryline',750,1),
(14630,60024,60024,'OP_KeymapDataMsg',177,1),
(14631,60024,60024,'OP_KeymapLoadMsg',175,1),
(14632,60024,60024,'OP_KeymapNoneMsg',176,1),
(14633,60024,60024,'OP_KeymapSaveMsg',178,1),
(14634,60024,60024,'OP_KnowledgebaseRequestMsg',227,1),
(14635,60024,60024,'OP_KnowledgebaseResponseMsg',228,1),
(14636,60024,60024,'OP_KnowledgeWindowSlotMappingMsg',369,1),
(14637,60024,60024,'OP_KnownLanguagesMsg',238,1),
(14638,60024,60024,'OP_Launchpad',575,1),
(14639,60024,60024,'OP_LeaveGuildNotifyMsg',358,1),
(14640,60024,60024,'OP_LevelChangedMsg',261,1),
(14641,60024,60024,'OP_LFGGroupSearch',504,1),
(14642,60024,60024,'OP_LFGUpdateMsg',518,1),
(14643,60024,60024,'OP_LikeOption',136,1),
(14644,60024,60024,'OP_LoadCalendarEvents',578,1),
(14645,60024,60024,'OP_LoadWelcomeWindow',560,1),
(14646,60024,60024,'OP_LoginByNumRequestMsg',1,1),
(14647,60024,60024,'OP_LoginReplyMsg',4,1),
(14648,60024,60024,'OP_LoginRequestMsg',0,1),
(14649,60024,60024,'OP_LootItemsRequestMsg',185,1),
(14650,60024,60024,'OP_Lottery',706,1),
(14651,60024,60024,'OP_LSCheckAcctLockMsg',204,1),
(14652,60024,60024,'OP_LsClientAlertlogReplyMsg',242,1),
(14653,60024,60024,'OP_LsClientBaselogReplyMsg',240,1),
(14654,60024,60024,'OP_LsClientCrashlogReplyMsg',241,1),
(14655,60024,60024,'OP_LsClientVerifylogReplyMsg',243,1),
(14656,60024,60024,'OP_LsRequestClientCrashLogMsg',239,1),
(14657,60024,60024,'OP_LSServerLockMsg',365,1),
(14658,60024,60024,'OP_MacroInitMsg',258,1),
(14659,60024,60024,'OP_MacroUpdateMsg',259,1),
(14660,60024,60024,'OP_MailCommitSendMessageMsg',344,1),
(14661,60024,60024,'OP_MailDeleteMessageMsg',340,1),
(14662,60024,60024,'OP_MailEventNotificationMsg',411,1),
(14663,60024,60024,'OP_MailGetHeadersReplyMsg',341,1),
(14664,60024,60024,'OP_MailGetMessageMsg',338,1),
(14665,60024,60024,'OP_MailGetMessageReplyMsg',342,1),
(14666,60024,60024,'OP_MailRemoveAttachFromMailMsg',346,1),
(14667,60024,60024,'OP_MailSendMessageMsg',339,1),
(14668,60024,60024,'OP_MailSendMessageReplyMsg',343,1),
(14669,60024,60024,'OP_MailSendSystemMessageMsg',345,1),
(14670,60024,60024,'OP_MakeGroupLeaderMsg',87,1),
(14671,60024,60024,'OP_MapFogDataInitMsg',395,1),
(14672,60024,60024,'OP_MapFogDataUpdateMsg',396,1),
(14673,60024,60024,'OP_MapRequest',521,1),
(14674,60024,60024,'OP_MarketAddFundsReply',529,1),
(14675,60024,60024,'OP_MarketAddFundsRequest',528,1),
(14676,60024,60024,'OP_MarketFundsUpdate',526,1),
(14677,60024,60024,'OP_MarketPlaceItems',537,1),
(14678,60024,60024,'OP_MarketPlacePrices',532,1),
(14679,60024,60024,'OP_MarketPurchase',531,1),
(14680,60024,60024,'OP_MentorPopup',558,1),
(14681,60024,60024,'OP_MercHireWindow',753,1),
(14682,60024,60024,'OP_MercUnknown',754,1),
(14683,60024,60024,'OP_MigrateBoatTransportMsg',252,1),
(14684,60024,60024,'OP_MigrateBoatTransportReplyMsg',253,1),
(14685,60024,60024,'OP_MigrateClientToZoneReplyMsg',82,1),
(14686,60024,60024,'OP_MigrateClientToZoneRequestMsg',81,1),
(14687,60024,60024,'OP_ModifyGuildMsg',266,1),
(14688,60024,60024,'OP_MonitorCharacterListMsg',56,1),
(14689,60024,60024,'OP_MonitorCharacterListRequestMsg',57,1),
(14690,60024,60024,'OP_MonitorReplyMsg',55,1),
(14691,60024,60024,'OP_MOTDMsg',44,1),
(14692,60024,60024,'OP_MoveableObjectPlacementCriteri',160,1),
(14693,60024,60024,'OP_MoveLogUpdateMsg',400,1),
(14694,60024,60024,'OP_NotifyApprenticeStoppedMentori',408,1),
(14695,60024,60024,'OP_OfferQuestMsg',401,1),
(14696,60024,60024,'OP_OnscreenMsgMsg',264,1),
(14697,60024,60024,'OP_OpenCharCust',561,1),
(14698,60024,60024,'OP_OutOfZoneMemberDataMsg',96,1),
(14699,60024,60024,'OP_PayHouseUpkeepMsg',159,1),
(14700,60024,60024,'OP_PerformCameraShakeMsg',214,1),
(14701,60024,60024,'OP_PerformPlayerKnockbackMsg',213,1),
(14702,60024,60024,'OP_PetOptions',201,1),
(14703,60024,60024,'OP_PetOptionsResponse',581,1),
(14704,60024,60024,'OP_PlayCharacterReplyMsg',19,1),
(14705,60024,60024,'OP_PlayCharacterRequestMsg',18,1),
(14706,60024,60024,'OP_PlayerHouseAccessUpdateMsg',147,1),
(14707,60024,60024,'OP_PlayerHouseBaseScreenMsg',145,1),
(14708,60024,60024,'OP_PlayerHouseCloseUIMsg',149,1),
(14709,60024,60024,'OP_PlayerHouseDisplayStatusMsg',148,1),
(14710,60024,60024,'OP_PlayerHousePurchaseScreenMsg',146,1),
(14711,60024,60024,'OP_PlayerMadeInstances',140,1),
(14712,60024,60024,'OP_PlayerMadeInstancesScreen',139,1),
(14713,60024,60024,'OP_PlayerPollAnswer',557,1),
(14714,60024,60024,'OP_PlayerPollPopup',556,1),
(14715,60024,60024,'OP_PlayLon',511,1),
(14716,60024,60024,'OP_PointOfInterest',732,1),
(14717,60024,60024,'OP_PointOfInterest2',733,1),
(14718,60024,60024,'OP_PopulateSkillMapsMsg',215,1),
(14719,60024,60024,'OP_PositionBoatTransportMsg',251,1),
(14720,60024,60024,'OP_PositionMoveableObject',162,1),
(14721,60024,60024,'OP_PostPossessionMsg',454,1),
(14722,60024,60024,'OP_PredictionUpdateMsg',37,1),
(14723,60024,60024,'OP_PrePossessionMsg',453,1),
(14724,60024,60024,'OP_PromoFlagsDetailsMsg',374,1),
(14725,60024,60024,'OP_PublishHouse',138,1),
(14726,60024,60024,'OP_PurchaseConsignmentLoreCheckRe',407,1),
(14727,60024,60024,'OP_PurchaseConsignmentRequestMsg',128,1),
(14728,60024,60024,'OP_QueAllBgSolo',564,1),
(14729,60024,60024,'OP_QuestionnaireMsg',260,1),
(14730,60024,60024,'OP_QuestJournalInspectMsg',114,1),
(14731,60024,60024,'OP_QuestJournalOpenMsg',113,1),
(14732,60024,60024,'OP_QuestJournalSetVisibleMsg',115,1),
(14733,60024,60024,'OP_QuestJournalWaypointMsg',116,1),
(14734,60024,60024,'OP_QuestReward',320,1),
(14735,60024,60024,'OP_QuickbarInitMsg',256,1),
(14736,60024,60024,'OP_QuickbarUpdateMsg',257,1),
(14737,60024,60024,'OP_RaceRestrictionMsg',439,1),
(14738,60024,60024,'OP_ReadBookPageMsg',196,1),
(14739,60024,60024,'OP_ReadyForTakeOffMsg',192,1),
(14740,60024,60024,'OP_ReadyToZoneMsg',84,1),
(14741,60024,60024,'OP_RecipeBook',538,1),
(14742,60024,60024,'OP_RecipeDetailsMsg',72,1),
(14743,60024,60024,'OP_RecipeList',744,1),
(14744,60024,60024,'OP_RecipeListUnknown',593,1),
(14745,60024,60024,'OP_RelinquishHouseMsg',153,1),
(14746,60024,60024,'OP_ReloadLocalizedTxtMsg',355,1),
(14747,60024,60024,'OP_RemoteCmdMsg',42,1),
(14748,60024,60024,'OP_RemoveClientFromGroupMsg',85,1),
(14749,60024,60024,'OP_RemoveConcentrationMsg',112,1),
(14750,60024,60024,'OP_RemoveGroupFromGroupMsg',86,1),
(14751,60024,60024,'OP_RemoveSpellEffectMsg',111,1),
(14752,60024,60024,'OP_RenameGuildMsg',282,1),
(14753,60024,60024,'OP_ReplaceableSubMeshesMsg',165,1),
(14754,60024,60024,'OP_ReportMsg',380,1),
(14755,60024,60024,'OP_RequestCampMsg',50,1),
(14756,60024,60024,'OP_RequestGuildBankEventDetailsMs',280,1),
(14757,60024,60024,'OP_RequestGuildEventDetailsMsg',271,1),
(14758,60024,60024,'OP_RequestGuildInfoMsg',273,1),
(14759,60024,60024,'OP_RequestGuildMembershipMsg',356,1),
(14760,60024,60024,'OP_RequestHelpRepathMsg',206,1),
(14761,60024,60024,'OP_RequestRecipeDetailsMsg',71,1),
(14762,60024,60024,'OP_RequestTargetLocMsg',207,1),
(14763,60024,60024,'OP_Research',745,1),
(14764,60024,60024,'OP_ResendWorldChannelsMsg',443,1),
(14765,60024,60024,'OP_ReskinCharacterRequestMsg',15,1),
(14766,60024,60024,'OP_RestartZoneMsg',412,1),
(14767,60024,60024,'OP_RewardPackMsg',281,1),
(14768,60024,60024,'OP_SatMsg',189,1),
(14769,60024,60024,'OP_SavageBarInitMsg',580,1),
(14770,60024,60024,'OP_SelectZoneTeleporterDestinatio',354,1),
(14771,60024,60024,'OP_SendLatestRequestMsg',97,1),
(14772,60024,60024,'OP_ServerPlayCharacterReplyMsg',24,1),
(14773,60024,60024,'OP_ServerPlayCharacterRequestMsg',23,1),
(14774,60024,60024,'OP_SetInstanceDisplayNameMsg',440,1),
(14775,60024,60024,'OP_SetRemoteCmdsMsg',41,1),
(14776,60024,60024,'OP_SetSocialMsg',99,1),
(14777,60024,60024,'OP_ShaderCustomizationMsg',164,1),
(14778,60024,60024,'OP_ShowCreateFromRecipeUIMsg',219,1),
(14779,60024,60024,'OP_ShowIllusionsMsg',193,1),
(14780,60024,60024,'OP_ShowItemCreationProcessUIMsg',223,1),
(14781,60024,60024,'OP_ShowRecipeBookMsg',226,1),
(14782,60024,60024,'OP_ShowZoneTeleporterDestinations',353,1),
(14783,60024,60024,'OP_SitMsg',187,1),
(14784,60024,60024,'OP_SkillInfoRequest',514,1),
(14785,60024,60024,'OP_SkillInfoResponse',515,1),
(14786,60024,60024,'OP_SOEAllAccess',609,1),
(14787,60024,60024,'OP_SpellGainedMsg',262,1),
(14788,60024,60024,'OP_StandMsg',188,1),
(14789,60024,60024,'OP_StoodMsg',190,1),
(14790,60024,60024,'OP_StopItemCreationMsg',222,1),
(14791,60024,60024,'OP_StoppedLootingMsg',186,1),
(14792,60024,60024,'OP_StopTrackingMsg',391,1),
(14793,60024,60024,'OP_SubmitCharCust',562,1),
(14794,60024,60024,'OP_SupplyDepot',742,1),
(14795,60024,60024,'OP_SysClient',218,1),
(14796,60024,60024,'OP_TeleportWithinZoneMsg',79,1),
(14797,60024,60024,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(14798,60024,60024,'OP_TintWidgetsMsg',170,1),
(14799,60024,60024,'OP_TitleUpdateMsg',384,1),
(14800,60024,60024,'OP_TrackingUpdateMsg',389,1),
(14801,60024,60024,'OP_TradeskillList',711,1),
(14802,60024,60024,'OP_TraitsList',734,1),
(14803,60024,60024,'OP_UIEvent',527,1),
(14804,60024,60024,'OP_UIResetMsg',174,1),
(14805,60024,60024,'OP_UISettingsResponseMsg',173,1),
(14806,60024,60024,'OP_Unknown',767,1),
(14807,60024,60024,'OP_UnknownNpcMsg',373,1),
(14808,60024,60024,'OP_UpdateActivePublicZonesMsg',372,1),
(14809,60024,60024,'OP_UpdateCharacterSheetMsg',63,1),
(14810,60024,60024,'OP_UpdateClientPredFlagsMsg',245,1),
(14811,60024,60024,'OP_UpdateDebugRadiiMsg',379,1),
(14812,60024,60024,'OP_UpdateGroupMemberDataMsg',388,1),
(14813,60024,60024,'OP_UpdateHouseAccessDataMsg',144,1),
(14814,60024,60024,'OP_UpdateHouseDataMsg',143,1),
(14815,60024,60024,'OP_UpdateInventoryMsg',68,1),
(14816,60024,60024,'OP_UpdateItemCreationProcessUIMsg',224,1),
(14817,60024,60024,'OP_UpdateMotdMsg',208,1),
(14818,60024,60024,'OP_UpdateOpportunityMsg',75,1),
(14819,60024,60024,'OP_UpdatePositionMsg',39,1),
(14820,60024,60024,'OP_UpdateRaidMsg',381,1),
(14821,60024,60024,'OP_UpdateRecipeBookMsg',70,1),
(14822,60024,60024,'OP_UpdateSkillBookMsg',73,1),
(14823,60024,60024,'OP_UpdateSkillsMsg',74,1),
(14824,60024,60024,'OP_UpdateSpellBookMsg',66,1),
(14825,60024,60024,'OP_UpdateTargetLocMsg',62,1),
(14826,60024,60024,'OP_UpdateTargetMsg',61,1),
(14827,60024,60024,'OP_UpdateTitleCmd',494,1),
(14828,60024,60024,'OP_UseAdornment',722,1),
(14829,60024,60024,'OP_VideoUploaded',579,1),
(14830,60024,60024,'OP_VoiceChatChannel',520,1),
(14831,60024,60024,'OP_VoiceChatServer',738,1),
(14832,60024,60024,'OP_WaypointReplyMsg',349,1),
(14833,60024,60024,'OP_WaypointRequestMsg',348,1),
(14834,60024,60024,'OP_WaypointSelectMsg',350,1),
(14835,60024,60024,'OP_WaypointUpdateMsg',351,1),
(14836,60024,60024,'OP_Weakness',583,1),
(14837,60024,60024,'OP_WhoQueryReplyMsg',54,1),
(14838,60024,60024,'OP_WhoQueryRequestMsg',53,1),
(14839,60024,60024,'OP_WorldDataChangeMsg',410,1),
(14840,60024,60024,'OP_WorldDataUpdateMsg',237,1),
(14841,60024,60024,'OP_WorldListMsg',8,1),
(14842,60024,60024,'OP_WorldPingMsg',399,1),
(14843,60024,60024,'OP_WorldShutdownUpdateMsg',403,1),
(14844,60024,60024,'OP_WorldStatusChangeMsg',6,1),
(14845,60024,60024,'OP_WorldTravelAvail',572,1),
(14846,60024,60024,'OP_WSAcctLockStatusMsg',205,1),
(14847,60024,60024,'OP_WSCreateCharacterReplyMsg',14,1),
(14848,60024,60024,'OP_WSCreateCharacterRequestMsg',13,1),
(14849,60024,60024,'OP_WSLoginRequestMsg',2,1),
(14850,60024,60024,'OP_WSServerHideMsg',366,1),
(14851,60024,60024,'OP_WSServerLockMsg',364,1),
(14852,60024,60024,'OP_WSStatusReplyMsg',5,1),
(14853,60024,60024,'OP_ZoneBgInstanceList',568,1),
(14854,60024,60024,'OP_ZoneInfoMsg',33,1),
(14855,60024,60024,'OP_ZoneInstanceCreateReplyMsg',30,1),
(14856,60024,60024,'OP_ZoneInstanceDestroyedMsg',31,1),
(14857,60024,60024,'OP_ZoneMOTDMsg',45,1),
(14858,60024,60024,'OP_ZonesStatusMsg',103,1),
(14859,60024,60024,'OP_ZonesStatusRequestMsg',102,1),
(14860,60024,60024,'OP_ZoneToFriendReplyMsg',284,1),
(14861,60024,60024,'OP_ZoneToFriendRequestMsg',283,1),
(15327,60036,60069,'OP_AchievementUpdateMsg',749,1),
(15328,60036,60069,'OP_AddSocialStructureStandingMsg',250,1),
(15329,60036,60069,'OP_AdvancementRequestMsg',395,1),
(15330,60036,60069,'OP_AdventureList',489,1),
(15331,60036,60069,'OP_AFKUpdateMsg',371,1),
(15332,60036,60069,'OP_AfterInvSpellUpdate',69,1),
(15333,60036,60069,'OP_AllCharactersDescReplyMsg',10,1),
(15334,60036,60069,'OP_AllCharactersDescRequestMsg',9,1),
(15335,60036,60069,'OP_AllWSDescRequestMsg',7,1),
(15336,60036,60069,'OP_AnonUpdateMsg',372,1),
(15337,60036,60069,'OP_ArenaCreate',457,1),
(15338,60036,60069,'OP_ArenaGameTypesMsg',446,1),
(15339,60036,60069,'OP_ArenaList',458,1),
(15340,60036,60069,'OP_ArenaWindow',466,1),
(15341,60036,60069,'OP_AttackAllowed',501,1),
(15342,60036,60069,'OP_AttackNotAllowed',502,1),
(15343,60036,60069,'OP_AuctionAbortMsg',437,1),
(15344,60036,60069,'OP_AuctionCharacter',434,1),
(15345,60036,60069,'OP_AuctionCharacterReply',435,1),
(15346,60036,60069,'OP_AuctionCoin',432,1),
(15347,60036,60069,'OP_AuctionCoinReply',433,1),
(15348,60036,60069,'OP_AuctionCommitMsg',436,1),
(15349,60036,60069,'OP_AuctionItem',430,1),
(15350,60036,60069,'OP_AuctionItemReply',431,1),
(15351,60036,60069,'OP_AuditAuctionEventMsg',447,1),
(15352,60036,60069,'OP_AvatarCreatedMsg',46,1),
(15353,60036,60069,'OP_AvatarDestroyedMsg',47,1),
(15354,60036,60069,'OP_AvatarUpdateMsg',361,1),
(15355,60036,60069,'OP_BadLanguageFilter',520,1),
(15356,60036,60069,'OP_BagOptions',503,1),
(15357,60036,60069,'OP_BeginItemCreationMsg',221,1),
(15358,60036,60069,'OP_BeginTrackingMsg',391,1),
(15359,60036,60069,'OP_BioUpdateMsg',363,1),
(15360,60036,60069,'OP_BrokerAddBag',293,1),
(15361,60036,60069,'OP_BrokerRemoveBag',294,1),
(15362,60036,60069,'OP_BrokerSellList',692,1),
(15363,60036,60069,'OP_BuyPlayerHouseMsg',150,1),
(15364,60036,60069,'OP_BuyPlayerHouseTintMsg',151,1),
(15365,60036,60069,'OP_CampAbortedMsg',52,1),
(15366,60036,60069,'OP_CampClientMsg',388,1),
(15367,60036,60069,'OP_CampStartedMsg',51,1),
(15368,60036,60069,'OP_CancelCreateFromRecipeMsg',220,1),
(15369,60036,60069,'OP_CancelledFeignMsg',216,1),
(15370,60036,60069,'OP_CancelMoveObjectModeMsg',163,1),
(15371,60036,60069,'OP_CancelSpellCast',490,1),
(15372,60036,60069,'OP_ChangeServerControlFlagMsg',247,1),
(15373,60036,60069,'OP_ChangeZoneMsg',77,1),
(15374,60036,60069,'OP_CharacterAchievements',748,1),
(15375,60036,60069,'OP_CharacterCreatedDungeons',552,1),
(15376,60036,60069,'OP_CharacterCurrency',747,1),
(15377,60036,60069,'OP_CharacterHousingList',508,1),
(15378,60036,60069,'OP_CharacterLinkdeadMsg',415,1),
(15379,60036,60069,'OP_CharacterMerc',65,1),
(15380,60036,60069,'OP_CharacterMounts',585,1),
(15381,60036,60069,'OP_CharacterPet',64,1),
(15382,60036,60069,'OP_CharNameChangedMsg',352,1),
(15383,60036,60069,'OP_CharRenamed',713,1),
(15384,60036,60069,'OP_CharTransferCommitReplyMsg',423,1),
(15385,60036,60069,'OP_CharTransferCommitRequestMsg',421,1),
(15386,60036,60069,'OP_CharTransferReplyMsg',419,1),
(15387,60036,60069,'OP_CharTransferRequestMsg',418,1),
(15388,60036,60069,'OP_CharTransferRollbackReplyMsg',422,1),
(15389,60036,60069,'OP_CharTransferRollbackRequestMsg',420,1),
(15390,60036,60069,'OP_CharTransferStartReplyMsg',417,1),
(15391,60036,60069,'OP_CharTransferStartRequestMsg',416,1),
(15392,60036,60069,'OP_CharTransferValidateReplyMsg',439,1),
(15393,60036,60069,'OP_CharTransferValidateRequestMsg',438,1),
(15394,60036,60069,'OP_ChatCreateChannelMsg',286,1),
(15395,60036,60069,'OP_ChatFiltersMsg',335,1),
(15396,60036,60069,'OP_ChatJoinChannelMsg',287,1),
(15397,60036,60069,'OP_ChatLeaveChannelMsg',289,1),
(15398,60036,60069,'OP_ChatRelationshipUpdateMsg',184,1),
(15399,60036,60069,'OP_ChatSendFriendsMsg',296,1),
(15400,60036,60069,'OP_ChatSendIgnoresMsg',297,1),
(15401,60036,60069,'OP_ChatTellChannelMsg',290,1),
(15402,60036,60069,'OP_ChatTellUserMsg',291,1),
(15403,60036,60069,'OP_ChatToggleFriendMsg',292,1),
(15404,60036,60069,'OP_ChatToggleIgnoreMsg',295,1),
(15405,60036,60069,'OP_ChatWhoChannelMsg',288,1),
(15406,60036,60069,'OP_ClearDataMsg',98,1),
(15407,60036,60069,'OP_ClearForLandingMsg',492,1),
(15408,60036,60069,'OP_ClearForTakeOffMsg',191,1),
(15409,60036,60069,'OP_ClientCmdMsg',58,1),
(15410,60036,60069,'OP_ClientFellMsg',386,1),
(15411,60036,60069,'OP_ClientIdleBeginMsg',406,1),
(15412,60036,60069,'OP_ClientIdleEndMsg',407,1),
(15413,60036,60069,'OP_ClientInDeathRegionMsg',387,1),
(15414,60036,60069,'OP_ClientTeleportRequestMsg',78,1),
(15415,60036,60069,'OP_ClientTeleportToLocationMsg',245,1),
(15416,60036,60069,'OP_CloseGroupInviteWindowMsg',398,1),
(15417,60036,60069,'OP_CollectAllHouseItemsMsg',152,1),
(15418,60036,60069,'OP_ConsignItemRequestMsg',126,1),
(15419,60036,60069,'OP_ConsignItemResponseMsg',127,1),
(15420,60036,60069,'OP_ConsignmentCloseStoreMsg',125,1),
(15421,60036,60069,'OP_ConsignRemoveItemsMsg',379,1),
(15422,60036,60069,'OP_ConsignViewCreateMsg',376,1),
(15423,60036,60069,'OP_ConsignViewGetPageMsg',377,1),
(15424,60036,60069,'OP_ConsignViewReleaseMsg',378,1),
(15425,60036,60069,'OP_ConsignViewSortMsg',384,1),
(15426,60036,60069,'OP_CorruptedClientMsg',410,1),
(15427,60036,60069,'OP_CreateBoatTransportsMsg',251,1),
(15428,60036,60069,'OP_CreateCharacterDungeon',548,1),
(15429,60036,60069,'OP_CreateCharacterReplyMsg',12,1),
(15430,60036,60069,'OP_CreateCharacterRequestMsg',11,1),
(15431,60036,60069,'OP_CreateCharFromCBBReplyMsg',427,1),
(15432,60036,60069,'OP_CreateCharFromCBBRequestMsg',426,1),
(15433,60036,60069,'OP_CreateGuildReplyMsg',120,1),
(15434,60036,60069,'OP_CreateGuildRequestMsg',119,1),
(15435,60036,60069,'OP_CreateZoneInstanceMsg',29,1),
(15436,60036,60069,'OP_CsCategoryRequestMsg',368,1),
(15437,60036,60069,'OP_CsCategoryResponseMsg',369,1),
(15438,60036,60069,'OP_CSTicketAddCommentMsg',234,1),
(15439,60036,60069,'OP_CSTicketChangeNotificationMsg',236,1),
(15440,60036,60069,'OP_CSTicketCommentRequestMsg',231,1),
(15441,60036,60069,'OP_CSTicketCommentResponseMsg',232,1),
(15442,60036,60069,'OP_CSTicketCreateMsg',233,1),
(15443,60036,60069,'OP_CSTicketDeleteMsg',235,1),
(15444,60036,60069,'OP_CSTicketHeaderRequestMsg',229,1),
(15445,60036,60069,'OP_CSTicketInfoMsg',230,1),
(15446,60036,60069,'OP_CSToolAccessResponseMsg',389,1),
(15447,60036,60069,'OP_CSToolsRequestMsg',248,1),
(15448,60036,60069,'OP_CSToolsResponseMsg',249,1),
(15449,60036,60069,'OP_CurrentPet',486,1),
(15450,60036,60069,'OP_CustomizationPurchaseRequestMs',167,1),
(15451,60036,60069,'OP_CustomizationReplyMsg',169,1),
(15452,60036,60069,'OP_CustomizationSetRequestMsg',168,1),
(15453,60036,60069,'OP_CustomizeHouseDisplay',738,1),
(15454,60036,60069,'OP_DailyObjectives',598,1),
(15455,60036,60069,'OP_DefaultGroupOptionsMsg',198,1),
(15456,60036,60069,'OP_DefaultGroupOptionsRequestMsg',197,1),
(15457,60036,60069,'OP_DeleteCharacterReplyMsg',17,1),
(15458,60036,60069,'OP_DeleteCharacterRequestMsg',16,1),
(15459,60036,60069,'OP_DeleteGuildMsg',123,1),
(15460,60036,60069,'OP_DestUpdateReq',210,1),
(15461,60036,60069,'OP_DialogCloseMsg',110,1),
(15462,60036,60069,'OP_DialogSelectMsg',109,1),
(15463,60036,60069,'OP_DispatchClientCmdMsg',60,1),
(15464,60036,60069,'OP_DispatchESMsg',59,1),
(15465,60036,60069,'OP_DispatchMsg',452,1),
(15466,60036,60069,'OP_DispatchSpellCmdMsg',179,1),
(15467,60036,60069,'OP_DisplayDebugNLLPointsMsg',255,1),
(15468,60036,60069,'OP_DisplayEventMsg',453,1),
(15469,60036,60069,'OP_DisplayExchangeScreenMsg',445,1),
(15470,60036,60069,'OP_DisplayGroupOptionsScreenMsg',200,1),
(15471,60036,60069,'OP_DisplayInnVisitScreenMsg',202,1),
(15472,60036,60069,'OP_DisplayMailScreenMsg',405,1),
(15473,60036,60069,'OP_DisplayTSEventReactionMsg',225,1),
(15474,60036,60069,'OP_DisplayWarningMsg',266,1),
(15475,60036,60069,'OP_DoneLoadingEntityResourcesMsg',36,1),
(15476,60036,60069,'OP_DoneLoadingZoneResourcesMsg',34,1),
(15477,60036,60069,'OP_DoneSendingInitialEntitiesMsg',35,1),
(15478,60036,60069,'OP_DressingRoom',511,1),
(15479,60036,60069,'OP_DumpSchedulerMsg',203,1),
(15480,60036,60069,'OP_DungeonMakerEnter',549,1),
(15481,60036,60069,'OP_DungeonMakerItemRequest',551,1),
(15482,60036,60069,'OP_DungeonMakerItemResponse',583,1),
(15483,60036,60069,'OP_DungeonMakerToolboxList',553,1),
(15484,60036,60069,'OP_DungeonMakerUnknown',554,1),
(15485,60036,60069,'OP_DungeonMakerUnknown1',555,1),
(15486,60036,60069,'OP_DungeonPlayAsAvatarList',752,1),
(15487,60036,60069,'OP_DungeonPlayAsAvatarSelected',753,1),
(15488,60036,60069,'OP_EncounterBrokenMsg',264,1),
(15489,60036,60069,'OP_EnterHouseMsg',154,1),
(15490,60036,60069,'OP_EnterMoveObjectModeMsg',161,1),
(15491,60036,60069,'OP_EntityVerbsReplyMsg',181,1),
(15492,60036,60069,'OP_EntityVerbsRequestMsg',180,1),
(15493,60036,60069,'OP_EntityVerbsVerbMsg',182,1),
(15494,60036,60069,'OP_EqArenaResultsCmd',703,1),
(15495,60036,60069,'OP_EqAvailWorldChannelsCmd',690,1),
(15496,60036,60069,'OP_EqBetaCopyRequest',609,1),
(15497,60036,60069,'OP_EqCannedEmoteCmd',632,1),
(15498,60036,60069,'OP_EqChatChannelUpdateCmd',688,1),
(15499,60036,60069,'OP_EqChoiceWinCmd',669,1),
(15500,60036,60069,'OP_EqCloseWindowCmd',661,1),
(15501,60036,60069,'OP_EqCollectionFilterCmd',648,1),
(15502,60036,60069,'OP_EqCollectionItemCmd',649,1),
(15503,60036,60069,'OP_EqCollectionUpdateCmd',647,1),
(15504,60036,60069,'OP_EqConsignmentItemsCmd',693,1),
(15505,60036,60069,'OP_EqCreateGhostCmd',614,1),
(15506,60036,60069,'OP_EqCreateListBoxCmd',629,1),
(15507,60036,60069,'OP_EqCreateSignWidgetCmd',616,1),
(15508,60036,60069,'OP_EqCreateWidgetCmd',615,1),
(15509,60036,60069,'OP_EqDebugPVDCmd',682,1),
(15510,60036,60069,'OP_EqDestroyGhostCmd',617,1),
(15511,60036,60069,'OP_EqDialogCloseCmd',645,1),
(15512,60036,60069,'OP_EqDialogOpenCmd',644,1),
(15513,60036,60069,'OP_EqDisplaySpellFailCmd',665,1),
(15514,60036,60069,'OP_EqDisplayTextCmd',613,1),
(15515,60036,60069,'OP_EqDrawablePathGraphCmd',643,1),
(15516,60036,60069,'OP_EqEnableGameEventCmd',675,1),
(15517,60036,60069,'OP_EqEnableWindowCmd',677,1),
(15518,60036,60069,'OP_EqExamineInfoCmd',660,1),
(15519,60036,60069,'OP_EqFactionUpdateCmd',646,1),
(15520,60036,60069,'OP_EqFlashWindowCmd',678,1),
(15521,60036,60069,'OP_EqGetProbsCmd',686,1),
(15522,60036,60069,'OP_EqGroupMemberRemovedCmd',639,1),
(15523,60036,60069,'OP_EqGuildBankEventActionCmd',704,1),
(15524,60036,60069,'OP_EqGuildBankExamineInfoCmd',705,1),
(15525,60036,60069,'OP_EqHearChainEffectCmd',640,1),
(15526,60036,60069,'OP_EqHearChatCmd',612,1),
(15527,60036,60069,'OP_EqHearCombatCmd',621,1),
(15528,60036,60069,'OP_EqHearConsiderCmd',627,1),
(15529,60036,60069,'OP_EqHearDeathCmd',638,1),
(15530,60036,60069,'OP_EQHearDispellCmd',750,1),
(15531,60036,60069,'OP_EqHearDrowningCmd',637,1),
(15532,60036,60069,'OP_EqHearHealCmd',687,1),
(15533,60036,60069,'OP_EqHearPlayFlavorCmd',680,1),
(15534,60036,60069,'OP_EQHearProcCmd',623,1),
(15535,60036,60069,'OP_EQHearResEffectCmd',624,1),
(15536,60036,60069,'OP_EqHearSpellCastCmd',622,1),
(15537,60036,60069,'OP_EqHearSpellFizzleCmd',626,1),
(15538,60036,60069,'OP_EqHearSpellInterruptCmd',625,1),
(15539,60036,60069,'OP_EqHearSpellNoLandCmd',706,1),
(15540,60036,60069,'OP_EQHearThreatCmd',744,1),
(15541,60036,60069,'OP_EqHelpPathClearCmd',658,1),
(15542,60036,60069,'OP_EqHelpPathCmd',657,1),
(15543,60036,60069,'OP_EqInspectPCResultsCmd',642,1),
(15544,60036,60069,'OP_EqInstructionWindowCloseCmd',672,1),
(15545,60036,60069,'OP_EqInstructionWindowCmd',671,1),
(15546,60036,60069,'OP_EqInstructionWindowGoalCmd',673,1),
(15547,60036,60069,'OP_EqInstructionWindowTaskCmd',674,1),
(15548,60036,60069,'OP_EqJunctionListCmd',663,1),
(15549,60036,60069,'OP_EqMapExplorationCmd',696,1),
(15550,60036,60069,'OP_EqMentoring',651,1),
(15551,60036,60069,'OP_EqPlaySound3DCmd',635,1),
(15552,60036,60069,'OP_EqPlaySoundCmd',634,1),
(15553,60036,60069,'OP_EqPlayVoiceCmd',636,1),
(15554,60036,60069,'OP_EqQuestGroupCmd',653,1),
(15555,60036,60069,'OP_EqQuestionnaireCmd',684,1),
(15556,60036,60069,'OP_EqQuestJournalReplyCmd',652,1),
(15557,60036,60069,'OP_EqQuestJournalUpdateCmd',650,1),
(15558,60036,60069,'OP_EqReceiveOfferCmd',641,1),
(15559,60036,60069,'OP_EqResurrectedCmd',668,1),
(15560,60036,60069,'OP_EqSetControlGhostCmd',619,1),
(15561,60036,60069,'OP_EqSetDebugPathPointsCmd',630,1),
(15562,60036,60069,'OP_EqSetDefaultVerbCmd',670,1),
(15563,60036,60069,'OP_EqSetPOVGhostCmd',620,1),
(15564,60036,60069,'OP_EqShowBookCmd',683,1),
(15565,60036,60069,'OP_EqShowDeathWindowCmd',664,1),
(15566,60036,60069,'OP_EqShowWindowCmd',676,1),
(15567,60036,60069,'OP_EqSpellCastEndCmd',667,1),
(15568,60036,60069,'OP_EqSpellCastStartCmd',666,1),
(15569,60036,60069,'OP_EqSpellMoveToRangeAndRetryCmd',698,1),
(15570,60036,60069,'OP_EqStartBrokerCmd',695,1),
(15571,60036,60069,'OP_EqStateCmd',633,1),
(15572,60036,60069,'OP_EqStoreLogCmd',697,1),
(15573,60036,60069,'OP_EqUpdateBankCmd',659,1),
(15574,60036,60069,'OP_EqUpdateGhostCmd',618,1),
(15575,60036,60069,'OP_EqUpdateLootCmd',662,1),
(15576,60036,60069,'OP_EqUpdateMerchantCmd',654,1),
(15577,60036,60069,'OP_EqUpdatePlayerMailCmd',699,1),
(15578,60036,60069,'OP_EqUpdatePlayerTradeCmd',656,1),
(15579,60036,60069,'OP_EqUpdateSignWidgetCmd',681,1),
(15580,60036,60069,'OP_EqUpdateStoreCmd',655,1),
(15581,60036,60069,'OP_EqUpdateSubClassesCmd',628,1),
(15582,60036,60069,'OP_EqUpdateTargetCmd',691,1),
(15583,60036,60069,'OP_EqWhoChannelQueryReplyCmd',689,1),
(15584,60036,60069,'OP_ESInitMsg',25,1),
(15585,60036,60069,'OP_ESLoginRequestMsg',3,1),
(15586,60036,60069,'OP_ESReadyForClientsMsg',26,1),
(15587,60036,60069,'OP_ESStatusMsg',100,1),
(15588,60036,60069,'OP_ESWeatherRequestEndMsg',105,1),
(15589,60036,60069,'OP_ESWeatherRequestMsg',104,1),
(15590,60036,60069,'OP_ESZoneInstanceStatusMsg',101,1),
(15591,60036,60069,'OP_ExamineConsignmentRequestMsg',171,1),
(15592,60036,60069,'OP_ExamineConsignmentResponseMsg',172,1),
(15593,60036,60069,'OP_ExamineInfoRequestMsg',256,1),
(15594,60036,60069,'OP_ExamineItemRequestMsg',195,1),
(15595,60036,60069,'OP_ExitHouseMsg',155,1),
(15596,60036,60069,'OP_ExpectClientAsCharacterReplyMs',22,1),
(15597,60036,60069,'OP_ExpectClientAsCharacterRequest',32,1),
(15598,60036,60069,'OP_ExpPurchWindow',729,1),
(15599,60036,60069,'OP_FellowshipExpMsg',122,1),
(15600,60036,60069,'OP_FlightPathsMsg',414,1),
(15601,60036,60069,'OP_GameWorldTimeMsg',43,1),
(15602,60036,60069,'OP_PaperdollImage',578,1),
(15603,60036,60069,'OP_GetAuctionAssetIDMsg',442,1),
(15604,60036,60069,'OP_GetAuctionAssetIDReplyMsg',443,1),
(15605,60036,60069,'OP_GetAvatarAccessRequestForCSToo',394,1),
(15606,60036,60069,'OP_GetCharacterSerializedReplyMsg',425,1),
(15607,60036,60069,'OP_GetCharacterSerializedRequestM',424,1),
(15608,60036,60069,'OP_GroupCreatedMsg',88,1),
(15609,60036,60069,'OP_GroupDestroyedMsg',89,1),
(15610,60036,60069,'OP_GroupLeaderChangedMsg',93,1),
(15611,60036,60069,'OP_GroupMemberAddedMsg',90,1),
(15612,60036,60069,'OP_GroupMemberRemovedMsg',91,1),
(15613,60036,60069,'OP_GroupOptionsMsg',199,1),
(15614,60036,60069,'OP_GroupRemovedFromGroupMsg',92,1),
(15615,60036,60069,'OP_GroupResendOOZDataMsg',94,1),
(15616,60036,60069,'OP_GroupSettingsChangedMsg',95,1),
(15617,60036,60069,'OP_GuildBankActionMsg',275,1),
(15618,60036,60069,'OP_GuildBankActionResponseMsg',276,1),
(15619,60036,60069,'OP_GuildBankEventListMsg',280,1),
(15620,60036,60069,'OP_GuildBankItemDetailsRequestMsg',277,1),
(15621,60036,60069,'OP_GuildBankItemDetailsResponseMs',278,1),
(15622,60036,60069,'OP_GuildBankUpdateMsg',279,1),
(15623,60036,60069,'OP_GuildEventActionMsg',270,1),
(15624,60036,60069,'OP_GuildEventAddMsg',269,1),
(15625,60036,60069,'OP_GuildEventDetailsMsg',273,1),
(15626,60036,60069,'OP_GuildEventListMsg',271,1),
(15627,60036,60069,'OP_GuildEventMsg',268,1),
(15628,60036,60069,'OP_GuildMembershipResponseMsg',358,1),
(15629,60036,60069,'OP_GuildRecruiting',709,1),
(15630,60036,60069,'OP_GuildRecruitingDetails',710,1),
(15631,60036,60069,'OP_GuildRecruitingImage',711,1),
(15632,60036,60069,'OP_GuildRecruitingMemberInfo',708,1),
(15633,60036,60069,'OP_GuildsayMsg',121,1),
(15634,60036,60069,'OP_GuildStatusUpdate',702,1),
(15635,60036,60069,'OP_GuildUpdateMsg',124,1),
(15636,60036,60069,'OP_HeritageMsg',10001,1),
(15637,60036,60069,'OP_HideIllusionsMsg',194,1),
(15638,60036,60069,'OP_HouseAccessRemoveMsg',158,1),
(15639,60036,60069,'OP_HouseAccessSetMsg',157,1),
(15640,60036,60069,'OP_HouseCustomizationScreenMsg',166,1),
(15641,60036,60069,'OP_HouseDefaultAccessSetMsg',156,1),
(15642,60036,60069,'OP_HouseDeletedRemotelyMsg',142,1),
(15643,60036,60069,'OP_HouseItemsList',485,1),
(15644,60036,60069,'OP_HousingDataChangedMsg',428,1),
(15645,60036,60069,'OP_HousingRestoreMsg',429,1),
(15646,60036,60069,'OP_InspectPlayerMsg',364,1),
(15647,60036,60069,'OP_InspectPlayerRequestMsg',451,1),
(15648,60036,60069,'OP_InviteRequestMsg',448,1),
(15649,60036,60069,'OP_InviteResponseMsg',449,1),
(15650,60036,60069,'OP_InviteTargetResponseMsg',450,1),
(15651,60036,60069,'OP_JoinGuildNotifyMsg',360,1),
(15652,60036,60069,'OP_JournalQuestStoryline',751,1),
(15653,60036,60069,'OP_KeymapDataMsg',177,1),
(15654,60036,60069,'OP_KeymapLoadMsg',175,1),
(15655,60036,60069,'OP_KeymapNoneMsg',176,1),
(15656,60036,60069,'OP_KeymapSaveMsg',178,1),
(15657,60036,60069,'OP_KnowledgebaseRequestMsg',227,1),
(15658,60036,60069,'OP_KnowledgebaseResponseMsg',228,1),
(15659,60036,60069,'OP_KnowledgeWindowSlotMappingMsg',370,1),
(15660,60036,60069,'OP_KnownLanguagesMsg',239,1),
(15661,60036,60069,'OP_Launchpad',576,1),
(15662,60036,60069,'OP_LeaveGuildNotifyMsg',359,1),
(15663,60036,60069,'OP_LevelChangedMsg',262,1),
(15664,60036,60069,'OP_LFGGroupSearch',505,1),
(15665,60036,60069,'OP_LFGUpdateMsg',519,1),
(15666,60036,60069,'OP_LikeOption',136,1),
(15667,60036,60069,'OP_LoadCalendarEvents',579,1),
(15668,60036,60069,'OP_LoadWelcomeWindow',561,1),
(15669,60036,60069,'OP_LoginByNumRequestMsg',1,1),
(15670,60036,60069,'OP_LoginReplyMsg',4,1),
(15671,60036,60069,'OP_LoginRequestMsg',0,1),
(15672,60036,60069,'OP_LootItemsRequestMsg',185,1),
(15673,60036,60069,'OP_Lottery',707,1),
(15674,60036,60069,'OP_LSCheckAcctLockMsg',204,1),
(15675,60036,60069,'OP_LsClientAlertlogReplyMsg',243,1),
(15676,60036,60069,'OP_LsClientBaselogReplyMsg',241,1),
(15677,60036,60069,'OP_LsClientCrashlogReplyMsg',242,1),
(15678,60036,60069,'OP_LsClientVerifylogReplyMsg',244,1),
(15679,60036,60069,'OP_LsRequestClientCrashLogMsg',240,1),
(15680,60036,60069,'OP_LSServerLockMsg',366,1),
(15681,60036,60069,'OP_MacroInitMsg',259,1),
(15682,60036,60069,'OP_MacroUpdateMsg',260,1),
(15683,60036,60069,'OP_MailCommitSendMessageMsg',344,1),
(15684,60036,60069,'OP_MailDeleteMessageMsg',340,1),
(15685,60036,60069,'OP_MailEventNotificationMsg',412,1),
(15686,60036,60069,'OP_MailGetHeadersReplyMsg',341,1),
(15687,60036,60069,'OP_MailGetMessageMsg',338,1),
(15688,60036,60069,'OP_MailGetMessageReplyMsg',342,1),
(15689,60036,60069,'OP_MailRemoveAttachFromMailMsg',346,1),
(15690,60036,60069,'OP_MailSendMessageMsg',339,1),
(15691,60036,60069,'OP_MailSendMessageReplyMsg',343,1),
(15692,60036,60069,'OP_MailSendSystemMessageMsg',345,1),
(15693,60036,60069,'OP_MakeGroupLeaderMsg',87,1),
(15694,60036,60069,'OP_MapFogDataInitMsg',396,1),
(15695,60036,60069,'OP_MapFogDataUpdateMsg',397,1),
(15696,60036,60069,'OP_MapRequest',522,1),
(15697,60036,60069,'OP_MarketAddFundsReply',530,1),
(15698,60036,60069,'OP_MarketAddFundsRequest',529,1),
(15699,60036,60069,'OP_MarketFundsUpdate',527,1),
(15700,60036,60069,'OP_MarketPlaceItems',538,1),
(15701,60036,60069,'OP_MarketPlacePrices',533,1),
(15702,60036,60069,'OP_MarketPurchase',532,1),
(15703,60036,60069,'OP_MentorPopup',559,1),
(15704,60036,60069,'OP_MercHireWindow',754,1),
(15705,60036,60069,'OP_MercUnknown',755,1),
(15706,60036,60069,'OP_MigrateBoatTransportMsg',253,1),
(15707,60036,60069,'OP_MigrateBoatTransportReplyMsg',254,1),
(15708,60036,60069,'OP_MigrateClientToZoneReplyMsg',82,1),
(15709,60036,60069,'OP_MigrateClientToZoneRequestMsg',81,1),
(15710,60036,60069,'OP_ModifyGuildMsg',267,1),
(15711,60036,60069,'OP_MonitorCharacterListMsg',56,1),
(15712,60036,60069,'OP_MonitorCharacterListRequestMsg',57,1),
(15713,60036,60069,'OP_MonitorReplyMsg',55,1),
(15714,60036,60069,'OP_MOTDMsg',44,1),
(15715,60036,60069,'OP_MoveableObjectPlacementCriteri',160,1),
(15716,60036,60069,'OP_MoveLogUpdateMsg',401,1),
(15717,60036,60069,'OP_NotifyApprenticeStoppedMentori',409,1),
(15718,60036,60069,'OP_OfferQuestMsg',402,1),
(15719,60036,60069,'OP_OnscreenMsgMsg',265,1),
(15720,60036,60069,'OP_OpenCharCust',562,1),
(15721,60036,60069,'OP_OutOfZoneMemberDataMsg',96,1),
(15722,60036,60069,'OP_PayHouseUpkeepMsg',159,1),
(15723,60036,60069,'OP_PerformCameraShakeMsg',214,1),
(15724,60036,60069,'OP_PerformPlayerKnockbackMsg',213,1),
(15725,60036,60069,'OP_PetOptions',201,1),
(15726,60036,60069,'OP_PetOptionsResponse',582,1),
(15727,60036,60069,'OP_PlayCharacterReplyMsg',19,1),
(15728,60036,60069,'OP_PlayCharacterRequestMsg',18,1),
(15729,60036,60069,'OP_PlayerHouseAccessUpdateMsg',147,1),
(15730,60036,60069,'OP_PlayerHouseBaseScreenMsg',145,1),
(15731,60036,60069,'OP_PlayerHouseCloseUIMsg',149,1),
(15732,60036,60069,'OP_PlayerHouseDisplayStatusMsg',148,1),
(15733,60036,60069,'OP_PlayerHousePurchaseScreenMsg',146,1),
(15734,60036,60069,'OP_PlayerMadeInstances',140,1),
(15735,60036,60069,'OP_PlayerMadeInstancesScreen',139,1),
(15736,60036,60069,'OP_PlayerPollAnswer',558,1),
(15737,60036,60069,'OP_PlayerPollPopup',557,1),
(15738,60036,60069,'OP_PlayLon',512,1),
(15739,60036,60069,'OP_PointOfInterest',733,1),
(15740,60036,60069,'OP_PointOfInterest2',734,1),
(15741,60036,60069,'OP_PopulateSkillMapsMsg',215,1),
(15742,60036,60069,'OP_PositionBoatTransportMsg',252,1),
(15743,60036,60069,'OP_PositionMoveableObject',162,1),
(15744,60036,60069,'OP_PostPossessionMsg',455,1),
(15745,60036,60069,'OP_PredictionUpdateMsg',37,1),
(15746,60036,60069,'OP_PrePossessionMsg',454,1),
(15747,60036,60069,'OP_PromoFlagsDetailsMsg',375,1),
(15748,60036,60069,'OP_PublishHouse',138,1),
(15749,60036,60069,'OP_PurchaseConsignmentLoreCheckRe',408,1),
(15750,60036,60069,'OP_PurchaseConsignmentRequestMsg',128,1),
(15751,60036,60069,'OP_QueAllBgSolo',565,1),
(15752,60036,60069,'OP_QuestionnaireMsg',261,1),
(15753,60036,60069,'OP_QuestJournalInspectMsg',114,1),
(15754,60036,60069,'OP_QuestJournalOpenMsg',113,1),
(15755,60036,60069,'OP_QuestJournalSetVisibleMsg',115,1),
(15756,60036,60069,'OP_QuestJournalWaypointMsg',116,1),
(15757,60036,60069,'OP_QuestReward',321,1),
(15758,60036,60069,'OP_QuickbarInitMsg',257,1),
(15759,60036,60069,'OP_QuickbarUpdateMsg',258,1),
(15760,60036,60069,'OP_RaceRestrictionMsg',440,1),
(15761,60036,60069,'OP_ReadBookPageMsg',196,1),
(15762,60036,60069,'OP_ReadyForTakeOffMsg',192,1),
(15763,60036,60069,'OP_ReadyToZoneMsg',84,1),
(15764,60036,60069,'OP_RecipeBook',539,1),
(15765,60036,60069,'OP_RecipeDetailsMsg',72,1),
(15766,60036,60069,'OP_RecipeList',745,1),
(15767,60036,60069,'OP_RecipeListUnknown',594,1),
(15768,60036,60069,'OP_RelinquishHouseMsg',153,1),
(15769,60036,60069,'OP_ReloadLocalizedTxtMsg',355,1),
(15770,60036,60069,'OP_RemoteCmdMsg',42,1),
(15771,60036,60069,'OP_RemoveClientFromGroupMsg',85,1),
(15772,60036,60069,'OP_RemoveConcentrationMsg',112,1),
(15773,60036,60069,'OP_RemoveGroupFromGroupMsg',86,1),
(15774,60036,60069,'OP_RemoveSpellEffectMsg',111,1),
(15775,60036,60069,'OP_RenameGuildMsg',283,1),
(15776,60036,60069,'OP_ReplaceableSubMeshesMsg',165,1),
(15777,60036,60069,'OP_ReportMsg',381,1),
(15778,60036,60069,'OP_RequestCampMsg',50,1),
(15779,60036,60069,'OP_RequestGuildBankEventDetailsMs',281,1),
(15780,60036,60069,'OP_RequestGuildEventDetailsMsg',272,1),
(15781,60036,60069,'OP_RequestGuildInfoMsg',274,1),
(15782,60036,60069,'OP_RequestGuildMembershipMsg',357,1),
(15783,60036,60069,'OP_RequestHelpRepathMsg',206,1),
(15784,60036,60069,'OP_RequestRecipeDetailsMsg',71,1),
(15785,60036,60069,'OP_RequestTargetLocMsg',207,1),
(15786,60036,60069,'OP_Research',746,1),
(15787,60036,60069,'OP_ResendWorldChannelsMsg',444,1),
(15788,60036,60069,'OP_ReskinCharacterRequestMsg',15,1),
(15789,60036,60069,'OP_RestartZoneMsg',413,1),
(15790,60036,60069,'OP_RewardPackMsg',282,1),
(15791,60036,60069,'OP_SatMsg',189,1),
(15792,60036,60069,'OP_SavageBarInitMsg',581,1),
(15793,60036,60069,'OP_SelectZoneTeleporterDestinatio',354,1),
(15794,60036,60069,'OP_SendLatestRequestMsg',97,1),
(15795,60036,60069,'OP_ServerPlayCharacterReplyMsg',24,1),
(15796,60036,60069,'OP_ServerPlayCharacterRequestMsg',23,1),
(15797,60036,60069,'OP_SetInstanceDisplayNameMsg',441,1),
(15798,60036,60069,'OP_SetRemoteCmdsMsg',41,1),
(15799,60036,60069,'OP_SetSocialMsg',99,1),
(15800,60036,60069,'OP_ShaderCustomizationMsg',164,1),
(15801,60036,60069,'OP_ShowCreateFromRecipeUIMsg',219,1),
(15802,60036,60069,'OP_ShowIllusionsMsg',193,1),
(15803,60036,60069,'OP_ShowItemCreationProcessUIMsg',223,1),
(15804,60036,60069,'OP_ShowRecipeBookMsg',226,1),
(15805,60036,60069,'OP_ShowZoneTeleporterDestinations',353,1),
(15806,60036,60069,'OP_SitMsg',187,1),
(15807,60036,60069,'OP_SkillInfoRequest',515,1),
(15808,60036,60069,'OP_SkillInfoResponse',516,1),
(15809,60036,60069,'OP_SOEAllAccess',610,1),
(15810,60036,60069,'OP_SpellGainedMsg',263,1),
(15811,60036,60069,'OP_StandMsg',188,1),
(15812,60036,60069,'OP_StoodMsg',190,1),
(15813,60036,60069,'OP_StopItemCreationMsg',222,1),
(15814,60036,60069,'OP_StoppedLootingMsg',186,1),
(15815,60036,60069,'OP_StopTrackingMsg',392,1),
(15816,60036,60069,'OP_SubmitCharCust',563,1),
(15817,60036,60069,'OP_SupplyDepot',743,1),
(15818,60036,60069,'OP_SysClient',218,1),
(15819,60036,60069,'OP_TeleportWithinZoneMsg',79,1),
(15820,60036,60069,'OP_TeleportWithinZoneNoReloadMsg',80,1),
(15821,60036,60069,'OP_TintWidgetsMsg',170,1),
(15822,60036,60069,'OP_TitleUpdateMsg',385,1),
(15823,60036,60069,'OP_TrackingUpdateMsg',390,1),
(15824,60036,60069,'OP_TradeskillList',712,1),
(15825,60036,60069,'OP_TraitsList',735,1),
(15826,60036,60069,'OP_UIEvent',528,1),
(15827,60036,60069,'OP_UIResetMsg',174,1),
(15828,60036,60069,'OP_UISettingsResponseMsg',173,1),
(15829,60036,60069,'OP_Unknown',768,1),
(15830,60036,60069,'OP_UnknownNpcMsg',374,1),
(15831,60036,60069,'OP_UpdateActivePublicZonesMsg',373,1),
(15832,60036,60069,'OP_UpdateCharacterSheetMsg',63,1),
(15833,60036,60069,'OP_UpdateClientPredFlagsMsg',246,1),
(15834,60036,60069,'OP_UpdateDebugRadiiMsg',380,1),
(15835,60036,60069,'OP_UpdateGroupMemberDataMsg',389,1),
(15836,60036,60069,'OP_UpdateHouseAccessDataMsg',144,1),
(15837,60036,60069,'OP_UpdateHouseDataMsg',143,1),
(15838,60036,60069,'OP_UpdateInventoryMsg',68,1),
(15839,60036,60069,'OP_UpdateItemCreationProcessUIMsg',224,1),
(15840,60036,60069,'OP_UpdateMotdMsg',208,1),
(15841,60036,60069,'OP_UpdateOpportunityMsg',75,1),
(15842,60036,60069,'OP_UpdatePositionMsg',39,1),
(15843,60036,60069,'OP_UpdateRaidMsg',382,1),
(15844,60036,60069,'OP_UpdateRecipeBookMsg',70,1),
(15845,60036,60069,'OP_UpdateSkillBookMsg',73,1),
(15846,60036,60069,'OP_UpdateSkillsMsg',74,1),
(15847,60036,60069,'OP_UpdateSpellBookMsg',66,1),
(15848,60036,60069,'OP_UpdateTargetLocMsg',62,1),
(15849,60036,60069,'OP_UpdateTargetMsg',61,1),
(15850,60036,60069,'OP_UpdateTitleCmd',495,1),
(15851,60036,60069,'OP_UseAdornment',723,1),
(15852,60036,60069,'OP_VideoUploaded',580,1),
(15853,60036,60069,'OP_VoiceChatChannel',521,1),
(15854,60036,60069,'OP_VoiceChatServer',739,1),
(15855,60036,60069,'OP_WaypointReplyMsg',349,1),
(15856,60036,60069,'OP_WaypointRequestMsg',348,1),
(15857,60036,60069,'OP_WaypointSelectMsg',350,1),
(15858,60036,60069,'OP_WaypointUpdateMsg',351,1),
(15859,60036,60069,'OP_Weakness',584,1),
(15860,60036,60069,'OP_WhoQueryReplyMsg',54,1),
(15861,60036,60069,'OP_WhoQueryRequestMsg',53,1),
(15862,60036,60069,'OP_WorldDataChangeMsg',411,1),
(15863,60036,60069,'OP_WorldDataUpdateMsg',237,1),
(15864,60036,60069,'OP_WorldListMsg',8,1),
(15865,60036,60069,'OP_WorldPingMsg',400,1),
(15866,60036,60069,'OP_WorldShutdownUpdateMsg',404,1),
(15867,60036,60069,'OP_WorldStatusChangeMsg',6,1),
(15868,60036,60069,'OP_WorldTravelAvail',573,1),
(15869,60036,60069,'OP_WSAcctLockStatusMsg',205,1),
(15870,60036,60069,'OP_WSCreateCharacterReplyMsg',14,1),
(15871,60036,60069,'OP_WSCreateCharacterRequestMsg',13,1),
(15872,60036,60069,'OP_WSLoginRequestMsg',2,1),
(15873,60036,60069,'OP_WSServerHideMsg',367,1),
(15874,60036,60069,'OP_WSServerLockMsg',365,1),
(15875,60036,60069,'OP_WSStatusReplyMsg',5,1),
(15876,60036,60069,'OP_ZoneBgInstanceList',569,1),
(15877,60036,60069,'OP_ZoneInfoMsg',33,1),
(15878,60036,60069,'OP_ZoneInstanceCreateReplyMsg',30,1),
(15879,60036,60069,'OP_ZoneInstanceDestroyedMsg',31,1),
(15880,60036,60069,'OP_ZoneMOTDMsg',45,1),
(15881,60036,60069,'OP_ZonesStatusMsg',103,1),
(15882,60036,60069,'OP_ZonesStatusRequestMsg',102,1),
(15883,60036,60069,'OP_ZoneToFriendReplyMsg',285,1),
(15884,60036,60069,'OP_ZoneToFriendRequestMsg',284,1),
(15885,60085,60116,'OP_AchievementUpdateMsg',751,1),
(15886,60085,60116,'OP_AddSocialStructureStandingMsg',252,1),
(15887,60085,60116,'OP_AdvancementRequestMsg',397,1),
(15888,60085,60116,'OP_AdventureList',491,1),
(15889,60085,60116,'OP_AFKUpdateMsg',373,1),
(15890,60085,60116,'OP_AfterInvSpellUpdate',71,1),
(15891,60085,60116,'OP_AllCharactersDescReplyMsg',10,1),
(15892,60085,60116,'OP_AllCharactersDescRequestMsg',9,1),
(15893,60085,60116,'OP_AllWSDescRequestMsg',7,1),
(15894,60085,60116,'OP_AnonUpdateMsg',374,1),
(15895,60085,60116,'OP_ArenaCreate',459,1),
(15896,60085,60116,'OP_ArenaGameTypesMsg',448,1),
(15897,60085,60116,'OP_ArenaList',460,1),
(15898,60085,60116,'OP_ArenaWindow',468,1),
(15899,60085,60116,'OP_AttackAllowed',503,1),
(15900,60085,60116,'OP_AttackNotAllowed',504,1),
(15901,60085,60116,'OP_AuctionAbortMsg',439,1),
(15902,60085,60116,'OP_AuctionCharacter',436,1),
(15903,60085,60116,'OP_AuctionCharacterReply',437,1),
(15904,60085,60116,'OP_AuctionCoin',434,1),
(15905,60085,60116,'OP_AuctionCoinReply',435,1),
(15906,60085,60116,'OP_AuctionCommitMsg',438,1),
(15907,60085,60116,'OP_AuctionItem',432,1),
(15908,60085,60116,'OP_AuctionItemReply',433,1),
(15909,60085,60116,'OP_AuditAuctionEventMsg',449,1),
(15910,60085,60116,'OP_AvatarCreatedMsg',48,1),
(15911,60085,60116,'OP_AvatarDestroyedMsg',49,1),
(15912,60085,60116,'OP_AvatarUpdateMsg',363,1),
(15913,60085,60116,'OP_BadLanguageFilter',522,1),
(15914,60085,60116,'OP_BagOptions',505,1),
(15915,60085,60116,'OP_BeginItemCreationMsg',223,1),
(15916,60085,60116,'OP_BeginTrackingMsg',393,1),
(15917,60085,60116,'OP_BioUpdateMsg',365,1),
(15918,60085,60116,'OP_BrokerAddBag',295,1),
(15919,60085,60116,'OP_BrokerRemoveBag',296,1),
(15920,60085,60116,'OP_BrokerSellList',694,1),
(15921,60085,60116,'OP_BuyPlayerHouseMsg',152,1),
(15922,60085,60116,'OP_BuyPlayerHouseTintMsg',153,1),
(15923,60085,60116,'OP_CampAbortedMsg',54,1),
(15924,60085,60116,'OP_CampClientMsg',390,1),
(15925,60085,60116,'OP_CampStartedMsg',53,1),
(15926,60085,60116,'OP_CancelCreateFromRecipeMsg',222,1),
(15927,60085,60116,'OP_CancelledFeignMsg',218,1),
(15928,60085,60116,'OP_CancelMoveObjectModeMsg',165,1),
(15929,60085,60116,'OP_CancelSpellCast',492,1),
(15930,60085,60116,'OP_ChangeServerControlFlagMsg',249,1),
(15931,60085,60116,'OP_ChangeZoneMsg',79,1),
(15932,60085,60116,'OP_CharacterAchievements',750,1),
(15933,60085,60116,'OP_CharacterCreatedDungeons',554,1),
(15934,60085,60116,'OP_CharacterCurrency',749,1),
(15935,60085,60116,'OP_CharacterHousingList',510,1),
(15936,60085,60116,'OP_CharacterLinkdeadMsg',417,1),
(15937,60085,60116,'OP_CharacterMerc',67,1),
(15938,60085,60116,'OP_CharacterMounts',587,1),
(15939,60085,60116,'OP_CharacterPet',66,1),
(15940,60085,60116,'OP_CharNameChangedMsg',355,1),
(15941,60085,60116,'OP_CharRenamed',715,1),
(15942,60085,60116,'OP_CharTransferCommitReplyMsg',425,1),
(15943,60085,60116,'OP_CharTransferCommitRequestMsg',423,1),
(15944,60085,60116,'OP_CharTransferReplyMsg',421,1),
(15945,60085,60116,'OP_CharTransferRequestMsg',420,1),
(15946,60085,60116,'OP_CharTransferRollbackReplyMsg',424,1),
(15947,60085,60116,'OP_CharTransferRollbackRequestMsg',422,1),
(15948,60085,60116,'OP_CharTransferStartReplyMsg',419,1),
(15949,60085,60116,'OP_CharTransferStartRequestMsg',418,1),
(15950,60085,60116,'OP_CharTransferValidateReplyMsg',441,1),
(15951,60085,60116,'OP_CharTransferValidateRequestMsg',440,1),
(15952,60085,60116,'OP_ChatCreateChannelMsg',288,1),
(15953,60085,60116,'OP_ChatFiltersMsg',337,1),
(15954,60085,60116,'OP_ChatJoinChannelMsg',289,1),
(15955,60085,60116,'OP_ChatLeaveChannelMsg',291,1),
(15956,60085,60116,'OP_ChatRelationshipUpdateMsg',186,1),
(15957,60085,60116,'OP_ChatSendFriendsMsg',298,1),
(15958,60085,60116,'OP_ChatSendIgnoresMsg',299,1),
(15959,60085,60116,'OP_ChatTellChannelMsg',292,1),
(15960,60085,60116,'OP_ChatTellUserMsg',293,1),
(15961,60085,60116,'OP_ChatToggleFriendMsg',294,1),
(15962,60085,60116,'OP_ChatToggleIgnoreMsg',297,1),
(15963,60085,60116,'OP_ChatWhoChannelMsg',290,1),
(15964,60085,60116,'OP_ClearDataMsg',100,1),
(15965,60085,60116,'OP_ClearForLandingMsg',494,1),
(15966,60085,60116,'OP_ClearForTakeOffMsg',193,1),
(15967,60085,60116,'OP_ClientCmdMsg',60,1),
(15968,60085,60116,'OP_ClientFellMsg',388,1),
(15969,60085,60116,'OP_ClientIdleBeginMsg',408,1),
(15970,60085,60116,'OP_ClientIdleEndMsg',409,1),
(15971,60085,60116,'OP_ClientInDeathRegionMsg',389,1),
(15972,60085,60116,'OP_ClientTeleportRequestMsg',80,1),
(15973,60085,60116,'OP_ClientTeleportToLocationMsg',247,1),
(15974,60085,60116,'OP_CloseGroupInviteWindowMsg',400,1),
(15975,60085,60116,'OP_CollectAllHouseItemsMsg',154,1),
(15976,60085,60116,'OP_ConsignItemRequestMsg',128,1),
(15977,60085,60116,'OP_ConsignItemResponseMsg',129,1),
(15978,60085,60116,'OP_ConsignmentCloseStoreMsg',127,1),
(15979,60085,60116,'OP_ConsignRemoveItemsMsg',381,1),
(15980,60085,60116,'OP_ConsignViewCreateMsg',378,1),
(15981,60085,60116,'OP_ConsignViewGetPageMsg',379,1),
(15982,60085,60116,'OP_ConsignViewReleaseMsg',380,1),
(15983,60085,60116,'OP_ConsignViewSortMsg',386,1),
(15984,60085,60116,'OP_CorruptedClientMsg',412,1),
(15985,60085,60116,'OP_CreateBoatTransportsMsg',253,1),
(15986,60085,60116,'OP_CreateCharacterDungeon',550,1),
(15987,60085,60116,'OP_CreateCharacterReplyMsg',12,1),
(15988,60085,60116,'OP_CreateCharacterRequestMsg',11,1),
(15989,60085,60116,'OP_CreateCharFromCBBReplyMsg',429,1),
(15990,60085,60116,'OP_CreateCharFromCBBRequestMsg',428,1),
(15991,60085,60116,'OP_CreateGuildReplyMsg',122,1),
(15992,60085,60116,'OP_CreateGuildRequestMsg',121,1),
(15993,60085,60116,'OP_CreateZoneInstanceMsg',31,1),
(15994,60085,60116,'OP_CsCategoryRequestMsg',370,1),
(15995,60085,60116,'OP_CsCategoryResponseMsg',371,1),
(15996,60085,60116,'OP_CSTicketAddCommentMsg',236,1),
(15997,60085,60116,'OP_CSTicketChangeNotificationMsg',238,1),
(15998,60085,60116,'OP_CSTicketCommentRequestMsg',233,1),
(15999,60085,60116,'OP_CSTicketCommentResponseMsg',234,1),
(16000,60085,60116,'OP_CSTicketCreateMsg',235,1),
(16001,60085,60116,'OP_CSTicketDeleteMsg',237,1),
(16002,60085,60116,'OP_CSTicketHeaderRequestMsg',231,1),
(16003,60085,60116,'OP_CSTicketInfoMsg',232,1),
(16004,60085,60116,'OP_CSToolAccessResponseMsg',391,1),
(16005,60085,60116,'OP_CSToolsRequestMsg',250,1),
(16006,60085,60116,'OP_CSToolsResponseMsg',251,1),
(16007,60085,60116,'OP_CurrentPet',488,1),
(16008,60085,60116,'OP_CustomizationPurchaseRequestMs',169,1),
(16009,60085,60116,'OP_CustomizationReplyMsg',171,1),
(16010,60085,60116,'OP_CustomizationSetRequestMsg',170,1),
(16011,60085,60116,'OP_CustomizeHouseDisplay',740,1),
(16012,60085,60116,'OP_DailyObjectives',600,1),
(16013,60085,60116,'OP_DefaultGroupOptionsMsg',200,1),
(16014,60085,60116,'OP_DefaultGroupOptionsRequestMsg',199,1),
(16015,60085,60116,'OP_DeleteCharacterReplyMsg',19,1),
(16016,60085,60116,'OP_DeleteCharacterRequestMsg',18,1),
(16017,60085,60116,'OP_DeleteGuildMsg',125,1),
(16018,60085,60116,'OP_DestUpdateReq',212,1),
(16019,60085,60116,'OP_DialogCloseMsg',112,1),
(16020,60085,60116,'OP_DialogSelectMsg',111,1),
(16021,60085,60116,'OP_DispatchClientCmdMsg',62,1),
(16022,60085,60116,'OP_DispatchESMsg',61,1),
(16023,60085,60116,'OP_DispatchMsg',454,1),
(16024,60085,60116,'OP_DispatchSpellCmdMsg',181,1),
(16025,60085,60116,'OP_DisplayDebugNLLPointsMsg',257,1),
(16026,60085,60116,'OP_DisplayEventMsg',455,1),
(16027,60085,60116,'OP_DisplayExchangeScreenMsg',447,1),
(16028,60085,60116,'OP_DisplayGroupOptionsScreenMsg',202,1),
(16029,60085,60116,'OP_DisplayInnVisitScreenMsg',204,1),
(16030,60085,60116,'OP_DisplayMailScreenMsg',407,1),
(16031,60085,60116,'OP_DisplayTSEventReactionMsg',227,1),
(16032,60085,60116,'OP_DisplayWarningMsg',268,1),
(16033,60085,60116,'OP_DoneLoadingEntityResourcesMsg',38,1),
(16034,60085,60116,'OP_DoneLoadingZoneResourcesMsg',36,1),
(16035,60085,60116,'OP_DoneSendingInitialEntitiesMsg',37,1),
(16036,60085,60116,'OP_DressingRoom',513,1),
(16037,60085,60116,'OP_DumpSchedulerMsg',205,1),
(16038,60085,60116,'OP_DungeonMakerEnter',551,1),
(16039,60085,60116,'OP_DungeonMakerItemRequest',553,1),
(16040,60085,60116,'OP_DungeonMakerItemResponse',585,1),
(16041,60085,60116,'OP_DungeonMakerToolboxList',555,1),
(16042,60085,60116,'OP_DungeonMakerUnknown',556,1),
(16043,60085,60116,'OP_DungeonMakerUnknown1',557,1),
(16044,60085,60116,'OP_DungeonPlayAsAvatarList',754,1),
(16045,60085,60116,'OP_DungeonPlayAsAvatarSelected',755,1),
(16046,60085,60116,'OP_EncounterBrokenMsg',266,1),
(16047,60085,60116,'OP_EnterHouseMsg',156,1),
(16048,60085,60116,'OP_EnterMoveObjectModeMsg',163,1),
(16049,60085,60116,'OP_EntityVerbsReplyMsg',183,1),
(16050,60085,60116,'OP_EntityVerbsRequestMsg',182,1),
(16051,60085,60116,'OP_EntityVerbsVerbMsg',184,1),
(16052,60085,60116,'OP_EqArenaResultsCmd',705,1),
(16053,60085,60116,'OP_EqAvailWorldChannelsCmd',692,1),
(16054,60085,60116,'OP_EqBetaCopyRequest',611,1),
(16055,60085,60116,'OP_EqCannedEmoteCmd',634,1),
(16056,60085,60116,'OP_EqChatChannelUpdateCmd',690,1),
(16057,60085,60116,'OP_EqChoiceWinCmd',671,1),
(16058,60085,60116,'OP_EqCloseWindowCmd',663,1),
(16059,60085,60116,'OP_EqCollectionFilterCmd',650,1),
(16060,60085,60116,'OP_EqCollectionItemCmd',651,1),
(16061,60085,60116,'OP_EqCollectionUpdateCmd',649,1),
(16062,60085,60116,'OP_EqConsignmentItemsCmd',695,1),
(16063,60085,60116,'OP_EqCreateGhostCmd',616,1),
(16064,60085,60116,'OP_EqCreateListBoxCmd',631,1),
(16065,60085,60116,'OP_EqCreateSignWidgetCmd',618,1),
(16066,60085,60116,'OP_EqCreateWidgetCmd',617,1),
(16067,60085,60116,'OP_EqDebugPVDCmd',684,1),
(16068,60085,60116,'OP_EqDestroyGhostCmd',619,1),
(16069,60085,60116,'OP_EqDialogCloseCmd',647,1),
(16070,60085,60116,'OP_EqDialogOpenCmd',646,1),
(16071,60085,60116,'OP_EqDisplaySpellFailCmd',667,1),
(16072,60085,60116,'OP_EqDisplayTextCmd',615,1),
(16073,60085,60116,'OP_EqDrawablePathGraphCmd',645,1),
(16074,60085,60116,'OP_EqEnableGameEventCmd',677,1),
(16075,60085,60116,'OP_EqEnableWindowCmd',679,1),
(16076,60085,60116,'OP_EqExamineInfoCmd',662,1),
(16077,60085,60116,'OP_EqFactionUpdateCmd',648,1),
(16078,60085,60116,'OP_EqFlashWindowCmd',680,1),
(16079,60085,60116,'OP_EqGetProbsCmd',688,1),
(16080,60085,60116,'OP_EqGroupMemberRemovedCmd',641,1),
(16081,60085,60116,'OP_EqGuildBankEventActionCmd',706,1),
(16082,60085,60116,'OP_EqGuildBankExamineInfoCmd',707,1),
(16083,60085,60116,'OP_EqHearChainEffectCmd',642,1),
(16084,60085,60116,'OP_EqHearChatCmd',614,1),
(16085,60085,60116,'OP_EqHearCombatCmd',623,1),
(16086,60085,60116,'OP_EqHearConsiderCmd',629,1),
(16087,60085,60116,'OP_EqHearDeathCmd',640,1),
(16088,60085,60116,'OP_EQHearDispellCmd',752,1),
(16089,60085,60116,'OP_EqHearDrowningCmd',639,1),
(16090,60085,60116,'OP_EqHearHealCmd',689,1),
(16091,60085,60116,'OP_EqHearPlayFlavorCmd',682,1),
(16092,60085,60116,'OP_EQHearProcCmd',625,1),
(16093,60085,60116,'OP_EQHearResEffectCmd',626,1),
(16094,60085,60116,'OP_EqHearSpellCastCmd',624,1),
(16095,60085,60116,'OP_EqHearSpellFizzleCmd',628,1),
(16096,60085,60116,'OP_EqHearSpellInterruptCmd',627,1),
(16097,60085,60116,'OP_EqHearSpellNoLandCmd',708,1),
(16098,60085,60116,'OP_EQHearThreatCmd',746,1),
(16099,60085,60116,'OP_EqHelpPathClearCmd',660,1),
(16100,60085,60116,'OP_EqHelpPathCmd',659,1),
(16101,60085,60116,'OP_EqInspectPCResultsCmd',644,1),
(16102,60085,60116,'OP_EqInstructionWindowCloseCmd',674,1),
(16103,60085,60116,'OP_EqInstructionWindowCmd',673,1),
(16104,60085,60116,'OP_EqInstructionWindowGoalCmd',675,1),
(16105,60085,60116,'OP_EqInstructionWindowTaskCmd',676,1),
(16106,60085,60116,'OP_EqJunctionListCmd',665,1),
(16107,60085,60116,'OP_EqMapExplorationCmd',698,1),
(16108,60085,60116,'OP_EqMentoring',653,1),
(16109,60085,60116,'OP_EqPlaySound3DCmd',637,1),
(16110,60085,60116,'OP_EqPlaySoundCmd',636,1),
(16111,60085,60116,'OP_EqPlayVoiceCmd',638,1),
(16112,60085,60116,'OP_EqQuestGroupCmd',655,1),
(16113,60085,60116,'OP_EqQuestionnaireCmd',686,1),
(16114,60085,60116,'OP_EqQuestJournalReplyCmd',654,1),
(16115,60085,60116,'OP_EqQuestJournalUpdateCmd',652,1),
(16116,60085,60116,'OP_EqReceiveOfferCmd',643,1),
(16117,60085,60116,'OP_EqResurrectedCmd',670,1),
(16118,60085,60116,'OP_EqSetControlGhostCmd',621,1),
(16119,60085,60116,'OP_EqSetDebugPathPointsCmd',632,1),
(16120,60085,60116,'OP_EqSetDefaultVerbCmd',672,1),
(16121,60085,60116,'OP_EqSetPOVGhostCmd',622,1),
(16122,60085,60116,'OP_EqShowBookCmd',685,1),
(16123,60085,60116,'OP_EqShowDeathWindowCmd',666,1),
(16124,60085,60116,'OP_EqShowWindowCmd',678,1),
(16125,60085,60116,'OP_EqSpellCastEndCmd',669,1),
(16126,60085,60116,'OP_EqSpellCastStartCmd',668,1),
(16127,60085,60116,'OP_EqSpellMoveToRangeAndRetryCmd',700,1),
(16128,60085,60116,'OP_EqStartBrokerCmd',697,1),
(16129,60085,60116,'OP_EqStateCmd',635,1),
(16130,60085,60116,'OP_EqStoreLogCmd',699,1),
(16131,60085,60116,'OP_EqUpdateBankCmd',661,1),
(16132,60085,60116,'OP_EqUpdateGhostCmd',620,1),
(16133,60085,60116,'OP_EqUpdateLootCmd',664,1),
(16134,60085,60116,'OP_EqUpdateMerchantCmd',656,1),
(16135,60085,60116,'OP_EqUpdatePlayerMailCmd',701,1),
(16136,60085,60116,'OP_EqUpdatePlayerTradeCmd',658,1),
(16137,60085,60116,'OP_EqUpdateSignWidgetCmd',683,1),
(16138,60085,60116,'OP_EqUpdateStoreCmd',657,1),
(16139,60085,60116,'OP_EqUpdateSubClassesCmd',630,1),
(16140,60085,60116,'OP_EqUpdateTargetCmd',693,1),
(16141,60085,60116,'OP_EqWhoChannelQueryReplyCmd',691,1),
(16142,60085,60116,'OP_ESInitMsg',27,1),
(16143,60085,60116,'OP_ESLoginRequestMsg',3,1),
(16144,60085,60116,'OP_ESReadyForClientsMsg',28,1),
(16145,60085,60116,'OP_ESStatusMsg',102,1),
(16146,60085,60116,'OP_ESWeatherRequestEndMsg',107,1),
(16147,60085,60116,'OP_ESWeatherRequestMsg',106,1),
(16148,60085,60116,'OP_ESZoneInstanceStatusMsg',103,1),
(16149,60085,60116,'OP_ExamineConsignmentRequestMsg',173,1),
(16150,60085,60116,'OP_ExamineConsignmentResponseMsg',174,1),
(16151,60085,60116,'OP_ExamineInfoRequestMsg',258,1),
(16152,60085,60116,'OP_ExamineItemRequestMsg',197,1),
(16153,60085,60116,'OP_ExitHouseMsg',157,1),
(16154,60085,60116,'OP_ExpectClientAsCharacterReplyMs',24,1),
(16155,60085,60116,'OP_ExpectClientAsCharacterRequest',34,1),
(16156,60085,60116,'OP_ExpPurchWindow',731,1),
(16157,60085,60116,'OP_FellowshipExpMsg',124,1),
(16158,60085,60116,'OP_FlightPathsMsg',416,1),
(16159,60085,60116,'OP_GameWorldTimeMsg',45,1),
(16160,60085,60116,'OP_PaperdollImage',580,1),
(16161,60085,60116,'OP_GetAuctionAssetIDMsg',444,1),
(16162,60085,60116,'OP_GetAuctionAssetIDReplyMsg',445,1),
(16163,60085,60116,'OP_GetAvatarAccessRequestForCSToo',396,1),
(16164,60085,60116,'OP_GetCharacterSerializedReplyMsg',427,1),
(16165,60085,60116,'OP_GetCharacterSerializedRequestM',426,1),
(16166,60085,60116,'OP_GroupCreatedMsg',90,1),
(16167,60085,60116,'OP_GroupDestroyedMsg',91,1),
(16168,60085,60116,'OP_GroupLeaderChangedMsg',95,1),
(16169,60085,60116,'OP_GroupMemberAddedMsg',92,1),
(16170,60085,60116,'OP_GroupMemberRemovedMsg',93,1),
(16171,60085,60116,'OP_GroupOptionsMsg',201,1),
(16172,60085,60116,'OP_GroupRemovedFromGroupMsg',94,1),
(16173,60085,60116,'OP_GroupResendOOZDataMsg',96,1),
(16174,60085,60116,'OP_GroupSettingsChangedMsg',97,1),
(16175,60085,60116,'OP_GuildBankActionMsg',277,1),
(16176,60085,60116,'OP_GuildBankActionResponseMsg',278,1),
(16177,60085,60116,'OP_GuildBankEventListMsg',282,1),
(16178,60085,60116,'OP_GuildBankItemDetailsRequestMsg',279,1),
(16179,60085,60116,'OP_GuildBankItemDetailsResponseMs',280,1),
(16180,60085,60116,'OP_GuildBankUpdateMsg',281,1),
(16181,60085,60116,'OP_GuildEventActionMsg',272,1),
(16182,60085,60116,'OP_GuildEventAddMsg',271,1),
(16183,60085,60116,'OP_GuildEventDetailsMsg',275,1),
(16184,60085,60116,'OP_GuildEventListMsg',273,1),
(16185,60085,60116,'OP_GuildEventMsg',270,1),
(16186,60085,60116,'OP_GuildMembershipResponseMsg',360,1),
(16187,60085,60116,'OP_GuildRecruiting',711,1),
(16188,60085,60116,'OP_GuildRecruitingDetails',712,1),
(16189,60085,60116,'OP_GuildRecruitingImage',713,1),
(16190,60085,60116,'OP_GuildRecruitingMemberInfo',710,1),
(16191,60085,60116,'OP_GuildsayMsg',123,1),
(16192,60085,60116,'OP_GuildStatusUpdate',704,1),
(16193,60085,60116,'OP_GuildUpdateMsg',126,1),
(16194,60085,60116,'OP_HeritageMsg',10003,1),
(16195,60085,60116,'OP_HideIllusionsMsg',196,1),
(16196,60085,60116,'OP_HouseAccessRemoveMsg',160,1),
(16197,60085,60116,'OP_HouseAccessSetMsg',159,1),
(16198,60085,60116,'OP_HouseCustomizationScreenMsg',168,1),
(16199,60085,60116,'OP_HouseDefaultAccessSetMsg',158,1),
(16200,60085,60116,'OP_HouseDeletedRemotelyMsg',144,1),
(16201,60085,60116,'OP_HouseItemsList',487,1),
(16202,60085,60116,'OP_HousingDataChangedMsg',430,1),
(16203,60085,60116,'OP_HousingRestoreMsg',431,1),
(16204,60085,60116,'OP_InspectPlayerMsg',366,1),
(16205,60085,60116,'OP_InspectPlayerRequestMsg',453,1),
(16206,60085,60116,'OP_InviteRequestMsg',450,1),
(16207,60085,60116,'OP_InviteResponseMsg',451,1),
(16208,60085,60116,'OP_InviteTargetResponseMsg',452,1),
(16209,60085,60116,'OP_JoinGuildNotifyMsg',362,1),
(16210,60085,60116,'OP_JournalQuestStoryline',753,1),
(16211,60085,60116,'OP_KeymapDataMsg',179,1),
(16212,60085,60116,'OP_KeymapLoadMsg',177,1),
(16213,60085,60116,'OP_KeymapNoneMsg',178,1),
(16214,60085,60116,'OP_KeymapSaveMsg',180,1),
(16215,60085,60116,'OP_KnowledgebaseRequestMsg',229,1),
(16216,60085,60116,'OP_KnowledgebaseResponseMsg',230,1),
(16217,60085,60116,'OP_KnowledgeWindowSlotMappingMsg',372,1),
(16218,60085,60116,'OP_KnownLanguagesMsg',241,1),
(16219,60085,60116,'OP_Launchpad',578,1),
(16220,60085,60116,'OP_LeaveGuildNotifyMsg',361,1),
(16221,60085,60116,'OP_LevelChangedMsg',264,1),
(16222,60085,60116,'OP_LFGGroupSearch',507,1),
(16223,60085,60116,'OP_LFGUpdateMsg',521,1),
(16224,60085,60116,'OP_LikeOption',138,1),
(16225,60085,60116,'OP_LoadCalendarEvents',581,1),
(16226,60085,60116,'OP_LoadWelcomeWindow',563,1),
(16227,60085,60116,'OP_LoginByNumRequestMsg',1,1),
(16228,60085,60116,'OP_LoginReplyMsg',4,1),
(16229,60085,60116,'OP_LoginRequestMsg',0,1),
(16230,60085,60116,'OP_LootItemsRequestMsg',187,1),
(16231,60085,60116,'OP_Lottery',709,1),
(16232,60085,60116,'OP_LSCheckAcctLockMsg',206,1),
(16233,60085,60116,'OP_LsClientAlertlogReplyMsg',245,1),
(16234,60085,60116,'OP_LsClientBaselogReplyMsg',243,1),
(16235,60085,60116,'OP_LsClientCrashlogReplyMsg',244,1),
(16236,60085,60116,'OP_LsClientVerifylogReplyMsg',246,1),
(16237,60085,60116,'OP_LsRequestClientCrashLogMsg',242,1),
(16238,60085,60116,'OP_LSServerLockMsg',368,1),
(16239,60085,60116,'OP_MacroInitMsg',261,1),
(16240,60085,60116,'OP_MacroUpdateMsg',262,1),
(16241,60085,60116,'OP_MailCommitSendMessageMsg',347,1),
(16242,60085,60116,'OP_MailDeleteMessageMsg',343,1),
(16243,60085,60116,'OP_MailEventNotificationMsg',414,1),
(16244,60085,60116,'OP_MailGetHeadersReplyMsg',344,1),
(16245,60085,60116,'OP_MailGetMessageMsg',341,1),
(16246,60085,60116,'OP_MailGetMessageReplyMsg',345,1),
(16247,60085,60116,'OP_MailRemoveAttachFromMailMsg',349,1),
(16248,60085,60116,'OP_MailSendMessageMsg',342,1),
(16249,60085,60116,'OP_MailSendMessageReplyMsg',346,1),
(16250,60085,60116,'OP_MailSendSystemMessageMsg',348,1),
(16251,60085,60116,'OP_MakeGroupLeaderMsg',89,1),
(16252,60085,60116,'OP_MapFogDataInitMsg',398,1),
(16253,60085,60116,'OP_MapFogDataUpdateMsg',399,1),
(16254,60085,60116,'OP_MapRequest',524,1),
(16255,60085,60116,'OP_MarketAddFundsReply',532,1),
(16256,60085,60116,'OP_MarketAddFundsRequest',531,1),
(16257,60085,60116,'OP_MarketFundsUpdate',529,1),
(16258,60085,60116,'OP_MarketPlaceItems',542,1),
(16259,60085,60116,'OP_MarketPlacePrices',535,1),
(16260,60085,60116,'OP_MarketPurchase',534,1),
(16261,60085,60116,'OP_MentorPopup',561,1),
(16262,60085,60116,'OP_MercHireWindow',756,1),
(16263,60085,60116,'OP_MercUnknown',757,1),
(16264,60085,60116,'OP_MigrateBoatTransportMsg',255,1),
(16265,60085,60116,'OP_MigrateBoatTransportReplyMsg',256,1),
(16266,60085,60116,'OP_MigrateClientToZoneReplyMsg',84,1),
(16267,60085,60116,'OP_MigrateClientToZoneRequestMsg',83,1),
(16268,60085,60116,'OP_ModifyGuildMsg',269,1),
(16269,60085,60116,'OP_MonitorCharacterListMsg',58,1),
(16270,60085,60116,'OP_MonitorCharacterListRequestMsg',59,1),
(16271,60085,60116,'OP_MonitorReplyMsg',57,1),
(16272,60085,60116,'OP_MOTDMsg',46,1),
(16273,60085,60116,'OP_MoveableObjectPlacementCriteri',162,1),
(16274,60085,60116,'OP_MoveLogUpdateMsg',403,1),
(16275,60085,60116,'OP_NotifyApprenticeStoppedMentori',411,1),
(16276,60085,60116,'OP_OfferQuestMsg',404,1),
(16277,60085,60116,'OP_OnscreenMsgMsg',267,1),
(16278,60085,60116,'OP_OpenCharCust',566,1),
(16279,60085,60116,'OP_OutOfZoneMemberDataMsg',98,1),
(16280,60085,60116,'OP_PayHouseUpkeepMsg',161,1),
(16281,60085,60116,'OP_PerformCameraShakeMsg',216,1),
(16282,60085,60116,'OP_PerformPlayerKnockbackMsg',215,1),
(16283,60085,60116,'OP_PetOptions',203,1),
(16284,60085,60116,'OP_PetOptionsResponse',584,1),
(16285,60085,60116,'OP_PlayCharacterReplyMsg',21,1),
(16286,60085,60116,'OP_PlayCharacterRequestMsg',20,1),
(16287,60085,60116,'OP_PlayerHouseAccessUpdateMsg',149,1),
(16288,60085,60116,'OP_PlayerHouseBaseScreenMsg',147,1),
(16289,60085,60116,'OP_PlayerHouseCloseUIMsg',151,1),
(16290,60085,60116,'OP_PlayerHouseDisplayStatusMsg',150,1),
(16291,60085,60116,'OP_PlayerHousePurchaseScreenMsg',148,1),
(16292,60085,60116,'OP_PlayerMadeInstances',142,1),
(16293,60085,60116,'OP_PlayerMadeInstancesScreen',141,1),
(16294,60085,60116,'OP_PlayerPollAnswer',560,1),
(16295,60085,60116,'OP_PlayerPollPopup',559,1),
(16296,60085,60116,'OP_PlayLon',514,1),
(16297,60085,60116,'OP_PointOfInterest',735,1),
(16298,60085,60116,'OP_PointOfInterest2',736,1),
(16299,60085,60116,'OP_PopulateSkillMapsMsg',217,1),
(16300,60085,60116,'OP_PositionBoatTransportMsg',254,1),
(16301,60085,60116,'OP_PositionMoveableObject',164,1),
(16302,60085,60116,'OP_PostPossessionMsg',457,1),
(16303,60085,60116,'OP_PredictionUpdateMsg',39,1),
(16304,60085,60116,'OP_PrePossessionMsg',456,1),
(16305,60085,60116,'OP_PromoFlagsDetailsMsg',377,1),
(16306,60085,60116,'OP_PublishHouse',140,1),
(16307,60085,60116,'OP_PurchaseConsignmentLoreCheckRe',410,1),
(16308,60085,60116,'OP_PurchaseConsignmentRequestMsg',130,1),
(16309,60085,60116,'OP_QueAllBgSolo',567,1),
(16310,60085,60116,'OP_QuestionnaireMsg',263,1),
(16311,60085,60116,'OP_QuestJournalInspectMsg',116,1),
(16312,60085,60116,'OP_QuestJournalOpenMsg',115,1),
(16313,60085,60116,'OP_QuestJournalSetVisibleMsg',117,1),
(16314,60085,60116,'OP_QuestJournalWaypointMsg',118,1),
(16315,60085,60116,'OP_QuestReward',323,1),
(16316,60085,60116,'OP_QuickbarInitMsg',259,1),
(16317,60085,60116,'OP_QuickbarUpdateMsg',260,1),
(16318,60085,60116,'OP_RaceRestrictionMsg',442,1),
(16319,60085,60116,'OP_ReadBookPageMsg',198,1),
(16320,60085,60116,'OP_ReadyForTakeOffMsg',194,1),
(16321,60085,60116,'OP_ReadyToZoneMsg',86,1),
(16322,60085,60116,'OP_RecipeBook',543,1),
(16323,60085,60116,'OP_RecipeDetailsMsg',74,1),
(16324,60085,60116,'OP_RecipeList',747,1),
(16325,60085,60116,'OP_RecipeListUnknown',596,1),
(16326,60085,60116,'OP_RelinquishHouseMsg',155,1),
(16327,60085,60116,'OP_ReloadLocalizedTxtMsg',358,1),
(16328,60085,60116,'OP_RemoteCmdMsg',44,1),
(16329,60085,60116,'OP_RemoveClientFromGroupMsg',87,1),
(16330,60085,60116,'OP_RemoveConcentrationMsg',114,1),
(16331,60085,60116,'OP_RemoveGroupFromGroupMsg',88,1),
(16332,60085,60116,'OP_RemoveSpellEffectMsg',113,1),
(16333,60085,60116,'OP_RenameGuildMsg',285,1),
(16334,60085,60116,'OP_ReplaceableSubMeshesMsg',167,1),
(16335,60085,60116,'OP_ReportMsg',383,1),
(16336,60085,60116,'OP_RequestCampMsg',52,1),
(16337,60085,60116,'OP_RequestGuildBankEventDetailsMs',283,1),
(16338,60085,60116,'OP_RequestGuildEventDetailsMsg',274,1),
(16339,60085,60116,'OP_RequestGuildInfoMsg',276,1),
(16340,60085,60116,'OP_RequestGuildMembershipMsg',359,1),
(16341,60085,60116,'OP_RequestHelpRepathMsg',208,1),
(16342,60085,60116,'OP_RequestRecipeDetailsMsg',73,1),
(16343,60085,60116,'OP_RequestTargetLocMsg',209,1),
(16344,60085,60116,'OP_Research',748,1),
(16345,60085,60116,'OP_ResendWorldChannelsMsg',446,1),
(16346,60085,60116,'OP_ReskinCharacterRequestMsg',15,1),
(16347,60085,60116,'OP_RestartZoneMsg',415,1),
(16348,60085,60116,'OP_RewardPackMsg',284,1),
(16349,60085,60116,'OP_SatMsg',191,1),
(16350,60085,60116,'OP_SavageBarInitMsg',583,1),
(16351,60085,60116,'OP_SelectZoneTeleporterDestinatio',357,1),
(16352,60085,60116,'OP_SendLatestRequestMsg',99,1),
(16353,60085,60116,'OP_ServerPlayCharacterReplyMsg',26,1),
(16354,60085,60116,'OP_ServerPlayCharacterRequestMsg',25,1),
(16355,60085,60116,'OP_SetInstanceDisplayNameMsg',443,1),
(16356,60085,60116,'OP_SetRemoteCmdsMsg',43,1),
(16357,60085,60116,'OP_SetSocialMsg',101,1),
(16358,60085,60116,'OP_ShaderCustomizationMsg',166,1),
(16359,60085,60116,'OP_ShowCreateFromRecipeUIMsg',221,1),
(16360,60085,60116,'OP_ShowIllusionsMsg',195,1),
(16361,60085,60116,'OP_ShowItemCreationProcessUIMsg',225,1),
(16362,60085,60116,'OP_ShowRecipeBookMsg',228,1),
(16363,60085,60116,'OP_ShowZoneTeleporterDestinations',356,1),
(16364,60085,60116,'OP_SitMsg',189,1),
(16365,60085,60116,'OP_SkillInfoRequest',517,1),
(16366,60085,60116,'OP_SkillInfoResponse',518,1),
(16367,60085,60116,'OP_SOEAllAccess',612,1),
(16368,60085,60116,'OP_SpellGainedMsg',265,1),
(16369,60085,60116,'OP_StandMsg',190,1),
(16370,60085,60116,'OP_StoodMsg',192,1),
(16371,60085,60116,'OP_StopItemCreationMsg',224,1),
(16372,60085,60116,'OP_StoppedLootingMsg',188,1),
(16373,60085,60116,'OP_StopTrackingMsg',394,1),
(16374,60085,60116,'OP_SubmitCharCust',567,1),
(16375,60085,60116,'OP_SupplyDepot',745,1),
(16376,60085,60116,'OP_SysClient',220,1),
(16377,60085,60116,'OP_TeleportWithinZoneMsg',81,1),
(16378,60085,60116,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(16379,60085,60116,'OP_TintWidgetsMsg',172,1),
(16380,60085,60116,'OP_TitleUpdateMsg',387,1),
(16381,60085,60116,'OP_TrackingUpdateMsg',392,1),
(16382,60085,60116,'OP_TradeskillList',731,1),
(16383,60085,60116,'OP_TraitsList',737,1),
(16384,60085,60116,'OP_UIEvent',530,1),
(16385,60085,60116,'OP_UIResetMsg',176,1),
(16386,60085,60116,'OP_UISettingsResponseMsg',175,1),
(16387,60085,60116,'OP_Unknown',770,1),
(16388,60085,60116,'OP_UnknownNpcMsg',376,1),
(16389,60085,60116,'OP_UpdateActivePublicZonesMsg',375,1),
(16390,60085,60116,'OP_UpdateCharacterSheetMsg',65,1),
(16391,60085,60116,'OP_UpdateClientPredFlagsMsg',248,1),
(16392,60085,60116,'OP_UpdateDebugRadiiMsg',382,1),
(16393,60085,60116,'OP_UpdateGroupMemberDataMsg',391,1),
(16394,60085,60116,'OP_UpdateHouseAccessDataMsg',146,1),
(16395,60085,60116,'OP_UpdateHouseDataMsg',145,1),
(16396,60085,60116,'OP_UpdateInventoryMsg',70,1),
(16397,60085,60116,'OP_UpdateItemCreationProcessUIMsg',226,1),
(16398,60085,60116,'OP_UpdateMotdMsg',210,1),
(16399,60085,60116,'OP_UpdateOpportunityMsg',77,1),
(16400,60085,60116,'OP_UpdatePositionMsg',41,1),
(16401,60085,60116,'OP_UpdateRaidMsg',384,1),
(16402,60085,60116,'OP_UpdateRecipeBookMsg',72,1),
(16403,60085,60116,'OP_UpdateSkillBookMsg',75,1),
(16404,60085,60116,'OP_UpdateSkillsMsg',76,1),
(16405,60085,60116,'OP_UpdateSpellBookMsg',68,1),
(16406,60085,60116,'OP_UpdateTargetLocMsg',64,1),
(16407,60085,60116,'OP_UpdateTargetMsg',63,1),
(16408,60085,60116,'OP_UpdateTitleCmd',497,1),
(16409,60085,60116,'OP_UseAdornment',725,1),
(16410,60085,60116,'OP_VideoUploaded',582,1),
(16411,60085,60116,'OP_VoiceChatChannel',523,1),
(16412,60085,60116,'OP_VoiceChatServer',741,1),
(16413,60085,60116,'OP_WaypointReplyMsg',352,1),
(16414,60085,60116,'OP_WaypointRequestMsg',351,1),
(16415,60085,60116,'OP_WaypointSelectMsg',353,1),
(16416,60085,60116,'OP_WaypointUpdateMsg',354,1),
(16417,60085,60116,'OP_Weakness',586,1),
(16418,60085,60116,'OP_WhoQueryReplyMsg',56,1),
(16419,60085,60116,'OP_WhoQueryRequestMsg',55,1),
(16420,60085,60116,'OP_WorldDataChangeMsg',413,1),
(16421,60085,60116,'OP_WorldDataUpdateMsg',239,1),
(16422,60085,60116,'OP_WorldListMsg',8,1),
(16423,60085,60116,'OP_WorldPingMsg',402,1),
(16424,60085,60116,'OP_WorldShutdownUpdateMsg',406,1),
(16425,60085,60116,'OP_WorldStatusChangeMsg',6,1),
(16426,60085,60116,'OP_WorldTravelAvail',575,1),
(16427,60085,60116,'OP_WSAcctLockStatusMsg',207,1),
(16428,60085,60116,'OP_WSCreateCharacterReplyMsg',14,1),
(16429,60085,60116,'OP_WSCreateCharacterRequestMsg',13,1),
(16430,60085,60116,'OP_WSLoginRequestMsg',2,1),
(16431,60085,60116,'OP_WSServerHideMsg',369,1),
(16432,60085,60116,'OP_WSServerLockMsg',367,1),
(16433,60085,60116,'OP_WSStatusReplyMsg',5,1),
(16434,60085,60116,'OP_ZoneBgInstanceList',571,1),
(16435,60085,60116,'OP_ZoneInfoMsg',35,1),
(16436,60085,60116,'OP_ZoneInstanceCreateReplyMsg',32,1),
(16437,60085,60116,'OP_ZoneInstanceDestroyedMsg',33,1),
(16438,60085,60116,'OP_ZoneMOTDMsg',47,1),
(16439,60085,60116,'OP_ZonesStatusMsg',105,1),
(16440,60085,60116,'OP_ZonesStatusRequestMsg',104,1),
(16441,60085,60116,'OP_ZoneToFriendReplyMsg',287,1),
(16442,60085,60116,'OP_ZoneToFriendRequestMsg',286,1),
(16443,60127,60158,'OP_AchievementUpdateMsg',752,1),
(16444,60127,60158,'OP_AddSocialStructureStandingMsg',253,1),
(16445,60127,60158,'OP_AdvancementRequestMsg',398,1),
(16446,60127,60158,'OP_AdventureList',492,1),
(16447,60127,60158,'OP_AFKUpdateMsg',374,1),
(16448,60127,60158,'OP_AfterInvSpellUpdate',71,1),
(16449,60127,60158,'OP_AllCharactersDescReplyMsg',10,1),
(16450,60127,60158,'OP_AllCharactersDescRequestMsg',9,1),
(16451,60127,60158,'OP_AllWSDescRequestMsg',7,1),
(16452,60127,60158,'OP_AnonUpdateMsg',375,1),
(16453,60127,60158,'OP_ArenaCreate',460,1),
(16454,60127,60158,'OP_ArenaGameTypesMsg',449,1),
(16455,60127,60158,'OP_ArenaList',461,1),
(16456,60127,60158,'OP_ArenaWindow',469,1),
(16457,60127,60158,'OP_AttackAllowed',504,1),
(16458,60127,60158,'OP_AttackNotAllowed',505,1),
(16459,60127,60158,'OP_AuctionAbortMsg',440,1),
(16460,60127,60158,'OP_AuctionCharacter',437,1),
(16461,60127,60158,'OP_AuctionCharacterReply',438,1),
(16462,60127,60158,'OP_AuctionCoin',435,1),
(16463,60127,60158,'OP_AuctionCoinReply',436,1),
(16464,60127,60158,'OP_AuctionCommitMsg',439,1),
(16465,60127,60158,'OP_AuctionItem',433,1),
(16466,60127,60158,'OP_AuctionItemReply',434,1),
(16467,60127,60158,'OP_AuditAuctionEventMsg',450,1),
(16468,60127,60158,'OP_AvatarCreatedMsg',48,1),
(16469,60127,60158,'OP_AvatarDestroyedMsg',49,1),
(16470,60127,60158,'OP_AvatarUpdateMsg',364,1),
(16471,60127,60158,'OP_BadLanguageFilter',523,1),
(16472,60127,60158,'OP_BagOptions',506,1),
(16473,60127,60158,'OP_BeginItemCreationMsg',224,1),
(16474,60127,60158,'OP_BeginTrackingMsg',394,1),
(16475,60127,60158,'OP_BioUpdateMsg',366,1),
(16476,60127,60158,'OP_BrokerAddBag',296,1),
(16477,60127,60158,'OP_BrokerRemoveBag',297,1),
(16478,60127,60158,'OP_BrokerSellList',695,1),
(16479,60127,60158,'OP_BuyPlayerHouseMsg',153,1),
(16480,60127,60158,'OP_BuyPlayerHouseTintMsg',154,1),
(16481,60127,60158,'OP_CampAbortedMsg',54,1),
(16482,60127,60158,'OP_CampClientMsg',391,1),
(16483,60127,60158,'OP_CampStartedMsg',53,1),
(16484,60127,60158,'OP_CancelCreateFromRecipeMsg',223,1),
(16485,60127,60158,'OP_CancelledFeignMsg',219,1),
(16486,60127,60158,'OP_CancelMoveObjectModeMsg',166,1),
(16487,60127,60158,'OP_CancelSpellCast',493,1),
(16488,60127,60158,'OP_ChangeServerControlFlagMsg',250,1),
(16489,60127,60158,'OP_ChangeZoneMsg',79,1),
(16490,60127,60158,'OP_CharacterAchievements',751,1),
(16491,60127,60158,'OP_CharacterCreatedDungeons',555,1),
(16492,60127,60158,'OP_CharacterCurrency',750,1),
(16493,60127,60158,'OP_CharacterHousingList',511,1),
(16494,60127,60158,'OP_CharacterLinkdeadMsg',418,1),
(16495,60127,60158,'OP_CharacterMerc',67,1),
(16496,60127,60158,'OP_CharacterMounts',588,1),
(16497,60127,60158,'OP_CharacterPet',66,1),
(16498,60127,60158,'OP_CharNameChangedMsg',356,1),
(16499,60127,60158,'OP_CharRenamed',716,1),
(16500,60127,60158,'OP_CharTransferCommitReplyMsg',426,1),
(16501,60127,60158,'OP_CharTransferCommitRequestMsg',424,1),
(16502,60127,60158,'OP_CharTransferReplyMsg',422,1),
(16503,60127,60158,'OP_CharTransferRequestMsg',421,1),
(16504,60127,60158,'OP_CharTransferRollbackReplyMsg',425,1),
(16505,60127,60158,'OP_CharTransferRollbackRequestMsg',423,1),
(16506,60127,60158,'OP_CharTransferStartReplyMsg',420,1),
(16507,60127,60158,'OP_CharTransferStartRequestMsg',419,1),
(16508,60127,60158,'OP_CharTransferValidateReplyMsg',442,1),
(16509,60127,60158,'OP_CharTransferValidateRequestMsg',441,1),
(16510,60127,60158,'OP_ChatCreateChannelMsg',289,1),
(16511,60127,60158,'OP_ChatFiltersMsg',338,1),
(16512,60127,60158,'OP_ChatJoinChannelMsg',290,1),
(16513,60127,60158,'OP_ChatLeaveChannelMsg',292,1),
(16514,60127,60158,'OP_ChatRelationshipUpdateMsg',187,1),
(16515,60127,60158,'OP_ChatSendFriendsMsg',299,1),
(16516,60127,60158,'OP_ChatSendIgnoresMsg',300,1),
(16517,60127,60158,'OP_ChatTellChannelMsg',293,1),
(16518,60127,60158,'OP_ChatTellUserMsg',294,1),
(16519,60127,60158,'OP_ChatToggleFriendMsg',295,1),
(16520,60127,60158,'OP_ChatToggleIgnoreMsg',298,1),
(16521,60127,60158,'OP_ChatWhoChannelMsg',291,1),
(16522,60127,60158,'OP_ClearDataMsg',100,1),
(16523,60127,60158,'OP_ClearForLandingMsg',495,1),
(16524,60127,60158,'OP_ClearForTakeOffMsg',194,1),
(16525,60127,60158,'OP_ClientCmdMsg',60,1),
(16526,60127,60158,'OP_ClientFellMsg',389,1),
(16527,60127,60158,'OP_ClientIdleBeginMsg',409,1),
(16528,60127,60158,'OP_ClientIdleEndMsg',410,1),
(16529,60127,60158,'OP_ClientInDeathRegionMsg',390,1),
(16530,60127,60158,'OP_ClientTeleportRequestMsg',80,1),
(16531,60127,60158,'OP_ClientTeleportToLocationMsg',248,1),
(16532,60127,60158,'OP_CloseGroupInviteWindowMsg',401,1),
(16533,60127,60158,'OP_CollectAllHouseItemsMsg',155,1),
(16534,60127,60158,'OP_ConsignItemRequestMsg',129,1),
(16535,60127,60158,'OP_ConsignItemResponseMsg',130,1),
(16536,60127,60158,'OP_ConsignmentCloseStoreMsg',128,1),
(16537,60127,60158,'OP_ConsignRemoveItemsMsg',382,1),
(16538,60127,60158,'OP_ConsignViewCreateMsg',379,1),
(16539,60127,60158,'OP_ConsignViewGetPageMsg',380,1),
(16540,60127,60158,'OP_ConsignViewReleaseMsg',381,1),
(16541,60127,60158,'OP_ConsignViewSortMsg',387,1),
(16542,60127,60158,'OP_CorruptedClientMsg',413,1),
(16543,60127,60158,'OP_CreateBoatTransportsMsg',254,1),
(16544,60127,60158,'OP_CreateCharacterDungeon',551,1),
(16545,60127,60158,'OP_CreateCharacterReplyMsg',12,1),
(16546,60127,60158,'OP_CreateCharacterRequestMsg',11,1),
(16547,60127,60158,'OP_CreateCharFromCBBReplyMsg',430,1),
(16548,60127,60158,'OP_CreateCharFromCBBRequestMsg',429,1),
(16549,60127,60158,'OP_CreateGuildReplyMsg',123,1),
(16550,60127,60158,'OP_CreateGuildRequestMsg',121,1),
(16551,60127,60158,'OP_CreateZoneInstanceMsg',31,1),
(16552,60127,60158,'OP_CsCategoryRequestMsg',371,1),
(16553,60127,60158,'OP_CsCategoryResponseMsg',372,1),
(16554,60127,60158,'OP_CSTicketAddCommentMsg',237,1),
(16555,60127,60158,'OP_CSTicketChangeNotificationMsg',239,1),
(16556,60127,60158,'OP_CSTicketCommentRequestMsg',234,1),
(16557,60127,60158,'OP_CSTicketCommentResponseMsg',235,1),
(16558,60127,60158,'OP_CSTicketCreateMsg',236,1),
(16559,60127,60158,'OP_CSTicketDeleteMsg',238,1),
(16560,60127,60158,'OP_CSTicketHeaderRequestMsg',232,1),
(16561,60127,60158,'OP_CSTicketInfoMsg',233,1),
(16562,60127,60158,'OP_CSToolAccessResponseMsg',392,1),
(16563,60127,60158,'OP_CSToolsRequestMsg',251,1),
(16564,60127,60158,'OP_CSToolsResponseMsg',252,1),
(16565,60127,60158,'OP_CurrentPet',489,1),
(16566,60127,60158,'OP_CustomizationPurchaseRequestMs',170,1),
(16567,60127,60158,'OP_CustomizationReplyMsg',172,1),
(16568,60127,60158,'OP_CustomizationSetRequestMsg',171,1),
(16569,60127,60158,'OP_CustomizeHouseDisplay',741,1),
(16570,60127,60158,'OP_DailyObjectives',601,1),
(16571,60127,60158,'OP_DefaultGroupOptionsMsg',201,1),
(16572,60127,60158,'OP_DefaultGroupOptionsRequestMsg',200,1),
(16573,60127,60158,'OP_DeleteCharacterReplyMsg',19,1),
(16574,60127,60158,'OP_DeleteCharacterRequestMsg',18,1),
(16575,60127,60158,'OP_DeleteGuildMsg',126,1),
(16576,60127,60158,'OP_DestUpdateReq',213,1),
(16577,60127,60158,'OP_DialogCloseMsg',112,1),
(16578,60127,60158,'OP_DialogSelectMsg',111,1),
(16579,60127,60158,'OP_DispatchClientCmdMsg',62,1),
(16580,60127,60158,'OP_DispatchESMsg',61,1),
(16581,60127,60158,'OP_DispatchMsg',455,1),
(16582,60127,60158,'OP_DispatchSpellCmdMsg',182,1),
(16583,60127,60158,'OP_DisplayDebugNLLPointsMsg',258,1),
(16584,60127,60158,'OP_DisplayEventMsg',456,1),
(16585,60127,60158,'OP_DisplayExchangeScreenMsg',448,1),
(16586,60127,60158,'OP_DisplayGroupOptionsScreenMsg',203,1),
(16587,60127,60158,'OP_DisplayInnVisitScreenMsg',205,1),
(16588,60127,60158,'OP_DisplayMailScreenMsg',408,1),
(16589,60127,60158,'OP_DisplayTSEventReactionMsg',228,1),
(16590,60127,60158,'OP_DisplayWarningMsg',269,1),
(16591,60127,60158,'OP_DoneLoadingEntityResourcesMsg',38,1),
(16592,60127,60158,'OP_DoneLoadingZoneResourcesMsg',36,1),
(16593,60127,60158,'OP_DoneSendingInitialEntitiesMsg',37,1),
(16594,60127,60158,'OP_DressingRoom',514,1),
(16595,60127,60158,'OP_DumpSchedulerMsg',206,1),
(16596,60127,60158,'OP_DungeonMakerEnter',552,1),
(16597,60127,60158,'OP_DungeonMakerItemRequest',554,1),
(16598,60127,60158,'OP_DungeonMakerItemResponse',586,1),
(16599,60127,60158,'OP_DungeonMakerToolboxList',556,1),
(16600,60127,60158,'OP_DungeonMakerUnknown',557,1),
(16601,60127,60158,'OP_DungeonMakerUnknown1',558,1),
(16602,60127,60158,'OP_DungeonPlayAsAvatarList',755,1),
(16603,60127,60158,'OP_DungeonPlayAsAvatarSelected',756,1),
(16604,60127,60158,'OP_EncounterBrokenMsg',267,1),
(16605,60127,60158,'OP_EnterHouseMsg',157,1),
(16606,60127,60158,'OP_EnterMoveObjectModeMsg',164,1),
(16607,60127,60158,'OP_EntityVerbsReplyMsg',184,1),
(16608,60127,60158,'OP_EntityVerbsRequestMsg',183,1),
(16609,60127,60158,'OP_EntityVerbsVerbMsg',185,1),
(16610,60127,60158,'OP_EqArenaResultsCmd',706,1),
(16611,60127,60158,'OP_EqAvailWorldChannelsCmd',693,1),
(16612,60127,60158,'OP_EqBetaCopyRequest',612,1),
(16613,60127,60158,'OP_EqCannedEmoteCmd',635,1),
(16614,60127,60158,'OP_EqChatChannelUpdateCmd',691,1),
(16615,60127,60158,'OP_EqChoiceWinCmd',672,1),
(16616,60127,60158,'OP_EqCloseWindowCmd',664,1),
(16617,60127,60158,'OP_EqCollectionFilterCmd',651,1),
(16618,60127,60158,'OP_EqCollectionItemCmd',652,1),
(16619,60127,60158,'OP_EqCollectionUpdateCmd',650,1),
(16620,60127,60158,'OP_EqConsignmentItemsCmd',696,1),
(16621,60127,60158,'OP_EqCreateGhostCmd',617,1),
(16622,60127,60158,'OP_EqCreateListBoxCmd',632,1),
(16623,60127,60158,'OP_EqCreateSignWidgetCmd',619,1),
(16624,60127,60158,'OP_EqCreateWidgetCmd',618,1),
(16625,60127,60158,'OP_EqDebugPVDCmd',685,1),
(16626,60127,60158,'OP_EqDestroyGhostCmd',620,1),
(16627,60127,60158,'OP_EqDialogCloseCmd',648,1),
(16628,60127,60158,'OP_EqDialogOpenCmd',647,1),
(16629,60127,60158,'OP_EqDisplaySpellFailCmd',668,1),
(16630,60127,60158,'OP_EqDisplayTextCmd',616,1),
(16631,60127,60158,'OP_EqDrawablePathGraphCmd',646,1),
(16632,60127,60158,'OP_EqEnableGameEventCmd',678,1),
(16633,60127,60158,'OP_EqEnableWindowCmd',680,1),
(16634,60127,60158,'OP_EqExamineInfoCmd',663,1),
(16635,60127,60158,'OP_EqFactionUpdateCmd',649,1),
(16636,60127,60158,'OP_EqFlashWindowCmd',681,1),
(16637,60127,60158,'OP_EqGetProbsCmd',689,1),
(16638,60127,60158,'OP_EqGroupMemberRemovedCmd',642,1),
(16639,60127,60158,'OP_EqGuildBankEventActionCmd',707,1),
(16640,60127,60158,'OP_EqGuildBankExamineInfoCmd',708,1),
(16641,60127,60158,'OP_EqHearChainEffectCmd',643,1),
(16642,60127,60158,'OP_EqHearChatCmd',615,1),
(16643,60127,60158,'OP_EqHearCombatCmd',624,1),
(16644,60127,60158,'OP_EqHearConsiderCmd',630,1),
(16645,60127,60158,'OP_EqHearDeathCmd',641,1),
(16646,60127,60158,'OP_EQHearDispellCmd',753,1),
(16647,60127,60158,'OP_EqHearDrowningCmd',640,1),
(16648,60127,60158,'OP_EqHearHealCmd',690,1),
(16649,60127,60158,'OP_EqHearPlayFlavorCmd',683,1),
(16650,60127,60158,'OP_EQHearProcCmd',626,1),
(16651,60127,60158,'OP_EQHearResEffectCmd',627,1),
(16652,60127,60158,'OP_EqHearSpellCastCmd',625,1),
(16653,60127,60158,'OP_EqHearSpellFizzleCmd',629,1),
(16654,60127,60158,'OP_EqHearSpellInterruptCmd',628,1),
(16655,60127,60158,'OP_EqHearSpellNoLandCmd',709,1),
(16656,60127,60158,'OP_EQHearThreatCmd',747,1),
(16657,60127,60158,'OP_EqHelpPathClearCmd',661,1),
(16658,60127,60158,'OP_EqHelpPathCmd',660,1),
(16659,60127,60158,'OP_EqInspectPCResultsCmd',645,1),
(16660,60127,60158,'OP_EqInstructionWindowCloseCmd',675,1),
(16661,60127,60158,'OP_EqInstructionWindowCmd',674,1),
(16662,60127,60158,'OP_EqInstructionWindowGoalCmd',676,1),
(16663,60127,60158,'OP_EqInstructionWindowTaskCmd',677,1),
(16664,60127,60158,'OP_EqJunctionListCmd',666,1),
(16665,60127,60158,'OP_EqMapExplorationCmd',699,1),
(16666,60127,60158,'OP_EqMentoring',654,1),
(16667,60127,60158,'OP_EqPlaySound3DCmd',638,1),
(16668,60127,60158,'OP_EqPlaySoundCmd',637,1),
(16669,60127,60158,'OP_EqPlayVoiceCmd',639,1),
(16670,60127,60158,'OP_EqQuestGroupCmd',656,1),
(16671,60127,60158,'OP_EqQuestionnaireCmd',687,1),
(16672,60127,60158,'OP_EqQuestJournalReplyCmd',655,1),
(16673,60127,60158,'OP_EqQuestJournalUpdateCmd',653,1),
(16674,60127,60158,'OP_EqReceiveOfferCmd',644,1),
(16675,60127,60158,'OP_EqResurrectedCmd',671,1),
(16676,60127,60158,'OP_EqSetControlGhostCmd',622,1),
(16677,60127,60158,'OP_EqSetDebugPathPointsCmd',633,1),
(16678,60127,60158,'OP_EqSetDefaultVerbCmd',673,1),
(16679,60127,60158,'OP_EqSetPOVGhostCmd',623,1),
(16680,60127,60158,'OP_EqShowBookCmd',686,1),
(16681,60127,60158,'OP_EqShowDeathWindowCmd',667,1),
(16682,60127,60158,'OP_EqShowWindowCmd',679,1),
(16683,60127,60158,'OP_EqSpellCastEndCmd',670,1),
(16684,60127,60158,'OP_EqSpellCastStartCmd',669,1),
(16685,60127,60158,'OP_EqSpellMoveToRangeAndRetryCmd',701,1),
(16686,60127,60158,'OP_EqStartBrokerCmd',698,1),
(16687,60127,60158,'OP_EqStateCmd',636,1),
(16688,60127,60158,'OP_EqStoreLogCmd',700,1),
(16689,60127,60158,'OP_EqUpdateBankCmd',662,1),
(16690,60127,60158,'OP_EqUpdateGhostCmd',621,1),
(16691,60127,60158,'OP_EqUpdateLootCmd',665,1),
(16692,60127,60158,'OP_EqUpdateMerchantCmd',657,1),
(16693,60127,60158,'OP_EqUpdatePlayerMailCmd',702,1),
(16694,60127,60158,'OP_EqUpdatePlayerTradeCmd',659,1),
(16695,60127,60158,'OP_EqUpdateSignWidgetCmd',684,1),
(16696,60127,60158,'OP_EqUpdateStoreCmd',658,1),
(16697,60127,60158,'OP_EqUpdateSubClassesCmd',631,1),
(16698,60127,60158,'OP_EqUpdateTargetCmd',694,1),
(16699,60127,60158,'OP_EqWhoChannelQueryReplyCmd',692,1),
(16700,60127,60158,'OP_ESInitMsg',27,1),
(16701,60127,60158,'OP_ESLoginRequestMsg',3,1),
(16702,60127,60158,'OP_ESReadyForClientsMsg',28,1),
(16703,60127,60158,'OP_ESStatusMsg',102,1),
(16704,60127,60158,'OP_ESWeatherRequestEndMsg',107,1),
(16705,60127,60158,'OP_ESWeatherRequestMsg',106,1),
(16706,60127,60158,'OP_ESZoneInstanceStatusMsg',103,1),
(16707,60127,60158,'OP_ExamineConsignmentRequestMsg',174,1),
(16708,60127,60158,'OP_ExamineConsignmentResponseMsg',175,1),
(16709,60127,60158,'OP_ExamineInfoRequestMsg',259,1),
(16710,60127,60158,'OP_ExamineItemRequestMsg',198,1),
(16711,60127,60158,'OP_ExitHouseMsg',158,1),
(16712,60127,60158,'OP_ExpectClientAsCharacterReplyMs',24,1),
(16713,60127,60158,'OP_ExpectClientAsCharacterRequest',34,1),
(16714,60127,60158,'OP_ExpPurchWindow',732,1),
(16715,60127,60158,'OP_FellowshipExpMsg',125,1),
(16716,60127,60158,'OP_FlightPathsMsg',417,1),
(16717,60127,60158,'OP_GameWorldTimeMsg',45,1),
(16718,60127,60158,'OP_PaperdollImage',581,1),
(16719,60127,60158,'OP_GetAuctionAssetIDMsg',445,1),
(16720,60127,60158,'OP_GetAuctionAssetIDReplyMsg',446,1),
(16721,60127,60158,'OP_GetAvatarAccessRequestForCSToo',397,1),
(16722,60127,60158,'OP_GetCharacterSerializedReplyMsg',428,1),
(16723,60127,60158,'OP_GetCharacterSerializedRequestM',427,1),
(16724,60127,60158,'OP_GroupCreatedMsg',90,1),
(16725,60127,60158,'OP_GroupDestroyedMsg',91,1),
(16726,60127,60158,'OP_GroupLeaderChangedMsg',95,1),
(16727,60127,60158,'OP_GroupMemberAddedMsg',92,1),
(16728,60127,60158,'OP_GroupMemberRemovedMsg',93,1),
(16729,60127,60158,'OP_GroupOptionsMsg',202,1),
(16730,60127,60158,'OP_GroupRemovedFromGroupMsg',94,1),
(16731,60127,60158,'OP_GroupResendOOZDataMsg',96,1),
(16732,60127,60158,'OP_GroupSettingsChangedMsg',97,1),
(16733,60127,60158,'OP_GuildBankActionMsg',278,1),
(16734,60127,60158,'OP_GuildBankActionResponseMsg',279,1),
(16735,60127,60158,'OP_GuildBankEventListMsg',283,1),
(16736,60127,60158,'OP_GuildBankItemDetailsRequestMsg',280,1),
(16737,60127,60158,'OP_GuildBankItemDetailsResponseMs',281,1),
(16738,60127,60158,'OP_GuildBankUpdateMsg',282,1),
(16739,60127,60158,'OP_GuildEventActionMsg',273,1),
(16740,60127,60158,'OP_GuildEventAddMsg',272,1),
(16741,60127,60158,'OP_GuildEventDetailsMsg',276,1),
(16742,60127,60158,'OP_GuildEventListMsg',274,1),
(16743,60127,60158,'OP_GuildEventMsg',271,1),
(16744,60127,60158,'OP_GuildMembershipResponseMsg',361,1),
(16745,60127,60158,'OP_GuildRecruiting',712,1),
(16746,60127,60158,'OP_GuildRecruitingDetails',713,1),
(16747,60127,60158,'OP_GuildRecruitingImage',714,1),
(16748,60127,60158,'OP_GuildRecruitingMemberInfo',711,1),
(16749,60127,60158,'OP_GuildsayMsg',124,1),
(16750,60127,60158,'OP_GuildStatusUpdate',705,1),
(16751,60127,60158,'OP_GuildUpdateMsg',127,1),
(16752,60127,60158,'OP_HeritageMsg',10004,1),
(16753,60127,60158,'OP_HideIllusionsMsg',197,1),
(16754,60127,60158,'OP_HouseAccessRemoveMsg',161,1),
(16755,60127,60158,'OP_HouseAccessSetMsg',160,1),
(16756,60127,60158,'OP_HouseCustomizationScreenMsg',169,1),
(16757,60127,60158,'OP_HouseDefaultAccessSetMsg',159,1),
(16758,60127,60158,'OP_HouseDeletedRemotelyMsg',145,1),
(16759,60127,60158,'OP_HouseItemsList',488,1),
(16760,60127,60158,'OP_HousingDataChangedMsg',431,1),
(16761,60127,60158,'OP_HousingRestoreMsg',432,1),
(16762,60127,60158,'OP_InspectPlayerMsg',367,1),
(16763,60127,60158,'OP_InspectPlayerRequestMsg',454,1),
(16764,60127,60158,'OP_InviteRequestMsg',451,1),
(16765,60127,60158,'OP_InviteResponseMsg',452,1),
(16766,60127,60158,'OP_InviteTargetResponseMsg',453,1),
(16767,60127,60158,'OP_JoinGuildNotifyMsg',363,1),
(16768,60127,60158,'OP_JournalQuestStoryline',754,1),
(16769,60127,60158,'OP_KeymapDataMsg',180,1),
(16770,60127,60158,'OP_KeymapLoadMsg',178,1),
(16771,60127,60158,'OP_KeymapNoneMsg',179,1),
(16772,60127,60158,'OP_KeymapSaveMsg',181,1),
(16773,60127,60158,'OP_KnowledgebaseRequestMsg',230,1),
(16774,60127,60158,'OP_KnowledgebaseResponseMsg',231,1),
(16775,60127,60158,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(16776,60127,60158,'OP_KnownLanguagesMsg',242,1),
(16777,60127,60158,'OP_Launchpad',579,1),
(16778,60127,60158,'OP_LeaveGuildNotifyMsg',362,1),
(16779,60127,60158,'OP_LevelChangedMsg',265,1),
(16780,60127,60158,'OP_LFGGroupSearch',508,1),
(16781,60127,60158,'OP_LFGUpdateMsg',522,1),
(16782,60127,60158,'OP_LikeOption',139,1),
(16783,60127,60158,'OP_LoadCalendarEvents',582,1),
(16784,60127,60158,'OP_LoadWelcomeWindow',564,1),
(16785,60127,60158,'OP_LoginByNumRequestMsg',1,1),
(16786,60127,60158,'OP_LoginReplyMsg',4,1),
(16787,60127,60158,'OP_LoginRequestMsg',0,1),
(16788,60127,60158,'OP_LootItemsRequestMsg',188,1),
(16789,60127,60158,'OP_Lottery',710,1),
(16790,60127,60158,'OP_LSCheckAcctLockMsg',207,1),
(16791,60127,60158,'OP_LsClientAlertlogReplyMsg',246,1),
(16792,60127,60158,'OP_LsClientBaselogReplyMsg',244,1),
(16793,60127,60158,'OP_LsClientCrashlogReplyMsg',245,1),
(16794,60127,60158,'OP_LsClientVerifylogReplyMsg',247,1),
(16795,60127,60158,'OP_LsRequestClientCrashLogMsg',243,1),
(16796,60127,60158,'OP_LSServerLockMsg',369,1),
(16797,60127,60158,'OP_MacroInitMsg',262,1),
(16798,60127,60158,'OP_MacroUpdateMsg',263,1),
(16799,60127,60158,'OP_MailCommitSendMessageMsg',348,1),
(16800,60127,60158,'OP_MailDeleteMessageMsg',344,1),
(16801,60127,60158,'OP_MailEventNotificationMsg',415,1),
(16802,60127,60158,'OP_MailGetHeadersReplyMsg',345,1),
(16803,60127,60158,'OP_MailGetMessageMsg',342,1),
(16804,60127,60158,'OP_MailGetMessageReplyMsg',346,1),
(16805,60127,60158,'OP_MailRemoveAttachFromMailMsg',350,1),
(16806,60127,60158,'OP_MailSendMessageMsg',343,1),
(16807,60127,60158,'OP_MailSendMessageReplyMsg',347,1),
(16808,60127,60158,'OP_MailSendSystemMessageMsg',349,1),
(16809,60127,60158,'OP_MakeGroupLeaderMsg',89,1),
(16810,60127,60158,'OP_MapFogDataInitMsg',399,1),
(16811,60127,60158,'OP_MapFogDataUpdateMsg',400,1),
(16812,60127,60158,'OP_MapRequest',525,1),
(16813,60127,60158,'OP_MarketAddFundsReply',533,1),
(16814,60127,60158,'OP_MarketAddFundsRequest',532,1),
(16815,60127,60158,'OP_MarketFundsUpdate',530,1),
(16816,60127,60158,'OP_MarketPlaceItems',543,1),
(16817,60127,60158,'OP_MarketPlacePrices',536,1),
(16818,60127,60158,'OP_MarketPurchase',535,1),
(16819,60127,60158,'OP_MentorPopup',562,1),
(16820,60127,60158,'OP_MercHireWindow',757,1),
(16821,60127,60158,'OP_MercUnknown',758,1),
(16822,60127,60158,'OP_MigrateBoatTransportMsg',256,1),
(16823,60127,60158,'OP_MigrateBoatTransportReplyMsg',257,1),
(16824,60127,60158,'OP_MigrateClientToZoneReplyMsg',84,1),
(16825,60127,60158,'OP_MigrateClientToZoneRequestMsg',83,1),
(16826,60127,60158,'OP_ModifyGuildMsg',270,1),
(16827,60127,60158,'OP_MonitorCharacterListMsg',58,1),
(16828,60127,60158,'OP_MonitorCharacterListRequestMsg',59,1),
(16829,60127,60158,'OP_MonitorReplyMsg',57,1),
(16830,60127,60158,'OP_MOTDMsg',46,1),
(16831,60127,60158,'OP_MoveableObjectPlacementCriteri',163,1),
(16832,60127,60158,'OP_MoveLogUpdateMsg',404,1),
(16833,60127,60158,'OP_NotifyApprenticeStoppedMentori',412,1),
(16834,60127,60158,'OP_OfferQuestMsg',405,1),
(16835,60127,60158,'OP_OnscreenMsgMsg',268,1),
(16836,60127,60158,'OP_OpenCharCust',565,1),
(16837,60127,60158,'OP_OutOfZoneMemberDataMsg',98,1),
(16838,60127,60158,'OP_PayHouseUpkeepMsg',162,1),
(16839,60127,60158,'OP_PerformCameraShakeMsg',217,1),
(16840,60127,60158,'OP_PerformPlayerKnockbackMsg',216,1),
(16841,60127,60158,'OP_PetOptions',204,1),
(16842,60127,60158,'OP_PetOptionsResponse',585,1),
(16843,60127,60158,'OP_PlayCharacterReplyMsg',21,1),
(16844,60127,60158,'OP_PlayCharacterRequestMsg',20,1),
(16845,60127,60158,'OP_PlayerHouseAccessUpdateMsg',150,1),
(16846,60127,60158,'OP_PlayerHouseBaseScreenMsg',148,1),
(16847,60127,60158,'OP_PlayerHouseCloseUIMsg',152,1),
(16848,60127,60158,'OP_PlayerHouseDisplayStatusMsg',151,1),
(16849,60127,60158,'OP_PlayerHousePurchaseScreenMsg',149,1),
(16850,60127,60158,'OP_PlayerMadeInstances',143,1),
(16851,60127,60158,'OP_PlayerMadeInstancesScreen',142,1),
(16852,60127,60158,'OP_PlayerPollAnswer',561,1),
(16853,60127,60158,'OP_PlayerPollPopup',560,1),
(16854,60127,60158,'OP_PlayLon',515,1),
(16855,60127,60158,'OP_PointOfInterest',736,1),
(16856,60127,60158,'OP_PointOfInterest2',737,1),
(16857,60127,60158,'OP_PopulateSkillMapsMsg',218,1),
(16858,60127,60158,'OP_PositionBoatTransportMsg',255,1),
(16859,60127,60158,'OP_PositionMoveableObject',165,1),
(16860,60127,60158,'OP_PostPossessionMsg',458,1),
(16861,60127,60158,'OP_PredictionUpdateMsg',39,1),
(16862,60127,60158,'OP_PrePossessionMsg',457,1),
(16863,60127,60158,'OP_PromoFlagsDetailsMsg',378,1),
(16864,60127,60158,'OP_PublishHouse',141,1),
(16865,60127,60158,'OP_PurchaseConsignmentLoreCheckRe',411,1),
(16866,60127,60158,'OP_PurchaseConsignmentRequestMsg',131,1),
(16867,60127,60158,'OP_QueAllBgSolo',568,1),
(16868,60127,60158,'OP_QuestionnaireMsg',264,1),
(16869,60127,60158,'OP_QuestJournalInspectMsg',116,1),
(16870,60127,60158,'OP_QuestJournalOpenMsg',115,1),
(16871,60127,60158,'OP_QuestJournalSetVisibleMsg',117,1),
(16872,60127,60158,'OP_QuestJournalWaypointMsg',118,1),
(16873,60127,60158,'OP_QuestReward',324,1),
(16874,60127,60158,'OP_QuickbarInitMsg',260,1),
(16875,60127,60158,'OP_QuickbarUpdateMsg',261,1),
(16876,60127,60158,'OP_RaceRestrictionMsg',443,1),
(16877,60127,60158,'OP_ReadBookPageMsg',199,1),
(16878,60127,60158,'OP_ReadyForTakeOffMsg',195,1),
(16879,60127,60158,'OP_ReadyToZoneMsg',86,1),
(16880,60127,60158,'OP_RecipeBook',544,1),
(16881,60127,60158,'OP_RecipeDetailsMsg',74,1),
(16882,60127,60158,'OP_RecipeList',748,1),
(16883,60127,60158,'OP_RecipeListUnknown',597,1),
(16884,60127,60158,'OP_RelinquishHouseMsg',156,1),
(16885,60127,60158,'OP_ReloadLocalizedTxtMsg',359,1),
(16886,60127,60158,'OP_RemoteCmdMsg',44,1),
(16887,60127,60158,'OP_RemoveClientFromGroupMsg',87,1),
(16888,60127,60158,'OP_RemoveConcentrationMsg',114,1),
(16889,60127,60158,'OP_RemoveGroupFromGroupMsg',88,1),
(16890,60127,60158,'OP_RemoveSpellEffectMsg',113,1),
(16891,60127,60158,'OP_RenameGuildMsg',286,1),
(16892,60127,60158,'OP_ReplaceableSubMeshesMsg',168,1),
(16893,60127,60158,'OP_ReportMsg',384,1),
(16894,60127,60158,'OP_RequestCampMsg',52,1),
(16895,60127,60158,'OP_RequestGuildBankEventDetailsMs',284,1),
(16896,60127,60158,'OP_RequestGuildEventDetailsMsg',275,1),
(16897,60127,60158,'OP_RequestGuildInfoMsg',277,1),
(16898,60127,60158,'OP_RequestGuildMembershipMsg',360,1),
(16899,60127,60158,'OP_RequestHelpRepathMsg',209,1),
(16900,60127,60158,'OP_RequestRecipeDetailsMsg',73,1),
(16901,60127,60158,'OP_RequestTargetLocMsg',210,1),
(16902,60127,60158,'OP_Research',749,1),
(16903,60127,60158,'OP_ResendWorldChannelsMsg',447,1),
(16904,60127,60158,'OP_ReskinCharacterRequestMsg',15,1),
(16905,60127,60158,'OP_RestartZoneMsg',416,1),
(16906,60127,60158,'OP_RewardPackMsg',285,1),
(16907,60127,60158,'OP_SatMsg',192,1),
(16908,60127,60158,'OP_SavageBarInitMsg',584,1),
(16909,60127,60158,'OP_SelectZoneTeleporterDestinatio',358,1),
(16910,60127,60158,'OP_SendLatestRequestMsg',99,1),
(16911,60127,60158,'OP_ServerPlayCharacterReplyMsg',26,1),
(16912,60127,60158,'OP_ServerPlayCharacterRequestMsg',25,1),
(16913,60127,60158,'OP_SetInstanceDisplayNameMsg',444,1),
(16914,60127,60158,'OP_SetRemoteCmdsMsg',43,1),
(16915,60127,60158,'OP_SetSocialMsg',101,1),
(16916,60127,60158,'OP_ShaderCustomizationMsg',167,1),
(16917,60127,60158,'OP_ShowCreateFromRecipeUIMsg',222,1),
(16918,60127,60158,'OP_ShowIllusionsMsg',196,1),
(16919,60127,60158,'OP_ShowItemCreationProcessUIMsg',226,1),
(16920,60127,60158,'OP_ShowRecipeBookMsg',229,1),
(16921,60127,60158,'OP_ShowZoneTeleporterDestinations',357,1),
(16922,60127,60158,'OP_SitMsg',190,1),
(16923,60127,60158,'OP_SkillInfoRequest',518,1),
(16924,60127,60158,'OP_SkillInfoResponse',519,1),
(16925,60127,60158,'OP_SOEAllAccess',613,1),
(16926,60127,60158,'OP_SpellGainedMsg',266,1),
(16927,60127,60158,'OP_StandMsg',191,1),
(16928,60127,60158,'OP_StoodMsg',193,1),
(16929,60127,60158,'OP_StopItemCreationMsg',225,1),
(16930,60127,60158,'OP_StoppedLootingMsg',189,1),
(16931,60127,60158,'OP_StopTrackingMsg',395,1),
(16932,60127,60158,'OP_SubmitCharCust',566,1),
(16933,60127,60158,'OP_SupplyDepot',746,1),
(16934,60127,60158,'OP_SysClient',221,1),
(16935,60127,60158,'OP_TeleportWithinZoneMsg',81,1),
(16936,60127,60158,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(16937,60127,60158,'OP_TintWidgetsMsg',173,1),
(16938,60127,60158,'OP_TitleUpdateMsg',388,1),
(16939,60127,60158,'OP_TrackingUpdateMsg',393,1),
(16940,60127,60158,'OP_TradeskillList',715,1),
(16941,60127,60158,'OP_TraitsList',738,1),
(16942,60127,60158,'OP_UIEvent',531,1),
(16943,60127,60158,'OP_UIResetMsg',177,1),
(16944,60127,60158,'OP_UISettingsResponseMsg',176,1),
(16945,60127,60158,'OP_Unknown',771,1),
(16946,60127,60158,'OP_UnknownNpcMsg',377,1),
(16947,60127,60158,'OP_UpdateActivePublicZonesMsg',376,1),
(16948,60127,60158,'OP_UpdateCharacterSheetMsg',65,1),
(16949,60127,60158,'OP_UpdateClientPredFlagsMsg',249,1),
(16950,60127,60158,'OP_UpdateDebugRadiiMsg',383,1),
(16951,60127,60158,'OP_UpdateGroupMemberDataMsg',392,1),
(16952,60127,60158,'OP_UpdateHouseAccessDataMsg',147,1),
(16953,60127,60158,'OP_UpdateHouseDataMsg',146,1),
(16954,60127,60158,'OP_UpdateInventoryMsg',70,1),
(16955,60127,60158,'OP_UpdateItemCreationProcessUIMsg',227,1),
(16956,60127,60158,'OP_UpdateMotdMsg',211,1),
(16957,60127,60158,'OP_UpdateOpportunityMsg',77,1),
(16958,60127,60158,'OP_UpdatePositionMsg',41,1),
(16959,60127,60158,'OP_UpdateRaidMsg',385,1),
(16960,60127,60158,'OP_UpdateRecipeBookMsg',72,1),
(16961,60127,60158,'OP_UpdateSkillBookMsg',75,1),
(16962,60127,60158,'OP_UpdateSkillsMsg',76,1),
(16963,60127,60158,'OP_UpdateSpellBookMsg',68,1),
(16964,60127,60158,'OP_UpdateTargetLocMsg',64,1),
(16965,60127,60158,'OP_UpdateTargetMsg',63,1),
(16966,60127,60158,'OP_UpdateTitleCmd',498,1),
(16967,60127,60158,'OP_UseAdornment',726,1),
(16968,60127,60158,'OP_VideoUploaded',583,1),
(16969,60127,60158,'OP_VoiceChatChannel',524,1),
(16970,60127,60158,'OP_VoiceChatServer',742,1),
(16971,60127,60158,'OP_WaypointReplyMsg',353,1),
(16972,60127,60158,'OP_WaypointRequestMsg',352,1),
(16973,60127,60158,'OP_WaypointSelectMsg',354,1),
(16974,60127,60158,'OP_WaypointUpdateMsg',355,1),
(16975,60127,60158,'OP_Weakness',587,1),
(16976,60127,60158,'OP_WhoQueryReplyMsg',56,1),
(16977,60127,60158,'OP_WhoQueryRequestMsg',55,1),
(16978,60127,60158,'OP_WorldDataChangeMsg',414,1),
(16979,60127,60158,'OP_WorldDataUpdateMsg',240,1),
(16980,60127,60158,'OP_WorldListMsg',8,1),
(16981,60127,60158,'OP_WorldPingMsg',403,1),
(16982,60127,60158,'OP_WorldShutdownUpdateMsg',407,1),
(16983,60127,60158,'OP_WorldStatusChangeMsg',6,1),
(16984,60127,60158,'OP_WorldTravelAvail',576,1),
(16985,60127,60158,'OP_WSAcctLockStatusMsg',208,1),
(16986,60127,60158,'OP_WSCreateCharacterReplyMsg',14,1),
(16987,60127,60158,'OP_WSCreateCharacterRequestMsg',13,1),
(16988,60127,60158,'OP_WSLoginRequestMsg',2,1),
(16989,60127,60158,'OP_WSServerHideMsg',370,1),
(16990,60127,60158,'OP_WSServerLockMsg',368,1),
(16991,60127,60158,'OP_WSStatusReplyMsg',5,1),
(16992,60127,60158,'OP_ZoneBgInstanceList',572,1),
(16993,60127,60158,'OP_ZoneInfoMsg',35,1),
(16994,60127,60158,'OP_ZoneInstanceCreateReplyMsg',32,1),
(16995,60127,60158,'OP_ZoneInstanceDestroyedMsg',33,1),
(16996,60127,60158,'OP_ZoneMOTDMsg',47,1),
(16997,60127,60158,'OP_ZonesStatusMsg',105,1),
(16998,60127,60158,'OP_ZonesStatusRequestMsg',104,1),
(16999,60127,60158,'OP_ZoneToFriendReplyMsg',288,1),
(17000,60127,60158,'OP_ZoneToFriendRequestMsg',287,1),
(17001,60160,61548,'OP_AchievementUpdateMsg',759,1),
(17002,60160,61548,'OP_AddSocialStructureStandingMsg',253,1),
(17003,60160,61548,'OP_AdvancementRequestMsg',398,1),
(17004,60160,61548,'OP_AdventureList',492,1),
(17005,60160,61548,'OP_AFKUpdateMsg',374,1),
(17006,60160,61548,'OP_AfterInvSpellUpdate',71,1),
(17007,60160,61548,'OP_AllCharactersDescReplyMsg',10,1),
(17008,60160,61548,'OP_AllCharactersDescRequestMsg',9,1),
(17009,60160,61548,'OP_AllWSDescRequestMsg',7,1),
(17010,60160,61548,'OP_AnonUpdateMsg',375,1),
(17011,60160,61548,'OP_ArenaCreate',460,1),
(17012,60160,61548,'OP_ArenaGameTypesMsg',449,1),
(17013,60160,61548,'OP_ArenaList',461,1),
(17014,60160,61548,'OP_ArenaWindow',469,1),
(17015,60160,61548,'OP_AttackAllowed',504,1),
(17016,60160,61548,'OP_AttackNotAllowed',505,1),
(17017,60160,61548,'OP_AuctionAbortMsg',440,1),
(17018,60160,61548,'OP_AuctionCharacter',437,1),
(17019,60160,61548,'OP_AuctionCharacterReply',438,1),
(17020,60160,61548,'OP_AuctionCoin',435,1),
(17021,60160,61548,'OP_AuctionCoinReply',436,1),
(17022,60160,61548,'OP_AuctionCommitMsg',439,1),
(17023,60160,61548,'OP_AuctionItem',433,1),
(17024,60160,61548,'OP_AuctionItemReply',434,1),
(17025,60160,61548,'OP_AuditAuctionEventMsg',450,1),
(17026,60160,61548,'OP_AvatarCreatedMsg',48,1),
(17027,60160,61548,'OP_AvatarDestroyedMsg',49,1),
(17028,60160,61548,'OP_AvatarUpdateMsg',364,1),
(17029,60160,61548,'OP_BadLanguageFilter',523,1),
(17030,60160,61548,'OP_BagOptions',506,1),
(17031,60160,61548,'OP_BeginItemCreationMsg',224,1),
(17032,60160,61548,'OP_BeginTrackingMsg',394,1),
(17033,60160,61548,'OP_BioUpdateMsg',366,1),
(17034,60160,61548,'OP_BrokerAddBag',296,1),
(17035,60160,61548,'OP_BrokerRemoveBag',297,1),
(17036,60160,61548,'OP_BrokerSellList',702,1),
(17037,60160,61548,'OP_BuyPlayerHouseMsg',153,1),
(17038,60160,61548,'OP_BuyPlayerHouseTintMsg',154,1),
(17039,60160,61548,'OP_CampAbortedMsg',54,1),
(17040,60160,61548,'OP_CampClientMsg',391,1),
(17041,60160,61548,'OP_CampStartedMsg',53,1),
(17042,60160,61548,'OP_CancelCreateFromRecipeMsg',223,1),
(17043,60160,61548,'OP_CancelledFeignMsg',219,1),
(17044,60160,61548,'OP_CancelMoveObjectModeMsg',166,1),
(17045,60160,61548,'OP_CancelSpellCast',493,1),
(17046,60160,61548,'OP_ChangeServerControlFlagMsg',250,1),
(17047,60160,61548,'OP_ChangeZoneMsg',79,1),
(17048,60160,61548,'OP_CharacterAchievements',758,1),
(17049,60160,61548,'OP_CharacterCreatedDungeons',555,1),
(17050,60160,61548,'OP_CharacterCurrency',757,1),
(17051,60160,61548,'OP_CharacterHousingList',511,1),
(17052,60160,61548,'OP_CharacterLinkdeadMsg',418,1),
(17053,60160,61548,'OP_CharacterMerc',67,1),
(17054,60160,61548,'OP_CharacterMounts',588,1),
(17055,60160,61548,'OP_CharacterPet',66,1),
(17056,60160,61548,'OP_CharNameChangedMsg',356,1),
(17057,60160,61548,'OP_CharRenamed',723,1),
(17058,60160,61548,'OP_CharTransferCommitReplyMsg',426,1),
(17059,60160,61548,'OP_CharTransferCommitRequestMsg',424,1),
(17060,60160,61548,'OP_CharTransferReplyMsg',422,1),
(17061,60160,61548,'OP_CharTransferRequestMsg',421,1),
(17062,60160,61548,'OP_CharTransferRollbackReplyMsg',425,1),
(17063,60160,61548,'OP_CharTransferRollbackRequestMsg',423,1),
(17064,60160,61548,'OP_CharTransferStartReplyMsg',420,1),
(17065,60160,61548,'OP_CharTransferStartRequestMsg',419,1),
(17066,60160,61548,'OP_CharTransferValidateReplyMsg',442,1),
(17067,60160,61548,'OP_CharTransferValidateRequestMsg',441,1),
(17068,60160,61548,'OP_ChatCreateChannelMsg',289,1),
(17069,60160,61548,'OP_ChatFiltersMsg',338,1),
(17070,60160,61548,'OP_ChatJoinChannelMsg',290,1),
(17071,60160,61548,'OP_ChatLeaveChannelMsg',292,1),
(17072,60160,61548,'OP_ChatRelationshipUpdateMsg',187,1),
(17073,60160,61548,'OP_ChatSendFriendsMsg',299,1),
(17074,60160,61548,'OP_ChatSendIgnoresMsg',300,1),
(17075,60160,61548,'OP_ChatTellChannelMsg',293,1),
(17076,60160,61548,'OP_ChatTellUserMsg',294,1),
(17077,60160,61548,'OP_ChatToggleFriendMsg',295,1),
(17078,60160,61548,'OP_ChatToggleIgnoreMsg',298,1),
(17079,60160,61548,'OP_ChatWhoChannelMsg',291,1),
(17080,60160,61548,'OP_ClearDataMsg',100,1),
(17081,60160,61548,'OP_ClearForLandingMsg',495,1),
(17082,60160,61548,'OP_ClearForTakeOffMsg',194,1),
(17083,60160,61548,'OP_ClientCmdMsg',60,1),
(17084,60160,61548,'OP_ClientFellMsg',389,1),
(17085,60160,61548,'OP_ClientIdleBeginMsg',409,1),
(17086,60160,61548,'OP_ClientIdleEndMsg',410,1),
(17087,60160,61548,'OP_ClientInDeathRegionMsg',390,1),
(17088,60160,61548,'OP_ClientTeleportRequestMsg',80,1),
(17089,60160,61548,'OP_ClientTeleportToLocationMsg',248,1),
(17090,60160,61548,'OP_CloseGroupInviteWindowMsg',401,1),
(17091,60160,61548,'OP_CollectAllHouseItemsMsg',155,1),
(17092,60160,61548,'OP_ConsignItemRequestMsg',129,1),
(17093,60160,61548,'OP_ConsignItemResponseMsg',130,1),
(17094,60160,61548,'OP_ConsignmentCloseStoreMsg',128,1),
(17095,60160,61548,'OP_ConsignRemoveItemsMsg',382,1),
(17096,60160,61548,'OP_ConsignViewCreateMsg',379,1),
(17097,60160,61548,'OP_ConsignViewGetPageMsg',380,1),
(17098,60160,61548,'OP_ConsignViewReleaseMsg',381,1),
(17099,60160,61548,'OP_ConsignViewSortMsg',387,1),
(17100,60160,61548,'OP_CorruptedClientMsg',413,1),
(17101,60160,61548,'OP_CreateBoatTransportsMsg',254,1),
(17102,60160,61548,'OP_CreateCharacterDungeon',551,1),
(17103,60160,61548,'OP_CreateCharacterReplyMsg',12,1),
(17104,60160,61548,'OP_CreateCharacterRequestMsg',11,1),
(17105,60160,61548,'OP_CreateCharFromCBBReplyMsg',430,1),
(17106,60160,61548,'OP_CreateCharFromCBBRequestMsg',429,1),
(17107,60160,61548,'OP_CreateGuildReplyMsg',123,1),
(17108,60160,61548,'OP_CreateGuildRequestMsg',121,1),
(17109,60160,61548,'OP_CreateZoneInstanceMsg',31,1),
(17110,60160,61548,'OP_CsCategoryRequestMsg',371,1),
(17111,60160,61548,'OP_CsCategoryResponseMsg',372,1),
(17112,60160,61548,'OP_CSTicketAddCommentMsg',237,1),
(17113,60160,61548,'OP_CSTicketChangeNotificationMsg',239,1),
(17114,60160,61548,'OP_CSTicketCommentRequestMsg',234,1),
(17115,60160,61548,'OP_CSTicketCommentResponseMsg',235,1),
(17116,60160,61548,'OP_CSTicketCreateMsg',236,1),
(17117,60160,61548,'OP_CSTicketDeleteMsg',238,1),
(17118,60160,61548,'OP_CSTicketHeaderRequestMsg',232,1),
(17119,60160,61548,'OP_CSTicketInfoMsg',233,1),
(17120,60160,61548,'OP_CSToolAccessResponseMsg',392,1),
(17121,60160,61548,'OP_CSToolsRequestMsg',251,1),
(17122,60160,61548,'OP_CSToolsResponseMsg',252,1),
(17123,60160,61548,'OP_CurrentPet',489,1),
(17124,60160,61548,'OP_CustomizationPurchaseRequestMs',170,1),
(17125,60160,61548,'OP_CustomizationReplyMsg',172,1),
(17126,60160,61548,'OP_CustomizationSetRequestMsg',171,1),
(17127,60160,61548,'OP_CustomizeHouseDisplay',748,1),
(17128,60160,61548,'OP_DailyObjectives',601,1),
(17129,60160,61548,'OP_DefaultGroupOptionsMsg',201,1),
(17130,60160,61548,'OP_DefaultGroupOptionsRequestMsg',200,1),
(17131,60160,61548,'OP_DeleteCharacterReplyMsg',19,1),
(17132,60160,61548,'OP_DeleteCharacterRequestMsg',18,1),
(17133,60160,61548,'OP_DeleteGuildMsg',126,1),
(17134,60160,61548,'OP_DestUpdateReq',213,1),
(17135,60160,61548,'OP_DialogCloseMsg',112,1),
(17136,60160,61548,'OP_DialogSelectMsg',111,1),
(17137,60160,61548,'OP_DispatchClientCmdMsg',62,1),
(17138,60160,61548,'OP_DispatchESMsg',61,1),
(17139,60160,61548,'OP_DispatchMsg',455,1),
(17140,60160,61548,'OP_DispatchSpellCmdMsg',182,1),
(17141,60160,61548,'OP_DisplayDebugNLLPointsMsg',258,1),
(17142,60160,61548,'OP_DisplayEventMsg',456,1),
(17143,60160,61548,'OP_DisplayExchangeScreenMsg',448,1),
(17144,60160,61548,'OP_DisplayGroupOptionsScreenMsg',203,1),
(17145,60160,61548,'OP_DisplayInnVisitScreenMsg',205,1),
(17146,60160,61548,'OP_DisplayMailScreenMsg',408,1),
(17147,60160,61548,'OP_DisplayTSEventReactionMsg',228,1),
(17148,60160,61548,'OP_DisplayWarningMsg',269,1),
(17149,60160,61548,'OP_DoneLoadingEntityResourcesMsg',38,1),
(17150,60160,61548,'OP_DoneLoadingZoneResourcesMsg',36,1),
(17151,60160,61548,'OP_DoneSendingInitialEntitiesMsg',37,1),
(17152,60160,61548,'OP_DressingRoom',514,1),
(17153,60160,61548,'OP_DumpSchedulerMsg',206,1),
(17154,60160,61548,'OP_DungeonMakerEnter',552,1),
(17155,60160,61548,'OP_DungeonMakerItemRequest',554,1),
(17156,60160,61548,'OP_DungeonMakerItemResponse',586,1),
(17157,60160,61548,'OP_DungeonMakerToolboxList',556,1),
(17158,60160,61548,'OP_DungeonMakerUnknown',557,1),
(17159,60160,61548,'OP_DungeonMakerUnknown1',558,1),
(17160,60160,61548,'OP_DungeonPlayAsAvatarList',762,1),
(17161,60160,61548,'OP_DungeonPlayAsAvatarSelected',763,1),
(17162,60160,61548,'OP_EncounterBrokenMsg',267,1),
(17163,60160,61548,'OP_EnterHouseMsg',157,1),
(17164,60160,61548,'OP_EnterMoveObjectModeMsg',164,1),
(17165,60160,61548,'OP_EntityVerbsReplyMsg',184,1),
(17166,60160,61548,'OP_EntityVerbsRequestMsg',183,1),
(17167,60160,61548,'OP_EntityVerbsVerbMsg',185,1),
(17168,60160,61548,'OP_EqArenaResultsCmd',713,1),
(17169,60160,61548,'OP_EqAvailWorldChannelsCmd',700,1),
(17170,60160,61548,'OP_EqBetaCopyRequest',619,1),
(17171,60160,61548,'OP_EqCannedEmoteCmd',642,1),
(17172,60160,61548,'OP_EqChatChannelUpdateCmd',698,1),
(17173,60160,61548,'OP_EqChoiceWinCmd',679,1),
(17174,60160,61548,'OP_EqCloseWindowCmd',671,1),
(17175,60160,61548,'OP_EqCollectionFilterCmd',658,1),
(17176,60160,61548,'OP_EqCollectionItemCmd',659,1),
(17177,60160,61548,'OP_EqCollectionUpdateCmd',657,1),
(17178,60160,61548,'OP_EqConsignmentItemsCmd',703,1),
(17179,60160,61548,'OP_EqCreateGhostCmd',624,1),
(17180,60160,61548,'OP_EqCreateListBoxCmd',639,1),
(17181,60160,61548,'OP_EqCreateSignWidgetCmd',626,1),
(17182,60160,61548,'OP_EqCreateWidgetCmd',625,1),
(17183,60160,61548,'OP_EqDebugPVDCmd',692,1),
(17184,60160,61548,'OP_EqDestroyGhostCmd',627,1),
(17185,60160,61548,'OP_EqDialogCloseCmd',655,1),
(17186,60160,61548,'OP_EqDialogOpenCmd',654,1),
(17187,60160,61548,'OP_EqDisplaySpellFailCmd',675,1),
(17188,60160,61548,'OP_EqDisplayTextCmd',623,1),
(17189,60160,61548,'OP_EqDrawablePathGraphCmd',653,1),
(17190,60160,61548,'OP_EqEnableGameEventCmd',685,1),
(17191,60160,61548,'OP_EqEnableWindowCmd',687,1),
(17192,60160,61548,'OP_EqExamineInfoCmd',670,1),
(17193,60160,61548,'OP_EqFactionUpdateCmd',656,1),
(17194,60160,61548,'OP_EqFlashWindowCmd',688,1),
(17195,60160,61548,'OP_EqGetProbsCmd',696,1),
(17196,60160,61548,'OP_EqGroupMemberRemovedCmd',649,1),
(17197,60160,61548,'OP_EqGuildBankEventActionCmd',714,1),
(17198,60160,61548,'OP_EqGuildBankExamineInfoCmd',715,1),
(17199,60160,61548,'OP_EqHearChainEffectCmd',650,1),
(17200,60160,61548,'OP_EqHearChatCmd',622,1),
(17201,60160,61548,'OP_EqHearCombatCmd',631,1),
(17202,60160,61548,'OP_EqHearConsiderCmd',637,1),
(17203,60160,61548,'OP_EqHearDeathCmd',648,1),
(17204,60160,61548,'OP_EQHearDispellCmd',760,1),
(17205,60160,61548,'OP_EqHearDrowningCmd',647,1),
(17206,60160,61548,'OP_EqHearHealCmd',697,1),
(17207,60160,61548,'OP_EqHearPlayFlavorCmd',690,1),
(17208,60160,61548,'OP_EQHearProcCmd',633,1),
(17209,60160,61548,'OP_EQHearResEffectCmd',634,1),
(17210,60160,61548,'OP_EqHearSpellCastCmd',632,1),
(17211,60160,61548,'OP_EqHearSpellFizzleCmd',636,1),
(17212,60160,61548,'OP_EqHearSpellInterruptCmd',635,1),
(17213,60160,61548,'OP_EqHearSpellNoLandCmd',716,1),
(17214,60160,61548,'OP_EQHearThreatCmd',754,1),
(17215,60160,61548,'OP_EqHelpPathClearCmd',668,1),
(17216,60160,61548,'OP_EqHelpPathCmd',667,1),
(17217,60160,61548,'OP_EqInspectPCResultsCmd',652,1),
(17218,60160,61548,'OP_EqInstructionWindowCloseCmd',682,1),
(17219,60160,61548,'OP_EqInstructionWindowCmd',681,1),
(17220,60160,61548,'OP_EqInstructionWindowGoalCmd',683,1),
(17221,60160,61548,'OP_EqInstructionWindowTaskCmd',684,1),
(17222,60160,61548,'OP_EqJunctionListCmd',673,1),
(17223,60160,61548,'OP_EqMapExplorationCmd',706,1),
(17224,60160,61548,'OP_EqMentoring',661,1),
(17225,60160,61548,'OP_EqPlaySound3DCmd',645,1),
(17226,60160,61548,'OP_EqPlaySoundCmd',644,1),
(17227,60160,61548,'OP_EqPlayVoiceCmd',646,1),
(17228,60160,61548,'OP_EqQuestGroupCmd',663,1),
(17229,60160,61548,'OP_EqQuestionnaireCmd',694,1),
(17230,60160,61548,'OP_EqQuestJournalReplyCmd',662,1),
(17231,60160,61548,'OP_EqQuestJournalUpdateCmd',660,1),
(17232,60160,61548,'OP_EqReceiveOfferCmd',651,1),
(17233,60160,61548,'OP_EqResurrectedCmd',678,1),
(17234,60160,61548,'OP_EqSetControlGhostCmd',629,1),
(17235,60160,61548,'OP_EqSetDebugPathPointsCmd',640,1),
(17236,60160,61548,'OP_EqSetDefaultVerbCmd',680,1),
(17237,60160,61548,'OP_EqSetPOVGhostCmd',630,1),
(17238,60160,61548,'OP_EqShowBookCmd',693,1),
(17239,60160,61548,'OP_EqShowDeathWindowCmd',674,1),
(17240,60160,61548,'OP_EqShowWindowCmd',686,1),
(17241,60160,61548,'OP_EqSpellCastEndCmd',677,1),
(17242,60160,61548,'OP_EqSpellCastStartCmd',676,1),
(17243,60160,61548,'OP_EqSpellMoveToRangeAndRetryCmd',708,1),
(17244,60160,61548,'OP_EqStartBrokerCmd',705,1),
(17245,60160,61548,'OP_EqStateCmd',643,1),
(17246,60160,61548,'OP_EqStoreLogCmd',707,1),
(17247,60160,61548,'OP_EqUpdateBankCmd',669,1),
(17248,60160,61548,'OP_EqUpdateGhostCmd',628,1),
(17249,60160,61548,'OP_EqUpdateLootCmd',672,1),
(17250,60160,61548,'OP_EqUpdateMerchantCmd',664,1),
(17251,60160,61548,'OP_EqUpdatePlayerMailCmd',709,1),
(17252,60160,61548,'OP_EqUpdatePlayerTradeCmd',666,1),
(17253,60160,61548,'OP_EqUpdateSignWidgetCmd',691,1),
(17254,60160,61548,'OP_EqUpdateStoreCmd',665,1),
(17255,60160,61548,'OP_EqUpdateSubClassesCmd',638,1),
(17256,60160,61548,'OP_EqUpdateTargetCmd',701,1),
(17257,60160,61548,'OP_EqWhoChannelQueryReplyCmd',699,1),
(17258,60160,61548,'OP_ESInitMsg',27,1),
(17259,60160,61548,'OP_ESLoginRequestMsg',3,1),
(17260,60160,61548,'OP_ESReadyForClientsMsg',28,1),
(17261,60160,61548,'OP_ESStatusMsg',102,1),
(17262,60160,61548,'OP_ESWeatherRequestEndMsg',107,1),
(17263,60160,61548,'OP_ESWeatherRequestMsg',106,1),
(17264,60160,61548,'OP_ESZoneInstanceStatusMsg',103,1),
(17265,60160,61548,'OP_ExamineConsignmentRequestMsg',174,1),
(17266,60160,61548,'OP_ExamineConsignmentResponseMsg',175,1),
(17267,60160,61548,'OP_ExamineInfoRequestMsg',259,1),
(17268,60160,61548,'OP_ExamineItemRequestMsg',198,1),
(17269,60160,61548,'OP_ExitHouseMsg',158,1),
(17270,60160,61548,'OP_ExpectClientAsCharacterReplyMs',24,1),
(17271,60160,61548,'OP_ExpectClientAsCharacterRequest',34,1),
(17272,60160,61548,'OP_ExpPurchWindow',739,1),
(17273,60160,61548,'OP_FellowshipExpMsg',125,1),
(17274,60160,61548,'OP_FlightPathsMsg',417,1),
(17275,60160,61548,'OP_GameWorldTimeMsg',45,1),
(17276,60160,61548,'OP_PaperdollImage',581,1),
(17277,60160,61548,'OP_GetAuctionAssetIDMsg',445,1),
(17278,60160,61548,'OP_GetAuctionAssetIDReplyMsg',446,1),
(17279,60160,61548,'OP_GetAvatarAccessRequestForCSToo',397,1),
(17280,60160,61548,'OP_GetCharacterSerializedReplyMsg',428,1),
(17281,60160,61548,'OP_GetCharacterSerializedRequestM',427,1),
(17282,60160,61548,'OP_GroupCreatedMsg',90,1),
(17283,60160,61548,'OP_GroupDestroyedMsg',91,1),
(17284,60160,61548,'OP_GroupLeaderChangedMsg',95,1),
(17285,60160,61548,'OP_GroupMemberAddedMsg',92,1),
(17286,60160,61548,'OP_GroupMemberRemovedMsg',93,1),
(17287,60160,61548,'OP_GroupOptionsMsg',202,1),
(17288,60160,61548,'OP_GroupRemovedFromGroupMsg',94,1),
(17289,60160,61548,'OP_GroupResendOOZDataMsg',96,1),
(17290,60160,61548,'OP_GroupSettingsChangedMsg',97,1),
(17291,60160,61548,'OP_GuildBankActionMsg',278,1),
(17292,60160,61548,'OP_GuildBankActionResponseMsg',279,1),
(17293,60160,61548,'OP_GuildBankEventListMsg',283,1),
(17294,60160,61548,'OP_GuildBankItemDetailsRequestMsg',280,1),
(17295,60160,61548,'OP_GuildBankItemDetailsResponseMs',281,1),
(17296,60160,61548,'OP_GuildBankUpdateMsg',282,1),
(17297,60160,61548,'OP_GuildEventActionMsg',273,1),
(17298,60160,61548,'OP_GuildEventAddMsg',272,1),
(17299,60160,61548,'OP_GuildEventDetailsMsg',276,1),
(17300,60160,61548,'OP_GuildEventListMsg',274,1),
(17301,60160,61548,'OP_GuildEventMsg',271,1),
(17302,60160,61548,'OP_GuildMembershipResponseMsg',361,1),
(17303,60160,61548,'OP_GuildRecruiting',719,1),
(17304,60160,61548,'OP_GuildRecruitingDetails',720,1),
(17305,60160,61548,'OP_GuildRecruitingImage',721,1),
(17306,60160,61548,'OP_GuildRecruitingMemberInfo',718,1),
(17307,60160,61548,'OP_GuildsayMsg',124,1),
(17308,60160,61548,'OP_GuildStatusUpdate',712,1),
(17309,60160,61548,'OP_GuildUpdateMsg',127,1),
(17310,60160,61548,'OP_HeritageMsg',10004,1),
(17311,60160,61548,'OP_HideIllusionsMsg',197,1),
(17312,60160,61548,'OP_HouseAccessRemoveMsg',161,1),
(17313,60160,61548,'OP_HouseAccessSetMsg',160,1),
(17314,60160,61548,'OP_HouseCustomizationScreenMsg',169,1),
(17315,60160,61548,'OP_HouseDefaultAccessSetMsg',159,1),
(17316,60160,61548,'OP_HouseDeletedRemotelyMsg',145,1),
(17317,60160,61548,'OP_HouseItemsList',488,1),
(17318,60160,61548,'OP_HousingDataChangedMsg',431,1),
(17319,60160,61548,'OP_HousingRestoreMsg',432,1),
(17320,60160,61548,'OP_InspectPlayerMsg',367,1),
(17321,60160,61548,'OP_InspectPlayerRequestMsg',454,1),
(17322,60160,61548,'OP_InviteRequestMsg',451,1),
(17323,60160,61548,'OP_InviteResponseMsg',452,1),
(17324,60160,61548,'OP_InviteTargetResponseMsg',453,1),
(17325,60160,61548,'OP_JoinGuildNotifyMsg',363,1),
(17326,60160,61548,'OP_JournalQuestStoryline',761,1),
(17327,60160,61548,'OP_KeymapDataMsg',180,1),
(17328,60160,61548,'OP_KeymapLoadMsg',178,1),
(17329,60160,61548,'OP_KeymapNoneMsg',179,1),
(17330,60160,61548,'OP_KeymapSaveMsg',181,1),
(17331,60160,61548,'OP_KnowledgebaseRequestMsg',230,1),
(17332,60160,61548,'OP_KnowledgebaseResponseMsg',231,1),
(17333,60160,61548,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(17334,60160,61548,'OP_KnownLanguagesMsg',242,1),
(17335,60160,61548,'OP_Launchpad',579,1),
(17336,60160,61548,'OP_LeaveGuildNotifyMsg',362,1),
(17337,60160,61548,'OP_LevelChangedMsg',265,1),
(17338,60160,61548,'OP_LFGGroupSearch',508,1),
(17339,60160,61548,'OP_LFGUpdateMsg',522,1),
(17340,60160,61548,'OP_LikeOption',139,1),
(17341,60160,61548,'OP_LoadCalendarEvents',582,1),
(17342,60160,61548,'OP_LoadWelcomeWindow',564,1),
(17343,60160,61548,'OP_LoginByNumRequestMsg',1,1),
(17344,60160,61548,'OP_LoginReplyMsg',4,1),
(17345,60160,61548,'OP_LoginRequestMsg',0,1),
(17346,60160,61548,'OP_LootItemsRequestMsg',188,1),
(17347,60160,61548,'OP_Lottery',717,1),
(17348,60160,61548,'OP_LSCheckAcctLockMsg',207,1),
(17349,60160,61548,'OP_LsClientAlertlogReplyMsg',246,1),
(17350,60160,61548,'OP_LsClientBaselogReplyMsg',244,1),
(17351,60160,61548,'OP_LsClientCrashlogReplyMsg',245,1),
(17352,60160,61548,'OP_LsClientVerifylogReplyMsg',247,1),
(17353,60160,61548,'OP_LsRequestClientCrashLogMsg',243,1),
(17354,60160,61548,'OP_LSServerLockMsg',369,1),
(17355,60160,61548,'OP_MacroInitMsg',262,1),
(17356,60160,61548,'OP_MacroUpdateMsg',263,1),
(17357,60160,61548,'OP_MailCommitSendMessageMsg',348,1),
(17358,60160,61548,'OP_MailDeleteMessageMsg',344,1),
(17359,60160,61548,'OP_MailEventNotificationMsg',415,1),
(17360,60160,61548,'OP_MailGetHeadersReplyMsg',345,1),
(17361,60160,61548,'OP_MailGetMessageMsg',342,1),
(17362,60160,61548,'OP_MailGetMessageReplyMsg',346,1),
(17363,60160,61548,'OP_MailRemoveAttachFromMailMsg',350,1),
(17364,60160,61548,'OP_MailSendMessageMsg',343,1),
(17365,60160,61548,'OP_MailSendMessageReplyMsg',347,1),
(17366,60160,61548,'OP_MailSendSystemMessageMsg',349,1),
(17367,60160,61548,'OP_MakeGroupLeaderMsg',89,1),
(17368,60160,61548,'OP_MapFogDataInitMsg',399,1),
(17369,60160,61548,'OP_MapFogDataUpdateMsg',400,1),
(17370,60160,61548,'OP_MapRequest',525,1),
(17371,60160,61548,'OP_MarketAddFundsReply',533,1),
(17372,60160,61548,'OP_MarketAddFundsRequest',532,1),
(17373,60160,61548,'OP_MarketFundsUpdate',530,1),
(17374,60160,61548,'OP_MarketPlaceItems',543,1),
(17375,60160,61548,'OP_MarketPlacePrices',536,1),
(17376,60160,61548,'OP_MarketPurchase',535,1),
(17377,60160,61548,'OP_MentorPopup',562,1),
(17378,60160,61548,'OP_MercHireWindow',764,1),
(17379,60160,61548,'OP_MercUnknown',765,1),
(17380,60160,61548,'OP_MigrateBoatTransportMsg',256,1),
(17381,60160,61548,'OP_MigrateBoatTransportReplyMsg',257,1),
(17382,60160,61548,'OP_MigrateClientToZoneReplyMsg',84,1),
(17383,60160,61548,'OP_MigrateClientToZoneRequestMsg',83,1),
(17384,60160,61548,'OP_ModifyGuildMsg',270,1),
(17385,60160,61548,'OP_MonitorCharacterListMsg',58,1),
(17386,60160,61548,'OP_MonitorCharacterListRequestMsg',59,1),
(17387,60160,61548,'OP_MonitorReplyMsg',57,1),
(17388,60160,61548,'OP_MOTDMsg',46,1),
(17389,60160,61548,'OP_MoveableObjectPlacementCriteri',163,1),
(17390,60160,61548,'OP_MoveLogUpdateMsg',404,1),
(17391,60160,61548,'OP_NotifyApprenticeStoppedMentori',412,1),
(17392,60160,61548,'OP_OfferQuestMsg',405,1),
(17393,60160,61548,'OP_OnscreenMsgMsg',268,1),
(17394,60160,61548,'OP_OpenCharCust',565,1),
(17395,60160,61548,'OP_OutOfZoneMemberDataMsg',98,1),
(17396,60160,61548,'OP_PayHouseUpkeepMsg',162,1),
(17397,60160,61548,'OP_PerformCameraShakeMsg',217,1),
(17398,60160,61548,'OP_PerformPlayerKnockbackMsg',216,1),
(17399,60160,61548,'OP_PetOptions',204,1),
(17400,60160,61548,'OP_PetOptionsResponse',585,1),
(17401,60160,61548,'OP_PlayCharacterReplyMsg',21,1),
(17402,60160,61548,'OP_PlayCharacterRequestMsg',20,1),
(17403,60160,61548,'OP_PlayerHouseAccessUpdateMsg',150,1),
(17404,60160,61548,'OP_PlayerHouseBaseScreenMsg',148,1),
(17405,60160,61548,'OP_PlayerHouseCloseUIMsg',152,1),
(17406,60160,61548,'OP_PlayerHouseDisplayStatusMsg',151,1),
(17407,60160,61548,'OP_PlayerHousePurchaseScreenMsg',149,1),
(17408,60160,61548,'OP_PlayerMadeInstances',143,1),
(17409,60160,61548,'OP_PlayerMadeInstancesScreen',142,1),
(17410,60160,61548,'OP_PlayerPollAnswer',561,1),
(17411,60160,61548,'OP_PlayerPollPopup',560,1),
(17412,60160,61548,'OP_PlayLon',515,1),
(17413,60160,61548,'OP_PointOfInterest',743,1),
(17414,60160,61548,'OP_PointOfInterest2',744,1),
(17415,60160,61548,'OP_PopulateSkillMapsMsg',218,1),
(17416,60160,61548,'OP_PositionBoatTransportMsg',255,1),
(17417,60160,61548,'OP_PositionMoveableObject',165,1),
(17418,60160,61548,'OP_PostPossessionMsg',458,1),
(17419,60160,61548,'OP_PredictionUpdateMsg',39,1),
(17420,60160,61548,'OP_PrePossessionMsg',457,1),
(17421,60160,61548,'OP_PromoFlagsDetailsMsg',378,1),
(17422,60160,61548,'OP_PublishHouse',141,1),
(17423,60160,61548,'OP_PurchaseConsignmentLoreCheckRe',411,1),
(17424,60160,61548,'OP_PurchaseConsignmentRequestMsg',131,1),
(17425,60160,61548,'OP_QueAllBgSolo',568,1),
(17426,60160,61548,'OP_QuestionnaireMsg',264,1),
(17427,60160,61548,'OP_QuestJournalInspectMsg',116,1),
(17428,60160,61548,'OP_QuestJournalOpenMsg',115,1),
(17429,60160,61548,'OP_QuestJournalSetVisibleMsg',117,1),
(17430,60160,61548,'OP_QuestJournalWaypointMsg',118,1),
(17431,60160,61548,'OP_QuestReward',324,1),
(17432,60160,61548,'OP_QuickbarInitMsg',260,1),
(17433,60160,61548,'OP_QuickbarUpdateMsg',261,1),
(17434,60160,61548,'OP_RaceRestrictionMsg',443,1),
(17435,60160,61548,'OP_ReadBookPageMsg',199,1),
(17436,60160,61548,'OP_ReadyForTakeOffMsg',195,1),
(17437,60160,61548,'OP_ReadyToZoneMsg',86,1),
(17438,60160,61548,'OP_RecipeBook',544,1),
(17439,60160,61548,'OP_RecipeDetailsMsg',74,1),
(17440,60160,61548,'OP_RecipeList',755,1),
(17441,60160,61548,'OP_RecipeListUnknown',597,1),
(17442,60160,61548,'OP_RelinquishHouseMsg',156,1),
(17443,60160,61548,'OP_ReloadLocalizedTxtMsg',359,1),
(17444,60160,61548,'OP_RemoteCmdMsg',44,1),
(17445,60160,61548,'OP_RemoveClientFromGroupMsg',87,1),
(17446,60160,61548,'OP_RemoveConcentrationMsg',114,1),
(17447,60160,61548,'OP_RemoveGroupFromGroupMsg',88,1),
(17448,60160,61548,'OP_RemoveSpellEffectMsg',113,1),
(17449,60160,61548,'OP_RenameGuildMsg',286,1),
(17450,60160,61548,'OP_ReplaceableSubMeshesMsg',168,1),
(17451,60160,61548,'OP_ReportMsg',384,1),
(17452,60160,61548,'OP_RequestCampMsg',52,1),
(17453,60160,61548,'OP_RequestGuildBankEventDetailsMs',284,1),
(17454,60160,61548,'OP_RequestGuildEventDetailsMsg',275,1),
(17455,60160,61548,'OP_RequestGuildInfoMsg',277,1),
(17456,60160,61548,'OP_RequestGuildMembershipMsg',360,1),
(17457,60160,61548,'OP_RequestHelpRepathMsg',209,1),
(17458,60160,61548,'OP_RequestRecipeDetailsMsg',73,1),
(17459,60160,61548,'OP_RequestTargetLocMsg',210,1),
(17460,60160,61548,'OP_Research',756,1),
(17461,60160,61548,'OP_ResendWorldChannelsMsg',447,1),
(17462,60160,61548,'OP_ReskinCharacterRequestMsg',15,1),
(17463,60160,61548,'OP_RestartZoneMsg',416,1),
(17464,60160,61548,'OP_RewardPackMsg',285,1),
(17465,60160,61548,'OP_SatMsg',192,1),
(17466,60160,61548,'OP_SavageBarInitMsg',584,1),
(17467,60160,61548,'OP_SelectZoneTeleporterDestinatio',358,1),
(17468,60160,61548,'OP_SendLatestRequestMsg',99,1),
(17469,60160,61548,'OP_ServerPlayCharacterReplyMsg',26,1),
(17470,60160,61548,'OP_ServerPlayCharacterRequestMsg',25,1),
(17471,60160,61548,'OP_SetInstanceDisplayNameMsg',444,1),
(17472,60160,61548,'OP_SetRemoteCmdsMsg',43,1),
(17473,60160,61548,'OP_SetSocialMsg',101,1),
(17474,60160,61548,'OP_ShaderCustomizationMsg',167,1),
(17475,60160,61548,'OP_ShowCreateFromRecipeUIMsg',222,1),
(17476,60160,61548,'OP_ShowIllusionsMsg',196,1),
(17477,60160,61548,'OP_ShowItemCreationProcessUIMsg',226,1),
(17478,60160,61548,'OP_ShowRecipeBookMsg',229,1),
(17479,60160,61548,'OP_ShowZoneTeleporterDestinations',357,1),
(17480,60160,61548,'OP_SitMsg',190,1),
(17481,60160,61548,'OP_SkillInfoRequest',518,1),
(17482,60160,61548,'OP_SkillInfoResponse',519,1),
(17483,60160,61548,'OP_SOEAllAccess',620,1),
(17484,60160,61548,'OP_SpellGainedMsg',266,1),
(17485,60160,61548,'OP_StandMsg',191,1),
(17486,60160,61548,'OP_StoodMsg',193,1),
(17487,60160,61548,'OP_StopItemCreationMsg',225,1),
(17488,60160,61548,'OP_StoppedLootingMsg',189,1),
(17489,60160,61548,'OP_StopTrackingMsg',395,1),
(17490,60160,61548,'OP_SubmitCharCust',566,1),
(17491,60160,61548,'OP_SupplyDepot',753,1),
(17492,60160,61548,'OP_SysClient',221,1),
(17493,60160,61548,'OP_TeleportWithinZoneMsg',81,1),
(17494,60160,61548,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(17495,60160,61548,'OP_TintWidgetsMsg',173,1),
(17496,60160,61548,'OP_TitleUpdateMsg',388,1),
(17497,60160,61548,'OP_TrackingUpdateMsg',393,1),
(17498,60160,61548,'OP_TradeskillList',722,1),
(17499,60160,61548,'OP_TraitsList',745,1),
(17500,60160,61548,'OP_UIEvent',531,1),
(17501,60160,61548,'OP_UIResetMsg',177,1),
(17502,60160,61548,'OP_UISettingsResponseMsg',176,1),
(17503,60160,61548,'OP_Unknown',778,1),
(17504,60160,61548,'OP_UnknownNpcMsg',377,1),
(17505,60160,61548,'OP_UpdateActivePublicZonesMsg',376,1),
(17506,60160,61548,'OP_UpdateCharacterSheetMsg',65,1),
(17507,60160,61548,'OP_UpdateClientPredFlagsMsg',249,1),
(17508,60160,61548,'OP_UpdateDebugRadiiMsg',383,1),
(17509,60160,61548,'OP_UpdateGroupMemberDataMsg',392,1),
(17510,60160,61548,'OP_UpdateHouseAccessDataMsg',147,1),
(17511,60160,61548,'OP_UpdateHouseDataMsg',146,1),
(17512,60160,61548,'OP_UpdateInventoryMsg',70,1),
(17513,60160,61548,'OP_UpdateItemCreationProcessUIMsg',227,1),
(17514,60160,61548,'OP_UpdateMotdMsg',211,1),
(17515,60160,61548,'OP_UpdateOpportunityMsg',77,1),
(17516,60160,61548,'OP_UpdatePositionMsg',41,1),
(17517,60160,61548,'OP_UpdateRaidMsg',385,1),
(17518,60160,61548,'OP_UpdateRecipeBookMsg',72,1),
(17519,60160,61548,'OP_UpdateSkillBookMsg',75,1),
(17520,60160,61548,'OP_UpdateSkillsMsg',76,1),
(17521,60160,61548,'OP_UpdateSpellBookMsg',68,1),
(17522,60160,61548,'OP_UpdateTargetLocMsg',64,1),
(17523,60160,61548,'OP_UpdateTargetMsg',63,1),
(17524,60160,61548,'OP_UpdateTitleCmd',498,1),
(17525,60160,61548,'OP_UseAdornment',733,1),
(17526,60160,61548,'OP_VideoUploaded',583,1),
(17527,60160,61548,'OP_VoiceChatChannel',524,1),
(17528,60160,61548,'OP_VoiceChatServer',749,1),
(17529,60160,61548,'OP_WaypointReplyMsg',353,1),
(17530,60160,61548,'OP_WaypointRequestMsg',352,1),
(17531,60160,61548,'OP_WaypointSelectMsg',354,1),
(17532,60160,61548,'OP_WaypointUpdateMsg',355,1),
(17533,60160,61548,'OP_Weakness',587,1),
(17534,60160,61548,'OP_WhoQueryReplyMsg',56,1),
(17535,60160,61548,'OP_WhoQueryRequestMsg',55,1),
(17536,60160,61548,'OP_WorldDataChangeMsg',414,1),
(17537,60160,61548,'OP_WorldDataUpdateMsg',240,1),
(17538,60160,61548,'OP_WorldListMsg',8,1),
(17539,60160,61548,'OP_WorldPingMsg',403,1),
(17540,60160,61548,'OP_WorldShutdownUpdateMsg',407,1),
(17541,60160,61548,'OP_WorldStatusChangeMsg',6,1),
(17542,60160,61548,'OP_WorldTravelAvail',576,1),
(17543,60160,61548,'OP_WSAcctLockStatusMsg',208,1),
(17544,60160,61548,'OP_WSCreateCharacterReplyMsg',14,1),
(17545,60160,61548,'OP_WSCreateCharacterRequestMsg',13,1),
(17546,60160,61548,'OP_WSLoginRequestMsg',2,1),
(17547,60160,61548,'OP_WSServerHideMsg',370,1),
(17548,60160,61548,'OP_WSServerLockMsg',368,1),
(17549,60160,61548,'OP_WSStatusReplyMsg',5,1),
(17550,60160,61548,'OP_ZoneBgInstanceList',572,1),
(17551,60160,61548,'OP_ZoneInfoMsg',35,1),
(17552,60160,61548,'OP_ZoneInstanceCreateReplyMsg',32,1),
(17553,60160,61548,'OP_ZoneInstanceDestroyedMsg',33,1),
(17554,60160,61548,'OP_ZoneMOTDMsg',47,1),
(17555,60160,61548,'OP_ZonesStatusMsg',105,1),
(17556,60160,61548,'OP_ZonesStatusRequestMsg',104,1),
(17557,60160,61548,'OP_ZoneToFriendReplyMsg',288,1),
(17558,60160,61548,'OP_ZoneToFriendRequestMsg',287,1),
(18024,60160,61548,'OP_EarlyLandingRequestMsg',490,1),
(18025,60127,60158,'OP_EarlyLandingRequestMsg',490,1),
(18026,60085,60116,'OP_EarlyLandingRequestMsg',489,1),
(18027,60036,60069,'OP_EarlyLandingRequestMsg',487,1),
(18028,60024,60024,'OP_EarlyLandingRequestMsg',486,1),
(18029,58647,58647,'OP_EarlyLandingRequestMsg',486,1),
(18030,58604,58604,'OP_EarlyLandingRequestMsg',486,1),
(18031,58542,58588,'OP_EarlyLandingRequestMsg',486,1),
(18032,57121,58525,'OP_EarlyLandingRequestMsg',486,1),
(18033,57107,57109,'OP_EarlyLandingRequestMsg',486,1),
(18034,57080,57095,'OP_EarlyLandingRequestMsg',486,1),
(18035,57048,57079,'OP_EarlyLandingRequestMsg',486,1),
(18036,57032,57047,'OP_EarlyLandingRequestMsg',486,1),
(18037,57015,57031,'OP_EarlyLandingRequestMsg',486,1),
(18038,57003,57014,'OP_EarlyLandingRequestMsg',486,1),
(18039,57000,57002,'OP_EarlyLandingRequestMsg',9999,1),
(18040,1208,1208,'OP_EarlyLandingRequestMsg',485,1),
(18041,1204,1205,'OP_EarlyLandingRequestMsg',9999,1),
(18042,1198,1199,'OP_EarlyLandingRequestMsg',9999,1),
(18043,1188,1195,'OP_EarlyLandingRequestMsg',9999,1),
(18044,1096,1096,'OP_EarlyLandingRequestMsg',468,1),
(18045,1045,1086,'OP_EarlyLandingRequestMsg',9999,1),
(18046,972,1011,'OP_EarlyLandingRequestMsg',9999,1),
(18047,908,927,'OP_EarlyLandingRequestMsg',9999,1),
(18049,562,838,'OP_EarlyLandingRequestMsg',9999,1),
(18050,61581,61581,'OP_AchievementUpdateMsg',766,1),
(18051,61581,61581,'OP_AddSocialStructureStandingMsg',253,1),
(18052,61581,61581,'OP_AdvancementRequestMsg',399,1),
(18053,61581,61581,'OP_AdventureList',493,1),
(18054,61581,61581,'OP_AFKUpdateMsg',374,1),
(18055,61581,61581,'OP_AfterInvSpellUpdate',71,1),
(18056,61581,61581,'OP_AllCharactersDescReplyMsg',10,1),
(18057,61581,61581,'OP_AllCharactersDescRequestMsg',9,1),
(18058,61581,61581,'OP_AllWSDescRequestMsg',7,1),
(18059,61581,61581,'OP_AnonUpdateMsg',375,1),
(18060,61581,61581,'OP_ArenaCreate',461,1),
(18061,61581,61581,'OP_ArenaGameTypesMsg',450,1),
(18062,61581,61581,'OP_ArenaList',462,1),
(18063,61581,61581,'OP_ArenaWindow',470,1),
(18064,61581,61581,'OP_AttackAllowed',505,1),
(18065,61581,61581,'OP_AttackNotAllowed',506,1),
(18066,61581,61581,'OP_AuctionAbortMsg',441,1),
(18067,61581,61581,'OP_AuctionCharacter',438,1),
(18068,61581,61581,'OP_AuctionCharacterReply',439,1),
(18069,61581,61581,'OP_AuctionCoin',436,1),
(18070,61581,61581,'OP_AuctionCoinReply',437,1),
(18071,61581,61581,'OP_AuctionCommitMsg',440,1),
(18072,61581,61581,'OP_AuctionItem',434,1),
(18073,61581,61581,'OP_AuctionItemReply',435,1),
(18074,61581,61581,'OP_AuditAuctionEventMsg',451,1),
(18075,61581,61581,'OP_AvatarCreatedMsg',48,1),
(18076,61581,61581,'OP_AvatarDestroyedMsg',49,1),
(18077,61581,61581,'OP_AvatarUpdateMsg',364,1),
(18078,61581,61581,'OP_BadLanguageFilter',524,1),
(18079,61581,61581,'OP_BagOptions',507,1),
(18080,61581,61581,'OP_BeginItemCreationMsg',224,1),
(18081,61581,61581,'OP_BeginTrackingMsg',395,1),
(18082,61581,61581,'OP_BioUpdateMsg',366,1),
(18083,61581,61581,'OP_BrokerAddBag',296,1),
(18084,61581,61581,'OP_BrokerRemoveBag',297,1),
(18085,61581,61581,'OP_BrokerSellList',709,1),
(18086,61581,61581,'OP_BuyPlayerHouseMsg',153,1),
(18087,61581,61581,'OP_BuyPlayerHouseTintMsg',154,1),
(18088,61581,61581,'OP_CampAbortedMsg',54,1),
(18089,61581,61581,'OP_CampClientMsg',392,1),
(18090,61581,61581,'OP_CampStartedMsg',53,1),
(18091,61581,61581,'OP_CancelCreateFromRecipeMsg',223,1),
(18092,61581,61581,'OP_CancelledFeignMsg',219,1),
(18093,61581,61581,'OP_CancelMoveObjectModeMsg',166,1),
(18094,61581,61581,'OP_CancelSpellCast',494,1),
(18095,61581,61581,'OP_ChangeServerControlFlagMsg',250,1),
(18096,61581,61581,'OP_ChangeZoneMsg',79,1),
(18097,61581,61581,'OP_CharacterAchievements',765,1),
(18098,61581,61581,'OP_CharacterCreatedDungeons',558,1),
(18099,61581,61581,'OP_CharacterCurrency',764,1),
(18100,61581,61581,'OP_CharacterHousingList',512,1),
(18101,61581,61581,'OP_CharacterLinkdeadMsg',419,1),
(18102,61581,61581,'OP_CharacterMerc',67,1),
(18103,61581,61581,'OP_CharacterMounts',591,1),
(18104,61581,61581,'OP_CharacterPet',66,1),
(18105,61581,61581,'OP_CharNameChangedMsg',356,1),
(18106,61581,61581,'OP_CharRenamed',730,1),
(18107,61581,61581,'OP_CharTransferCommitReplyMsg',427,1),
(18108,61581,61581,'OP_CharTransferCommitRequestMsg',425,1),
(18109,61581,61581,'OP_CharTransferReplyMsg',423,1),
(18110,61581,61581,'OP_CharTransferRequestMsg',422,1),
(18111,61581,61581,'OP_CharTransferRollbackReplyMsg',426,1),
(18112,61581,61581,'OP_CharTransferRollbackRequestMsg',424,1),
(18113,61581,61581,'OP_CharTransferStartReplyMsg',421,1),
(18114,61581,61581,'OP_CharTransferStartRequestMsg',420,1),
(18115,61581,61581,'OP_CharTransferValidateReplyMsg',443,1),
(18116,61581,61581,'OP_CharTransferValidateRequestMsg',442,1),
(18117,61581,61581,'OP_ChatCreateChannelMsg',289,1),
(18118,61581,61581,'OP_ChatFiltersMsg',338,1),
(18119,61581,61581,'OP_ChatJoinChannelMsg',290,1),
(18120,61581,61581,'OP_ChatLeaveChannelMsg',292,1),
(18121,61581,61581,'OP_ChatRelationshipUpdateMsg',187,1),
(18122,61581,61581,'OP_ChatSendFriendsMsg',299,1),
(18123,61581,61581,'OP_ChatSendIgnoresMsg',300,1),
(18124,61581,61581,'OP_ChatTellChannelMsg',293,1),
(18125,61581,61581,'OP_ChatTellUserMsg',294,1),
(18126,61581,61581,'OP_ChatToggleFriendMsg',295,1),
(18127,61581,61581,'OP_ChatToggleIgnoreMsg',298,1),
(18128,61581,61581,'OP_ChatWhoChannelMsg',291,1),
(18129,61581,61581,'OP_ClearDataMsg',100,1),
(18130,61581,61581,'OP_ClearForLandingMsg',496,1),
(18131,61581,61581,'OP_ClearForTakeOffMsg',194,1),
(18132,61581,61581,'OP_ClientCmdMsg',60,1),
(18133,61581,61581,'OP_ClientFellMsg',390,1),
(18134,61581,61581,'OP_ClientIdleBeginMsg',410,1),
(18135,61581,61581,'OP_ClientIdleEndMsg',411,1),
(18136,61581,61581,'OP_ClientInDeathRegionMsg',391,1),
(18137,61581,61581,'OP_ClientTeleportRequestMsg',80,1),
(18138,61581,61581,'OP_ClientTeleportToLocationMsg',248,1),
(18139,61581,61581,'OP_CloseGroupInviteWindowMsg',402,1),
(18140,61581,61581,'OP_CollectAllHouseItemsMsg',155,1),
(18141,61581,61581,'OP_ConsignItemRequestMsg',129,1),
(18142,61581,61581,'OP_ConsignItemResponseMsg',130,1),
(18143,61581,61581,'OP_ConsignmentCloseStoreMsg',128,1),
(18144,61581,61581,'OP_ConsignRemoveItemsMsg',382,1),
(18145,61581,61581,'OP_ConsignViewCreateMsg',379,1),
(18146,61581,61581,'OP_ConsignViewGetPageMsg',380,1),
(18147,61581,61581,'OP_ConsignViewReleaseMsg',381,1),
(18148,61581,61581,'OP_ConsignViewSortMsg',388,1),
(18149,61581,61581,'OP_CorruptedClientMsg',414,1),
(18150,61581,61581,'OP_CreateBoatTransportsMsg',254,1),
(18151,61581,61581,'OP_CreateCharacterDungeon',552,1),
(18152,61581,61581,'OP_CreateCharacterReplyMsg',12,1),
(18153,61581,61581,'OP_CreateCharacterRequestMsg',11,1),
(18154,61581,61581,'OP_CreateCharFromCBBReplyMsg',431,1),
(18155,61581,61581,'OP_CreateCharFromCBBRequestMsg',430,1),
(18156,61581,61581,'OP_CreateGuildReplyMsg',123,1),
(18157,61581,61581,'OP_CreateGuildRequestMsg',121,1),
(18158,61581,61581,'OP_CreateZoneInstanceMsg',31,1),
(18159,61581,61581,'OP_CsCategoryRequestMsg',371,1),
(18160,61581,61581,'OP_CsCategoryResponseMsg',372,1),
(18161,61581,61581,'OP_CSTicketAddCommentMsg',237,1),
(18162,61581,61581,'OP_CSTicketChangeNotificationMsg',239,1),
(18163,61581,61581,'OP_CSTicketCommentRequestMsg',234,1),
(18164,61581,61581,'OP_CSTicketCommentResponseMsg',235,1),
(18165,61581,61581,'OP_CSTicketCreateMsg',236,1),
(18166,61581,61581,'OP_CSTicketDeleteMsg',238,1),
(18167,61581,61581,'OP_CSTicketHeaderRequestMsg',232,1),
(18168,61581,61581,'OP_CSTicketInfoMsg',233,1),
(18169,61581,61581,'OP_CSToolAccessResponseMsg',393,1),
(18170,61581,61581,'OP_CSToolsRequestMsg',251,1),
(18171,61581,61581,'OP_CSToolsResponseMsg',252,1),
(18172,61581,61581,'OP_CurrentPet',490,1),
(18173,61581,61581,'OP_CustomizationPurchaseRequestMs',170,1),
(18174,61581,61581,'OP_CustomizationReplyMsg',172,1),
(18175,61581,61581,'OP_CustomizationSetRequestMsg',171,1),
(18176,61581,61581,'OP_CustomizeHouseDisplay',755,1),
(18177,61581,61581,'OP_DailyObjectives',604,1),
(18178,61581,61581,'OP_DefaultGroupOptionsMsg',201,1),
(18179,61581,61581,'OP_DefaultGroupOptionsRequestMsg',200,1),
(18180,61581,61581,'OP_DeleteCharacterReplyMsg',19,1),
(18181,61581,61581,'OP_DeleteCharacterRequestMsg',18,1),
(18182,61581,61581,'OP_DeleteGuildMsg',126,1),
(18183,61581,61581,'OP_DestUpdateReq',213,1),
(18184,61581,61581,'OP_DialogCloseMsg',112,1),
(18185,61581,61581,'OP_DialogSelectMsg',111,1),
(18186,61581,61581,'OP_DispatchClientCmdMsg',62,1),
(18187,61581,61581,'OP_DispatchESMsg',61,1),
(18188,61581,61581,'OP_DispatchMsg',456,1),
(18189,61581,61581,'OP_DispatchSpellCmdMsg',182,1),
(18190,61581,61581,'OP_DisplayDebugNLLPointsMsg',258,1),
(18191,61581,61581,'OP_DisplayEventMsg',457,1),
(18192,61581,61581,'OP_DisplayExchangeScreenMsg',449,1),
(18193,61581,61581,'OP_DisplayGroupOptionsScreenMsg',203,1),
(18194,61581,61581,'OP_DisplayInnVisitScreenMsg',205,1),
(18195,61581,61581,'OP_DisplayMailScreenMsg',409,1),
(18196,61581,61581,'OP_DisplayTSEventReactionMsg',228,1),
(18197,61581,61581,'OP_DisplayWarningMsg',269,1),
(18198,61581,61581,'OP_DoneLoadingEntityResourcesMsg',38,1),
(18199,61581,61581,'OP_DoneLoadingZoneResourcesMsg',36,1),
(18200,61581,61581,'OP_DoneSendingInitialEntitiesMsg',37,1),
(18201,61581,61581,'OP_DressingRoom',515,1),
(18202,61581,61581,'OP_DumpSchedulerMsg',206,1),
(18203,61581,61581,'OP_DungeonMakerEnter',553,1),
(18204,61581,61581,'OP_DungeonMakerItemRequest',557,1),
(18205,61581,61581,'OP_DungeonMakerItemResponse',589,1),
(18206,61581,61581,'OP_DungeonMakerToolboxList',559,1),
(18207,61581,61581,'OP_DungeonMakerUnknown',560,1),
(18208,61581,61581,'OP_DungeonMakerUnknown1',561,1),
(18209,61581,61581,'OP_DungeonPlayAsAvatarList',769,1),
(18210,61581,61581,'OP_DungeonPlayAsAvatarSelected',770,1),
(18211,61581,61581,'OP_EncounterBrokenMsg',267,1),
(18212,61581,61581,'OP_EnterHouseMsg',157,1),
(18213,61581,61581,'OP_EnterMoveObjectModeMsg',164,1),
(18214,61581,61581,'OP_EntityVerbsReplyMsg',184,1),
(18215,61581,61581,'OP_EntityVerbsRequestMsg',183,1),
(18216,61581,61581,'OP_EntityVerbsVerbMsg',185,1),
(18217,61581,61581,'OP_EqArenaResultsCmd',720,1),
(18218,61581,61581,'OP_EqAvailWorldChannelsCmd',707,1),
(18219,61581,61581,'OP_EqBetaCopyRequest',626,1),
(18220,61581,61581,'OP_EqCannedEmoteCmd',649,1),
(18221,61581,61581,'OP_EqChatChannelUpdateCmd',705,1),
(18222,61581,61581,'OP_EqChoiceWinCmd',686,1),
(18223,61581,61581,'OP_EqCloseWindowCmd',678,1),
(18224,61581,61581,'OP_EqCollectionFilterCmd',665,1),
(18225,61581,61581,'OP_EqCollectionItemCmd',666,1),
(18226,61581,61581,'OP_EqCollectionUpdateCmd',664,1),
(18227,61581,61581,'OP_EqConsignmentItemsCmd',710,1),
(18228,61581,61581,'OP_EqCreateGhostCmd',631,1),
(18229,61581,61581,'OP_EqCreateListBoxCmd',646,1),
(18230,61581,61581,'OP_EqCreateSignWidgetCmd',633,1),
(18231,61581,61581,'OP_EqCreateWidgetCmd',632,1),
(18232,61581,61581,'OP_EqDebugPVDCmd',699,1),
(18233,61581,61581,'OP_EqDestroyGhostCmd',634,1),
(18234,61581,61581,'OP_EqDialogCloseCmd',662,1),
(18235,61581,61581,'OP_EqDialogOpenCmd',661,1),
(18236,61581,61581,'OP_EqDisplaySpellFailCmd',682,1),
(18237,61581,61581,'OP_EqDisplayTextCmd',630,1),
(18238,61581,61581,'OP_EqDrawablePathGraphCmd',660,1),
(18239,61581,61581,'OP_EqEnableGameEventCmd',692,1),
(18240,61581,61581,'OP_EqEnableWindowCmd',694,1),
(18241,61581,61581,'OP_EqExamineInfoCmd',677,1),
(18242,61581,61581,'OP_EqFactionUpdateCmd',663,1),
(18243,61581,61581,'OP_EqFlashWindowCmd',695,1),
(18244,61581,61581,'OP_EqGetProbsCmd',703,1),
(18245,61581,61581,'OP_EqGroupMemberRemovedCmd',656,1),
(18246,61581,61581,'OP_EqGuildBankEventActionCmd',721,1),
(18247,61581,61581,'OP_EqGuildBankExamineInfoCmd',722,1),
(18248,61581,61581,'OP_EqHearChainEffectCmd',657,1),
(18249,61581,61581,'OP_EqHearChatCmd',629,1),
(18250,61581,61581,'OP_EqHearCombatCmd',638,1),
(18251,61581,61581,'OP_EqHearConsiderCmd',644,1),
(18252,61581,61581,'OP_EqHearDeathCmd',655,1),
(18253,61581,61581,'OP_EQHearDispellCmd',767,1),
(18254,61581,61581,'OP_EqHearDrowningCmd',654,1),
(18255,61581,61581,'OP_EqHearHealCmd',704,1),
(18256,61581,61581,'OP_EqHearPlayFlavorCmd',697,1),
(18257,61581,61581,'OP_EQHearProcCmd',640,1),
(18258,61581,61581,'OP_EQHearResEffectCmd',641,1),
(18259,61581,61581,'OP_EqHearSpellCastCmd',639,1),
(18260,61581,61581,'OP_EqHearSpellFizzleCmd',643,1),
(18261,61581,61581,'OP_EqHearSpellInterruptCmd',642,1),
(18262,61581,61581,'OP_EqHearSpellNoLandCmd',723,1),
(18263,61581,61581,'OP_EQHearThreatCmd',761,1),
(18264,61581,61581,'OP_EqHelpPathClearCmd',675,1),
(18265,61581,61581,'OP_EqHelpPathCmd',674,1),
(18266,61581,61581,'OP_EqInspectPCResultsCmd',659,1),
(18267,61581,61581,'OP_EqInstructionWindowCloseCmd',689,1),
(18268,61581,61581,'OP_EqInstructionWindowCmd',688,1),
(18269,61581,61581,'OP_EqInstructionWindowGoalCmd',690,1),
(18270,61581,61581,'OP_EqInstructionWindowTaskCmd',691,1),
(18271,61581,61581,'OP_EqJunctionListCmd',680,1),
(18272,61581,61581,'OP_EqMapExplorationCmd',713,1),
(18273,61581,61581,'OP_EqMentoring',668,1),
(18274,61581,61581,'OP_EqPlaySound3DCmd',652,1),
(18275,61581,61581,'OP_EqPlaySoundCmd',651,1),
(18276,61581,61581,'OP_EqPlayVoiceCmd',653,1),
(18277,61581,61581,'OP_EqQuestGroupCmd',670,1),
(18278,61581,61581,'OP_EqQuestionnaireCmd',701,1),
(18279,61581,61581,'OP_EqQuestJournalReplyCmd',669,1),
(18280,61581,61581,'OP_EqQuestJournalUpdateCmd',667,1),
(18281,61581,61581,'OP_EqReceiveOfferCmd',658,1),
(18282,61581,61581,'OP_EqResurrectedCmd',685,1),
(18283,61581,61581,'OP_EqSetControlGhostCmd',636,1),
(18284,61581,61581,'OP_EqSetDebugPathPointsCmd',647,1),
(18285,61581,61581,'OP_EqSetDefaultVerbCmd',687,1),
(18286,61581,61581,'OP_EqSetPOVGhostCmd',637,1),
(18287,61581,61581,'OP_EqShowBookCmd',700,1),
(18288,61581,61581,'OP_EqShowDeathWindowCmd',681,1),
(18289,61581,61581,'OP_EqShowWindowCmd',693,1),
(18290,61581,61581,'OP_EqSpellCastEndCmd',684,1),
(18291,61581,61581,'OP_EqSpellCastStartCmd',683,1),
(18292,61581,61581,'OP_EqSpellMoveToRangeAndRetryCmd',715,1),
(18293,61581,61581,'OP_EqStartBrokerCmd',712,1),
(18294,61581,61581,'OP_EqStateCmd',650,1),
(18295,61581,61581,'OP_EqStoreLogCmd',714,1),
(18296,61581,61581,'OP_EqUpdateBankCmd',676,1),
(18297,61581,61581,'OP_EqUpdateGhostCmd',635,1),
(18298,61581,61581,'OP_EqUpdateLootCmd',679,1),
(18299,61581,61581,'OP_EqUpdateMerchantCmd',671,1),
(18300,61581,61581,'OP_EqUpdatePlayerMailCmd',716,1),
(18301,61581,61581,'OP_EqUpdatePlayerTradeCmd',673,1),
(18302,61581,61581,'OP_EqUpdateSignWidgetCmd',698,1),
(18303,61581,61581,'OP_EqUpdateStoreCmd',672,1),
(18304,61581,61581,'OP_EqUpdateSubClassesCmd',645,1),
(18305,61581,61581,'OP_EqUpdateTargetCmd',708,1),
(18306,61581,61581,'OP_EqWhoChannelQueryReplyCmd',706,1),
(18307,61581,61581,'OP_ESInitMsg',27,1),
(18308,61581,61581,'OP_ESLoginRequestMsg',3,1),
(18309,61581,61581,'OP_ESReadyForClientsMsg',28,1),
(18310,61581,61581,'OP_ESStatusMsg',102,1),
(18311,61581,61581,'OP_ESWeatherRequestEndMsg',107,1),
(18312,61581,61581,'OP_ESWeatherRequestMsg',106,1),
(18313,61581,61581,'OP_ESZoneInstanceStatusMsg',103,1),
(18314,61581,61581,'OP_ExamineConsignmentRequestMsg',174,1),
(18315,61581,61581,'OP_ExamineConsignmentResponseMsg',175,1),
(18316,61581,61581,'OP_ExamineInfoRequestMsg',259,1),
(18317,61581,61581,'OP_ExamineItemRequestMsg',198,1),
(18318,61581,61581,'OP_ExitHouseMsg',158,1),
(18319,61581,61581,'OP_ExpectClientAsCharacterReplyMs',24,1),
(18320,61581,61581,'OP_ExpectClientAsCharacterRequest',34,1),
(18321,61581,61581,'OP_ExpPurchWindow',746,1),
(18322,61581,61581,'OP_FellowshipExpMsg',125,1),
(18323,61581,61581,'OP_FlightPathsMsg',418,1),
(18324,61581,61581,'OP_GameWorldTimeMsg',45,1),
(18325,61581,61581,'OP_PaperdollImage',584,1),
(18326,61581,61581,'OP_GetAuctionAssetIDMsg',446,1),
(18327,61581,61581,'OP_GetAuctionAssetIDReplyMsg',447,1),
(18328,61581,61581,'OP_GetAvatarAccessRequestForCSToo',398,1),
(18329,61581,61581,'OP_GetCharacterSerializedReplyMsg',429,1),
(18330,61581,61581,'OP_GetCharacterSerializedRequestM',428,1),
(18331,61581,61581,'OP_GroupCreatedMsg',90,1),
(18332,61581,61581,'OP_GroupDestroyedMsg',91,1),
(18333,61581,61581,'OP_GroupLeaderChangedMsg',95,1),
(18334,61581,61581,'OP_GroupMemberAddedMsg',92,1),
(18335,61581,61581,'OP_GroupMemberRemovedMsg',93,1),
(18336,61581,61581,'OP_GroupOptionsMsg',202,1),
(18337,61581,61581,'OP_GroupRemovedFromGroupMsg',94,1),
(18338,61581,61581,'OP_GroupResendOOZDataMsg',96,1),
(18339,61581,61581,'OP_GroupSettingsChangedMsg',97,1),
(18340,61581,61581,'OP_GuildBankActionMsg',278,1),
(18341,61581,61581,'OP_GuildBankActionResponseMsg',279,1),
(18342,61581,61581,'OP_GuildBankEventListMsg',283,1),
(18343,61581,61581,'OP_GuildBankItemDetailsRequestMsg',280,1),
(18344,61581,61581,'OP_GuildBankItemDetailsResponseMs',281,1),
(18345,61581,61581,'OP_GuildBankUpdateMsg',282,1),
(18346,61581,61581,'OP_GuildEventActionMsg',273,1),
(18347,61581,61581,'OP_GuildEventAddMsg',272,1),
(18348,61581,61581,'OP_GuildEventDetailsMsg',276,1),
(18349,61581,61581,'OP_GuildEventListMsg',274,1),
(18350,61581,61581,'OP_GuildEventMsg',271,1),
(18351,61581,61581,'OP_GuildMembershipResponseMsg',361,1),
(18352,61581,61581,'OP_GuildRecruiting',726,1),
(18353,61581,61581,'OP_GuildRecruitingDetails',727,1),
(18354,61581,61581,'OP_GuildRecruitingImage',728,1),
(18355,61581,61581,'OP_GuildRecruitingMemberInfo',725,1),
(18356,61581,61581,'OP_GuildsayMsg',124,1),
(18357,61581,61581,'OP_GuildStatusUpdate',719,1),
(18358,61581,61581,'OP_GuildUpdateMsg',127,1),
(18359,61581,61581,'OP_HeritageMsg',10011,1),
(18360,61581,61581,'OP_HideIllusionsMsg',197,1),
(18361,61581,61581,'OP_HouseAccessRemoveMsg',161,1),
(18362,61581,61581,'OP_HouseAccessSetMsg',160,1),
(18363,61581,61581,'OP_HouseCustomizationScreenMsg',169,1),
(18364,61581,61581,'OP_HouseDefaultAccessSetMsg',159,1),
(18365,61581,61581,'OP_HouseDeletedRemotelyMsg',145,1),
(18366,61581,61581,'OP_HouseItemsList',489,1),
(18367,61581,61581,'OP_HousingDataChangedMsg',432,1),
(18368,61581,61581,'OP_HousingRestoreMsg',433,1),
(18369,61581,61581,'OP_InspectPlayerMsg',367,1),
(18370,61581,61581,'OP_InspectPlayerRequestMsg',455,1),
(18371,61581,61581,'OP_InviteRequestMsg',452,1),
(18372,61581,61581,'OP_InviteResponseMsg',453,1),
(18373,61581,61581,'OP_InviteTargetResponseMsg',454,1),
(18374,61581,61581,'OP_JoinGuildNotifyMsg',363,1),
(18375,61581,61581,'OP_JournalQuestStoryline',768,1),
(18376,61581,61581,'OP_KeymapDataMsg',180,1),
(18377,61581,61581,'OP_KeymapLoadMsg',178,1),
(18378,61581,61581,'OP_KeymapNoneMsg',179,1),
(18379,61581,61581,'OP_KeymapSaveMsg',181,1),
(18380,61581,61581,'OP_KnowledgebaseRequestMsg',230,1),
(18381,61581,61581,'OP_KnowledgebaseResponseMsg',231,1),
(18382,61581,61581,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(18383,61581,61581,'OP_KnownLanguagesMsg',242,1),
(18384,61581,61581,'OP_Launchpad',582,1),
(18385,61581,61581,'OP_LeaveGuildNotifyMsg',362,1),
(18386,61581,61581,'OP_LevelChangedMsg',265,1),
(18387,61581,61581,'OP_LFGGroupSearch',509,1),
(18388,61581,61581,'OP_LFGUpdateMsg',523,1),
(18389,61581,61581,'OP_LikeOption',139,1),
(18390,61581,61581,'OP_LoadCalendarEvents',585,1),
(18391,61581,61581,'OP_LoadWelcomeWindow',567,1),
(18392,61581,61581,'OP_LoginByNumRequestMsg',1,1),
(18393,61581,61581,'OP_LoginReplyMsg',4,1),
(18394,61581,61581,'OP_LoginRequestMsg',0,1),
(18395,61581,61581,'OP_LootItemsRequestMsg',188,1),
(18396,61581,61581,'OP_Lottery',724,1),
(18397,61581,61581,'OP_LSCheckAcctLockMsg',207,1),
(18398,61581,61581,'OP_LsClientAlertlogReplyMsg',246,1),
(18399,61581,61581,'OP_LsClientBaselogReplyMsg',244,1),
(18400,61581,61581,'OP_LsClientCrashlogReplyMsg',245,1),
(18401,61581,61581,'OP_LsClientVerifylogReplyMsg',247,1),
(18402,61581,61581,'OP_LsRequestClientCrashLogMsg',243,1),
(18403,61581,61581,'OP_LSServerLockMsg',369,1),
(18404,61581,61581,'OP_MacroInitMsg',262,1),
(18405,61581,61581,'OP_MacroUpdateMsg',263,1),
(18406,61581,61581,'OP_MailCommitSendMessageMsg',348,1),
(18407,61581,61581,'OP_MailDeleteMessageMsg',344,1),
(18408,61581,61581,'OP_MailEventNotificationMsg',416,1),
(18409,61581,61581,'OP_MailGetHeadersReplyMsg',345,1),
(18410,61581,61581,'OP_MailGetMessageMsg',342,1),
(18411,61581,61581,'OP_MailGetMessageReplyMsg',346,1),
(18412,61581,61581,'OP_MailRemoveAttachFromMailMsg',350,1),
(18413,61581,61581,'OP_MailSendMessageMsg',343,1),
(18414,61581,61581,'OP_MailSendMessageReplyMsg',347,1),
(18415,61581,61581,'OP_MailSendSystemMessageMsg',349,1),
(18416,61581,61581,'OP_MakeGroupLeaderMsg',89,1),
(18417,61581,61581,'OP_MapFogDataInitMsg',400,1),
(18418,61581,61581,'OP_MapFogDataUpdateMsg',401,1),
(18419,61581,61581,'OP_MapRequest',526,1),
(18420,61581,61581,'OP_MarketAddFundsReply',534,1),
(18421,61581,61581,'OP_MarketAddFundsRequest',533,1),
(18422,61581,61581,'OP_MarketFundsUpdate',531,1),
(18423,61581,61581,'OP_MarketPlaceItems',544,1),
(18424,61581,61581,'OP_MarketPlacePrices',537,1),
(18425,61581,61581,'OP_MarketPurchase',536,1),
(18426,61581,61581,'OP_MentorPopup',565,1),
(18427,61581,61581,'OP_MercHireWindow',771,1),
(18428,61581,61581,'OP_MercUnknown',772,1),
(18429,61581,61581,'OP_MigrateBoatTransportMsg',256,1),
(18430,61581,61581,'OP_MigrateBoatTransportReplyMsg',257,1),
(18431,61581,61581,'OP_MigrateClientToZoneReplyMsg',84,1),
(18432,61581,61581,'OP_MigrateClientToZoneRequestMsg',83,1),
(18433,61581,61581,'OP_ModifyGuildMsg',270,1),
(18434,61581,61581,'OP_MonitorCharacterListMsg',58,1),
(18435,61581,61581,'OP_MonitorCharacterListRequestMsg',59,1),
(18436,61581,61581,'OP_MonitorReplyMsg',57,1),
(18437,61581,61581,'OP_MOTDMsg',46,1),
(18438,61581,61581,'OP_MoveableObjectPlacementCriteri',163,1),
(18439,61581,61581,'OP_MoveLogUpdateMsg',405,1),
(18440,61581,61581,'OP_NotifyApprenticeStoppedMentori',413,1),
(18441,61581,61581,'OP_OfferQuestMsg',406,1),
(18442,61581,61581,'OP_OnscreenMsgMsg',268,1),
(18443,61581,61581,'OP_OpenCharCust',568,1),
(18444,61581,61581,'OP_OutOfZoneMemberDataMsg',98,1),
(18445,61581,61581,'OP_PayHouseUpkeepMsg',162,1),
(18446,61581,61581,'OP_PerformCameraShakeMsg',217,1),
(18447,61581,61581,'OP_PerformPlayerKnockbackMsg',216,1),
(18448,61581,61581,'OP_PetOptions',204,1),
(18449,61581,61581,'OP_PetOptionsResponse',588,1),
(18450,61581,61581,'OP_PlayCharacterReplyMsg',21,1),
(18451,61581,61581,'OP_PlayCharacterRequestMsg',20,1),
(18452,61581,61581,'OP_PlayerHouseAccessUpdateMsg',150,1),
(18453,61581,61581,'OP_PlayerHouseBaseScreenMsg',148,1),
(18454,61581,61581,'OP_PlayerHouseCloseUIMsg',152,1),
(18455,61581,61581,'OP_PlayerHouseDisplayStatusMsg',151,1),
(18456,61581,61581,'OP_PlayerHousePurchaseScreenMsg',149,1),
(18457,61581,61581,'OP_PlayerMadeInstances',143,1),
(18458,61581,61581,'OP_PlayerMadeInstancesScreen',142,1),
(18459,61581,61581,'OP_PlayerPollAnswer',564,1),
(18460,61581,61581,'OP_PlayerPollPopup',563,1),
(18461,61581,61581,'OP_PlayLon',516,1),
(18462,61581,61581,'OP_PointOfInterest',750,1),
(18463,61581,61581,'OP_PointOfInterest2',751,1),
(18464,61581,61581,'OP_PopulateSkillMapsMsg',218,1),
(18465,61581,61581,'OP_PositionBoatTransportMsg',255,1),
(18466,61581,61581,'OP_PositionMoveableObject',165,1),
(18467,61581,61581,'OP_PostPossessionMsg',459,1),
(18468,61581,61581,'OP_PredictionUpdateMsg',39,1),
(18469,61581,61581,'OP_PrePossessionMsg',458,1),
(18470,61581,61581,'OP_PromoFlagsDetailsMsg',378,1),
(18471,61581,61581,'OP_PublishHouse',141,1),
(18472,61581,61581,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(18473,61581,61581,'OP_PurchaseConsignmentRequestMsg',131,1),
(18474,61581,61581,'OP_QueAllBgSolo',571,1),
(18475,61581,61581,'OP_QuestionnaireMsg',264,1),
(18476,61581,61581,'OP_QuestJournalInspectMsg',116,1),
(18477,61581,61581,'OP_QuestJournalOpenMsg',115,1),
(18478,61581,61581,'OP_QuestJournalSetVisibleMsg',117,1),
(18479,61581,61581,'OP_QuestJournalWaypointMsg',118,1),
(18480,61581,61581,'OP_QuestReward',324,1),
(18481,61581,61581,'OP_QuickbarInitMsg',260,1),
(18482,61581,61581,'OP_QuickbarUpdateMsg',261,1),
(18483,61581,61581,'OP_RaceRestrictionMsg',444,1),
(18484,61581,61581,'OP_ReadBookPageMsg',199,1),
(18485,61581,61581,'OP_ReadyForTakeOffMsg',195,1),
(18486,61581,61581,'OP_ReadyToZoneMsg',86,1),
(18487,61581,61581,'OP_RecipeBook',545,1),
(18488,61581,61581,'OP_RecipeDetailsMsg',74,1),
(18489,61581,61581,'OP_RecipeList',762,1),
(18490,61581,61581,'OP_RecipeListUnknown',600,1),
(18491,61581,61581,'OP_RelinquishHouseMsg',156,1),
(18492,61581,61581,'OP_ReloadLocalizedTxtMsg',359,1),
(18493,61581,61581,'OP_RemoteCmdMsg',44,1),
(18494,61581,61581,'OP_RemoveClientFromGroupMsg',87,1),
(18495,61581,61581,'OP_RemoveConcentrationMsg',114,1),
(18496,61581,61581,'OP_RemoveGroupFromGroupMsg',88,1),
(18497,61581,61581,'OP_RemoveSpellEffectMsg',113,1),
(18498,61581,61581,'OP_RenameGuildMsg',286,1),
(18499,61581,61581,'OP_ReplaceableSubMeshesMsg',168,1),
(18500,61581,61581,'OP_ReportMsg',384,1),
(18501,61581,61581,'OP_RequestCampMsg',52,1),
(18502,61581,61581,'OP_RequestGuildBankEventDetailsMs',284,1),
(18503,61581,61581,'OP_RequestGuildEventDetailsMsg',275,1),
(18504,61581,61581,'OP_RequestGuildInfoMsg',277,1),
(18505,61581,61581,'OP_RequestGuildMembershipMsg',360,1),
(18506,61581,61581,'OP_RequestHelpRepathMsg',209,1),
(18507,61581,61581,'OP_RequestRecipeDetailsMsg',73,1),
(18508,61581,61581,'OP_RequestTargetLocMsg',210,1),
(18509,61581,61581,'OP_Research',763,1),
(18510,61581,61581,'OP_ResendWorldChannelsMsg',448,1),
(18511,61581,61581,'OP_ReskinCharacterRequestMsg',15,1),
(18512,61581,61581,'OP_RestartZoneMsg',417,1),
(18513,61581,61581,'OP_RewardPackMsg',285,1),
(18514,61581,61581,'OP_SatMsg',192,1),
(18515,61581,61581,'OP_SavageBarInitMsg',587,1),
(18516,61581,61581,'OP_SelectZoneTeleporterDestinatio',358,1),
(18517,61581,61581,'OP_SendLatestRequestMsg',99,1),
(18518,61581,61581,'OP_ServerPlayCharacterReplyMsg',26,1),
(18519,61581,61581,'OP_ServerPlayCharacterRequestMsg',25,1),
(18520,61581,61581,'OP_SetInstanceDisplayNameMsg',445,1),
(18521,61581,61581,'OP_SetRemoteCmdsMsg',43,1),
(18522,61581,61581,'OP_SetSocialMsg',101,1),
(18523,61581,61581,'OP_ShaderCustomizationMsg',167,1),
(18524,61581,61581,'OP_ShowCreateFromRecipeUIMsg',222,1),
(18525,61581,61581,'OP_ShowIllusionsMsg',196,1),
(18526,61581,61581,'OP_ShowItemCreationProcessUIMsg',226,1),
(18527,61581,61581,'OP_ShowRecipeBookMsg',229,1),
(18528,61581,61581,'OP_ShowZoneTeleporterDestinations',357,1),
(18529,61581,61581,'OP_SitMsg',190,1),
(18530,61581,61581,'OP_SkillInfoRequest',519,1),
(18531,61581,61581,'OP_SkillInfoResponse',520,1),
(18532,61581,61581,'OP_SOEAllAccess',627,1),
(18533,61581,61581,'OP_SpellGainedMsg',266,1),
(18534,61581,61581,'OP_StandMsg',191,1),
(18535,61581,61581,'OP_StoodMsg',193,1),
(18536,61581,61581,'OP_StopItemCreationMsg',225,1),
(18537,61581,61581,'OP_StoppedLootingMsg',189,1),
(18538,61581,61581,'OP_StopTrackingMsg',396,1),
(18539,61581,61581,'OP_SubmitCharCust',569,1),
(18540,61581,61581,'OP_SupplyDepot',760,1),
(18541,61581,61581,'OP_SysClient',221,1),
(18542,61581,61581,'OP_TeleportWithinZoneMsg',81,1),
(18543,61581,61581,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(18544,61581,61581,'OP_TintWidgetsMsg',173,1),
(18545,61581,61581,'OP_TitleUpdateMsg',389,1),
(18546,61581,61581,'OP_TrackingUpdateMsg',394,1),
(18547,61581,61581,'OP_TradeskillList',729,1),
(18548,61581,61581,'OP_TraitsList',752,1),
(18549,61581,61581,'OP_UIEvent',532,1),
(18550,61581,61581,'OP_UIResetMsg',177,1),
(18551,61581,61581,'OP_UISettingsResponseMsg',176,1),
(18552,61581,61581,'OP_Unknown',785,1),
(18553,61581,61581,'OP_UnknownNpcMsg',377,1),
(18554,61581,61581,'OP_UpdateActivePublicZonesMsg',376,1),
(18555,61581,61581,'OP_UpdateCharacterSheetMsg',65,1),
(18556,61581,61581,'OP_UpdateClientPredFlagsMsg',249,1),
(18557,61581,61581,'OP_UpdateDebugRadiiMsg',383,1),
(18558,61581,61581,'OP_UpdateGroupMemberDataMsg',393,1),
(18559,61581,61581,'OP_UpdateHouseAccessDataMsg',147,1),
(18560,61581,61581,'OP_UpdateHouseDataMsg',146,1),
(18561,61581,61581,'OP_UpdateInventoryMsg',70,1),
(18562,61581,61581,'OP_UpdateItemCreationProcessUIMsg',227,1),
(18563,61581,61581,'OP_UpdateMotdMsg',211,1),
(18564,61581,61581,'OP_UpdateOpportunityMsg',77,1),
(18565,61581,61581,'OP_UpdatePositionMsg',41,1),
(18566,61581,61581,'OP_UpdateRaidMsg',385,1),
(18567,61581,61581,'OP_UpdateRecipeBookMsg',72,1),
(18568,61581,61581,'OP_UpdateSkillBookMsg',75,1),
(18569,61581,61581,'OP_UpdateSkillsMsg',76,1),
(18570,61581,61581,'OP_UpdateSpellBookMsg',68,1),
(18571,61581,61581,'OP_UpdateTargetLocMsg',64,1),
(18572,61581,61581,'OP_UpdateTargetMsg',63,1),
(18573,61581,61581,'OP_UpdateTitleCmd',499,1),
(18574,61581,61581,'OP_UseAdornment',740,1),
(18575,61581,61581,'OP_VideoUploaded',586,1),
(18576,61581,61581,'OP_VoiceChatChannel',525,1),
(18577,61581,61581,'OP_VoiceChatServer',756,1),
(18578,61581,61581,'OP_WaypointReplyMsg',353,1),
(18579,61581,61581,'OP_WaypointRequestMsg',352,1),
(18580,61581,61581,'OP_WaypointSelectMsg',354,1),
(18581,61581,61581,'OP_WaypointUpdateMsg',355,1),
(18582,61581,61581,'OP_Weakness',590,1),
(18583,61581,61581,'OP_WhoQueryReplyMsg',56,1),
(18584,61581,61581,'OP_WhoQueryRequestMsg',55,1),
(18585,61581,61581,'OP_WorldDataChangeMsg',415,1),
(18586,61581,61581,'OP_WorldDataUpdateMsg',240,1),
(18587,61581,61581,'OP_WorldListMsg',8,1),
(18588,61581,61581,'OP_WorldPingMsg',404,1),
(18589,61581,61581,'OP_WorldShutdownUpdateMsg',408,1),
(18590,61581,61581,'OP_WorldStatusChangeMsg',6,1),
(18591,61581,61581,'OP_WorldTravelAvail',579,1),
(18592,61581,61581,'OP_WSAcctLockStatusMsg',208,1),
(18593,61581,61581,'OP_WSCreateCharacterReplyMsg',14,1),
(18594,61581,61581,'OP_WSCreateCharacterRequestMsg',13,1),
(18595,61581,61581,'OP_WSLoginRequestMsg',2,1),
(18596,61581,61581,'OP_WSServerHideMsg',370,1),
(18597,61581,61581,'OP_WSServerLockMsg',368,1),
(18598,61581,61581,'OP_WSStatusReplyMsg',5,1),
(18599,61581,61581,'OP_ZoneBgInstanceList',575,1),
(18600,61581,61581,'OP_ZoneInfoMsg',35,1),
(18601,61581,61581,'OP_ZoneInstanceCreateReplyMsg',32,1),
(18602,61581,61581,'OP_ZoneInstanceDestroyedMsg',33,1),
(18603,61581,61581,'OP_ZoneMOTDMsg',47,1),
(18604,61581,61581,'OP_ZonesStatusMsg',105,1),
(18605,61581,61581,'OP_ZonesStatusRequestMsg',104,1),
(18606,61581,61581,'OP_ZoneToFriendReplyMsg',288,1),
(18607,61581,61581,'OP_ZoneToFriendRequestMsg',287,1),
(18608,61581,61581,'OP_EarlyLandingRequestMsg',491,1),
(19073,61608,61608,'OP_AchievementUpdateMsg',764,1),
(19074,61608,61608,'OP_AddSocialStructureStandingMsg',253,1),
(19075,61608,61608,'OP_AdvancementRequestMsg',399,1),
(19076,61608,61608,'OP_AdventureList',493,1),
(19077,61608,61608,'OP_AFKUpdateMsg',374,1),
(19078,61608,61608,'OP_AfterInvSpellUpdate',71,1),
(19079,61608,61608,'OP_AllCharactersDescReplyMsg',10,1),
(19080,61608,61608,'OP_AllCharactersDescRequestMsg',9,1),
(19081,61608,61608,'OP_AllWSDescRequestMsg',7,1),
(19082,61608,61608,'OP_AnonUpdateMsg',375,1),
(19083,61608,61608,'OP_ArenaCreate',461,1),
(19084,61608,61608,'OP_ArenaGameTypesMsg',450,1),
(19085,61608,61608,'OP_ArenaList',462,1),
(19086,61608,61608,'OP_ArenaWindow',470,1),
(19087,61608,61608,'OP_AttackAllowed',505,1),
(19088,61608,61608,'OP_AttackNotAllowed',506,1),
(19089,61608,61608,'OP_AuctionAbortMsg',441,1),
(19090,61608,61608,'OP_AuctionCharacter',438,1),
(19091,61608,61608,'OP_AuctionCharacterReply',439,1),
(19092,61608,61608,'OP_AuctionCoin',436,1),
(19093,61608,61608,'OP_AuctionCoinReply',437,1),
(19094,61608,61608,'OP_AuctionCommitMsg',440,1),
(19095,61608,61608,'OP_AuctionItem',434,1),
(19096,61608,61608,'OP_AuctionItemReply',435,1),
(19097,61608,61608,'OP_AuditAuctionEventMsg',451,1),
(19098,61608,61608,'OP_AvatarCreatedMsg',48,1),
(19099,61608,61608,'OP_AvatarDestroyedMsg',49,1),
(19100,61608,61608,'OP_AvatarUpdateMsg',364,1),
(19101,61608,61608,'OP_BadLanguageFilter',524,1),
(19102,61608,61608,'OP_BagOptions',507,1),
(19103,61608,61608,'OP_BeginItemCreationMsg',224,1),
(19104,61608,61608,'OP_BeginTrackingMsg',395,1),
(19105,61608,61608,'OP_BioUpdateMsg',366,1),
(19106,61608,61608,'OP_BrokerAddBag',296,1),
(19107,61608,61608,'OP_BrokerRemoveBag',297,1),
(19108,61608,61608,'OP_BrokerSellList',707,1),
(19109,61608,61608,'OP_BuyPlayerHouseMsg',153,1),
(19110,61608,61608,'OP_BuyPlayerHouseTintMsg',154,1),
(19111,61608,61608,'OP_CampAbortedMsg',54,1),
(19112,61608,61608,'OP_CampClientMsg',392,1),
(19113,61608,61608,'OP_CampStartedMsg',53,1),
(19114,61608,61608,'OP_CancelCreateFromRecipeMsg',223,1),
(19115,61608,61608,'OP_CancelledFeignMsg',219,1),
(19116,61608,61608,'OP_CancelMoveObjectModeMsg',166,1),
(19117,61608,61608,'OP_CancelSpellCast',494,1),
(19118,61608,61608,'OP_ChangeServerControlFlagMsg',250,1),
(19119,61608,61608,'OP_ChangeZoneMsg',79,1),
(19120,61608,61608,'OP_CharacterAchievements',763,1),
(19121,61608,61608,'OP_CharacterCreatedDungeons',558,1),
(19122,61608,61608,'OP_CharacterCurrency',762,1),
(19123,61608,61608,'OP_CharacterHousingList',512,1),
(19124,61608,61608,'OP_CharacterLinkdeadMsg',419,1),
(19125,61608,61608,'OP_CharacterMerc',67,1),
(19126,61608,61608,'OP_CharacterMounts',591,1),
(19127,61608,61608,'OP_CharacterPet',66,1),
(19128,61608,61608,'OP_CharNameChangedMsg',356,1),
(19129,61608,61608,'OP_CharRenamed',728,1),
(19130,61608,61608,'OP_CharTransferCommitReplyMsg',427,1),
(19131,61608,61608,'OP_CharTransferCommitRequestMsg',425,1),
(19132,61608,61608,'OP_CharTransferReplyMsg',423,1),
(19133,61608,61608,'OP_CharTransferRequestMsg',422,1),
(19134,61608,61608,'OP_CharTransferRollbackReplyMsg',426,1),
(19135,61608,61608,'OP_CharTransferRollbackRequestMsg',424,1),
(19136,61608,61608,'OP_CharTransferStartReplyMsg',421,1),
(19137,61608,61608,'OP_CharTransferStartRequestMsg',420,1),
(19138,61608,61608,'OP_CharTransferValidateReplyMsg',443,1),
(19139,61608,61608,'OP_CharTransferValidateRequestMsg',442,1),
(19140,61608,61608,'OP_ChatCreateChannelMsg',289,1),
(19141,61608,61608,'OP_ChatFiltersMsg',338,1),
(19142,61608,61608,'OP_ChatJoinChannelMsg',290,1),
(19143,61608,61608,'OP_ChatLeaveChannelMsg',292,1),
(19144,61608,61608,'OP_ChatRelationshipUpdateMsg',187,1),
(19145,61608,61608,'OP_ChatSendFriendsMsg',299,1),
(19146,61608,61608,'OP_ChatSendIgnoresMsg',300,1),
(19147,61608,61608,'OP_ChatTellChannelMsg',293,1),
(19148,61608,61608,'OP_ChatTellUserMsg',294,1),
(19149,61608,61608,'OP_ChatToggleFriendMsg',295,1),
(19150,61608,61608,'OP_ChatToggleIgnoreMsg',298,1),
(19151,61608,61608,'OP_ChatWhoChannelMsg',291,1),
(19152,61608,61608,'OP_ClearDataMsg',100,1),
(19153,61608,61608,'OP_ClearForLandingMsg',496,1),
(19154,61608,61608,'OP_ClearForTakeOffMsg',194,1),
(19155,61608,61608,'OP_ClientCmdMsg',60,1),
(19156,61608,61608,'OP_ClientFellMsg',390,1),
(19157,61608,61608,'OP_ClientIdleBeginMsg',410,1),
(19158,61608,61608,'OP_ClientIdleEndMsg',411,1),
(19159,61608,61608,'OP_ClientInDeathRegionMsg',391,1),
(19160,61608,61608,'OP_ClientTeleportRequestMsg',80,1),
(19161,61608,61608,'OP_ClientTeleportToLocationMsg',248,1),
(19162,61608,61608,'OP_CloseGroupInviteWindowMsg',402,1),
(19163,61608,61608,'OP_CollectAllHouseItemsMsg',155,1),
(19164,61608,61608,'OP_ConsignItemRequestMsg',129,1),
(19165,61608,61608,'OP_ConsignItemResponseMsg',130,1),
(19166,61608,61608,'OP_ConsignmentCloseStoreMsg',128,1),
(19167,61608,61608,'OP_ConsignRemoveItemsMsg',382,1),
(19168,61608,61608,'OP_ConsignViewCreateMsg',379,1),
(19169,61608,61608,'OP_ConsignViewGetPageMsg',380,1),
(19170,61608,61608,'OP_ConsignViewReleaseMsg',381,1),
(19171,61608,61608,'OP_ConsignViewSortMsg',388,1),
(19172,61608,61608,'OP_CorruptedClientMsg',414,1),
(19173,61608,61608,'OP_CreateBoatTransportsMsg',254,1),
(19174,61608,61608,'OP_CreateCharacterDungeon',552,1),
(19175,61608,61608,'OP_CreateCharacterReplyMsg',12,1),
(19176,61608,61608,'OP_CreateCharacterRequestMsg',11,1),
(19177,61608,61608,'OP_CreateCharFromCBBReplyMsg',431,1),
(19178,61608,61608,'OP_CreateCharFromCBBRequestMsg',430,1),
(19179,61608,61608,'OP_CreateGuildReplyMsg',123,1),
(19180,61608,61608,'OP_CreateGuildRequestMsg',121,1),
(19181,61608,61608,'OP_CreateZoneInstanceMsg',31,1),
(19182,61608,61608,'OP_CsCategoryRequestMsg',371,1),
(19183,61608,61608,'OP_CsCategoryResponseMsg',372,1),
(19184,61608,61608,'OP_CSTicketAddCommentMsg',237,1),
(19185,61608,61608,'OP_CSTicketChangeNotificationMsg',239,1),
(19186,61608,61608,'OP_CSTicketCommentRequestMsg',234,1),
(19187,61608,61608,'OP_CSTicketCommentResponseMsg',235,1),
(19188,61608,61608,'OP_CSTicketCreateMsg',236,1),
(19189,61608,61608,'OP_CSTicketDeleteMsg',238,1),
(19190,61608,61608,'OP_CSTicketHeaderRequestMsg',232,1),
(19191,61608,61608,'OP_CSTicketInfoMsg',233,1),
(19192,61608,61608,'OP_CSToolAccessResponseMsg',393,1),
(19193,61608,61608,'OP_CSToolsRequestMsg',251,1),
(19194,61608,61608,'OP_CSToolsResponseMsg',252,1),
(19195,61608,61608,'OP_CurrentPet',490,1),
(19196,61608,61608,'OP_CustomizationPurchaseRequestMs',170,1),
(19197,61608,61608,'OP_CustomizationReplyMsg',172,1),
(19198,61608,61608,'OP_CustomizationSetRequestMsg',171,1),
(19199,61608,61608,'OP_CustomizeHouseDisplay',753,1),
(19200,61608,61608,'OP_DailyObjectives',604,1),
(19201,61608,61608,'OP_DefaultGroupOptionsMsg',201,1),
(19202,61608,61608,'OP_DefaultGroupOptionsRequestMsg',200,1),
(19203,61608,61608,'OP_DeleteCharacterReplyMsg',19,1),
(19204,61608,61608,'OP_DeleteCharacterRequestMsg',18,1),
(19205,61608,61608,'OP_DeleteGuildMsg',126,1),
(19206,61608,61608,'OP_DestUpdateReq',213,1),
(19207,61608,61608,'OP_DialogCloseMsg',112,1),
(19208,61608,61608,'OP_DialogSelectMsg',111,1),
(19209,61608,61608,'OP_DispatchClientCmdMsg',62,1),
(19210,61608,61608,'OP_DispatchESMsg',61,1),
(19211,61608,61608,'OP_DispatchMsg',456,1),
(19212,61608,61608,'OP_DispatchSpellCmdMsg',182,1),
(19213,61608,61608,'OP_DisplayDebugNLLPointsMsg',258,1),
(19214,61608,61608,'OP_DisplayEventMsg',457,1),
(19215,61608,61608,'OP_DisplayExchangeScreenMsg',449,1),
(19216,61608,61608,'OP_DisplayGroupOptionsScreenMsg',203,1),
(19217,61608,61608,'OP_DisplayInnVisitScreenMsg',205,1),
(19218,61608,61608,'OP_DisplayMailScreenMsg',409,1),
(19219,61608,61608,'OP_DisplayTSEventReactionMsg',228,1),
(19220,61608,61608,'OP_DisplayWarningMsg',269,1),
(19221,61608,61608,'OP_DoneLoadingEntityResourcesMsg',38,1),
(19222,61608,61608,'OP_DoneLoadingZoneResourcesMsg',36,1),
(19223,61608,61608,'OP_DoneSendingInitialEntitiesMsg',37,1),
(19224,61608,61608,'OP_DressingRoom',515,1),
(19225,61608,61608,'OP_DumpSchedulerMsg',206,1),
(19226,61608,61608,'OP_DungeonMakerEnter',553,1),
(19227,61608,61608,'OP_DungeonMakerItemRequest',557,1),
(19228,61608,61608,'OP_DungeonMakerItemResponse',589,1),
(19229,61608,61608,'OP_DungeonMakerToolboxList',559,1),
(19230,61608,61608,'OP_DungeonMakerUnknown',560,1),
(19231,61608,61608,'OP_DungeonMakerUnknown1',561,1),
(19232,61608,61608,'OP_DungeonPlayAsAvatarList',767,1),
(19233,61608,61608,'OP_DungeonPlayAsAvatarSelected',768,1),
(19234,61608,61608,'OP_EncounterBrokenMsg',267,1),
(19235,61608,61608,'OP_EnterHouseMsg',157,1),
(19236,61608,61608,'OP_EnterMoveObjectModeMsg',164,1),
(19237,61608,61608,'OP_EntityVerbsReplyMsg',184,1),
(19238,61608,61608,'OP_EntityVerbsRequestMsg',183,1),
(19239,61608,61608,'OP_EntityVerbsVerbMsg',185,1),
(19240,61608,61608,'OP_EqArenaResultsCmd',718,1),
(19241,61608,61608,'OP_EqAvailWorldChannelsCmd',705,1),
(19242,61608,61608,'OP_EqBetaCopyRequest',624,1),
(19243,61608,61608,'OP_EqCannedEmoteCmd',647,1),
(19244,61608,61608,'OP_EqChatChannelUpdateCmd',703,1),
(19245,61608,61608,'OP_EqChoiceWinCmd',684,1),
(19246,61608,61608,'OP_EqCloseWindowCmd',676,1),
(19247,61608,61608,'OP_EqCollectionFilterCmd',663,1),
(19248,61608,61608,'OP_EqCollectionItemCmd',664,1),
(19249,61608,61608,'OP_EqCollectionUpdateCmd',662,1),
(19250,61608,61608,'OP_EqConsignmentItemsCmd',708,1),
(19251,61608,61608,'OP_EqCreateGhostCmd',629,1),
(19252,61608,61608,'OP_EqCreateListBoxCmd',644,1),
(19253,61608,61608,'OP_EqCreateSignWidgetCmd',631,1),
(19254,61608,61608,'OP_EqCreateWidgetCmd',630,1),
(19255,61608,61608,'OP_EqDebugPVDCmd',697,1),
(19256,61608,61608,'OP_EqDestroyGhostCmd',632,1),
(19257,61608,61608,'OP_EqDialogCloseCmd',660,1),
(19258,61608,61608,'OP_EqDialogOpenCmd',659,1),
(19259,61608,61608,'OP_EqDisplaySpellFailCmd',680,1),
(19260,61608,61608,'OP_EqDisplayTextCmd',628,1),
(19261,61608,61608,'OP_EqDrawablePathGraphCmd',658,1),
(19262,61608,61608,'OP_EqEnableGameEventCmd',690,1),
(19263,61608,61608,'OP_EqEnableWindowCmd',692,1),
(19264,61608,61608,'OP_EqExamineInfoCmd',675,1),
(19265,61608,61608,'OP_EqFactionUpdateCmd',661,1),
(19266,61608,61608,'OP_EqFlashWindowCmd',693,1),
(19267,61608,61608,'OP_EqGetProbsCmd',701,1),
(19268,61608,61608,'OP_EqGroupMemberRemovedCmd',654,1),
(19269,61608,61608,'OP_EqGuildBankEventActionCmd',719,1),
(19270,61608,61608,'OP_EqGuildBankExamineInfoCmd',720,1),
(19271,61608,61608,'OP_EqHearChainEffectCmd',655,1),
(19272,61608,61608,'OP_EqHearChatCmd',627,1),
(19273,61608,61608,'OP_EqHearCombatCmd',636,1),
(19274,61608,61608,'OP_EqHearConsiderCmd',642,1),
(19275,61608,61608,'OP_EqHearDeathCmd',653,1),
(19276,61608,61608,'OP_EQHearDispellCmd',765,1),
(19277,61608,61608,'OP_EqHearDrowningCmd',652,1),
(19278,61608,61608,'OP_EqHearHealCmd',702,1),
(19279,61608,61608,'OP_EqHearPlayFlavorCmd',695,1),
(19280,61608,61608,'OP_EQHearProcCmd',638,1),
(19281,61608,61608,'OP_EQHearResEffectCmd',639,1),
(19282,61608,61608,'OP_EqHearSpellCastCmd',637,1),
(19283,61608,61608,'OP_EqHearSpellFizzleCmd',641,1),
(19284,61608,61608,'OP_EqHearSpellInterruptCmd',640,1),
(19285,61608,61608,'OP_EqHearSpellNoLandCmd',721,1),
(19286,61608,61608,'OP_EQHearThreatCmd',759,1),
(19287,61608,61608,'OP_EqHelpPathClearCmd',673,1),
(19288,61608,61608,'OP_EqHelpPathCmd',672,1),
(19289,61608,61608,'OP_EqInspectPCResultsCmd',657,1),
(19290,61608,61608,'OP_EqInstructionWindowCloseCmd',687,1),
(19291,61608,61608,'OP_EqInstructionWindowCmd',686,1),
(19292,61608,61608,'OP_EqInstructionWindowGoalCmd',688,1),
(19293,61608,61608,'OP_EqInstructionWindowTaskCmd',689,1),
(19294,61608,61608,'OP_EqJunctionListCmd',678,1),
(19295,61608,61608,'OP_EqMapExplorationCmd',711,1),
(19296,61608,61608,'OP_EqMentoring',666,1),
(19297,61608,61608,'OP_EqPlaySound3DCmd',650,1),
(19298,61608,61608,'OP_EqPlaySoundCmd',649,1),
(19299,61608,61608,'OP_EqPlayVoiceCmd',651,1),
(19300,61608,61608,'OP_EqQuestGroupCmd',668,1),
(19301,61608,61608,'OP_EqQuestionnaireCmd',699,1),
(19302,61608,61608,'OP_EqQuestJournalReplyCmd',667,1),
(19303,61608,61608,'OP_EqQuestJournalUpdateCmd',665,1),
(19304,61608,61608,'OP_EqReceiveOfferCmd',656,1),
(19305,61608,61608,'OP_EqResurrectedCmd',683,1),
(19306,61608,61608,'OP_EqSetControlGhostCmd',634,1),
(19307,61608,61608,'OP_EqSetDebugPathPointsCmd',645,1),
(19308,61608,61608,'OP_EqSetDefaultVerbCmd',685,1),
(19309,61608,61608,'OP_EqSetPOVGhostCmd',635,1),
(19310,61608,61608,'OP_EqShowBookCmd',698,1),
(19311,61608,61608,'OP_EqShowDeathWindowCmd',679,1),
(19312,61608,61608,'OP_EqShowWindowCmd',691,1),
(19313,61608,61608,'OP_EqSpellCastEndCmd',682,1),
(19314,61608,61608,'OP_EqSpellCastStartCmd',681,1),
(19315,61608,61608,'OP_EqSpellMoveToRangeAndRetryCmd',713,1),
(19316,61608,61608,'OP_EqStartBrokerCmd',710,1),
(19317,61608,61608,'OP_EqStateCmd',648,1),
(19318,61608,61608,'OP_EqStoreLogCmd',712,1),
(19319,61608,61608,'OP_EqUpdateBankCmd',674,1),
(19320,61608,61608,'OP_EqUpdateGhostCmd',633,1),
(19321,61608,61608,'OP_EqUpdateLootCmd',677,1),
(19322,61608,61608,'OP_EqUpdateMerchantCmd',669,1),
(19323,61608,61608,'OP_EqUpdatePlayerMailCmd',714,1),
(19324,61608,61608,'OP_EqUpdatePlayerTradeCmd',671,1),
(19325,61608,61608,'OP_EqUpdateSignWidgetCmd',696,1),
(19326,61608,61608,'OP_EqUpdateStoreCmd',670,1),
(19327,61608,61608,'OP_EqUpdateSubClassesCmd',643,1),
(19328,61608,61608,'OP_EqUpdateTargetCmd',706,1),
(19329,61608,61608,'OP_EqWhoChannelQueryReplyCmd',704,1),
(19330,61608,61608,'OP_ESInitMsg',27,1),
(19331,61608,61608,'OP_ESLoginRequestMsg',3,1),
(19332,61608,61608,'OP_ESReadyForClientsMsg',28,1),
(19333,61608,61608,'OP_ESStatusMsg',102,1),
(19334,61608,61608,'OP_ESWeatherRequestEndMsg',107,1),
(19335,61608,61608,'OP_ESWeatherRequestMsg',106,1),
(19336,61608,61608,'OP_ESZoneInstanceStatusMsg',103,1),
(19337,61608,61608,'OP_ExamineConsignmentRequestMsg',174,1),
(19338,61608,61608,'OP_ExamineConsignmentResponseMsg',175,1),
(19339,61608,61608,'OP_ExamineInfoRequestMsg',259,1),
(19340,61608,61608,'OP_ExamineItemRequestMsg',198,1),
(19341,61608,61608,'OP_ExitHouseMsg',158,1),
(19342,61608,61608,'OP_ExpectClientAsCharacterReplyMs',24,1),
(19343,61608,61608,'OP_ExpectClientAsCharacterRequest',34,1),
(19344,61608,61608,'OP_ExpPurchWindow',744,1),
(19345,61608,61608,'OP_FellowshipExpMsg',125,1),
(19346,61608,61608,'OP_FlightPathsMsg',418,1),
(19347,61608,61608,'OP_GameWorldTimeMsg',45,1),
(19348,61608,61608,'OP_PaperdollImage',584,1),
(19349,61608,61608,'OP_GetAuctionAssetIDMsg',446,1),
(19350,61608,61608,'OP_GetAuctionAssetIDReplyMsg',447,1),
(19351,61608,61608,'OP_GetAvatarAccessRequestForCSToo',398,1),
(19352,61608,61608,'OP_GetCharacterSerializedReplyMsg',429,1),
(19353,61608,61608,'OP_GetCharacterSerializedRequestM',428,1),
(19354,61608,61608,'OP_GroupCreatedMsg',90,1),
(19355,61608,61608,'OP_GroupDestroyedMsg',91,1),
(19356,61608,61608,'OP_GroupLeaderChangedMsg',95,1),
(19357,61608,61608,'OP_GroupMemberAddedMsg',92,1),
(19358,61608,61608,'OP_GroupMemberRemovedMsg',93,1),
(19359,61608,61608,'OP_GroupOptionsMsg',202,1),
(19360,61608,61608,'OP_GroupRemovedFromGroupMsg',94,1),
(19361,61608,61608,'OP_GroupResendOOZDataMsg',96,1),
(19362,61608,61608,'OP_GroupSettingsChangedMsg',97,1),
(19363,61608,61608,'OP_GuildBankActionMsg',278,1),
(19364,61608,61608,'OP_GuildBankActionResponseMsg',279,1),
(19365,61608,61608,'OP_GuildBankEventListMsg',283,1),
(19366,61608,61608,'OP_GuildBankItemDetailsRequestMsg',280,1),
(19367,61608,61608,'OP_GuildBankItemDetailsResponseMs',281,1),
(19368,61608,61608,'OP_GuildBankUpdateMsg',282,1),
(19369,61608,61608,'OP_GuildEventActionMsg',273,1),
(19370,61608,61608,'OP_GuildEventAddMsg',272,1),
(19371,61608,61608,'OP_GuildEventDetailsMsg',276,1),
(19372,61608,61608,'OP_GuildEventListMsg',274,1),
(19373,61608,61608,'OP_GuildEventMsg',271,1),
(19374,61608,61608,'OP_GuildMembershipResponseMsg',361,1),
(19375,61608,61608,'OP_GuildRecruiting',724,1),
(19376,61608,61608,'OP_GuildRecruitingDetails',725,1),
(19377,61608,61608,'OP_GuildRecruitingImage',726,1),
(19378,61608,61608,'OP_GuildRecruitingMemberInfo',723,1),
(19379,61608,61608,'OP_GuildsayMsg',124,1),
(19380,61608,61608,'OP_GuildStatusUpdate',717,1),
(19381,61608,61608,'OP_GuildUpdateMsg',127,1),
(19382,61608,61608,'OP_HeritageMsg',10009,1),
(19383,61608,61608,'OP_HideIllusionsMsg',197,1),
(19384,61608,61608,'OP_HouseAccessRemoveMsg',161,1),
(19385,61608,61608,'OP_HouseAccessSetMsg',160,1),
(19386,61608,61608,'OP_HouseCustomizationScreenMsg',169,1),
(19387,61608,61608,'OP_HouseDefaultAccessSetMsg',159,1),
(19388,61608,61608,'OP_HouseDeletedRemotelyMsg',145,1),
(19389,61608,61608,'OP_HouseItemsList',489,1),
(19390,61608,61608,'OP_HousingDataChangedMsg',432,1),
(19391,61608,61608,'OP_HousingRestoreMsg',433,1),
(19392,61608,61608,'OP_InspectPlayerMsg',367,1),
(19393,61608,61608,'OP_InspectPlayerRequestMsg',455,1),
(19394,61608,61608,'OP_InviteRequestMsg',452,1),
(19395,61608,61608,'OP_InviteResponseMsg',453,1),
(19396,61608,61608,'OP_InviteTargetResponseMsg',454,1),
(19397,61608,61608,'OP_JoinGuildNotifyMsg',363,1),
(19398,61608,61608,'OP_JournalQuestStoryline',766,1),
(19399,61608,61608,'OP_KeymapDataMsg',180,1),
(19400,61608,61608,'OP_KeymapLoadMsg',178,1),
(19401,61608,61608,'OP_KeymapNoneMsg',179,1),
(19402,61608,61608,'OP_KeymapSaveMsg',181,1),
(19403,61608,61608,'OP_KnowledgebaseRequestMsg',230,1),
(19404,61608,61608,'OP_KnowledgebaseResponseMsg',231,1),
(19405,61608,61608,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(19406,61608,61608,'OP_KnownLanguagesMsg',242,1),
(19407,61608,61608,'OP_Launchpad',582,1),
(19408,61608,61608,'OP_LeaveGuildNotifyMsg',362,1),
(19409,61608,61608,'OP_LevelChangedMsg',265,1),
(19410,61608,61608,'OP_LFGGroupSearch',509,1),
(19411,61608,61608,'OP_LFGUpdateMsg',523,1),
(19412,61608,61608,'OP_LikeOption',139,1),
(19413,61608,61608,'OP_LoadCalendarEvents',585,1),
(19414,61608,61608,'OP_LoadWelcomeWindow',567,1),
(19415,61608,61608,'OP_LoginByNumRequestMsg',1,1),
(19416,61608,61608,'OP_LoginReplyMsg',4,1),
(19417,61608,61608,'OP_LoginRequestMsg',0,1),
(19418,61608,61608,'OP_LootItemsRequestMsg',188,1),
(19419,61608,61608,'OP_Lottery',722,1),
(19420,61608,61608,'OP_LSCheckAcctLockMsg',207,1),
(19421,61608,61608,'OP_LsClientAlertlogReplyMsg',246,1),
(19422,61608,61608,'OP_LsClientBaselogReplyMsg',244,1),
(19423,61608,61608,'OP_LsClientCrashlogReplyMsg',245,1),
(19424,61608,61608,'OP_LsClientVerifylogReplyMsg',247,1),
(19425,61608,61608,'OP_LsRequestClientCrashLogMsg',243,1),
(19426,61608,61608,'OP_LSServerLockMsg',369,1),
(19427,61608,61608,'OP_MacroInitMsg',262,1),
(19428,61608,61608,'OP_MacroUpdateMsg',263,1),
(19429,61608,61608,'OP_MailCommitSendMessageMsg',348,1),
(19430,61608,61608,'OP_MailDeleteMessageMsg',344,1),
(19431,61608,61608,'OP_MailEventNotificationMsg',416,1),
(19432,61608,61608,'OP_MailGetHeadersReplyMsg',345,1),
(19433,61608,61608,'OP_MailGetMessageMsg',342,1),
(19434,61608,61608,'OP_MailGetMessageReplyMsg',346,1),
(19435,61608,61608,'OP_MailRemoveAttachFromMailMsg',350,1),
(19436,61608,61608,'OP_MailSendMessageMsg',343,1),
(19437,61608,61608,'OP_MailSendMessageReplyMsg',347,1),
(19438,61608,61608,'OP_MailSendSystemMessageMsg',349,1),
(19439,61608,61608,'OP_MakeGroupLeaderMsg',89,1),
(19440,61608,61608,'OP_MapFogDataInitMsg',400,1),
(19441,61608,61608,'OP_MapFogDataUpdateMsg',401,1),
(19442,61608,61608,'OP_MapRequest',526,1),
(19443,61608,61608,'OP_MarketAddFundsReply',534,1),
(19444,61608,61608,'OP_MarketAddFundsRequest',533,1),
(19445,61608,61608,'OP_MarketFundsUpdate',531,1),
(19446,61608,61608,'OP_MarketPlaceItems',544,1),
(19447,61608,61608,'OP_MarketPlacePrices',537,1),
(19448,61608,61608,'OP_MarketPurchase',536,1),
(19449,61608,61608,'OP_MentorPopup',565,1),
(19450,61608,61608,'OP_MercHireWindow',769,1),
(19451,61608,61608,'OP_MercUnknown',770,1),
(19452,61608,61608,'OP_MigrateBoatTransportMsg',256,1),
(19453,61608,61608,'OP_MigrateBoatTransportReplyMsg',257,1),
(19454,61608,61608,'OP_MigrateClientToZoneReplyMsg',84,1),
(19455,61608,61608,'OP_MigrateClientToZoneRequestMsg',83,1),
(19456,61608,61608,'OP_ModifyGuildMsg',270,1),
(19457,61608,61608,'OP_MonitorCharacterListMsg',58,1),
(19458,61608,61608,'OP_MonitorCharacterListRequestMsg',59,1),
(19459,61608,61608,'OP_MonitorReplyMsg',57,1),
(19460,61608,61608,'OP_MOTDMsg',46,1),
(19461,61608,61608,'OP_MoveableObjectPlacementCriteri',163,1),
(19462,61608,61608,'OP_MoveLogUpdateMsg',405,1),
(19463,61608,61608,'OP_NotifyApprenticeStoppedMentori',413,1),
(19464,61608,61608,'OP_OfferQuestMsg',406,1),
(19465,61608,61608,'OP_OnscreenMsgMsg',268,1),
(19466,61608,61608,'OP_OpenCharCust',568,1),
(19467,61608,61608,'OP_OutOfZoneMemberDataMsg',98,1),
(19468,61608,61608,'OP_PayHouseUpkeepMsg',162,1),
(19469,61608,61608,'OP_PerformCameraShakeMsg',217,1),
(19470,61608,61608,'OP_PerformPlayerKnockbackMsg',216,1),
(19471,61608,61608,'OP_PetOptions',204,1),
(19472,61608,61608,'OP_PetOptionsResponse',588,1),
(19473,61608,61608,'OP_PlayCharacterReplyMsg',21,1),
(19474,61608,61608,'OP_PlayCharacterRequestMsg',20,1),
(19475,61608,61608,'OP_PlayerHouseAccessUpdateMsg',150,1),
(19476,61608,61608,'OP_PlayerHouseBaseScreenMsg',148,1),
(19477,61608,61608,'OP_PlayerHouseCloseUIMsg',152,1),
(19478,61608,61608,'OP_PlayerHouseDisplayStatusMsg',151,1),
(19479,61608,61608,'OP_PlayerHousePurchaseScreenMsg',149,1),
(19480,61608,61608,'OP_PlayerMadeInstances',143,1),
(19481,61608,61608,'OP_PlayerMadeInstancesScreen',142,1),
(19482,61608,61608,'OP_PlayerPollAnswer',564,1),
(19483,61608,61608,'OP_PlayerPollPopup',563,1),
(19484,61608,61608,'OP_PlayLon',516,1),
(19485,61608,61608,'OP_PointOfInterest',748,1),
(19486,61608,61608,'OP_PointOfInterest2',749,1),
(19487,61608,61608,'OP_PopulateSkillMapsMsg',218,1),
(19488,61608,61608,'OP_PositionBoatTransportMsg',255,1),
(19489,61608,61608,'OP_PositionMoveableObject',165,1),
(19490,61608,61608,'OP_PostPossessionMsg',459,1),
(19491,61608,61608,'OP_PredictionUpdateMsg',39,1),
(19492,61608,61608,'OP_PrePossessionMsg',458,1),
(19493,61608,61608,'OP_PromoFlagsDetailsMsg',378,1),
(19494,61608,61608,'OP_PublishHouse',141,1),
(19495,61608,61608,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(19496,61608,61608,'OP_PurchaseConsignmentRequestMsg',131,1),
(19497,61608,61608,'OP_QueAllBgSolo',571,1),
(19498,61608,61608,'OP_QuestionnaireMsg',264,1),
(19499,61608,61608,'OP_QuestJournalInspectMsg',116,1),
(19500,61608,61608,'OP_QuestJournalOpenMsg',115,1),
(19501,61608,61608,'OP_QuestJournalSetVisibleMsg',117,1),
(19502,61608,61608,'OP_QuestJournalWaypointMsg',118,1),
(19503,61608,61608,'OP_QuestReward',324,1),
(19504,61608,61608,'OP_QuickbarInitMsg',260,1),
(19505,61608,61608,'OP_QuickbarUpdateMsg',261,1),
(19506,61608,61608,'OP_RaceRestrictionMsg',444,1),
(19507,61608,61608,'OP_ReadBookPageMsg',199,1),
(19508,61608,61608,'OP_ReadyForTakeOffMsg',195,1),
(19509,61608,61608,'OP_ReadyToZoneMsg',86,1),
(19510,61608,61608,'OP_RecipeBook',545,1),
(19511,61608,61608,'OP_RecipeDetailsMsg',74,1),
(19512,61608,61608,'OP_RecipeList',760,1),
(19513,61608,61608,'OP_RecipeListUnknown',600,1),
(19514,61608,61608,'OP_RelinquishHouseMsg',156,1),
(19515,61608,61608,'OP_ReloadLocalizedTxtMsg',359,1),
(19516,61608,61608,'OP_RemoteCmdMsg',44,1),
(19517,61608,61608,'OP_RemoveClientFromGroupMsg',87,1),
(19518,61608,61608,'OP_RemoveConcentrationMsg',114,1),
(19519,61608,61608,'OP_RemoveGroupFromGroupMsg',88,1),
(19520,61608,61608,'OP_RemoveSpellEffectMsg',113,1),
(19521,61608,61608,'OP_RenameGuildMsg',286,1),
(19522,61608,61608,'OP_ReplaceableSubMeshesMsg',168,1),
(19523,61608,61608,'OP_ReportMsg',384,1),
(19524,61608,61608,'OP_RequestCampMsg',52,1),
(19525,61608,61608,'OP_RequestGuildBankEventDetailsMs',284,1),
(19526,61608,61608,'OP_RequestGuildEventDetailsMsg',275,1),
(19527,61608,61608,'OP_RequestGuildInfoMsg',277,1),
(19528,61608,61608,'OP_RequestGuildMembershipMsg',360,1),
(19529,61608,61608,'OP_RequestHelpRepathMsg',209,1),
(19530,61608,61608,'OP_RequestRecipeDetailsMsg',73,1),
(19531,61608,61608,'OP_RequestTargetLocMsg',210,1),
(19532,61608,61608,'OP_Research',761,1),
(19533,61608,61608,'OP_ResendWorldChannelsMsg',448,1),
(19534,61608,61608,'OP_ReskinCharacterRequestMsg',15,1),
(19535,61608,61608,'OP_RestartZoneMsg',417,1),
(19536,61608,61608,'OP_RewardPackMsg',285,1),
(19537,61608,61608,'OP_SatMsg',192,1),
(19538,61608,61608,'OP_SavageBarInitMsg',587,1),
(19539,61608,61608,'OP_SelectZoneTeleporterDestinatio',358,1),
(19540,61608,61608,'OP_SendLatestRequestMsg',99,1),
(19541,61608,61608,'OP_ServerPlayCharacterReplyMsg',26,1),
(19542,61608,61608,'OP_ServerPlayCharacterRequestMsg',25,1),
(19543,61608,61608,'OP_SetInstanceDisplayNameMsg',445,1),
(19544,61608,61608,'OP_SetRemoteCmdsMsg',43,1),
(19545,61608,61608,'OP_SetSocialMsg',101,1),
(19546,61608,61608,'OP_ShaderCustomizationMsg',167,1),
(19547,61608,61608,'OP_ShowCreateFromRecipeUIMsg',222,1),
(19548,61608,61608,'OP_ShowIllusionsMsg',196,1),
(19549,61608,61608,'OP_ShowItemCreationProcessUIMsg',226,1),
(19550,61608,61608,'OP_ShowRecipeBookMsg',229,1),
(19551,61608,61608,'OP_ShowZoneTeleporterDestinations',357,1),
(19552,61608,61608,'OP_SitMsg',190,1),
(19553,61608,61608,'OP_SkillInfoRequest',519,1),
(19554,61608,61608,'OP_SkillInfoResponse',520,1),
(19555,61608,61608,'OP_SOEAllAccess',625,1),
(19556,61608,61608,'OP_SpellGainedMsg',266,1),
(19557,61608,61608,'OP_StandMsg',191,1),
(19558,61608,61608,'OP_StoodMsg',193,1),
(19559,61608,61608,'OP_StopItemCreationMsg',225,1),
(19560,61608,61608,'OP_StoppedLootingMsg',189,1),
(19561,61608,61608,'OP_StopTrackingMsg',396,1),
(19562,61608,61608,'OP_SubmitCharCust',569,1),
(19563,61608,61608,'OP_SupplyDepot',758,1),
(19564,61608,61608,'OP_SysClient',221,1),
(19565,61608,61608,'OP_TeleportWithinZoneMsg',81,1),
(19566,61608,61608,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(19567,61608,61608,'OP_TintWidgetsMsg',173,1),
(19568,61608,61608,'OP_TitleUpdateMsg',389,1),
(19569,61608,61608,'OP_TrackingUpdateMsg',394,1),
(19570,61608,61608,'OP_TradeskillList',727,1),
(19571,61608,61608,'OP_TraitsList',750,1),
(19572,61608,61608,'OP_UIEvent',532,1),
(19573,61608,61608,'OP_UIResetMsg',177,1),
(19574,61608,61608,'OP_UISettingsResponseMsg',176,1),
(19575,61608,61608,'OP_Unknown',783,1),
(19576,61608,61608,'OP_UnknownNpcMsg',377,1),
(19577,61608,61608,'OP_UpdateActivePublicZonesMsg',376,1),
(19578,61608,61608,'OP_UpdateCharacterSheetMsg',65,1),
(19579,61608,61608,'OP_UpdateClientPredFlagsMsg',249,1),
(19580,61608,61608,'OP_UpdateDebugRadiiMsg',383,1),
(19581,61608,61608,'OP_UpdateGroupMemberDataMsg',393,1),
(19582,61608,61608,'OP_UpdateHouseAccessDataMsg',147,1),
(19583,61608,61608,'OP_UpdateHouseDataMsg',146,1),
(19584,61608,61608,'OP_UpdateInventoryMsg',70,1),
(19585,61608,61608,'OP_UpdateItemCreationProcessUIMsg',227,1),
(19586,61608,61608,'OP_UpdateMotdMsg',211,1),
(19587,61608,61608,'OP_UpdateOpportunityMsg',77,1),
(19588,61608,61608,'OP_UpdatePositionMsg',41,1),
(19589,61608,61608,'OP_UpdateRaidMsg',385,1),
(19590,61608,61608,'OP_UpdateRecipeBookMsg',72,1),
(19591,61608,61608,'OP_UpdateSkillBookMsg',75,1),
(19592,61608,61608,'OP_UpdateSkillsMsg',76,1),
(19593,61608,61608,'OP_UpdateSpellBookMsg',68,1),
(19594,61608,61608,'OP_UpdateTargetLocMsg',64,1),
(19595,61608,61608,'OP_UpdateTargetMsg',63,1),
(19596,61608,61608,'OP_UpdateTitleCmd',499,1),
(19597,61608,61608,'OP_UseAdornment',738,1),
(19598,61608,61608,'OP_VideoUploaded',586,1),
(19599,61608,61608,'OP_VoiceChatChannel',525,1),
(19600,61608,61608,'OP_VoiceChatServer',754,1),
(19601,61608,61608,'OP_WaypointReplyMsg',353,1),
(19602,61608,61608,'OP_WaypointRequestMsg',352,1),
(19603,61608,61608,'OP_WaypointSelectMsg',354,1),
(19604,61608,61608,'OP_WaypointUpdateMsg',355,1),
(19605,61608,61608,'OP_Weakness',590,1),
(19606,61608,61608,'OP_WhoQueryReplyMsg',56,1),
(19607,61608,61608,'OP_WhoQueryRequestMsg',55,1),
(19608,61608,61608,'OP_WorldDataChangeMsg',415,1),
(19609,61608,61608,'OP_WorldDataUpdateMsg',240,1),
(19610,61608,61608,'OP_WorldListMsg',8,1),
(19611,61608,61608,'OP_WorldPingMsg',404,1),
(19612,61608,61608,'OP_WorldShutdownUpdateMsg',408,1),
(19613,61608,61608,'OP_WorldStatusChangeMsg',6,1),
(19614,61608,61608,'OP_WorldTravelAvail',579,1),
(19615,61608,61608,'OP_WSAcctLockStatusMsg',208,1),
(19616,61608,61608,'OP_WSCreateCharacterReplyMsg',14,1),
(19617,61608,61608,'OP_WSCreateCharacterRequestMsg',13,1),
(19618,61608,61608,'OP_WSLoginRequestMsg',2,1),
(19619,61608,61608,'OP_WSServerHideMsg',370,1),
(19620,61608,61608,'OP_WSServerLockMsg',368,1),
(19621,61608,61608,'OP_WSStatusReplyMsg',5,1),
(19622,61608,61608,'OP_ZoneBgInstanceList',575,1),
(19623,61608,61608,'OP_ZoneInfoMsg',35,1),
(19624,61608,61608,'OP_ZoneInstanceCreateReplyMsg',32,1),
(19625,61608,61608,'OP_ZoneInstanceDestroyedMsg',33,1),
(19626,61608,61608,'OP_ZoneMOTDMsg',47,1),
(19627,61608,61608,'OP_ZonesStatusMsg',105,1),
(19628,61608,61608,'OP_ZonesStatusRequestMsg',104,1),
(19629,61608,61608,'OP_ZoneToFriendReplyMsg',288,1),
(19630,61608,61608,'OP_ZoneToFriendRequestMsg',287,1),
(19631,61608,61608,'OP_EarlyLandingRequestMsg',491,1),
(19632,63119,63119,'OP_LoginRequestMsg',0,1),
(19633,63119,63119,'OP_LoginByNumRequestMsg',1,1),
(19634,63119,63119,'OP_WSLoginRequestMsg',2,1),
(19635,63119,63119,'OP_ESLoginRequestMsg',3,1),
(19636,63119,63119,'OP_LoginReplyMsg',4,1),
(19637,63119,63119,'OP_WSStatusReplyMsg',5,1),
(19638,63119,63119,'OP_WorldStatusChangeMsg',6,1),
(19639,63119,63119,'OP_AllWSDescRequestMsg',7,1),
(19640,63119,63119,'OP_WorldListMsg',8,1),
(19641,63119,63119,'OP_AllCharactersDescRequestMsg',9,1),
(19642,63119,63119,'OP_AllCharactersDescReplyMsg',10,1),
(19643,63119,63119,'OP_CreateCharacterRequestMsg',11,1),
(19644,63119,63119,'OP_CreateCharacterReplyMsg',12,1),
(19645,63119,63119,'OP_WSCreateCharacterRequestMsg',13,1),
(19646,63119,63119,'OP_WSCreateCharacterReplyMsg',14,1),
(19647,63119,63119,'OP_ReskinCharacterRequestMsg',15,1),
(19648,63119,63119,'OP_DeleteCharacterRequestMsg',18,1),
(19649,63119,63119,'OP_DeleteCharacterReplyMsg',19,1),
(19650,63119,63119,'OP_PlayCharacterRequestMsg',20,1),
(19651,63119,63119,'OP_PlayCharacterReplyMsg',21,1),
(19652,63119,63119,'OP_ExpectClientAsCharacterReplyMs',24,1),
(19653,63119,63119,'OP_ServerPlayCharacterRequestMsg',25,1),
(19654,63119,63119,'OP_ServerPlayCharacterReplyMsg',26,1),
(19655,63119,63119,'OP_ESInitMsg',27,1),
(19656,63119,63119,'OP_ESReadyForClientsMsg',28,1),
(19657,63119,63119,'OP_CreateZoneInstanceMsg',31,1),
(19658,63119,63119,'OP_ZoneInstanceCreateReplyMsg',32,1),
(19659,63119,63119,'OP_ZoneInstanceDestroyedMsg',33,1),
(19660,63119,63119,'OP_ExpectClientAsCharacterRequest',34,1),
(19661,63119,63119,'OP_ZoneInfoMsg',35,1),
(19662,63119,63119,'OP_DoneLoadingZoneResourcesMsg',36,1),
(19663,63119,63119,'OP_DoneSendingInitialEntitiesMsg',37,1),
(19664,63119,63119,'OP_DoneLoadingEntityResourcesMsg',38,1),
(19665,63119,63119,'OP_PredictionUpdateMsg',39,1),
(19666,63119,63119,'OP_UpdatePositionMsg',41,1),
(19667,63119,63119,'OP_SetRemoteCmdsMsg',43,1),
(19668,63119,63119,'OP_RemoteCmdMsg',44,1),
(19669,63119,63119,'OP_GameWorldTimeMsg',45,1),
(19670,63119,63119,'OP_MOTDMsg',46,1),
(19671,63119,63119,'OP_ZoneMOTDMsg',47,1),
(19672,63119,63119,'OP_AvatarCreatedMsg',48,1),
(19673,63119,63119,'OP_AvatarDestroyedMsg',49,1),
(19674,63119,63119,'OP_RequestCampMsg',52,1),
(19675,63119,63119,'OP_CampStartedMsg',53,1),
(19676,63119,63119,'OP_CampAbortedMsg',54,1),
(19677,63119,63119,'OP_WhoQueryRequestMsg',55,1),
(19678,63119,63119,'OP_WhoQueryReplyMsg',56,1),
(19679,63119,63119,'OP_MonitorReplyMsg',57,1),
(19680,63119,63119,'OP_MonitorCharacterListMsg',58,1),
(19681,63119,63119,'OP_MonitorCharacterListRequestMsg',59,1),
(19682,63119,63119,'OP_ClientCmdMsg',60,1),
(19683,63119,63119,'OP_DispatchESMsg',61,1),
(19684,63119,63119,'OP_DispatchClientCmdMsg',62,1),
(19685,63119,63119,'OP_UpdateTargetMsg',63,1),
(19686,63119,63119,'OP_UpdateTargetLocMsg',64,1),
(19687,63119,63119,'OP_UpdateCharacterSheetMsg',65,1),
(19688,63119,63119,'OP_CharacterPet',66,1),
(19689,63119,63119,'OP_CharacterMerc',67,1),
(19690,63119,63119,'OP_UpdateSpellBookMsg',68,1),
(19691,63119,63119,'OP_UpdateInventoryMsg',70,1),
(19692,63119,63119,'OP_AfterInvSpellUpdate',71,1),
(19693,63119,63119,'OP_UpdateRecipeBookMsg',72,1),
(19694,63119,63119,'OP_RequestRecipeDetailsMsg',73,1),
(19695,63119,63119,'OP_RecipeDetailsMsg',74,1),
(19696,63119,63119,'OP_UpdateSkillBookMsg',75,1),
(19697,63119,63119,'OP_UpdateSkillsMsg',76,1),
(19698,63119,63119,'OP_UpdateOpportunityMsg',77,1),
(19699,63119,63119,'OP_ChangeZoneMsg',79,1),
(19700,63119,63119,'OP_ClientTeleportRequestMsg',80,1),
(19701,63119,63119,'OP_TeleportWithinZoneMsg',81,1),
(19702,63119,63119,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(19703,63119,63119,'OP_MigrateClientToZoneRequestMsg',83,1),
(19704,63119,63119,'OP_MigrateClientToZoneReplyMsg',84,1),
(19705,63119,63119,'OP_ReadyToZoneMsg',86,1),
(19706,63119,63119,'OP_RemoveClientFromGroupMsg',87,1),
(19707,63119,63119,'OP_RemoveGroupFromGroupMsg',88,1),
(19708,63119,63119,'OP_MakeGroupLeaderMsg',89,1),
(19709,63119,63119,'OP_GroupCreatedMsg',90,1),
(19710,63119,63119,'OP_GroupDestroyedMsg',91,1),
(19711,63119,63119,'OP_GroupMemberAddedMsg',92,1),
(19712,63119,63119,'OP_GroupMemberRemovedMsg',93,1),
(19713,63119,63119,'OP_GroupRemovedFromGroupMsg',94,1),
(19714,63119,63119,'OP_GroupLeaderChangedMsg',95,1),
(19715,63119,63119,'OP_GroupResendOOZDataMsg',96,1),
(19716,63119,63119,'OP_GroupSettingsChangedMsg',97,1),
(19717,63119,63119,'OP_OutOfZoneMemberDataMsg',98,1),
(19718,63119,63119,'OP_SendLatestRequestMsg',99,1),
(19719,63119,63119,'OP_ClearDataMsg',100,1),
(19720,63119,63119,'OP_SetSocialMsg',101,1),
(19721,63119,63119,'OP_ESStatusMsg',102,1),
(19722,63119,63119,'OP_ESZoneInstanceStatusMsg',103,1),
(19723,63119,63119,'OP_ZonesStatusRequestMsg',104,1),
(19724,63119,63119,'OP_ZonesStatusMsg',105,1),
(19725,63119,63119,'OP_ESWeatherRequestMsg',106,1),
(19726,63119,63119,'OP_ESWeatherRequestEndMsg',107,1),
(19727,63119,63119,'OP_DialogSelectMsg',111,1),
(19728,63119,63119,'OP_DialogCloseMsg',112,1),
(19729,63119,63119,'OP_RemoveSpellEffectMsg',113,1),
(19730,63119,63119,'OP_RemoveConcentrationMsg',114,1),
(19731,63119,63119,'OP_QuestJournalOpenMsg',115,1),
(19732,63119,63119,'OP_QuestJournalInspectMsg',116,1),
(19733,63119,63119,'OP_QuestJournalSetVisibleMsg',117,1),
(19734,63119,63119,'OP_QuestJournalWaypointMsg',118,1),
(19735,63119,63119,'OP_CreateGuildRequestMsg',121,1),
(19736,63119,63119,'OP_CreateGuildReplyMsg',123,1),
(19737,63119,63119,'OP_GuildsayMsg',124,1),
(19738,63119,63119,'OP_FellowshipExpMsg',125,1),
(19739,63119,63119,'OP_DeleteGuildMsg',126,1),
(19740,63119,63119,'OP_GuildUpdateMsg',127,1),
(19741,63119,63119,'OP_ConsignmentCloseStoreMsg',128,1),
(19742,63119,63119,'OP_ConsignItemRequestMsg',129,1),
(19743,63119,63119,'OP_ConsignItemResponseMsg',130,1),
(19744,63119,63119,'OP_PurchaseConsignmentRequestMsg',131,1),
(19745,63119,63119,'OP_LikeOption',139,1),
(19746,63119,63119,'OP_PublishHouse',141,1),
(19747,63119,63119,'OP_PlayerMadeInstancesScreen',142,1),
(19748,63119,63119,'OP_PlayerMadeInstances',143,1),
(19749,63119,63119,'OP_HouseDeletedRemotelyMsg',145,1),
(19750,63119,63119,'OP_UpdateHouseDataMsg',146,1),
(19751,63119,63119,'OP_UpdateHouseAccessDataMsg',147,1),
(19752,63119,63119,'OP_PlayerHouseBaseScreenMsg',148,1),
(19753,63119,63119,'OP_PlayerHousePurchaseScreenMsg',149,1),
(19754,63119,63119,'OP_PlayerHouseAccessUpdateMsg',150,1),
(19755,63119,63119,'OP_PlayerHouseDisplayStatusMsg',151,1),
(19756,63119,63119,'OP_PlayerHouseCloseUIMsg',152,1),
(19757,63119,63119,'OP_BuyPlayerHouseMsg',153,1),
(19758,63119,63119,'OP_BuyPlayerHouseTintMsg',154,1),
(19759,63119,63119,'OP_CollectAllHouseItemsMsg',155,1),
(19760,63119,63119,'OP_RelinquishHouseMsg',156,1),
(19761,63119,63119,'OP_EnterHouseMsg',157,1),
(19762,63119,63119,'OP_ExitHouseMsg',158,1),
(19763,63119,63119,'OP_HouseDefaultAccessSetMsg',159,1),
(19764,63119,63119,'OP_HouseAccessSetMsg',160,1),
(19765,63119,63119,'OP_HouseAccessRemoveMsg',161,1),
(19766,63119,63119,'OP_PayHouseUpkeepMsg',162,1),
(19767,63119,63119,'OP_MoveableObjectPlacementCriteri',163,1),
(19768,63119,63119,'OP_EnterMoveObjectModeMsg',164,1),
(19769,63119,63119,'OP_PositionMoveableObject',165,1),
(19770,63119,63119,'OP_CancelMoveObjectModeMsg',166,1),
(19771,63119,63119,'OP_ShaderCustomizationMsg',167,1),
(19772,63119,63119,'OP_ReplaceableSubMeshesMsg',168,1),
(19773,63119,63119,'OP_HouseCustomizationScreenMsg',169,1),
(19774,63119,63119,'OP_CustomizationPurchaseRequestMs',170,1),
(19775,63119,63119,'OP_CustomizationSetRequestMsg',171,1),
(19776,63119,63119,'OP_CustomizationReplyMsg',172,1),
(19777,63119,63119,'OP_TintWidgetsMsg',173,1),
(19778,63119,63119,'OP_ExamineConsignmentRequestMsg',174,1),
(19779,63119,63119,'OP_ExamineConsignmentResponseMsg',175,1),
(19780,63119,63119,'OP_UISettingsResponseMsg',176,1),
(19781,63119,63119,'OP_UIResetMsg',177,1),
(19782,63119,63119,'OP_KeymapLoadMsg',178,1),
(19783,63119,63119,'OP_KeymapNoneMsg',179,1),
(19784,63119,63119,'OP_KeymapDataMsg',180,1),
(19785,63119,63119,'OP_KeymapSaveMsg',181,1),
(19786,63119,63119,'OP_DispatchSpellCmdMsg',182,1),
(19787,63119,63119,'OP_EntityVerbsRequestMsg',183,1),
(19788,63119,63119,'OP_EntityVerbsReplyMsg',184,1),
(19789,63119,63119,'OP_EntityVerbsVerbMsg',185,1),
(19790,63119,63119,'OP_ChatRelationshipUpdateMsg',187,1),
(19791,63119,63119,'OP_LootItemsRequestMsg',188,1),
(19792,63119,63119,'OP_StoppedLootingMsg',189,1),
(19793,63119,63119,'OP_SitMsg',190,1),
(19794,63119,63119,'OP_StandMsg',191,1),
(19795,63119,63119,'OP_SatMsg',192,1),
(19796,63119,63119,'OP_StoodMsg',193,1),
(19797,63119,63119,'OP_ClearForTakeOffMsg',194,1),
(19798,63119,63119,'OP_ReadyForTakeOffMsg',195,1),
(19799,63119,63119,'OP_ShowIllusionsMsg',196,1),
(19800,63119,63119,'OP_HideIllusionsMsg',197,1),
(19801,63119,63119,'OP_ExamineItemRequestMsg',198,1),
(19802,63119,63119,'OP_ReadBookPageMsg',199,1),
(19803,63119,63119,'OP_DefaultGroupOptionsRequestMsg',200,1),
(19804,63119,63119,'OP_DefaultGroupOptionsMsg',201,1),
(19805,63119,63119,'OP_GroupOptionsMsg',202,1),
(19806,63119,63119,'OP_DisplayGroupOptionsScreenMsg',203,1),
(19807,63119,63119,'OP_PetOptions',204,1),
(19808,63119,63119,'OP_DisplayInnVisitScreenMsg',205,1),
(19809,63119,63119,'OP_DumpSchedulerMsg',206,1),
(19810,63119,63119,'OP_LSCheckAcctLockMsg',207,1),
(19811,63119,63119,'OP_WSAcctLockStatusMsg',208,1),
(19812,63119,63119,'OP_RequestHelpRepathMsg',209,1),
(19813,63119,63119,'OP_RequestTargetLocMsg',210,1),
(19814,63119,63119,'OP_UpdateMotdMsg',211,1),
(19815,63119,63119,'OP_DestUpdateReq',213,1),
(19816,63119,63119,'OP_PerformPlayerKnockbackMsg',216,1),
(19817,63119,63119,'OP_PerformCameraShakeMsg',217,1),
(19818,63119,63119,'OP_PopulateSkillMapsMsg',218,1),
(19819,63119,63119,'OP_CancelledFeignMsg',219,1),
(19820,63119,63119,'OP_SysClient',221,1),
(19821,63119,63119,'OP_ShowCreateFromRecipeUIMsg',222,1),
(19822,63119,63119,'OP_CancelCreateFromRecipeMsg',223,1),
(19823,63119,63119,'OP_BeginItemCreationMsg',224,1),
(19824,63119,63119,'OP_StopItemCreationMsg',225,1),
(19825,63119,63119,'OP_ShowItemCreationProcessUIMsg',226,1),
(19826,63119,63119,'OP_UpdateItemCreationProcessUIMsg',227,1),
(19827,63119,63119,'OP_DisplayTSEventReactionMsg',228,1),
(19828,63119,63119,'OP_ShowRecipeBookMsg',229,1),
(19829,63119,63119,'OP_KnowledgebaseRequestMsg',230,1),
(19830,63119,63119,'OP_KnowledgebaseResponseMsg',231,1),
(19831,63119,63119,'OP_CSTicketHeaderRequestMsg',232,1),
(19832,63119,63119,'OP_CSTicketInfoMsg',233,1),
(19833,63119,63119,'OP_CSTicketCommentRequestMsg',234,1),
(19834,63119,63119,'OP_CSTicketCommentResponseMsg',235,1),
(19835,63119,63119,'OP_CSTicketCreateMsg',236,1),
(19836,63119,63119,'OP_CSTicketAddCommentMsg',237,1),
(19837,63119,63119,'OP_CSTicketDeleteMsg',238,1),
(19838,63119,63119,'OP_CSTicketChangeNotificationMsg',239,1),
(19839,63119,63119,'OP_WorldDataUpdateMsg',240,1),
(19840,63119,63119,'OP_KnownLanguagesMsg',242,1),
(19841,63119,63119,'OP_LsRequestClientCrashLogMsg',243,1),
(19842,63119,63119,'OP_LsClientBaselogReplyMsg',244,1),
(19843,63119,63119,'OP_LsClientCrashlogReplyMsg',245,1),
(19844,63119,63119,'OP_LsClientAlertlogReplyMsg',246,1),
(19845,63119,63119,'OP_LsClientVerifylogReplyMsg',247,1),
(19846,63119,63119,'OP_ClientTeleportToLocationMsg',248,1),
(19847,63119,63119,'OP_UpdateClientPredFlagsMsg',249,1),
(19848,63119,63119,'OP_ChangeServerControlFlagMsg',250,1),
(19849,63119,63119,'OP_CSToolsRequestMsg',251,1),
(19850,63119,63119,'OP_CSToolsResponseMsg',252,1),
(19851,63119,63119,'OP_AddSocialStructureStandingMsg',253,1),
(19852,63119,63119,'OP_CreateBoatTransportsMsg',254,1),
(19853,63119,63119,'OP_PositionBoatTransportMsg',255,1),
(19854,63119,63119,'OP_MigrateBoatTransportMsg',256,1),
(19855,63119,63119,'OP_MigrateBoatTransportReplyMsg',257,1),
(19856,63119,63119,'OP_DisplayDebugNLLPointsMsg',258,1),
(19857,63119,63119,'OP_ExamineInfoRequestMsg',259,1),
(19858,63119,63119,'OP_QuickbarInitMsg',260,1),
(19859,63119,63119,'OP_QuickbarUpdateMsg',261,1),
(19860,63119,63119,'OP_MacroInitMsg',262,1),
(19861,63119,63119,'OP_MacroUpdateMsg',263,1),
(19862,63119,63119,'OP_QuestionnaireMsg',264,1),
(19863,63119,63119,'OP_LevelChangedMsg',265,1),
(19864,63119,63119,'OP_SpellGainedMsg',266,1),
(19865,63119,63119,'OP_EncounterBrokenMsg',267,1),
(19866,63119,63119,'OP_OnscreenMsgMsg',268,1),
(19867,63119,63119,'OP_DisplayWarningMsg',269,1),
(19868,63119,63119,'OP_ModifyGuildMsg',270,1),
(19869,63119,63119,'OP_GuildEventMsg',271,1),
(19870,63119,63119,'OP_GuildEventAddMsg',272,1),
(19871,63119,63119,'OP_GuildEventActionMsg',273,1),
(19872,63119,63119,'OP_GuildEventListMsg',274,1),
(19873,63119,63119,'OP_RequestGuildEventDetailsMsg',275,1),
(19874,63119,63119,'OP_GuildEventDetailsMsg',276,1),
(19875,63119,63119,'OP_RequestGuildInfoMsg',277,1),
(19876,63119,63119,'OP_GuildBankActionMsg',278,1),
(19877,63119,63119,'OP_GuildBankActionResponseMsg',279,1),
(19878,63119,63119,'OP_GuildBankItemDetailsRequestMsg',280,1),
(19879,63119,63119,'OP_GuildBankItemDetailsResponseMs',281,1),
(19880,63119,63119,'OP_GuildBankUpdateMsg',282,1),
(19881,63119,63119,'OP_GuildBankEventListMsg',283,1),
(19882,63119,63119,'OP_RequestGuildBankEventDetailsMs',284,1),
(19883,63119,63119,'OP_RewardPackMsg',285,1),
(19884,63119,63119,'OP_RenameGuildMsg',286,1),
(19885,63119,63119,'OP_ZoneToFriendRequestMsg',287,1),
(19886,63119,63119,'OP_ZoneToFriendReplyMsg',288,1),
(19887,63119,63119,'OP_ChatCreateChannelMsg',289,1),
(19888,63119,63119,'OP_ChatJoinChannelMsg',290,1),
(19889,63119,63119,'OP_ChatWhoChannelMsg',291,1),
(19890,63119,63119,'OP_ChatLeaveChannelMsg',292,1),
(19891,63119,63119,'OP_ChatTellChannelMsg',293,1),
(19892,63119,63119,'OP_ChatTellUserMsg',294,1),
(19893,63119,63119,'OP_ChatToggleFriendMsg',295,1),
(19894,63119,63119,'OP_BrokerAddBag',296,1),
(19895,63119,63119,'OP_BrokerRemoveBag',297,1),
(19896,63119,63119,'OP_ChatToggleIgnoreMsg',298,1),
(19897,63119,63119,'OP_ChatSendFriendsMsg',299,1),
(19898,63119,63119,'OP_ChatSendIgnoresMsg',300,1),
(19899,63119,63119,'OP_QuestReward',324,1),
(19900,63119,63119,'OP_ChatFiltersMsg',338,1),
(19901,63119,63119,'OP_MailGetMessageMsg',342,1),
(19902,63119,63119,'OP_MailSendMessageMsg',343,1),
(19903,63119,63119,'OP_MailDeleteMessageMsg',344,1),
(19904,63119,63119,'OP_MailGetHeadersReplyMsg',345,1),
(19905,63119,63119,'OP_MailGetMessageReplyMsg',346,1),
(19906,63119,63119,'OP_MailSendMessageReplyMsg',347,1),
(19907,63119,63119,'OP_MailCommitSendMessageMsg',348,1),
(19908,63119,63119,'OP_MailSendSystemMessageMsg',349,1),
(19909,63119,63119,'OP_MailRemoveAttachFromMailMsg',350,1),
(19910,63119,63119,'OP_WaypointRequestMsg',352,1),
(19911,63119,63119,'OP_WaypointReplyMsg',353,1),
(19912,63119,63119,'OP_WaypointSelectMsg',354,1),
(19913,63119,63119,'OP_WaypointUpdateMsg',355,1),
(19914,63119,63119,'OP_CharNameChangedMsg',356,1),
(19915,63119,63119,'OP_ShowZoneTeleporterDestinations',357,1),
(19916,63119,63119,'OP_SelectZoneTeleporterDestinatio',358,1),
(19917,63119,63119,'OP_ReloadLocalizedTxtMsg',359,1),
(19918,63119,63119,'OP_RequestGuildMembershipMsg',360,1),
(19919,63119,63119,'OP_GuildMembershipResponseMsg',361,1),
(19920,63119,63119,'OP_LeaveGuildNotifyMsg',362,1),
(19921,63119,63119,'OP_JoinGuildNotifyMsg',363,1),
(19922,63119,63119,'OP_AvatarUpdateMsg',364,1),
(19923,63119,63119,'OP_BioUpdateMsg',366,1),
(19924,63119,63119,'OP_InspectPlayerMsg',367,1),
(19925,63119,63119,'OP_WSServerLockMsg',368,1),
(19926,63119,63119,'OP_LSServerLockMsg',369,1),
(19927,63119,63119,'OP_WSServerHideMsg',370,1),
(19928,63119,63119,'OP_CsCategoryRequestMsg',371,1),
(19929,63119,63119,'OP_CsCategoryResponseMsg',372,1),
(19930,63119,63119,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(19931,63119,63119,'OP_AFKUpdateMsg',374,1),
(19932,63119,63119,'OP_AnonUpdateMsg',375,1),
(19933,63119,63119,'OP_UpdateActivePublicZonesMsg',376,1),
(19934,63119,63119,'OP_UnknownNpcMsg',377,1),
(19935,63119,63119,'OP_PromoFlagsDetailsMsg',378,1),
(19936,63119,63119,'OP_ConsignViewCreateMsg',379,1),
(19937,63119,63119,'OP_ConsignViewGetPageMsg',380,1),
(19938,63119,63119,'OP_ConsignViewReleaseMsg',381,1),
(19939,63119,63119,'OP_ConsignRemoveItemsMsg',382,1),
(19940,63119,63119,'OP_UpdateDebugRadiiMsg',383,1),
(19941,63119,63119,'OP_ReportMsg',384,1),
(19942,63119,63119,'OP_UpdateRaidMsg',385,1),
(19943,63119,63119,'OP_ConsignViewSortMsg',387,1),
(19944,63119,63119,'OP_TitleUpdateMsg',388,1),
(19945,63119,63119,'OP_ClientFellMsg',389,1),
(19946,63119,63119,'OP_ClientInDeathRegionMsg',390,1),
(19947,63119,63119,'OP_CampClientMsg',391,1),
(19948,63119,63119,'OP_CSToolAccessResponseMsg',392,1),
(19949,63119,63119,'OP_UpdateGroupMemberDataMsg',392,1),
(19950,63119,63119,'OP_TrackingUpdateMsg',393,1),
(19951,63119,63119,'OP_BeginTrackingMsg',394,1),
(19952,63119,63119,'OP_StopTrackingMsg',395,1),
(19953,63119,63119,'OP_GetAvatarAccessRequestForCSToo',397,1),
(19954,63119,63119,'OP_AdvancementRequestMsg',398,1),
(19955,63119,63119,'OP_MapFogDataInitMsg',399,1),
(19956,63119,63119,'OP_MapFogDataUpdateMsg',400,1),
(19957,63119,63119,'OP_CloseGroupInviteWindowMsg',401,1),
(19958,63119,63119,'OP_WorldPingMsg',404,1),
(19959,63119,63119,'OP_MoveLogUpdateMsg',405,1),
(19960,63119,63119,'OP_OfferQuestMsg',406,1),
(19961,63119,63119,'OP_WorldShutdownUpdateMsg',408,1),
(19962,63119,63119,'OP_DisplayMailScreenMsg',409,1),
(19963,63119,63119,'OP_ClientIdleBeginMsg',410,1),
(19964,63119,63119,'OP_ClientIdleEndMsg',411,1),
(19965,63119,63119,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(19966,63119,63119,'OP_NotifyApprenticeStoppedMentori',413,1),
(19967,63119,63119,'OP_CorruptedClientMsg',414,1),
(19968,63119,63119,'OP_WorldDataChangeMsg',415,1),
(19969,63119,63119,'OP_MailEventNotificationMsg',416,1),
(19970,63119,63119,'OP_RestartZoneMsg',417,1),
(19971,63119,63119,'OP_FlightPathsMsg',418,1),
(19972,63119,63119,'OP_CharacterLinkdeadMsg',419,1),
(19973,63119,63119,'OP_CharTransferStartRequestMsg',420,1),
(19974,63119,63119,'OP_CharTransferStartReplyMsg',421,1),
(19975,63119,63119,'OP_CharTransferRequestMsg',422,1),
(19976,63119,63119,'OP_CharTransferReplyMsg',423,1),
(19977,63119,63119,'OP_CharTransferRollbackRequestMsg',424,1),
(19978,63119,63119,'OP_CharTransferCommitRequestMsg',425,1),
(19979,63119,63119,'OP_CharTransferRollbackReplyMsg',426,1),
(19980,63119,63119,'OP_CharTransferCommitReplyMsg',427,1),
(19981,63119,63119,'OP_GetCharacterSerializedRequestM',428,1),
(19982,63119,63119,'OP_GetCharacterSerializedReplyMsg',429,1),
(19983,63119,63119,'OP_CreateCharFromCBBRequestMsg',430,1),
(19984,63119,63119,'OP_CreateCharFromCBBReplyMsg',431,1),
(19985,63119,63119,'OP_HousingDataChangedMsg',432,1),
(19986,63119,63119,'OP_HousingRestoreMsg',433,1),
(19987,63119,63119,'OP_AuctionItem',434,1),
(19988,63119,63119,'OP_AuctionItemReply',435,1),
(19989,63119,63119,'OP_AuctionCoin',436,1),
(19990,63119,63119,'OP_AuctionCoinReply',437,1),
(19991,63119,63119,'OP_AuctionCharacter',438,1),
(19992,63119,63119,'OP_AuctionCharacterReply',439,1),
(19993,63119,63119,'OP_AuctionCommitMsg',440,1),
(19994,63119,63119,'OP_AuctionAbortMsg',441,1),
(19995,63119,63119,'OP_CharTransferValidateRequestMsg',442,1),
(19996,63119,63119,'OP_CharTransferValidateReplyMsg',443,1),
(19997,63119,63119,'OP_RaceRestrictionMsg',444,1),
(19998,63119,63119,'OP_SetInstanceDisplayNameMsg',445,1),
(19999,63119,63119,'OP_GetAuctionAssetIDMsg',446,1),
(20000,63119,63119,'OP_GetAuctionAssetIDReplyMsg',447,1),
(20001,63119,63119,'OP_ResendWorldChannelsMsg',448,1),
(20002,63119,63119,'OP_DisplayExchangeScreenMsg',449,1),
(20003,63119,63119,'OP_ArenaGameTypesMsg',450,1),
(20004,63119,63119,'OP_AuditAuctionEventMsg',451,1),
(20005,63119,63119,'OP_InviteRequestMsg',452,1),
(20006,63119,63119,'OP_InviteResponseMsg',453,1),
(20007,63119,63119,'OP_InviteTargetResponseMsg',454,1),
(20008,63119,63119,'OP_InspectPlayerRequestMsg',455,1),
(20009,63119,63119,'OP_DispatchMsg',456,1),
(20010,63119,63119,'OP_DisplayEventMsg',457,1),
(20011,63119,63119,'OP_PrePossessionMsg',458,1),
(20012,63119,63119,'OP_PostPossessionMsg',459,1),
(20013,63119,63119,'OP_ArenaCreate',461,1),
(20014,63119,63119,'OP_ArenaList',462,1),
(20015,63119,63119,'OP_ArenaWindow',470,1),
(20016,63119,63119,'OP_HouseItemsList',489,1),
(20017,63119,63119,'OP_CurrentPet',490,1),
(20018,63119,63119,'OP_EarlyLandingRequestMsg',491,1),
(20019,63119,63119,'OP_AdventureList',493,1),
(20020,63119,63119,'OP_CancelSpellCast',494,1),
(20021,63119,63119,'OP_ClearForLandingMsg',496,1),
(20022,63119,63119,'OP_UpdateTitleCmd',499,1),
(20023,63119,63119,'OP_AttackAllowed',505,1),
(20024,63119,63119,'OP_AttackNotAllowed',506,1),
(20025,63119,63119,'OP_BagOptions',507,1),
(20026,63119,63119,'OP_LFGGroupSearch',509,1),
(20027,63119,63119,'OP_CharacterHousingList',512,1),
(20028,63119,63119,'OP_DressingRoom',515,1),
(20029,63119,63119,'OP_PlayLon',516,1),
(20030,63119,63119,'OP_SkillInfoRequest',518,1),
(20031,63119,63119,'OP_SkillInfoResponse',519,1),
(20032,63119,63119,'OP_LFGUpdateMsg',522,1),
(20033,63119,63119,'OP_BadLanguageFilter',523,1),
(20034,63119,63119,'OP_VoiceChatChannel',524,1),
(20035,63119,63119,'OP_MapRequest',525,1),
(20036,63119,63119,'OP_MarketFundsUpdate',530,1),
(20037,63119,63119,'OP_UIEvent',531,1),
(20038,63119,63119,'OP_MarketAddFundsRequest',532,1),
(20039,63119,63119,'OP_MarketAddFundsReply',533,1),
(20040,63119,63119,'OP_MarketPurchase',535,1),
(20041,63119,63119,'OP_MarketPlacePrices',536,1),
(20042,63119,63119,'OP_MarketPlaceItems',543,1),
(20043,63119,63119,'OP_RecipeBook',544,1),
(20044,63119,63119,'OP_CreateCharacterDungeon',551,1),
(20045,63119,63119,'OP_DungeonMakerEnter',552,1),
(20046,63119,63119,'OP_DungeonMakerItemRequest',556,1),
(20047,63119,63119,'OP_CharacterCreatedDungeons',557,1),
(20048,63119,63119,'OP_DungeonMakerToolboxList',558,1),
(20049,63119,63119,'OP_DungeonMakerUnknown',559,1),
(20050,63119,63119,'OP_DungeonMakerUnknown1',560,1),
(20051,63119,63119,'OP_PlayerPollPopup',562,1),
(20052,63119,63119,'OP_PlayerPollAnswer',563,1),
(20053,63119,63119,'OP_MentorPopup',564,1),
(20054,63119,63119,'OP_LoadWelcomeWindow',566,1),
(20055,63119,63119,'OP_OpenCharCust',568,1),
(20056,63119,63119,'OP_SubmitCharCust',569,1),
(20057,63119,63119,'OP_QueAllBgSolo',571,1),
(20058,63119,63119,'OP_ZoneBgInstanceList',572,1),
(20059,63119,63119,'OP_WorldTravelAvail',576,1),
(20060,63119,63119,'OP_Launchpad',579,1),
(20061,63119,63119,'OP_PaperdollImage',581,1),
(20062,63119,63119,'OP_LoadCalendarEvents',582,1),
(20063,63119,63119,'OP_VideoUploaded',583,1),
(20064,63119,63119,'OP_SavageBarInitMsg',584,1),
(20065,63119,63119,'OP_PetOptionsResponse',585,1),
(20066,63119,63119,'OP_DungeonMakerItemResponse',586,1),
(20067,63119,63119,'OP_Weakness',587,1),
(20068,63119,63119,'OP_CharacterMounts',588,1),
(20069,63119,63119,'OP_RecipeListUnknown',597,1),
(20070,63119,63119,'OP_DailyObjectives',601,1),
(20071,63119,63119,'OP_DeityAbilityWindow',621,1),
(20072,63119,63119,'OP_EqBetaCopyRequest',637,1),
(20073,63119,63119,'OP_SOEAllAccess',638,1),
(20074,63119,63119,'OP_EqHearChatCmd',641,1),
(20075,63119,63119,'OP_EqDisplayTextCmd',642,1),
(20076,63119,63119,'OP_EqCreateGhostCmd',643,1),
(20077,63119,63119,'OP_EqCreateWidgetCmd',644,1),
(20078,63119,63119,'OP_EqCreateSignWidgetCmd',645,1),
(20079,63119,63119,'OP_EqDestroyGhostCmd',646,1),
(20080,63119,63119,'OP_EqUpdateGhostCmd',647,1),
(20081,63119,63119,'OP_EqSetControlGhostCmd',648,1),
(20082,63119,63119,'OP_EqSetPOVGhostCmd',649,1),
(20083,63119,63119,'OP_EqHearCombatCmd',650,1),
(20084,63119,63119,'OP_EqHearSpellCastCmd',651,1),
(20085,63119,63119,'OP_EQHearProcCmd',652,1),
(20086,63119,63119,'OP_EQHearResEffectCmd',653,1),
(20087,63119,63119,'OP_EqHearSpellInterruptCmd',654,1),
(20088,63119,63119,'OP_EqHearSpellFizzleCmd',655,1),
(20089,63119,63119,'OP_EqHearConsiderCmd',656,1),
(20090,63119,63119,'OP_EqUpdateSubClassesCmd',657,1),
(20091,63119,63119,'OP_EqCreateListBoxCmd',658,1),
(20092,63119,63119,'OP_EqSetDebugPathPointsCmd',659,1),
(20093,63119,63119,'OP_EqCannedEmoteCmd',661,1),
(20094,63119,63119,'OP_EqStateCmd',662,1),
(20095,63119,63119,'OP_EqPlaySoundCmd',663,1),
(20096,63119,63119,'OP_EqPlaySound3DCmd',664,1),
(20097,63119,63119,'OP_EqPlayVoiceCmd',665,1),
(20098,63119,63119,'OP_EqHearDrowningCmd',666,1),
(20099,63119,63119,'OP_EqHearDeathCmd',667,1),
(20100,63119,63119,'OP_EqGroupMemberRemovedCmd',668,1),
(20101,63119,63119,'OP_EqHearChainEffectCmd',669,1),
(20102,63119,63119,'OP_EqReceiveOfferCmd',670,1),
(20103,63119,63119,'OP_EqInspectPCResultsCmd',671,1),
(20104,63119,63119,'OP_EqDrawablePathGraphCmd',672,1),
(20105,63119,63119,'OP_EqDialogOpenCmd',673,1),
(20106,63119,63119,'OP_EqDialogCloseCmd',674,1),
(20107,63119,63119,'OP_EqFactionUpdateCmd',675,1),
(20108,63119,63119,'OP_EqCollectionUpdateCmd',676,1),
(20109,63119,63119,'OP_EqCollectionFilterCmd',677,1),
(20110,63119,63119,'OP_EqCollectionItemCmd',678,1),
(20111,63119,63119,'OP_EqQuestJournalUpdateCmd',679,1),
(20112,63119,63119,'OP_EqMentoring',680,1),
(20113,63119,63119,'OP_EqQuestJournalReplyCmd',681,1),
(20114,63119,63119,'OP_EqQuestGroupCmd',682,1),
(20115,63119,63119,'OP_EqUpdateMerchantCmd',683,1),
(20116,63119,63119,'OP_EqUpdateStoreCmd',684,1),
(20117,63119,63119,'OP_EqUpdatePlayerTradeCmd',685,1),
(20118,63119,63119,'OP_EqHelpPathCmd',686,1),
(20119,63119,63119,'OP_EqHelpPathClearCmd',687,1),
(20120,63119,63119,'OP_EqUpdateBankCmd',688,1),
(20121,63119,63119,'OP_EqExamineInfoCmd',689,1),
(20122,63119,63119,'OP_EqCloseWindowCmd',690,1),
(20123,63119,63119,'OP_EqUpdateLootCmd',691,1),
(20124,63119,63119,'OP_EqJunctionListCmd',692,1),
(20125,63119,63119,'OP_EqShowDeathWindowCmd',693,1),
(20126,63119,63119,'OP_EqDisplaySpellFailCmd',694,1),
(20127,63119,63119,'OP_EqSpellCastStartCmd',695,1),
(20128,63119,63119,'OP_EqSpellCastEndCmd',696,1),
(20129,63119,63119,'OP_EqResurrectedCmd',697,1),
(20130,63119,63119,'OP_EqChoiceWinCmd',698,1),
(20131,63119,63119,'OP_EqSetDefaultVerbCmd',699,1),
(20132,63119,63119,'OP_EqInstructionWindowCmd',700,1),
(20133,63119,63119,'OP_EqInstructionWindowCloseCmd',701,1),
(20134,63119,63119,'OP_EqInstructionWindowGoalCmd',702,1),
(20135,63119,63119,'OP_EqInstructionWindowTaskCmd',703,1),
(20136,63119,63119,'OP_EqEnableGameEventCmd',704,1),
(20137,63119,63119,'OP_EqShowWindowCmd',705,1),
(20138,63119,63119,'OP_EqEnableWindowCmd',706,1),
(20139,63119,63119,'OP_EqFlashWindowCmd',707,1),
(20140,63119,63119,'OP_EqHearPlayFlavorCmd',709,1),
(20141,63119,63119,'OP_EqUpdateSignWidgetCmd',710,1),
(20142,63119,63119,'OP_EqDebugPVDCmd',711,1),
(20143,63119,63119,'OP_EqShowBookCmd',712,1),
(20144,63119,63119,'OP_EqQuestionnaireCmd',713,1),
(20145,63119,63119,'OP_EqGetProbsCmd',715,1),
(20146,63119,63119,'OP_EqHearHealCmd',716,1),
(20147,63119,63119,'OP_EqChatChannelUpdateCmd',717,1),
(20148,63119,63119,'OP_EqWhoChannelQueryReplyCmd',718,1),
(20149,63119,63119,'OP_EqAvailWorldChannelsCmd',719,1),
(20150,63119,63119,'OP_EqUpdateTargetCmd',720,1),
(20151,63119,63119,'OP_BrokerSellList',721,1),
(20152,63119,63119,'OP_EqConsignmentItemsCmd',722,1),
(20153,63119,63119,'OP_EqStartBrokerCmd',724,1),
(20154,63119,63119,'OP_EqMapExplorationCmd',725,1),
(20155,63119,63119,'OP_EqStoreLogCmd',726,1),
(20156,63119,63119,'OP_EqSpellMoveToRangeAndRetryCmd',727,1),
(20157,63119,63119,'OP_EqUpdatePlayerMailCmd',728,1),
(20158,63119,63119,'OP_GuildStatusUpdate',731,1),
(20159,63119,63119,'OP_EqArenaResultsCmd',732,1),
(20160,63119,63119,'OP_EqGuildBankEventActionCmd',733,1),
(20161,63119,63119,'OP_EqGuildBankExamineInfoCmd',734,1),
(20162,63119,63119,'OP_EqHearSpellNoLandCmd',735,1),
(20163,63119,63119,'OP_Lottery',736,1),
(20164,63119,63119,'OP_GuildRecruitingMemberInfo',737,1),
(20165,63119,63119,'OP_GuildRecruiting',738,1),
(20166,63119,63119,'OP_GuildRecruitingDetails',739,1),
(20167,63119,63119,'OP_GuildRecruitingImage',740,1),
(20168,63119,63119,'OP_TradeskillList',741,1),
(20169,63119,63119,'OP_CharRenamed',742,1),
(20170,63119,63119,'OP_UseAdornment',752,1),
(20171,63119,63119,'OP_ExpPurchWindow',758,1),
(20172,63119,63119,'OP_PointOfInterest',762,1),
(20173,63119,63119,'OP_PointOfInterest2',763,1),
(20174,63119,63119,'OP_TraitsList',764,1),
(20175,63119,63119,'OP_CustomizeHouseDisplay',767,1),
(20176,63119,63119,'OP_VoiceChatServer',768,1),
(20177,63119,63119,'OP_SupplyDepot',772,1),
(20178,63119,63119,'OP_EQHearThreatCmd',773,1),
(20179,63119,63119,'OP_RecipeList',774,1),
(20180,63119,63119,'OP_Research',775,1),
(20181,63119,63119,'OP_CharacterCurrency',776,1),
(20182,63119,63119,'OP_CharacterAchievements',777,1),
(20183,63119,63119,'OP_AchievementUpdateMsg',778,1),
(20184,63119,63119,'OP_EQHearDispellCmd',779,1),
(20185,63119,63119,'OP_JournalQuestStoryline',780,1),
(20186,63119,63119,'OP_DungeonPlayAsAvatarList',781,1),
(20187,63119,63119,'OP_DungeonPlayAsAvatarSelected',782,1),
(20188,63119,63119,'OP_MercHireWindow',783,1),
(20189,63119,63119,'OP_MercUnknown',784,1),
(20190,63119,63119,'OP_Unknown',797,1),
(20191,63119,63119,'OP_HeritageMsg',10023,1),
(20192,63120,63135,'OP_AchievementUpdateMsg',780,1),
(20193,63120,63135,'OP_AddSocialStructureStandingMsg',253,1),
(20194,63120,63135,'OP_AdvancementRequestMsg',398,1),
(20195,63120,63135,'OP_AdventureList',493,1),
(20196,63120,63135,'OP_AFKUpdateMsg',374,1),
(20197,63120,63135,'OP_AfterInvSpellUpdate',71,1),
(20198,63120,63135,'OP_AllCharactersDescReplyMsg',10,1),
(20199,63120,63135,'OP_AllCharactersDescRequestMsg',9,1),
(20200,63120,63135,'OP_AllWSDescRequestMsg',7,1),
(20201,63120,63135,'OP_AnonUpdateMsg',375,1),
(20202,63120,63135,'OP_ArenaCreate',461,1),
(20203,63120,63135,'OP_ArenaGameTypesMsg',450,1),
(20204,63120,63135,'OP_ArenaList',462,1),
(20205,63120,63135,'OP_ArenaWindow',470,1),
(20206,63120,63135,'OP_AttackAllowed',505,1),
(20207,63120,63135,'OP_AttackNotAllowed',506,1),
(20208,63120,63135,'OP_AuctionAbortMsg',441,1),
(20209,63120,63135,'OP_AuctionCharacter',438,1),
(20210,63120,63135,'OP_AuctionCharacterReply',439,1),
(20211,63120,63135,'OP_AuctionCoin',436,1),
(20212,63120,63135,'OP_AuctionCoinReply',437,1),
(20213,63120,63135,'OP_AuctionCommitMsg',440,1),
(20214,63120,63135,'OP_AuctionItem',434,1),
(20215,63120,63135,'OP_AuctionItemReply',435,1),
(20216,63120,63135,'OP_AuditAuctionEventMsg',451,1),
(20217,63120,63135,'OP_AvatarCreatedMsg',48,1),
(20218,63120,63135,'OP_AvatarDestroyedMsg',49,1),
(20219,63120,63135,'OP_AvatarUpdateMsg',364,1),
(20220,63120,63135,'OP_BadLanguageFilter',523,1),
(20221,63120,63135,'OP_BagOptions',507,1),
(20222,63120,63135,'OP_BeginItemCreationMsg',224,1),
(20223,63120,63135,'OP_BeginTrackingMsg',394,1),
(20224,63120,63135,'OP_BioUpdateMsg',366,1),
(20225,63120,63135,'OP_BrokerAddBag',296,1),
(20226,63120,63135,'OP_BrokerRemoveBag',297,1),
(20227,63120,63135,'OP_BrokerSellList',723,1),
(20228,63120,63135,'OP_BuyPlayerHouseMsg',153,1),
(20229,63120,63135,'OP_BuyPlayerHouseTintMsg',154,1),
(20230,63120,63135,'OP_CampAbortedMsg',54,1),
(20231,63120,63135,'OP_CampClientMsg',391,1),
(20232,63120,63135,'OP_CampStartedMsg',53,1),
(20233,63120,63135,'OP_CancelCreateFromRecipeMsg',223,1),
(20234,63120,63135,'OP_CancelledFeignMsg',219,1),
(20235,63120,63135,'OP_CancelMoveObjectModeMsg',166,1),
(20236,63120,63135,'OP_CancelSpellCast',494,1),
(20237,63120,63135,'OP_ChangeServerControlFlagMsg',250,1),
(20238,63120,63135,'OP_ChangeZoneMsg',79,1),
(20239,63120,63135,'OP_CharacterAchievements',779,1),
(20240,63120,63135,'OP_CharacterCreatedDungeons',557,1),
(20241,63120,63135,'OP_CharacterCurrency',778,1),
(20242,63120,63135,'OP_CharacterHousingList',512,1),
(20243,63120,63135,'OP_CharacterLinkdeadMsg',419,1),
(20244,63120,63135,'OP_CharacterMerc',67,1),
(20245,63120,63135,'OP_CharacterMounts',588,1),
(20246,63120,63135,'OP_CharacterPet',66,1),
(20247,63120,63135,'OP_CharNameChangedMsg',356,1),
(20248,63120,63135,'OP_CharRenamed',744,1),
(20249,63120,63135,'OP_CharTransferCommitReplyMsg',427,1),
(20250,63120,63135,'OP_CharTransferCommitRequestMsg',425,1),
(20251,63120,63135,'OP_CharTransferReplyMsg',423,1),
(20252,63120,63135,'OP_CharTransferRequestMsg',422,1),
(20253,63120,63135,'OP_CharTransferRollbackReplyMsg',426,1),
(20254,63120,63135,'OP_CharTransferRollbackRequestMsg',424,1),
(20255,63120,63135,'OP_CharTransferStartReplyMsg',421,1),
(20256,63120,63135,'OP_CharTransferStartRequestMsg',420,1),
(20257,63120,63135,'OP_CharTransferValidateReplyMsg',443,1),
(20258,63120,63135,'OP_CharTransferValidateRequestMsg',442,1),
(20259,63120,63135,'OP_ChatCreateChannelMsg',289,1),
(20260,63120,63135,'OP_ChatFiltersMsg',338,1),
(20261,63120,63135,'OP_ChatJoinChannelMsg',290,1),
(20262,63120,63135,'OP_ChatLeaveChannelMsg',292,1),
(20263,63120,63135,'OP_ChatRelationshipUpdateMsg',187,1),
(20264,63120,63135,'OP_ChatSendFriendsMsg',299,1),
(20265,63120,63135,'OP_ChatSendIgnoresMsg',300,1),
(20266,63120,63135,'OP_ChatTellChannelMsg',293,1),
(20267,63120,63135,'OP_ChatTellUserMsg',294,1),
(20268,63120,63135,'OP_ChatToggleFriendMsg',295,1),
(20269,63120,63135,'OP_ChatToggleIgnoreMsg',298,1),
(20270,63120,63135,'OP_ChatWhoChannelMsg',291,1),
(20271,63120,63135,'OP_ClearDataMsg',100,1),
(20272,63120,63135,'OP_ClearForLandingMsg',496,1),
(20273,63120,63135,'OP_ClearForTakeOffMsg',194,1),
(20274,63120,63135,'OP_ClientCmdMsg',60,1),
(20275,63120,63135,'OP_ClientFellMsg',389,1),
(20276,63120,63135,'OP_ClientIdleBeginMsg',410,1),
(20277,63120,63135,'OP_ClientIdleEndMsg',411,1),
(20278,63120,63135,'OP_ClientInDeathRegionMsg',390,1),
(20279,63120,63135,'OP_ClientTeleportRequestMsg',80,1),
(20280,63120,63135,'OP_ClientTeleportToLocationMsg',248,1),
(20281,63120,63135,'OP_CloseGroupInviteWindowMsg',401,1),
(20282,63120,63135,'OP_CollectAllHouseItemsMsg',155,1),
(20283,63120,63135,'OP_ConsignItemRequestMsg',129,1),
(20284,63120,63135,'OP_ConsignItemResponseMsg',130,1),
(20285,63120,63135,'OP_ConsignmentCloseStoreMsg',128,1),
(20286,63120,63135,'OP_ConsignRemoveItemsMsg',382,1),
(20287,63120,63135,'OP_ConsignViewCreateMsg',379,1),
(20288,63120,63135,'OP_ConsignViewGetPageMsg',380,1),
(20289,63120,63135,'OP_ConsignViewReleaseMsg',381,1),
(20290,63120,63135,'OP_ConsignViewSortMsg',387,1),
(20291,63120,63135,'OP_CorruptedClientMsg',414,1),
(20292,63120,63135,'OP_CreateBoatTransportsMsg',254,1),
(20293,63120,63135,'OP_CreateCharacterDungeon',551,1),
(20294,63120,63135,'OP_CreateCharacterReplyMsg',12,1),
(20295,63120,63135,'OP_CreateCharacterRequestMsg',11,1),
(20296,63120,63135,'OP_CreateCharFromCBBReplyMsg',431,1),
(20297,63120,63135,'OP_CreateCharFromCBBRequestMsg',430,1),
(20298,63120,63135,'OP_CreateGuildReplyMsg',123,1),
(20299,63120,63135,'OP_CreateGuildRequestMsg',121,1),
(20300,63120,63135,'OP_CreateZoneInstanceMsg',31,1),
(20301,63120,63135,'OP_CsCategoryRequestMsg',371,1),
(20302,63120,63135,'OP_CsCategoryResponseMsg',372,1),
(20303,63120,63135,'OP_CSTicketAddCommentMsg',237,1),
(20304,63120,63135,'OP_CSTicketChangeNotificationMsg',239,1),
(20305,63120,63135,'OP_CSTicketCommentRequestMsg',234,1),
(20306,63120,63135,'OP_CSTicketCommentResponseMsg',235,1),
(20307,63120,63135,'OP_CSTicketCreateMsg',236,1),
(20308,63120,63135,'OP_CSTicketDeleteMsg',238,1),
(20309,63120,63135,'OP_CSTicketHeaderRequestMsg',232,1),
(20310,63120,63135,'OP_CSTicketInfoMsg',233,1),
(20311,63120,63135,'OP_CSToolAccessResponseMsg',392,1),
(20312,63120,63135,'OP_CSToolsRequestMsg',251,1),
(20313,63120,63135,'OP_CSToolsResponseMsg',252,1),
(20314,63120,63135,'OP_CurrentPet',490,1),
(20315,63120,63135,'OP_CustomizationPurchaseRequestMs',170,1),
(20316,63120,63135,'OP_CustomizationReplyMsg',172,1),
(20317,63120,63135,'OP_CustomizationSetRequestMsg',171,1),
(20318,63120,63135,'OP_CustomizeHouseDisplay',769,1),
(20319,63120,63135,'OP_DailyObjectives',601,1),
(20320,63120,63135,'OP_DefaultGroupOptionsMsg',201,1),
(20321,63120,63135,'OP_DefaultGroupOptionsRequestMsg',200,1),
(20322,63120,63135,'OP_DeityAbilityWindow',621,1),
(20323,63120,63135,'OP_DeleteCharacterReplyMsg',19,1),
(20324,63120,63135,'OP_DeleteCharacterRequestMsg',18,1),
(20325,63120,63135,'OP_DeleteGuildMsg',126,1),
(20326,63120,63135,'OP_DestUpdateReq',213,1),
(20327,63120,63135,'OP_DialogCloseMsg',112,1),
(20328,63120,63135,'OP_DialogSelectMsg',111,1),
(20329,63120,63135,'OP_DispatchClientCmdMsg',62,1),
(20330,63120,63135,'OP_DispatchESMsg',61,1),
(20331,63120,63135,'OP_DispatchMsg',456,1),
(20332,63120,63135,'OP_DispatchSpellCmdMsg',182,1),
(20333,63120,63135,'OP_DisplayDebugNLLPointsMsg',258,1),
(20334,63120,63135,'OP_DisplayEventMsg',457,1),
(20335,63120,63135,'OP_DisplayExchangeScreenMsg',449,1),
(20336,63120,63135,'OP_DisplayGroupOptionsScreenMsg',203,1),
(20337,63120,63135,'OP_DisplayInnVisitScreenMsg',205,1),
(20338,63120,63135,'OP_DisplayMailScreenMsg',409,1),
(20339,63120,63135,'OP_DisplayTSEventReactionMsg',228,1),
(20340,63120,63135,'OP_DisplayWarningMsg',269,1),
(20341,63120,63135,'OP_DoneLoadingEntityResourcesMsg',38,1),
(20342,63120,63135,'OP_DoneLoadingZoneResourcesMsg',36,1),
(20343,63120,63135,'OP_DoneSendingInitialEntitiesMsg',37,1),
(20344,63120,63135,'OP_DressingRoom',515,1),
(20345,63120,63135,'OP_DumpSchedulerMsg',206,1),
(20346,63120,63135,'OP_DungeonMakerEnter',552,1),
(20347,63120,63135,'OP_DungeonMakerItemRequest',556,1),
(20348,63120,63135,'OP_DungeonMakerItemResponse',586,1),
(20349,63120,63135,'OP_DungeonMakerToolboxList',558,1),
(20350,63120,63135,'OP_DungeonMakerUnknown',559,1),
(20351,63120,63135,'OP_DungeonMakerUnknown1',560,1),
(20352,63120,63135,'OP_DungeonPlayAsAvatarList',783,1),
(20353,63120,63135,'OP_DungeonPlayAsAvatarSelected',784,1),
(20354,63120,63135,'OP_EarlyLandingRequestMsg',491,1),
(20355,63120,63135,'OP_EncounterBrokenMsg',267,1),
(20356,63120,63135,'OP_EnterHouseMsg',157,1),
(20357,63120,63135,'OP_EnterMoveObjectModeMsg',164,1),
(20358,63120,63135,'OP_EntityVerbsReplyMsg',184,1),
(20359,63120,63135,'OP_EntityVerbsRequestMsg',183,1),
(20360,63120,63135,'OP_EntityVerbsVerbMsg',185,1),
(20361,63120,63135,'OP_EqArenaResultsCmd',734,1),
(20362,63120,63135,'OP_EqAvailWorldChannelsCmd',721,1),
(20363,63120,63135,'OP_EqBetaCopyRequest',639,1),
(20364,63120,63135,'OP_EqCannedEmoteCmd',663,1),
(20365,63120,63135,'OP_EqChatChannelUpdateCmd',719,1),
(20366,63120,63135,'OP_EqChoiceWinCmd',700,1),
(20367,63120,63135,'OP_EqCloseWindowCmd',692,1),
(20368,63120,63135,'OP_EqCollectionFilterCmd',679,1),
(20369,63120,63135,'OP_EqCollectionItemCmd',680,1),
(20370,63120,63135,'OP_EqCollectionUpdateCmd',678,1),
(20371,63120,63135,'OP_EqConsignmentItemsCmd',724,1),
(20372,63120,63135,'OP_EqCreateGhostCmd',645,1),
(20373,63120,63135,'OP_EqCreateListBoxCmd',660,1),
(20374,63120,63135,'OP_EqCreateSignWidgetCmd',647,1),
(20375,63120,63135,'OP_EqCreateWidgetCmd',646,1),
(20376,63120,63135,'OP_EqDebugPVDCmd',713,1),
(20377,63120,63135,'OP_EqDestroyGhostCmd',648,1),
(20378,63120,63135,'OP_EqDialogCloseCmd',676,1),
(20379,63120,63135,'OP_EqDialogOpenCmd',675,1),
(20380,63120,63135,'OP_EqDisplaySpellFailCmd',696,1),
(20381,63120,63135,'OP_EqDisplayTextCmd',644,1),
(20382,63120,63135,'OP_EqDrawablePathGraphCmd',674,1),
(20383,63120,63135,'OP_EqEnableGameEventCmd',706,1),
(20384,63120,63135,'OP_EqEnableWindowCmd',708,1),
(20385,63120,63135,'OP_EqExamineInfoCmd',691,1),
(20386,63120,63135,'OP_EqFactionUpdateCmd',677,1),
(20387,63120,63135,'OP_EqFlashWindowCmd',709,1),
(20388,63120,63135,'OP_EqGetProbsCmd',717,1),
(20389,63120,63135,'OP_EqGroupMemberRemovedCmd',670,1),
(20390,63120,63135,'OP_EqGuildBankEventActionCmd',735,1),
(20391,63120,63135,'OP_EqGuildBankExamineInfoCmd',736,1),
(20392,63120,63135,'OP_EqHearChainEffectCmd',671,1),
(20393,63120,63135,'OP_EqHearChatCmd',643,1),
(20394,63120,63135,'OP_EqHearCombatCmd',652,1),
(20395,63120,63135,'OP_EqHearConsiderCmd',658,1),
(20396,63120,63135,'OP_EqHearDeathCmd',669,1),
(20397,63120,63135,'OP_EQHearDispellCmd',781,1),
(20398,63120,63135,'OP_EqHearDrowningCmd',668,1),
(20399,63120,63135,'OP_EqHearHealCmd',718,1),
(20400,63120,63135,'OP_EqHearPlayFlavorCmd',711,1),
(20401,63120,63135,'OP_EQHearProcCmd',654,1),
(20402,63120,63135,'OP_EQHearResEffectCmd',655,1),
(20403,63120,63135,'OP_EqHearSpellCastCmd',653,1),
(20404,63120,63135,'OP_EqHearSpellFizzleCmd',657,1),
(20405,63120,63135,'OP_EqHearSpellInterruptCmd',656,1),
(20406,63120,63135,'OP_EqHearSpellNoLandCmd',737,1),
(20407,63120,63135,'OP_EQHearThreatCmd',775,1),
(20408,63120,63135,'OP_EqHelpPathClearCmd',689,1),
(20409,63120,63135,'OP_EqHelpPathCmd',688,1),
(20410,63120,63135,'OP_EqInspectPCResultsCmd',673,1),
(20411,63120,63135,'OP_EqInstructionWindowCloseCmd',703,1),
(20412,63120,63135,'OP_EqInstructionWindowCmd',702,1),
(20413,63120,63135,'OP_EqInstructionWindowGoalCmd',704,1),
(20414,63120,63135,'OP_EqInstructionWindowTaskCmd',705,1),
(20415,63120,63135,'OP_EqJunctionListCmd',694,1),
(20416,63120,63135,'OP_EqMapExplorationCmd',727,1),
(20417,63120,63135,'OP_EqMentoring',682,1),
(20418,63120,63135,'OP_EqPlaySound3DCmd',666,1),
(20419,63120,63135,'OP_EqPlaySoundCmd',665,1),
(20420,63120,63135,'OP_EqPlayVoiceCmd',667,1),
(20421,63120,63135,'OP_EqQuestGroupCmd',684,1),
(20422,63120,63135,'OP_EqQuestionnaireCmd',715,1),
(20423,63120,63135,'OP_EqQuestJournalReplyCmd',683,1),
(20424,63120,63135,'OP_EqQuestJournalUpdateCmd',681,1),
(20425,63120,63135,'OP_EqReceiveOfferCmd',672,1),
(20426,63120,63135,'OP_EqResurrectedCmd',699,1),
(20427,63120,63135,'OP_EqSetControlGhostCmd',650,1),
(20428,63120,63135,'OP_EqSetDebugPathPointsCmd',661,1),
(20429,63120,63135,'OP_EqSetDefaultVerbCmd',701,1),
(20430,63120,63135,'OP_EqSetPOVGhostCmd',651,1),
(20431,63120,63135,'OP_EqShowBookCmd',714,1),
(20432,63120,63135,'OP_EqShowDeathWindowCmd',695,1),
(20433,63120,63135,'OP_EqShowWindowCmd',707,1),
(20434,63120,63135,'OP_EqSpellCastEndCmd',698,1),
(20435,63120,63135,'OP_EqSpellCastStartCmd',697,1),
(20436,63120,63135,'OP_EqSpellMoveToRangeAndRetryCmd',729,1),
(20437,63120,63135,'OP_EqStartBrokerCmd',726,1),
(20438,63120,63135,'OP_EqStateCmd',664,1),
(20439,63120,63135,'OP_EqStoreLogCmd',728,1),
(20440,63120,63135,'OP_EqUpdateBankCmd',690,1),
(20441,63120,63135,'OP_EqUpdateGhostCmd',649,1),
(20442,63120,63135,'OP_EqUpdateLootCmd',693,1),
(20443,63120,63135,'OP_EqUpdateMerchantCmd',685,1),
(20444,63120,63135,'OP_EqUpdatePlayerMailCmd',730,1),
(20445,63120,63135,'OP_EqUpdatePlayerTradeCmd',687,1),
(20446,63120,63135,'OP_EqUpdateSignWidgetCmd',712,1),
(20447,63120,63135,'OP_EqUpdateStoreCmd',686,1),
(20448,63120,63135,'OP_EqUpdateSubClassesCmd',659,1),
(20449,63120,63135,'OP_EqUpdateTargetCmd',722,1),
(20450,63120,63135,'OP_EqWhoChannelQueryReplyCmd',720,1),
(20451,63120,63135,'OP_ESInitMsg',27,1),
(20452,63120,63135,'OP_ESLoginRequestMsg',3,1),
(20453,63120,63135,'OP_ESReadyForClientsMsg',28,1),
(20454,63120,63135,'OP_ESStatusMsg',102,1),
(20455,63120,63135,'OP_ESWeatherRequestEndMsg',107,1),
(20456,63120,63135,'OP_ESWeatherRequestMsg',106,1),
(20457,63120,63135,'OP_ESZoneInstanceStatusMsg',103,1),
(20458,63120,63135,'OP_ExamineConsignmentRequestMsg',174,1),
(20459,63120,63135,'OP_ExamineConsignmentResponseMsg',175,1),
(20460,63120,63135,'OP_ExamineInfoRequestMsg',259,1),
(20461,63120,63135,'OP_ExamineItemRequestMsg',198,1),
(20462,63120,63135,'OP_ExitHouseMsg',158,1),
(20463,63120,63135,'OP_ExpectClientAsCharacterReplyMs',24,1),
(20464,63120,63135,'OP_ExpectClientAsCharacterRequest',34,1),
(20465,63120,63135,'OP_ExpPurchWindow',760,1),
(20466,63120,63135,'OP_FellowshipExpMsg',125,1),
(20467,63120,63135,'OP_FlightPathsMsg',418,1),
(20468,63120,63135,'OP_GameWorldTimeMsg',45,1),
(20469,63120,63135,'OP_GetAuctionAssetIDMsg',446,1),
(20470,63120,63135,'OP_GetAuctionAssetIDReplyMsg',447,1),
(20471,63120,63135,'OP_GetAvatarAccessRequestForCSToo',397,1),
(20472,63120,63135,'OP_GetCharacterSerializedReplyMsg',429,1),
(20473,63120,63135,'OP_GetCharacterSerializedRequestM',428,1),
(20474,63120,63135,'OP_GroupCreatedMsg',90,1),
(20475,63120,63135,'OP_GroupDestroyedMsg',91,1),
(20476,63120,63135,'OP_GroupLeaderChangedMsg',95,1),
(20477,63120,63135,'OP_GroupMemberAddedMsg',92,1),
(20478,63120,63135,'OP_GroupMemberRemovedMsg',93,1),
(20479,63120,63135,'OP_GroupOptionsMsg',202,1),
(20480,63120,63135,'OP_GroupRemovedFromGroupMsg',94,1),
(20481,63120,63135,'OP_GroupResendOOZDataMsg',96,1),
(20482,63120,63135,'OP_GroupSettingsChangedMsg',97,1),
(20483,63120,63135,'OP_GuildBankActionMsg',278,1),
(20484,63120,63135,'OP_GuildBankActionResponseMsg',279,1),
(20485,63120,63135,'OP_GuildBankEventListMsg',283,1),
(20486,63120,63135,'OP_GuildBankItemDetailsRequestMsg',280,1),
(20487,63120,63135,'OP_GuildBankItemDetailsResponseMs',281,1),
(20488,63120,63135,'OP_GuildBankUpdateMsg',282,1),
(20489,63120,63135,'OP_GuildEventActionMsg',273,1),
(20490,63120,63135,'OP_GuildEventAddMsg',272,1),
(20491,63120,63135,'OP_GuildEventDetailsMsg',276,1),
(20492,63120,63135,'OP_GuildEventListMsg',274,1),
(20493,63120,63135,'OP_GuildEventMsg',271,1),
(20494,63120,63135,'OP_GuildMembershipResponseMsg',361,1),
(20495,63120,63135,'OP_GuildRecruiting',740,1),
(20496,63120,63135,'OP_GuildRecruitingDetails',741,1),
(20497,63120,63135,'OP_GuildRecruitingImage',742,1),
(20498,63120,63135,'OP_GuildRecruitingMemberInfo',739,1),
(20499,63120,63135,'OP_GuildsayMsg',124,1),
(20500,63120,63135,'OP_GuildStatusUpdate',733,1),
(20501,63120,63135,'OP_GuildUpdateMsg',127,1),
(20502,63120,63135,'OP_HeritageMsg',10025,1),
(20503,63120,63135,'OP_HideIllusionsMsg',197,1),
(20504,63120,63135,'OP_HouseAccessRemoveMsg',161,1),
(20505,63120,63135,'OP_HouseAccessSetMsg',160,1),
(20506,63120,63135,'OP_HouseCustomizationScreenMsg',169,1),
(20507,63120,63135,'OP_HouseDefaultAccessSetMsg',159,1),
(20508,63120,63135,'OP_HouseDeletedRemotelyMsg',145,1),
(20509,63120,63135,'OP_HouseItemsList',489,1),
(20510,63120,63135,'OP_HousingDataChangedMsg',432,1),
(20511,63120,63135,'OP_HousingRestoreMsg',433,1),
(20512,63120,63135,'OP_InspectPlayerMsg',367,1),
(20513,63120,63135,'OP_InspectPlayerRequestMsg',455,1),
(20514,63120,63135,'OP_InviteRequestMsg',452,1),
(20515,63120,63135,'OP_InviteResponseMsg',453,1),
(20516,63120,63135,'OP_InviteTargetResponseMsg',454,1),
(20517,63120,63135,'OP_JoinGuildNotifyMsg',363,1),
(20518,63120,63135,'OP_JournalQuestStoryline',782,1),
(20519,63120,63135,'OP_KeymapDataMsg',180,1),
(20520,63120,63135,'OP_KeymapLoadMsg',178,1),
(20521,63120,63135,'OP_KeymapNoneMsg',179,1),
(20522,63120,63135,'OP_KeymapSaveMsg',181,1),
(20523,63120,63135,'OP_KnowledgebaseRequestMsg',230,1),
(20524,63120,63135,'OP_KnowledgebaseResponseMsg',231,1),
(20525,63120,63135,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(20526,63120,63135,'OP_KnownLanguagesMsg',242,1),
(20527,63120,63135,'OP_Launchpad',579,1),
(20528,63120,63135,'OP_LeaveGuildNotifyMsg',362,1),
(20529,63120,63135,'OP_LevelChangedMsg',265,1),
(20530,63120,63135,'OP_LFGGroupSearch',509,1),
(20531,63120,63135,'OP_LFGUpdateMsg',522,1),
(20532,63120,63135,'OP_LikeOption',139,1),
(20533,63120,63135,'OP_LoadCalendarEvents',582,1),
(20534,63120,63135,'OP_LoadWelcomeWindow',566,1),
(20535,63120,63135,'OP_LoginByNumRequestMsg',1,1),
(20536,63120,63135,'OP_LoginReplyMsg',4,1),
(20537,63120,63135,'OP_LoginRequestMsg',0,1),
(20538,63120,63135,'OP_LootItemsRequestMsg',188,1),
(20539,63120,63135,'OP_Lottery',738,1),
(20540,63120,63135,'OP_LSCheckAcctLockMsg',207,1),
(20541,63120,63135,'OP_LsClientAlertlogReplyMsg',246,1),
(20542,63120,63135,'OP_LsClientBaselogReplyMsg',244,1),
(20543,63120,63135,'OP_LsClientCrashlogReplyMsg',245,1),
(20544,63120,63135,'OP_LsClientVerifylogReplyMsg',247,1),
(20545,63120,63135,'OP_LsRequestClientCrashLogMsg',243,1),
(20546,63120,63135,'OP_LSServerLockMsg',369,1),
(20547,63120,63135,'OP_MacroInitMsg',262,1),
(20548,63120,63135,'OP_MacroUpdateMsg',263,1),
(20549,63120,63135,'OP_MailCommitSendMessageMsg',348,1),
(20550,63120,63135,'OP_MailDeleteMessageMsg',344,1),
(20551,63120,63135,'OP_MailEventNotificationMsg',416,1),
(20552,63120,63135,'OP_MailGetHeadersReplyMsg',345,1),
(20553,63120,63135,'OP_MailGetMessageMsg',342,1),
(20554,63120,63135,'OP_MailGetMessageReplyMsg',346,1),
(20555,63120,63135,'OP_MailRemoveAttachFromMailMsg',350,1),
(20556,63120,63135,'OP_MailSendMessageMsg',343,1),
(20557,63120,63135,'OP_MailSendMessageReplyMsg',347,1),
(20558,63120,63135,'OP_MailSendSystemMessageMsg',349,1),
(20559,63120,63135,'OP_MakeGroupLeaderMsg',89,1),
(20560,63120,63135,'OP_MapFogDataInitMsg',399,1),
(20561,63120,63135,'OP_MapFogDataUpdateMsg',400,1),
(20562,63120,63135,'OP_MapRequest',525,1),
(20563,63120,63135,'OP_MarketAddFundsReply',533,1),
(20564,63120,63135,'OP_MarketAddFundsRequest',532,1),
(20565,63120,63135,'OP_MarketFundsUpdate',530,1),
(20566,63120,63135,'OP_MarketPlaceItems',543,1),
(20567,63120,63135,'OP_MarketPlacePrices',536,1),
(20568,63120,63135,'OP_MarketPurchase',535,1),
(20569,63120,63135,'OP_MentorPopup',564,1),
(20570,63120,63135,'OP_MercHireWindow',785,1),
(20571,63120,63135,'OP_MercUnknown',786,1),
(20572,63120,63135,'OP_MigrateBoatTransportMsg',256,1),
(20573,63120,63135,'OP_MigrateBoatTransportReplyMsg',257,1),
(20574,63120,63135,'OP_MigrateClientToZoneReplyMsg',84,1),
(20575,63120,63135,'OP_MigrateClientToZoneRequestMsg',83,1),
(20576,63120,63135,'OP_ModifyGuildMsg',270,1),
(20577,63120,63135,'OP_MonitorCharacterListMsg',58,1),
(20578,63120,63135,'OP_MonitorCharacterListRequestMsg',59,1),
(20579,63120,63135,'OP_MonitorReplyMsg',57,1),
(20580,63120,63135,'OP_MOTDMsg',46,1),
(20581,63120,63135,'OP_MoveableObjectPlacementCriteri',163,1),
(20582,63120,63135,'OP_MoveLogUpdateMsg',405,1),
(20583,63120,63135,'OP_NotifyApprenticeStoppedMentori',413,1),
(20584,63120,63135,'OP_OfferQuestMsg',406,1),
(20585,63120,63135,'OP_OnscreenMsgMsg',268,1),
(20586,63120,63135,'OP_OpenCharCust',568,1),
(20587,63120,63135,'OP_OutOfZoneMemberDataMsg',98,1),
(20588,63120,63135,'OP_PaperdollImage',581,1),
(20589,63120,63135,'OP_PayHouseUpkeepMsg',162,1),
(20590,63120,63135,'OP_PerformCameraShakeMsg',217,1),
(20591,63120,63135,'OP_PerformPlayerKnockbackMsg',216,1),
(20592,63120,63135,'OP_PetOptions',204,1),
(20593,63120,63135,'OP_PetOptionsResponse',585,1),
(20594,63120,63135,'OP_PlayCharacterReplyMsg',21,1),
(20595,63120,63135,'OP_PlayCharacterRequestMsg',20,1),
(20596,63120,63135,'OP_PlayerHouseAccessUpdateMsg',150,1),
(20597,63120,63135,'OP_PlayerHouseBaseScreenMsg',148,1),
(20598,63120,63135,'OP_PlayerHouseCloseUIMsg',152,1),
(20599,63120,63135,'OP_PlayerHouseDisplayStatusMsg',151,1),
(20600,63120,63135,'OP_PlayerHousePurchaseScreenMsg',149,1),
(20601,63120,63135,'OP_PlayerMadeInstances',143,1),
(20602,63120,63135,'OP_PlayerMadeInstancesScreen',142,1),
(20603,63120,63135,'OP_PlayerPollAnswer',563,1),
(20604,63120,63135,'OP_PlayerPollPopup',562,1),
(20605,63120,63135,'OP_PlayLon',516,1),
(20606,63120,63135,'OP_PointOfInterest',764,1),
(20607,63120,63135,'OP_PointOfInterest2',765,1),
(20608,63120,63135,'OP_PopulateSkillMapsMsg',218,1),
(20609,63120,63135,'OP_PositionBoatTransportMsg',255,1),
(20610,63120,63135,'OP_PositionMoveableObject',165,1),
(20611,63120,63135,'OP_PostPossessionMsg',459,1),
(20612,63120,63135,'OP_PredictionUpdateMsg',39,1),
(20613,63120,63135,'OP_PrePossessionMsg',458,1),
(20614,63120,63135,'OP_PromoFlagsDetailsMsg',378,1),
(20615,63120,63135,'OP_PublishHouse',141,1),
(20616,63120,63135,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(20617,63120,63135,'OP_PurchaseConsignmentRequestMsg',131,1),
(20618,63120,63135,'OP_QueAllBgSolo',571,1),
(20619,63120,63135,'OP_QuestionnaireMsg',264,1),
(20620,63120,63135,'OP_QuestJournalInspectMsg',116,1),
(20621,63120,63135,'OP_QuestJournalOpenMsg',115,1),
(20622,63120,63135,'OP_QuestJournalSetVisibleMsg',117,1),
(20623,63120,63135,'OP_QuestJournalWaypointMsg',118,1),
(20624,63120,63135,'OP_QuestReward',324,1),
(20625,63120,63135,'OP_QuickbarInitMsg',260,1),
(20626,63120,63135,'OP_QuickbarUpdateMsg',261,1),
(20627,63120,63135,'OP_RaceRestrictionMsg',444,1),
(20628,63120,63135,'OP_ReadBookPageMsg',199,1),
(20629,63120,63135,'OP_ReadyForTakeOffMsg',195,1),
(20630,63120,63135,'OP_ReadyToZoneMsg',86,1),
(20631,63120,63135,'OP_RecipeBook',544,1),
(20632,63120,63135,'OP_RecipeDetailsMsg',74,1),
(20633,63120,63135,'OP_RecipeList',776,1),
(20634,63120,63135,'OP_RecipeListUnknown',597,1),
(20635,63120,63135,'OP_RelinquishHouseMsg',156,1),
(20636,63120,63135,'OP_ReloadLocalizedTxtMsg',359,1),
(20637,63120,63135,'OP_RemoteCmdMsg',44,1),
(20638,63120,63135,'OP_RemoveClientFromGroupMsg',87,1),
(20639,63120,63135,'OP_RemoveConcentrationMsg',114,1),
(20640,63120,63135,'OP_RemoveGroupFromGroupMsg',88,1),
(20641,63120,63135,'OP_RemoveSpellEffectMsg',113,1),
(20642,63120,63135,'OP_RenameGuildMsg',286,1),
(20643,63120,63135,'OP_ReplaceableSubMeshesMsg',168,1),
(20644,63120,63135,'OP_ReportMsg',384,1),
(20645,63120,63135,'OP_RequestCampMsg',52,1),
(20646,63120,63135,'OP_RequestGuildBankEventDetailsMs',284,1),
(20647,63120,63135,'OP_RequestGuildEventDetailsMsg',275,1),
(20648,63120,63135,'OP_RequestGuildInfoMsg',277,1),
(20649,63120,63135,'OP_RequestGuildMembershipMsg',360,1),
(20650,63120,63135,'OP_RequestHelpRepathMsg',209,1),
(20651,63120,63135,'OP_RequestRecipeDetailsMsg',73,1),
(20652,63120,63135,'OP_RequestTargetLocMsg',210,1),
(20653,63120,63135,'OP_Research',777,1),
(20654,63120,63135,'OP_ResendWorldChannelsMsg',448,1),
(20655,63120,63135,'OP_ReskinCharacterRequestMsg',15,1),
(20656,63120,63135,'OP_RestartZoneMsg',417,1),
(20657,63120,63135,'OP_RewardPackMsg',285,1),
(20658,63120,63135,'OP_SatMsg',192,1),
(20659,63120,63135,'OP_SavageBarInitMsg',584,1),
(20660,63120,63135,'OP_SelectZoneTeleporterDestinatio',358,1),
(20661,63120,63135,'OP_SendLatestRequestMsg',99,1),
(20662,63120,63135,'OP_ServerPlayCharacterReplyMsg',26,1),
(20663,63120,63135,'OP_ServerPlayCharacterRequestMsg',25,1),
(20664,63120,63135,'OP_SetInstanceDisplayNameMsg',445,1),
(20665,63120,63135,'OP_SetRemoteCmdsMsg',43,1),
(20666,63120,63135,'OP_SetSocialMsg',101,1),
(20667,63120,63135,'OP_ShaderCustomizationMsg',167,1),
(20668,63120,63135,'OP_ShowCreateFromRecipeUIMsg',222,1),
(20669,63120,63135,'OP_ShowIllusionsMsg',196,1),
(20670,63120,63135,'OP_ShowItemCreationProcessUIMsg',226,1),
(20671,63120,63135,'OP_ShowRecipeBookMsg',229,1),
(20672,63120,63135,'OP_ShowZoneTeleporterDestinations',357,1),
(20673,63120,63135,'OP_SitMsg',190,1),
(20674,63120,63135,'OP_SkillInfoRequest',518,1),
(20675,63120,63135,'OP_SkillInfoResponse',519,1),
(20676,63120,63135,'OP_SOEAllAccess',640,1),
(20677,63120,63135,'OP_SpellGainedMsg',266,1),
(20678,63120,63135,'OP_StandMsg',191,1),
(20679,63120,63135,'OP_StoodMsg',193,1),
(20680,63120,63135,'OP_StopItemCreationMsg',225,1),
(20681,63120,63135,'OP_StoppedLootingMsg',189,1),
(20682,63120,63135,'OP_StopTrackingMsg',395,1),
(20683,63120,63135,'OP_SubmitCharCust',569,1),
(20684,63120,63135,'OP_SupplyDepot',774,1),
(20685,63120,63135,'OP_SysClient',221,1),
(20686,63120,63135,'OP_TeleportWithinZoneMsg',81,1),
(20687,63120,63135,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(20688,63120,63135,'OP_TintWidgetsMsg',173,1),
(20689,63120,63135,'OP_TitleUpdateMsg',388,1),
(20690,63120,63135,'OP_TrackingUpdateMsg',393,1),
(20691,63120,63135,'OP_TradeskillList',743,1),
(20692,63120,63135,'OP_TraitsList',766,1),
(20693,63120,63135,'OP_UIEvent',531,1),
(20694,63120,63135,'OP_UIResetMsg',177,1),
(20695,63120,63135,'OP_UISettingsResponseMsg',176,1),
(20696,63120,63135,'OP_Unknown',799,1),
(20697,63120,63135,'OP_UnknownNpcMsg',377,1),
(20698,63120,63135,'OP_UpdateActivePublicZonesMsg',376,1),
(20699,63120,63135,'OP_UpdateCharacterSheetMsg',65,1),
(20700,63120,63135,'OP_UpdateClientPredFlagsMsg',249,1),
(20701,63120,63135,'OP_UpdateDebugRadiiMsg',383,1),
(20702,63120,63135,'OP_UpdateGroupMemberDataMsg',392,1),
(20703,63120,63135,'OP_UpdateHouseAccessDataMsg',147,1),
(20704,63120,63135,'OP_UpdateHouseDataMsg',146,1),
(20705,63120,63135,'OP_UpdateInventoryMsg',70,1),
(20706,63120,63135,'OP_UpdateItemCreationProcessUIMsg',227,1),
(20707,63120,63135,'OP_UpdateMotdMsg',211,1),
(20708,63120,63135,'OP_UpdateOpportunityMsg',77,1),
(20709,63120,63135,'OP_UpdatePositionMsg',41,1),
(20710,63120,63135,'OP_UpdateRaidMsg',385,1),
(20711,63120,63135,'OP_UpdateRecipeBookMsg',72,1),
(20712,63120,63135,'OP_UpdateSkillBookMsg',75,1),
(20713,63120,63135,'OP_UpdateSkillsMsg',76,1),
(20714,63120,63135,'OP_UpdateSpellBookMsg',68,1),
(20715,63120,63135,'OP_UpdateTargetLocMsg',64,1),
(20716,63120,63135,'OP_UpdateTargetMsg',63,1),
(20717,63120,63135,'OP_UpdateTitleCmd',499,1),
(20718,63120,63135,'OP_UseAdornment',754,1),
(20719,63120,63135,'OP_VideoUploaded',583,1),
(20720,63120,63135,'OP_VoiceChatChannel',524,1),
(20721,63120,63135,'OP_VoiceChatServer',770,1),
(20722,63120,63135,'OP_WaypointReplyMsg',353,1),
(20723,63120,63135,'OP_WaypointRequestMsg',352,1),
(20724,63120,63135,'OP_WaypointSelectMsg',354,1),
(20725,63120,63135,'OP_WaypointUpdateMsg',355,1),
(20726,63120,63135,'OP_Weakness',587,1),
(20727,63120,63135,'OP_WhoQueryReplyMsg',56,1),
(20728,63120,63135,'OP_WhoQueryRequestMsg',55,1),
(20729,63120,63135,'OP_WorldDataChangeMsg',415,1),
(20730,63120,63135,'OP_WorldDataUpdateMsg',240,1),
(20731,63120,63135,'OP_WorldListMsg',8,1),
(20732,63120,63135,'OP_WorldPingMsg',404,1),
(20733,63120,63135,'OP_WorldShutdownUpdateMsg',408,1),
(20734,63120,63135,'OP_WorldStatusChangeMsg',6,1),
(20735,63120,63135,'OP_WorldTravelAvail',576,1),
(20736,63120,63135,'OP_WSAcctLockStatusMsg',208,1),
(20737,63120,63135,'OP_WSCreateCharacterReplyMsg',14,1),
(20738,63120,63135,'OP_WSCreateCharacterRequestMsg',13,1),
(20739,63120,63135,'OP_WSLoginRequestMsg',2,1),
(20740,63120,63135,'OP_WSServerHideMsg',370,1),
(20741,63120,63135,'OP_WSServerLockMsg',368,1),
(20742,63120,63135,'OP_WSStatusReplyMsg',5,1),
(20743,63120,63135,'OP_ZoneBgInstanceList',572,1),
(20744,63120,63135,'OP_ZoneInfoMsg',35,1),
(20745,63120,63135,'OP_ZoneInstanceCreateReplyMsg',32,1),
(20746,63120,63135,'OP_ZoneInstanceDestroyedMsg',33,1),
(20747,63120,63135,'OP_ZoneMOTDMsg',47,1),
(20748,63120,63135,'OP_ZonesStatusMsg',105,1),
(20749,63120,63135,'OP_ZonesStatusRequestMsg',104,1),
(20750,63120,63135,'OP_ZoneToFriendReplyMsg',288,1),
(20751,63120,63135,'OP_ZoneToFriendRequestMsg',287,1),
(21215,63136,63136,'OP_AchievementUpdateMsg',780,1),
(21216,63136,63136,'OP_AddSocialStructureStandingMsg',253,1),
(21217,63136,63136,'OP_AdvancementRequestMsg',398,1),
(21218,63136,63136,'OP_AdventureList',493,1),
(21219,63136,63136,'OP_AFKUpdateMsg',374,1),
(21220,63136,63136,'OP_AfterInvSpellUpdate',71,1),
(21221,63136,63136,'OP_AllCharactersDescReplyMsg',10,1),
(21222,63136,63136,'OP_AllCharactersDescRequestMsg',9,1),
(21223,63136,63136,'OP_AllWSDescRequestMsg',7,1),
(21224,63136,63136,'OP_AnonUpdateMsg',375,1),
(21225,63136,63136,'OP_ArenaCreate',461,1),
(21226,63136,63136,'OP_ArenaGameTypesMsg',450,1),
(21227,63136,63136,'OP_ArenaList',462,1),
(21228,63136,63136,'OP_ArenaWindow',470,1),
(21229,63136,63136,'OP_AttackAllowed',505,1),
(21230,63136,63136,'OP_AttackNotAllowed',506,1),
(21231,63136,63136,'OP_AuctionAbortMsg',441,1),
(21232,63136,63136,'OP_AuctionCharacter',438,1),
(21233,63136,63136,'OP_AuctionCharacterReply',439,1),
(21234,63136,63136,'OP_AuctionCoin',436,1),
(21235,63136,63136,'OP_AuctionCoinReply',437,1),
(21236,63136,63136,'OP_AuctionCommitMsg',440,1),
(21237,63136,63136,'OP_AuctionItem',434,1),
(21238,63136,63136,'OP_AuctionItemReply',435,1),
(21239,63136,63136,'OP_AuditAuctionEventMsg',451,1),
(21240,63136,63136,'OP_AvatarCreatedMsg',48,1),
(21241,63136,63136,'OP_AvatarDestroyedMsg',49,1),
(21242,63136,63136,'OP_AvatarUpdateMsg',364,1),
(21243,63136,63136,'OP_BadLanguageFilter',523,1),
(21244,63136,63136,'OP_BagOptions',507,1),
(21245,63136,63136,'OP_BeginItemCreationMsg',224,1),
(21246,63136,63136,'OP_BeginTrackingMsg',394,1),
(21247,63136,63136,'OP_BioUpdateMsg',366,1),
(21248,63136,63136,'OP_BrokerAddBag',296,1),
(21249,63136,63136,'OP_BrokerRemoveBag',297,1),
(21250,63136,63136,'OP_BrokerSellList',723,1),
(21251,63136,63136,'OP_BuyPlayerHouseMsg',153,1),
(21252,63136,63136,'OP_BuyPlayerHouseTintMsg',154,1),
(21253,63136,63136,'OP_CampAbortedMsg',54,1),
(21254,63136,63136,'OP_CampClientMsg',391,1),
(21255,63136,63136,'OP_CampStartedMsg',53,1),
(21256,63136,63136,'OP_CancelCreateFromRecipeMsg',223,1),
(21257,63136,63136,'OP_CancelledFeignMsg',219,1),
(21258,63136,63136,'OP_CancelMoveObjectModeMsg',166,1),
(21259,63136,63136,'OP_CancelSpellCast',494,1),
(21260,63136,63136,'OP_ChangeServerControlFlagMsg',250,1),
(21261,63136,63136,'OP_ChangeZoneMsg',79,1),
(21262,63136,63136,'OP_CharacterAchievements',779,1),
(21263,63136,63136,'OP_CharacterCreatedDungeons',557,1),
(21264,63136,63136,'OP_CharacterCurrency',778,1),
(21265,63136,63136,'OP_CharacterHousingList',512,1),
(21266,63136,63136,'OP_CharacterLinkdeadMsg',419,1),
(21267,63136,63136,'OP_CharacterMerc',67,1),
(21268,63136,63136,'OP_CharacterMounts',588,1),
(21269,63136,63136,'OP_CharacterPet',66,1),
(21270,63136,63136,'OP_CharNameChangedMsg',356,1),
(21271,63136,63136,'OP_CharRenamed',744,1),
(21272,63136,63136,'OP_CharTransferCommitReplyMsg',427,1),
(21273,63136,63136,'OP_CharTransferCommitRequestMsg',425,1),
(21274,63136,63136,'OP_CharTransferReplyMsg',423,1),
(21275,63136,63136,'OP_CharTransferRequestMsg',422,1),
(21276,63136,63136,'OP_CharTransferRollbackReplyMsg',426,1),
(21277,63136,63136,'OP_CharTransferRollbackRequestMsg',424,1),
(21278,63136,63136,'OP_CharTransferStartReplyMsg',421,1),
(21279,63136,63136,'OP_CharTransferStartRequestMsg',420,1),
(21280,63136,63136,'OP_CharTransferValidateReplyMsg',443,1),
(21281,63136,63136,'OP_CharTransferValidateRequestMsg',442,1),
(21282,63136,63136,'OP_ChatCreateChannelMsg',289,1),
(21283,63136,63136,'OP_ChatFiltersMsg',338,1),
(21284,63136,63136,'OP_ChatJoinChannelMsg',290,1),
(21285,63136,63136,'OP_ChatLeaveChannelMsg',292,1),
(21286,63136,63136,'OP_ChatRelationshipUpdateMsg',187,1),
(21287,63136,63136,'OP_ChatSendFriendsMsg',299,1),
(21288,63136,63136,'OP_ChatSendIgnoresMsg',300,1),
(21289,63136,63136,'OP_ChatTellChannelMsg',293,1),
(21290,63136,63136,'OP_ChatTellUserMsg',294,1),
(21291,63136,63136,'OP_ChatToggleFriendMsg',295,1),
(21292,63136,63136,'OP_ChatToggleIgnoreMsg',298,1),
(21293,63136,63136,'OP_ChatWhoChannelMsg',291,1),
(21294,63136,63136,'OP_ClearDataMsg',100,1),
(21295,63136,63136,'OP_ClearForLandingMsg',496,1),
(21296,63136,63136,'OP_ClearForTakeOffMsg',194,1),
(21297,63136,63136,'OP_ClientCmdMsg',60,1),
(21298,63136,63136,'OP_ClientFellMsg',389,1),
(21299,63136,63136,'OP_ClientIdleBeginMsg',410,1),
(21300,63136,63136,'OP_ClientIdleEndMsg',411,1),
(21301,63136,63136,'OP_ClientInDeathRegionMsg',390,1),
(21302,63136,63136,'OP_ClientTeleportRequestMsg',80,1),
(21303,63136,63136,'OP_ClientTeleportToLocationMsg',248,1),
(21304,63136,63136,'OP_CloseGroupInviteWindowMsg',401,1),
(21305,63136,63136,'OP_CollectAllHouseItemsMsg',155,1),
(21306,63136,63136,'OP_ConsignItemRequestMsg',129,1),
(21307,63136,63136,'OP_ConsignItemResponseMsg',130,1),
(21308,63136,63136,'OP_ConsignmentCloseStoreMsg',128,1),
(21309,63136,63136,'OP_ConsignRemoveItemsMsg',382,1),
(21310,63136,63136,'OP_ConsignViewCreateMsg',379,1),
(21311,63136,63136,'OP_ConsignViewGetPageMsg',380,1),
(21312,63136,63136,'OP_ConsignViewReleaseMsg',381,1),
(21313,63136,63136,'OP_ConsignViewSortMsg',387,1),
(21314,63136,63136,'OP_CorruptedClientMsg',414,1),
(21315,63136,63136,'OP_CreateBoatTransportsMsg',254,1),
(21316,63136,63136,'OP_CreateCharacterDungeon',551,1),
(21317,63136,63136,'OP_CreateCharacterReplyMsg',12,1),
(21318,63136,63136,'OP_CreateCharacterRequestMsg',11,1),
(21319,63136,63136,'OP_CreateCharFromCBBReplyMsg',431,1),
(21320,63136,63136,'OP_CreateCharFromCBBRequestMsg',430,1),
(21321,63136,63136,'OP_CreateGuildReplyMsg',123,1),
(21322,63136,63136,'OP_CreateGuildRequestMsg',121,1),
(21323,63136,63136,'OP_CreateZoneInstanceMsg',31,1),
(21324,63136,63136,'OP_CsCategoryRequestMsg',371,1),
(21325,63136,63136,'OP_CsCategoryResponseMsg',372,1),
(21326,63136,63136,'OP_CSTicketAddCommentMsg',237,1),
(21327,63136,63136,'OP_CSTicketChangeNotificationMsg',239,1),
(21328,63136,63136,'OP_CSTicketCommentRequestMsg',234,1),
(21329,63136,63136,'OP_CSTicketCommentResponseMsg',235,1),
(21330,63136,63136,'OP_CSTicketCreateMsg',236,1),
(21331,63136,63136,'OP_CSTicketDeleteMsg',238,1),
(21332,63136,63136,'OP_CSTicketHeaderRequestMsg',232,1),
(21333,63136,63136,'OP_CSTicketInfoMsg',233,1),
(21334,63136,63136,'OP_CSToolAccessResponseMsg',392,1),
(21335,63136,63136,'OP_CSToolsRequestMsg',251,1),
(21336,63136,63136,'OP_CSToolsResponseMsg',252,1),
(21337,63136,63136,'OP_CurrentPet',490,1),
(21338,63136,63136,'OP_CustomizationPurchaseRequestMs',170,1),
(21339,63136,63136,'OP_CustomizationReplyMsg',172,1),
(21340,63136,63136,'OP_CustomizationSetRequestMsg',171,1),
(21341,63136,63136,'OP_CustomizeHouseDisplay',769,1),
(21342,63136,63136,'OP_DailyObjectives',601,1),
(21343,63136,63136,'OP_DefaultGroupOptionsMsg',201,1),
(21344,63136,63136,'OP_DefaultGroupOptionsRequestMsg',200,1),
(21345,63136,63136,'OP_DeityAbilityWindow',621,1),
(21346,63136,63136,'OP_DeleteCharacterReplyMsg',19,1),
(21347,63136,63136,'OP_DeleteCharacterRequestMsg',18,1),
(21348,63136,63136,'OP_DeleteGuildMsg',126,1),
(21349,63136,63136,'OP_DestUpdateReq',213,1),
(21350,63136,63136,'OP_DialogCloseMsg',112,1),
(21351,63136,63136,'OP_DialogSelectMsg',111,1),
(21352,63136,63136,'OP_DispatchClientCmdMsg',62,1),
(21353,63136,63136,'OP_DispatchESMsg',61,1),
(21354,63136,63136,'OP_DispatchMsg',456,1),
(21355,63136,63136,'OP_DispatchSpellCmdMsg',182,1),
(21356,63136,63136,'OP_DisplayDebugNLLPointsMsg',258,1),
(21357,63136,63136,'OP_DisplayEventMsg',457,1),
(21358,63136,63136,'OP_DisplayExchangeScreenMsg',449,1),
(21359,63136,63136,'OP_DisplayGroupOptionsScreenMsg',203,1),
(21360,63136,63136,'OP_DisplayInnVisitScreenMsg',205,1),
(21361,63136,63136,'OP_DisplayMailScreenMsg',409,1),
(21362,63136,63136,'OP_DisplayTSEventReactionMsg',228,1),
(21363,63136,63136,'OP_DisplayWarningMsg',269,1),
(21364,63136,63136,'OP_DoneLoadingEntityResourcesMsg',38,1),
(21365,63136,63136,'OP_DoneLoadingZoneResourcesMsg',36,1),
(21366,63136,63136,'OP_DoneSendingInitialEntitiesMsg',37,1),
(21367,63136,63136,'OP_DressingRoom',515,1),
(21368,63136,63136,'OP_DumpSchedulerMsg',206,1),
(21369,63136,63136,'OP_DungeonMakerEnter',552,1),
(21370,63136,63136,'OP_DungeonMakerItemRequest',556,1),
(21371,63136,63136,'OP_DungeonMakerItemResponse',586,1),
(21372,63136,63136,'OP_DungeonMakerToolboxList',558,1),
(21373,63136,63136,'OP_DungeonMakerUnknown',559,1),
(21374,63136,63136,'OP_DungeonMakerUnknown1',560,1),
(21375,63136,63136,'OP_DungeonPlayAsAvatarList',783,1),
(21376,63136,63136,'OP_DungeonPlayAsAvatarSelected',784,1),
(21377,63136,63136,'OP_EarlyLandingRequestMsg',491,1),
(21378,63136,63136,'OP_EncounterBrokenMsg',267,1),
(21379,63136,63136,'OP_EnterHouseMsg',157,1),
(21380,63136,63136,'OP_EnterMoveObjectModeMsg',164,1),
(21381,63136,63136,'OP_EntityVerbsReplyMsg',184,1),
(21382,63136,63136,'OP_EntityVerbsRequestMsg',183,1),
(21383,63136,63136,'OP_EntityVerbsVerbMsg',185,1),
(21384,63136,63136,'OP_EqArenaResultsCmd',734,1),
(21385,63136,63136,'OP_EqAvailWorldChannelsCmd',721,1),
(21386,63136,63136,'OP_EqBetaCopyRequest',639,1),
(21387,63136,63136,'OP_EqCannedEmoteCmd',663,1),
(21388,63136,63136,'OP_EqChatChannelUpdateCmd',719,1),
(21389,63136,63136,'OP_EqChoiceWinCmd',700,1),
(21390,63136,63136,'OP_EqCloseWindowCmd',692,1),
(21391,63136,63136,'OP_EqCollectionFilterCmd',679,1),
(21392,63136,63136,'OP_EqCollectionItemCmd',680,1),
(21393,63136,63136,'OP_EqCollectionUpdateCmd',678,1),
(21394,63136,63136,'OP_EqConsignmentItemsCmd',724,1),
(21395,63136,63136,'OP_EqCreateGhostCmd',645,1),
(21396,63136,63136,'OP_EqCreateListBoxCmd',660,1),
(21397,63136,63136,'OP_EqCreateSignWidgetCmd',647,1),
(21398,63136,63136,'OP_EqCreateWidgetCmd',646,1),
(21399,63136,63136,'OP_EqDebugPVDCmd',713,1),
(21400,63136,63136,'OP_EqDestroyGhostCmd',648,1),
(21401,63136,63136,'OP_EqDialogCloseCmd',676,1),
(21402,63136,63136,'OP_EqDialogOpenCmd',675,1),
(21403,63136,63136,'OP_EqDisplaySpellFailCmd',696,1),
(21404,63136,63136,'OP_EqDisplayTextCmd',644,1),
(21405,63136,63136,'OP_EqDrawablePathGraphCmd',674,1),
(21406,63136,63136,'OP_EqEnableGameEventCmd',706,1),
(21407,63136,63136,'OP_EqEnableWindowCmd',708,1),
(21408,63136,63136,'OP_EqExamineInfoCmd',691,1),
(21409,63136,63136,'OP_EqFactionUpdateCmd',677,1),
(21410,63136,63136,'OP_EqFlashWindowCmd',709,1),
(21411,63136,63136,'OP_EqGetProbsCmd',717,1),
(21412,63136,63136,'OP_EqGroupMemberRemovedCmd',670,1),
(21413,63136,63136,'OP_EqGuildBankEventActionCmd',735,1),
(21414,63136,63136,'OP_EqGuildBankExamineInfoCmd',736,1),
(21415,63136,63136,'OP_EqHearChainEffectCmd',671,1),
(21416,63136,63136,'OP_EqHearChatCmd',643,1),
(21417,63136,63136,'OP_EqHearCombatCmd',652,1),
(21418,63136,63136,'OP_EqHearConsiderCmd',658,1),
(21419,63136,63136,'OP_EqHearDeathCmd',669,1),
(21420,63136,63136,'OP_EQHearDispellCmd',781,1),
(21421,63136,63136,'OP_EqHearDrowningCmd',668,1),
(21422,63136,63136,'OP_EqHearHealCmd',718,1),
(21423,63136,63136,'OP_EqHearPlayFlavorCmd',711,1),
(21424,63136,63136,'OP_EQHearProcCmd',654,1),
(21425,63136,63136,'OP_EQHearResEffectCmd',655,1),
(21426,63136,63136,'OP_EqHearSpellCastCmd',653,1),
(21427,63136,63136,'OP_EqHearSpellFizzleCmd',657,1),
(21428,63136,63136,'OP_EqHearSpellInterruptCmd',656,1),
(21429,63136,63136,'OP_EqHearSpellNoLandCmd',737,1),
(21430,63136,63136,'OP_EQHearThreatCmd',775,1),
(21431,63136,63136,'OP_EqHelpPathClearCmd',689,1),
(21432,63136,63136,'OP_EqHelpPathCmd',688,1),
(21433,63136,63136,'OP_EqInspectPCResultsCmd',673,1),
(21434,63136,63136,'OP_EqInstructionWindowCloseCmd',703,1),
(21435,63136,63136,'OP_EqInstructionWindowCmd',702,1),
(21436,63136,63136,'OP_EqInstructionWindowGoalCmd',704,1),
(21437,63136,63136,'OP_EqInstructionWindowTaskCmd',705,1),
(21438,63136,63136,'OP_EqJunctionListCmd',694,1),
(21439,63136,63136,'OP_EqMapExplorationCmd',727,1),
(21440,63136,63136,'OP_EqMentoring',682,1),
(21441,63136,63136,'OP_EqPlaySound3DCmd',666,1),
(21442,63136,63136,'OP_EqPlaySoundCmd',665,1),
(21443,63136,63136,'OP_EqPlayVoiceCmd',667,1),
(21444,63136,63136,'OP_EqQuestGroupCmd',684,1),
(21445,63136,63136,'OP_EqQuestionnaireCmd',715,1),
(21446,63136,63136,'OP_EqQuestJournalReplyCmd',683,1),
(21447,63136,63136,'OP_EqQuestJournalUpdateCmd',681,1),
(21448,63136,63136,'OP_EqReceiveOfferCmd',672,1),
(21449,63136,63136,'OP_EqResurrectedCmd',699,1),
(21450,63136,63136,'OP_EqSetControlGhostCmd',650,1),
(21451,63136,63136,'OP_EqSetDebugPathPointsCmd',661,1),
(21452,63136,63136,'OP_EqSetDefaultVerbCmd',701,1),
(21453,63136,63136,'OP_EqSetPOVGhostCmd',651,1),
(21454,63136,63136,'OP_EqShowBookCmd',714,1),
(21455,63136,63136,'OP_EqShowDeathWindowCmd',695,1),
(21456,63136,63136,'OP_EqShowWindowCmd',707,1),
(21457,63136,63136,'OP_EqSpellCastEndCmd',698,1),
(21458,63136,63136,'OP_EqSpellCastStartCmd',697,1),
(21459,63136,63136,'OP_EqSpellMoveToRangeAndRetryCmd',729,1),
(21460,63136,63136,'OP_EqStartBrokerCmd',726,1),
(21461,63136,63136,'OP_EqStateCmd',664,1),
(21462,63136,63136,'OP_EqStoreLogCmd',728,1),
(21463,63136,63136,'OP_EqUpdateBankCmd',690,1),
(21464,63136,63136,'OP_EqUpdateGhostCmd',649,1),
(21465,63136,63136,'OP_EqUpdateLootCmd',693,1),
(21466,63136,63136,'OP_EqUpdateMerchantCmd',685,1),
(21467,63136,63136,'OP_EqUpdatePlayerMailCmd',730,1),
(21468,63136,63136,'OP_EqUpdatePlayerTradeCmd',687,1),
(21469,63136,63136,'OP_EqUpdateSignWidgetCmd',712,1),
(21470,63136,63136,'OP_EqUpdateStoreCmd',686,1),
(21471,63136,63136,'OP_EqUpdateSubClassesCmd',659,1),
(21472,63136,63136,'OP_EqUpdateTargetCmd',722,1),
(21473,63136,63136,'OP_EqWhoChannelQueryReplyCmd',720,1),
(21474,63136,63136,'OP_ESInitMsg',27,1),
(21475,63136,63136,'OP_ESLoginRequestMsg',3,1),
(21476,63136,63136,'OP_ESReadyForClientsMsg',28,1),
(21477,63136,63136,'OP_ESStatusMsg',102,1),
(21478,63136,63136,'OP_ESWeatherRequestEndMsg',107,1),
(21479,63136,63136,'OP_ESWeatherRequestMsg',106,1),
(21480,63136,63136,'OP_ESZoneInstanceStatusMsg',103,1),
(21481,63136,63136,'OP_ExamineConsignmentRequestMsg',174,1),
(21482,63136,63136,'OP_ExamineConsignmentResponseMsg',175,1),
(21483,63136,63136,'OP_ExamineInfoRequestMsg',259,1),
(21484,63136,63136,'OP_ExamineItemRequestMsg',198,1),
(21485,63136,63136,'OP_ExitHouseMsg',158,1),
(21486,63136,63136,'OP_ExpectClientAsCharacterReplyMs',24,1),
(21487,63136,63136,'OP_ExpectClientAsCharacterRequest',34,1),
(21488,63136,63136,'OP_ExpPurchWindow',760,1),
(21489,63136,63136,'OP_FellowshipExpMsg',125,1),
(21490,63136,63136,'OP_FlightPathsMsg',418,1),
(21491,63136,63136,'OP_GameWorldTimeMsg',45,1),
(21492,63136,63136,'OP_GetAuctionAssetIDMsg',446,1),
(21493,63136,63136,'OP_GetAuctionAssetIDReplyMsg',447,1),
(21494,63136,63136,'OP_GetAvatarAccessRequestForCSToo',397,1),
(21495,63136,63136,'OP_GetCharacterSerializedReplyMsg',429,1),
(21496,63136,63136,'OP_GetCharacterSerializedRequestM',428,1),
(21497,63136,63136,'OP_GroupCreatedMsg',90,1),
(21498,63136,63136,'OP_GroupDestroyedMsg',91,1),
(21499,63136,63136,'OP_GroupLeaderChangedMsg',95,1),
(21500,63136,63136,'OP_GroupMemberAddedMsg',92,1),
(21501,63136,63136,'OP_GroupMemberRemovedMsg',93,1),
(21502,63136,63136,'OP_GroupOptionsMsg',202,1),
(21503,63136,63136,'OP_GroupRemovedFromGroupMsg',94,1),
(21504,63136,63136,'OP_GroupResendOOZDataMsg',96,1),
(21505,63136,63136,'OP_GroupSettingsChangedMsg',97,1),
(21506,63136,63136,'OP_GuildBankActionMsg',278,1),
(21507,63136,63136,'OP_GuildBankActionResponseMsg',279,1),
(21508,63136,63136,'OP_GuildBankEventListMsg',283,1),
(21509,63136,63136,'OP_GuildBankItemDetailsRequestMsg',280,1),
(21510,63136,63136,'OP_GuildBankItemDetailsResponseMs',281,1),
(21511,63136,63136,'OP_GuildBankUpdateMsg',282,1),
(21512,63136,63136,'OP_GuildEventActionMsg',273,1),
(21513,63136,63136,'OP_GuildEventAddMsg',272,1),
(21514,63136,63136,'OP_GuildEventDetailsMsg',276,1),
(21515,63136,63136,'OP_GuildEventListMsg',274,1),
(21516,63136,63136,'OP_GuildEventMsg',271,1),
(21517,63136,63136,'OP_GuildMembershipResponseMsg',361,1),
(21518,63136,63136,'OP_GuildRecruiting',740,1),
(21519,63136,63136,'OP_GuildRecruitingDetails',741,1),
(21520,63136,63136,'OP_GuildRecruitingImage',742,1),
(21521,63136,63136,'OP_GuildRecruitingMemberInfo',739,1),
(21522,63136,63136,'OP_GuildsayMsg',124,1),
(21523,63136,63136,'OP_GuildStatusUpdate',733,1),
(21524,63136,63136,'OP_GuildUpdateMsg',127,1),
(21525,63136,63136,'OP_HeritageMsg',10026,1),
(21526,63136,63136,'OP_HideIllusionsMsg',197,1),
(21527,63136,63136,'OP_HouseAccessRemoveMsg',161,1),
(21528,63136,63136,'OP_HouseAccessSetMsg',160,1),
(21529,63136,63136,'OP_HouseCustomizationScreenMsg',169,1),
(21530,63136,63136,'OP_HouseDefaultAccessSetMsg',159,1),
(21531,63136,63136,'OP_HouseDeletedRemotelyMsg',145,1),
(21532,63136,63136,'OP_HouseItemsList',489,1),
(21533,63136,63136,'OP_HousingDataChangedMsg',432,1),
(21534,63136,63136,'OP_HousingRestoreMsg',433,1),
(21535,63136,63136,'OP_InspectPlayerMsg',367,1),
(21536,63136,63136,'OP_InspectPlayerRequestMsg',455,1),
(21537,63136,63136,'OP_InviteRequestMsg',452,1),
(21538,63136,63136,'OP_InviteResponseMsg',453,1),
(21539,63136,63136,'OP_InviteTargetResponseMsg',454,1),
(21540,63136,63136,'OP_JoinGuildNotifyMsg',363,1),
(21541,63136,63136,'OP_JournalQuestStoryline',782,1),
(21542,63136,63136,'OP_KeymapDataMsg',180,1),
(21543,63136,63136,'OP_KeymapLoadMsg',178,1),
(21544,63136,63136,'OP_KeymapNoneMsg',179,1),
(21545,63136,63136,'OP_KeymapSaveMsg',181,1),
(21546,63136,63136,'OP_KnowledgebaseRequestMsg',230,1),
(21547,63136,63136,'OP_KnowledgebaseResponseMsg',231,1),
(21548,63136,63136,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(21549,63136,63136,'OP_KnownLanguagesMsg',242,1),
(21550,63136,63136,'OP_Launchpad',579,1),
(21551,63136,63136,'OP_LeaveGuildNotifyMsg',362,1),
(21552,63136,63136,'OP_LevelChangedMsg',265,1),
(21553,63136,63136,'OP_LFGGroupSearch',509,1),
(21554,63136,63136,'OP_LFGUpdateMsg',522,1),
(21555,63136,63136,'OP_LikeOption',139,1),
(21556,63136,63136,'OP_LoadCalendarEvents',582,1),
(21557,63136,63136,'OP_LoadWelcomeWindow',566,1),
(21558,63136,63136,'OP_LoginByNumRequestMsg',1,1),
(21559,63136,63136,'OP_LoginReplyMsg',4,1),
(21560,63136,63136,'OP_LoginRequestMsg',0,1),
(21561,63136,63136,'OP_LootItemsRequestMsg',188,1),
(21562,63136,63136,'OP_Lottery',738,1),
(21563,63136,63136,'OP_LSCheckAcctLockMsg',207,1),
(21564,63136,63136,'OP_LsClientAlertlogReplyMsg',246,1),
(21565,63136,63136,'OP_LsClientBaselogReplyMsg',244,1),
(21566,63136,63136,'OP_LsClientCrashlogReplyMsg',245,1),
(21567,63136,63136,'OP_LsClientVerifylogReplyMsg',247,1),
(21568,63136,63136,'OP_LsRequestClientCrashLogMsg',243,1),
(21569,63136,63136,'OP_LSServerLockMsg',369,1),
(21570,63136,63136,'OP_MacroInitMsg',262,1),
(21571,63136,63136,'OP_MacroUpdateMsg',263,1),
(21572,63136,63136,'OP_MailCommitSendMessageMsg',348,1),
(21573,63136,63136,'OP_MailDeleteMessageMsg',344,1),
(21574,63136,63136,'OP_MailEventNotificationMsg',416,1),
(21575,63136,63136,'OP_MailGetHeadersReplyMsg',345,1),
(21576,63136,63136,'OP_MailGetMessageMsg',342,1),
(21577,63136,63136,'OP_MailGetMessageReplyMsg',346,1),
(21578,63136,63136,'OP_MailRemoveAttachFromMailMsg',350,1),
(21579,63136,63136,'OP_MailSendMessageMsg',343,1),
(21580,63136,63136,'OP_MailSendMessageReplyMsg',347,1),
(21581,63136,63136,'OP_MailSendSystemMessageMsg',349,1),
(21582,63136,63136,'OP_MakeGroupLeaderMsg',89,1),
(21583,63136,63136,'OP_MapFogDataInitMsg',399,1),
(21584,63136,63136,'OP_MapFogDataUpdateMsg',400,1),
(21585,63136,63136,'OP_MapRequest',525,1),
(21586,63136,63136,'OP_MarketAddFundsReply',533,1),
(21587,63136,63136,'OP_MarketAddFundsRequest',532,1),
(21588,63136,63136,'OP_MarketFundsUpdate',530,1),
(21589,63136,63136,'OP_MarketPlaceItems',543,1),
(21590,63136,63136,'OP_MarketPlacePrices',536,1),
(21591,63136,63136,'OP_MarketPurchase',535,1),
(21592,63136,63136,'OP_MentorPopup',564,1),
(21593,63136,63136,'OP_MercHireWindow',786,1),
(21594,63136,63136,'OP_MercUnknown',787,1),
(21595,63136,63136,'OP_MigrateBoatTransportMsg',256,1),
(21596,63136,63136,'OP_MigrateBoatTransportReplyMsg',257,1),
(21597,63136,63136,'OP_MigrateClientToZoneReplyMsg',84,1),
(21598,63136,63136,'OP_MigrateClientToZoneRequestMsg',83,1),
(21599,63136,63136,'OP_ModifyGuildMsg',270,1),
(21600,63136,63136,'OP_MonitorCharacterListMsg',58,1),
(21601,63136,63136,'OP_MonitorCharacterListRequestMsg',59,1),
(21602,63136,63136,'OP_MonitorReplyMsg',57,1),
(21603,63136,63136,'OP_MOTDMsg',46,1),
(21604,63136,63136,'OP_MoveableObjectPlacementCriteri',163,1),
(21605,63136,63136,'OP_MoveLogUpdateMsg',405,1),
(21606,63136,63136,'OP_NotifyApprenticeStoppedMentori',413,1),
(21607,63136,63136,'OP_OfferQuestMsg',406,1),
(21608,63136,63136,'OP_OnscreenMsgMsg',268,1),
(21609,63136,63136,'OP_OpenCharCust',568,1),
(21610,63136,63136,'OP_OutOfZoneMemberDataMsg',98,1),
(21611,63136,63136,'OP_PaperdollImage',581,1),
(21612,63136,63136,'OP_PayHouseUpkeepMsg',162,1),
(21613,63136,63136,'OP_PerformCameraShakeMsg',217,1),
(21614,63136,63136,'OP_PerformPlayerKnockbackMsg',216,1),
(21615,63136,63136,'OP_PetOptions',204,1),
(21616,63136,63136,'OP_PetOptionsResponse',585,1),
(21617,63136,63136,'OP_PlayCharacterReplyMsg',21,1),
(21618,63136,63136,'OP_PlayCharacterRequestMsg',20,1),
(21619,63136,63136,'OP_PlayerHouseAccessUpdateMsg',150,1),
(21620,63136,63136,'OP_PlayerHouseBaseScreenMsg',148,1),
(21621,63136,63136,'OP_PlayerHouseCloseUIMsg',152,1),
(21622,63136,63136,'OP_PlayerHouseDisplayStatusMsg',151,1),
(21623,63136,63136,'OP_PlayerHousePurchaseScreenMsg',149,1),
(21624,63136,63136,'OP_PlayerMadeInstances',143,1),
(21625,63136,63136,'OP_PlayerMadeInstancesScreen',142,1),
(21626,63136,63136,'OP_PlayerPollAnswer',563,1),
(21627,63136,63136,'OP_PlayerPollPopup',562,1),
(21628,63136,63136,'OP_PlayLon',516,1),
(21629,63136,63136,'OP_PointOfInterest',764,1),
(21630,63136,63136,'OP_PointOfInterest2',765,1),
(21631,63136,63136,'OP_PopulateSkillMapsMsg',218,1),
(21632,63136,63136,'OP_PositionBoatTransportMsg',255,1),
(21633,63136,63136,'OP_PositionMoveableObject',165,1),
(21634,63136,63136,'OP_PostPossessionMsg',459,1),
(21635,63136,63136,'OP_PredictionUpdateMsg',39,1),
(21636,63136,63136,'OP_PrePossessionMsg',458,1),
(21637,63136,63136,'OP_PromoFlagsDetailsMsg',378,1),
(21638,63136,63136,'OP_PublishHouse',141,1),
(21639,63136,63136,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(21640,63136,63136,'OP_PurchaseConsignmentRequestMsg',131,1),
(21641,63136,63136,'OP_QueAllBgSolo',571,1),
(21642,63136,63136,'OP_QuestionnaireMsg',264,1),
(21643,63136,63136,'OP_QuestJournalInspectMsg',116,1),
(21644,63136,63136,'OP_QuestJournalOpenMsg',115,1),
(21645,63136,63136,'OP_QuestJournalSetVisibleMsg',117,1),
(21646,63136,63136,'OP_QuestJournalWaypointMsg',118,1),
(21647,63136,63136,'OP_QuestReward',324,1),
(21648,63136,63136,'OP_QuickbarInitMsg',260,1),
(21649,63136,63136,'OP_QuickbarUpdateMsg',261,1),
(21650,63136,63136,'OP_RaceRestrictionMsg',444,1),
(21651,63136,63136,'OP_ReadBookPageMsg',199,1),
(21652,63136,63136,'OP_ReadyForTakeOffMsg',195,1),
(21653,63136,63136,'OP_ReadyToZoneMsg',86,1),
(21654,63136,63136,'OP_RecipeBook',544,1),
(21655,63136,63136,'OP_RecipeDetailsMsg',74,1),
(21656,63136,63136,'OP_RecipeList',776,1),
(21657,63136,63136,'OP_RecipeListUnknown',597,1),
(21658,63136,63136,'OP_RelinquishHouseMsg',156,1),
(21659,63136,63136,'OP_ReloadLocalizedTxtMsg',359,1),
(21660,63136,63136,'OP_RemoteCmdMsg',44,1),
(21661,63136,63136,'OP_RemoveClientFromGroupMsg',87,1),
(21662,63136,63136,'OP_RemoveConcentrationMsg',114,1),
(21663,63136,63136,'OP_RemoveGroupFromGroupMsg',88,1),
(21664,63136,63136,'OP_RemoveSpellEffectMsg',113,1),
(21665,63136,63136,'OP_RenameGuildMsg',286,1),
(21666,63136,63136,'OP_ReplaceableSubMeshesMsg',168,1),
(21667,63136,63136,'OP_ReportMsg',384,1),
(21668,63136,63136,'OP_RequestCampMsg',52,1),
(21669,63136,63136,'OP_RequestGuildBankEventDetailsMs',284,1),
(21670,63136,63136,'OP_RequestGuildEventDetailsMsg',275,1),
(21671,63136,63136,'OP_RequestGuildInfoMsg',277,1),
(21672,63136,63136,'OP_RequestGuildMembershipMsg',360,1),
(21673,63136,63136,'OP_RequestHelpRepathMsg',209,1),
(21674,63136,63136,'OP_RequestRecipeDetailsMsg',73,1),
(21675,63136,63136,'OP_RequestTargetLocMsg',210,1),
(21676,63136,63136,'OP_Research',777,1),
(21677,63136,63136,'OP_ResendWorldChannelsMsg',448,1),
(21678,63136,63136,'OP_ReskinCharacterRequestMsg',15,1),
(21679,63136,63136,'OP_RestartZoneMsg',417,1),
(21680,63136,63136,'OP_RewardPackMsg',285,1),
(21681,63136,63136,'OP_SatMsg',192,1),
(21682,63136,63136,'OP_SavageBarInitMsg',584,1),
(21683,63136,63136,'OP_SelectZoneTeleporterDestinatio',358,1),
(21684,63136,63136,'OP_SendLatestRequestMsg',99,1),
(21685,63136,63136,'OP_ServerPlayCharacterReplyMsg',26,1),
(21686,63136,63136,'OP_ServerPlayCharacterRequestMsg',25,1),
(21687,63136,63136,'OP_SetInstanceDisplayNameMsg',445,1),
(21688,63136,63136,'OP_SetRemoteCmdsMsg',43,1),
(21689,63136,63136,'OP_SetSocialMsg',101,1),
(21690,63136,63136,'OP_ShaderCustomizationMsg',167,1),
(21691,63136,63136,'OP_ShowCreateFromRecipeUIMsg',222,1),
(21692,63136,63136,'OP_ShowIllusionsMsg',196,1),
(21693,63136,63136,'OP_ShowItemCreationProcessUIMsg',226,1),
(21694,63136,63136,'OP_ShowRecipeBookMsg',229,1),
(21695,63136,63136,'OP_ShowZoneTeleporterDestinations',357,1),
(21696,63136,63136,'OP_SitMsg',190,1),
(21697,63136,63136,'OP_SkillInfoRequest',518,1),
(21698,63136,63136,'OP_SkillInfoResponse',519,1),
(21699,63136,63136,'OP_SOEAllAccess',640,1),
(21700,63136,63136,'OP_SpellGainedMsg',266,1),
(21701,63136,63136,'OP_StandMsg',191,1),
(21702,63136,63136,'OP_StoodMsg',193,1),
(21703,63136,63136,'OP_StopItemCreationMsg',225,1),
(21704,63136,63136,'OP_StoppedLootingMsg',189,1),
(21705,63136,63136,'OP_StopTrackingMsg',395,1),
(21706,63136,63136,'OP_SubmitCharCust',569,1),
(21707,63136,63136,'OP_SupplyDepot',774,1),
(21708,63136,63136,'OP_SysClient',221,1),
(21709,63136,63136,'OP_TeleportWithinZoneMsg',81,1),
(21710,63136,63136,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(21711,63136,63136,'OP_TintWidgetsMsg',173,1),
(21712,63136,63136,'OP_TitleUpdateMsg',388,1),
(21713,63136,63136,'OP_TrackingUpdateMsg',393,1),
(21714,63136,63136,'OP_TradeskillList',743,1),
(21715,63136,63136,'OP_TraitsList',766,1),
(21716,63136,63136,'OP_UIEvent',531,1),
(21717,63136,63136,'OP_UIResetMsg',177,1),
(21718,63136,63136,'OP_UISettingsResponseMsg',176,1),
(21719,63136,63136,'OP_Unknown',800,1),
(21720,63136,63136,'OP_UnknownNpcMsg',377,1),
(21721,63136,63136,'OP_UpdateActivePublicZonesMsg',376,1),
(21722,63136,63136,'OP_UpdateCharacterSheetMsg',65,1),
(21723,63136,63136,'OP_UpdateClientPredFlagsMsg',249,1),
(21724,63136,63136,'OP_UpdateDebugRadiiMsg',383,1),
(21725,63136,63136,'OP_UpdateGroupMemberDataMsg',392,1),
(21726,63136,63136,'OP_UpdateHouseAccessDataMsg',147,1),
(21727,63136,63136,'OP_UpdateHouseDataMsg',146,1),
(21728,63136,63136,'OP_UpdateInventoryMsg',70,1),
(21729,63136,63136,'OP_UpdateItemCreationProcessUIMsg',227,1),
(21730,63136,63136,'OP_UpdateMotdMsg',211,1),
(21731,63136,63136,'OP_UpdateOpportunityMsg',77,1),
(21732,63136,63136,'OP_UpdatePositionMsg',41,1),
(21733,63136,63136,'OP_UpdateRaidMsg',385,1),
(21734,63136,63136,'OP_UpdateRecipeBookMsg',72,1),
(21735,63136,63136,'OP_UpdateSkillBookMsg',75,1),
(21736,63136,63136,'OP_UpdateSkillsMsg',76,1),
(21737,63136,63136,'OP_UpdateSpellBookMsg',68,1),
(21738,63136,63136,'OP_UpdateTargetLocMsg',64,1),
(21739,63136,63136,'OP_UpdateTargetMsg',63,1),
(21740,63136,63136,'OP_UpdateTitleCmd',499,1),
(21741,63136,63136,'OP_UseAdornment',754,1),
(21742,63136,63136,'OP_VideoUploaded',583,1),
(21743,63136,63136,'OP_VoiceChatChannel',524,1),
(21744,63136,63136,'OP_VoiceChatServer',770,1),
(21745,63136,63136,'OP_WaypointReplyMsg',353,1),
(21746,63136,63136,'OP_WaypointRequestMsg',352,1),
(21747,63136,63136,'OP_WaypointSelectMsg',354,1),
(21748,63136,63136,'OP_WaypointUpdateMsg',355,1),
(21749,63136,63136,'OP_Weakness',587,1),
(21750,63136,63136,'OP_WhoQueryReplyMsg',56,1),
(21751,63136,63136,'OP_WhoQueryRequestMsg',55,1),
(21752,63136,63136,'OP_WorldDataChangeMsg',415,1),
(21753,63136,63136,'OP_WorldDataUpdateMsg',240,1),
(21754,63136,63136,'OP_WorldListMsg',8,1),
(21755,63136,63136,'OP_WorldPingMsg',404,1),
(21756,63136,63136,'OP_WorldShutdownUpdateMsg',408,1),
(21757,63136,63136,'OP_WorldStatusChangeMsg',6,1),
(21758,63136,63136,'OP_WorldTravelAvail',576,1),
(21759,63136,63136,'OP_WSAcctLockStatusMsg',208,1),
(21760,63136,63136,'OP_WSCreateCharacterReplyMsg',14,1),
(21761,63136,63136,'OP_WSCreateCharacterRequestMsg',13,1),
(21762,63136,63136,'OP_WSLoginRequestMsg',2,1),
(21763,63136,63136,'OP_WSServerHideMsg',370,1),
(21764,63136,63136,'OP_WSServerLockMsg',368,1),
(21765,63136,63136,'OP_WSStatusReplyMsg',5,1),
(21766,63136,63136,'OP_ZoneBgInstanceList',572,1),
(21767,63136,63136,'OP_ZoneInfoMsg',35,1),
(21768,63136,63136,'OP_ZoneInstanceCreateReplyMsg',32,1),
(21769,63136,63136,'OP_ZoneInstanceDestroyedMsg',33,1),
(21770,63136,63136,'OP_ZoneMOTDMsg',47,1),
(21771,63136,63136,'OP_ZonesStatusMsg',105,1),
(21772,63136,63136,'OP_ZonesStatusRequestMsg',104,1),
(21773,63136,63136,'OP_ZoneToFriendReplyMsg',288,1),
(21774,63136,63136,'OP_ZoneToFriendRequestMsg',287,1),
(22238,63137,63166,'OP_AchievementUpdateMsg',781,1),
(22239,63137,63166,'OP_AddSocialStructureStandingMsg',253,1),
(22240,63137,63166,'OP_AdvancementRequestMsg',398,1),
(22241,63137,63166,'OP_AdventureList',493,1),
(22242,63137,63166,'OP_AFKUpdateMsg',374,1),
(22243,63137,63166,'OP_AfterInvSpellUpdate',71,1),
(22244,63137,63166,'OP_AllCharactersDescReplyMsg',10,1),
(22245,63137,63166,'OP_AllCharactersDescRequestMsg',9,1),
(22246,63137,63166,'OP_AllWSDescRequestMsg',7,1),
(22247,63137,63166,'OP_AnonUpdateMsg',375,1),
(22248,63137,63166,'OP_ArenaCreate',461,1),
(22249,63137,63166,'OP_ArenaGameTypesMsg',450,1),
(22250,63137,63166,'OP_ArenaList',462,1),
(22251,63137,63166,'OP_ArenaWindow',470,1),
(22252,63137,63166,'OP_AttackAllowed',505,1),
(22253,63137,63166,'OP_AttackNotAllowed',506,1),
(22254,63137,63166,'OP_AuctionAbortMsg',441,1),
(22255,63137,63166,'OP_AuctionCharacter',438,1),
(22256,63137,63166,'OP_AuctionCharacterReply',439,1),
(22257,63137,63166,'OP_AuctionCoin',436,1),
(22258,63137,63166,'OP_AuctionCoinReply',437,1),
(22259,63137,63166,'OP_AuctionCommitMsg',440,1),
(22260,63137,63166,'OP_AuctionItem',434,1),
(22261,63137,63166,'OP_AuctionItemReply',435,1),
(22262,63137,63166,'OP_AuditAuctionEventMsg',451,1),
(22263,63137,63166,'OP_AvatarCreatedMsg',48,1),
(22264,63137,63166,'OP_AvatarDestroyedMsg',49,1),
(22265,63137,63166,'OP_AvatarUpdateMsg',364,1),
(22266,63137,63166,'OP_BadLanguageFilter',523,1),
(22267,63137,63166,'OP_BagOptions',507,1),
(22268,63137,63166,'OP_BeginItemCreationMsg',224,1),
(22269,63137,63166,'OP_BeginTrackingMsg',394,1),
(22270,63137,63166,'OP_BioUpdateMsg',366,1),
(22271,63137,63166,'OP_BrokerAddBag',296,1),
(22272,63137,63166,'OP_BrokerRemoveBag',297,1),
(22273,63137,63166,'OP_BrokerSellList',724,1),
(22274,63137,63166,'OP_BuyPlayerHouseMsg',153,1),
(22275,63137,63166,'OP_BuyPlayerHouseTintMsg',154,1),
(22276,63137,63166,'OP_CampAbortedMsg',54,1),
(22277,63137,63166,'OP_CampClientMsg',391,1),
(22278,63137,63166,'OP_CampStartedMsg',53,1),
(22279,63137,63166,'OP_CancelCreateFromRecipeMsg',223,1),
(22280,63137,63166,'OP_CancelledFeignMsg',219,1),
(22281,63137,63166,'OP_CancelMoveObjectModeMsg',166,1),
(22282,63137,63166,'OP_CancelSpellCast',494,1),
(22283,63137,63166,'OP_ChangeServerControlFlagMsg',250,1),
(22284,63137,63166,'OP_ChangeZoneMsg',79,1),
(22285,63137,63166,'OP_CharacterAchievements',780,1),
(22286,63137,63166,'OP_CharacterCreatedDungeons',557,1),
(22287,63137,63166,'OP_CharacterCurrency',779,1),
(22288,63137,63166,'OP_CharacterHousingList',512,1),
(22289,63137,63166,'OP_CharacterLinkdeadMsg',419,1),
(22290,63137,63166,'OP_CharacterMerc',67,1),
(22291,63137,63166,'OP_CharacterMounts',588,1),
(22292,63137,63166,'OP_CharacterPet',66,1),
(22293,63137,63166,'OP_CharNameChangedMsg',356,1),
(22294,63137,63166,'OP_CharRenamed',745,1),
(22295,63137,63166,'OP_CharTransferCommitReplyMsg',427,1),
(22296,63137,63166,'OP_CharTransferCommitRequestMsg',425,1),
(22297,63137,63166,'OP_CharTransferReplyMsg',423,1),
(22298,63137,63166,'OP_CharTransferRequestMsg',422,1),
(22299,63137,63166,'OP_CharTransferRollbackReplyMsg',426,1),
(22300,63137,63166,'OP_CharTransferRollbackRequestMsg',424,1),
(22301,63137,63166,'OP_CharTransferStartReplyMsg',421,1),
(22302,63137,63166,'OP_CharTransferStartRequestMsg',420,1),
(22303,63137,63166,'OP_CharTransferValidateReplyMsg',443,1),
(22304,63137,63166,'OP_CharTransferValidateRequestMsg',442,1),
(22305,63137,63166,'OP_ChatCreateChannelMsg',289,1),
(22306,63137,63166,'OP_ChatFiltersMsg',338,1),
(22307,63137,63166,'OP_ChatJoinChannelMsg',290,1),
(22308,63137,63166,'OP_ChatLeaveChannelMsg',292,1),
(22309,63137,63166,'OP_ChatRelationshipUpdateMsg',187,1),
(22310,63137,63166,'OP_ChatSendFriendsMsg',299,1),
(22311,63137,63166,'OP_ChatSendIgnoresMsg',300,1),
(22312,63137,63166,'OP_ChatTellChannelMsg',293,1),
(22313,63137,63166,'OP_ChatTellUserMsg',294,1),
(22314,63137,63166,'OP_ChatToggleFriendMsg',295,1),
(22315,63137,63166,'OP_ChatToggleIgnoreMsg',298,1),
(22316,63137,63166,'OP_ChatWhoChannelMsg',291,1),
(22317,63137,63166,'OP_ClearDataMsg',100,1),
(22318,63137,63166,'OP_ClearForLandingMsg',496,1),
(22319,63137,63166,'OP_ClearForTakeOffMsg',194,1),
(22320,63137,63166,'OP_ClientCmdMsg',60,1),
(22321,63137,63166,'OP_ClientFellMsg',389,1),
(22322,63137,63166,'OP_ClientIdleBeginMsg',410,1),
(22323,63137,63166,'OP_ClientIdleEndMsg',411,1),
(22324,63137,63166,'OP_ClientInDeathRegionMsg',390,1),
(22325,63137,63166,'OP_ClientTeleportRequestMsg',80,1),
(22326,63137,63166,'OP_ClientTeleportToLocationMsg',248,1),
(22327,63137,63166,'OP_CloseGroupInviteWindowMsg',401,1),
(22328,63137,63166,'OP_CollectAllHouseItemsMsg',155,1),
(22329,63137,63166,'OP_ConsignItemRequestMsg',129,1),
(22330,63137,63166,'OP_ConsignItemResponseMsg',130,1),
(22331,63137,63166,'OP_ConsignmentCloseStoreMsg',128,1),
(22332,63137,63166,'OP_ConsignRemoveItemsMsg',382,1),
(22333,63137,63166,'OP_ConsignViewCreateMsg',379,1),
(22334,63137,63166,'OP_ConsignViewGetPageMsg',380,1),
(22335,63137,63166,'OP_ConsignViewReleaseMsg',381,1),
(22336,63137,63166,'OP_ConsignViewSortMsg',387,1),
(22337,63137,63166,'OP_CorruptedClientMsg',414,1),
(22338,63137,63166,'OP_CreateBoatTransportsMsg',254,1),
(22339,63137,63166,'OP_CreateCharacterDungeon',551,1),
(22340,63137,63166,'OP_CreateCharacterReplyMsg',12,1),
(22341,63137,63166,'OP_CreateCharacterRequestMsg',11,1),
(22342,63137,63166,'OP_CreateCharFromCBBReplyMsg',431,1),
(22343,63137,63166,'OP_CreateCharFromCBBRequestMsg',430,1),
(22344,63137,63166,'OP_CreateGuildReplyMsg',123,1),
(22345,63137,63166,'OP_CreateGuildRequestMsg',121,1),
(22346,63137,63166,'OP_CreateZoneInstanceMsg',31,1),
(22347,63137,63166,'OP_CsCategoryRequestMsg',371,1),
(22348,63137,63166,'OP_CsCategoryResponseMsg',372,1),
(22349,63137,63166,'OP_CSTicketAddCommentMsg',237,1),
(22350,63137,63166,'OP_CSTicketChangeNotificationMsg',239,1),
(22351,63137,63166,'OP_CSTicketCommentRequestMsg',234,1),
(22352,63137,63166,'OP_CSTicketCommentResponseMsg',235,1),
(22353,63137,63166,'OP_CSTicketCreateMsg',236,1),
(22354,63137,63166,'OP_CSTicketDeleteMsg',238,1),
(22355,63137,63166,'OP_CSTicketHeaderRequestMsg',232,1),
(22356,63137,63166,'OP_CSTicketInfoMsg',233,1),
(22357,63137,63166,'OP_CSToolAccessResponseMsg',392,1),
(22358,63137,63166,'OP_CSToolsRequestMsg',251,1),
(22359,63137,63166,'OP_CSToolsResponseMsg',252,1),
(22360,63137,63166,'OP_CurrentPet',490,1),
(22361,63137,63166,'OP_CustomizationPurchaseRequestMs',170,1),
(22362,63137,63166,'OP_CustomizationReplyMsg',172,1),
(22363,63137,63166,'OP_CustomizationSetRequestMsg',171,1),
(22364,63137,63166,'OP_CustomizeHouseDisplay',770,1),
(22365,63137,63166,'OP_DailyObjectives',601,1),
(22366,63137,63166,'OP_DefaultGroupOptionsMsg',201,1),
(22367,63137,63166,'OP_DefaultGroupOptionsRequestMsg',200,1),
(22368,63137,63166,'OP_DeityAbilityWindow',621,1),
(22369,63137,63166,'OP_DeleteCharacterReplyMsg',19,1),
(22370,63137,63166,'OP_DeleteCharacterRequestMsg',18,1),
(22371,63137,63166,'OP_DeleteGuildMsg',126,1),
(22372,63137,63166,'OP_DestUpdateReq',213,1),
(22373,63137,63166,'OP_DialogCloseMsg',112,1),
(22374,63137,63166,'OP_DialogSelectMsg',111,1),
(22375,63137,63166,'OP_DispatchClientCmdMsg',62,1),
(22376,63137,63166,'OP_DispatchESMsg',61,1),
(22377,63137,63166,'OP_DispatchMsg',456,1),
(22378,63137,63166,'OP_DispatchSpellCmdMsg',182,1),
(22379,63137,63166,'OP_DisplayDebugNLLPointsMsg',258,1),
(22380,63137,63166,'OP_DisplayEventMsg',457,1),
(22381,63137,63166,'OP_DisplayExchangeScreenMsg',449,1),
(22382,63137,63166,'OP_DisplayGroupOptionsScreenMsg',203,1),
(22383,63137,63166,'OP_DisplayInnVisitScreenMsg',205,1),
(22384,63137,63166,'OP_DisplayMailScreenMsg',409,1),
(22385,63137,63166,'OP_DisplayTSEventReactionMsg',228,1),
(22386,63137,63166,'OP_DisplayWarningMsg',269,1),
(22387,63137,63166,'OP_DoneLoadingEntityResourcesMsg',38,1),
(22388,63137,63166,'OP_DoneLoadingZoneResourcesMsg',36,1),
(22389,63137,63166,'OP_DoneSendingInitialEntitiesMsg',37,1),
(22390,63137,63166,'OP_DressingRoom',515,1),
(22391,63137,63166,'OP_DumpSchedulerMsg',206,1),
(22392,63137,63166,'OP_DungeonMakerEnter',552,1),
(22393,63137,63166,'OP_DungeonMakerItemRequest',556,1),
(22394,63137,63166,'OP_DungeonMakerItemResponse',586,1),
(22395,63137,63166,'OP_DungeonMakerToolboxList',558,1),
(22396,63137,63166,'OP_DungeonMakerUnknown',559,1),
(22397,63137,63166,'OP_DungeonMakerUnknown1',560,1),
(22398,63137,63166,'OP_DungeonPlayAsAvatarList',784,1),
(22399,63137,63166,'OP_DungeonPlayAsAvatarSelected',785,1),
(22400,63137,63166,'OP_EarlyLandingRequestMsg',491,1),
(22401,63137,63166,'OP_EncounterBrokenMsg',267,1),
(22402,63137,63166,'OP_EnterHouseMsg',157,1),
(22403,63137,63166,'OP_EnterMoveObjectModeMsg',164,1),
(22404,63137,63166,'OP_EntityVerbsReplyMsg',184,1),
(22405,63137,63166,'OP_EntityVerbsRequestMsg',183,1),
(22406,63137,63166,'OP_EntityVerbsVerbMsg',185,1),
(22407,63137,63166,'OP_EqArenaResultsCmd',735,1),
(22408,63137,63166,'OP_EqAvailWorldChannelsCmd',722,1),
(22409,63137,63166,'OP_EqBetaCopyRequest',639,1),
(22410,63137,63166,'OP_EqCannedEmoteCmd',664,1),
(22411,63137,63166,'OP_EqChatChannelUpdateCmd',720,1),
(22412,63137,63166,'OP_EqChoiceWinCmd',701,1),
(22413,63137,63166,'OP_EqCloseWindowCmd',693,1),
(22414,63137,63166,'OP_EqCollectionFilterCmd',680,1),
(22415,63137,63166,'OP_EqCollectionItemCmd',681,1),
(22416,63137,63166,'OP_EqCollectionUpdateCmd',679,1),
(22417,63137,63166,'OP_EqConsignmentItemsCmd',725,1),
(22418,63137,63166,'OP_EqCreateGhostCmd',646,1),
(22419,63137,63166,'OP_EqCreateListBoxCmd',661,1),
(22420,63137,63166,'OP_EqCreateSignWidgetCmd',648,1),
(22421,63137,63166,'OP_EqCreateWidgetCmd',647,1),
(22422,63137,63166,'OP_EqDebugPVDCmd',714,1),
(22423,63137,63166,'OP_EqDestroyGhostCmd',649,1),
(22424,63137,63166,'OP_EqDialogCloseCmd',677,1),
(22425,63137,63166,'OP_EqDialogOpenCmd',676,1),
(22426,63137,63166,'OP_EqDisplaySpellFailCmd',697,1),
(22427,63137,63166,'OP_EqDisplayTextCmd',645,1),
(22428,63137,63166,'OP_EqDrawablePathGraphCmd',675,1),
(22429,63137,63166,'OP_EqEnableGameEventCmd',707,1),
(22430,63137,63166,'OP_EqEnableWindowCmd',709,1),
(22431,63137,63166,'OP_EqExamineInfoCmd',692,1),
(22432,63137,63166,'OP_EqFactionUpdateCmd',678,1),
(22433,63137,63166,'OP_EqFlashWindowCmd',710,1),
(22434,63137,63166,'OP_EqGetProbsCmd',718,1),
(22435,63137,63166,'OP_EqGroupMemberRemovedCmd',671,1),
(22436,63137,63166,'OP_EqGuildBankEventActionCmd',736,1),
(22437,63137,63166,'OP_EqGuildBankExamineInfoCmd',737,1),
(22438,63137,63166,'OP_EqHearChainEffectCmd',672,1),
(22439,63137,63166,'OP_EqHearChatCmd',644,1),
(22440,63137,63166,'OP_EqHearCombatCmd',653,1),
(22441,63137,63166,'OP_EqHearConsiderCmd',659,1),
(22442,63137,63166,'OP_EqHearDeathCmd',670,1),
(22443,63137,63166,'OP_EQHearDispellCmd',782,1),
(22444,63137,63166,'OP_EqHearDrowningCmd',669,1),
(22445,63137,63166,'OP_EqHearHealCmd',719,1),
(22446,63137,63166,'OP_EqHearPlayFlavorCmd',712,1),
(22447,63137,63166,'OP_EQHearProcCmd',655,1),
(22448,63137,63166,'OP_EQHearResEffectCmd',656,1),
(22449,63137,63166,'OP_EqHearSpellCastCmd',654,1),
(22450,63137,63166,'OP_EqHearSpellFizzleCmd',658,1),
(22451,63137,63166,'OP_EqHearSpellInterruptCmd',657,1),
(22452,63137,63166,'OP_EqHearSpellNoLandCmd',738,1),
(22453,63137,63166,'OP_EQHearThreatCmd',776,1),
(22454,63137,63166,'OP_EqHelpPathClearCmd',690,1),
(22455,63137,63166,'OP_EqHelpPathCmd',689,1),
(22456,63137,63166,'OP_EqInspectPCResultsCmd',674,1),
(22457,63137,63166,'OP_EqInstructionWindowCloseCmd',704,1),
(22458,63137,63166,'OP_EqInstructionWindowCmd',703,1),
(22459,63137,63166,'OP_EqInstructionWindowGoalCmd',705,1),
(22460,63137,63166,'OP_EqInstructionWindowTaskCmd',706,1),
(22461,63137,63166,'OP_EqJunctionListCmd',695,1),
(22462,63137,63166,'OP_EqMapExplorationCmd',728,1),
(22463,63137,63166,'OP_EqMentoring',683,1),
(22464,63137,63166,'OP_EqPlaySound3DCmd',667,1),
(22465,63137,63166,'OP_EqPlaySoundCmd',666,1),
(22466,63137,63166,'OP_EqPlayVoiceCmd',668,1),
(22467,63137,63166,'OP_EqQuestGroupCmd',685,1),
(22468,63137,63166,'OP_EqQuestionnaireCmd',716,1),
(22469,63137,63166,'OP_EqQuestJournalReplyCmd',684,1),
(22470,63137,63166,'OP_EqQuestJournalUpdateCmd',682,1),
(22471,63137,63166,'OP_EqReceiveOfferCmd',673,1),
(22472,63137,63166,'OP_EqResurrectedCmd',700,1),
(22473,63137,63166,'OP_EqSetControlGhostCmd',651,1),
(22474,63137,63166,'OP_EqSetDebugPathPointsCmd',662,1),
(22475,63137,63166,'OP_EqSetDefaultVerbCmd',702,1),
(22476,63137,63166,'OP_EqSetPOVGhostCmd',652,1),
(22477,63137,63166,'OP_EqShowBookCmd',715,1),
(22478,63137,63166,'OP_EqShowDeathWindowCmd',696,1),
(22479,63137,63166,'OP_EqShowWindowCmd',708,1),
(22480,63137,63166,'OP_EqSpellCastEndCmd',699,1),
(22481,63137,63166,'OP_EqSpellCastStartCmd',698,1),
(22482,63137,63166,'OP_EqSpellMoveToRangeAndRetryCmd',730,1),
(22483,63137,63166,'OP_EqStartBrokerCmd',727,1),
(22484,63137,63166,'OP_EqStateCmd',665,1),
(22485,63137,63166,'OP_EqStoreLogCmd',729,1),
(22486,63137,63166,'OP_EqUpdateBankCmd',691,1),
(22487,63137,63166,'OP_EqUpdateGhostCmd',650,1),
(22488,63137,63166,'OP_EqUpdateLootCmd',694,1),
(22489,63137,63166,'OP_EqUpdateMerchantCmd',686,1),
(22490,63137,63166,'OP_EqUpdatePlayerMailCmd',731,1),
(22491,63137,63166,'OP_EqUpdatePlayerTradeCmd',688,1),
(22492,63137,63166,'OP_EqUpdateSignWidgetCmd',713,1),
(22493,63137,63166,'OP_EqUpdateStoreCmd',687,1),
(22494,63137,63166,'OP_EqUpdateSubClassesCmd',660,1),
(22495,63137,63166,'OP_EqUpdateTargetCmd',723,1),
(22496,63137,63166,'OP_EqWhoChannelQueryReplyCmd',721,1),
(22497,63137,63166,'OP_ESInitMsg',27,1),
(22498,63137,63166,'OP_ESLoginRequestMsg',3,1),
(22499,63137,63166,'OP_ESReadyForClientsMsg',28,1),
(22500,63137,63166,'OP_ESStatusMsg',102,1),
(22501,63137,63166,'OP_ESWeatherRequestEndMsg',107,1),
(22502,63137,63166,'OP_ESWeatherRequestMsg',106,1),
(22503,63137,63166,'OP_ESZoneInstanceStatusMsg',103,1),
(22504,63137,63166,'OP_ExamineConsignmentRequestMsg',174,1),
(22505,63137,63166,'OP_ExamineConsignmentResponseMsg',175,1),
(22506,63137,63166,'OP_ExamineInfoRequestMsg',259,1),
(22507,63137,63166,'OP_ExamineItemRequestMsg',198,1),
(22508,63137,63166,'OP_ExitHouseMsg',158,1),
(22509,63137,63166,'OP_ExpectClientAsCharacterReplyMs',24,1),
(22510,63137,63166,'OP_ExpectClientAsCharacterRequest',34,1),
(22511,63137,63166,'OP_ExpPurchWindow',761,1),
(22512,63137,63166,'OP_FellowshipExpMsg',125,1),
(22513,63137,63166,'OP_FlightPathsMsg',418,1),
(22514,63137,63166,'OP_GameWorldTimeMsg',45,1),
(22515,63137,63166,'OP_GetAuctionAssetIDMsg',446,1),
(22516,63137,63166,'OP_GetAuctionAssetIDReplyMsg',447,1),
(22517,63137,63166,'OP_GetAvatarAccessRequestForCSToo',397,1),
(22518,63137,63166,'OP_GetCharacterSerializedReplyMsg',429,1),
(22519,63137,63166,'OP_GetCharacterSerializedRequestM',428,1),
(22520,63137,63166,'OP_GroupCreatedMsg',90,1),
(22521,63137,63166,'OP_GroupDestroyedMsg',91,1),
(22522,63137,63166,'OP_GroupLeaderChangedMsg',95,1),
(22523,63137,63166,'OP_GroupMemberAddedMsg',92,1),
(22524,63137,63166,'OP_GroupMemberRemovedMsg',93,1),
(22525,63137,63166,'OP_GroupOptionsMsg',202,1),
(22526,63137,63166,'OP_GroupRemovedFromGroupMsg',94,1),
(22527,63137,63166,'OP_GroupResendOOZDataMsg',96,1),
(22528,63137,63166,'OP_GroupSettingsChangedMsg',97,1),
(22529,63137,63166,'OP_GuildBankActionMsg',278,1),
(22530,63137,63166,'OP_GuildBankActionResponseMsg',279,1),
(22531,63137,63166,'OP_GuildBankEventListMsg',283,1),
(22532,63137,63166,'OP_GuildBankItemDetailsRequestMsg',280,1),
(22533,63137,63166,'OP_GuildBankItemDetailsResponseMs',281,1),
(22534,63137,63166,'OP_GuildBankUpdateMsg',282,1),
(22535,63137,63166,'OP_GuildEventActionMsg',273,1),
(22536,63137,63166,'OP_GuildEventAddMsg',272,1),
(22537,63137,63166,'OP_GuildEventDetailsMsg',276,1),
(22538,63137,63166,'OP_GuildEventListMsg',274,1),
(22539,63137,63166,'OP_GuildEventMsg',271,1),
(22540,63137,63166,'OP_GuildMembershipResponseMsg',361,1),
(22541,63137,63166,'OP_GuildRecruiting',741,1),
(22542,63137,63166,'OP_GuildRecruitingDetails',742,1),
(22543,63137,63166,'OP_GuildRecruitingImage',743,1),
(22544,63137,63166,'OP_GuildRecruitingMemberInfo',740,1),
(22545,63137,63166,'OP_GuildsayMsg',124,1),
(22546,63137,63166,'OP_GuildStatusUpdate',734,1),
(22547,63137,63166,'OP_GuildUpdateMsg',127,1),
(22548,63137,63166,'OP_HeritageMsg',10027,1),
(22549,63137,63166,'OP_HideIllusionsMsg',197,1),
(22550,63137,63166,'OP_HouseAccessRemoveMsg',161,1),
(22551,63137,63166,'OP_HouseAccessSetMsg',160,1),
(22552,63137,63166,'OP_HouseCustomizationScreenMsg',169,1),
(22553,63137,63166,'OP_HouseDefaultAccessSetMsg',159,1),
(22554,63137,63166,'OP_HouseDeletedRemotelyMsg',145,1),
(22555,63137,63166,'OP_HouseItemsList',489,1),
(22556,63137,63166,'OP_HousingDataChangedMsg',432,1),
(22557,63137,63166,'OP_HousingRestoreMsg',433,1),
(22558,63137,63166,'OP_InspectPlayerMsg',367,1),
(22559,63137,63166,'OP_InspectPlayerRequestMsg',455,1),
(22560,63137,63166,'OP_InviteRequestMsg',452,1),
(22561,63137,63166,'OP_InviteResponseMsg',453,1),
(22562,63137,63166,'OP_InviteTargetResponseMsg',454,1),
(22563,63137,63166,'OP_JoinGuildNotifyMsg',363,1),
(22564,63137,63166,'OP_JournalQuestStoryline',783,1),
(22565,63137,63166,'OP_KeymapDataMsg',180,1),
(22566,63137,63166,'OP_KeymapLoadMsg',178,1),
(22567,63137,63166,'OP_KeymapNoneMsg',179,1),
(22568,63137,63166,'OP_KeymapSaveMsg',181,1),
(22569,63137,63166,'OP_KnowledgebaseRequestMsg',230,1),
(22570,63137,63166,'OP_KnowledgebaseResponseMsg',231,1),
(22571,63137,63166,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(22572,63137,63166,'OP_KnownLanguagesMsg',242,1),
(22573,63137,63166,'OP_Launchpad',579,1),
(22574,63137,63166,'OP_LeaveGuildNotifyMsg',362,1),
(22575,63137,63166,'OP_LevelChangedMsg',265,1),
(22576,63137,63166,'OP_LFGGroupSearch',509,1),
(22577,63137,63166,'OP_LFGUpdateMsg',522,1),
(22578,63137,63166,'OP_LikeOption',139,1),
(22579,63137,63166,'OP_LoadCalendarEvents',582,1),
(22580,63137,63166,'OP_LoadWelcomeWindow',566,1),
(22581,63137,63166,'OP_LoginByNumRequestMsg',1,1),
(22582,63137,63166,'OP_LoginReplyMsg',4,1),
(22583,63137,63166,'OP_LoginRequestMsg',0,1),
(22584,63137,63166,'OP_LootItemsRequestMsg',188,1),
(22585,63137,63166,'OP_Lottery',739,1),
(22586,63137,63166,'OP_LSCheckAcctLockMsg',207,1),
(22587,63137,63166,'OP_LsClientAlertlogReplyMsg',246,1),
(22588,63137,63166,'OP_LsClientBaselogReplyMsg',244,1),
(22589,63137,63166,'OP_LsClientCrashlogReplyMsg',245,1),
(22590,63137,63166,'OP_LsClientVerifylogReplyMsg',247,1),
(22591,63137,63166,'OP_LsRequestClientCrashLogMsg',243,1),
(22592,63137,63166,'OP_LSServerLockMsg',369,1),
(22593,63137,63166,'OP_MacroInitMsg',262,1),
(22594,63137,63166,'OP_MacroUpdateMsg',263,1),
(22595,63137,63166,'OP_MailCommitSendMessageMsg',348,1),
(22596,63137,63166,'OP_MailDeleteMessageMsg',344,1),
(22597,63137,63166,'OP_MailEventNotificationMsg',416,1),
(22598,63137,63166,'OP_MailGetHeadersReplyMsg',345,1),
(22599,63137,63166,'OP_MailGetMessageMsg',342,1),
(22600,63137,63166,'OP_MailGetMessageReplyMsg',346,1),
(22601,63137,63166,'OP_MailRemoveAttachFromMailMsg',350,1),
(22602,63137,63166,'OP_MailSendMessageMsg',343,1),
(22603,63137,63166,'OP_MailSendMessageReplyMsg',347,1),
(22604,63137,63166,'OP_MailSendSystemMessageMsg',349,1),
(22605,63137,63166,'OP_MakeGroupLeaderMsg',89,1),
(22606,63137,63166,'OP_MapFogDataInitMsg',399,1),
(22607,63137,63166,'OP_MapFogDataUpdateMsg',400,1),
(22608,63137,63166,'OP_MapRequest',525,1),
(22609,63137,63166,'OP_MarketAddFundsReply',533,1),
(22610,63137,63166,'OP_MarketAddFundsRequest',532,1),
(22611,63137,63166,'OP_MarketFundsUpdate',530,1),
(22612,63137,63166,'OP_MarketPlaceItems',543,1),
(22613,63137,63166,'OP_MarketPlacePrices',536,1),
(22614,63137,63166,'OP_MarketPurchase',535,1),
(22615,63137,63166,'OP_MentorPopup',564,1),
(22616,63137,63166,'OP_MercHireWindow',787,1),
(22617,63137,63166,'OP_MercUnknown',788,1),
(22618,63137,63166,'OP_MigrateBoatTransportMsg',256,1),
(22619,63137,63166,'OP_MigrateBoatTransportReplyMsg',257,1),
(22620,63137,63166,'OP_MigrateClientToZoneReplyMsg',84,1),
(22621,63137,63166,'OP_MigrateClientToZoneRequestMsg',83,1),
(22622,63137,63166,'OP_ModifyGuildMsg',270,1),
(22623,63137,63166,'OP_MonitorCharacterListMsg',58,1),
(22624,63137,63166,'OP_MonitorCharacterListRequestMsg',59,1),
(22625,63137,63166,'OP_MonitorReplyMsg',57,1),
(22626,63137,63166,'OP_MOTDMsg',46,1),
(22627,63137,63166,'OP_MoveableObjectPlacementCriteri',163,1),
(22628,63137,63166,'OP_MoveLogUpdateMsg',405,1),
(22629,63137,63166,'OP_NotifyApprenticeStoppedMentori',413,1),
(22630,63137,63166,'OP_OfferQuestMsg',406,1),
(22631,63137,63166,'OP_OnscreenMsgMsg',268,1),
(22632,63137,63166,'OP_OpenCharCust',568,1),
(22633,63137,63166,'OP_OutOfZoneMemberDataMsg',98,1),
(22634,63137,63166,'OP_PaperdollImage',581,1),
(22635,63137,63166,'OP_PayHouseUpkeepMsg',162,1),
(22636,63137,63166,'OP_PerformCameraShakeMsg',217,1),
(22637,63137,63166,'OP_PerformPlayerKnockbackMsg',216,1),
(22638,63137,63166,'OP_PetOptions',204,1),
(22639,63137,63166,'OP_PetOptionsResponse',585,1),
(22640,63137,63166,'OP_PlayCharacterReplyMsg',21,1),
(22641,63137,63166,'OP_PlayCharacterRequestMsg',20,1),
(22642,63137,63166,'OP_PlayerHouseAccessUpdateMsg',150,1),
(22643,63137,63166,'OP_PlayerHouseBaseScreenMsg',148,1),
(22644,63137,63166,'OP_PlayerHouseCloseUIMsg',152,1),
(22645,63137,63166,'OP_PlayerHouseDisplayStatusMsg',151,1),
(22646,63137,63166,'OP_PlayerHousePurchaseScreenMsg',149,1),
(22647,63137,63166,'OP_PlayerMadeInstances',143,1),
(22648,63137,63166,'OP_PlayerMadeInstancesScreen',142,1),
(22649,63137,63166,'OP_PlayerPollAnswer',563,1),
(22650,63137,63166,'OP_PlayerPollPopup',562,1),
(22651,63137,63166,'OP_PlayLon',516,1),
(22652,63137,63166,'OP_PointOfInterest',765,1),
(22653,63137,63166,'OP_PointOfInterest2',766,1),
(22654,63137,63166,'OP_PopulateSkillMapsMsg',218,1),
(22655,63137,63166,'OP_PositionBoatTransportMsg',255,1),
(22656,63137,63166,'OP_PositionMoveableObject',165,1),
(22657,63137,63166,'OP_PostPossessionMsg',459,1),
(22658,63137,63166,'OP_PredictionUpdateMsg',39,1),
(22659,63137,63166,'OP_PrePossessionMsg',458,1),
(22660,63137,63166,'OP_PromoFlagsDetailsMsg',378,1),
(22661,63137,63166,'OP_PublishHouse',141,1),
(22662,63137,63166,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(22663,63137,63166,'OP_PurchaseConsignmentRequestMsg',131,1),
(22664,63137,63166,'OP_QueAllBgSolo',571,1),
(22665,63137,63166,'OP_QuestionnaireMsg',264,1),
(22666,63137,63166,'OP_QuestJournalInspectMsg',116,1),
(22667,63137,63166,'OP_QuestJournalOpenMsg',115,1),
(22668,63137,63166,'OP_QuestJournalSetVisibleMsg',117,1),
(22669,63137,63166,'OP_QuestJournalWaypointMsg',118,1),
(22670,63137,63166,'OP_QuestReward',324,1),
(22671,63137,63166,'OP_QuickbarInitMsg',260,1),
(22672,63137,63166,'OP_QuickbarUpdateMsg',261,1),
(22673,63137,63166,'OP_RaceRestrictionMsg',444,1),
(22674,63137,63166,'OP_ReadBookPageMsg',199,1),
(22675,63137,63166,'OP_ReadyForTakeOffMsg',195,1),
(22676,63137,63166,'OP_ReadyToZoneMsg',86,1),
(22677,63137,63166,'OP_RecipeBook',544,1),
(22678,63137,63166,'OP_RecipeDetailsMsg',74,1),
(22679,63137,63166,'OP_RecipeList',777,1),
(22680,63137,63166,'OP_RecipeListUnknown',597,1),
(22681,63137,63166,'OP_RelinquishHouseMsg',156,1),
(22682,63137,63166,'OP_ReloadLocalizedTxtMsg',359,1),
(22683,63137,63166,'OP_RemoteCmdMsg',44,1),
(22684,63137,63166,'OP_RemoveClientFromGroupMsg',87,1),
(22685,63137,63166,'OP_RemoveConcentrationMsg',114,1),
(22686,63137,63166,'OP_RemoveGroupFromGroupMsg',88,1),
(22687,63137,63166,'OP_RemoveSpellEffectMsg',113,1),
(22688,63137,63166,'OP_RenameGuildMsg',286,1),
(22689,63137,63166,'OP_ReplaceableSubMeshesMsg',168,1),
(22690,63137,63166,'OP_ReportMsg',384,1),
(22691,63137,63166,'OP_RequestCampMsg',52,1),
(22692,63137,63166,'OP_RequestGuildBankEventDetailsMs',284,1),
(22693,63137,63166,'OP_RequestGuildEventDetailsMsg',275,1),
(22694,63137,63166,'OP_RequestGuildInfoMsg',277,1),
(22695,63137,63166,'OP_RequestGuildMembershipMsg',360,1),
(22696,63137,63166,'OP_RequestHelpRepathMsg',209,1),
(22697,63137,63166,'OP_RequestRecipeDetailsMsg',73,1),
(22698,63137,63166,'OP_RequestTargetLocMsg',210,1),
(22699,63137,63166,'OP_Research',778,1),
(22700,63137,63166,'OP_ResendWorldChannelsMsg',448,1),
(22701,63137,63166,'OP_ReskinCharacterRequestMsg',15,1),
(22702,63137,63166,'OP_RestartZoneMsg',417,1),
(22703,63137,63166,'OP_RewardPackMsg',285,1),
(22704,63137,63166,'OP_SatMsg',192,1),
(22705,63137,63166,'OP_SavageBarInitMsg',584,1),
(22706,63137,63166,'OP_SelectZoneTeleporterDestinatio',358,1),
(22707,63137,63166,'OP_SendLatestRequestMsg',99,1),
(22708,63137,63166,'OP_ServerPlayCharacterReplyMsg',26,1),
(22709,63137,63166,'OP_ServerPlayCharacterRequestMsg',25,1),
(22710,63137,63166,'OP_SetInstanceDisplayNameMsg',445,1),
(22711,63137,63166,'OP_SetRemoteCmdsMsg',43,1),
(22712,63137,63166,'OP_SetSocialMsg',101,1),
(22713,63137,63166,'OP_ShaderCustomizationMsg',167,1),
(22714,63137,63166,'OP_ShowCreateFromRecipeUIMsg',222,1),
(22715,63137,63166,'OP_ShowIllusionsMsg',196,1),
(22716,63137,63166,'OP_ShowItemCreationProcessUIMsg',226,1),
(22717,63137,63166,'OP_ShowRecipeBookMsg',229,1),
(22718,63137,63166,'OP_ShowZoneTeleporterDestinations',357,1),
(22719,63137,63166,'OP_SitMsg',190,1),
(22720,63137,63166,'OP_SkillInfoRequest',518,1),
(22721,63137,63166,'OP_SkillInfoResponse',519,1),
(22722,63137,63166,'OP_SOEAllAccess',640,1),
(22723,63137,63166,'OP_SpellGainedMsg',266,1),
(22724,63137,63166,'OP_StandMsg',191,1),
(22725,63137,63166,'OP_StoodMsg',193,1),
(22726,63137,63166,'OP_StopItemCreationMsg',225,1),
(22727,63137,63166,'OP_StoppedLootingMsg',189,1),
(22728,63137,63166,'OP_StopTrackingMsg',395,1),
(22729,63137,63166,'OP_SubmitCharCust',569,1),
(22730,63137,63166,'OP_SupplyDepot',775,1),
(22731,63137,63166,'OP_SysClient',221,1),
(22732,63137,63166,'OP_TeleportWithinZoneMsg',81,1),
(22733,63137,63166,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(22734,63137,63166,'OP_TintWidgetsMsg',173,1),
(22735,63137,63166,'OP_TitleUpdateMsg',388,1),
(22736,63137,63166,'OP_TrackingUpdateMsg',393,1),
(22737,63137,63166,'OP_TradeskillList',744,1),
(22738,63137,63166,'OP_TraitsList',767,1),
(22739,63137,63166,'OP_UIEvent',531,1),
(22740,63137,63166,'OP_UIResetMsg',177,1),
(22741,63137,63166,'OP_UISettingsResponseMsg',176,1),
(22742,63137,63166,'OP_Unknown',801,1),
(22743,63137,63166,'OP_UnknownNpcMsg',377,1),
(22744,63137,63166,'OP_UpdateActivePublicZonesMsg',376,1),
(22745,63137,63166,'OP_UpdateCharacterSheetMsg',65,1),
(22746,63137,63166,'OP_UpdateClientPredFlagsMsg',249,1),
(22747,63137,63166,'OP_UpdateDebugRadiiMsg',383,1),
(22748,63137,63166,'OP_UpdateGroupMemberDataMsg',392,1),
(22749,63137,63166,'OP_UpdateHouseAccessDataMsg',147,1),
(22750,63137,63166,'OP_UpdateHouseDataMsg',146,1),
(22751,63137,63166,'OP_UpdateInventoryMsg',70,1),
(22752,63137,63166,'OP_UpdateItemCreationProcessUIMsg',227,1),
(22753,63137,63166,'OP_UpdateMotdMsg',211,1),
(22754,63137,63166,'OP_UpdateOpportunityMsg',77,1),
(22755,63137,63166,'OP_UpdatePositionMsg',41,1),
(22756,63137,63166,'OP_UpdateRaidMsg',385,1),
(22757,63137,63166,'OP_UpdateRecipeBookMsg',72,1),
(22758,63137,63166,'OP_UpdateSkillBookMsg',75,1),
(22759,63137,63166,'OP_UpdateSkillsMsg',76,1),
(22760,63137,63166,'OP_UpdateSpellBookMsg',68,1),
(22761,63137,63166,'OP_UpdateTargetLocMsg',64,1),
(22762,63137,63166,'OP_UpdateTargetMsg',63,1),
(22763,63137,63166,'OP_UpdateTitleCmd',499,1),
(22764,63137,63166,'OP_UseAdornment',755,1),
(22765,63137,63166,'OP_VideoUploaded',583,1),
(22766,63137,63166,'OP_VoiceChatChannel',524,1),
(22767,63137,63166,'OP_VoiceChatServer',771,1),
(22768,63137,63166,'OP_WaypointReplyMsg',353,1),
(22769,63137,63166,'OP_WaypointRequestMsg',352,1),
(22770,63137,63166,'OP_WaypointSelectMsg',354,1),
(22771,63137,63166,'OP_WaypointUpdateMsg',355,1),
(22772,63137,63166,'OP_Weakness',587,1),
(22773,63137,63166,'OP_WhoQueryReplyMsg',56,1),
(22774,63137,63166,'OP_WhoQueryRequestMsg',55,1),
(22775,63137,63166,'OP_WorldDataChangeMsg',415,1),
(22776,63137,63166,'OP_WorldDataUpdateMsg',240,1),
(22777,63137,63166,'OP_WorldListMsg',8,1),
(22778,63137,63166,'OP_WorldPingMsg',404,1),
(22779,63137,63166,'OP_WorldShutdownUpdateMsg',408,1),
(22780,63137,63166,'OP_WorldStatusChangeMsg',6,1),
(22781,63137,63166,'OP_WorldTravelAvail',576,1),
(22782,63137,63166,'OP_WSAcctLockStatusMsg',208,1),
(22783,63137,63166,'OP_WSCreateCharacterReplyMsg',14,1),
(22784,63137,63166,'OP_WSCreateCharacterRequestMsg',13,1),
(22785,63137,63166,'OP_WSLoginRequestMsg',2,1),
(22786,63137,63166,'OP_WSServerHideMsg',370,1),
(22787,63137,63166,'OP_WSServerLockMsg',368,1),
(22788,63137,63166,'OP_WSStatusReplyMsg',5,1),
(22789,63137,63166,'OP_ZoneBgInstanceList',572,1),
(22790,63137,63166,'OP_ZoneInfoMsg',35,1),
(22791,63137,63166,'OP_ZoneInstanceCreateReplyMsg',32,1),
(22792,63137,63166,'OP_ZoneInstanceDestroyedMsg',33,1),
(22793,63137,63166,'OP_ZoneMOTDMsg',47,1),
(22794,63137,63166,'OP_ZonesStatusMsg',105,1),
(22795,63137,63166,'OP_ZonesStatusRequestMsg',104,1),
(22796,63137,63166,'OP_ZoneToFriendReplyMsg',288,1),
(22797,63137,63166,'OP_ZoneToFriendRequestMsg',287,1),
(23261,63167,63212,'OP_AchievementUpdateMsg',777,1),
(23262,63167,63212,'OP_AddSocialStructureStandingMsg',253,1),
(23263,63167,63212,'OP_AdvancementRequestMsg',398,1),
(23264,63167,63212,'OP_AdventureList',493,1),
(23265,63167,63212,'OP_AFKUpdateMsg',374,1),
(23266,63167,63212,'OP_AfterInvSpellUpdate',71,1),
(23267,63167,63212,'OP_AllCharactersDescReplyMsg',10,1),
(23268,63167,63212,'OP_AllCharactersDescRequestMsg',9,1),
(23269,63167,63212,'OP_AllWSDescRequestMsg',7,1),
(23270,63167,63212,'OP_AnonUpdateMsg',375,1),
(23271,63167,63212,'OP_ArenaCreate',461,1),
(23272,63167,63212,'OP_ArenaGameTypesMsg',450,1),
(23273,63167,63212,'OP_ArenaList',462,1),
(23274,63167,63212,'OP_ArenaWindow',470,1),
(23275,63167,63212,'OP_AttackAllowed',505,1),
(23276,63167,63212,'OP_AttackNotAllowed',506,1),
(23277,63167,63212,'OP_AuctionAbortMsg',441,1),
(23278,63167,63212,'OP_AuctionCharacter',438,1),
(23279,63167,63212,'OP_AuctionCharacterReply',439,1),
(23280,63167,63212,'OP_AuctionCoin',436,1),
(23281,63167,63212,'OP_AuctionCoinReply',437,1),
(23282,63167,63212,'OP_AuctionCommitMsg',440,1),
(23283,63167,63212,'OP_AuctionItem',434,1),
(23284,63167,63212,'OP_AuctionItemReply',435,1),
(23285,63167,63212,'OP_AuditAuctionEventMsg',451,1),
(23286,63167,63212,'OP_AvatarCreatedMsg',48,1),
(23287,63167,63212,'OP_AvatarDestroyedMsg',49,1),
(23288,63167,63212,'OP_AvatarUpdateMsg',364,1),
(23289,63167,63212,'OP_BadLanguageFilter',523,1),
(23290,63167,63212,'OP_BagOptions',507,1),
(23291,63167,63212,'OP_BeginItemCreationMsg',224,1),
(23292,63167,63212,'OP_BeginTrackingMsg',394,1),
(23293,63167,63212,'OP_BioUpdateMsg',366,1),
(23294,63167,63212,'OP_BrokerAddBag',296,1),
(23295,63167,63212,'OP_BrokerRemoveBag',297,1),
(23296,63167,63212,'OP_BrokerSellList',720,1),
(23297,63167,63212,'OP_BuyPlayerHouseMsg',153,1),
(23298,63167,63212,'OP_BuyPlayerHouseTintMsg',154,1),
(23299,63167,63212,'OP_CampAbortedMsg',54,1),
(23300,63167,63212,'OP_CampClientMsg',391,1),
(23301,63167,63212,'OP_CampStartedMsg',53,1),
(23302,63167,63212,'OP_CancelCreateFromRecipeMsg',223,1),
(23303,63167,63212,'OP_CancelledFeignMsg',219,1),
(23304,63167,63212,'OP_CancelMoveObjectModeMsg',166,1),
(23305,63167,63212,'OP_CancelSpellCast',494,1),
(23306,63167,63212,'OP_ChangeServerControlFlagMsg',250,1),
(23307,63167,63212,'OP_ChangeZoneMsg',79,1),
(23308,63167,63212,'OP_CharacterAchievements',776,1),
(23309,63167,63212,'OP_CharacterCreatedDungeons',557,1),
(23310,63167,63212,'OP_CharacterCurrency',775,1),
(23311,63167,63212,'OP_CharacterHousingList',512,1),
(23312,63167,63212,'OP_CharacterLinkdeadMsg',419,1),
(23313,63167,63212,'OP_CharacterMerc',67,1),
(23314,63167,63212,'OP_CharacterMounts',588,1),
(23315,63167,63212,'OP_CharacterPet',66,1),
(23316,63167,63212,'OP_CharNameChangedMsg',356,1),
(23317,63167,63212,'OP_CharRenamed',741,1),
(23318,63167,63212,'OP_CharTransferCommitReplyMsg',427,1),
(23319,63167,63212,'OP_CharTransferCommitRequestMsg',425,1),
(23320,63167,63212,'OP_CharTransferReplyMsg',423,1),
(23321,63167,63212,'OP_CharTransferRequestMsg',422,1),
(23322,63167,63212,'OP_CharTransferRollbackReplyMsg',426,1),
(23323,63167,63212,'OP_CharTransferRollbackRequestMsg',424,1),
(23324,63167,63212,'OP_CharTransferStartReplyMsg',421,1),
(23325,63167,63212,'OP_CharTransferStartRequestMsg',420,1),
(23326,63167,63212,'OP_CharTransferValidateReplyMsg',443,1),
(23327,63167,63212,'OP_CharTransferValidateRequestMsg',442,1),
(23328,63167,63212,'OP_ChatCreateChannelMsg',289,1),
(23329,63167,63212,'OP_ChatFiltersMsg',338,1),
(23330,63167,63212,'OP_ChatJoinChannelMsg',290,1),
(23331,63167,63212,'OP_ChatLeaveChannelMsg',292,1),
(23332,63167,63212,'OP_ChatRelationshipUpdateMsg',187,1),
(23333,63167,63212,'OP_ChatSendFriendsMsg',299,1),
(23334,63167,63212,'OP_ChatSendIgnoresMsg',300,1),
(23335,63167,63212,'OP_ChatTellChannelMsg',293,1),
(23336,63167,63212,'OP_ChatTellUserMsg',294,1),
(23337,63167,63212,'OP_ChatToggleFriendMsg',295,1),
(23338,63167,63212,'OP_ChatToggleIgnoreMsg',298,1),
(23339,63167,63212,'OP_ChatWhoChannelMsg',291,1),
(23340,63167,63212,'OP_ClearDataMsg',100,1),
(23341,63167,63212,'OP_ClearForLandingMsg',496,1),
(23342,63167,63212,'OP_ClearForTakeOffMsg',194,1),
(23343,63167,63212,'OP_ClientCmdMsg',60,1),
(23344,63167,63212,'OP_ClientFellMsg',389,1),
(23345,63167,63212,'OP_ClientIdleBeginMsg',410,1),
(23346,63167,63212,'OP_ClientIdleEndMsg',411,1),
(23347,63167,63212,'OP_ClientInDeathRegionMsg',390,1),
(23348,63167,63212,'OP_ClientTeleportRequestMsg',80,1),
(23349,63167,63212,'OP_ClientTeleportToLocationMsg',248,1),
(23350,63167,63212,'OP_CloseGroupInviteWindowMsg',401,1),
(23351,63167,63212,'OP_CollectAllHouseItemsMsg',155,1),
(23352,63167,63212,'OP_ConsignItemRequestMsg',129,1),
(23353,63167,63212,'OP_ConsignItemResponseMsg',130,1),
(23354,63167,63212,'OP_ConsignmentCloseStoreMsg',128,1),
(23355,63167,63212,'OP_ConsignRemoveItemsMsg',382,1),
(23356,63167,63212,'OP_ConsignViewCreateMsg',379,1),
(23357,63167,63212,'OP_ConsignViewGetPageMsg',380,1),
(23358,63167,63212,'OP_ConsignViewReleaseMsg',381,1),
(23359,63167,63212,'OP_ConsignViewSortMsg',387,1),
(23360,63167,63212,'OP_CorruptedClientMsg',414,1),
(23361,63167,63212,'OP_CreateBoatTransportsMsg',254,1),
(23362,63167,63212,'OP_CreateCharacterDungeon',551,1),
(23363,63167,63212,'OP_CreateCharacterReplyMsg',12,1),
(23364,63167,63212,'OP_CreateCharacterRequestMsg',11,1),
(23365,63167,63212,'OP_CreateCharFromCBBReplyMsg',431,1),
(23366,63167,63212,'OP_CreateCharFromCBBRequestMsg',430,1),
(23367,63167,63212,'OP_CreateGuildReplyMsg',123,1),
(23368,63167,63212,'OP_CreateGuildRequestMsg',121,1),
(23369,63167,63212,'OP_CreateZoneInstanceMsg',31,1),
(23370,63167,63212,'OP_CsCategoryRequestMsg',371,1),
(23371,63167,63212,'OP_CsCategoryResponseMsg',372,1),
(23372,63167,63212,'OP_CSTicketAddCommentMsg',237,1),
(23373,63167,63212,'OP_CSTicketChangeNotificationMsg',239,1),
(23374,63167,63212,'OP_CSTicketCommentRequestMsg',234,1),
(23375,63167,63212,'OP_CSTicketCommentResponseMsg',235,1),
(23376,63167,63212,'OP_CSTicketCreateMsg',236,1),
(23377,63167,63212,'OP_CSTicketDeleteMsg',238,1),
(23378,63167,63212,'OP_CSTicketHeaderRequestMsg',232,1),
(23379,63167,63212,'OP_CSTicketInfoMsg',233,1),
(23380,63167,63212,'OP_CSToolAccessResponseMsg',392,1),
(23381,63167,63212,'OP_CSToolsRequestMsg',251,1),
(23382,63167,63212,'OP_CSToolsResponseMsg',252,1),
(23383,63167,63212,'OP_CurrentPet',490,1),
(23384,63167,63212,'OP_CustomizationPurchaseRequestMs',170,1),
(23385,63167,63212,'OP_CustomizationReplyMsg',172,1),
(23386,63167,63212,'OP_CustomizationSetRequestMsg',171,1),
(23387,63167,63212,'OP_CustomizeHouseDisplay',766,1),
(23388,63167,63212,'OP_DailyObjectives',601,1),
(23389,63167,63212,'OP_DefaultGroupOptionsMsg',201,1),
(23390,63167,63212,'OP_DefaultGroupOptionsRequestMsg',200,1),
(23391,63167,63212,'OP_DeityAbilityWindow',621,1),
(23392,63167,63212,'OP_DeleteCharacterReplyMsg',19,1),
(23393,63167,63212,'OP_DeleteCharacterRequestMsg',18,1),
(23394,63167,63212,'OP_DeleteGuildMsg',126,1),
(23395,63167,63212,'OP_DestUpdateReq',213,1),
(23396,63167,63212,'OP_DialogCloseMsg',112,1),
(23397,63167,63212,'OP_DialogSelectMsg',111,1),
(23398,63167,63212,'OP_DispatchClientCmdMsg',62,1),
(23399,63167,63212,'OP_DispatchESMsg',61,1),
(23400,63167,63212,'OP_DispatchMsg',456,1),
(23401,63167,63212,'OP_DispatchSpellCmdMsg',182,1),
(23402,63167,63212,'OP_DisplayDebugNLLPointsMsg',258,1),
(23403,63167,63212,'OP_DisplayEventMsg',457,1),
(23404,63167,63212,'OP_DisplayExchangeScreenMsg',449,1),
(23405,63167,63212,'OP_DisplayGroupOptionsScreenMsg',203,1),
(23406,63167,63212,'OP_DisplayInnVisitScreenMsg',205,1),
(23407,63167,63212,'OP_DisplayMailScreenMsg',409,1),
(23408,63167,63212,'OP_DisplayTSEventReactionMsg',228,1),
(23409,63167,63212,'OP_DisplayWarningMsg',269,1),
(23410,63167,63212,'OP_DoneLoadingEntityResourcesMsg',38,1),
(23411,63167,63212,'OP_DoneLoadingZoneResourcesMsg',36,1),
(23412,63167,63212,'OP_DoneSendingInitialEntitiesMsg',37,1),
(23413,63167,63212,'OP_DressingRoom',515,1),
(23414,63167,63212,'OP_DumpSchedulerMsg',206,1),
(23415,63167,63212,'OP_DungeonMakerEnter',552,1),
(23416,63167,63212,'OP_DungeonMakerItemRequest',556,1),
(23417,63167,63212,'OP_DungeonMakerItemResponse',586,1),
(23418,63167,63212,'OP_DungeonMakerToolboxList',558,1),
(23419,63167,63212,'OP_DungeonMakerUnknown',559,1),
(23420,63167,63212,'OP_DungeonMakerUnknown1',560,1),
(23421,63167,63212,'OP_DungeonPlayAsAvatarList',780,1),
(23422,63167,63212,'OP_DungeonPlayAsAvatarSelected',781,1),
(23423,63167,63212,'OP_EarlyLandingRequestMsg',491,1),
(23424,63167,63212,'OP_EncounterBrokenMsg',267,1),
(23425,63167,63212,'OP_EnterHouseMsg',157,1),
(23426,63167,63212,'OP_EnterMoveObjectModeMsg',164,1),
(23427,63167,63212,'OP_EntityVerbsReplyMsg',184,1),
(23428,63167,63212,'OP_EntityVerbsRequestMsg',183,1),
(23429,63167,63212,'OP_EntityVerbsVerbMsg',185,1),
(23430,63167,63212,'OP_EqArenaResultsCmd',731,1),
(23431,63167,63212,'OP_EqAvailWorldChannelsCmd',718,1),
(23432,63167,63212,'OP_EqBetaCopyRequest',639,1),
(23433,63167,63212,'OP_EqCannedEmoteCmd',660,1),
(23434,63167,63212,'OP_EqChatChannelUpdateCmd',716,1),
(23435,63167,63212,'OP_EqChoiceWinCmd',697,1),
(23436,63167,63212,'OP_EqCloseWindowCmd',689,1),
(23437,63167,63212,'OP_EqCollectionFilterCmd',676,1),
(23438,63167,63212,'OP_EqCollectionItemCmd',677,1),
(23439,63167,63212,'OP_EqCollectionUpdateCmd',675,1),
(23440,63167,63212,'OP_EqConsignmentItemsCmd',721,1),
(23441,63167,63212,'OP_EqCreateGhostCmd',642,1),
(23442,63167,63212,'OP_EqCreateListBoxCmd',657,1),
(23443,63167,63212,'OP_EqCreateSignWidgetCmd',644,1),
(23444,63167,63212,'OP_EqCreateWidgetCmd',643,1),
(23445,63167,63212,'OP_EqDebugPVDCmd',710,1),
(23446,63167,63212,'OP_EqDestroyGhostCmd',645,1),
(23447,63167,63212,'OP_EqDialogCloseCmd',673,1),
(23448,63167,63212,'OP_EqDialogOpenCmd',672,1),
(23449,63167,63212,'OP_EqDisplaySpellFailCmd',693,1),
(23450,63167,63212,'OP_EqDisplayTextCmd',641,1),
(23451,63167,63212,'OP_EqDrawablePathGraphCmd',671,1),
(23452,63167,63212,'OP_EqEnableGameEventCmd',703,1),
(23453,63167,63212,'OP_EqEnableWindowCmd',705,1),
(23454,63167,63212,'OP_EqExamineInfoCmd',688,1),
(23455,63167,63212,'OP_EqFactionUpdateCmd',674,1),
(23456,63167,63212,'OP_EqFlashWindowCmd',706,1),
(23457,63167,63212,'OP_EqGetProbsCmd',714,1),
(23458,63167,63212,'OP_EqGroupMemberRemovedCmd',667,1),
(23459,63167,63212,'OP_EqGuildBankEventActionCmd',732,1),
(23460,63167,63212,'OP_EqGuildBankExamineInfoCmd',733,1),
(23461,63167,63212,'OP_EqHearChainEffectCmd',668,1),
(23462,63167,63212,'OP_EqHearChatCmd',640,1),
(23463,63167,63212,'OP_EqHearCombatCmd',649,1),
(23464,63167,63212,'OP_EqHearConsiderCmd',655,1),
(23465,63167,63212,'OP_EqHearDeathCmd',666,1),
(23466,63167,63212,'OP_EQHearDispellCmd',778,1),
(23467,63167,63212,'OP_EqHearDrowningCmd',665,1),
(23468,63167,63212,'OP_EqHearHealCmd',715,1),
(23469,63167,63212,'OP_EqHearPlayFlavorCmd',708,1),
(23470,63167,63212,'OP_EQHearProcCmd',651,1),
(23471,63167,63212,'OP_EQHearResEffectCmd',652,1),
(23472,63167,63212,'OP_EqHearSpellCastCmd',650,1),
(23473,63167,63212,'OP_EqHearSpellFizzleCmd',654,1),
(23474,63167,63212,'OP_EqHearSpellInterruptCmd',653,1),
(23475,63167,63212,'OP_EqHearSpellNoLandCmd',734,1),
(23476,63167,63212,'OP_EQHearThreatCmd',772,1),
(23477,63167,63212,'OP_EqHelpPathClearCmd',686,1),
(23478,63167,63212,'OP_EqHelpPathCmd',685,1),
(23479,63167,63212,'OP_EqInspectPCResultsCmd',670,1),
(23480,63167,63212,'OP_EqInstructionWindowCloseCmd',700,1),
(23481,63167,63212,'OP_EqInstructionWindowCmd',699,1),
(23482,63167,63212,'OP_EqInstructionWindowGoalCmd',701,1),
(23483,63167,63212,'OP_EqInstructionWindowTaskCmd',702,1),
(23484,63167,63212,'OP_EqJunctionListCmd',691,1),
(23485,63167,63212,'OP_EqMapExplorationCmd',724,1),
(23486,63167,63212,'OP_EqMentoring',679,1),
(23487,63167,63212,'OP_EqPlaySound3DCmd',663,1),
(23488,63167,63212,'OP_EqPlaySoundCmd',662,1),
(23489,63167,63212,'OP_EqPlayVoiceCmd',664,1),
(23490,63167,63212,'OP_EqQuestGroupCmd',681,1),
(23491,63167,63212,'OP_EqQuestionnaireCmd',712,1),
(23492,63167,63212,'OP_EqQuestJournalReplyCmd',680,1),
(23493,63167,63212,'OP_EqQuestJournalUpdateCmd',678,1),
(23494,63167,63212,'OP_EqReceiveOfferCmd',669,1),
(23495,63167,63212,'OP_EqResurrectedCmd',696,1),
(23496,63167,63212,'OP_EqSetControlGhostCmd',647,1),
(23497,63167,63212,'OP_EqSetDebugPathPointsCmd',658,1),
(23498,63167,63212,'OP_EqSetDefaultVerbCmd',698,1),
(23499,63167,63212,'OP_EqSetPOVGhostCmd',648,1),
(23500,63167,63212,'OP_EqShowBookCmd',711,1),
(23501,63167,63212,'OP_EqShowDeathWindowCmd',692,1),
(23502,63167,63212,'OP_EqShowWindowCmd',704,1),
(23503,63167,63212,'OP_EqSpellCastEndCmd',695,1),
(23504,63167,63212,'OP_EqSpellCastStartCmd',694,1),
(23505,63167,63212,'OP_EqSpellMoveToRangeAndRetryCmd',726,1),
(23506,63167,63212,'OP_EqStartBrokerCmd',723,1),
(23507,63167,63212,'OP_EqStateCmd',661,1),
(23508,63167,63212,'OP_EqStoreLogCmd',725,1),
(23509,63167,63212,'OP_EqUpdateBankCmd',687,1),
(23510,63167,63212,'OP_EqUpdateGhostCmd',646,1),
(23511,63167,63212,'OP_EqUpdateLootCmd',690,1),
(23512,63167,63212,'OP_EqUpdateMerchantCmd',682,1),
(23513,63167,63212,'OP_EqUpdatePlayerMailCmd',727,1),
(23514,63167,63212,'OP_EqUpdatePlayerTradeCmd',684,1),
(23515,63167,63212,'OP_EqUpdateSignWidgetCmd',709,1),
(23516,63167,63212,'OP_EqUpdateStoreCmd',683,1),
(23517,63167,63212,'OP_EqUpdateSubClassesCmd',656,1),
(23518,63167,63212,'OP_EqUpdateTargetCmd',719,1),
(23519,63167,63212,'OP_EqWhoChannelQueryReplyCmd',717,1),
(23520,63167,63212,'OP_ESInitMsg',27,1),
(23521,63167,63212,'OP_ESLoginRequestMsg',3,1),
(23522,63167,63212,'OP_ESReadyForClientsMsg',28,1),
(23523,63167,63212,'OP_ESStatusMsg',102,1),
(23524,63167,63212,'OP_ESWeatherRequestEndMsg',107,1),
(23525,63167,63212,'OP_ESWeatherRequestMsg',106,1),
(23526,63167,63212,'OP_ESZoneInstanceStatusMsg',103,1),
(23527,63167,63212,'OP_ExamineConsignmentRequestMsg',174,1),
(23528,63167,63212,'OP_ExamineConsignmentResponseMsg',175,1),
(23529,63167,63212,'OP_ExamineInfoRequestMsg',259,1),
(23530,63167,63212,'OP_ExamineItemRequestMsg',198,1),
(23531,63167,63212,'OP_ExitHouseMsg',158,1),
(23532,63167,63212,'OP_ExpectClientAsCharacterReplyMs',24,1),
(23533,63167,63212,'OP_ExpectClientAsCharacterRequest',34,1),
(23534,63167,63212,'OP_ExpPurchWindow',757,1),
(23535,63167,63212,'OP_FellowshipExpMsg',125,1),
(23536,63167,63212,'OP_FlightPathsMsg',418,1),
(23537,63167,63212,'OP_GameWorldTimeMsg',45,1),
(23538,63167,63212,'OP_GetAuctionAssetIDMsg',446,1),
(23539,63167,63212,'OP_GetAuctionAssetIDReplyMsg',447,1),
(23540,63167,63212,'OP_GetAvatarAccessRequestForCSToo',397,1),
(23541,63167,63212,'OP_GetCharacterSerializedReplyMsg',429,1),
(23542,63167,63212,'OP_GetCharacterSerializedRequestM',428,1),
(23543,63167,63212,'OP_GroupCreatedMsg',90,1),
(23544,63167,63212,'OP_GroupDestroyedMsg',91,1),
(23545,63167,63212,'OP_GroupLeaderChangedMsg',95,1),
(23546,63167,63212,'OP_GroupMemberAddedMsg',92,1),
(23547,63167,63212,'OP_GroupMemberRemovedMsg',93,1),
(23548,63167,63212,'OP_GroupOptionsMsg',202,1),
(23549,63167,63212,'OP_GroupRemovedFromGroupMsg',94,1),
(23550,63167,63212,'OP_GroupResendOOZDataMsg',96,1),
(23551,63167,63212,'OP_GroupSettingsChangedMsg',97,1),
(23552,63167,63212,'OP_GuildBankActionMsg',278,1),
(23553,63167,63212,'OP_GuildBankActionResponseMsg',279,1),
(23554,63167,63212,'OP_GuildBankEventListMsg',283,1),
(23555,63167,63212,'OP_GuildBankItemDetailsRequestMsg',280,1),
(23556,63167,63212,'OP_GuildBankItemDetailsResponseMs',281,1),
(23557,63167,63212,'OP_GuildBankUpdateMsg',282,1),
(23558,63167,63212,'OP_GuildEventActionMsg',273,1),
(23559,63167,63212,'OP_GuildEventAddMsg',272,1),
(23560,63167,63212,'OP_GuildEventDetailsMsg',276,1),
(23561,63167,63212,'OP_GuildEventListMsg',274,1),
(23562,63167,63212,'OP_GuildEventMsg',271,1),
(23563,63167,63212,'OP_GuildMembershipResponseMsg',361,1),
(23564,63167,63212,'OP_GuildRecruiting',737,1),
(23565,63167,63212,'OP_GuildRecruitingDetails',738,1),
(23566,63167,63212,'OP_GuildRecruitingImage',739,1),
(23567,63167,63212,'OP_GuildRecruitingMemberInfo',736,1),
(23568,63167,63212,'OP_GuildsayMsg',124,1),
(23569,63167,63212,'OP_GuildStatusUpdate',730,1),
(23570,63167,63212,'OP_GuildUpdateMsg',127,1),
(23571,63167,63212,'OP_HeritageMsg',10023,1),
(23572,63167,63212,'OP_HideIllusionsMsg',197,1),
(23573,63167,63212,'OP_HouseAccessRemoveMsg',161,1),
(23574,63167,63212,'OP_HouseAccessSetMsg',160,1),
(23575,63167,63212,'OP_HouseCustomizationScreenMsg',169,1),
(23576,63167,63212,'OP_HouseDefaultAccessSetMsg',159,1),
(23577,63167,63212,'OP_HouseDeletedRemotelyMsg',145,1),
(23578,63167,63212,'OP_HouseItemsList',489,1),
(23579,63167,63212,'OP_HousingDataChangedMsg',432,1),
(23580,63167,63212,'OP_HousingRestoreMsg',433,1),
(23581,63167,63212,'OP_InspectPlayerMsg',367,1),
(23582,63167,63212,'OP_InspectPlayerRequestMsg',455,1),
(23583,63167,63212,'OP_InviteRequestMsg',452,1),
(23584,63167,63212,'OP_InviteResponseMsg',453,1),
(23585,63167,63212,'OP_InviteTargetResponseMsg',454,1),
(23586,63167,63212,'OP_JoinGuildNotifyMsg',363,1),
(23587,63167,63212,'OP_JournalQuestStoryline',779,1),
(23588,63167,63212,'OP_KeymapDataMsg',180,1),
(23589,63167,63212,'OP_KeymapLoadMsg',178,1),
(23590,63167,63212,'OP_KeymapNoneMsg',179,1),
(23591,63167,63212,'OP_KeymapSaveMsg',181,1),
(23592,63167,63212,'OP_KnowledgebaseRequestMsg',230,1),
(23593,63167,63212,'OP_KnowledgebaseResponseMsg',231,1),
(23594,63167,63212,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(23595,63167,63212,'OP_KnownLanguagesMsg',242,1),
(23596,63167,63212,'OP_Launchpad',579,1),
(23597,63167,63212,'OP_LeaveGuildNotifyMsg',362,1),
(23598,63167,63212,'OP_LevelChangedMsg',265,1),
(23599,63167,63212,'OP_LFGGroupSearch',509,1),
(23600,63167,63212,'OP_LFGUpdateMsg',522,1),
(23601,63167,63212,'OP_LikeOption',139,1),
(23602,63167,63212,'OP_LoadCalendarEvents',582,1),
(23603,63167,63212,'OP_LoadWelcomeWindow',566,1),
(23604,63167,63212,'OP_LoginByNumRequestMsg',1,1),
(23605,63167,63212,'OP_LoginReplyMsg',4,1),
(23606,63167,63212,'OP_LoginRequestMsg',0,1),
(23607,63167,63212,'OP_LootItemsRequestMsg',188,1),
(23608,63167,63212,'OP_Lottery',735,1),
(23609,63167,63212,'OP_LSCheckAcctLockMsg',207,1),
(23610,63167,63212,'OP_LsClientAlertlogReplyMsg',246,1),
(23611,63167,63212,'OP_LsClientBaselogReplyMsg',244,1),
(23612,63167,63212,'OP_LsClientCrashlogReplyMsg',245,1),
(23613,63167,63212,'OP_LsClientVerifylogReplyMsg',247,1),
(23614,63167,63212,'OP_LsRequestClientCrashLogMsg',243,1),
(23615,63167,63212,'OP_LSServerLockMsg',369,1),
(23616,63167,63212,'OP_MacroInitMsg',262,1),
(23617,63167,63212,'OP_MacroUpdateMsg',263,1),
(23618,63167,63212,'OP_MailCommitSendMessageMsg',348,1),
(23619,63167,63212,'OP_MailDeleteMessageMsg',344,1),
(23620,63167,63212,'OP_MailEventNotificationMsg',416,1),
(23621,63167,63212,'OP_MailGetHeadersReplyMsg',345,1),
(23622,63167,63212,'OP_MailGetMessageMsg',342,1),
(23623,63167,63212,'OP_MailGetMessageReplyMsg',346,1),
(23624,63167,63212,'OP_MailRemoveAttachFromMailMsg',350,1),
(23625,63167,63212,'OP_MailSendMessageMsg',343,1),
(23626,63167,63212,'OP_MailSendMessageReplyMsg',347,1),
(23627,63167,63212,'OP_MailSendSystemMessageMsg',349,1),
(23628,63167,63212,'OP_MakeGroupLeaderMsg',89,1),
(23629,63167,63212,'OP_MapFogDataInitMsg',399,1),
(23630,63167,63212,'OP_MapFogDataUpdateMsg',400,1),
(23631,63167,63212,'OP_MapRequest',525,1),
(23632,63167,63212,'OP_MarketAddFundsReply',533,1),
(23633,63167,63212,'OP_MarketAddFundsRequest',532,1),
(23634,63167,63212,'OP_MarketFundsUpdate',530,1),
(23635,63167,63212,'OP_MarketPlaceItems',543,1),
(23636,63167,63212,'OP_MarketPlacePrices',536,1),
(23637,63167,63212,'OP_MarketPurchase',535,1),
(23638,63167,63212,'OP_MentorPopup',564,1),
(23639,63167,63212,'OP_MercHireWindow',783,1),
(23640,63167,63212,'OP_MercUnknown',784,1),
(23641,63167,63212,'OP_MigrateBoatTransportMsg',256,1),
(23642,63167,63212,'OP_MigrateBoatTransportReplyMsg',257,1),
(23643,63167,63212,'OP_MigrateClientToZoneReplyMsg',84,1),
(23644,63167,63212,'OP_MigrateClientToZoneRequestMsg',83,1),
(23645,63167,63212,'OP_ModifyGuildMsg',270,1),
(23646,63167,63212,'OP_MonitorCharacterListMsg',58,1),
(23647,63167,63212,'OP_MonitorCharacterListRequestMsg',59,1),
(23648,63167,63212,'OP_MonitorReplyMsg',57,1),
(23649,63167,63212,'OP_MOTDMsg',46,1),
(23650,63167,63212,'OP_MoveableObjectPlacementCriteri',163,1),
(23651,63167,63212,'OP_MoveLogUpdateMsg',405,1),
(23652,63167,63212,'OP_NotifyApprenticeStoppedMentori',413,1),
(23653,63167,63212,'OP_OfferQuestMsg',406,1),
(23654,63167,63212,'OP_OnscreenMsgMsg',268,1),
(23655,63167,63212,'OP_OpenCharCust',568,1),
(23656,63167,63212,'OP_OutOfZoneMemberDataMsg',98,1),
(23657,63167,63212,'OP_PaperdollImage',581,1),
(23658,63167,63212,'OP_PayHouseUpkeepMsg',162,1),
(23659,63167,63212,'OP_PerformCameraShakeMsg',217,1),
(23660,63167,63212,'OP_PerformPlayerKnockbackMsg',216,1),
(23661,63167,63212,'OP_PetOptions',204,1),
(23662,63167,63212,'OP_PetOptionsResponse',585,1),
(23663,63167,63212,'OP_PlayCharacterReplyMsg',21,1),
(23664,63167,63212,'OP_PlayCharacterRequestMsg',20,1),
(23665,63167,63212,'OP_PlayerHouseAccessUpdateMsg',150,1),
(23666,63167,63212,'OP_PlayerHouseBaseScreenMsg',148,1),
(23667,63167,63212,'OP_PlayerHouseCloseUIMsg',152,1),
(23668,63167,63212,'OP_PlayerHouseDisplayStatusMsg',151,1),
(23669,63167,63212,'OP_PlayerHousePurchaseScreenMsg',149,1),
(23670,63167,63212,'OP_PlayerMadeInstances',143,1),
(23671,63167,63212,'OP_PlayerMadeInstancesScreen',142,1),
(23672,63167,63212,'OP_PlayerPollAnswer',563,1),
(23673,63167,63212,'OP_PlayerPollPopup',562,1),
(23674,63167,63212,'OP_PlayLon',516,1),
(23675,63167,63212,'OP_PointOfInterest',761,1),
(23676,63167,63212,'OP_PointOfInterest2',762,1),
(23677,63167,63212,'OP_PopulateSkillMapsMsg',218,1),
(23678,63167,63212,'OP_PositionBoatTransportMsg',255,1),
(23679,63167,63212,'OP_PositionMoveableObject',165,1),
(23680,63167,63212,'OP_PostPossessionMsg',459,1),
(23681,63167,63212,'OP_PredictionUpdateMsg',39,1),
(23682,63167,63212,'OP_PrePossessionMsg',458,1),
(23683,63167,63212,'OP_PromoFlagsDetailsMsg',378,1),
(23684,63167,63212,'OP_PublishHouse',141,1),
(23685,63167,63212,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(23686,63167,63212,'OP_PurchaseConsignmentRequestMsg',131,1),
(23687,63167,63212,'OP_QueAllBgSolo',571,1),
(23688,63167,63212,'OP_QuestionnaireMsg',264,1),
(23689,63167,63212,'OP_QuestJournalInspectMsg',116,1),
(23690,63167,63212,'OP_QuestJournalOpenMsg',115,1),
(23691,63167,63212,'OP_QuestJournalSetVisibleMsg',117,1),
(23692,63167,63212,'OP_QuestJournalWaypointMsg',118,1),
(23693,63167,63212,'OP_QuestReward',324,1),
(23694,63167,63212,'OP_QuickbarInitMsg',260,1),
(23695,63167,63212,'OP_QuickbarUpdateMsg',261,1),
(23696,63167,63212,'OP_RaceRestrictionMsg',444,1),
(23697,63167,63212,'OP_ReadBookPageMsg',199,1),
(23698,63167,63212,'OP_ReadyForTakeOffMsg',195,1),
(23699,63167,63212,'OP_ReadyToZoneMsg',86,1),
(23700,63167,63212,'OP_RecipeBook',544,1),
(23701,63167,63212,'OP_RecipeDetailsMsg',74,1),
(23702,63167,63212,'OP_RecipeList',773,1),
(23703,63167,63212,'OP_RecipeListUnknown',597,1),
(23704,63167,63212,'OP_RelinquishHouseMsg',156,1),
(23705,63167,63212,'OP_ReloadLocalizedTxtMsg',359,1),
(23706,63167,63212,'OP_RemoteCmdMsg',44,1),
(23707,63167,63212,'OP_RemoveClientFromGroupMsg',87,1),
(23708,63167,63212,'OP_RemoveConcentrationMsg',114,1),
(23709,63167,63212,'OP_RemoveGroupFromGroupMsg',88,1),
(23710,63167,63212,'OP_RemoveSpellEffectMsg',113,1),
(23711,63167,63212,'OP_RenameGuildMsg',286,1),
(23712,63167,63212,'OP_ReplaceableSubMeshesMsg',168,1),
(23713,63167,63212,'OP_ReportMsg',384,1),
(23714,63167,63212,'OP_RequestCampMsg',52,1),
(23715,63167,63212,'OP_RequestGuildBankEventDetailsMs',284,1),
(23716,63167,63212,'OP_RequestGuildEventDetailsMsg',275,1),
(23717,63167,63212,'OP_RequestGuildInfoMsg',277,1),
(23718,63167,63212,'OP_RequestGuildMembershipMsg',360,1),
(23719,63167,63212,'OP_RequestHelpRepathMsg',209,1),
(23720,63167,63212,'OP_RequestRecipeDetailsMsg',73,1),
(23721,63167,63212,'OP_RequestTargetLocMsg',210,1),
(23722,63167,63212,'OP_Research',774,1),
(23723,63167,63212,'OP_ResendWorldChannelsMsg',448,1),
(23724,63167,63212,'OP_ReskinCharacterRequestMsg',15,1),
(23725,63167,63212,'OP_RestartZoneMsg',417,1),
(23726,63167,63212,'OP_RewardPackMsg',285,1),
(23727,63167,63212,'OP_SatMsg',192,1),
(23728,63167,63212,'OP_SavageBarInitMsg',584,1),
(23729,63167,63212,'OP_SelectZoneTeleporterDestinatio',358,1),
(23730,63167,63212,'OP_SendLatestRequestMsg',99,1),
(23731,63167,63212,'OP_ServerPlayCharacterReplyMsg',26,1),
(23732,63167,63212,'OP_ServerPlayCharacterRequestMsg',25,1),
(23733,63167,63212,'OP_SetInstanceDisplayNameMsg',445,1),
(23734,63167,63212,'OP_SetRemoteCmdsMsg',43,1),
(23735,63167,63212,'OP_SetSocialMsg',101,1),
(23736,63167,63212,'OP_ShaderCustomizationMsg',167,1),
(23737,63167,63212,'OP_ShowCreateFromRecipeUIMsg',222,1),
(23738,63167,63212,'OP_ShowIllusionsMsg',196,1),
(23739,63167,63212,'OP_ShowItemCreationProcessUIMsg',226,1),
(23740,63167,63212,'OP_ShowRecipeBookMsg',229,1),
(23741,63167,63212,'OP_ShowZoneTeleporterDestinations',357,1),
(23742,63167,63212,'OP_SitMsg',190,1),
(23743,63167,63212,'OP_SkillInfoRequest',518,1),
(23744,63167,63212,'OP_SkillInfoResponse',519,1),
(23745,63167,63212,'OP_SOEAllAccess',640,1),
(23746,63167,63212,'OP_SpellGainedMsg',266,1),
(23747,63167,63212,'OP_StandMsg',191,1),
(23748,63167,63212,'OP_StoodMsg',193,1),
(23749,63167,63212,'OP_StopItemCreationMsg',225,1),
(23750,63167,63212,'OP_StoppedLootingMsg',189,1),
(23751,63167,63212,'OP_StopTrackingMsg',395,1),
(23752,63167,63212,'OP_SubmitCharCust',569,1),
(23753,63167,63212,'OP_SupplyDepot',771,1),
(23754,63167,63212,'OP_SysClient',221,1),
(23755,63167,63212,'OP_TeleportWithinZoneMsg',81,1),
(23756,63167,63212,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(23757,63167,63212,'OP_TintWidgetsMsg',173,1),
(23758,63167,63212,'OP_TitleUpdateMsg',388,1),
(23759,63167,63212,'OP_TrackingUpdateMsg',393,1),
(23760,63167,63212,'OP_TradeskillList',740,1),
(23761,63167,63212,'OP_TraitsList',763,1),
(23762,63167,63212,'OP_UIEvent',531,1),
(23763,63167,63212,'OP_UIResetMsg',177,1),
(23764,63167,63212,'OP_UISettingsResponseMsg',176,1),
(23765,63167,63212,'OP_Unknown',797,1),
(23766,63167,63212,'OP_UnknownNpcMsg',377,1),
(23767,63167,63212,'OP_UpdateActivePublicZonesMsg',376,1),
(23768,63167,63212,'OP_UpdateCharacterSheetMsg',65,1),
(23769,63167,63212,'OP_UpdateClientPredFlagsMsg',249,1),
(23770,63167,63212,'OP_UpdateDebugRadiiMsg',383,1),
(23771,63167,63212,'OP_UpdateGroupMemberDataMsg',392,1),
(23772,63167,63212,'OP_UpdateHouseAccessDataMsg',147,1),
(23773,63167,63212,'OP_UpdateHouseDataMsg',146,1),
(23774,63167,63212,'OP_UpdateInventoryMsg',70,1),
(23775,63167,63212,'OP_UpdateItemCreationProcessUIMsg',227,1),
(23776,63167,63212,'OP_UpdateMotdMsg',211,1),
(23777,63167,63212,'OP_UpdateOpportunityMsg',77,1),
(23778,63167,63212,'OP_UpdatePositionMsg',41,1),
(23779,63167,63212,'OP_UpdateRaidMsg',385,1),
(23780,63167,63212,'OP_UpdateRecipeBookMsg',72,1),
(23781,63167,63212,'OP_UpdateSkillBookMsg',75,1),
(23782,63167,63212,'OP_UpdateSkillsMsg',76,1),
(23783,63167,63212,'OP_UpdateSpellBookMsg',68,1),
(23784,63167,63212,'OP_UpdateTargetLocMsg',64,1),
(23785,63167,63212,'OP_UpdateTargetMsg',63,1),
(23786,63167,63212,'OP_UpdateTitleCmd',499,1),
(23787,63167,63212,'OP_UseAdornment',751,1),
(23788,63167,63212,'OP_VideoUploaded',583,1),
(23789,63167,63212,'OP_VoiceChatChannel',524,1),
(23790,63167,63212,'OP_VoiceChatServer',767,1),
(23791,63167,63212,'OP_WaypointReplyMsg',353,1),
(23792,63167,63212,'OP_WaypointRequestMsg',352,1),
(23793,63167,63212,'OP_WaypointSelectMsg',354,1),
(23794,63167,63212,'OP_WaypointUpdateMsg',355,1),
(23795,63167,63212,'OP_Weakness',587,1),
(23796,63167,63212,'OP_WhoQueryReplyMsg',56,1),
(23797,63167,63212,'OP_WhoQueryRequestMsg',55,1),
(23798,63167,63212,'OP_WorldDataChangeMsg',415,1),
(23799,63167,63212,'OP_WorldDataUpdateMsg',240,1),
(23800,63167,63212,'OP_WorldListMsg',8,1),
(23801,63167,63212,'OP_WorldPingMsg',404,1),
(23802,63167,63212,'OP_WorldShutdownUpdateMsg',408,1),
(23803,63167,63212,'OP_WorldStatusChangeMsg',6,1),
(23804,63167,63212,'OP_WorldTravelAvail',576,1),
(23805,63167,63212,'OP_WSAcctLockStatusMsg',208,1),
(23806,63167,63212,'OP_WSCreateCharacterReplyMsg',14,1),
(23807,63167,63212,'OP_WSCreateCharacterRequestMsg',13,1),
(23808,63167,63212,'OP_WSLoginRequestMsg',2,1),
(23809,63167,63212,'OP_WSServerHideMsg',370,1),
(23810,63167,63212,'OP_WSServerLockMsg',368,1),
(23811,63167,63212,'OP_WSStatusReplyMsg',5,1),
(23812,63167,63212,'OP_ZoneBgInstanceList',572,1),
(23813,63167,63212,'OP_ZoneInfoMsg',35,1),
(23814,63167,63212,'OP_ZoneInstanceCreateReplyMsg',32,1),
(23815,63167,63212,'OP_ZoneInstanceDestroyedMsg',33,1),
(23816,63167,63212,'OP_ZoneMOTDMsg',47,1),
(23817,63167,63212,'OP_ZonesStatusMsg',105,1),
(23818,63167,63212,'OP_ZonesStatusRequestMsg',104,1),
(23819,63167,63212,'OP_ZoneToFriendReplyMsg',288,1),
(23820,63167,63212,'OP_ZoneToFriendRequestMsg',287,1),
(24284,1096,1096,'OP_SubmitCharCust',530,1),
(24285,1096,1096,'OP_MentorPopup',526,1),
(24286,63213,64644,'OP_AchievementUpdateMsg',778,1),
(24287,63213,64644,'OP_AddSocialStructureStandingMsg',253,1),
(24288,63213,64644,'OP_AdvancementRequestMsg',398,1),
(24289,63213,64644,'OP_AdventureList',494,1),
(24290,63213,64644,'OP_AFKUpdateMsg',374,1),
(24291,63213,64644,'OP_AfterInvSpellUpdate',71,1),
(24292,63213,64644,'OP_AllCharactersDescReplyMsg',10,1),
(24293,63213,64644,'OP_AllCharactersDescRequestMsg',9,1),
(24294,63213,64644,'OP_AllWSDescRequestMsg',7,1),
(24295,63213,64644,'OP_AnonUpdateMsg',375,1),
(24296,63213,64644,'OP_ArenaCreate',461,1),
(24297,63213,64644,'OP_ArenaGameTypesMsg',450,1),
(24298,63213,64644,'OP_ArenaList',462,1),
(24299,63213,64644,'OP_ArenaWindow',470,1),
(24300,63213,64644,'OP_AttackAllowed',506,1),
(24301,63213,64644,'OP_AttackNotAllowed',507,1),
(24302,63213,64644,'OP_AuctionAbortMsg',441,1),
(24303,63213,64644,'OP_AuctionCharacter',438,1),
(24304,63213,64644,'OP_AuctionCharacterReply',439,1),
(24305,63213,64644,'OP_AuctionCoin',436,1),
(24306,63213,64644,'OP_AuctionCoinReply',437,1),
(24307,63213,64644,'OP_AuctionCommitMsg',440,1),
(24308,63213,64644,'OP_AuctionItem',434,1),
(24309,63213,64644,'OP_AuctionItemReply',435,1),
(24310,63213,64644,'OP_AuditAuctionEventMsg',451,1),
(24311,63213,64644,'OP_AvatarCreatedMsg',48,1),
(24312,63213,64644,'OP_AvatarDestroyedMsg',49,1),
(24313,63213,64644,'OP_AvatarUpdateMsg',364,1),
(24314,63213,64644,'OP_BadLanguageFilter',524,1),
(24315,63213,64644,'OP_BagOptions',508,1),
(24316,63213,64644,'OP_BeginItemCreationMsg',224,1),
(24317,63213,64644,'OP_BeginTrackingMsg',394,1),
(24318,63213,64644,'OP_BioUpdateMsg',366,1),
(24319,63213,64644,'OP_BrokerAddBag',296,1),
(24320,63213,64644,'OP_BrokerRemoveBag',297,1),
(24321,63213,64644,'OP_BrokerSellList',721,1),
(24322,63213,64644,'OP_BuyPlayerHouseMsg',153,1),
(24323,63213,64644,'OP_BuyPlayerHouseTintMsg',154,1),
(24324,63213,64644,'OP_CampAbortedMsg',54,1),
(24325,63213,64644,'OP_CampClientMsg',391,1),
(24326,63213,64644,'OP_CampStartedMsg',53,1),
(24327,63213,64644,'OP_CancelCreateFromRecipeMsg',223,1),
(24328,63213,64644,'OP_CancelledFeignMsg',219,1),
(24329,63213,64644,'OP_CancelMoveObjectModeMsg',166,1),
(24330,63213,64644,'OP_CancelSpellCast',495,1),
(24331,63213,64644,'OP_ChangeServerControlFlagMsg',250,1),
(24332,63213,64644,'OP_ChangeZoneMsg',79,1),
(24333,63213,64644,'OP_CharacterAchievements',777,1),
(24334,63213,64644,'OP_CharacterCreatedDungeons',558,1),
(24335,63213,64644,'OP_CharacterCurrency',776,1),
(24336,63213,64644,'OP_CharacterHousingList',513,1),
(24337,63213,64644,'OP_CharacterLinkdeadMsg',419,1),
(24338,63213,64644,'OP_CharacterMerc',67,1),
(24339,63213,64644,'OP_CharacterMounts',589,1),
(24340,63213,64644,'OP_CharacterPet',66,1),
(24341,63213,64644,'OP_CharNameChangedMsg',356,1),
(24342,63213,64644,'OP_CharRenamed',742,1),
(24343,63213,64644,'OP_CharTransferCommitReplyMsg',427,1),
(24344,63213,64644,'OP_CharTransferCommitRequestMsg',425,1),
(24345,63213,64644,'OP_CharTransferReplyMsg',423,1),
(24346,63213,64644,'OP_CharTransferRequestMsg',422,1),
(24347,63213,64644,'OP_CharTransferRollbackReplyMsg',426,1),
(24348,63213,64644,'OP_CharTransferRollbackRequestMsg',424,1),
(24349,63213,64644,'OP_CharTransferStartReplyMsg',421,1),
(24350,63213,64644,'OP_CharTransferStartRequestMsg',420,1),
(24351,63213,64644,'OP_CharTransferValidateReplyMsg',443,1),
(24352,63213,64644,'OP_CharTransferValidateRequestMsg',442,1),
(24353,63213,64644,'OP_ChatCreateChannelMsg',289,1),
(24354,63213,64644,'OP_ChatFiltersMsg',338,1),
(24355,63213,64644,'OP_ChatJoinChannelMsg',290,1),
(24356,63213,64644,'OP_ChatLeaveChannelMsg',292,1),
(24357,63213,64644,'OP_ChatRelationshipUpdateMsg',187,1),
(24358,63213,64644,'OP_ChatSendFriendsMsg',299,1),
(24359,63213,64644,'OP_ChatSendIgnoresMsg',300,1),
(24360,63213,64644,'OP_ChatTellChannelMsg',293,1),
(24361,63213,64644,'OP_ChatTellUserMsg',294,1),
(24362,63213,64644,'OP_ChatToggleFriendMsg',295,1),
(24363,63213,64644,'OP_ChatToggleIgnoreMsg',298,1),
(24364,63213,64644,'OP_ChatWhoChannelMsg',291,1),
(24365,63213,64644,'OP_ClearDataMsg',100,1),
(24366,63213,64644,'OP_ClearForLandingMsg',497,1),
(24367,63213,64644,'OP_ClearForTakeOffMsg',194,1),
(24368,63213,64644,'OP_ClientCmdMsg',60,1),
(24369,63213,64644,'OP_ClientFellMsg',389,1),
(24370,63213,64644,'OP_ClientIdleBeginMsg',410,1),
(24371,63213,64644,'OP_ClientIdleEndMsg',411,1),
(24372,63213,64644,'OP_ClientInDeathRegionMsg',390,1),
(24373,63213,64644,'OP_ClientTeleportRequestMsg',80,1),
(24374,63213,64644,'OP_ClientTeleportToLocationMsg',248,1),
(24375,63213,64644,'OP_CloseGroupInviteWindowMsg',401,1),
(24376,63213,64644,'OP_CollectAllHouseItemsMsg',155,1),
(24377,63213,64644,'OP_ConsignItemRequestMsg',129,1),
(24378,63213,64644,'OP_ConsignItemResponseMsg',130,1),
(24379,63213,64644,'OP_ConsignmentCloseStoreMsg',128,1),
(24380,63213,64644,'OP_ConsignRemoveItemsMsg',382,1),
(24381,63213,64644,'OP_ConsignViewCreateMsg',379,1),
(24382,63213,64644,'OP_ConsignViewGetPageMsg',380,1),
(24383,63213,64644,'OP_ConsignViewReleaseMsg',381,1),
(24384,63213,64644,'OP_ConsignViewSortMsg',387,1),
(24385,63213,64644,'OP_CorruptedClientMsg',414,1),
(24386,63213,64644,'OP_CreateBoatTransportsMsg',254,1),
(24387,63213,64644,'OP_CreateCharacterDungeon',552,1),
(24388,63213,64644,'OP_CreateCharacterReplyMsg',12,1),
(24389,63213,64644,'OP_CreateCharacterRequestMsg',11,1),
(24390,63213,64644,'OP_CreateCharFromCBBReplyMsg',431,1),
(24391,63213,64644,'OP_CreateCharFromCBBRequestMsg',430,1),
(24392,63213,64644,'OP_CreateGuildReplyMsg',123,1),
(24393,63213,64644,'OP_CreateGuildRequestMsg',121,1),
(24394,63213,64644,'OP_CreateZoneInstanceMsg',31,1),
(24395,63213,64644,'OP_CsCategoryRequestMsg',371,1),
(24396,63213,64644,'OP_CsCategoryResponseMsg',372,1),
(24397,63213,64644,'OP_CSTicketAddCommentMsg',237,1),
(24398,63213,64644,'OP_CSTicketChangeNotificationMsg',239,1),
(24399,63213,64644,'OP_CSTicketCommentRequestMsg',234,1),
(24400,63213,64644,'OP_CSTicketCommentResponseMsg',235,1),
(24401,63213,64644,'OP_CSTicketCreateMsg',236,1),
(24402,63213,64644,'OP_CSTicketDeleteMsg',238,1),
(24403,63213,64644,'OP_CSTicketHeaderRequestMsg',232,1),
(24404,63213,64644,'OP_CSTicketInfoMsg',233,1),
(24405,63213,64644,'OP_CSToolAccessResponseMsg',392,1),
(24406,63213,64644,'OP_CSToolsRequestMsg',251,1),
(24407,63213,64644,'OP_CSToolsResponseMsg',252,1),
(24408,63213,64644,'OP_CurrentPet',490,1),
(24409,63213,64644,'OP_CustomizationPurchaseRequestMs',170,1),
(24410,63213,64644,'OP_CustomizationReplyMsg',172,1),
(24411,63213,64644,'OP_CustomizationSetRequestMsg',171,1),
(24412,63213,64644,'OP_CustomizeHouseDisplay',767,1),
(24413,63213,64644,'OP_DailyObjectives',602,1),
(24414,63213,64644,'OP_DefaultGroupOptionsMsg',201,1),
(24415,63213,64644,'OP_DefaultGroupOptionsRequestMsg',200,1),
(24416,63213,64644,'OP_DeityAbilityWindow',622,1),
(24417,63213,64644,'OP_DeleteCharacterReplyMsg',19,1),
(24418,63213,64644,'OP_DeleteCharacterRequestMsg',18,1),
(24419,63213,64644,'OP_DeleteGuildMsg',126,1),
(24420,63213,64644,'OP_DestUpdateReq',213,1),
(24421,63213,64644,'OP_DialogCloseMsg',112,1),
(24422,63213,64644,'OP_DialogSelectMsg',111,1),
(24423,63213,64644,'OP_DispatchClientCmdMsg',62,1),
(24424,63213,64644,'OP_DispatchESMsg',61,1),
(24425,63213,64644,'OP_DispatchMsg',456,1),
(24426,63213,64644,'OP_DispatchSpellCmdMsg',182,1),
(24427,63213,64644,'OP_DisplayDebugNLLPointsMsg',258,1),
(24428,63213,64644,'OP_DisplayEventMsg',457,1),
(24429,63213,64644,'OP_DisplayExchangeScreenMsg',449,1),
(24430,63213,64644,'OP_DisplayGroupOptionsScreenMsg',203,1),
(24431,63213,64644,'OP_DisplayInnVisitScreenMsg',205,1),
(24432,63213,64644,'OP_DisplayMailScreenMsg',409,1),
(24433,63213,64644,'OP_DisplayTSEventReactionMsg',228,1),
(24434,63213,64644,'OP_DisplayWarningMsg',269,1),
(24435,63213,64644,'OP_DoneLoadingEntityResourcesMsg',38,1),
(24436,63213,64644,'OP_DoneLoadingZoneResourcesMsg',36,1),
(24437,63213,64644,'OP_DoneSendingInitialEntitiesMsg',37,1),
(24438,63213,64644,'OP_DressingRoom',516,1),
(24439,63213,64644,'OP_DumpSchedulerMsg',206,1),
(24440,63213,64644,'OP_DungeonMakerEnter',553,1),
(24441,63213,64644,'OP_DungeonMakerItemRequest',557,1),
(24442,63213,64644,'OP_DungeonMakerItemResponse',587,1),
(24443,63213,64644,'OP_DungeonMakerToolboxList',559,1),
(24444,63213,64644,'OP_DungeonMakerUnknown',560,1),
(24445,63213,64644,'OP_DungeonMakerUnknown1',561,1),
(24446,63213,64644,'OP_DungeonPlayAsAvatarList',781,1),
(24447,63213,64644,'OP_DungeonPlayAsAvatarSelected',782,1),
(24448,63213,64644,'OP_EarlyLandingRequestMsg',491,1),
(24449,63213,64644,'OP_EncounterBrokenMsg',267,1),
(24450,63213,64644,'OP_EnterHouseMsg',157,1),
(24451,63213,64644,'OP_EnterMoveObjectModeMsg',164,1),
(24452,63213,64644,'OP_EntityVerbsReplyMsg',184,1),
(24453,63213,64644,'OP_EntityVerbsRequestMsg',183,1),
(24454,63213,64644,'OP_EntityVerbsVerbMsg',185,1),
(24455,63213,64644,'OP_EqArenaResultsCmd',732,1),
(24456,63213,64644,'OP_EqAvailWorldChannelsCmd',719,1),
(24457,63213,64644,'OP_EqBetaCopyRequest',640,1),
(24458,63213,64644,'OP_EqCannedEmoteCmd',661,1),
(24459,63213,64644,'OP_EqChatChannelUpdateCmd',717,1),
(24460,63213,64644,'OP_EqChoiceWinCmd',698,1),
(24461,63213,64644,'OP_EqCloseWindowCmd',690,1),
(24462,63213,64644,'OP_EqCollectionFilterCmd',677,1),
(24463,63213,64644,'OP_EqCollectionItemCmd',678,1),
(24464,63213,64644,'OP_EqCollectionUpdateCmd',676,1),
(24465,63213,64644,'OP_EqConsignmentItemsCmd',722,1),
(24466,63213,64644,'OP_EqCreateGhostCmd',643,1),
(24467,63213,64644,'OP_EqCreateListBoxCmd',658,1),
(24468,63213,64644,'OP_EqCreateSignWidgetCmd',645,1),
(24469,63213,64644,'OP_EqCreateWidgetCmd',644,1),
(24470,63213,64644,'OP_EqDebugPVDCmd',711,1),
(24471,63213,64644,'OP_EqDestroyGhostCmd',646,1),
(24472,63213,64644,'OP_EqDialogCloseCmd',674,1),
(24473,63213,64644,'OP_EqDialogOpenCmd',673,1),
(24474,63213,64644,'OP_EqDisplaySpellFailCmd',694,1),
(24475,63213,64644,'OP_EqDisplayTextCmd',642,1),
(24476,63213,64644,'OP_EqDrawablePathGraphCmd',672,1),
(24477,63213,64644,'OP_EqEnableGameEventCmd',704,1),
(24478,63213,64644,'OP_EqEnableWindowCmd',706,1),
(24479,63213,64644,'OP_EqExamineInfoCmd',689,1),
(24480,63213,64644,'OP_EqFactionUpdateCmd',675,1),
(24481,63213,64644,'OP_EqFlashWindowCmd',707,1),
(24482,63213,64644,'OP_EqGetProbsCmd',715,1),
(24483,63213,64644,'OP_EqGroupMemberRemovedCmd',668,1),
(24484,63213,64644,'OP_EqGuildBankEventActionCmd',733,1),
(24485,63213,64644,'OP_EqGuildBankExamineInfoCmd',734,1),
(24486,63213,64644,'OP_EqHearChainEffectCmd',669,1),
(24487,63213,64644,'OP_EqHearChatCmd',641,1),
(24488,63213,64644,'OP_EqHearCombatCmd',650,1),
(24489,63213,64644,'OP_EqHearConsiderCmd',656,1),
(24490,63213,64644,'OP_EqHearDeathCmd',667,1),
(24491,63213,64644,'OP_EQHearDispellCmd',779,1),
(24492,63213,64644,'OP_EqHearDrowningCmd',666,1),
(24493,63213,64644,'OP_EqHearHealCmd',716,1),
(24494,63213,64644,'OP_EqHearPlayFlavorCmd',709,1),
(24495,63213,64644,'OP_EQHearProcCmd',652,1),
(24496,63213,64644,'OP_EQHearResEffectCmd',653,1),
(24497,63213,64644,'OP_EqHearSpellCastCmd',651,1),
(24498,63213,64644,'OP_EqHearSpellFizzleCmd',655,1),
(24499,63213,64644,'OP_EqHearSpellInterruptCmd',654,1),
(24500,63213,64644,'OP_EqHearSpellNoLandCmd',735,1),
(24501,63213,64644,'OP_EQHearThreatCmd',773,1),
(24502,63213,64644,'OP_EqHelpPathClearCmd',687,1),
(24503,63213,64644,'OP_EqHelpPathCmd',686,1),
(24504,63213,64644,'OP_EqInspectPCResultsCmd',671,1),
(24505,63213,64644,'OP_EqInstructionWindowCloseCmd',701,1),
(24506,63213,64644,'OP_EqInstructionWindowCmd',700,1),
(24507,63213,64644,'OP_EqInstructionWindowGoalCmd',702,1),
(24508,63213,64644,'OP_EqInstructionWindowTaskCmd',703,1),
(24509,63213,64644,'OP_EqJunctionListCmd',692,1),
(24510,63213,64644,'OP_EqMapExplorationCmd',725,1),
(24511,63213,64644,'OP_EqMentoring',680,1),
(24512,63213,64644,'OP_EqPlaySound3DCmd',664,1),
(24513,63213,64644,'OP_EqPlaySoundCmd',663,1),
(24514,63213,64644,'OP_EqPlayVoiceCmd',665,1),
(24515,63213,64644,'OP_EqQuestGroupCmd',682,1),
(24516,63213,64644,'OP_EqQuestionnaireCmd',713,1),
(24517,63213,64644,'OP_EqQuestJournalReplyCmd',681,1),
(24518,63213,64644,'OP_EqQuestJournalUpdateCmd',679,1),
(24519,63213,64644,'OP_EqReceiveOfferCmd',670,1),
(24520,63213,64644,'OP_EqResurrectedCmd',697,1),
(24521,63213,64644,'OP_EqSetControlGhostCmd',648,1),
(24522,63213,64644,'OP_EqSetDebugPathPointsCmd',659,1),
(24523,63213,64644,'OP_EqSetDefaultVerbCmd',699,1),
(24524,63213,64644,'OP_EqSetPOVGhostCmd',649,1),
(24525,63213,64644,'OP_EqShowBookCmd',712,1),
(24526,63213,64644,'OP_EqShowDeathWindowCmd',693,1),
(24527,63213,64644,'OP_EqShowWindowCmd',705,1),
(24528,63213,64644,'OP_EqSpellCastEndCmd',696,1),
(24529,63213,64644,'OP_EqSpellCastStartCmd',695,1),
(24530,63213,64644,'OP_EqSpellMoveToRangeAndRetryCmd',727,1),
(24531,63213,64644,'OP_EqStartBrokerCmd',724,1),
(24532,63213,64644,'OP_EqStateCmd',662,1),
(24533,63213,64644,'OP_EqStoreLogCmd',726,1),
(24534,63213,64644,'OP_EqUpdateBankCmd',688,1),
(24535,63213,64644,'OP_EqUpdateGhostCmd',647,1),
(24536,63213,64644,'OP_EqUpdateLootCmd',691,1),
(24537,63213,64644,'OP_EqUpdateMerchantCmd',683,1),
(24538,63213,64644,'OP_EqUpdatePlayerMailCmd',728,1),
(24539,63213,64644,'OP_EqUpdatePlayerTradeCmd',685,1),
(24540,63213,64644,'OP_EqUpdateSignWidgetCmd',710,1),
(24541,63213,64644,'OP_EqUpdateStoreCmd',684,1),
(24542,63213,64644,'OP_EqUpdateSubClassesCmd',657,1),
(24543,63213,64644,'OP_EqUpdateTargetCmd',720,1),
(24544,63213,64644,'OP_EqWhoChannelQueryReplyCmd',718,1),
(24545,63213,64644,'OP_ESInitMsg',27,1),
(24546,63213,64644,'OP_ESLoginRequestMsg',3,1),
(24547,63213,64644,'OP_ESReadyForClientsMsg',28,1),
(24548,63213,64644,'OP_ESStatusMsg',102,1),
(24549,63213,64644,'OP_ESWeatherRequestEndMsg',107,1),
(24550,63213,64644,'OP_ESWeatherRequestMsg',106,1),
(24551,63213,64644,'OP_ESZoneInstanceStatusMsg',103,1),
(24552,63213,64644,'OP_ExamineConsignmentRequestMsg',174,1),
(24553,63213,64644,'OP_ExamineConsignmentResponseMsg',175,1),
(24554,63213,64644,'OP_ExamineInfoRequestMsg',259,1),
(24555,63213,64644,'OP_ExamineItemRequestMsg',198,1),
(24556,63213,64644,'OP_ExitHouseMsg',158,1),
(24557,63213,64644,'OP_ExpectClientAsCharacterReplyMs',24,1),
(24558,63213,64644,'OP_ExpectClientAsCharacterRequest',34,1),
(24559,63213,64644,'OP_ExpPurchWindow',758,1),
(24560,63213,64644,'OP_FellowshipExpMsg',125,1),
(24561,63213,64644,'OP_FlightPathsMsg',418,1),
(24562,63213,64644,'OP_GameWorldTimeMsg',45,1),
(24563,63213,64644,'OP_GetAuctionAssetIDMsg',446,1),
(24564,63213,64644,'OP_GetAuctionAssetIDReplyMsg',447,1),
(24565,63213,64644,'OP_GetAvatarAccessRequestForCSToo',397,1),
(24566,63213,64644,'OP_GetCharacterSerializedReplyMsg',429,1),
(24567,63213,64644,'OP_GetCharacterSerializedRequestM',428,1),
(24568,63213,64644,'OP_GroupCreatedMsg',90,1),
(24569,63213,64644,'OP_GroupDestroyedMsg',91,1),
(24570,63213,64644,'OP_GroupLeaderChangedMsg',95,1),
(24571,63213,64644,'OP_GroupMemberAddedMsg',92,1),
(24572,63213,64644,'OP_GroupMemberRemovedMsg',93,1),
(24573,63213,64644,'OP_GroupOptionsMsg',202,1),
(24574,63213,64644,'OP_GroupRemovedFromGroupMsg',94,1),
(24575,63213,64644,'OP_GroupResendOOZDataMsg',96,1),
(24576,63213,64644,'OP_GroupSettingsChangedMsg',97,1),
(24577,63213,64644,'OP_GuildBankActionMsg',278,1),
(24578,63213,64644,'OP_GuildBankActionResponseMsg',279,1),
(24579,63213,64644,'OP_GuildBankEventListMsg',283,1),
(24580,63213,64644,'OP_GuildBankItemDetailsRequestMsg',280,1),
(24581,63213,64644,'OP_GuildBankItemDetailsResponseMs',281,1),
(24582,63213,64644,'OP_GuildBankUpdateMsg',282,1),
(24583,63213,64644,'OP_GuildEventActionMsg',273,1),
(24584,63213,64644,'OP_GuildEventAddMsg',272,1),
(24585,63213,64644,'OP_GuildEventDetailsMsg',276,1),
(24586,63213,64644,'OP_GuildEventListMsg',274,1),
(24587,63213,64644,'OP_GuildEventMsg',271,1),
(24588,63213,64644,'OP_GuildMembershipResponseMsg',361,1),
(24589,63213,64644,'OP_GuildRecruiting',738,1),
(24590,63213,64644,'OP_GuildRecruitingDetails',739,1),
(24591,63213,64644,'OP_GuildRecruitingImage',740,1),
(24592,63213,64644,'OP_GuildRecruitingMemberInfo',737,1),
(24593,63213,64644,'OP_GuildsayMsg',124,1),
(24594,63213,64644,'OP_GuildStatusUpdate',731,1),
(24595,63213,64644,'OP_GuildUpdateMsg',127,1),
(24596,63213,64644,'OP_HeritageMsg',10024,1),
(24597,63213,64644,'OP_HideIllusionsMsg',197,1),
(24598,63213,64644,'OP_HouseAccessRemoveMsg',161,1),
(24599,63213,64644,'OP_HouseAccessSetMsg',160,1),
(24600,63213,64644,'OP_HouseCustomizationScreenMsg',169,1),
(24601,63213,64644,'OP_HouseDefaultAccessSetMsg',159,1),
(24602,63213,64644,'OP_HouseDeletedRemotelyMsg',145,1),
(24603,63213,64644,'OP_HouseItemsList',489,1),
(24604,63213,64644,'OP_HousingDataChangedMsg',432,1),
(24605,63213,64644,'OP_HousingRestoreMsg',433,1),
(24606,63213,64644,'OP_InspectPlayerMsg',367,1),
(24607,63213,64644,'OP_InspectPlayerRequestMsg',455,1),
(24608,63213,64644,'OP_InviteRequestMsg',452,1),
(24609,63213,64644,'OP_InviteResponseMsg',453,1),
(24610,63213,64644,'OP_InviteTargetResponseMsg',454,1),
(24611,63213,64644,'OP_JoinGuildNotifyMsg',363,1),
(24612,63213,64644,'OP_JournalQuestStoryline',780,1),
(24613,63213,64644,'OP_KeymapDataMsg',180,1),
(24614,63213,64644,'OP_KeymapLoadMsg',178,1),
(24615,63213,64644,'OP_KeymapNoneMsg',179,1),
(24616,63213,64644,'OP_KeymapSaveMsg',181,1),
(24617,63213,64644,'OP_KnowledgebaseRequestMsg',230,1),
(24618,63213,64644,'OP_KnowledgebaseResponseMsg',231,1),
(24619,63213,64644,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(24620,63213,64644,'OP_KnownLanguagesMsg',242,1),
(24621,63213,64644,'OP_Launchpad',580,1),
(24622,63213,64644,'OP_LeaveGuildNotifyMsg',362,1),
(24623,63213,64644,'OP_LevelChangedMsg',265,1),
(24624,63213,64644,'OP_LFGGroupSearch',510,1),
(24625,63213,64644,'OP_LFGUpdateMsg',523,1),
(24626,63213,64644,'OP_LikeOption',139,1),
(24627,63213,64644,'OP_LoadCalendarEvents',583,1),
(24628,63213,64644,'OP_LoadWelcomeWindow',567,1),
(24629,63213,64644,'OP_LoginByNumRequestMsg',1,1),
(24630,63213,64644,'OP_LoginReplyMsg',4,1),
(24631,63213,64644,'OP_LoginRequestMsg',0,1),
(24632,63213,64644,'OP_LootItemsRequestMsg',188,1),
(24633,63213,64644,'OP_Lottery',736,1),
(24634,63213,64644,'OP_LSCheckAcctLockMsg',207,1),
(24635,63213,64644,'OP_LsClientAlertlogReplyMsg',246,1),
(24636,63213,64644,'OP_LsClientBaselogReplyMsg',244,1),
(24637,63213,64644,'OP_LsClientCrashlogReplyMsg',245,1),
(24638,63213,64644,'OP_LsClientVerifylogReplyMsg',247,1),
(24639,63213,64644,'OP_LsRequestClientCrashLogMsg',243,1),
(24640,63213,64644,'OP_LSServerLockMsg',369,1),
(24641,63213,64644,'OP_MacroInitMsg',262,1),
(24642,63213,64644,'OP_MacroUpdateMsg',263,1),
(24643,63213,64644,'OP_MailCommitSendMessageMsg',348,1),
(24644,63213,64644,'OP_MailDeleteMessageMsg',344,1),
(24645,63213,64644,'OP_MailEventNotificationMsg',416,1),
(24646,63213,64644,'OP_MailGetHeadersReplyMsg',345,1),
(24647,63213,64644,'OP_MailGetMessageMsg',342,1),
(24648,63213,64644,'OP_MailGetMessageReplyMsg',346,1),
(24649,63213,64644,'OP_MailRemoveAttachFromMailMsg',350,1),
(24650,63213,64644,'OP_MailSendMessageMsg',343,1),
(24651,63213,64644,'OP_MailSendMessageReplyMsg',347,1),
(24652,63213,64644,'OP_MailSendSystemMessageMsg',349,1),
(24653,63213,64644,'OP_MakeGroupLeaderMsg',89,1),
(24654,63213,64644,'OP_MapFogDataInitMsg',399,1),
(24655,63213,64644,'OP_MapFogDataUpdateMsg',400,1),
(24656,63213,64644,'OP_MapRequest',526,1),
(24657,63213,64644,'OP_MarketAddFundsReply',534,1),
(24658,63213,64644,'OP_MarketAddFundsRequest',533,1),
(24659,63213,64644,'OP_MarketFundsUpdate',531,1),
(24660,63213,64644,'OP_MarketPlaceItems',544,1),
(24661,63213,64644,'OP_MarketPlacePrices',537,1),
(24662,63213,64644,'OP_MarketPurchase',536,1),
(24663,63213,64644,'OP_MentorPopup',565,1),
(24664,63213,64644,'OP_MercHireWindow',784,1),
(24665,63213,64644,'OP_MercUnknown',785,1),
(24666,63213,64644,'OP_MigrateBoatTransportMsg',256,1),
(24667,63213,64644,'OP_MigrateBoatTransportReplyMsg',257,1),
(24668,63213,64644,'OP_MigrateClientToZoneReplyMsg',84,1),
(24669,63213,64644,'OP_MigrateClientToZoneRequestMsg',83,1),
(24670,63213,64644,'OP_ModifyGuildMsg',270,1),
(24671,63213,64644,'OP_MonitorCharacterListMsg',58,1),
(24672,63213,64644,'OP_MonitorCharacterListRequestMsg',59,1),
(24673,63213,64644,'OP_MonitorReplyMsg',57,1),
(24674,63213,64644,'OP_MOTDMsg',46,1),
(24675,63213,64644,'OP_MoveableObjectPlacementCriteri',163,1),
(24676,63213,64644,'OP_MoveLogUpdateMsg',405,1),
(24677,63213,64644,'OP_NotifyApprenticeStoppedMentori',413,1),
(24678,63213,64644,'OP_OfferQuestMsg',406,1),
(24679,63213,64644,'OP_OnscreenMsgMsg',268,1),
(24680,63213,64644,'OP_OpenCharCust',569,1),
(24681,63213,64644,'OP_OutOfZoneMemberDataMsg',98,1),
(24682,63213,64644,'OP_PaperdollImage',582,1),
(24683,63213,64644,'OP_PayHouseUpkeepMsg',162,1),
(24684,63213,64644,'OP_PerformCameraShakeMsg',217,1),
(24685,63213,64644,'OP_PerformPlayerKnockbackMsg',216,1),
(24686,63213,64644,'OP_PetOptions',204,1),
(24687,63213,64644,'OP_PetOptionsResponse',586,1),
(24688,63213,64644,'OP_PlayCharacterReplyMsg',21,1),
(24689,63213,64644,'OP_PlayCharacterRequestMsg',20,1),
(24690,63213,64644,'OP_PlayerHouseAccessUpdateMsg',150,1),
(24691,63213,64644,'OP_PlayerHouseBaseScreenMsg',148,1),
(24692,63213,64644,'OP_PlayerHouseCloseUIMsg',152,1),
(24693,63213,64644,'OP_PlayerHouseDisplayStatusMsg',151,1),
(24694,63213,64644,'OP_PlayerHousePurchaseScreenMsg',149,1),
(24695,63213,64644,'OP_PlayerMadeInstances',143,1),
(24696,63213,64644,'OP_PlayerMadeInstancesScreen',142,1),
(24697,63213,64644,'OP_PlayerPollAnswer',564,1),
(24698,63213,64644,'OP_PlayerPollPopup',563,1),
(24699,63213,64644,'OP_PlayLon',517,1),
(24700,63213,64644,'OP_PointOfInterest',762,1),
(24701,63213,64644,'OP_PointOfInterest2',763,1),
(24702,63213,64644,'OP_PopulateSkillMapsMsg',218,1),
(24703,63213,64644,'OP_PositionBoatTransportMsg',255,1),
(24704,63213,64644,'OP_PositionMoveableObject',165,1),
(24705,63213,64644,'OP_PostPossessionMsg',459,1),
(24706,63213,64644,'OP_PredictionUpdateMsg',39,1),
(24707,63213,64644,'OP_PrePossessionMsg',458,1),
(24708,63213,64644,'OP_PromoFlagsDetailsMsg',378,1),
(24709,63213,64644,'OP_PublishHouse',141,1),
(24710,63213,64644,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(24711,63213,64644,'OP_PurchaseConsignmentRequestMsg',131,1),
(24712,63213,64644,'OP_QueAllBgSolo',572,1),
(24713,63213,64644,'OP_QuestionnaireMsg',264,1),
(24714,63213,64644,'OP_QuestJournalInspectMsg',116,1),
(24715,63213,64644,'OP_QuestJournalOpenMsg',115,1),
(24716,63213,64644,'OP_QuestJournalSetVisibleMsg',117,1),
(24717,63213,64644,'OP_QuestJournalWaypointMsg',118,1),
(24718,63213,64644,'OP_QuestReward',324,1),
(24719,63213,64644,'OP_QuickbarInitMsg',260,1),
(24720,63213,64644,'OP_QuickbarUpdateMsg',261,1),
(24721,63213,64644,'OP_RaceRestrictionMsg',444,1),
(24722,63213,64644,'OP_ReadBookPageMsg',199,1),
(24723,63213,64644,'OP_ReadyForTakeOffMsg',195,1),
(24724,63213,64644,'OP_ReadyToZoneMsg',86,1),
(24725,63213,64644,'OP_RecipeBook',545,1),
(24726,63213,64644,'OP_RecipeDetailsMsg',74,1),
(24727,63213,64644,'OP_RecipeList',774,1),
(24728,63213,64644,'OP_RecipeListUnknown',598,1),
(24729,63213,64644,'OP_RelinquishHouseMsg',156,1),
(24730,63213,64644,'OP_ReloadLocalizedTxtMsg',359,1),
(24731,63213,64644,'OP_RemoteCmdMsg',44,1),
(24732,63213,64644,'OP_RemoveClientFromGroupMsg',87,1),
(24733,63213,64644,'OP_RemoveConcentrationMsg',114,1),
(24734,63213,64644,'OP_RemoveGroupFromGroupMsg',88,1),
(24735,63213,64644,'OP_RemoveSpellEffectMsg',113,1),
(24736,63213,64644,'OP_RenameGuildMsg',286,1),
(24737,63213,64644,'OP_ReplaceableSubMeshesMsg',168,1),
(24738,63213,64644,'OP_ReportMsg',384,1),
(24739,63213,64644,'OP_RequestCampMsg',52,1),
(24740,63213,64644,'OP_RequestGuildBankEventDetailsMs',284,1),
(24741,63213,64644,'OP_RequestGuildEventDetailsMsg',275,1),
(24742,63213,64644,'OP_RequestGuildInfoMsg',277,1),
(24743,63213,64644,'OP_RequestGuildMembershipMsg',360,1),
(24744,63213,64644,'OP_RequestHelpRepathMsg',209,1),
(24745,63213,64644,'OP_RequestRecipeDetailsMsg',73,1),
(24746,63213,64644,'OP_RequestTargetLocMsg',210,1),
(24747,63213,64644,'OP_Research',775,1),
(24748,63213,64644,'OP_ResendWorldChannelsMsg',448,1),
(24749,63213,64644,'OP_ReskinCharacterRequestMsg',15,1),
(24750,63213,64644,'OP_RestartZoneMsg',417,1),
(24751,63213,64644,'OP_RewardPackMsg',285,1),
(24752,63213,64644,'OP_SatMsg',192,1),
(24753,63213,64644,'OP_SavageBarInitMsg',585,1),
(24754,63213,64644,'OP_SelectZoneTeleporterDestinatio',358,1),
(24755,63213,64644,'OP_SendLatestRequestMsg',99,1),
(24756,63213,64644,'OP_ServerPlayCharacterReplyMsg',26,1),
(24757,63213,64644,'OP_ServerPlayCharacterRequestMsg',25,1),
(24758,63213,64644,'OP_SetInstanceDisplayNameMsg',445,1),
(24759,63213,64644,'OP_SetRemoteCmdsMsg',43,1),
(24760,63213,64644,'OP_SetSocialMsg',101,1),
(24761,63213,64644,'OP_ShaderCustomizationMsg',167,1),
(24762,63213,64644,'OP_ShowCreateFromRecipeUIMsg',222,1),
(24763,63213,64644,'OP_ShowIllusionsMsg',196,1),
(24764,63213,64644,'OP_ShowItemCreationProcessUIMsg',226,1),
(24765,63213,64644,'OP_ShowRecipeBookMsg',229,1),
(24766,63213,64644,'OP_ShowZoneTeleporterDestinations',357,1),
(24767,63213,64644,'OP_SitMsg',190,1),
(24768,63213,64644,'OP_SkillInfoRequest',519,1),
(24769,63213,64644,'OP_SkillInfoResponse',520,1),
(24770,63213,64644,'OP_SOEAllAccess',641,1),
(24771,63213,64644,'OP_SpellGainedMsg',266,1),
(24772,63213,64644,'OP_StandMsg',191,1),
(24773,63213,64644,'OP_StoodMsg',193,1),
(24774,63213,64644,'OP_StopItemCreationMsg',225,1),
(24775,63213,64644,'OP_StoppedLootingMsg',189,1),
(24776,63213,64644,'OP_StopTrackingMsg',395,1),
(24777,63213,64644,'OP_SubmitCharCust',570,1),
(24778,63213,64644,'OP_SupplyDepot',772,1),
(24779,63213,64644,'OP_SysClient',221,1),
(24780,63213,64644,'OP_TeleportWithinZoneMsg',81,1),
(24781,63213,64644,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(24782,63213,64644,'OP_TintWidgetsMsg',173,1),
(24783,63213,64644,'OP_TitleUpdateMsg',388,1),
(24784,63213,64644,'OP_TrackingUpdateMsg',393,1),
(24785,63213,64644,'OP_TradeskillList',741,1),
(24786,63213,64644,'OP_TraitsList',764,1),
(24787,63213,64644,'OP_UIEvent',532,1),
(24788,63213,64644,'OP_UIResetMsg',177,1),
(24789,63213,64644,'OP_UISettingsResponseMsg',176,1),
(24790,63213,64644,'OP_Unknown',798,1),
(24791,63213,64644,'OP_UnknownNpcMsg',377,1),
(24792,63213,64644,'OP_UpdateActivePublicZonesMsg',376,1),
(24793,63213,64644,'OP_UpdateCharacterSheetMsg',65,1),
(24794,63213,64644,'OP_UpdateClientPredFlagsMsg',249,1),
(24795,63213,64644,'OP_UpdateDebugRadiiMsg',383,1),
(24796,63213,64644,'OP_UpdateGroupMemberDataMsg',392,1),
(24797,63213,64644,'OP_UpdateHouseAccessDataMsg',147,1),
(24798,63213,64644,'OP_UpdateHouseDataMsg',146,1),
(24799,63213,64644,'OP_UpdateInventoryMsg',70,1),
(24800,63213,64644,'OP_UpdateItemCreationProcessUIMsg',227,1),
(24801,63213,64644,'OP_UpdateMotdMsg',211,1),
(24802,63213,64644,'OP_UpdateOpportunityMsg',77,1),
(24803,63213,64644,'OP_UpdatePositionMsg',41,1),
(24804,63213,64644,'OP_UpdateRaidMsg',385,1),
(24805,63213,64644,'OP_UpdateRecipeBookMsg',72,1),
(24806,63213,64644,'OP_UpdateSkillBookMsg',75,1),
(24807,63213,64644,'OP_UpdateSkillsMsg',76,1),
(24808,63213,64644,'OP_UpdateSpellBookMsg',68,1),
(24809,63213,64644,'OP_UpdateTargetLocMsg',64,1),
(24810,63213,64644,'OP_UpdateTargetMsg',63,1),
(24811,63213,64644,'OP_UpdateTitleCmd',500,1),
(24812,63213,64644,'OP_UseAdornment',752,1),
(24813,63213,64644,'OP_VideoUploaded',584,1),
(24814,63213,64644,'OP_VoiceChatChannel',525,1),
(24815,63213,64644,'OP_VoiceChatServer',768,1),
(24816,63213,64644,'OP_WaypointReplyMsg',353,1),
(24817,63213,64644,'OP_WaypointRequestMsg',352,1),
(24818,63213,64644,'OP_WaypointSelectMsg',354,1),
(24819,63213,64644,'OP_WaypointUpdateMsg',355,1),
(24820,63213,64644,'OP_Weakness',588,1),
(24821,63213,64644,'OP_WhoQueryReplyMsg',56,1),
(24822,63213,64644,'OP_WhoQueryRequestMsg',55,1),
(24823,63213,64644,'OP_WorldDataChangeMsg',415,1),
(24824,63213,64644,'OP_WorldDataUpdateMsg',240,1),
(24825,63213,64644,'OP_WorldListMsg',8,1),
(24826,63213,64644,'OP_WorldPingMsg',404,1),
(24827,63213,64644,'OP_WorldShutdownUpdateMsg',408,1),
(24828,63213,64644,'OP_WorldStatusChangeMsg',6,1),
(24829,63213,64644,'OP_WorldTravelAvail',577,1),
(24830,63213,64644,'OP_WSAcctLockStatusMsg',208,1),
(24831,63213,64644,'OP_WSCreateCharacterReplyMsg',14,1),
(24832,63213,64644,'OP_WSCreateCharacterRequestMsg',13,1),
(24833,63213,64644,'OP_WSLoginRequestMsg',2,1),
(24834,63213,64644,'OP_WSServerHideMsg',370,1),
(24835,63213,64644,'OP_WSServerLockMsg',368,1),
(24836,63213,64644,'OP_WSStatusReplyMsg',5,1),
(24837,63213,64644,'OP_ZoneBgInstanceList',573,1),
(24838,63213,64644,'OP_ZoneInfoMsg',35,1),
(24839,63213,64644,'OP_ZoneInstanceCreateReplyMsg',32,1),
(24840,63213,64644,'OP_ZoneInstanceDestroyedMsg',33,1),
(24841,63213,64644,'OP_ZoneMOTDMsg',47,1),
(24842,63213,64644,'OP_ZonesStatusMsg',105,1),
(24843,63213,64644,'OP_ZonesStatusRequestMsg',104,1),
(24844,63213,64644,'OP_ZoneToFriendReplyMsg',288,1),
(24845,63213,64644,'OP_ZoneToFriendRequestMsg',287,1),
(25309,64647,64661,'OP_AchievementUpdateMsg',780,1),
(25310,64647,64661,'OP_AddSocialStructureStandingMsg',253,1),
(25311,64647,64661,'OP_AdvancementRequestMsg',398,1),
(25312,64647,64661,'OP_AdventureList',494,1),
(25313,64647,64661,'OP_AFKUpdateMsg',374,1),
(25314,64647,64661,'OP_AfterInvSpellUpdate',71,1),
(25315,64647,64661,'OP_AllCharactersDescReplyMsg',10,1),
(25316,64647,64661,'OP_AllCharactersDescRequestMsg',9,1),
(25317,64647,64661,'OP_AllWSDescRequestMsg',7,1),
(25318,64647,64661,'OP_AnonUpdateMsg',375,1),
(25319,64647,64661,'OP_ArenaCreate',461,1),
(25320,64647,64661,'OP_ArenaGameTypesMsg',450,1),
(25321,64647,64661,'OP_ArenaList',462,1),
(25322,64647,64661,'OP_ArenaWindow',470,1),
(25323,64647,64661,'OP_AttackAllowed',506,1),
(25324,64647,64661,'OP_AttackNotAllowed',507,1),
(25325,64647,64661,'OP_AuctionAbortMsg',441,1),
(25326,64647,64661,'OP_AuctionCharacter',438,1),
(25327,64647,64661,'OP_AuctionCharacterReply',439,1),
(25328,64647,64661,'OP_AuctionCoin',436,1),
(25329,64647,64661,'OP_AuctionCoinReply',437,1),
(25330,64647,64661,'OP_AuctionCommitMsg',440,1),
(25331,64647,64661,'OP_AuctionItem',434,1),
(25332,64647,64661,'OP_AuctionItemReply',435,1),
(25333,64647,64661,'OP_AuditAuctionEventMsg',451,1),
(25334,64647,64661,'OP_AvatarCreatedMsg',48,1),
(25335,64647,64661,'OP_AvatarDestroyedMsg',49,1),
(25336,64647,64661,'OP_AvatarUpdateMsg',364,1),
(25337,64647,64661,'OP_BadLanguageFilter',524,1),
(25338,64647,64661,'OP_BagOptions',508,1),
(25339,64647,64661,'OP_BeginItemCreationMsg',224,1),
(25340,64647,64661,'OP_BeginTrackingMsg',394,1),
(25341,64647,64661,'OP_BioUpdateMsg',366,1),
(25342,64647,64661,'OP_BrokerAddBag',296,1),
(25343,64647,64661,'OP_BrokerRemoveBag',297,1),
(25344,64647,64661,'OP_BrokerSellList',723,1),
(25345,64647,64661,'OP_BuyPlayerHouseMsg',153,1),
(25346,64647,64661,'OP_BuyPlayerHouseTintMsg',154,1),
(25347,64647,64661,'OP_CampAbortedMsg',54,1),
(25348,64647,64661,'OP_CampClientMsg',391,1),
(25349,64647,64661,'OP_CampStartedMsg',53,1),
(25350,64647,64661,'OP_CancelCreateFromRecipeMsg',223,1),
(25351,64647,64661,'OP_CancelledFeignMsg',219,1),
(25352,64647,64661,'OP_CancelMoveObjectModeMsg',166,1),
(25353,64647,64661,'OP_CancelSpellCast',495,1),
(25354,64647,64661,'OP_ChangeServerControlFlagMsg',250,1),
(25355,64647,64661,'OP_ChangeZoneMsg',79,1),
(25356,64647,64661,'OP_CharacterAchievements',779,1),
(25357,64647,64661,'OP_CharacterCreatedDungeons',558,1),
(25358,64647,64661,'OP_CharacterCurrency',778,1),
(25359,64647,64661,'OP_CharacterHousingList',513,1),
(25360,64647,64661,'OP_CharacterLinkdeadMsg',419,1),
(25361,64647,64661,'OP_CharacterMerc',67,1),
(25362,64647,64661,'OP_CharacterMounts',589,1),
(25363,64647,64661,'OP_CharacterPet',66,1),
(25364,64647,64661,'OP_CharNameChangedMsg',356,1),
(25365,64647,64661,'OP_CharRenamed',744,1),
(25366,64647,64661,'OP_CharTransferCommitReplyMsg',427,1),
(25367,64647,64661,'OP_CharTransferCommitRequestMsg',425,1),
(25368,64647,64661,'OP_CharTransferReplyMsg',423,1),
(25369,64647,64661,'OP_CharTransferRequestMsg',422,1),
(25370,64647,64661,'OP_CharTransferRollbackReplyMsg',426,1),
(25371,64647,64661,'OP_CharTransferRollbackRequestMsg',424,1),
(25372,64647,64661,'OP_CharTransferStartReplyMsg',421,1),
(25373,64647,64661,'OP_CharTransferStartRequestMsg',420,1),
(25374,64647,64661,'OP_CharTransferValidateReplyMsg',443,1),
(25375,64647,64661,'OP_CharTransferValidateRequestMsg',442,1),
(25376,64647,64661,'OP_ChatCreateChannelMsg',289,1),
(25377,64647,64661,'OP_ChatFiltersMsg',338,1),
(25378,64647,64661,'OP_ChatJoinChannelMsg',290,1),
(25379,64647,64661,'OP_ChatLeaveChannelMsg',292,1),
(25380,64647,64661,'OP_ChatRelationshipUpdateMsg',187,1),
(25381,64647,64661,'OP_ChatSendFriendsMsg',299,1),
(25382,64647,64661,'OP_ChatSendIgnoresMsg',300,1),
(25383,64647,64661,'OP_ChatTellChannelMsg',293,1),
(25384,64647,64661,'OP_ChatTellUserMsg',294,1),
(25385,64647,64661,'OP_ChatToggleFriendMsg',295,1),
(25386,64647,64661,'OP_ChatToggleIgnoreMsg',298,1),
(25387,64647,64661,'OP_ChatWhoChannelMsg',291,1),
(25388,64647,64661,'OP_ClearDataMsg',100,1),
(25389,64647,64661,'OP_ClearForLandingMsg',497,1),
(25390,64647,64661,'OP_ClearForTakeOffMsg',194,1),
(25391,64647,64661,'OP_ClientCmdMsg',60,1),
(25392,64647,64661,'OP_ClientFellMsg',389,1),
(25393,64647,64661,'OP_ClientIdleBeginMsg',410,1),
(25394,64647,64661,'OP_ClientIdleEndMsg',411,1),
(25395,64647,64661,'OP_ClientInDeathRegionMsg',390,1),
(25396,64647,64661,'OP_ClientTeleportRequestMsg',80,1),
(25397,64647,64661,'OP_ClientTeleportToLocationMsg',248,1),
(25398,64647,64661,'OP_CloseGroupInviteWindowMsg',401,1),
(25399,64647,64661,'OP_CollectAllHouseItemsMsg',155,1),
(25400,64647,64661,'OP_ConsignItemRequestMsg',129,1),
(25401,64647,64661,'OP_ConsignItemResponseMsg',130,1),
(25402,64647,64661,'OP_ConsignmentCloseStoreMsg',128,1),
(25403,64647,64661,'OP_ConsignRemoveItemsMsg',382,1),
(25404,64647,64661,'OP_ConsignViewCreateMsg',379,1),
(25405,64647,64661,'OP_ConsignViewGetPageMsg',380,1),
(25406,64647,64661,'OP_ConsignViewReleaseMsg',381,1),
(25407,64647,64661,'OP_ConsignViewSortMsg',387,1),
(25408,64647,64661,'OP_CorruptedClientMsg',414,1),
(25409,64647,64661,'OP_CreateBoatTransportsMsg',254,1),
(25410,64647,64661,'OP_CreateCharacterDungeon',552,1),
(25411,64647,64661,'OP_CreateCharacterReplyMsg',12,1),
(25412,64647,64661,'OP_CreateCharacterRequestMsg',11,1),
(25413,64647,64661,'OP_CreateCharFromCBBReplyMsg',431,1),
(25414,64647,64661,'OP_CreateCharFromCBBRequestMsg',430,1),
(25415,64647,64661,'OP_CreateGuildReplyMsg',123,1),
(25416,64647,64661,'OP_CreateGuildRequestMsg',121,1),
(25417,64647,64661,'OP_CreateZoneInstanceMsg',31,1),
(25418,64647,64661,'OP_CsCategoryRequestMsg',371,1),
(25419,64647,64661,'OP_CsCategoryResponseMsg',372,1),
(25420,64647,64661,'OP_CSTicketAddCommentMsg',237,1),
(25421,64647,64661,'OP_CSTicketChangeNotificationMsg',239,1),
(25422,64647,64661,'OP_CSTicketCommentRequestMsg',234,1),
(25423,64647,64661,'OP_CSTicketCommentResponseMsg',235,1),
(25424,64647,64661,'OP_CSTicketCreateMsg',236,1),
(25425,64647,64661,'OP_CSTicketDeleteMsg',238,1),
(25426,64647,64661,'OP_CSTicketHeaderRequestMsg',232,1),
(25427,64647,64661,'OP_CSTicketInfoMsg',233,1),
(25428,64647,64661,'OP_CSToolAccessResponseMsg',392,1),
(25429,64647,64661,'OP_CSToolsRequestMsg',251,1),
(25430,64647,64661,'OP_CSToolsResponseMsg',252,1),
(25431,64647,64661,'OP_CurrentPet',490,1),
(25432,64647,64661,'OP_CustomizationPurchaseRequestMs',170,1),
(25433,64647,64661,'OP_CustomizationReplyMsg',172,1),
(25434,64647,64661,'OP_CustomizationSetRequestMsg',171,1),
(25435,64647,64661,'OP_CustomizeHouseDisplay',769,1),
(25436,64647,64661,'OP_DailyObjectives',602,1),
(25437,64647,64661,'OP_DefaultGroupOptionsMsg',201,1),
(25438,64647,64661,'OP_DefaultGroupOptionsRequestMsg',200,1),
(25439,64647,64661,'OP_DeityAbilityWindow',622,1),
(25440,64647,64661,'OP_DeleteCharacterReplyMsg',19,1),
(25441,64647,64661,'OP_DeleteCharacterRequestMsg',18,1),
(25442,64647,64661,'OP_DeleteGuildMsg',126,1),
(25443,64647,64661,'OP_DestUpdateReq',213,1),
(25444,64647,64661,'OP_DialogCloseMsg',112,1),
(25445,64647,64661,'OP_DialogSelectMsg',111,1),
(25446,64647,64661,'OP_DispatchClientCmdMsg',62,1),
(25447,64647,64661,'OP_DispatchESMsg',61,1),
(25448,64647,64661,'OP_DispatchMsg',456,1),
(25449,64647,64661,'OP_DispatchSpellCmdMsg',182,1),
(25450,64647,64661,'OP_DisplayDebugNLLPointsMsg',258,1),
(25451,64647,64661,'OP_DisplayEventMsg',457,1),
(25452,64647,64661,'OP_DisplayExchangeScreenMsg',449,1),
(25453,64647,64661,'OP_DisplayGroupOptionsScreenMsg',203,1),
(25454,64647,64661,'OP_DisplayInnVisitScreenMsg',205,1),
(25455,64647,64661,'OP_DisplayMailScreenMsg',409,1),
(25456,64647,64661,'OP_DisplayTSEventReactionMsg',228,1),
(25457,64647,64661,'OP_DisplayWarningMsg',269,1),
(25458,64647,64661,'OP_DoneLoadingEntityResourcesMsg',38,1),
(25459,64647,64661,'OP_DoneLoadingZoneResourcesMsg',36,1),
(25460,64647,64661,'OP_DoneSendingInitialEntitiesMsg',37,1),
(25461,64647,64661,'OP_DressingRoom',516,1),
(25462,64647,64661,'OP_DumpSchedulerMsg',206,1),
(25463,64647,64661,'OP_DungeonMakerEnter',553,1),
(25464,64647,64661,'OP_DungeonMakerItemRequest',557,1),
(25465,64647,64661,'OP_DungeonMakerItemResponse',587,1),
(25466,64647,64661,'OP_DungeonMakerToolboxList',559,1),
(25467,64647,64661,'OP_DungeonMakerUnknown',560,1),
(25468,64647,64661,'OP_DungeonMakerUnknown1',561,1),
(25469,64647,64661,'OP_DungeonPlayAsAvatarList',783,1),
(25470,64647,64661,'OP_DungeonPlayAsAvatarSelected',784,1),
(25471,64647,64661,'OP_EarlyLandingRequestMsg',491,1),
(25472,64647,64661,'OP_EncounterBrokenMsg',267,1),
(25473,64647,64661,'OP_EnterHouseMsg',157,1),
(25474,64647,64661,'OP_EnterMoveObjectModeMsg',164,1),
(25475,64647,64661,'OP_EntityVerbsReplyMsg',184,1),
(25476,64647,64661,'OP_EntityVerbsRequestMsg',183,1),
(25477,64647,64661,'OP_EntityVerbsVerbMsg',185,1),
(25478,64647,64661,'OP_EqArenaResultsCmd',734,1),
(25479,64647,64661,'OP_EqAvailWorldChannelsCmd',721,1),
(25480,64647,64661,'OP_EqBetaCopyRequest',640,1),
(25481,64647,64661,'OP_EqCannedEmoteCmd',663,1),
(25482,64647,64661,'OP_EqChatChannelUpdateCmd',719,1),
(25483,64647,64661,'OP_EqChoiceWinCmd',700,1),
(25484,64647,64661,'OP_EqCloseWindowCmd',692,1),
(25485,64647,64661,'OP_EqCollectionFilterCmd',679,1),
(25486,64647,64661,'OP_EqCollectionItemCmd',680,1),
(25487,64647,64661,'OP_EqCollectionUpdateCmd',678,1),
(25488,64647,64661,'OP_EqConsignmentItemsCmd',724,1),
(25489,64647,64661,'OP_EqCreateGhostCmd',645,1),
(25490,64647,64661,'OP_EqCreateListBoxCmd',660,1),
(25491,64647,64661,'OP_EqCreateSignWidgetCmd',647,1),
(25492,64647,64661,'OP_EqCreateWidgetCmd',646,1),
(25493,64647,64661,'OP_EqDebugPVDCmd',713,1),
(25494,64647,64661,'OP_EqDestroyGhostCmd',648,1),
(25495,64647,64661,'OP_EqDialogCloseCmd',676,1),
(25496,64647,64661,'OP_EqDialogOpenCmd',675,1),
(25497,64647,64661,'OP_EqDisplaySpellFailCmd',696,1),
(25498,64647,64661,'OP_EqDisplayTextCmd',644,1),
(25499,64647,64661,'OP_EqDrawablePathGraphCmd',674,1),
(25500,64647,64661,'OP_EqEnableGameEventCmd',706,1),
(25501,64647,64661,'OP_EqEnableWindowCmd',708,1),
(25502,64647,64661,'OP_EqExamineInfoCmd',691,1),
(25503,64647,64661,'OP_EqFactionUpdateCmd',677,1),
(25504,64647,64661,'OP_EqFlashWindowCmd',709,1),
(25505,64647,64661,'OP_EqGetProbsCmd',717,1),
(25506,64647,64661,'OP_EqGroupMemberRemovedCmd',670,1),
(25507,64647,64661,'OP_EqGuildBankEventActionCmd',735,1),
(25508,64647,64661,'OP_EqGuildBankExamineInfoCmd',736,1),
(25509,64647,64661,'OP_EqHearChainEffectCmd',671,1),
(25510,64647,64661,'OP_EqHearChatCmd',643,1),
(25511,64647,64661,'OP_EqHearCombatCmd',652,1),
(25512,64647,64661,'OP_EqHearConsiderCmd',658,1),
(25513,64647,64661,'OP_EqHearDeathCmd',669,1),
(25514,64647,64661,'OP_EQHearDispellCmd',781,1),
(25515,64647,64661,'OP_EqHearDrowningCmd',668,1),
(25516,64647,64661,'OP_EqHearHealCmd',718,1),
(25517,64647,64661,'OP_EqHearPlayFlavorCmd',711,1),
(25518,64647,64661,'OP_EQHearProcCmd',654,1),
(25519,64647,64661,'OP_EQHearResEffectCmd',655,1),
(25520,64647,64661,'OP_EqHearSpellCastCmd',653,1),
(25521,64647,64661,'OP_EqHearSpellFizzleCmd',657,1),
(25522,64647,64661,'OP_EqHearSpellInterruptCmd',656,1),
(25523,64647,64661,'OP_EqHearSpellNoLandCmd',737,1),
(25524,64647,64661,'OP_EQHearThreatCmd',775,1),
(25525,64647,64661,'OP_EqHelpPathClearCmd',689,1),
(25526,64647,64661,'OP_EqHelpPathCmd',688,1),
(25527,64647,64661,'OP_EqInspectPCResultsCmd',673,1),
(25528,64647,64661,'OP_EqInstructionWindowCloseCmd',703,1),
(25529,64647,64661,'OP_EqInstructionWindowCmd',702,1),
(25530,64647,64661,'OP_EqInstructionWindowGoalCmd',704,1),
(25531,64647,64661,'OP_EqInstructionWindowTaskCmd',705,1),
(25532,64647,64661,'OP_EqJunctionListCmd',694,1),
(25533,64647,64661,'OP_EqMapExplorationCmd',727,1),
(25534,64647,64661,'OP_EqMentoring',682,1),
(25535,64647,64661,'OP_EqPlaySound3DCmd',666,1),
(25536,64647,64661,'OP_EqPlaySoundCmd',665,1),
(25537,64647,64661,'OP_EqPlayVoiceCmd',667,1),
(25538,64647,64661,'OP_EqQuestGroupCmd',684,1),
(25539,64647,64661,'OP_EqQuestionnaireCmd',715,1),
(25540,64647,64661,'OP_EqQuestJournalReplyCmd',683,1),
(25541,64647,64661,'OP_EqQuestJournalUpdateCmd',681,1),
(25542,64647,64661,'OP_EqReceiveOfferCmd',672,1),
(25543,64647,64661,'OP_EqResurrectedCmd',699,1),
(25544,64647,64661,'OP_EqSetControlGhostCmd',650,1),
(25545,64647,64661,'OP_EqSetDebugPathPointsCmd',661,1),
(25546,64647,64661,'OP_EqSetDefaultVerbCmd',701,1),
(25547,64647,64661,'OP_EqSetPOVGhostCmd',651,1),
(25548,64647,64661,'OP_EqShowBookCmd',714,1),
(25549,64647,64661,'OP_EqShowDeathWindowCmd',695,1),
(25550,64647,64661,'OP_EqShowWindowCmd',707,1),
(25551,64647,64661,'OP_EqSpellCastEndCmd',698,1),
(25552,64647,64661,'OP_EqSpellCastStartCmd',697,1),
(25553,64647,64661,'OP_EqSpellMoveToRangeAndRetryCmd',729,1),
(25554,64647,64661,'OP_EqStartBrokerCmd',726,1),
(25555,64647,64661,'OP_EqStateCmd',664,1),
(25556,64647,64661,'OP_EqStoreLogCmd',728,1),
(25557,64647,64661,'OP_EqUpdateBankCmd',690,1),
(25558,64647,64661,'OP_EqUpdateGhostCmd',649,1),
(25559,64647,64661,'OP_EqUpdateLootCmd',693,1),
(25560,64647,64661,'OP_EqUpdateMerchantCmd',685,1),
(25561,64647,64661,'OP_EqUpdatePlayerMailCmd',730,1),
(25562,64647,64661,'OP_EqUpdatePlayerTradeCmd',687,1),
(25563,64647,64661,'OP_EqUpdateSignWidgetCmd',712,1),
(25564,64647,64661,'OP_EqUpdateStoreCmd',686,1),
(25565,64647,64661,'OP_EqUpdateSubClassesCmd',659,1),
(25566,64647,64661,'OP_EqUpdateTargetCmd',722,1),
(25567,64647,64661,'OP_EqWhoChannelQueryReplyCmd',720,1),
(25568,64647,64661,'OP_ESInitMsg',27,1),
(25569,64647,64661,'OP_ESLoginRequestMsg',3,1),
(25570,64647,64661,'OP_ESReadyForClientsMsg',28,1),
(25571,64647,64661,'OP_ESStatusMsg',102,1),
(25572,64647,64661,'OP_ESWeatherRequestEndMsg',107,1),
(25573,64647,64661,'OP_ESWeatherRequestMsg',106,1),
(25574,64647,64661,'OP_ESZoneInstanceStatusMsg',103,1),
(25575,64647,64661,'OP_ExamineConsignmentRequestMsg',174,1),
(25576,64647,64661,'OP_ExamineConsignmentResponseMsg',175,1),
(25577,64647,64661,'OP_ExamineInfoRequestMsg',259,1),
(25578,64647,64661,'OP_ExamineItemRequestMsg',198,1),
(25579,64647,64661,'OP_ExitHouseMsg',158,1),
(25580,64647,64661,'OP_ExpectClientAsCharacterReplyMs',24,1),
(25581,64647,64661,'OP_ExpectClientAsCharacterRequest',34,1),
(25582,64647,64661,'OP_ExpPurchWindow',760,1),
(25583,64647,64661,'OP_FellowshipExpMsg',125,1),
(25584,64647,64661,'OP_FlightPathsMsg',418,1),
(25585,64647,64661,'OP_GameWorldTimeMsg',45,1),
(25586,64647,64661,'OP_GetAuctionAssetIDMsg',446,1),
(25587,64647,64661,'OP_GetAuctionAssetIDReplyMsg',447,1),
(25588,64647,64661,'OP_GetAvatarAccessRequestForCSToo',397,1),
(25589,64647,64661,'OP_GetCharacterSerializedReplyMsg',429,1),
(25590,64647,64661,'OP_GetCharacterSerializedRequestM',428,1),
(25591,64647,64661,'OP_GroupCreatedMsg',90,1),
(25592,64647,64661,'OP_GroupDestroyedMsg',91,1),
(25593,64647,64661,'OP_GroupLeaderChangedMsg',95,1),
(25594,64647,64661,'OP_GroupMemberAddedMsg',92,1),
(25595,64647,64661,'OP_GroupMemberRemovedMsg',93,1),
(25596,64647,64661,'OP_GroupOptionsMsg',202,1),
(25597,64647,64661,'OP_GroupRemovedFromGroupMsg',94,1),
(25598,64647,64661,'OP_GroupResendOOZDataMsg',96,1),
(25599,64647,64661,'OP_GroupSettingsChangedMsg',97,1),
(25600,64647,64661,'OP_GuildBankActionMsg',278,1),
(25601,64647,64661,'OP_GuildBankActionResponseMsg',279,1),
(25602,64647,64661,'OP_GuildBankEventListMsg',283,1),
(25603,64647,64661,'OP_GuildBankItemDetailsRequestMsg',280,1),
(25604,64647,64661,'OP_GuildBankItemDetailsResponseMs',281,1),
(25605,64647,64661,'OP_GuildBankUpdateMsg',282,1),
(25606,64647,64661,'OP_GuildEventActionMsg',273,1),
(25607,64647,64661,'OP_GuildEventAddMsg',272,1),
(25608,64647,64661,'OP_GuildEventDetailsMsg',276,1),
(25609,64647,64661,'OP_GuildEventListMsg',274,1),
(25610,64647,64661,'OP_GuildEventMsg',271,1),
(25611,64647,64661,'OP_GuildMembershipResponseMsg',361,1),
(25612,64647,64661,'OP_GuildRecruiting',740,1),
(25613,64647,64661,'OP_GuildRecruitingDetails',741,1),
(25614,64647,64661,'OP_GuildRecruitingImage',742,1),
(25615,64647,64661,'OP_GuildRecruitingMemberInfo',739,1),
(25616,64647,64661,'OP_GuildsayMsg',124,1),
(25617,64647,64661,'OP_GuildStatusUpdate',733,1),
(25618,64647,64661,'OP_GuildUpdateMsg',127,1),
(25619,64647,64661,'OP_HeritageMsg',10026,1),
(25620,64647,64661,'OP_HideIllusionsMsg',197,1),
(25621,64647,64661,'OP_HouseAccessRemoveMsg',161,1),
(25622,64647,64661,'OP_HouseAccessSetMsg',160,1),
(25623,64647,64661,'OP_HouseCustomizationScreenMsg',169,1),
(25624,64647,64661,'OP_HouseDefaultAccessSetMsg',159,1),
(25625,64647,64661,'OP_HouseDeletedRemotelyMsg',145,1),
(25626,64647,64661,'OP_HouseItemsList',489,1),
(25627,64647,64661,'OP_HousingDataChangedMsg',432,1),
(25628,64647,64661,'OP_HousingRestoreMsg',433,1),
(25629,64647,64661,'OP_InspectPlayerMsg',367,1),
(25630,64647,64661,'OP_InspectPlayerRequestMsg',455,1),
(25631,64647,64661,'OP_InviteRequestMsg',452,1),
(25632,64647,64661,'OP_InviteResponseMsg',453,1),
(25633,64647,64661,'OP_InviteTargetResponseMsg',454,1),
(25634,64647,64661,'OP_JoinGuildNotifyMsg',363,1),
(25635,64647,64661,'OP_JournalQuestStoryline',782,1),
(25636,64647,64661,'OP_KeymapDataMsg',180,1),
(25637,64647,64661,'OP_KeymapLoadMsg',178,1),
(25638,64647,64661,'OP_KeymapNoneMsg',179,1),
(25639,64647,64661,'OP_KeymapSaveMsg',181,1),
(25640,64647,64661,'OP_KnowledgebaseRequestMsg',230,1),
(25641,64647,64661,'OP_KnowledgebaseResponseMsg',231,1),
(25642,64647,64661,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(25643,64647,64661,'OP_KnownLanguagesMsg',242,1),
(25644,64647,64661,'OP_Launchpad',580,1),
(25645,64647,64661,'OP_LeaveGuildNotifyMsg',362,1),
(25646,64647,64661,'OP_LevelChangedMsg',265,1),
(25647,64647,64661,'OP_LFGGroupSearch',510,1),
(25648,64647,64661,'OP_LFGUpdateMsg',523,1),
(25649,64647,64661,'OP_LikeOption',139,1),
(25650,64647,64661,'OP_LoadCalendarEvents',583,1),
(25651,64647,64661,'OP_LoadWelcomeWindow',567,1),
(25652,64647,64661,'OP_LoginByNumRequestMsg',1,1),
(25653,64647,64661,'OP_LoginReplyMsg',4,1),
(25654,64647,64661,'OP_LoginRequestMsg',0,1),
(25655,64647,64661,'OP_LootItemsRequestMsg',188,1),
(25656,64647,64661,'OP_Lottery',738,1),
(25657,64647,64661,'OP_LSCheckAcctLockMsg',207,1),
(25658,64647,64661,'OP_LsClientAlertlogReplyMsg',246,1),
(25659,64647,64661,'OP_LsClientBaselogReplyMsg',244,1),
(25660,64647,64661,'OP_LsClientCrashlogReplyMsg',245,1),
(25661,64647,64661,'OP_LsClientVerifylogReplyMsg',247,1),
(25662,64647,64661,'OP_LsRequestClientCrashLogMsg',243,1),
(25663,64647,64661,'OP_LSServerLockMsg',369,1),
(25664,64647,64661,'OP_MacroInitMsg',262,1),
(25665,64647,64661,'OP_MacroUpdateMsg',263,1),
(25666,64647,64661,'OP_MailCommitSendMessageMsg',348,1),
(25667,64647,64661,'OP_MailDeleteMessageMsg',344,1),
(25668,64647,64661,'OP_MailEventNotificationMsg',416,1),
(25669,64647,64661,'OP_MailGetHeadersReplyMsg',345,1),
(25670,64647,64661,'OP_MailGetMessageMsg',342,1),
(25671,64647,64661,'OP_MailGetMessageReplyMsg',346,1),
(25672,64647,64661,'OP_MailRemoveAttachFromMailMsg',350,1),
(25673,64647,64661,'OP_MailSendMessageMsg',343,1),
(25674,64647,64661,'OP_MailSendMessageReplyMsg',347,1),
(25675,64647,64661,'OP_MailSendSystemMessageMsg',349,1),
(25676,64647,64661,'OP_MakeGroupLeaderMsg',89,1),
(25677,64647,64661,'OP_MapFogDataInitMsg',399,1),
(25678,64647,64661,'OP_MapFogDataUpdateMsg',400,1),
(25679,64647,64661,'OP_MapRequest',526,1),
(25680,64647,64661,'OP_MarketAddFundsReply',534,1),
(25681,64647,64661,'OP_MarketAddFundsRequest',533,1),
(25682,64647,64661,'OP_MarketFundsUpdate',531,1),
(25683,64647,64661,'OP_MarketPlaceItems',544,1),
(25684,64647,64661,'OP_MarketPlacePrices',537,1),
(25685,64647,64661,'OP_MarketPurchase',536,1),
(25686,64647,64661,'OP_MentorPopup',565,1),
(25687,64647,64661,'OP_MercHireWindow',786,1),
(25688,64647,64661,'OP_MercUnknown',787,1),
(25689,64647,64661,'OP_MigrateBoatTransportMsg',256,1),
(25690,64647,64661,'OP_MigrateBoatTransportReplyMsg',257,1),
(25691,64647,64661,'OP_MigrateClientToZoneReplyMsg',84,1),
(25692,64647,64661,'OP_MigrateClientToZoneRequestMsg',83,1),
(25693,64647,64661,'OP_ModifyGuildMsg',270,1),
(25694,64647,64661,'OP_MonitorCharacterListMsg',58,1),
(25695,64647,64661,'OP_MonitorCharacterListRequestMsg',59,1),
(25696,64647,64661,'OP_MonitorReplyMsg',57,1),
(25697,64647,64661,'OP_MOTDMsg',46,1),
(25698,64647,64661,'OP_MoveableObjectPlacementCriteri',163,1),
(25699,64647,64661,'OP_MoveLogUpdateMsg',405,1),
(25700,64647,64661,'OP_NotifyApprenticeStoppedMentori',413,1),
(25701,64647,64661,'OP_OfferQuestMsg',406,1),
(25702,64647,64661,'OP_OnscreenMsgMsg',268,1),
(25703,64647,64661,'OP_OpenCharCust',569,1),
(25704,64647,64661,'OP_OutOfZoneMemberDataMsg',98,1),
(25705,64647,64661,'OP_PaperdollImage',582,1),
(25706,64647,64661,'OP_PayHouseUpkeepMsg',162,1),
(25707,64647,64661,'OP_PerformCameraShakeMsg',217,1),
(25708,64647,64661,'OP_PerformPlayerKnockbackMsg',216,1),
(25709,64647,64661,'OP_PetOptions',204,1),
(25710,64647,64661,'OP_PetOptionsResponse',586,1),
(25711,64647,64661,'OP_PlayCharacterReplyMsg',21,1),
(25712,64647,64661,'OP_PlayCharacterRequestMsg',20,1),
(25713,64647,64661,'OP_PlayerHouseAccessUpdateMsg',150,1),
(25714,64647,64661,'OP_PlayerHouseBaseScreenMsg',148,1),
(25715,64647,64661,'OP_PlayerHouseCloseUIMsg',152,1),
(25716,64647,64661,'OP_PlayerHouseDisplayStatusMsg',151,1),
(25717,64647,64661,'OP_PlayerHousePurchaseScreenMsg',149,1),
(25718,64647,64661,'OP_PlayerMadeInstances',143,1),
(25719,64647,64661,'OP_PlayerMadeInstancesScreen',142,1),
(25720,64647,64661,'OP_PlayerPollAnswer',564,1),
(25721,64647,64661,'OP_PlayerPollPopup',563,1),
(25722,64647,64661,'OP_PlayLon',517,1),
(25723,64647,64661,'OP_PointOfInterest',764,1),
(25724,64647,64661,'OP_PointOfInterest2',765,1),
(25725,64647,64661,'OP_PopulateSkillMapsMsg',218,1),
(25726,64647,64661,'OP_PositionBoatTransportMsg',255,1),
(25727,64647,64661,'OP_PositionMoveableObject',165,1),
(25728,64647,64661,'OP_PostPossessionMsg',459,1),
(25729,64647,64661,'OP_PredictionUpdateMsg',39,1),
(25730,64647,64661,'OP_PrePossessionMsg',458,1),
(25731,64647,64661,'OP_PromoFlagsDetailsMsg',378,1),
(25732,64647,64661,'OP_PublishHouse',141,1),
(25733,64647,64661,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(25734,64647,64661,'OP_PurchaseConsignmentRequestMsg',131,1),
(25735,64647,64661,'OP_QueAllBgSolo',572,1),
(25736,64647,64661,'OP_QuestionnaireMsg',264,1),
(25737,64647,64661,'OP_QuestJournalInspectMsg',116,1),
(25738,64647,64661,'OP_QuestJournalOpenMsg',115,1),
(25739,64647,64661,'OP_QuestJournalSetVisibleMsg',117,1),
(25740,64647,64661,'OP_QuestJournalWaypointMsg',118,1),
(25741,64647,64661,'OP_QuestReward',324,1),
(25742,64647,64661,'OP_QuickbarInitMsg',260,1),
(25743,64647,64661,'OP_QuickbarUpdateMsg',261,1),
(25744,64647,64661,'OP_RaceRestrictionMsg',444,1),
(25745,64647,64661,'OP_ReadBookPageMsg',199,1),
(25746,64647,64661,'OP_ReadyForTakeOffMsg',195,1),
(25747,64647,64661,'OP_ReadyToZoneMsg',86,1),
(25748,64647,64661,'OP_RecipeBook',545,1),
(25749,64647,64661,'OP_RecipeDetailsMsg',74,1),
(25750,64647,64661,'OP_RecipeList',776,1),
(25751,64647,64661,'OP_RecipeListUnknown',598,1),
(25752,64647,64661,'OP_RelinquishHouseMsg',156,1),
(25753,64647,64661,'OP_ReloadLocalizedTxtMsg',359,1),
(25754,64647,64661,'OP_RemoteCmdMsg',44,1),
(25755,64647,64661,'OP_RemoveClientFromGroupMsg',87,1),
(25756,64647,64661,'OP_RemoveConcentrationMsg',114,1),
(25757,64647,64661,'OP_RemoveGroupFromGroupMsg',88,1),
(25758,64647,64661,'OP_RemoveSpellEffectMsg',113,1),
(25759,64647,64661,'OP_RenameGuildMsg',286,1),
(25760,64647,64661,'OP_ReplaceableSubMeshesMsg',168,1),
(25761,64647,64661,'OP_ReportMsg',384,1),
(25762,64647,64661,'OP_RequestCampMsg',52,1),
(25763,64647,64661,'OP_RequestGuildBankEventDetailsMs',284,1),
(25764,64647,64661,'OP_RequestGuildEventDetailsMsg',275,1),
(25765,64647,64661,'OP_RequestGuildInfoMsg',277,1),
(25766,64647,64661,'OP_RequestGuildMembershipMsg',360,1),
(25767,64647,64661,'OP_RequestHelpRepathMsg',209,1),
(25768,64647,64661,'OP_RequestRecipeDetailsMsg',73,1),
(25769,64647,64661,'OP_RequestTargetLocMsg',210,1),
(25770,64647,64661,'OP_Research',777,1),
(25771,64647,64661,'OP_ResendWorldChannelsMsg',448,1),
(25772,64647,64661,'OP_ReskinCharacterRequestMsg',15,1),
(25773,64647,64661,'OP_RestartZoneMsg',417,1),
(25774,64647,64661,'OP_RewardPackMsg',285,1),
(25775,64647,64661,'OP_SatMsg',192,1),
(25776,64647,64661,'OP_SavageBarInitMsg',585,1),
(25777,64647,64661,'OP_SelectZoneTeleporterDestinatio',358,1),
(25778,64647,64661,'OP_SendLatestRequestMsg',99,1),
(25779,64647,64661,'OP_ServerPlayCharacterReplyMsg',26,1),
(25780,64647,64661,'OP_ServerPlayCharacterRequestMsg',25,1),
(25781,64647,64661,'OP_SetInstanceDisplayNameMsg',445,1),
(25782,64647,64661,'OP_SetRemoteCmdsMsg',43,1),
(25783,64647,64661,'OP_SetSocialMsg',101,1),
(25784,64647,64661,'OP_ShaderCustomizationMsg',167,1),
(25785,64647,64661,'OP_ShowCreateFromRecipeUIMsg',222,1),
(25786,64647,64661,'OP_ShowIllusionsMsg',196,1),
(25787,64647,64661,'OP_ShowItemCreationProcessUIMsg',226,1),
(25788,64647,64661,'OP_ShowRecipeBookMsg',229,1),
(25789,64647,64661,'OP_ShowZoneTeleporterDestinations',357,1),
(25790,64647,64661,'OP_SitMsg',190,1),
(25791,64647,64661,'OP_SkillInfoRequest',519,1),
(25792,64647,64661,'OP_SkillInfoResponse',520,1),
(25793,64647,64661,'OP_SOEAllAccess',643,1),
(25794,64647,64661,'OP_SpellGainedMsg',266,1),
(25795,64647,64661,'OP_StandMsg',191,1),
(25796,64647,64661,'OP_StoodMsg',193,1),
(25797,64647,64661,'OP_StopItemCreationMsg',225,1),
(25798,64647,64661,'OP_StoppedLootingMsg',189,1),
(25799,64647,64661,'OP_StopTrackingMsg',395,1),
(25800,64647,64661,'OP_SubmitCharCust',570,1),
(25801,64647,64661,'OP_SupplyDepot',774,1),
(25802,64647,64661,'OP_SysClient',221,1),
(25803,64647,64661,'OP_TeleportWithinZoneMsg',81,1),
(25804,64647,64661,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(25805,64647,64661,'OP_TintWidgetsMsg',173,1),
(25806,64647,64661,'OP_TitleUpdateMsg',388,1),
(25807,64647,64661,'OP_TrackingUpdateMsg',393,1),
(25808,64647,64661,'OP_TradeskillList',743,1),
(25809,64647,64661,'OP_TraitsList',766,1),
(25810,64647,64661,'OP_UIEvent',532,1),
(25811,64647,64661,'OP_UIResetMsg',177,1),
(25812,64647,64661,'OP_UISettingsResponseMsg',176,1),
(25813,64647,64661,'OP_Unknown',800,1),
(25814,64647,64661,'OP_UnknownNpcMsg',377,1),
(25815,64647,64661,'OP_UpdateActivePublicZonesMsg',376,1),
(25816,64647,64661,'OP_UpdateCharacterSheetMsg',65,1),
(25817,64647,64661,'OP_UpdateClientPredFlagsMsg',249,1),
(25818,64647,64661,'OP_UpdateDebugRadiiMsg',383,1),
(25819,64647,64661,'OP_UpdateGroupMemberDataMsg',392,1),
(25820,64647,64661,'OP_UpdateHouseAccessDataMsg',147,1),
(25821,64647,64661,'OP_UpdateHouseDataMsg',146,1),
(25822,64647,64661,'OP_UpdateInventoryMsg',70,1),
(25823,64647,64661,'OP_UpdateItemCreationProcessUIMsg',227,1),
(25824,64647,64661,'OP_UpdateMotdMsg',211,1),
(25825,64647,64661,'OP_UpdateOpportunityMsg',77,1),
(25826,64647,64661,'OP_UpdatePositionMsg',41,1),
(25827,64647,64661,'OP_UpdateRaidMsg',385,1),
(25828,64647,64661,'OP_UpdateRecipeBookMsg',72,1),
(25829,64647,64661,'OP_UpdateSkillBookMsg',75,1),
(25830,64647,64661,'OP_UpdateSkillsMsg',76,1),
(25831,64647,64661,'OP_UpdateSpellBookMsg',68,1),
(25832,64647,64661,'OP_UpdateTargetLocMsg',64,1),
(25833,64647,64661,'OP_UpdateTargetMsg',63,1),
(25834,64647,64661,'OP_UpdateTitleCmd',500,1),
(25835,64647,64661,'OP_UseAdornment',754,1),
(25836,64647,64661,'OP_VideoUploaded',584,1),
(25837,64647,64661,'OP_VoiceChatChannel',525,1),
(25838,64647,64661,'OP_VoiceChatServer',770,1),
(25839,64647,64661,'OP_WaypointReplyMsg',353,1),
(25840,64647,64661,'OP_WaypointRequestMsg',352,1),
(25841,64647,64661,'OP_WaypointSelectMsg',354,1),
(25842,64647,64661,'OP_WaypointUpdateMsg',355,1),
(25843,64647,64661,'OP_Weakness',588,1),
(25844,64647,64661,'OP_WhoQueryReplyMsg',56,1),
(25845,64647,64661,'OP_WhoQueryRequestMsg',55,1),
(25846,64647,64661,'OP_WorldDataChangeMsg',415,1),
(25847,64647,64661,'OP_WorldDataUpdateMsg',240,1),
(25848,64647,64661,'OP_WorldListMsg',8,1),
(25849,64647,64661,'OP_WorldPingMsg',404,1),
(25850,64647,64661,'OP_WorldShutdownUpdateMsg',408,1),
(25851,64647,64661,'OP_WorldStatusChangeMsg',6,1),
(25852,64647,64661,'OP_WorldTravelAvail',577,1),
(25853,64647,64661,'OP_WSAcctLockStatusMsg',208,1),
(25854,64647,64661,'OP_WSCreateCharacterReplyMsg',14,1),
(25855,64647,64661,'OP_WSCreateCharacterRequestMsg',13,1),
(25856,64647,64661,'OP_WSLoginRequestMsg',2,1),
(25857,64647,64661,'OP_WSServerHideMsg',370,1),
(25858,64647,64661,'OP_WSServerLockMsg',368,1),
(25859,64647,64661,'OP_WSStatusReplyMsg',5,1),
(25860,64647,64661,'OP_ZoneBgInstanceList',573,1),
(25861,64647,64661,'OP_ZoneInfoMsg',35,1),
(25862,64647,64661,'OP_ZoneInstanceCreateReplyMsg',32,1),
(25863,64647,64661,'OP_ZoneInstanceDestroyedMsg',33,1),
(25864,64647,64661,'OP_ZoneMOTDMsg',47,1),
(25865,64647,64661,'OP_ZonesStatusMsg',105,1),
(25866,64647,64661,'OP_ZonesStatusRequestMsg',104,1),
(25867,64647,64661,'OP_ZoneToFriendReplyMsg',288,1),
(25868,64647,64661,'OP_ZoneToFriendRequestMsg',287,1),
(26332,64662,64677,'OP_LoginRequestMsg',0,1),
(26333,64662,64677,'OP_LoginByNumRequestMsg',1,1),
(26334,64662,64677,'OP_WSLoginRequestMsg',2,1),
(26335,64662,64677,'OP_ESLoginRequestMsg',3,1),
(26336,64662,64677,'OP_LoginReplyMsg',4,1),
(26337,64662,64677,'OP_WSStatusReplyMsg',5,1),
(26338,64662,64677,'OP_WorldStatusChangeMsg',6,1),
(26339,64662,64677,'OP_AllWSDescRequestMsg',7,1),
(26340,64662,64677,'OP_WorldListMsg',8,1),
(26341,64662,64677,'OP_AllCharactersDescRequestMsg',9,1),
(26342,64662,64677,'OP_AllCharactersDescReplyMsg',10,1),
(26343,64662,64677,'OP_CreateCharacterRequestMsg',11,1),
(26344,64662,64677,'OP_CreateCharacterReplyMsg',12,1),
(26345,64662,64677,'OP_WSCreateCharacterRequestMsg',13,1),
(26346,64662,64677,'OP_WSCreateCharacterReplyMsg',14,1),
(26347,64662,64677,'OP_ReskinCharacterRequestMsg',15,1),
(26348,64662,64677,'OP_DeleteCharacterRequestMsg',18,1),
(26349,64662,64677,'OP_DeleteCharacterReplyMsg',19,1),
(26350,64662,64677,'OP_PlayCharacterRequestMsg',20,1),
(26351,64662,64677,'OP_PlayCharacterReplyMsg',21,1),
(26352,64662,64677,'OP_ExpectClientAsCharacterReplyMs',24,1),
(26353,64662,64677,'OP_ServerPlayCharacterRequestMsg',25,1),
(26354,64662,64677,'OP_ServerPlayCharacterReplyMsg',26,1),
(26355,64662,64677,'OP_ESInitMsg',27,1),
(26356,64662,64677,'OP_ESReadyForClientsMsg',28,1),
(26357,64662,64677,'OP_CreateZoneInstanceMsg',31,1),
(26358,64662,64677,'OP_ZoneInstanceCreateReplyMsg',32,1),
(26359,64662,64677,'OP_ZoneInstanceDestroyedMsg',33,1),
(26360,64662,64677,'OP_ExpectClientAsCharacterRequest',34,1),
(26361,64662,64677,'OP_ZoneInfoMsg',35,1),
(26362,64662,64677,'OP_DoneLoadingZoneResourcesMsg',36,1),
(26363,64662,64677,'OP_DoneSendingInitialEntitiesMsg',37,1),
(26364,64662,64677,'OP_DoneLoadingEntityResourcesMsg',38,1),
(26365,64662,64677,'OP_PredictionUpdateMsg',39,1),
(26366,64662,64677,'OP_UpdatePositionMsg',41,1),
(26367,64662,64677,'OP_SetRemoteCmdsMsg',43,1),
(26368,64662,64677,'OP_RemoteCmdMsg',44,1),
(26369,64662,64677,'OP_GameWorldTimeMsg',45,1),
(26370,64662,64677,'OP_MOTDMsg',46,1),
(26371,64662,64677,'OP_ZoneMOTDMsg',47,1),
(26372,64662,64677,'OP_AvatarCreatedMsg',48,1),
(26373,64662,64677,'OP_AvatarDestroyedMsg',49,1),
(26374,64662,64677,'OP_RequestCampMsg',52,1),
(26375,64662,64677,'OP_CampStartedMsg',53,1),
(26376,64662,64677,'OP_CampAbortedMsg',54,1),
(26377,64662,64677,'OP_WhoQueryRequestMsg',55,1),
(26378,64662,64677,'OP_WhoQueryReplyMsg',56,1),
(26379,64662,64677,'OP_MonitorReplyMsg',57,1),
(26380,64662,64677,'OP_MonitorCharacterListMsg',58,1),
(26381,64662,64677,'OP_MonitorCharacterListRequestMsg',59,1),
(26382,64662,64677,'OP_ClientCmdMsg',60,1),
(26383,64662,64677,'OP_DispatchESMsg',61,1),
(26384,64662,64677,'OP_DispatchClientCmdMsg',62,1),
(26385,64662,64677,'OP_UpdateTargetMsg',63,1),
(26386,64662,64677,'OP_UpdateTargetLocMsg',64,1),
(26387,64662,64677,'OP_UpdateCharacterSheetMsg',65,1),
(26388,64662,64677,'OP_CharacterPet',66,1),
(26389,64662,64677,'OP_CharacterMerc',67,1),
(26390,64662,64677,'OP_UpdateSpellBookMsg',68,1),
(26391,64662,64677,'OP_UpdateInventoryMsg',70,1),
(26392,64662,64677,'OP_AfterInvSpellUpdate',71,1),
(26393,64662,64677,'OP_UpdateRecipeBookMsg',72,1),
(26394,64662,64677,'OP_RequestRecipeDetailsMsg',73,1),
(26395,64662,64677,'OP_RecipeDetailsMsg',74,1),
(26396,64662,64677,'OP_UpdateSkillBookMsg',75,1),
(26397,64662,64677,'OP_UpdateSkillsMsg',76,1),
(26398,64662,64677,'OP_UpdateOpportunityMsg',77,1),
(26399,64662,64677,'OP_ChangeZoneMsg',79,1),
(26400,64662,64677,'OP_ClientTeleportRequestMsg',80,1),
(26401,64662,64677,'OP_TeleportWithinZoneMsg',81,1),
(26402,64662,64677,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(26403,64662,64677,'OP_MigrateClientToZoneRequestMsg',83,1),
(26404,64662,64677,'OP_MigrateClientToZoneReplyMsg',84,1),
(26405,64662,64677,'OP_ReadyToZoneMsg',86,1),
(26406,64662,64677,'OP_RemoveClientFromGroupMsg',87,1),
(26407,64662,64677,'OP_RemoveGroupFromGroupMsg',88,1),
(26408,64662,64677,'OP_MakeGroupLeaderMsg',89,1),
(26409,64662,64677,'OP_GroupCreatedMsg',90,1),
(26410,64662,64677,'OP_GroupDestroyedMsg',91,1),
(26411,64662,64677,'OP_GroupMemberAddedMsg',92,1),
(26412,64662,64677,'OP_GroupMemberRemovedMsg',93,1),
(26413,64662,64677,'OP_GroupRemovedFromGroupMsg',94,1),
(26414,64662,64677,'OP_GroupLeaderChangedMsg',95,1),
(26415,64662,64677,'OP_GroupResendOOZDataMsg',96,1),
(26416,64662,64677,'OP_GroupSettingsChangedMsg',97,1),
(26417,64662,64677,'OP_OutOfZoneMemberDataMsg',98,1),
(26418,64662,64677,'OP_SendLatestRequestMsg',99,1),
(26419,64662,64677,'OP_ClearDataMsg',100,1),
(26420,64662,64677,'OP_SetSocialMsg',101,1),
(26421,64662,64677,'OP_ESStatusMsg',102,1),
(26422,64662,64677,'OP_ESZoneInstanceStatusMsg',103,1),
(26423,64662,64677,'OP_ZonesStatusRequestMsg',104,1),
(26424,64662,64677,'OP_ZonesStatusMsg',105,1),
(26425,64662,64677,'OP_ESWeatherRequestMsg',106,1),
(26426,64662,64677,'OP_ESWeatherRequestEndMsg',107,1),
(26427,64662,64677,'OP_DialogSelectMsg',111,1),
(26428,64662,64677,'OP_DialogCloseMsg',112,1),
(26429,64662,64677,'OP_RemoveSpellEffectMsg',113,1),
(26430,64662,64677,'OP_RemoveConcentrationMsg',114,1),
(26431,64662,64677,'OP_QuestJournalOpenMsg',115,1),
(26432,64662,64677,'OP_QuestJournalInspectMsg',116,1),
(26433,64662,64677,'OP_QuestJournalSetVisibleMsg',117,1),
(26434,64662,64677,'OP_QuestJournalWaypointMsg',118,1),
(26435,64662,64677,'OP_CreateGuildRequestMsg',121,1),
(26436,64662,64677,'OP_CreateGuildReplyMsg',123,1),
(26437,64662,64677,'OP_GuildsayMsg',124,1),
(26438,64662,64677,'OP_FellowshipExpMsg',125,1),
(26439,64662,64677,'OP_DeleteGuildMsg',126,1),
(26440,64662,64677,'OP_GuildUpdateMsg',127,1),
(26441,64662,64677,'OP_ConsignmentCloseStoreMsg',128,1),
(26442,64662,64677,'OP_ConsignItemRequestMsg',129,1),
(26443,64662,64677,'OP_ConsignItemResponseMsg',130,1),
(26444,64662,64677,'OP_PurchaseConsignmentRequestMsg',131,1),
(26445,64662,64677,'OP_LikeOption',139,1),
(26446,64662,64677,'OP_PublishHouse',141,1),
(26447,64662,64677,'OP_PlayerMadeInstancesScreen',142,1),
(26448,64662,64677,'OP_PlayerMadeInstances',143,1),
(26449,64662,64677,'OP_HouseDeletedRemotelyMsg',145,1),
(26450,64662,64677,'OP_UpdateHouseDataMsg',146,1),
(26451,64662,64677,'OP_UpdateHouseAccessDataMsg',147,1),
(26452,64662,64677,'OP_PlayerHouseBaseScreenMsg',148,1),
(26453,64662,64677,'OP_PlayerHousePurchaseScreenMsg',149,1),
(26454,64662,64677,'OP_PlayerHouseAccessUpdateMsg',150,1),
(26455,64662,64677,'OP_PlayerHouseDisplayStatusMsg',151,1),
(26456,64662,64677,'OP_PlayerHouseCloseUIMsg',152,1),
(26457,64662,64677,'OP_BuyPlayerHouseMsg',153,1),
(26458,64662,64677,'OP_BuyPlayerHouseTintMsg',154,1),
(26459,64662,64677,'OP_CollectAllHouseItemsMsg',155,1),
(26460,64662,64677,'OP_RelinquishHouseMsg',156,1),
(26461,64662,64677,'OP_EnterHouseMsg',157,1),
(26462,64662,64677,'OP_ExitHouseMsg',158,1),
(26463,64662,64677,'OP_HouseDefaultAccessSetMsg',159,1),
(26464,64662,64677,'OP_HouseAccessSetMsg',160,1),
(26465,64662,64677,'OP_HouseAccessRemoveMsg',161,1),
(26466,64662,64677,'OP_PayHouseUpkeepMsg',162,1),
(26467,64662,64677,'OP_MoveableObjectPlacementCriteri',163,1),
(26468,64662,64677,'OP_EnterMoveObjectModeMsg',164,1),
(26469,64662,64677,'OP_PositionMoveableObject',165,1),
(26470,64662,64677,'OP_CancelMoveObjectModeMsg',166,1),
(26471,64662,64677,'OP_ShaderCustomizationMsg',167,1),
(26472,64662,64677,'OP_ReplaceableSubMeshesMsg',168,1),
(26473,64662,64677,'OP_HouseCustomizationScreenMsg',169,1),
(26474,64662,64677,'OP_CustomizationPurchaseRequestMs',170,1),
(26475,64662,64677,'OP_CustomizationSetRequestMsg',171,1),
(26476,64662,64677,'OP_CustomizationReplyMsg',172,1),
(26477,64662,64677,'OP_TintWidgetsMsg',173,1),
(26478,64662,64677,'OP_ExamineConsignmentRequestMsg',174,1),
(26479,64662,64677,'OP_ExamineConsignmentResponseMsg',175,1),
(26480,64662,64677,'OP_UISettingsResponseMsg',176,1),
(26481,64662,64677,'OP_UIResetMsg',177,1),
(26482,64662,64677,'OP_KeymapLoadMsg',178,1),
(26483,64662,64677,'OP_KeymapNoneMsg',179,1),
(26484,64662,64677,'OP_KeymapDataMsg',180,1),
(26485,64662,64677,'OP_KeymapSaveMsg',181,1),
(26486,64662,64677,'OP_DispatchSpellCmdMsg',182,1),
(26487,64662,64677,'OP_EntityVerbsRequestMsg',183,1),
(26488,64662,64677,'OP_EntityVerbsReplyMsg',184,1),
(26489,64662,64677,'OP_EntityVerbsVerbMsg',185,1),
(26490,64662,64677,'OP_ChatRelationshipUpdateMsg',187,1),
(26491,64662,64677,'OP_LootItemsRequestMsg',188,1),
(26492,64662,64677,'OP_StoppedLootingMsg',189,1),
(26493,64662,64677,'OP_SitMsg',190,1),
(26494,64662,64677,'OP_StandMsg',191,1),
(26495,64662,64677,'OP_SatMsg',192,1),
(26496,64662,64677,'OP_StoodMsg',193,1),
(26497,64662,64677,'OP_ClearForTakeOffMsg',194,1),
(26498,64662,64677,'OP_ReadyForTakeOffMsg',195,1),
(26499,64662,64677,'OP_ShowIllusionsMsg',196,1),
(26500,64662,64677,'OP_HideIllusionsMsg',197,1),
(26501,64662,64677,'OP_ExamineItemRequestMsg',198,1),
(26502,64662,64677,'OP_ReadBookPageMsg',199,1),
(26503,64662,64677,'OP_DefaultGroupOptionsRequestMsg',200,1),
(26504,64662,64677,'OP_DefaultGroupOptionsMsg',201,1),
(26505,64662,64677,'OP_GroupOptionsMsg',202,1),
(26506,64662,64677,'OP_DisplayGroupOptionsScreenMsg',203,1),
(26507,64662,64677,'OP_PetOptions',204,1),
(26508,64662,64677,'OP_DisplayInnVisitScreenMsg',205,1),
(26509,64662,64677,'OP_DumpSchedulerMsg',206,1),
(26510,64662,64677,'OP_LSCheckAcctLockMsg',207,1),
(26511,64662,64677,'OP_WSAcctLockStatusMsg',208,1),
(26512,64662,64677,'OP_RequestHelpRepathMsg',209,1),
(26513,64662,64677,'OP_RequestTargetLocMsg',210,1),
(26514,64662,64677,'OP_UpdateMotdMsg',211,1),
(26515,64662,64677,'OP_DestUpdateReq',213,1),
(26516,64662,64677,'OP_PerformPlayerKnockbackMsg',216,1),
(26517,64662,64677,'OP_PerformCameraShakeMsg',217,1),
(26518,64662,64677,'OP_PopulateSkillMapsMsg',218,1),
(26519,64662,64677,'OP_CancelledFeignMsg',219,1),
(26520,64662,64677,'OP_SysClient',221,1),
(26521,64662,64677,'OP_ShowCreateFromRecipeUIMsg',222,1),
(26522,64662,64677,'OP_CancelCreateFromRecipeMsg',223,1),
(26523,64662,64677,'OP_BeginItemCreationMsg',224,1),
(26524,64662,64677,'OP_StopItemCreationMsg',225,1),
(26525,64662,64677,'OP_ShowItemCreationProcessUIMsg',226,1),
(26526,64662,64677,'OP_UpdateItemCreationProcessUIMsg',227,1),
(26527,64662,64677,'OP_DisplayTSEventReactionMsg',228,1),
(26528,64662,64677,'OP_ShowRecipeBookMsg',229,1),
(26529,64662,64677,'OP_KnowledgebaseRequestMsg',230,1),
(26530,64662,64677,'OP_KnowledgebaseResponseMsg',231,1),
(26531,64662,64677,'OP_CSTicketHeaderRequestMsg',232,1),
(26532,64662,64677,'OP_CSTicketInfoMsg',233,1),
(26533,64662,64677,'OP_CSTicketCommentRequestMsg',234,1),
(26534,64662,64677,'OP_CSTicketCommentResponseMsg',235,1),
(26535,64662,64677,'OP_CSTicketCreateMsg',236,1),
(26536,64662,64677,'OP_CSTicketAddCommentMsg',237,1),
(26537,64662,64677,'OP_CSTicketDeleteMsg',238,1),
(26538,64662,64677,'OP_CSTicketChangeNotificationMsg',239,1),
(26539,64662,64677,'OP_WorldDataUpdateMsg',240,1),
(26540,64662,64677,'OP_KnownLanguagesMsg',242,1),
(26541,64662,64677,'OP_LsRequestClientCrashLogMsg',243,1),
(26542,64662,64677,'OP_LsClientBaselogReplyMsg',244,1),
(26543,64662,64677,'OP_LsClientCrashlogReplyMsg',245,1),
(26544,64662,64677,'OP_LsClientAlertlogReplyMsg',246,1),
(26545,64662,64677,'OP_LsClientVerifylogReplyMsg',247,1),
(26546,64662,64677,'OP_ClientTeleportToLocationMsg',248,1),
(26547,64662,64677,'OP_UpdateClientPredFlagsMsg',249,1),
(26548,64662,64677,'OP_ChangeServerControlFlagMsg',250,1),
(26549,64662,64677,'OP_CSToolsRequestMsg',251,1),
(26550,64662,64677,'OP_CSToolsResponseMsg',252,1),
(26551,64662,64677,'OP_AddSocialStructureStandingMsg',253,1),
(26552,64662,64677,'OP_CreateBoatTransportsMsg',254,1),
(26553,64662,64677,'OP_PositionBoatTransportMsg',255,1),
(26554,64662,64677,'OP_MigrateBoatTransportMsg',256,1),
(26555,64662,64677,'OP_MigrateBoatTransportReplyMsg',257,1),
(26556,64662,64677,'OP_DisplayDebugNLLPointsMsg',258,1),
(26557,64662,64677,'OP_ExamineInfoRequestMsg',259,1),
(26558,64662,64677,'OP_QuickbarInitMsg',260,1),
(26559,64662,64677,'OP_QuickbarUpdateMsg',261,1),
(26560,64662,64677,'OP_MacroInitMsg',262,1),
(26561,64662,64677,'OP_MacroUpdateMsg',263,1),
(26562,64662,64677,'OP_QuestionnaireMsg',264,1),
(26563,64662,64677,'OP_LevelChangedMsg',265,1),
(26564,64662,64677,'OP_SpellGainedMsg',266,1),
(26565,64662,64677,'OP_EncounterBrokenMsg',267,1),
(26566,64662,64677,'OP_OnscreenMsgMsg',268,1),
(26567,64662,64677,'OP_DisplayWarningMsg',269,1),
(26568,64662,64677,'OP_ModifyGuildMsg',270,1),
(26569,64662,64677,'OP_GuildEventMsg',271,1),
(26570,64662,64677,'OP_GuildEventAddMsg',272,1),
(26571,64662,64677,'OP_GuildEventActionMsg',273,1),
(26572,64662,64677,'OP_GuildEventListMsg',274,1),
(26573,64662,64677,'OP_RequestGuildEventDetailsMsg',275,1),
(26574,64662,64677,'OP_GuildEventDetailsMsg',276,1),
(26575,64662,64677,'OP_RequestGuildInfoMsg',277,1),
(26576,64662,64677,'OP_GuildBankActionMsg',278,1),
(26577,64662,64677,'OP_GuildBankActionResponseMsg',279,1),
(26578,64662,64677,'OP_GuildBankItemDetailsRequestMsg',280,1),
(26579,64662,64677,'OP_GuildBankItemDetailsResponseMs',281,1),
(26580,64662,64677,'OP_GuildBankUpdateMsg',282,1),
(26581,64662,64677,'OP_GuildBankEventListMsg',283,1),
(26582,64662,64677,'OP_RequestGuildBankEventDetailsMs',284,1),
(26583,64662,64677,'OP_RewardPackMsg',285,1),
(26584,64662,64677,'OP_RenameGuildMsg',286,1),
(26585,64662,64677,'OP_ZoneToFriendRequestMsg',287,1),
(26586,64662,64677,'OP_ZoneToFriendReplyMsg',288,1),
(26587,64662,64677,'OP_ChatCreateChannelMsg',289,1),
(26588,64662,64677,'OP_ChatJoinChannelMsg',290,1),
(26589,64662,64677,'OP_ChatWhoChannelMsg',291,1),
(26590,64662,64677,'OP_ChatLeaveChannelMsg',292,1),
(26591,64662,64677,'OP_ChatTellChannelMsg',293,1),
(26592,64662,64677,'OP_ChatTellUserMsg',294,1),
(26593,64662,64677,'OP_ChatToggleFriendMsg',295,1),
(26594,64662,64677,'OP_BrokerAddBag',296,1),
(26595,64662,64677,'OP_BrokerRemoveBag',297,1),
(26596,64662,64677,'OP_ChatToggleIgnoreMsg',298,1),
(26597,64662,64677,'OP_ChatSendFriendsMsg',299,1),
(26598,64662,64677,'OP_ChatSendIgnoresMsg',300,1),
(26599,64662,64677,'OP_QuestReward',324,1),
(26600,64662,64677,'OP_ChatFiltersMsg',338,1),
(26601,64662,64677,'OP_MailGetMessageMsg',342,1),
(26602,64662,64677,'OP_MailSendMessageMsg',343,1),
(26603,64662,64677,'OP_MailDeleteMessageMsg',344,1),
(26604,64662,64677,'OP_MailGetHeadersReplyMsg',345,1),
(26605,64662,64677,'OP_MailGetMessageReplyMsg',346,1),
(26606,64662,64677,'OP_MailSendMessageReplyMsg',347,1),
(26607,64662,64677,'OP_MailCommitSendMessageMsg',348,1),
(26608,64662,64677,'OP_MailSendSystemMessageMsg',349,1),
(26609,64662,64677,'OP_MailRemoveAttachFromMailMsg',350,1),
(26610,64662,64677,'OP_WaypointRequestMsg',352,1),
(26611,64662,64677,'OP_WaypointReplyMsg',353,1),
(26612,64662,64677,'OP_WaypointSelectMsg',354,1),
(26613,64662,64677,'OP_WaypointUpdateMsg',355,1),
(26614,64662,64677,'OP_CharNameChangedMsg',356,1),
(26615,64662,64677,'OP_ShowZoneTeleporterDestinations',357,1),
(26616,64662,64677,'OP_SelectZoneTeleporterDestinatio',358,1),
(26617,64662,64677,'OP_ReloadLocalizedTxtMsg',359,1),
(26618,64662,64677,'OP_RequestGuildMembershipMsg',360,1),
(26619,64662,64677,'OP_GuildMembershipResponseMsg',361,1),
(26620,64662,64677,'OP_LeaveGuildNotifyMsg',362,1),
(26621,64662,64677,'OP_JoinGuildNotifyMsg',363,1),
(26622,64662,64677,'OP_AvatarUpdateMsg',364,1),
(26623,64662,64677,'OP_BioUpdateMsg',366,1),
(26624,64662,64677,'OP_InspectPlayerMsg',367,1),
(26625,64662,64677,'OP_WSServerLockMsg',368,1),
(26626,64662,64677,'OP_LSServerLockMsg',369,1),
(26627,64662,64677,'OP_WSServerHideMsg',370,1),
(26628,64662,64677,'OP_CsCategoryRequestMsg',371,1),
(26629,64662,64677,'OP_CsCategoryResponseMsg',372,1),
(26630,64662,64677,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(26631,64662,64677,'OP_AFKUpdateMsg',374,1),
(26632,64662,64677,'OP_AnonUpdateMsg',375,1),
(26633,64662,64677,'OP_UpdateActivePublicZonesMsg',376,1),
(26634,64662,64677,'OP_UnknownNpcMsg',377,1),
(26635,64662,64677,'OP_PromoFlagsDetailsMsg',378,1),
(26636,64662,64677,'OP_ConsignViewCreateMsg',379,1),
(26637,64662,64677,'OP_ConsignViewGetPageMsg',380,1),
(26638,64662,64677,'OP_ConsignViewReleaseMsg',381,1),
(26639,64662,64677,'OP_ConsignRemoveItemsMsg',382,1),
(26640,64662,64677,'OP_UpdateDebugRadiiMsg',383,1),
(26641,64662,64677,'OP_ReportMsg',384,1),
(26642,64662,64677,'OP_UpdateRaidMsg',385,1),
(26643,64662,64677,'OP_ConsignViewSortMsg',387,1),
(26644,64662,64677,'OP_TitleUpdateMsg',388,1),
(26645,64662,64677,'OP_ClientFellMsg',389,1),
(26646,64662,64677,'OP_ClientInDeathRegionMsg',390,1),
(26647,64662,64677,'OP_CampClientMsg',391,1),
(26648,64662,64677,'OP_UpdateGroupMemberDataMsg',392,1),
(26649,64662,64677,'OP_CSToolAccessResponseMsg',392,1),
(26650,64662,64677,'OP_TrackingUpdateMsg',393,1),
(26651,64662,64677,'OP_BeginTrackingMsg',394,1),
(26652,64662,64677,'OP_StopTrackingMsg',395,1),
(26653,64662,64677,'OP_GetAvatarAccessRequestForCSToo',397,1),
(26654,64662,64677,'OP_AdvancementRequestMsg',398,1),
(26655,64662,64677,'OP_MapFogDataInitMsg',399,1),
(26656,64662,64677,'OP_MapFogDataUpdateMsg',400,1),
(26657,64662,64677,'OP_CloseGroupInviteWindowMsg',401,1),
(26658,64662,64677,'OP_WorldPingMsg',404,1),
(26659,64662,64677,'OP_MoveLogUpdateMsg',405,1),
(26660,64662,64677,'OP_OfferQuestMsg',406,1),
(26661,64662,64677,'OP_WorldShutdownUpdateMsg',408,1),
(26662,64662,64677,'OP_DisplayMailScreenMsg',409,1),
(26663,64662,64677,'OP_ClientIdleBeginMsg',410,1),
(26664,64662,64677,'OP_ClientIdleEndMsg',411,1),
(26665,64662,64677,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(26666,64662,64677,'OP_NotifyApprenticeStoppedMentori',413,1),
(26667,64662,64677,'OP_CorruptedClientMsg',414,1),
(26668,64662,64677,'OP_WorldDataChangeMsg',415,1),
(26669,64662,64677,'OP_MailEventNotificationMsg',416,1),
(26670,64662,64677,'OP_RestartZoneMsg',417,1),
(26671,64662,64677,'OP_FlightPathsMsg',418,1),
(26672,64662,64677,'OP_CharacterLinkdeadMsg',419,1),
(26673,64662,64677,'OP_CharTransferStartRequestMsg',420,1),
(26674,64662,64677,'OP_CharTransferStartReplyMsg',421,1),
(26675,64662,64677,'OP_CharTransferRequestMsg',422,1),
(26676,64662,64677,'OP_CharTransferReplyMsg',423,1),
(26677,64662,64677,'OP_CharTransferRollbackRequestMsg',424,1),
(26678,64662,64677,'OP_CharTransferCommitRequestMsg',425,1),
(26679,64662,64677,'OP_CharTransferRollbackReplyMsg',426,1),
(26680,64662,64677,'OP_CharTransferCommitReplyMsg',427,1),
(26681,64662,64677,'OP_GetCharacterSerializedRequestM',428,1),
(26682,64662,64677,'OP_GetCharacterSerializedReplyMsg',429,1),
(26683,64662,64677,'OP_CreateCharFromCBBRequestMsg',430,1),
(26684,64662,64677,'OP_CreateCharFromCBBReplyMsg',431,1),
(26685,64662,64677,'OP_HousingDataChangedMsg',432,1),
(26686,64662,64677,'OP_HousingRestoreMsg',433,1),
(26687,64662,64677,'OP_AuctionItem',434,1),
(26688,64662,64677,'OP_AuctionItemReply',435,1),
(26689,64662,64677,'OP_AuctionCoin',436,1),
(26690,64662,64677,'OP_AuctionCoinReply',437,1),
(26691,64662,64677,'OP_AuctionCharacter',438,1),
(26692,64662,64677,'OP_AuctionCharacterReply',439,1),
(26693,64662,64677,'OP_AuctionCommitMsg',440,1),
(26694,64662,64677,'OP_AuctionAbortMsg',441,1),
(26695,64662,64677,'OP_CharTransferValidateRequestMsg',442,1),
(26696,64662,64677,'OP_CharTransferValidateReplyMsg',443,1),
(26697,64662,64677,'OP_RaceRestrictionMsg',444,1),
(26698,64662,64677,'OP_SetInstanceDisplayNameMsg',445,1),
(26699,64662,64677,'OP_GetAuctionAssetIDMsg',446,1),
(26700,64662,64677,'OP_GetAuctionAssetIDReplyMsg',447,1),
(26701,64662,64677,'OP_ResendWorldChannelsMsg',448,1),
(26702,64662,64677,'OP_DisplayExchangeScreenMsg',449,1),
(26703,64662,64677,'OP_ArenaGameTypesMsg',450,1),
(26704,64662,64677,'OP_AuditAuctionEventMsg',451,1),
(26705,64662,64677,'OP_InviteRequestMsg',452,1),
(26706,64662,64677,'OP_InviteResponseMsg',453,1),
(26707,64662,64677,'OP_InviteTargetResponseMsg',454,1),
(26708,64662,64677,'OP_InspectPlayerRequestMsg',455,1),
(26709,64662,64677,'OP_DispatchMsg',456,1),
(26710,64662,64677,'OP_DisplayEventMsg',457,1),
(26711,64662,64677,'OP_PrePossessionMsg',458,1),
(26712,64662,64677,'OP_PostPossessionMsg',459,1),
(26713,64662,64677,'OP_ArenaCreate',461,1),
(26714,64662,64677,'OP_ArenaList',462,1),
(26715,64662,64677,'OP_ArenaWindow',470,1),
(26716,64662,64677,'OP_HouseItemsList',489,1),
(26717,64662,64677,'OP_CurrentPet',490,1),
(26718,64662,64677,'OP_EarlyLandingRequestMsg',491,1),
(26719,64662,64677,'OP_AdventureList',494,1),
(26720,64662,64677,'OP_CancelSpellCast',495,1),
(26721,64662,64677,'OP_ClearForLandingMsg',497,1),
(26722,64662,64677,'OP_UpdateTitleCmd',500,1),
(26723,64662,64677,'OP_AttackAllowed',506,1),
(26724,64662,64677,'OP_AttackNotAllowed',507,1),
(26725,64662,64677,'OP_BagOptions',508,1),
(26726,64662,64677,'OP_LFGGroupSearch',510,1),
(26727,64662,64677,'OP_CharacterHousingList',513,1),
(26728,64662,64677,'OP_DressingRoom',516,1),
(26729,64662,64677,'OP_PlayLon',517,1),
(26730,64662,64677,'OP_SkillInfoRequest',519,1),
(26731,64662,64677,'OP_SkillInfoResponse',520,1),
(26732,64662,64677,'OP_LFGUpdateMsg',523,1),
(26733,64662,64677,'OP_BadLanguageFilter',524,1),
(26734,64662,64677,'OP_VoiceChatChannel',525,1),
(26735,64662,64677,'OP_MapRequest',526,1),
(26736,64662,64677,'OP_MarketFundsUpdate',531,1),
(26737,64662,64677,'OP_UIEvent',532,1),
(26738,64662,64677,'OP_MarketAddFundsRequest',533,1),
(26739,64662,64677,'OP_MarketAddFundsReply',534,1),
(26740,64662,64677,'OP_MarketPurchase',536,1),
(26741,64662,64677,'OP_MarketPlacePrices',537,1),
(26742,64662,64677,'OP_MarketPlaceItems',544,1),
(26743,64662,64677,'OP_RecipeBook',545,1),
(26744,64662,64677,'OP_CreateCharacterDungeon',552,1),
(26745,64662,64677,'OP_DungeonMakerEnter',553,1),
(26746,64662,64677,'OP_DungeonMakerItemRequest',557,1),
(26747,64662,64677,'OP_CharacterCreatedDungeons',558,1),
(26748,64662,64677,'OP_DungeonMakerToolboxList',559,1),
(26749,64662,64677,'OP_DungeonMakerUnknown',560,1),
(26750,64662,64677,'OP_DungeonMakerUnknown1',561,1),
(26751,64662,64677,'OP_PlayerPollPopup',563,1),
(26752,64662,64677,'OP_PlayerPollAnswer',564,1),
(26753,64662,64677,'OP_MentorPopup',565,1),
(26754,64662,64677,'OP_LoadWelcomeWindow',567,1),
(26755,64662,64677,'OP_OpenCharCust',569,1),
(26756,64662,64677,'OP_SubmitCharCust',570,1),
(26757,64662,64677,'OP_QueAllBgSolo',572,1),
(26758,64662,64677,'OP_ZoneBgInstanceList',573,1),
(26759,64662,64677,'OP_WorldTravelAvail',577,1),
(26760,64662,64677,'OP_Launchpad',580,1),
(26761,64662,64677,'OP_PaperdollImage',582,1),
(26762,64662,64677,'OP_LoadCalendarEvents',583,1),
(26763,64662,64677,'OP_VideoUploaded',584,1),
(26764,64662,64677,'OP_SavageBarInitMsg',585,1),
(26765,64662,64677,'OP_PetOptionsResponse',586,1),
(26766,64662,64677,'OP_DungeonMakerItemResponse',587,1),
(26767,64662,64677,'OP_Weakness',588,1),
(26768,64662,64677,'OP_CharacterMounts',589,1),
(26769,64662,64677,'OP_RecipeListUnknown',598,1),
(26770,64662,64677,'OP_DailyObjectives',602,1),
(26771,64662,64677,'OP_DeityAbilityWindow',622,1),
(26772,64662,64677,'OP_EqBetaCopyRequest',640,1),
(26773,64662,64677,'OP_SOEAllAccess',644,1),
(26774,64662,64677,'OP_EqHearChatCmd',644,1),
(26775,64662,64677,'OP_EqDisplayTextCmd',645,1),
(26776,64662,64677,'OP_EqCreateGhostCmd',646,1),
(26777,64662,64677,'OP_EqCreateWidgetCmd',647,1),
(26778,64662,64677,'OP_EqCreateSignWidgetCmd',648,1),
(26779,64662,64677,'OP_EqDestroyGhostCmd',649,1),
(26780,64662,64677,'OP_EqUpdateGhostCmd',650,1),
(26781,64662,64677,'OP_EqSetControlGhostCmd',651,1),
(26782,64662,64677,'OP_EqSetPOVGhostCmd',652,1),
(26783,64662,64677,'OP_EqHearCombatCmd',653,1),
(26784,64662,64677,'OP_EqHearSpellCastCmd',654,1),
(26785,64662,64677,'OP_EQHearProcCmd',655,1),
(26786,64662,64677,'OP_EQHearResEffectCmd',656,1),
(26787,64662,64677,'OP_EqHearSpellInterruptCmd',657,1),
(26788,64662,64677,'OP_EqHearSpellFizzleCmd',658,1),
(26789,64662,64677,'OP_EqHearConsiderCmd',659,1),
(26790,64662,64677,'OP_EqUpdateSubClassesCmd',660,1),
(26791,64662,64677,'OP_EqCreateListBoxCmd',661,1),
(26792,64662,64677,'OP_EqSetDebugPathPointsCmd',662,1),
(26793,64662,64677,'OP_EqCannedEmoteCmd',664,1),
(26794,64662,64677,'OP_EqStateCmd',665,1),
(26795,64662,64677,'OP_EqPlaySoundCmd',666,1),
(26796,64662,64677,'OP_EqPlaySound3DCmd',667,1),
(26797,64662,64677,'OP_EqPlayVoiceCmd',668,1),
(26798,64662,64677,'OP_EqHearDrowningCmd',669,1),
(26799,64662,64677,'OP_EqHearDeathCmd',670,1),
(26800,64662,64677,'OP_EqGroupMemberRemovedCmd',671,1),
(26801,64662,64677,'OP_EqHearChainEffectCmd',672,1),
(26802,64662,64677,'OP_EqReceiveOfferCmd',673,1),
(26803,64662,64677,'OP_EqInspectPCResultsCmd',674,1),
(26804,64662,64677,'OP_EqDrawablePathGraphCmd',675,1),
(26805,64662,64677,'OP_EqDialogOpenCmd',676,1),
(26806,64662,64677,'OP_EqDialogCloseCmd',677,1),
(26807,64662,64677,'OP_EqFactionUpdateCmd',678,1),
(26808,64662,64677,'OP_EqCollectionUpdateCmd',679,1),
(26809,64662,64677,'OP_EqCollectionFilterCmd',680,1),
(26810,64662,64677,'OP_EqCollectionItemCmd',681,1),
(26811,64662,64677,'OP_EqQuestJournalUpdateCmd',682,1),
(26812,64662,64677,'OP_EqMentoring',683,1),
(26813,64662,64677,'OP_EqQuestJournalReplyCmd',684,1),
(26814,64662,64677,'OP_EqQuestGroupCmd',685,1),
(26815,64662,64677,'OP_EqUpdateMerchantCmd',686,1),
(26816,64662,64677,'OP_EqUpdateStoreCmd',687,1),
(26817,64662,64677,'OP_EqUpdatePlayerTradeCmd',688,1),
(26818,64662,64677,'OP_EqHelpPathCmd',689,1),
(26819,64662,64677,'OP_EqHelpPathClearCmd',690,1),
(26820,64662,64677,'OP_EqUpdateBankCmd',691,1),
(26821,64662,64677,'OP_EqExamineInfoCmd',692,1),
(26822,64662,64677,'OP_EqCloseWindowCmd',693,1),
(26823,64662,64677,'OP_EqUpdateLootCmd',694,1),
(26824,64662,64677,'OP_EqJunctionListCmd',695,1),
(26825,64662,64677,'OP_EqShowDeathWindowCmd',696,1),
(26826,64662,64677,'OP_EqDisplaySpellFailCmd',697,1),
(26827,64662,64677,'OP_EqSpellCastStartCmd',698,1),
(26828,64662,64677,'OP_EqSpellCastEndCmd',699,1),
(26829,64662,64677,'OP_EqResurrectedCmd',700,1),
(26830,64662,64677,'OP_EqChoiceWinCmd',701,1),
(26831,64662,64677,'OP_EqSetDefaultVerbCmd',702,1),
(26832,64662,64677,'OP_EqInstructionWindowCmd',703,1),
(26833,64662,64677,'OP_EqInstructionWindowCloseCmd',704,1),
(26834,64662,64677,'OP_EqInstructionWindowGoalCmd',705,1),
(26835,64662,64677,'OP_EqInstructionWindowTaskCmd',706,1),
(26836,64662,64677,'OP_EqEnableGameEventCmd',707,1),
(26837,64662,64677,'OP_EqShowWindowCmd',708,1),
(26838,64662,64677,'OP_EqEnableWindowCmd',709,1),
(26839,64662,64677,'OP_EqFlashWindowCmd',710,1),
(26840,64662,64677,'OP_EqHearPlayFlavorCmd',712,1),
(26841,64662,64677,'OP_EqUpdateSignWidgetCmd',713,1),
(26842,64662,64677,'OP_EqDebugPVDCmd',714,1),
(26843,64662,64677,'OP_EqShowBookCmd',715,1),
(26844,64662,64677,'OP_EqQuestionnaireCmd',716,1),
(26845,64662,64677,'OP_EqGetProbsCmd',718,1),
(26846,64662,64677,'OP_EqHearHealCmd',719,1),
(26847,64662,64677,'OP_EqChatChannelUpdateCmd',720,1),
(26848,64662,64677,'OP_EqWhoChannelQueryReplyCmd',721,1),
(26849,64662,64677,'OP_EqAvailWorldChannelsCmd',722,1),
(26850,64662,64677,'OP_EqUpdateTargetCmd',723,1),
(26851,64662,64677,'OP_BrokerSellList',724,1),
(26852,64662,64677,'OP_EqConsignmentItemsCmd',725,1),
(26853,64662,64677,'OP_EqStartBrokerCmd',727,1),
(26854,64662,64677,'OP_EqMapExplorationCmd',728,1),
(26855,64662,64677,'OP_EqStoreLogCmd',729,1),
(26856,64662,64677,'OP_EqSpellMoveToRangeAndRetryCmd',730,1),
(26857,64662,64677,'OP_EqUpdatePlayerMailCmd',731,1),
(26858,64662,64677,'OP_GuildStatusUpdate',734,1),
(26859,64662,64677,'OP_EqArenaResultsCmd',735,1),
(26860,64662,64677,'OP_EqGuildBankEventActionCmd',736,1),
(26861,64662,64677,'OP_EqGuildBankExamineInfoCmd',737,1),
(26862,64662,64677,'OP_EqHearSpellNoLandCmd',738,1),
(26863,64662,64677,'OP_Lottery',739,1),
(26864,64662,64677,'OP_GuildRecruitingMemberInfo',740,1),
(26865,64662,64677,'OP_GuildRecruiting',741,1),
(26866,64662,64677,'OP_GuildRecruitingDetails',742,1),
(26867,64662,64677,'OP_GuildRecruitingImage',743,1),
(26868,64662,64677,'OP_TradeskillList',744,1),
(26869,64662,64677,'OP_CharRenamed',745,1),
(26870,64662,64677,'OP_UseAdornment',755,1),
(26871,64662,64677,'OP_ExpPurchWindow',761,1),
(26872,64662,64677,'OP_PointOfInterest',765,1),
(26873,64662,64677,'OP_PointOfInterest2',766,1),
(26874,64662,64677,'OP_TraitsList',767,1),
(26875,64662,64677,'OP_CustomizeHouseDisplay',770,1),
(26876,64662,64677,'OP_VoiceChatServer',771,1),
(26877,64662,64677,'OP_SupplyDepot',775,1),
(26878,64662,64677,'OP_EQHearThreatCmd',776,1),
(26879,64662,64677,'OP_RecipeList',777,1),
(26880,64662,64677,'OP_Research',778,1),
(26881,64662,64677,'OP_CharacterCurrency',779,1),
(26882,64662,64677,'OP_CharacterAchievements',780,1),
(26883,64662,64677,'OP_AchievementUpdateMsg',781,1),
(26884,64662,64677,'OP_EQHearDispellCmd',782,1),
(26885,64662,64677,'OP_JournalQuestStoryline',783,1),
(26886,64662,64677,'OP_DungeonPlayAsAvatarList',784,1),
(26887,64662,64677,'OP_DungeonPlayAsAvatarSelected',785,1),
(26888,64662,64677,'OP_MercHireWindow',787,1),
(26889,64662,64677,'OP_MercUnknown',788,1),
(26890,64662,64677,'OP_Unknown',801,1),
(26891,64662,64677,'OP_HeritageMsg',10027,1),
(27355,64678,64724,'OP_LoginRequestMsg',0,1),
(27356,64678,64724,'OP_LoginByNumRequestMsg',1,1),
(27357,64678,64724,'OP_WSLoginRequestMsg',2,1),
(27358,64678,64724,'OP_ESLoginRequestMsg',3,1),
(27359,64678,64724,'OP_LoginReplyMsg',4,1),
(27360,64678,64724,'OP_WSStatusReplyMsg',5,1),
(27361,64678,64724,'OP_WorldStatusChangeMsg',6,1),
(27362,64678,64724,'OP_AllWSDescRequestMsg',7,1),
(27363,64678,64724,'OP_WorldListMsg',8,1),
(27364,64678,64724,'OP_AllCharactersDescRequestMsg',9,1),
(27365,64678,64724,'OP_AllCharactersDescReplyMsg',10,1),
(27366,64678,64724,'OP_CreateCharacterRequestMsg',11,1),
(27367,64678,64724,'OP_CreateCharacterReplyMsg',12,1),
(27368,64678,64724,'OP_WSCreateCharacterRequestMsg',13,1),
(27369,64678,64724,'OP_WSCreateCharacterReplyMsg',14,1),
(27370,64678,64724,'OP_ReskinCharacterRequestMsg',15,1),
(27371,64678,64724,'OP_DeleteCharacterRequestMsg',18,1),
(27372,64678,64724,'OP_DeleteCharacterReplyMsg',19,1),
(27373,64678,64724,'OP_PlayCharacterRequestMsg',20,1),
(27374,64678,64724,'OP_PlayCharacterReplyMsg',21,1),
(27375,64678,64724,'OP_ExpectClientAsCharacterReplyMs',24,1),
(27376,64678,64724,'OP_ServerPlayCharacterRequestMsg',25,1),
(27377,64678,64724,'OP_ServerPlayCharacterReplyMsg',26,1),
(27378,64678,64724,'OP_ESInitMsg',27,1),
(27379,64678,64724,'OP_ESReadyForClientsMsg',28,1),
(27380,64678,64724,'OP_CreateZoneInstanceMsg',31,1),
(27381,64678,64724,'OP_ZoneInstanceCreateReplyMsg',32,1),
(27382,64678,64724,'OP_ZoneInstanceDestroyedMsg',33,1),
(27383,64678,64724,'OP_ExpectClientAsCharacterRequest',34,1),
(27384,64678,64724,'OP_ZoneInfoMsg',35,1),
(27385,64678,64724,'OP_DoneLoadingZoneResourcesMsg',36,1),
(27386,64678,64724,'OP_DoneSendingInitialEntitiesMsg',37,1),
(27387,64678,64724,'OP_DoneLoadingEntityResourcesMsg',38,1),
(27388,64678,64724,'OP_PredictionUpdateMsg',39,1),
(27389,64678,64724,'OP_UpdatePositionMsg',41,1),
(27390,64678,64724,'OP_SetRemoteCmdsMsg',43,1),
(27391,64678,64724,'OP_RemoteCmdMsg',44,1),
(27392,64678,64724,'OP_GameWorldTimeMsg',45,1),
(27393,64678,64724,'OP_MOTDMsg',46,1),
(27394,64678,64724,'OP_ZoneMOTDMsg',47,1),
(27395,64678,64724,'OP_AvatarCreatedMsg',48,1),
(27396,64678,64724,'OP_AvatarDestroyedMsg',49,1),
(27397,64678,64724,'OP_RequestCampMsg',52,1),
(27398,64678,64724,'OP_CampStartedMsg',53,1),
(27399,64678,64724,'OP_CampAbortedMsg',54,1),
(27400,64678,64724,'OP_WhoQueryRequestMsg',55,1),
(27401,64678,64724,'OP_WhoQueryReplyMsg',56,1),
(27402,64678,64724,'OP_MonitorReplyMsg',57,1),
(27403,64678,64724,'OP_MonitorCharacterListMsg',58,1),
(27404,64678,64724,'OP_MonitorCharacterListRequestMsg',59,1),
(27405,64678,64724,'OP_ClientCmdMsg',60,1),
(27406,64678,64724,'OP_DispatchESMsg',61,1),
(27407,64678,64724,'OP_DispatchClientCmdMsg',62,1),
(27408,64678,64724,'OP_UpdateTargetMsg',63,1),
(27409,64678,64724,'OP_UpdateTargetLocMsg',64,1),
(27410,64678,64724,'OP_UpdateCharacterSheetMsg',65,1),
(27411,64678,64724,'OP_CharacterPet',66,1),
(27412,64678,64724,'OP_CharacterMerc',67,1),
(27413,64678,64724,'OP_UpdateSpellBookMsg',68,1),
(27414,64678,64724,'OP_UpdateInventoryMsg',70,1),
(27415,64678,64724,'OP_AfterInvSpellUpdate',71,1),
(27416,64678,64724,'OP_UpdateRecipeBookMsg',72,1),
(27417,64678,64724,'OP_RequestRecipeDetailsMsg',73,1),
(27418,64678,64724,'OP_RecipeDetailsMsg',74,1),
(27419,64678,64724,'OP_UpdateSkillBookMsg',75,1),
(27420,64678,64724,'OP_UpdateSkillsMsg',76,1),
(27421,64678,64724,'OP_UpdateOpportunityMsg',77,1),
(27422,64678,64724,'OP_ChangeZoneMsg',79,1),
(27423,64678,64724,'OP_ClientTeleportRequestMsg',80,1),
(27424,64678,64724,'OP_TeleportWithinZoneMsg',81,1),
(27425,64678,64724,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(27426,64678,64724,'OP_MigrateClientToZoneRequestMsg',83,1),
(27427,64678,64724,'OP_MigrateClientToZoneReplyMsg',84,1),
(27428,64678,64724,'OP_ReadyToZoneMsg',86,1),
(27429,64678,64724,'OP_RemoveClientFromGroupMsg',87,1),
(27430,64678,64724,'OP_RemoveGroupFromGroupMsg',88,1),
(27431,64678,64724,'OP_MakeGroupLeaderMsg',89,1),
(27432,64678,64724,'OP_GroupCreatedMsg',90,1),
(27433,64678,64724,'OP_GroupDestroyedMsg',91,1),
(27434,64678,64724,'OP_GroupMemberAddedMsg',92,1),
(27435,64678,64724,'OP_GroupMemberRemovedMsg',93,1),
(27436,64678,64724,'OP_GroupRemovedFromGroupMsg',94,1),
(27437,64678,64724,'OP_GroupLeaderChangedMsg',95,1),
(27438,64678,64724,'OP_GroupResendOOZDataMsg',96,1),
(27439,64678,64724,'OP_GroupSettingsChangedMsg',97,1),
(27440,64678,64724,'OP_OutOfZoneMemberDataMsg',98,1),
(27441,64678,64724,'OP_SendLatestRequestMsg',99,1),
(27442,64678,64724,'OP_ClearDataMsg',100,1),
(27443,64678,64724,'OP_SetSocialMsg',101,1),
(27444,64678,64724,'OP_ESStatusMsg',102,1),
(27445,64678,64724,'OP_ESZoneInstanceStatusMsg',103,1),
(27446,64678,64724,'OP_ZonesStatusRequestMsg',104,1),
(27447,64678,64724,'OP_ZonesStatusMsg',105,1),
(27448,64678,64724,'OP_ESWeatherRequestMsg',106,1),
(27449,64678,64724,'OP_ESWeatherRequestEndMsg',107,1),
(27450,64678,64724,'OP_DialogSelectMsg',111,1),
(27451,64678,64724,'OP_DialogCloseMsg',112,1),
(27452,64678,64724,'OP_RemoveSpellEffectMsg',113,1),
(27453,64678,64724,'OP_RemoveConcentrationMsg',114,1),
(27454,64678,64724,'OP_QuestJournalOpenMsg',115,1),
(27455,64678,64724,'OP_QuestJournalInspectMsg',116,1),
(27456,64678,64724,'OP_QuestJournalSetVisibleMsg',117,1),
(27457,64678,64724,'OP_QuestJournalWaypointMsg',118,1),
(27458,64678,64724,'OP_CreateGuildRequestMsg',121,1),
(27459,64678,64724,'OP_CreateGuildReplyMsg',123,1),
(27460,64678,64724,'OP_GuildsayMsg',124,1),
(27461,64678,64724,'OP_FellowshipExpMsg',125,1),
(27462,64678,64724,'OP_DeleteGuildMsg',126,1),
(27463,64678,64724,'OP_GuildUpdateMsg',127,1),
(27464,64678,64724,'OP_ConsignmentCloseStoreMsg',128,1),
(27465,64678,64724,'OP_ConsignItemRequestMsg',129,1),
(27466,64678,64724,'OP_ConsignItemResponseMsg',130,1),
(27467,64678,64724,'OP_PurchaseConsignmentRequestMsg',131,1),
(27468,64678,64724,'OP_LikeOption',139,1),
(27469,64678,64724,'OP_PublishHouse',141,1),
(27470,64678,64724,'OP_PlayerMadeInstancesScreen',142,1),
(27471,64678,64724,'OP_PlayerMadeInstances',143,1),
(27472,64678,64724,'OP_HouseDeletedRemotelyMsg',145,1),
(27473,64678,64724,'OP_UpdateHouseDataMsg',146,1),
(27474,64678,64724,'OP_UpdateHouseAccessDataMsg',147,1),
(27475,64678,64724,'OP_PlayerHouseBaseScreenMsg',148,1),
(27476,64678,64724,'OP_PlayerHousePurchaseScreenMsg',149,1),
(27477,64678,64724,'OP_PlayerHouseAccessUpdateMsg',150,1),
(27478,64678,64724,'OP_PlayerHouseDisplayStatusMsg',151,1),
(27479,64678,64724,'OP_PlayerHouseCloseUIMsg',152,1),
(27480,64678,64724,'OP_BuyPlayerHouseMsg',153,1),
(27481,64678,64724,'OP_BuyPlayerHouseTintMsg',154,1),
(27482,64678,64724,'OP_CollectAllHouseItemsMsg',155,1),
(27483,64678,64724,'OP_RelinquishHouseMsg',156,1),
(27484,64678,64724,'OP_EnterHouseMsg',157,1),
(27485,64678,64724,'OP_ExitHouseMsg',158,1),
(27486,64678,64724,'OP_HouseDefaultAccessSetMsg',159,1),
(27487,64678,64724,'OP_HouseAccessSetMsg',160,1),
(27488,64678,64724,'OP_HouseAccessRemoveMsg',161,1),
(27489,64678,64724,'OP_PayHouseUpkeepMsg',162,1),
(27490,64678,64724,'OP_MoveableObjectPlacementCriteri',163,1),
(27491,64678,64724,'OP_EnterMoveObjectModeMsg',164,1),
(27492,64678,64724,'OP_PositionMoveableObject',165,1),
(27493,64678,64724,'OP_CancelMoveObjectModeMsg',166,1),
(27494,64678,64724,'OP_ShaderCustomizationMsg',167,1),
(27495,64678,64724,'OP_ReplaceableSubMeshesMsg',168,1),
(27496,64678,64724,'OP_HouseCustomizationScreenMsg',169,1),
(27497,64678,64724,'OP_CustomizationPurchaseRequestMs',170,1),
(27498,64678,64724,'OP_CustomizationSetRequestMsg',171,1),
(27499,64678,64724,'OP_CustomizationReplyMsg',172,1),
(27500,64678,64724,'OP_TintWidgetsMsg',173,1),
(27501,64678,64724,'OP_ExamineConsignmentRequestMsg',174,1),
(27502,64678,64724,'OP_ExamineConsignmentResponseMsg',175,1),
(27503,64678,64724,'OP_UISettingsResponseMsg',176,1),
(27504,64678,64724,'OP_UIResetMsg',177,1),
(27505,64678,64724,'OP_KeymapLoadMsg',178,1),
(27506,64678,64724,'OP_KeymapNoneMsg',179,1),
(27507,64678,64724,'OP_KeymapDataMsg',180,1),
(27508,64678,64724,'OP_KeymapSaveMsg',181,1),
(27509,64678,64724,'OP_DispatchSpellCmdMsg',182,1),
(27510,64678,64724,'OP_EntityVerbsRequestMsg',183,1),
(27511,64678,64724,'OP_EntityVerbsReplyMsg',184,1),
(27512,64678,64724,'OP_EntityVerbsVerbMsg',185,1),
(27513,64678,64724,'OP_ChatRelationshipUpdateMsg',187,1),
(27514,64678,64724,'OP_LootItemsRequestMsg',188,1),
(27515,64678,64724,'OP_StoppedLootingMsg',189,1),
(27516,64678,64724,'OP_SitMsg',190,1),
(27517,64678,64724,'OP_StandMsg',191,1),
(27518,64678,64724,'OP_SatMsg',192,1),
(27519,64678,64724,'OP_StoodMsg',193,1),
(27520,64678,64724,'OP_ClearForTakeOffMsg',194,1),
(27521,64678,64724,'OP_ReadyForTakeOffMsg',195,1),
(27522,64678,64724,'OP_ShowIllusionsMsg',196,1),
(27523,64678,64724,'OP_HideIllusionsMsg',197,1),
(27524,64678,64724,'OP_ExamineItemRequestMsg',198,1),
(27525,64678,64724,'OP_ReadBookPageMsg',199,1),
(27526,64678,64724,'OP_DefaultGroupOptionsRequestMsg',200,1),
(27527,64678,64724,'OP_DefaultGroupOptionsMsg',201,1),
(27528,64678,64724,'OP_GroupOptionsMsg',202,1),
(27529,64678,64724,'OP_DisplayGroupOptionsScreenMsg',203,1),
(27530,64678,64724,'OP_PetOptions',204,1),
(27531,64678,64724,'OP_DisplayInnVisitScreenMsg',205,1),
(27532,64678,64724,'OP_DumpSchedulerMsg',206,1),
(27533,64678,64724,'OP_LSCheckAcctLockMsg',207,1),
(27534,64678,64724,'OP_WSAcctLockStatusMsg',208,1),
(27535,64678,64724,'OP_RequestHelpRepathMsg',209,1),
(27536,64678,64724,'OP_RequestTargetLocMsg',210,1),
(27537,64678,64724,'OP_UpdateMotdMsg',211,1),
(27538,64678,64724,'OP_DestUpdateReq',213,1),
(27539,64678,64724,'OP_PerformPlayerKnockbackMsg',216,1),
(27540,64678,64724,'OP_PerformCameraShakeMsg',217,1),
(27541,64678,64724,'OP_PopulateSkillMapsMsg',218,1),
(27542,64678,64724,'OP_CancelledFeignMsg',219,1),
(27543,64678,64724,'OP_SysClient',221,1),
(27544,64678,64724,'OP_ShowCreateFromRecipeUIMsg',222,1),
(27545,64678,64724,'OP_CancelCreateFromRecipeMsg',223,1),
(27546,64678,64724,'OP_BeginItemCreationMsg',224,1),
(27547,64678,64724,'OP_StopItemCreationMsg',225,1),
(27548,64678,64724,'OP_ShowItemCreationProcessUIMsg',226,1),
(27549,64678,64724,'OP_UpdateItemCreationProcessUIMsg',227,1),
(27550,64678,64724,'OP_DisplayTSEventReactionMsg',228,1),
(27551,64678,64724,'OP_ShowRecipeBookMsg',229,1),
(27552,64678,64724,'OP_KnowledgebaseRequestMsg',230,1),
(27553,64678,64724,'OP_KnowledgebaseResponseMsg',231,1),
(27554,64678,64724,'OP_CSTicketHeaderRequestMsg',232,1),
(27555,64678,64724,'OP_CSTicketInfoMsg',233,1),
(27556,64678,64724,'OP_CSTicketCommentRequestMsg',234,1),
(27557,64678,64724,'OP_CSTicketCommentResponseMsg',235,1),
(27558,64678,64724,'OP_CSTicketCreateMsg',236,1),
(27559,64678,64724,'OP_CSTicketAddCommentMsg',237,1),
(27560,64678,64724,'OP_CSTicketDeleteMsg',238,1),
(27561,64678,64724,'OP_CSTicketChangeNotificationMsg',239,1),
(27562,64678,64724,'OP_WorldDataUpdateMsg',240,1),
(27563,64678,64724,'OP_KnownLanguagesMsg',242,1),
(27564,64678,64724,'OP_LsRequestClientCrashLogMsg',243,1),
(27565,64678,64724,'OP_LsClientBaselogReplyMsg',244,1),
(27566,64678,64724,'OP_LsClientCrashlogReplyMsg',245,1),
(27567,64678,64724,'OP_LsClientAlertlogReplyMsg',246,1),
(27568,64678,64724,'OP_LsClientVerifylogReplyMsg',247,1),
(27569,64678,64724,'OP_ClientTeleportToLocationMsg',248,1),
(27570,64678,64724,'OP_UpdateClientPredFlagsMsg',249,1),
(27571,64678,64724,'OP_ChangeServerControlFlagMsg',250,1),
(27572,64678,64724,'OP_CSToolsRequestMsg',251,1),
(27573,64678,64724,'OP_CSToolsResponseMsg',252,1),
(27574,64678,64724,'OP_AddSocialStructureStandingMsg',253,1),
(27575,64678,64724,'OP_CreateBoatTransportsMsg',254,1),
(27576,64678,64724,'OP_PositionBoatTransportMsg',255,1),
(27577,64678,64724,'OP_MigrateBoatTransportMsg',256,1),
(27578,64678,64724,'OP_MigrateBoatTransportReplyMsg',257,1),
(27579,64678,64724,'OP_DisplayDebugNLLPointsMsg',258,1),
(27580,64678,64724,'OP_ExamineInfoRequestMsg',259,1),
(27581,64678,64724,'OP_QuickbarInitMsg',260,1),
(27582,64678,64724,'OP_QuickbarUpdateMsg',261,1),
(27583,64678,64724,'OP_MacroInitMsg',262,1),
(27584,64678,64724,'OP_MacroUpdateMsg',263,1),
(27585,64678,64724,'OP_QuestionnaireMsg',264,1),
(27586,64678,64724,'OP_LevelChangedMsg',265,1),
(27587,64678,64724,'OP_SpellGainedMsg',266,1),
(27588,64678,64724,'OP_EncounterBrokenMsg',267,1),
(27589,64678,64724,'OP_OnscreenMsgMsg',268,1),
(27590,64678,64724,'OP_DisplayWarningMsg',269,1),
(27591,64678,64724,'OP_ModifyGuildMsg',270,1),
(27592,64678,64724,'OP_GuildEventMsg',271,1),
(27593,64678,64724,'OP_GuildEventAddMsg',272,1),
(27594,64678,64724,'OP_GuildEventActionMsg',273,1),
(27595,64678,64724,'OP_GuildEventListMsg',274,1),
(27596,64678,64724,'OP_RequestGuildEventDetailsMsg',275,1),
(27597,64678,64724,'OP_GuildEventDetailsMsg',276,1),
(27598,64678,64724,'OP_RequestGuildInfoMsg',277,1),
(27599,64678,64724,'OP_GuildBankActionMsg',278,1),
(27600,64678,64724,'OP_GuildBankActionResponseMsg',279,1),
(27601,64678,64724,'OP_GuildBankItemDetailsRequestMsg',280,1),
(27602,64678,64724,'OP_GuildBankItemDetailsResponseMs',281,1),
(27603,64678,64724,'OP_GuildBankUpdateMsg',282,1),
(27604,64678,64724,'OP_GuildBankEventListMsg',283,1),
(27605,64678,64724,'OP_RequestGuildBankEventDetailsMs',284,1),
(27606,64678,64724,'OP_RewardPackMsg',285,1),
(27607,64678,64724,'OP_RenameGuildMsg',286,1),
(27608,64678,64724,'OP_ZoneToFriendRequestMsg',287,1),
(27609,64678,64724,'OP_ZoneToFriendReplyMsg',288,1),
(27610,64678,64724,'OP_ChatCreateChannelMsg',289,1),
(27611,64678,64724,'OP_ChatJoinChannelMsg',290,1),
(27612,64678,64724,'OP_ChatWhoChannelMsg',291,1),
(27613,64678,64724,'OP_ChatLeaveChannelMsg',292,1),
(27614,64678,64724,'OP_ChatTellChannelMsg',293,1),
(27615,64678,64724,'OP_ChatTellUserMsg',294,1),
(27616,64678,64724,'OP_ChatToggleFriendMsg',295,1),
(27617,64678,64724,'OP_BrokerAddBag',296,1),
(27618,64678,64724,'OP_BrokerRemoveBag',297,1),
(27619,64678,64724,'OP_ChatToggleIgnoreMsg',298,1),
(27620,64678,64724,'OP_ChatSendFriendsMsg',299,1),
(27621,64678,64724,'OP_ChatSendIgnoresMsg',300,1),
(27622,64678,64724,'OP_QuestReward',324,1),
(27623,64678,64724,'OP_ChatFiltersMsg',338,1),
(27624,64678,64724,'OP_MailGetMessageMsg',342,1),
(27625,64678,64724,'OP_MailSendMessageMsg',343,1),
(27626,64678,64724,'OP_MailDeleteMessageMsg',344,1),
(27627,64678,64724,'OP_MailGetHeadersReplyMsg',345,1),
(27628,64678,64724,'OP_MailGetMessageReplyMsg',346,1),
(27629,64678,64724,'OP_MailSendMessageReplyMsg',347,1),
(27630,64678,64724,'OP_MailCommitSendMessageMsg',348,1),
(27631,64678,64724,'OP_MailSendSystemMessageMsg',349,1),
(27632,64678,64724,'OP_MailRemoveAttachFromMailMsg',350,1),
(27633,64678,64724,'OP_WaypointRequestMsg',352,1),
(27634,64678,64724,'OP_WaypointReplyMsg',353,1),
(27635,64678,64724,'OP_WaypointSelectMsg',354,1),
(27636,64678,64724,'OP_WaypointUpdateMsg',355,1),
(27637,64678,64724,'OP_CharNameChangedMsg',356,1),
(27638,64678,64724,'OP_ShowZoneTeleporterDestinations',357,1),
(27639,64678,64724,'OP_SelectZoneTeleporterDestinatio',358,1),
(27640,64678,64724,'OP_ReloadLocalizedTxtMsg',359,1),
(27641,64678,64724,'OP_RequestGuildMembershipMsg',360,1),
(27642,64678,64724,'OP_GuildMembershipResponseMsg',361,1),
(27643,64678,64724,'OP_LeaveGuildNotifyMsg',362,1),
(27644,64678,64724,'OP_JoinGuildNotifyMsg',363,1),
(27645,64678,64724,'OP_AvatarUpdateMsg',364,1),
(27646,64678,64724,'OP_BioUpdateMsg',366,1),
(27647,64678,64724,'OP_InspectPlayerMsg',367,1),
(27648,64678,64724,'OP_WSServerLockMsg',368,1),
(27649,64678,64724,'OP_LSServerLockMsg',369,1),
(27650,64678,64724,'OP_WSServerHideMsg',370,1),
(27651,64678,64724,'OP_CsCategoryRequestMsg',371,1),
(27652,64678,64724,'OP_CsCategoryResponseMsg',372,1),
(27653,64678,64724,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(27654,64678,64724,'OP_AFKUpdateMsg',374,1),
(27655,64678,64724,'OP_AnonUpdateMsg',375,1),
(27656,64678,64724,'OP_UpdateActivePublicZonesMsg',376,1),
(27657,64678,64724,'OP_UnknownNpcMsg',377,1),
(27658,64678,64724,'OP_PromoFlagsDetailsMsg',378,1),
(27659,64678,64724,'OP_ConsignViewCreateMsg',379,1),
(27660,64678,64724,'OP_ConsignViewGetPageMsg',380,1),
(27661,64678,64724,'OP_ConsignViewReleaseMsg',381,1),
(27662,64678,64724,'OP_ConsignRemoveItemsMsg',382,1),
(27663,64678,64724,'OP_UpdateDebugRadiiMsg',383,1),
(27664,64678,64724,'OP_ReportMsg',384,1),
(27665,64678,64724,'OP_UpdateRaidMsg',385,1),
(27666,64678,64724,'OP_ConsignViewSortMsg',387,1),
(27667,64678,64724,'OP_TitleUpdateMsg',388,1),
(27668,64678,64724,'OP_ClientFellMsg',389,1),
(27669,64678,64724,'OP_ClientInDeathRegionMsg',390,1),
(27670,64678,64724,'OP_CampClientMsg',391,1),
(27671,64678,64724,'OP_UpdateGroupMemberDataMsg',392,1),
(27672,64678,64724,'OP_CSToolAccessResponseMsg',392,1),
(27673,64678,64724,'OP_TrackingUpdateMsg',393,1),
(27674,64678,64724,'OP_BeginTrackingMsg',394,1),
(27675,64678,64724,'OP_StopTrackingMsg',395,1),
(27676,64678,64724,'OP_GetAvatarAccessRequestForCSToo',397,1),
(27677,64678,64724,'OP_AdvancementRequestMsg',398,1),
(27678,64678,64724,'OP_MapFogDataInitMsg',399,1),
(27679,64678,64724,'OP_MapFogDataUpdateMsg',400,1),
(27680,64678,64724,'OP_CloseGroupInviteWindowMsg',401,1),
(27681,64678,64724,'OP_WorldPingMsg',404,1),
(27682,64678,64724,'OP_MoveLogUpdateMsg',405,1),
(27683,64678,64724,'OP_OfferQuestMsg',406,1),
(27684,64678,64724,'OP_WorldShutdownUpdateMsg',408,1),
(27685,64678,64724,'OP_DisplayMailScreenMsg',409,1),
(27686,64678,64724,'OP_ClientIdleBeginMsg',410,1),
(27687,64678,64724,'OP_ClientIdleEndMsg',411,1),
(27688,64678,64724,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(27689,64678,64724,'OP_NotifyApprenticeStoppedMentori',413,1),
(27690,64678,64724,'OP_CorruptedClientMsg',414,1),
(27691,64678,64724,'OP_WorldDataChangeMsg',415,1),
(27692,64678,64724,'OP_MailEventNotificationMsg',416,1),
(27693,64678,64724,'OP_RestartZoneMsg',417,1),
(27694,64678,64724,'OP_FlightPathsMsg',418,1),
(27695,64678,64724,'OP_CharacterLinkdeadMsg',419,1),
(27696,64678,64724,'OP_CharTransferStartRequestMsg',420,1),
(27697,64678,64724,'OP_CharTransferStartReplyMsg',421,1),
(27698,64678,64724,'OP_CharTransferRequestMsg',422,1),
(27699,64678,64724,'OP_CharTransferReplyMsg',423,1),
(27700,64678,64724,'OP_CharTransferRollbackRequestMsg',424,1),
(27701,64678,64724,'OP_CharTransferCommitRequestMsg',425,1),
(27702,64678,64724,'OP_CharTransferRollbackReplyMsg',426,1),
(27703,64678,64724,'OP_CharTransferCommitReplyMsg',427,1),
(27704,64678,64724,'OP_GetCharacterSerializedRequestM',428,1),
(27705,64678,64724,'OP_GetCharacterSerializedReplyMsg',429,1),
(27706,64678,64724,'OP_CreateCharFromCBBRequestMsg',430,1),
(27707,64678,64724,'OP_CreateCharFromCBBReplyMsg',431,1),
(27708,64678,64724,'OP_HousingDataChangedMsg',432,1),
(27709,64678,64724,'OP_HousingRestoreMsg',433,1),
(27710,64678,64724,'OP_AuctionItem',434,1),
(27711,64678,64724,'OP_AuctionItemReply',435,1),
(27712,64678,64724,'OP_AuctionCoin',436,1),
(27713,64678,64724,'OP_AuctionCoinReply',437,1),
(27714,64678,64724,'OP_AuctionCharacter',438,1),
(27715,64678,64724,'OP_AuctionCharacterReply',439,1),
(27716,64678,64724,'OP_AuctionCommitMsg',440,1),
(27717,64678,64724,'OP_AuctionAbortMsg',441,1),
(27718,64678,64724,'OP_CharTransferValidateRequestMsg',442,1),
(27719,64678,64724,'OP_CharTransferValidateReplyMsg',443,1),
(27720,64678,64724,'OP_RaceRestrictionMsg',444,1),
(27721,64678,64724,'OP_SetInstanceDisplayNameMsg',445,1),
(27722,64678,64724,'OP_GetAuctionAssetIDMsg',446,1),
(27723,64678,64724,'OP_GetAuctionAssetIDReplyMsg',447,1),
(27724,64678,64724,'OP_ResendWorldChannelsMsg',448,1),
(27725,64678,64724,'OP_DisplayExchangeScreenMsg',449,1),
(27726,64678,64724,'OP_ArenaGameTypesMsg',450,1),
(27727,64678,64724,'OP_AuditAuctionEventMsg',451,1),
(27728,64678,64724,'OP_InviteRequestMsg',452,1),
(27729,64678,64724,'OP_InviteResponseMsg',453,1),
(27730,64678,64724,'OP_InviteTargetResponseMsg',454,1),
(27731,64678,64724,'OP_InspectPlayerRequestMsg',455,1),
(27732,64678,64724,'OP_DispatchMsg',456,1),
(27733,64678,64724,'OP_DisplayEventMsg',457,1),
(27734,64678,64724,'OP_PrePossessionMsg',458,1),
(27735,64678,64724,'OP_PostPossessionMsg',459,1),
(27736,64678,64724,'OP_ArenaCreate',461,1),
(27737,64678,64724,'OP_ArenaList',462,1),
(27738,64678,64724,'OP_ArenaWindow',470,1),
(27739,64678,64724,'OP_HouseItemsList',489,1),
(27740,64678,64724,'OP_CurrentPet',490,1),
(27741,64678,64724,'OP_EarlyLandingRequestMsg',491,1),
(27742,64678,64724,'OP_AdventureList',494,1),
(27743,64678,64724,'OP_CancelSpellCast',495,1),
(27744,64678,64724,'OP_ClearForLandingMsg',497,1),
(27745,64678,64724,'OP_UpdateTitleCmd',500,1),
(27746,64678,64724,'OP_AttackAllowed',506,1),
(27747,64678,64724,'OP_AttackNotAllowed',507,1),
(27748,64678,64724,'OP_BagOptions',508,1),
(27749,64678,64724,'OP_LFGGroupSearch',510,1),
(27750,64678,64724,'OP_CharacterHousingList',513,1),
(27751,64678,64724,'OP_DressingRoom',516,1),
(27752,64678,64724,'OP_PlayLon',517,1),
(27753,64678,64724,'OP_SkillInfoRequest',519,1),
(27754,64678,64724,'OP_SkillInfoResponse',520,1),
(27755,64678,64724,'OP_LFGUpdateMsg',523,1),
(27756,64678,64724,'OP_BadLanguageFilter',524,1),
(27757,64678,64724,'OP_VoiceChatChannel',525,1),
(27758,64678,64724,'OP_MapRequest',526,1),
(27759,64678,64724,'OP_MarketFundsUpdate',531,1),
(27760,64678,64724,'OP_UIEvent',532,1),
(27761,64678,64724,'OP_MarketAddFundsRequest',533,1),
(27762,64678,64724,'OP_MarketAddFundsReply',534,1),
(27763,64678,64724,'OP_MarketPurchase',536,1),
(27764,64678,64724,'OP_MarketPlacePrices',537,1),
(27765,64678,64724,'OP_MarketPlaceItems',544,1),
(27766,64678,64724,'OP_RecipeBook',545,1),
(27767,64678,64724,'OP_CreateCharacterDungeon',552,1),
(27768,64678,64724,'OP_DungeonMakerEnter',553,1),
(27769,64678,64724,'OP_DungeonMakerItemRequest',557,1),
(27770,64678,64724,'OP_CharacterCreatedDungeons',558,1),
(27771,64678,64724,'OP_DungeonMakerToolboxList',559,1),
(27772,64678,64724,'OP_DungeonMakerUnknown',560,1),
(27773,64678,64724,'OP_DungeonMakerUnknown1',561,1),
(27774,64678,64724,'OP_PlayerPollPopup',563,1),
(27775,64678,64724,'OP_PlayerPollAnswer',564,1),
(27776,64678,64724,'OP_MentorPopup',565,1),
(27777,64678,64724,'OP_LoadWelcomeWindow',567,1),
(27778,64678,64724,'OP_OpenCharCust',569,1),
(27779,64678,64724,'OP_SubmitCharCust',570,1),
(27780,64678,64724,'OP_QueAllBgSolo',572,1),
(27781,64678,64724,'OP_ZoneBgInstanceList',573,1),
(27782,64678,64724,'OP_WorldTravelAvail',577,1),
(27783,64678,64724,'OP_Launchpad',580,1),
(27784,64678,64724,'OP_PaperdollImage',582,1),
(27785,64678,64724,'OP_LoadCalendarEvents',583,1),
(27786,64678,64724,'OP_VideoUploaded',584,1),
(27787,64678,64724,'OP_SavageBarInitMsg',585,1),
(27788,64678,64724,'OP_PetOptionsResponse',586,1),
(27789,64678,64724,'OP_DungeonMakerItemResponse',587,1),
(27790,64678,64724,'OP_Weakness',588,1),
(27791,64678,64724,'OP_CharacterMounts',589,1),
(27792,64678,64724,'OP_RecipeListUnknown',598,1),
(27793,64678,64724,'OP_DailyObjectives',602,1),
(27794,64678,64724,'OP_DeityAbilityWindow',622,1),
(27795,64678,64724,'OP_EqBetaCopyRequest',640,1),
(27796,64678,64724,'OP_SOEAllAccess',647,1),
(27797,64678,64724,'OP_EqHearChatCmd',647,1),
(27798,64678,64724,'OP_EqDisplayTextCmd',648,1),
(27799,64678,64724,'OP_EqCreateGhostCmd',649,1),
(27800,64678,64724,'OP_EqCreateWidgetCmd',650,1),
(27801,64678,64724,'OP_EqCreateSignWidgetCmd',651,1),
(27802,64678,64724,'OP_EqDestroyGhostCmd',652,1),
(27803,64678,64724,'OP_EqUpdateGhostCmd',653,1),
(27804,64678,64724,'OP_EqSetControlGhostCmd',654,1),
(27805,64678,64724,'OP_EqSetPOVGhostCmd',655,1),
(27806,64678,64724,'OP_EqHearCombatCmd',656,1),
(27807,64678,64724,'OP_EqHearSpellCastCmd',657,1),
(27808,64678,64724,'OP_EQHearProcCmd',658,1),
(27809,64678,64724,'OP_EQHearResEffectCmd',659,1),
(27810,64678,64724,'OP_EqHearSpellInterruptCmd',660,1),
(27811,64678,64724,'OP_EqHearSpellFizzleCmd',661,1),
(27812,64678,64724,'OP_EqHearConsiderCmd',662,1),
(27813,64678,64724,'OP_EqUpdateSubClassesCmd',663,1),
(27814,64678,64724,'OP_EqCreateListBoxCmd',664,1),
(27815,64678,64724,'OP_EqSetDebugPathPointsCmd',665,1),
(27816,64678,64724,'OP_EqCannedEmoteCmd',667,1),
(27817,64678,64724,'OP_EqStateCmd',668,1),
(27818,64678,64724,'OP_EqPlaySoundCmd',669,1),
(27819,64678,64724,'OP_EqPlaySound3DCmd',670,1),
(27820,64678,64724,'OP_EqPlayVoiceCmd',671,1),
(27821,64678,64724,'OP_EqHearDrowningCmd',672,1),
(27822,64678,64724,'OP_EqHearDeathCmd',673,1),
(27823,64678,64724,'OP_EqGroupMemberRemovedCmd',674,1),
(27824,64678,64724,'OP_EqHearChainEffectCmd',675,1),
(27825,64678,64724,'OP_EqReceiveOfferCmd',676,1),
(27826,64678,64724,'OP_EqInspectPCResultsCmd',677,1),
(27827,64678,64724,'OP_EqDrawablePathGraphCmd',678,1),
(27828,64678,64724,'OP_EqDialogOpenCmd',679,1),
(27829,64678,64724,'OP_EqDialogCloseCmd',680,1),
(27830,64678,64724,'OP_EqFactionUpdateCmd',681,1),
(27831,64678,64724,'OP_EqCollectionUpdateCmd',682,1),
(27832,64678,64724,'OP_EqCollectionFilterCmd',683,1),
(27833,64678,64724,'OP_EqCollectionItemCmd',684,1),
(27834,64678,64724,'OP_EqQuestJournalUpdateCmd',685,1),
(27835,64678,64724,'OP_EqMentoring',686,1),
(27836,64678,64724,'OP_EqQuestJournalReplyCmd',687,1),
(27837,64678,64724,'OP_EqQuestGroupCmd',688,1),
(27838,64678,64724,'OP_EqUpdateMerchantCmd',689,1),
(27839,64678,64724,'OP_EqUpdateStoreCmd',690,1),
(27840,64678,64724,'OP_EqUpdatePlayerTradeCmd',691,1),
(27841,64678,64724,'OP_EqHelpPathCmd',692,1),
(27842,64678,64724,'OP_EqHelpPathClearCmd',693,1),
(27843,64678,64724,'OP_EqUpdateBankCmd',694,1),
(27844,64678,64724,'OP_EqExamineInfoCmd',695,1),
(27845,64678,64724,'OP_EqCloseWindowCmd',696,1),
(27846,64678,64724,'OP_EqUpdateLootCmd',697,1),
(27847,64678,64724,'OP_EqJunctionListCmd',698,1),
(27848,64678,64724,'OP_EqShowDeathWindowCmd',699,1),
(27849,64678,64724,'OP_EqDisplaySpellFailCmd',700,1),
(27850,64678,64724,'OP_EqSpellCastStartCmd',701,1),
(27851,64678,64724,'OP_EqSpellCastEndCmd',702,1),
(27852,64678,64724,'OP_EqResurrectedCmd',703,1),
(27853,64678,64724,'OP_EqChoiceWinCmd',704,1),
(27854,64678,64724,'OP_EqSetDefaultVerbCmd',705,1),
(27855,64678,64724,'OP_EqInstructionWindowCmd',706,1),
(27856,64678,64724,'OP_EqInstructionWindowCloseCmd',707,1),
(27857,64678,64724,'OP_EqInstructionWindowGoalCmd',708,1),
(27858,64678,64724,'OP_EqInstructionWindowTaskCmd',709,1),
(27859,64678,64724,'OP_EqEnableGameEventCmd',710,1),
(27860,64678,64724,'OP_EqShowWindowCmd',711,1),
(27861,64678,64724,'OP_EqEnableWindowCmd',712,1),
(27862,64678,64724,'OP_EqFlashWindowCmd',713,1),
(27863,64678,64724,'OP_EqHearPlayFlavorCmd',715,1),
(27864,64678,64724,'OP_EqUpdateSignWidgetCmd',716,1),
(27865,64678,64724,'OP_EqDebugPVDCmd',717,1),
(27866,64678,64724,'OP_EqShowBookCmd',718,1),
(27867,64678,64724,'OP_EqQuestionnaireCmd',719,1),
(27868,64678,64724,'OP_EqGetProbsCmd',721,1),
(27869,64678,64724,'OP_EqHearHealCmd',722,1),
(27870,64678,64724,'OP_EqChatChannelUpdateCmd',723,1),
(27871,64678,64724,'OP_EqWhoChannelQueryReplyCmd',724,1),
(27872,64678,64724,'OP_EqAvailWorldChannelsCmd',725,1),
(27873,64678,64724,'OP_EqUpdateTargetCmd',726,1),
(27874,64678,64724,'OP_BrokerSellList',727,1),
(27875,64678,64724,'OP_EqConsignmentItemsCmd',728,1),
(27876,64678,64724,'OP_EqStartBrokerCmd',730,1),
(27877,64678,64724,'OP_EqMapExplorationCmd',731,1),
(27878,64678,64724,'OP_EqStoreLogCmd',732,1),
(27879,64678,64724,'OP_EqSpellMoveToRangeAndRetryCmd',733,1),
(27880,64678,64724,'OP_EqUpdatePlayerMailCmd',734,1),
(27881,64678,64724,'OP_GuildStatusUpdate',737,1),
(27882,64678,64724,'OP_EqArenaResultsCmd',738,1),
(27883,64678,64724,'OP_EqGuildBankEventActionCmd',739,1),
(27884,64678,64724,'OP_EqGuildBankExamineInfoCmd',740,1),
(27885,64678,64724,'OP_EqHearSpellNoLandCmd',741,1),
(27886,64678,64724,'OP_Lottery',742,1),
(27887,64678,64724,'OP_GuildRecruitingMemberInfo',743,1),
(27888,64678,64724,'OP_GuildRecruiting',744,1),
(27889,64678,64724,'OP_GuildRecruitingDetails',745,1),
(27890,64678,64724,'OP_GuildRecruitingImage',746,1),
(27891,64678,64724,'OP_TradeskillList',747,1),
(27892,64678,64724,'OP_CharRenamed',748,1),
(27893,64678,64724,'OP_UseAdornment',758,1),
(27894,64678,64724,'OP_ExpPurchWindow',764,1),
(27895,64678,64724,'OP_PointOfInterest',768,1),
(27896,64678,64724,'OP_PointOfInterest2',769,1),
(27897,64678,64724,'OP_TraitsList',770,1),
(27898,64678,64724,'OP_CustomizeHouseDisplay',773,1),
(27899,64678,64724,'OP_VoiceChatServer',774,1),
(27900,64678,64724,'OP_SupplyDepot',778,1),
(27901,64678,64724,'OP_EQHearThreatCmd',779,1),
(27902,64678,64724,'OP_RecipeList',780,1),
(27903,64678,64724,'OP_Research',781,1),
(27904,64678,64724,'OP_CharacterCurrency',782,1),
(27905,64678,64724,'OP_CharacterAchievements',783,1),
(27906,64678,64724,'OP_AchievementUpdateMsg',784,1),
(27907,64678,64724,'OP_EQHearDispellCmd',785,1),
(27908,64678,64724,'OP_JournalQuestStoryline',786,1),
(27909,64678,64724,'OP_DungeonPlayAsAvatarList',787,1),
(27910,64678,64724,'OP_DungeonPlayAsAvatarSelected',788,1),
(27911,64678,64724,'OP_MercHireWindow',790,1),
(27912,64678,64724,'OP_MercUnknown',791,1),
(27913,64678,64724,'OP_Unknown',804,1),
(27914,64678,64724,'OP_HeritageMsg',10030,1),
(28938,64736,64753,'OP_LoginRequestMsg',0,1),
(28939,64736,64753,'OP_LoginByNumRequestMsg',1,1),
(28940,64736,64753,'OP_WSLoginRequestMsg',2,1),
(28941,64736,64753,'OP_ESLoginRequestMsg',3,1),
(28942,64736,64753,'OP_LoginReplyMsg',4,1),
(28943,64736,64753,'OP_WSStatusReplyMsg',5,1),
(28944,64736,64753,'OP_WorldStatusChangeMsg',6,1),
(28945,64736,64753,'OP_AllWSDescRequestMsg',7,1),
(28946,64736,64753,'OP_WorldListMsg',8,1),
(28947,64736,64753,'OP_AllCharactersDescRequestMsg',9,1),
(28948,64736,64753,'OP_AllCharactersDescReplyMsg',10,1),
(28949,64736,64753,'OP_CreateCharacterRequestMsg',11,1),
(28950,64736,64753,'OP_CreateCharacterReplyMsg',12,1),
(28951,64736,64753,'OP_WSCreateCharacterRequestMsg',13,1),
(28952,64736,64753,'OP_WSCreateCharacterReplyMsg',14,1),
(28953,64736,64753,'OP_ReskinCharacterRequestMsg',15,1),
(28954,64736,64753,'OP_DeleteCharacterRequestMsg',18,1),
(28955,64736,64753,'OP_DeleteCharacterReplyMsg',19,1),
(28956,64736,64753,'OP_PlayCharacterRequestMsg',20,1),
(28957,64736,64753,'OP_PlayCharacterReplyMsg',21,1),
(28958,64736,64753,'OP_ExpectClientAsCharacterReplyMs',24,1),
(28959,64736,64753,'OP_ServerPlayCharacterRequestMsg',25,1),
(28960,64736,64753,'OP_ServerPlayCharacterReplyMsg',26,1),
(28961,64736,64753,'OP_ESInitMsg',27,1),
(28962,64736,64753,'OP_ESReadyForClientsMsg',28,1),
(28963,64736,64753,'OP_CreateZoneInstanceMsg',31,1),
(28964,64736,64753,'OP_ZoneInstanceCreateReplyMsg',32,1),
(28965,64736,64753,'OP_ZoneInstanceDestroyedMsg',33,1),
(28966,64736,64753,'OP_ExpectClientAsCharacterRequest',34,1),
(28967,64736,64753,'OP_ZoneInfoMsg',35,1),
(28968,64736,64753,'OP_DoneLoadingZoneResourcesMsg',36,1),
(28969,64736,64753,'OP_DoneSendingInitialEntitiesMsg',37,1),
(28970,64736,64753,'OP_DoneLoadingEntityResourcesMsg',38,1),
(28971,64736,64753,'OP_PredictionUpdateMsg',39,1),
(28972,64736,64753,'OP_UpdatePositionMsg',41,1),
(28973,64736,64753,'OP_SetRemoteCmdsMsg',43,1),
(28974,64736,64753,'OP_RemoteCmdMsg',44,1),
(28975,64736,64753,'OP_GameWorldTimeMsg',45,1),
(28976,64736,64753,'OP_MOTDMsg',46,1),
(28977,64736,64753,'OP_ZoneMOTDMsg',47,1),
(28978,64736,64753,'OP_AvatarCreatedMsg',48,1),
(28979,64736,64753,'OP_AvatarDestroyedMsg',49,1),
(28980,64736,64753,'OP_RequestCampMsg',52,1),
(28981,64736,64753,'OP_CampStartedMsg',53,1),
(28982,64736,64753,'OP_CampAbortedMsg',54,1),
(28983,64736,64753,'OP_WhoQueryRequestMsg',55,1),
(28984,64736,64753,'OP_WhoQueryReplyMsg',56,1),
(28985,64736,64753,'OP_MonitorReplyMsg',57,1),
(28986,64736,64753,'OP_MonitorCharacterListMsg',58,1),
(28987,64736,64753,'OP_MonitorCharacterListRequestMsg',59,1),
(28988,64736,64753,'OP_ClientCmdMsg',60,1),
(28989,64736,64753,'OP_DispatchESMsg',61,1),
(28990,64736,64753,'OP_DispatchClientCmdMsg',62,1),
(28991,64736,64753,'OP_UpdateTargetMsg',63,1),
(28992,64736,64753,'OP_UpdateTargetLocMsg',64,1),
(28993,64736,64753,'OP_UpdateCharacterSheetMsg',65,1),
(28994,64736,64753,'OP_CharacterPet',66,1),
(28995,64736,64753,'OP_CharacterMerc',67,1),
(28996,64736,64753,'OP_UpdateSpellBookMsg',68,1),
(28997,64736,64753,'OP_UpdateInventoryMsg',70,1),
(28998,64736,64753,'OP_AfterInvSpellUpdate',71,1),
(28999,64736,64753,'OP_UpdateRecipeBookMsg',72,1),
(29000,64736,64753,'OP_RequestRecipeDetailsMsg',73,1),
(29001,64736,64753,'OP_RecipeDetailsMsg',74,1),
(29002,64736,64753,'OP_UpdateSkillBookMsg',75,1),
(29003,64736,64753,'OP_UpdateSkillsMsg',76,1),
(29004,64736,64753,'OP_UpdateOpportunityMsg',77,1),
(29005,64736,64753,'OP_ChangeZoneMsg',79,1),
(29006,64736,64753,'OP_ClientTeleportRequestMsg',80,1),
(29007,64736,64753,'OP_TeleportWithinZoneMsg',81,1),
(29008,64736,64753,'OP_TeleportWithinZoneNoReloadMsg',82,1),
(29009,64736,64753,'OP_MigrateClientToZoneRequestMsg',83,1),
(29010,64736,64753,'OP_MigrateClientToZoneReplyMsg',84,1),
(29011,64736,64753,'OP_ReadyToZoneMsg',86,1),
(29012,64736,64753,'OP_RemoveClientFromGroupMsg',87,1),
(29013,64736,64753,'OP_RemoveGroupFromGroupMsg',88,1),
(29014,64736,64753,'OP_MakeGroupLeaderMsg',89,1),
(29015,64736,64753,'OP_GroupCreatedMsg',90,1),
(29016,64736,64753,'OP_GroupDestroyedMsg',91,1),
(29017,64736,64753,'OP_GroupMemberAddedMsg',92,1),
(29018,64736,64753,'OP_GroupMemberRemovedMsg',93,1),
(29019,64736,64753,'OP_GroupRemovedFromGroupMsg',94,1),
(29020,64736,64753,'OP_GroupLeaderChangedMsg',95,1),
(29021,64736,64753,'OP_GroupResendOOZDataMsg',96,1),
(29022,64736,64753,'OP_GroupSettingsChangedMsg',97,1),
(29023,64736,64753,'OP_OutOfZoneMemberDataMsg',98,1),
(29024,64736,64753,'OP_SendLatestRequestMsg',99,1),
(29025,64736,64753,'OP_ClearDataMsg',100,1),
(29026,64736,64753,'OP_SetSocialMsg',101,1),
(29027,64736,64753,'OP_ESStatusMsg',102,1),
(29028,64736,64753,'OP_ESZoneInstanceStatusMsg',103,1),
(29029,64736,64753,'OP_ZonesStatusRequestMsg',104,1),
(29030,64736,64753,'OP_ZonesStatusMsg',105,1),
(29031,64736,64753,'OP_ESWeatherRequestMsg',106,1),
(29032,64736,64753,'OP_ESWeatherRequestEndMsg',107,1),
(29033,64736,64753,'OP_DialogSelectMsg',111,1),
(29034,64736,64753,'OP_DialogCloseMsg',112,1),
(29035,64736,64753,'OP_RemoveSpellEffectMsg',113,1),
(29036,64736,64753,'OP_RemoveConcentrationMsg',114,1),
(29037,64736,64753,'OP_QuestJournalOpenMsg',115,1),
(29038,64736,64753,'OP_QuestJournalInspectMsg',116,1),
(29039,64736,64753,'OP_QuestJournalSetVisibleMsg',117,1),
(29040,64736,64753,'OP_QuestJournalWaypointMsg',118,1),
(29041,64736,64753,'OP_CreateGuildRequestMsg',121,1),
(29042,64736,64753,'OP_CreateGuildReplyMsg',123,1),
(29043,64736,64753,'OP_GuildsayMsg',124,1),
(29044,64736,64753,'OP_FellowshipExpMsg',125,1),
(29045,64736,64753,'OP_DeleteGuildMsg',126,1),
(29046,64736,64753,'OP_GuildUpdateMsg',127,1),
(29047,64736,64753,'OP_ConsignmentCloseStoreMsg',128,1),
(29048,64736,64753,'OP_ConsignItemRequestMsg',129,1),
(29049,64736,64753,'OP_ConsignItemResponseMsg',130,1),
(29050,64736,64753,'OP_PurchaseConsignmentRequestMsg',131,1),
(29051,64736,64753,'OP_LikeOption',139,1),
(29052,64736,64753,'OP_PublishHouse',141,1),
(29053,64736,64753,'OP_PlayerMadeInstancesScreen',142,1),
(29054,64736,64753,'OP_PlayerMadeInstances',143,1),
(29055,64736,64753,'OP_HouseDeletedRemotelyMsg',145,1),
(29056,64736,64753,'OP_UpdateHouseDataMsg',146,1),
(29057,64736,64753,'OP_UpdateHouseAccessDataMsg',147,1),
(29058,64736,64753,'OP_PlayerHouseBaseScreenMsg',148,1),
(29059,64736,64753,'OP_PlayerHousePurchaseScreenMsg',149,1),
(29060,64736,64753,'OP_PlayerHouseAccessUpdateMsg',150,1),
(29061,64736,64753,'OP_PlayerHouseDisplayStatusMsg',151,1),
(29062,64736,64753,'OP_PlayerHouseCloseUIMsg',152,1),
(29063,64736,64753,'OP_BuyPlayerHouseMsg',153,1),
(29064,64736,64753,'OP_BuyPlayerHouseTintMsg',154,1),
(29065,64736,64753,'OP_CollectAllHouseItemsMsg',155,1),
(29066,64736,64753,'OP_RelinquishHouseMsg',156,1),
(29067,64736,64753,'OP_EnterHouseMsg',157,1),
(29068,64736,64753,'OP_ExitHouseMsg',158,1),
(29069,64736,64753,'OP_HouseDefaultAccessSetMsg',159,1),
(29070,64736,64753,'OP_HouseAccessSetMsg',160,1),
(29071,64736,64753,'OP_HouseAccessRemoveMsg',161,1),
(29072,64736,64753,'OP_PayHouseUpkeepMsg',162,1),
(29073,64736,64753,'OP_MoveableObjectPlacementCriteri',163,1),
(29074,64736,64753,'OP_EnterMoveObjectModeMsg',164,1),
(29075,64736,64753,'OP_PositionMoveableObject',165,1),
(29076,64736,64753,'OP_CancelMoveObjectModeMsg',166,1),
(29077,64736,64753,'OP_ShaderCustomizationMsg',167,1),
(29078,64736,64753,'OP_ReplaceableSubMeshesMsg',168,1),
(29079,64736,64753,'OP_HouseCustomizationScreenMsg',169,1),
(29080,64736,64753,'OP_CustomizationPurchaseRequestMs',170,1),
(29081,64736,64753,'OP_CustomizationSetRequestMsg',171,1),
(29082,64736,64753,'OP_CustomizationReplyMsg',172,1),
(29083,64736,64753,'OP_TintWidgetsMsg',173,1),
(29084,64736,64753,'OP_ExamineConsignmentRequestMsg',174,1),
(29085,64736,64753,'OP_ExamineConsignmentResponseMsg',175,1),
(29086,64736,64753,'OP_UISettingsResponseMsg',176,1),
(29087,64736,64753,'OP_UIResetMsg',177,1),
(29088,64736,64753,'OP_KeymapLoadMsg',178,1),
(29089,64736,64753,'OP_KeymapNoneMsg',179,1),
(29090,64736,64753,'OP_KeymapDataMsg',180,1),
(29091,64736,64753,'OP_KeymapSaveMsg',181,1),
(29092,64736,64753,'OP_DispatchSpellCmdMsg',182,1),
(29093,64736,64753,'OP_EntityVerbsRequestMsg',183,1),
(29094,64736,64753,'OP_EntityVerbsReplyMsg',184,1),
(29095,64736,64753,'OP_EntityVerbsVerbMsg',185,1),
(29096,64736,64753,'OP_ChatRelationshipUpdateMsg',187,1),
(29097,64736,64753,'OP_LootItemsRequestMsg',188,1),
(29098,64736,64753,'OP_StoppedLootingMsg',189,1),
(29099,64736,64753,'OP_SitMsg',190,1),
(29100,64736,64753,'OP_StandMsg',191,1),
(29101,64736,64753,'OP_SatMsg',192,1),
(29102,64736,64753,'OP_StoodMsg',193,1),
(29103,64736,64753,'OP_ClearForTakeOffMsg',194,1),
(29104,64736,64753,'OP_ReadyForTakeOffMsg',195,1),
(29105,64736,64753,'OP_ShowIllusionsMsg',196,1),
(29106,64736,64753,'OP_HideIllusionsMsg',197,1),
(29107,64736,64753,'OP_ExamineItemRequestMsg',198,1),
(29108,64736,64753,'OP_ReadBookPageMsg',199,1),
(29109,64736,64753,'OP_DefaultGroupOptionsRequestMsg',200,1),
(29110,64736,64753,'OP_DefaultGroupOptionsMsg',201,1),
(29111,64736,64753,'OP_GroupOptionsMsg',202,1),
(29112,64736,64753,'OP_DisplayGroupOptionsScreenMsg',203,1),
(29113,64736,64753,'OP_PetOptions',204,1),
(29114,64736,64753,'OP_DisplayInnVisitScreenMsg',205,1),
(29115,64736,64753,'OP_DumpSchedulerMsg',206,1),
(29116,64736,64753,'OP_LSCheckAcctLockMsg',207,1),
(29117,64736,64753,'OP_WSAcctLockStatusMsg',208,1),
(29118,64736,64753,'OP_RequestHelpRepathMsg',209,1),
(29119,64736,64753,'OP_RequestTargetLocMsg',210,1),
(29120,64736,64753,'OP_UpdateMotdMsg',211,1),
(29121,64736,64753,'OP_DestUpdateReq',213,1),
(29122,64736,64753,'OP_PerformPlayerKnockbackMsg',216,1),
(29123,64736,64753,'OP_PerformCameraShakeMsg',217,1),
(29124,64736,64753,'OP_PopulateSkillMapsMsg',218,1),
(29125,64736,64753,'OP_CancelledFeignMsg',219,1),
(29126,64736,64753,'OP_SysClient',221,1),
(29127,64736,64753,'OP_ShowCreateFromRecipeUIMsg',222,1),
(29128,64736,64753,'OP_CancelCreateFromRecipeMsg',223,1),
(29129,64736,64753,'OP_BeginItemCreationMsg',224,1),
(29130,64736,64753,'OP_StopItemCreationMsg',225,1),
(29131,64736,64753,'OP_ShowItemCreationProcessUIMsg',226,1),
(29132,64736,64753,'OP_UpdateItemCreationProcessUIMsg',227,1),
(29133,64736,64753,'OP_DisplayTSEventReactionMsg',228,1),
(29134,64736,64753,'OP_ShowRecipeBookMsg',229,1),
(29135,64736,64753,'OP_KnowledgebaseRequestMsg',230,1),
(29136,64736,64753,'OP_KnowledgebaseResponseMsg',231,1),
(29137,64736,64753,'OP_CSTicketHeaderRequestMsg',232,1),
(29138,64736,64753,'OP_CSTicketInfoMsg',233,1),
(29139,64736,64753,'OP_CSTicketCommentRequestMsg',234,1),
(29140,64736,64753,'OP_CSTicketCommentResponseMsg',235,1),
(29141,64736,64753,'OP_CSTicketCreateMsg',236,1),
(29142,64736,64753,'OP_CSTicketAddCommentMsg',237,1),
(29143,64736,64753,'OP_CSTicketDeleteMsg',238,1),
(29144,64736,64753,'OP_CSTicketChangeNotificationMsg',239,1),
(29145,64736,64753,'OP_WorldDataUpdateMsg',240,1),
(29146,64736,64753,'OP_KnownLanguagesMsg',242,1),
(29147,64736,64753,'OP_LsRequestClientCrashLogMsg',243,1),
(29148,64736,64753,'OP_LsClientBaselogReplyMsg',244,1),
(29149,64736,64753,'OP_LsClientCrashlogReplyMsg',245,1),
(29150,64736,64753,'OP_LsClientAlertlogReplyMsg',246,1),
(29151,64736,64753,'OP_LsClientVerifylogReplyMsg',247,1),
(29152,64736,64753,'OP_ClientTeleportToLocationMsg',248,1),
(29153,64736,64753,'OP_UpdateClientPredFlagsMsg',249,1),
(29154,64736,64753,'OP_ChangeServerControlFlagMsg',250,1),
(29155,64736,64753,'OP_CSToolsRequestMsg',251,1),
(29156,64736,64753,'OP_CSToolsResponseMsg',252,1),
(29157,64736,64753,'OP_AddSocialStructureStandingMsg',253,1),
(29158,64736,64753,'OP_CreateBoatTransportsMsg',254,1),
(29159,64736,64753,'OP_PositionBoatTransportMsg',255,1),
(29160,64736,64753,'OP_MigrateBoatTransportMsg',256,1),
(29161,64736,64753,'OP_MigrateBoatTransportReplyMsg',257,1),
(29162,64736,64753,'OP_DisplayDebugNLLPointsMsg',258,1),
(29163,64736,64753,'OP_ExamineInfoRequestMsg',259,1),
(29164,64736,64753,'OP_QuickbarInitMsg',260,1),
(29165,64736,64753,'OP_QuickbarUpdateMsg',261,1),
(29166,64736,64753,'OP_MacroInitMsg',262,1),
(29167,64736,64753,'OP_MacroUpdateMsg',263,1),
(29168,64736,64753,'OP_QuestionnaireMsg',264,1),
(29169,64736,64753,'OP_LevelChangedMsg',265,1),
(29170,64736,64753,'OP_SpellGainedMsg',266,1),
(29171,64736,64753,'OP_EncounterBrokenMsg',267,1),
(29172,64736,64753,'OP_OnscreenMsgMsg',268,1),
(29173,64736,64753,'OP_DisplayWarningMsg',269,1),
(29174,64736,64753,'OP_ModifyGuildMsg',270,1),
(29175,64736,64753,'OP_GuildEventMsg',271,1),
(29176,64736,64753,'OP_GuildEventAddMsg',272,1),
(29177,64736,64753,'OP_GuildEventActionMsg',273,1),
(29178,64736,64753,'OP_GuildEventListMsg',274,1),
(29179,64736,64753,'OP_RequestGuildEventDetailsMsg',275,1),
(29180,64736,64753,'OP_GuildEventDetailsMsg',276,1),
(29181,64736,64753,'OP_RequestGuildInfoMsg',277,1),
(29182,64736,64753,'OP_GuildBankActionMsg',278,1),
(29183,64736,64753,'OP_GuildBankActionResponseMsg',279,1),
(29184,64736,64753,'OP_GuildBankItemDetailsRequestMsg',280,1),
(29185,64736,64753,'OP_GuildBankItemDetailsResponseMs',281,1),
(29186,64736,64753,'OP_GuildBankUpdateMsg',282,1),
(29187,64736,64753,'OP_GuildBankEventListMsg',283,1),
(29188,64736,64753,'OP_RequestGuildBankEventDetailsMs',284,1),
(29189,64736,64753,'OP_RewardPackMsg',285,1),
(29190,64736,64753,'OP_RenameGuildMsg',286,1),
(29191,64736,64753,'OP_ZoneToFriendRequestMsg',287,1),
(29192,64736,64753,'OP_ZoneToFriendReplyMsg',288,1),
(29193,64736,64753,'OP_ChatCreateChannelMsg',289,1),
(29194,64736,64753,'OP_ChatJoinChannelMsg',290,1),
(29195,64736,64753,'OP_ChatWhoChannelMsg',291,1),
(29196,64736,64753,'OP_ChatLeaveChannelMsg',292,1),
(29197,64736,64753,'OP_ChatTellChannelMsg',293,1),
(29198,64736,64753,'OP_ChatTellUserMsg',294,1),
(29199,64736,64753,'OP_ChatToggleFriendMsg',295,1),
(29200,64736,64753,'OP_BrokerAddBag',296,1),
(29201,64736,64753,'OP_BrokerRemoveBag',297,1),
(29202,64736,64753,'OP_ChatToggleIgnoreMsg',298,1),
(29203,64736,64753,'OP_ChatSendFriendsMsg',299,1),
(29204,64736,64753,'OP_ChatSendIgnoresMsg',300,1),
(29205,64736,64753,'OP_QuestReward',324,1),
(29206,64736,64753,'OP_ChatFiltersMsg',338,1),
(29207,64736,64753,'OP_MailGetMessageMsg',342,1),
(29208,64736,64753,'OP_MailSendMessageMsg',343,1),
(29209,64736,64753,'OP_MailDeleteMessageMsg',344,1),
(29210,64736,64753,'OP_MailGetHeadersReplyMsg',345,1),
(29211,64736,64753,'OP_MailGetMessageReplyMsg',346,1),
(29212,64736,64753,'OP_MailSendMessageReplyMsg',347,1),
(29213,64736,64753,'OP_MailCommitSendMessageMsg',348,1),
(29214,64736,64753,'OP_MailSendSystemMessageMsg',349,1),
(29215,64736,64753,'OP_MailRemoveAttachFromMailMsg',350,1),
(29216,64736,64753,'OP_WaypointRequestMsg',352,1),
(29217,64736,64753,'OP_WaypointReplyMsg',353,1),
(29218,64736,64753,'OP_WaypointSelectMsg',354,1),
(29219,64736,64753,'OP_WaypointUpdateMsg',355,1),
(29220,64736,64753,'OP_CharNameChangedMsg',356,1),
(29221,64736,64753,'OP_ShowZoneTeleporterDestinations',357,1),
(29222,64736,64753,'OP_SelectZoneTeleporterDestinatio',358,1),
(29223,64736,64753,'OP_ReloadLocalizedTxtMsg',359,1),
(29224,64736,64753,'OP_RequestGuildMembershipMsg',360,1),
(29225,64736,64753,'OP_GuildMembershipResponseMsg',361,1),
(29226,64736,64753,'OP_LeaveGuildNotifyMsg',362,1),
(29227,64736,64753,'OP_JoinGuildNotifyMsg',363,1),
(29228,64736,64753,'OP_AvatarUpdateMsg',364,1),
(29229,64736,64753,'OP_BioUpdateMsg',366,1),
(29230,64736,64753,'OP_InspectPlayerMsg',367,1),
(29231,64736,64753,'OP_WSServerLockMsg',368,1),
(29232,64736,64753,'OP_LSServerLockMsg',369,1),
(29233,64736,64753,'OP_WSServerHideMsg',370,1),
(29234,64736,64753,'OP_CsCategoryRequestMsg',371,1),
(29235,64736,64753,'OP_CsCategoryResponseMsg',372,1),
(29236,64736,64753,'OP_KnowledgeWindowSlotMappingMsg',373,1),
(29237,64736,64753,'OP_AFKUpdateMsg',374,1),
(29238,64736,64753,'OP_AnonUpdateMsg',375,1),
(29239,64736,64753,'OP_UpdateActivePublicZonesMsg',376,1),
(29240,64736,64753,'OP_UnknownNpcMsg',377,1),
(29241,64736,64753,'OP_PromoFlagsDetailsMsg',378,1),
(29242,64736,64753,'OP_ConsignViewCreateMsg',379,1),
(29243,64736,64753,'OP_ConsignViewGetPageMsg',380,1),
(29244,64736,64753,'OP_ConsignViewReleaseMsg',381,1),
(29245,64736,64753,'OP_ConsignRemoveItemsMsg',382,1),
(29246,64736,64753,'OP_UpdateDebugRadiiMsg',383,1),
(29247,64736,64753,'OP_ReportMsg',384,1),
(29248,64736,64753,'OP_UpdateRaidMsg',385,1),
(29249,64736,64753,'OP_ConsignViewSortMsg',387,1),
(29250,64736,64753,'OP_TitleUpdateMsg',388,1),
(29251,64736,64753,'OP_ClientFellMsg',389,1),
(29252,64736,64753,'OP_ClientInDeathRegionMsg',390,1),
(29253,64736,64753,'OP_CampClientMsg',391,1),
(29254,64736,64753,'OP_UpdateGroupMemberDataMsg',392,1),
(29255,64736,64753,'OP_CSToolAccessResponseMsg',392,1),
(29256,64736,64753,'OP_TrackingUpdateMsg',393,1),
(29257,64736,64753,'OP_BeginTrackingMsg',394,1),
(29258,64736,64753,'OP_StopTrackingMsg',395,1),
(29259,64736,64753,'OP_GetAvatarAccessRequestForCSToo',397,1),
(29260,64736,64753,'OP_AdvancementRequestMsg',398,1),
(29261,64736,64753,'OP_MapFogDataInitMsg',399,1),
(29262,64736,64753,'OP_MapFogDataUpdateMsg',400,1),
(29263,64736,64753,'OP_CloseGroupInviteWindowMsg',401,1),
(29264,64736,64753,'OP_WorldPingMsg',404,1),
(29265,64736,64753,'OP_MoveLogUpdateMsg',405,1),
(29266,64736,64753,'OP_OfferQuestMsg',406,1),
(29267,64736,64753,'OP_WorldShutdownUpdateMsg',408,1),
(29268,64736,64753,'OP_DisplayMailScreenMsg',409,1),
(29269,64736,64753,'OP_ClientIdleBeginMsg',410,1),
(29270,64736,64753,'OP_ClientIdleEndMsg',411,1),
(29271,64736,64753,'OP_PurchaseConsignmentLoreCheckRe',412,1),
(29272,64736,64753,'OP_NotifyApprenticeStoppedMentori',413,1),
(29273,64736,64753,'OP_CorruptedClientMsg',414,1),
(29274,64736,64753,'OP_WorldDataChangeMsg',415,1),
(29275,64736,64753,'OP_MailEventNotificationMsg',416,1),
(29276,64736,64753,'OP_RestartZoneMsg',417,1),
(29277,64736,64753,'OP_FlightPathsMsg',418,1),
(29278,64736,64753,'OP_CharacterLinkdeadMsg',419,1),
(29279,64736,64753,'OP_CharTransferStartRequestMsg',420,1),
(29280,64736,64753,'OP_CharTransferStartReplyMsg',421,1),
(29281,64736,64753,'OP_CharTransferRequestMsg',422,1),
(29282,64736,64753,'OP_CharTransferReplyMsg',423,1),
(29283,64736,64753,'OP_CharTransferRollbackRequestMsg',424,1),
(29284,64736,64753,'OP_CharTransferCommitRequestMsg',425,1),
(29285,64736,64753,'OP_CharTransferRollbackReplyMsg',426,1),
(29286,64736,64753,'OP_CharTransferCommitReplyMsg',427,1),
(29287,64736,64753,'OP_GetCharacterSerializedRequestM',428,1),
(29288,64736,64753,'OP_GetCharacterSerializedReplyMsg',429,1),
(29289,64736,64753,'OP_CreateCharFromCBBRequestMsg',430,1),
(29290,64736,64753,'OP_CreateCharFromCBBReplyMsg',431,1),
(29291,64736,64753,'OP_HousingDataChangedMsg',432,1),
(29292,64736,64753,'OP_HousingRestoreMsg',433,1),
(29293,64736,64753,'OP_AuctionItem',434,1),
(29294,64736,64753,'OP_AuctionItemReply',435,1),
(29295,64736,64753,'OP_AuctionCoin',436,1),
(29296,64736,64753,'OP_AuctionCoinReply',437,1),
(29297,64736,64753,'OP_AuctionCharacter',438,1),
(29298,64736,64753,'OP_AuctionCharacterReply',439,1),
(29299,64736,64753,'OP_AuctionCommitMsg',440,1),
(29300,64736,64753,'OP_AuctionAbortMsg',441,1),
(29301,64736,64753,'OP_CharTransferValidateRequestMsg',442,1),
(29302,64736,64753,'OP_CharTransferValidateReplyMsg',443,1),
(29303,64736,64753,'OP_RaceRestrictionMsg',444,1),
(29304,64736,64753,'OP_SetInstanceDisplayNameMsg',445,1),
(29305,64736,64753,'OP_GetAuctionAssetIDMsg',446,1),
(29306,64736,64753,'OP_GetAuctionAssetIDReplyMsg',447,1),
(29307,64736,64753,'OP_ResendWorldChannelsMsg',448,1),
(29308,64736,64753,'OP_DisplayExchangeScreenMsg',449,1),
(29309,64736,64753,'OP_ArenaGameTypesMsg',450,1),
(29310,64736,64753,'OP_AuditAuctionEventMsg',451,1),
(29311,64736,64753,'OP_InviteRequestMsg',452,1),
(29312,64736,64753,'OP_InviteResponseMsg',453,1),
(29313,64736,64753,'OP_InviteTargetResponseMsg',454,1),
(29314,64736,64753,'OP_InspectPlayerRequestMsg',455,1),
(29315,64736,64753,'OP_DispatchMsg',456,1),
(29316,64736,64753,'OP_DisplayEventMsg',457,1),
(29317,64736,64753,'OP_PrePossessionMsg',458,1),
(29318,64736,64753,'OP_PostPossessionMsg',459,1),
(29319,64736,64753,'OP_ArenaCreate',461,1),
(29320,64736,64753,'OP_ArenaList',462,1),
(29321,64736,64753,'OP_ArenaWindow',470,1),
(29322,64736,64753,'OP_HouseItemsList',489,1),
(29323,64736,64753,'OP_CurrentPet',490,1),
(29324,64736,64753,'OP_EarlyLandingRequestMsg',491,1),
(29325,64736,64753,'OP_AdventureList',494,1),
(29326,64736,64753,'OP_CancelSpellCast',495,1),
(29327,64736,64753,'OP_ClearForLandingMsg',497,1),
(29328,64736,64753,'OP_UpdateTitleCmd',500,1),
(29329,64736,64753,'OP_AttackAllowed',506,1),
(29330,64736,64753,'OP_AttackNotAllowed',507,1),
(29331,64736,64753,'OP_BagOptions',508,1),
(29332,64736,64753,'OP_LFGGroupSearch',510,1),
(29333,64736,64753,'OP_CharacterHousingList',513,1),
(29334,64736,64753,'OP_DressingRoom',516,1),
(29335,64736,64753,'OP_PlayLon',517,1),
(29336,64736,64753,'OP_SkillInfoRequest',519,1),
(29337,64736,64753,'OP_SkillInfoResponse',520,1),
(29338,64736,64753,'OP_LFGUpdateMsg',523,1),
(29339,64736,64753,'OP_BadLanguageFilter',524,1),
(29340,64736,64753,'OP_VoiceChatChannel',525,1),
(29341,64736,64753,'OP_MapRequest',526,1),
(29342,64736,64753,'OP_MarketFundsUpdate',531,1),
(29343,64736,64753,'OP_UIEvent',532,1),
(29344,64736,64753,'OP_MarketAddFundsRequest',533,1),
(29345,64736,64753,'OP_MarketAddFundsReply',534,1),
(29346,64736,64753,'OP_MarketPurchase',536,1),
(29347,64736,64753,'OP_MarketPlacePrices',537,1),
(29348,64736,64753,'OP_MarketPlaceItems',544,1),
(29349,64736,64753,'OP_RecipeBook',545,1),
(29350,64736,64753,'OP_CreateCharacterDungeon',552,1),
(29351,64736,64753,'OP_DungeonMakerEnter',553,1),
(29352,64736,64753,'OP_DungeonMakerItemRequest',557,1),
(29353,64736,64753,'OP_CharacterCreatedDungeons',558,1),
(29354,64736,64753,'OP_DungeonMakerToolboxList',559,1),
(29355,64736,64753,'OP_DungeonMakerUnknown',560,1),
(29356,64736,64753,'OP_DungeonMakerUnknown1',561,1),
(29357,64736,64753,'OP_PlayerPollPopup',563,1),
(29358,64736,64753,'OP_PlayerPollAnswer',564,1),
(29359,64736,64753,'OP_MentorPopup',565,1),
(29360,64736,64753,'OP_LoadWelcomeWindow',567,1),
(29361,64736,64753,'OP_OpenCharCust',569,1),
(29362,64736,64753,'OP_SubmitCharCust',570,1),
(29363,64736,64753,'OP_QueAllBgSolo',572,1),
(29364,64736,64753,'OP_ZoneBgInstanceList',573,1),
(29365,64736,64753,'OP_WorldTravelAvail',577,1),
(29366,64736,64753,'OP_Launchpad',580,1),
(29367,64736,64753,'OP_PaperdollImage',582,1),
(29368,64736,64753,'OP_LoadCalendarEvents',583,1),
(29369,64736,64753,'OP_VideoUploaded',584,1),
(29370,64736,64753,'OP_SavageBarInitMsg',585,1),
(29371,64736,64753,'OP_PetOptionsResponse',586,1),
(29372,64736,64753,'OP_DungeonMakerItemResponse',587,1),
(29373,64736,64753,'OP_Weakness',588,1),
(29374,64736,64753,'OP_CharacterMounts',589,1),
(29375,64736,64753,'OP_RecipeListUnknown',598,1),
(29376,64736,64753,'OP_DailyObjectives',602,1),
(29377,64736,64753,'OP_DeityAbilityWindow',622,1),
(29378,64736,64753,'OP_EqBetaCopyRequest',640,1),
(29379,64736,64753,'OP_SOEAllAccess',649,1),
(29380,64736,64753,'OP_EqHearChatCmd',649,1),
(29381,64736,64753,'OP_EqDisplayTextCmd',650,1),
(29382,64736,64753,'OP_EqCreateGhostCmd',651,1),
(29383,64736,64753,'OP_EqCreateWidgetCmd',652,1),
(29384,64736,64753,'OP_EqCreateSignWidgetCmd',653,1),
(29385,64736,64753,'OP_EqDestroyGhostCmd',654,1),
(29386,64736,64753,'OP_EqUpdateGhostCmd',655,1),
(29387,64736,64753,'OP_EqSetControlGhostCmd',656,1),
(29388,64736,64753,'OP_EqSetPOVGhostCmd',657,1),
(29389,64736,64753,'OP_EqHearCombatCmd',658,1),
(29390,64736,64753,'OP_EqHearSpellCastCmd',659,1),
(29391,64736,64753,'OP_EQHearProcCmd',660,1),
(29392,64736,64753,'OP_EQHearResEffectCmd',661,1),
(29393,64736,64753,'OP_EqHearSpellInterruptCmd',662,1),
(29394,64736,64753,'OP_EqHearSpellFizzleCmd',663,1),
(29395,64736,64753,'OP_EqHearConsiderCmd',664,1),
(29396,64736,64753,'OP_EqUpdateSubClassesCmd',665,1),
(29397,64736,64753,'OP_EqCreateListBoxCmd',666,1),
(29398,64736,64753,'OP_EqSetDebugPathPointsCmd',667,1),
(29399,64736,64753,'OP_EqCannedEmoteCmd',669,1),
(29400,64736,64753,'OP_EqStateCmd',670,1),
(29401,64736,64753,'OP_EqPlaySoundCmd',671,1),
(29402,64736,64753,'OP_EqPlaySound3DCmd',672,1),
(29403,64736,64753,'OP_EqPlayVoiceCmd',673,1),
(29404,64736,64753,'OP_EqHearDrowningCmd',674,1),
(29405,64736,64753,'OP_EqHearDeathCmd',675,1),
(29406,64736,64753,'OP_EqGroupMemberRemovedCmd',676,1),
(29407,64736,64753,'OP_EqHearChainEffectCmd',677,1),
(29408,64736,64753,'OP_EqReceiveOfferCmd',678,1),
(29409,64736,64753,'OP_EqInspectPCResultsCmd',679,1),
(29410,64736,64753,'OP_EqDrawablePathGraphCmd',680,1),
(29411,64736,64753,'OP_EqDialogOpenCmd',681,1),
(29412,64736,64753,'OP_EqDialogCloseCmd',682,1),
(29413,64736,64753,'OP_EqFactionUpdateCmd',683,1),
(29414,64736,64753,'OP_EqCollectionUpdateCmd',684,1),
(29415,64736,64753,'OP_EqCollectionFilterCmd',685,1),
(29416,64736,64753,'OP_EqCollectionItemCmd',686,1),
(29417,64736,64753,'OP_EqQuestJournalUpdateCmd',687,1),
(29418,64736,64753,'OP_EqMentoring',688,1),
(29419,64736,64753,'OP_EqQuestJournalReplyCmd',689,1),
(29420,64736,64753,'OP_EqQuestGroupCmd',690,1),
(29421,64736,64753,'OP_EqUpdateMerchantCmd',691,1),
(29422,64736,64753,'OP_EqUpdateStoreCmd',692,1),
(29423,64736,64753,'OP_EqUpdatePlayerTradeCmd',693,1),
(29424,64736,64753,'OP_EqHelpPathCmd',694,1),
(29425,64736,64753,'OP_EqHelpPathClearCmd',695,1),
(29426,64736,64753,'OP_EqUpdateBankCmd',696,1),
(29427,64736,64753,'OP_EqExamineInfoCmd',697,1),
(29428,64736,64753,'OP_EqCloseWindowCmd',698,1),
(29429,64736,64753,'OP_EqUpdateLootCmd',699,1),
(29430,64736,64753,'OP_EqJunctionListCmd',700,1),
(29431,64736,64753,'OP_EqShowDeathWindowCmd',701,1),
(29432,64736,64753,'OP_EqDisplaySpellFailCmd',702,1),
(29433,64736,64753,'OP_EqSpellCastStartCmd',703,1),
(29434,64736,64753,'OP_EqSpellCastEndCmd',704,1),
(29435,64736,64753,'OP_EqResurrectedCmd',705,1),
(29436,64736,64753,'OP_EqChoiceWinCmd',706,1),
(29437,64736,64753,'OP_EqSetDefaultVerbCmd',707,1),
(29438,64736,64753,'OP_EqInstructionWindowCmd',708,1),
(29439,64736,64753,'OP_EqInstructionWindowCloseCmd',709,1),
(29440,64736,64753,'OP_EqInstructionWindowGoalCmd',710,1),
(29441,64736,64753,'OP_EqInstructionWindowTaskCmd',711,1),
(29442,64736,64753,'OP_EqEnableGameEventCmd',712,1),
(29443,64736,64753,'OP_EqShowWindowCmd',713,1),
(29444,64736,64753,'OP_EqEnableWindowCmd',714,1),
(29445,64736,64753,'OP_EqFlashWindowCmd',715,1),
(29446,64736,64753,'OP_EqHearPlayFlavorCmd',717,1),
(29447,64736,64753,'OP_EqUpdateSignWidgetCmd',718,1),
(29448,64736,64753,'OP_EqDebugPVDCmd',719,1),
(29449,64736,64753,'OP_EqShowBookCmd',720,1),
(29450,64736,64753,'OP_EqQuestionnaireCmd',721,1),
(29451,64736,64753,'OP_EqGetProbsCmd',723,1),
(29452,64736,64753,'OP_EqHearHealCmd',724,1),
(29453,64736,64753,'OP_EqChatChannelUpdateCmd',725,1),
(29454,64736,64753,'OP_EqWhoChannelQueryReplyCmd',726,1),
(29455,64736,64753,'OP_EqAvailWorldChannelsCmd',727,1),
(29456,64736,64753,'OP_EqUpdateTargetCmd',728,1),
(29457,64736,64753,'OP_BrokerSellList',729,1),
(29458,64736,64753,'OP_EqConsignmentItemsCmd',730,1),
(29459,64736,64753,'OP_EqStartBrokerCmd',732,1),
(29460,64736,64753,'OP_EqMapExplorationCmd',733,1),
(29461,64736,64753,'OP_EqStoreLogCmd',734,1),
(29462,64736,64753,'OP_EqSpellMoveToRangeAndRetryCmd',735,1),
(29463,64736,64753,'OP_EqUpdatePlayerMailCmd',736,1),
(29464,64736,64753,'OP_GuildStatusUpdate',739,1),
(29465,64736,64753,'OP_EqArenaResultsCmd',740,1),
(29466,64736,64753,'OP_EqGuildBankEventActionCmd',741,1),
(29467,64736,64753,'OP_EqGuildBankExamineInfoCmd',742,1),
(29468,64736,64753,'OP_EqHearSpellNoLandCmd',743,1),
(29469,64736,64753,'OP_Lottery',744,1),
(29470,64736,64753,'OP_GuildRecruitingMemberInfo',745,1),
(29471,64736,64753,'OP_GuildRecruiting',746,1),
(29472,64736,64753,'OP_GuildRecruitingDetails',747,1),
(29473,64736,64753,'OP_GuildRecruitingImage',748,1),
(29474,64736,64753,'OP_TradeskillList',749,1),
(29475,64736,64753,'OP_CharRenamed',750,1),
(29476,64736,64753,'OP_UseAdornment',760,1),
(29477,64736,64753,'OP_ExpPurchWindow',766,1),
(29478,64736,64753,'OP_PointOfInterest',770,1),
(29479,64736,64753,'OP_PointOfInterest2',771,1),
(29480,64736,64753,'OP_TraitsList',772,1),
(29481,64736,64753,'OP_CustomizeHouseDisplay',775,1),
(29482,64736,64753,'OP_VoiceChatServer',776,1),
(29483,64736,64753,'OP_SupplyDepot',780,1),
(29484,64736,64753,'OP_EQHearThreatCmd',781,1),
(29485,64736,64753,'OP_RecipeList',782,1),
(29486,64736,64753,'OP_Research',783,1),
(29487,64736,64753,'OP_CharacterCurrency',784,1),
(29488,64736,64753,'OP_CharacterAchievements',785,1),
(29489,64736,64753,'OP_AchievementUpdateMsg',786,1),
(29490,64736,64753,'OP_EQHearDispellCmd',787,1),
(29491,64736,64753,'OP_JournalQuestStoryline',788,1),
(29492,64736,64753,'OP_DungeonPlayAsAvatarList',789,1),
(29493,64736,64753,'OP_DungeonPlayAsAvatarSelected',790,1),
(29494,64736,64753,'OP_MercHireWindow',792,1),
(29495,64736,64753,'OP_MercUnknown',793,1),
(29496,64736,64753,'OP_Unknown',806,1),
(29497,64736,64753,'OP_HeritageMsg',10032,1),
(29498,370,374,'OP_LoginRequestMsg',0,1),
(29499,370,374,'OP_LoginByNumRequestMsg',1,1),
(29500,370,374,'OP_WSLoginRequestMsg',2,1),
(29501,370,374,'OP_ESLoginRequestMsg',3,1),
(29502,370,374,'OP_LoginReplyMsg',4,1),
(29503,370,374,'OP_WorldListMsg',8,1),
(29504,370,374,'OP_WorldStatusChangeMsg',6,1),
(29505,370,374,'OP_AllWSDescRequestMsg',7,1),
(29506,370,374,'OP_WSStatusReplyMsg',5,1),
(29507,370,374,'OP_AllCharactersDescRequestMsg',9,1),
(29508,370,374,'OP_AllCharactersDescReplyMsg',10,1),
(29509,370,374,'OP_CreateCharacterRequestMsg',11,1),
(29510,370,374,'OP_CreateCharacterReplyMsg',12,1),
(29511,370,374,'OP_WSCreateCharacterRequestMsg',13,1),
(29512,370,374,'OP_WSCreateCharacterReplyMsg',14,1),
(29513,370,374,'OP_DeleteCharacterRequestMsg',15,1),
(29514,370,374,'OP_DeleteCharacterReplyMsg',16,1),
(29515,370,374,'OP_PlayCharacterRequestMsg',17,1),
(29516,370,374,'OP_PlayCharacterReplyMsg',18,1),
(29517,370,374,'OP_ServerPlayCharacterRequestMsg',19,1),
(29518,370,374,'OP_ServerPlayCharacterReplyMsg',20,1),
(29519,370,374,'OP_ESInitMsg',21,1),
(29520,370,374,'OP_ESReadyForClientsMsg',22,1),
(29521,370,374,'OP_CreateZoneInstanceMsg',23,1),
(29522,370,374,'OP_ZoneInstanceCreateReplyMsg',24,1),
(29523,370,374,'OP_ZoneInstanceDestroyedMsg',25,1),
(29524,370,374,'OP_ExpectClientAsCharacterRequestMsg',26,1),
(29525,370,374,'OP_ExpectClientAsCharacterReplyMsg',27,1),
(29526,370,374,'OP_ZoneInfoMsg',28,1),
(29527,370,374,'OP_DoneLoadingZoneResourcesMsg',29,1),
(29528,370,374,'OP_DoneSendingInitialEntitiesMsg',30,1),
(29529,370,374,'OP_DoneLoadingEntityResourcesMsg',31,1),
(29530,370,374,'OP_PredictionUpdateMsg',32,1),
(29531,370,374,'OP_RemoteCmdMsg',34,1),
(29532,370,374,'OP_SetRemoteCmdsMsg',33,1),
(29533,370,374,'OP_GameWorldTimeMsg',35,1),
(29534,370,374,'OP_MOTDMsg',36,1),
(29535,370,374,'OP_ZoneMOTDMsg',37,1),
(29536,370,374,'OP_AvatarCreatedMsg',38,1),
(29537,370,374,'OP_AvatarDestroyedMsg',39,1),
(29538,370,374,'OP_RequestCampMsg',40,1),
(29539,370,374,'OP_CampStartedMsg',41,1),
(29540,370,374,'OP_CampAbortedMsg',42,1),
(29541,370,374,'OP_WhoQueryRequestMsg',43,1),
(29542,370,374,'OP_WhoQueryReplyMsg',44,1),
(29543,370,374,'OP_MonitorReplyMsg',45,1),
(29544,370,374,'OP_MonitorCharacterListMsg',46,1),
(29545,370,374,'OP_MonitorCharacterListRequestMsg',47,1),
(29546,370,374,'OP_ClientCmdMsg',48,1),
(29547,370,374,'OP_DispatchClientCmdMsg',49,1),
(29548,370,374,'OP_DispatchESMsg',50,1),
(29549,370,374,'OP_UpdateTargetMsg',51,1),
(29550,370,374,'OP_UpdateOpportunityMsg',62,1),
(29551,370,374,'OP_UpdateTargetLocMsg',52,1),
(29552,370,374,'OP_UpdateCharacterSheetMsg',53,1),
(29553,370,374,'OP_UpdateSpellBookMsg',54,1),
(29554,370,374,'OP_UpdateInventoryMsg',56,1),
(29555,370,374,'OP_UpdateRecipeBookMsg',57,1),
(29556,370,374,'OP_UpdateSkillBookMsg',60,1),
(29557,370,374,'OP_UpdateSkillsMsg',61,1),
(29558,370,374,'OP_ChangeZoneMsg',64,1),
(29559,370,374,'OP_ClientTeleportRequestMsg',65,1),
(29560,370,374,'OP_TeleportWithinZoneMsg',66,1),
(29561,370,374,'OP_TeleportWithinZoneNoReloadMsg',67,1),
(29562,370,374,'OP_MigrateClientToZoneRequestMsg',68,1),
(29563,370,374,'OP_MigrateClientToZoneReplyMsg',69,1),
(29564,370,374,'OP_ReadyToZoneMsg',70,1),
(29565,370,374,'OP_AddClientToGroupMsg',71,1),
(29566,370,374,'OP_AddGroupToGroupMsg',72,1),
(29567,370,374,'OP_RemoveClientFromGroupMsg',73,1),
(29568,370,374,'OP_RemoveGroupFromGroupMsg',74,1),
(29569,370,374,'OP_MakeGroupLeaderMsg',75,1),
(29570,370,374,'OP_GroupCreatedMsg',76,1),
(29571,370,374,'OP_GroupDestroyedMsg',77,1),
(29572,370,374,'OP_GroupMemberAddedMsg',78,1),
(29573,370,374,'OP_GroupMemberRemovedMsg',79,1),
(29574,370,374,'OP_GroupRemovedFromGroupMsg',80,1),
(29575,370,374,'OP_GroupLeaderChangedMsg',81,1),
(29576,370,374,'OP_GroupSettingsChangedMsg',82,1),
(29577,370,374,'OP_SendLatestRequestMsg',83,1),
(29578,370,374,'OP_ClearDataMsg',84,1),
(29579,370,374,'OP_SetSocialMsg',85,1),
(29580,370,374,'OP_ESStatusMsg',86,1),
(29581,370,374,'OP_ESZoneInstanceStatusMsg',87,1),
(29582,370,374,'OP_ZonesStatusRequestMsg',88,1),
(29583,370,374,'OP_ZonesStatusMsg',89,1),
(29584,370,374,'OP_ESWeatherRequestMsg',90,1),
(29585,370,374,'OP_ESWeatherRequestEndMsg',91,1),
(29586,370,374,'OP_WSWeatherUpdateMsg',92,1),
(29587,370,374,'OP_DialogSelectMsg',93,1),
(29588,370,374,'OP_DialogCloseMsg',94,1),
(29589,370,374,'OP_RemoveSpellEffectMsg',95,1),
(29590,370,374,'OP_RemoveConcentrationMsg',96,1),
(29591,370,374,'OP_QuestJournalOpenMsg',97,1),
(29592,370,374,'OP_QuestJournalInspectMsg',98,1),
(29593,370,374,'OP_QuestJournalSetVisibleMsg',99,1),
(29594,370,374,'OP_QuestJournalWaypointMsg',100,1),
(29595,370,374,'OP_CreateGuildRequestMsg',101,1),
(29596,370,374,'OP_CreateGuildReplyMsg',102,1),
(29597,370,374,'OP_GuildsayMsg',103,1),
(29598,370,374,'OP_GuildKickMsg',104,1),
(29599,370,374,'OP_GuildUpdateMsg',105,1),
(29600,370,374,'OP_FellowshipExpMsg',107,1),
(29601,370,374,'OP_ConsignmentUpdateMsg',105,1),
(29602,370,374,'OP_ConsignItemRequestMsg',109,1),
(29603,370,374,'OP_ConsignItemResponseMsg',110,1),
(29604,370,374,'OP_PurchaseConsignmentRequestMsg',111,1),
(29605,370,374,'OP_PurchaseConsignmentResponseMsg',112,1),
(29606,370,374,'OP_ProcessScriptMsg',113,1),
(29607,370,374,'OP_ProcessWorkspaceMsg',114,1),
(29608,370,374,'OP_HouseDeletedRemotelyMsg',115,1),
(29609,370,374,'OP_UpdateHouseDataMsg',116,1),
(29610,370,374,'OP_UpdateHouseAccessDataMsg',117,1),
(29611,370,374,'OP_PlayerHouseBaseScreenMsg',118,1),
(29612,370,374,'OP_PlayerHousePurchaseScreenMsg',119,1),
(29613,370,374,'OP_PlayerHouseAccessUpdateMsg',120,1),
(29614,370,374,'OP_PlayerHouseDisplayStatusMsg',121,1),
(29615,370,374,'OP_PlayerHouseCloseUIMsg',122,1),
(29616,370,374,'OP_BuyPlayerHouseMsg',120,1),
(29617,370,374,'OP_BuyPlayerHouseTintMsg',121,1),
(29618,370,374,'OP_CollectAllHouseItemsMsg',122,1),
(29619,370,374,'OP_RelinquishHouseMsg',123,1),
(29620,370,374,'OP_EnterHouseMsg',124,1),
(29621,370,374,'OP_ExitHouseMsg',125,1),
(29622,370,374,'OP_ExamineConsignmentRequestMsg',139,1),
(29623,370,374,'OP_EnterMoveObjectModeMsg',130,1),
(29624,370,374,'OP_PositionMoveableObject',131,1),
(29625,370,374,'OP_ShaderCustomizationMsg',132,1),
(29626,370,374,'OP_ReplaceableSubMeshesMsg',133,1),
(29627,370,374,'OP_ExamineConsignmentResponseMsg',140,1),
(29628,370,374,'OP_HouseDefaultAccessSetMsg',126,1),
(29629,370,374,'OP_HouseAccessSetMsg',127,1),
(29630,370,374,'OP_HouseAccessRemoveMsg',128,1),
(29631,370,374,'OP_PayHouseUpkeepMsg',129,1),
(29632,370,374,'OP_TintWidgetsMsg',138,1),
(29633,370,374,'OP_UISettingsResponseMsg',141,1),
(29634,370,374,'OP_KeymapLoadMsg',145,1),
(29635,370,374,'OP_KeymapNoneMsg',146,1),
(29636,370,374,'OP_KeymapDataMsg',147,1),
(29637,370,374,'OP_KeymapSaveMsg',148,1),
(29638,370,374,'OP_DispatchSpellCmdMsg',149,1),
(29639,370,374,'OP_HouseCustomizationScreenMsg',137,1),
(29640,370,374,'OP_CustomizationPurchaseRequestMsg',138,1);
INSERT INTO `opcodes` VALUES
(29641,370,374,'OP_CustomizationSetRequestMsg',139,1),
(29642,370,374,'OP_CustomizationReplyMsg',140,1),
(29643,370,374,'OP_EntityVerbsRequestMsg',151,1),
(29644,370,374,'OP_EntityVerbsReplyMsg',152,1),
(29645,370,374,'OP_EntityVerbsVerbMsg',153,1),
(29646,370,374,'OP_ChatRelationshipUpdateMsg',154,1),
(29647,370,374,'OP_ChatFriendLoginStatusMsg',152,1),
(29648,370,374,'OP_ChatCreateChannelMsg',230,1),
(29649,370,374,'OP_ChatJoinChannelMsg',231,1),
(29650,370,374,'OP_ChatWhoChannelMsg',232,1),
(29651,370,374,'OP_ChatLeaveChannelMsg',233,1),
(29652,370,374,'OP_ChatTellChannelMsg',234,1),
(29653,370,374,'OP_ChatTellUserMsg',235,1),
(29654,370,374,'OP_ChatToggleFriendMsg',236,1),
(29655,370,374,'OP_ChatToggleIgnoreMsg',237,1),
(29656,370,374,'OP_ChatSendFriendsMsg',238,1),
(29657,370,374,'OP_ChatSendIgnoresMsg',239,1),
(29658,370,374,'OP_ChatFiltersMsg',240,1),
(29659,370,374,'OP_LootItemsRequestMsg',155,1),
(29660,370,374,'OP_StoppedLootingMsg',156,1),
(29661,370,374,'OP_SitMsg',157,1),
(29662,370,374,'OP_StandMsg',158,1),
(29663,370,374,'OP_SatMsg',159,1),
(29664,370,374,'OP_StoodMsg',160,1),
(29665,370,374,'OP_ExamineItemRequestMsg',161,1),
(29666,370,374,'OP_DefaultGroupOptionsRequestMsg',162,1),
(29667,370,374,'OP_DefaultGroupOptionsMsg',163,1),
(29668,370,374,'OP_GroupOptionsMsg',164,1),
(29669,370,374,'OP_DisplayGroupOptionsScreenMsg',163,1),
(29670,370,374,'OP_DisplayInnVisitScreenMsg',166,1),
(29671,370,374,'OP_DumpSchedulerMsg',165,1),
(29672,370,374,'OP_LSRequestPlayerDescMsg',168,1),
(29673,370,374,'OP_LSCheckAcctLockMsg',167,1),
(29674,370,374,'OP_WSAcctLockStatusMsg',170,1),
(29675,370,374,'OP_RequestHelpRepathMsg',169,1),
(29676,370,374,'OP_UpdateMotdMsg',171,1),
(29677,370,374,'OP_RequestTargetLocMsg',172,1),
(29678,370,374,'OP_PerformPlayerKnockbackMsg',174,1),
(29679,370,374,'OP_PerformCameraShakeMsg',173,1),
(29680,370,374,'OP_PopulateSkillMapsMsg',176,1),
(29681,370,374,'OP_CancelledFeignMsg',175,1),
(29682,370,374,'OP_SignalMsg',178,1),
(29683,370,374,'OP_ShowCreateFromRecipeUIMsg',179,1),
(29684,370,374,'OP_CancelCreateFromRecipeMsg',180,1),
(29685,370,374,'OP_BeginItemCreationMsg',181,1),
(29686,370,374,'OP_StopItemCreationMsg',182,1),
(29687,370,374,'OP_ShowItemCreationProcessUIMsg',183,1),
(29688,370,374,'OP_UpdateItemCreationProcessUIMsg',184,1),
(29689,370,374,'OP_DisplayTSEventReactionMsg',185,1),
(29690,370,374,'OP_ShowRecipeBookMsg',186,1),
(29691,370,374,'OP_KnowledgebaseRequestMsg',187,1),
(29692,370,374,'OP_KnowledgebaseResponseMsg',188,1),
(29693,370,374,'OP_CSTicketHeaderRequestMsg',189,1),
(29694,370,374,'OP_CSTicketInfoMsg',190,1),
(29695,370,374,'OP_CSTicketCommentRequestMsg',191,1),
(29696,370,374,'OP_CSTicketCommentResponseMsg',192,1),
(29697,370,374,'OP_CSTicketCreateMsg',193,1),
(29698,370,374,'OP_CSTicketAddCommentMsg',194,1),
(29699,370,374,'OP_CSTicketDeleteMsg',195,1),
(29700,370,374,'OP_CSTicketChangeNotificationMsg',196,1),
(29701,370,374,'OP_WorldDataUpdateMsg',197,1),
(29702,370,374,'OP_KnownLanguagesMsg',198,1),
(29703,370,374,'OP_LsRequestClientCrashLogMsg',199,1),
(29704,370,374,'OP_LsClientBaselogReplyMsg',200,1),
(29705,370,374,'OP_LsClientCrashlogReplyMsg',201,1),
(29706,370,374,'OP_LsClientAlertlogReplyMsg',202,1),
(29707,370,374,'OP_LsClientVerifylogReplyMsg',203,1),
(29708,370,374,'OP_ClientTeleportToLocationMsg',204,1),
(29709,370,374,'OP_UpdateClientPredFlagsMsg',205,1),
(29710,370,374,'OP_ChangeServerControlFlagMsg',206,1),
(29711,370,374,'OP_CSToolsRequestMsg',207,1),
(29712,370,374,'OP_CSToolsResponseMsg',208,1),
(29713,370,374,'OP_AddSocialStructureStandingMsg',209,1),
(29714,370,374,'OP_CreateBoatTransportsMsg',210,1),
(29715,370,374,'OP_PositionBoatTransportMsg',211,1),
(29716,370,374,'OP_MigrateBoatTransportMsg',212,1),
(29717,370,374,'OP_MigrateBoatTransportReplyMsg',213,1),
(29718,370,374,'OP_DisplayDebugNLLPointsMsg',214,1),
(29719,370,374,'OP_ExamineInfoRequestMsg',215,1),
(29720,370,374,'OP_QuickbarInitMsg',216,1),
(29721,370,374,'OP_QuickbarUpdateMsg',217,1),
(29722,370,374,'OP_MacroInitMsg',218,1),
(29723,370,374,'OP_MacroUpdateMsg',219,1),
(29724,370,374,'OP_QuestionnaireMsg',220,1),
(29725,370,374,'OP_LevelChangedMsg',221,1),
(29726,370,374,'OP_SpellGainedMsg',222,1),
(29727,370,374,'OP_EncounterBrokenMsg',223,1),
(29728,370,374,'OP_OnscreenMsgMsg',224,1),
(29729,370,374,'OP_ModifyGuildMsg',225,1),
(29730,370,374,'OP_RewardPackMsg',226,1),
(29731,370,374,'OP_RenameGuildMsg',227,1),
(29732,370,374,'OP_ZoneToFriendRequestMsg',228,1),
(29733,370,374,'OP_ZoneToFriendReplyMsg',229,1),
(29734,370,374,'OP_WaypointRequestMsg',251,1),
(29735,370,374,'OP_WaypointReplyMsg',252,1),
(29736,370,374,'OP_WaypointSelectMsg',253,1),
(29737,370,374,'OP_WaypointUpdateMsg',254,1),
(29738,370,374,'OP_CharNameChangedMsg',255,1),
(29739,370,374,'OP_ShowZoneTeleporterDestinationsMsg',256,1),
(29740,370,374,'OP_SelectZoneTeleporterDestinationMsg',257,1),
(29741,370,374,'OP_ReloadLocalizedTxtMsg',258,1),
(29742,370,374,'OP_RequestGuildMembershipMsg',259,1),
(29743,370,374,'OP_GuildMembershipResponseMsg',260,1),
(29744,370,374,'OP_LeaveGuildNotifyMsg',261,1),
(29745,370,374,'OP_JoinGuildNotifyMsg',262,1),
(29746,370,374,'OP_AvatarUpdateMsg',263,1),
(29747,370,374,'OP_BioUpdateMsg',264,1),
(29748,370,374,'OP_InspectPlayerMsg',265,1),
(29749,370,374,'OP_WSServerLockMsg',266,1),
(29750,370,374,'OP_LSServerLockMsg',267,1),
(29751,370,374,'OP_CsCategoryRequestMsg',269,1),
(29752,370,374,'OP_CsCategoryResponseMsg',270,1),
(29753,370,374,'OP_KnowledgeWindowSlotMappingMsg',271,1),
(29754,370,374,'OP_LFGUpdateMsg',272,1),
(29755,370,374,'OP_AFKUpdateMsg',273,1),
(29756,370,374,'OP_UpdateActivePublicZonesMsg',275,1),
(29757,370,374,'OP_UnknownNpcMsg',276,1),
(29759,370,374,'OP_ConsignViewCreateMsg',278,1),
(29760,370,374,'OP_ConsignViewGetPageMsg',279,1),
(29761,370,374,'OP_ConsignViewReleaseMsg',280,1),
(29762,370,374,'OP_UpdateDebugRadiiMsg',282,1),
(29763,370,374,'OP_ConsignRemoveItemsMsg',281,1),
(29764,370,374,'OP_SnoopMsg',283,1),
(29765,370,374,'OP_ReportMsg',284,1),
(29766,370,374,'OP_UpdateRaidMsg',285,1),
(29767,370,374,'OP_ConsignViewSortMsg',286,1),
(29768,370,374,'OP_EqHearChatCmd',313,1),
(29769,370,374,'OP_EqDisplayTextCmd',314,1),
(29770,370,374,'OP_EqCreateGhostCmd',315,1),
(29771,370,374,'OP_EqCreateWidgetCmd',316,1),
(29772,370,374,'OP_EqCreateSignWidgetCmd',317,1),
(29773,370,374,'OP_EqUpdateSignWidgetCmd',372,1),
(29774,370,374,'OP_EqDestroyGhostCmd',318,1),
(29775,370,374,'OP_EqUpdateGhostCmd',319,1),
(29776,370,374,'OP_EqSetControlGhostCmd',320,1),
(29777,370,374,'OP_EqSetPOVGhostCmd',321,1),
(29778,370,374,'OP_EqHearCombatCmd',322,1),
(29779,370,374,'OP_EqHearSpellCastCmd',323,1),
(29780,370,374,'OP_EqHearSpellInterruptCmd',324,1),
(29781,370,374,'OP_EqHearSpellFizzleCmd',325,1),
(29782,370,374,'OP_EqHearConsiderCmd',326,1),
(29783,370,374,'OP_EqUpdateSubClassesCmd',327,1),
(29784,370,374,'OP_EqCreateListBoxCmd',328,1),
(29785,370,374,'OP_EqSetDebugPathPointsCmd',329,1),
(29786,370,374,'OP_EqCannedEmoteCmd',330,1),
(29787,370,374,'OP_EqStateCmd',331,1),
(29788,370,374,'OP_EqPlaySoundCmd',332,1),
(29789,370,374,'OP_EqPlaySound3DCmd',333,1),
(29790,370,374,'OP_EqPlayVoiceCmd',334,1),
(29791,370,374,'OP_EqHearDrowningCmd',335,1),
(29792,370,374,'OP_EqHearDeathCmd',336,1),
(29793,370,374,'OP_EqGroupMemberRemovedCmd',337,1),
(29794,370,374,'OP_EqHearChainEffectCmd',338,1),
(29795,370,374,'OP_EqReceiveOfferCmd',339,1),
(29796,370,374,'OP_EqInspectPCResultsCmd',340,1),
(29797,370,374,'OP_EqDrawablePathGraphCmd',341,1),
(29798,370,374,'OP_EqDialogOpenCmd',342,1),
(29799,370,374,'OP_EqDialogCloseCmd',343,1),
(29800,370,374,'OP_EqQuestJournalUpdateCmd',344,1),
(29801,370,374,'OP_EqQuestGroupCmd',346,1),
(29802,370,374,'OP_EqQuestJournalReplyCmd',345,1),
(29803,370,374,'OP_EqStartBrokerCmd',383,1),
(29804,370,374,'OP_EqUpdateMerchantCmd',347,1),
(29805,370,374,'OP_EqUpdateStoreCmd',348,1),
(29806,370,374,'OP_EqUpdatePlayerTradeCmd',349,1),
(29807,370,374,'OP_EqHelpPathCmd',350,1),
(29808,370,374,'OP_EqHelpPathClearCmd',351,1),
(29809,370,374,'OP_EqUpdateBankCmd',352,1),
(29810,370,374,'OP_EqExamineInfoCmd',353,1),
(29811,370,374,'OP_EqUpdateLootCmd',354,1),
(29812,370,374,'OP_EqJunctionListCmd',355,1),
(29813,370,374,'OP_EqShowDeathWindowCmd',356,1),
(29814,370,374,'OP_EqDisplaySpellFailCmd',357,1),
(29815,370,374,'OP_EqSpellCastStartCmd',358,1),
(29816,370,374,'OP_EqSpellCastEndCmd',359,1),
(29817,370,374,'OP_EqResurrectedCmd',360,1),
(29818,370,374,'OP_EqChoiceWinCmd',361,1),
(29819,370,374,'OP_EqSetDefaultVerbCmd',362,1),
(29820,370,374,'OP_EqInstructionWindowCmd',363,1),
(29821,370,374,'OP_EqInstructionWindowCloseCmd',364,1),
(29822,370,374,'OP_EqInstructionWindowGoalCmd',365,1),
(29823,370,374,'OP_EqInstructionWindowTaskCmd',366,1),
(29824,370,374,'OP_EqEnableGameEventCmd',367,1),
(29825,370,374,'OP_EqShowWindowCmd',368,1),
(29826,370,374,'OP_EqEnableWindowCmd',369,1),
(29827,370,374,'OP_EqFlashWindowCmd',370,1),
(29828,370,374,'OP_EqHearPlayFlavorCmd',371,1),
(29829,370,374,'OP_EqDebugPVDCmd',373,1),
(29830,370,374,'OP_EqShowBookCmd',374,1),
(29831,370,374,'OP_EqQuestionnaireCmd',375,1),
(29832,370,374,'OP_EqGetProbsCmd',376,1),
(29833,370,374,'OP_EqHearHealCmd',377,1),
(29834,370,374,'OP_EqChatChannelUpdateCmd',378,1),
(29835,370,374,'OP_EqWhoChannelQueryReplyCmd',379,1),
(29836,370,374,'OP_EqAvailWorldChannelsCmd',380,1),
(29837,370,374,'OP_EqUpdateTargetCmd',381,1),
(29838,370,374,'OP_EqConsignmentItemsCmd',382,1),
(29839,540,546,'OP_LoginRequestMsg',0,1),
(29840,540,546,'OP_LoginByNumRequestMsg',1,1),
(29841,540,546,'OP_WSLoginRequestMsg',2,1),
(29842,540,546,'OP_ESLoginRequestMsg',3,1),
(29843,540,546,'OP_LoginReplyMsg',4,1),
(29844,540,546,'OP_WSStatusReplyMsg',5,1),
(29845,540,546,'OP_WorldStatusChangeMsg',6,1),
(29846,540,546,'OP_AllWSDescRequestMsg',7,1),
(29847,540,546,'OP_WorldListMsg',8,1),
(29848,540,546,'OP_AllCharactersDescRequestMsg',9,1),
(29849,540,546,'OP_AllCharactersDescReplyMsg',10,1),
(29850,540,546,'OP_CreateCharacterRequestMsg',11,1),
(29851,540,546,'OP_CreateCharacterReplyMsg',12,1),
(29852,540,546,'OP_WSCreateCharacterRequestMsg',13,1),
(29853,540,546,'OP_WSCreateCharacterReplyMsg',14,1),
(29854,540,546,'OP_ReskinCharacterRequestMsg',15,1),
(29855,540,546,'OP_DeleteCharacterRequestMsg',16,1),
(29856,540,546,'OP_DeleteCharacterReplyMsg',17,1),
(29857,540,546,'OP_PlayCharacterRequestMsg',18,1),
(29858,540,546,'OP_PlayCharacterReplyMsg',19,1),
(29859,540,546,'OP_ServerPlayCharacterRequestMsg',20,1),
(29860,540,546,'OP_ServerPlayCharacterReplyMsg',21,1),
(29861,540,546,'OP_ESInitMsg',22,1),
(29862,540,546,'OP_ESReadyForClientsMsg',23,1),
(29863,540,546,'OP_CreateZoneInstanceMsg',24,1),
(29864,540,546,'OP_ZoneInstanceCreateReplyMsg',25,1),
(29865,540,546,'OP_ZoneInstanceDestroyedMsg',26,1),
(29866,540,546,'OP_ExpectClientAsCharacterRequest',27,1),
(29867,540,546,'OP_ExpectClientAsCharacterReplyMs',28,1),
(29868,540,546,'OP_ZoneInfoMsg',29,1),
(29869,540,546,'OP_DoneLoadingZoneResourcesMsg',30,1),
(29870,540,546,'OP_DoneSendingInitialEntitiesMsg',31,1),
(29871,540,546,'OP_DoneLoadingEntityResourcesMsg',32,1),
(29872,540,546,'OP_DoneLoadingUIResourcesMsg',33,1),
(29873,540,546,'OP_PredictionUpdateMsg',34,1),
(29874,540,546,'OP_SetRemoteCmdsMsg',35,1),
(29875,540,546,'OP_RemoteCmdMsg',36,1),
(29876,540,546,'OP_GameWorldTimeMsg',37,1),
(29877,540,546,'OP_MOTDMsg',38,1),
(29878,540,546,'OP_ZoneMOTDMsg',39,1),
(29879,540,546,'OP_AvatarCreatedMsg',40,1),
(29880,540,546,'OP_AvatarDestroyedMsg',41,1),
(29881,540,546,'OP_RequestCampMsg',42,1),
(29882,540,546,'OP_CampStartedMsg',43,1),
(29883,540,546,'OP_CampAbortedMsg',44,1),
(29884,540,546,'OP_WhoQueryRequestMsg',45,1),
(29885,540,546,'OP_WhoQueryReplyMsg',46,1),
(29886,540,546,'OP_MonitorReplyMsg',47,1),
(29887,540,546,'OP_MonitorCharacterListMsg',48,1),
(29888,540,546,'OP_MonitorCharacterListRequestMsg',49,1),
(29889,540,546,'OP_ClientCmdMsg',50,1),
(29890,540,546,'OP_DispatchClientCmdMsg',51,1),
(29891,540,546,'OP_DispatchESMsg',52,1),
(29892,540,546,'OP_UpdateTargetMsg',53,1),
(29893,540,546,'OP_UpdateTargetLocMsg',54,1),
(29894,540,546,'OP_UpdateCharacterSheetMsg',55,1),
(29895,540,546,'OP_UpdateSpellBookMsg',56,1),
(29896,540,546,'OP_UpdateInventoryMsg',58,1),
(29897,540,546,'OP_UpdateRecipeBookMsg',60,1),
(29898,540,546,'OP_RequestRecipeDetailsMsg',61,1),
(29899,540,546,'OP_RecipeDetailsMsg',62,1),
(29900,540,546,'OP_UpdateSkillBookMsg',63,1),
(29901,540,546,'OP_UpdateSkillsMsg',64,1),
(29902,540,546,'OP_UpdateOpportunityMsg',65,1),
(29903,540,546,'OP_ChangeZoneMsg',67,1),
(29904,540,546,'OP_ClientTeleportRequestMsg',68,1),
(29905,540,546,'OP_TeleportWithinZoneMsg',69,1),
(29906,540,546,'OP_TeleportWithinZoneNoReloadMsg',70,1),
(29907,540,546,'OP_MigrateClientToZoneRequestMsg',71,1),
(29908,540,546,'OP_MigrateClientToZoneReplyMsg',72,1),
(29909,540,546,'OP_ReadyToZoneMsg',73,1),
(29910,540,546,'OP_AddClientToGroupMsg',74,1),
(29911,540,546,'OP_AddGroupToGroupMsg',75,1),
(29912,540,546,'OP_RemoveClientFromGroupMsg',76,1),
(29913,540,546,'OP_RemoveGroupFromGroupMsg',77,1),
(29914,540,546,'OP_MakeGroupLeaderMsg',78,1),
(29915,540,546,'OP_GroupCreatedMsg',79,1),
(29916,540,546,'OP_GroupDestroyedMsg',80,1),
(29917,540,546,'OP_GroupMemberAddedMsg',81,1),
(29918,540,546,'OP_GroupMemberRemovedMsg',82,1),
(29919,540,546,'OP_GroupRemovedFromGroupMsg',83,1),
(29920,540,546,'OP_GroupLeaderChangedMsg',84,1),
(29921,540,546,'OP_GroupResendOOZDataMsg',85,1),
(29922,540,546,'OP_GroupSettingsChangedMsg',86,1),
(29923,540,546,'OP_SendLatestRequestMsg',88,1),
(29924,540,546,'OP_ClearDataMsg',89,1),
(29925,540,546,'OP_SetSocialMsg',90,1),
(29926,540,546,'OP_ESStatusMsg',91,1),
(29927,540,546,'OP_ESZoneInstanceStatusMsg',92,1),
(29928,540,546,'OP_ZonesStatusRequestMsg',93,1),
(29929,540,546,'OP_ZonesStatusMsg',94,1),
(29930,540,546,'OP_ESWeatherRequestMsg',95,1),
(29931,540,546,'OP_ESWeatherRequestEndMsg',96,1),
(29932,540,546,'OP_WSWeatherUpdateMsg',97,1),
(29933,540,546,'OP_DialogSelectMsg',98,1),
(29934,540,546,'OP_DialogCloseMsg',99,1),
(29935,540,546,'OP_RemoveSpellEffectMsg',100,1),
(29936,540,546,'OP_RemoveConcentrationMsg',101,1),
(29937,540,546,'OP_QuestJournalOpenMsg',102,1),
(29938,540,546,'OP_QuestJournalInspectMsg',103,1),
(29939,540,546,'OP_QuestJournalSetVisibleMsg',104,1),
(29940,540,546,'OP_QuestJournalWaypointMsg',105,1),
(29941,540,546,'OP_CreateGuildRequestMsg',106,1),
(29942,540,546,'OP_CreateGuildReplyMsg',107,1),
(29943,540,546,'OP_GuildsayMsg',108,1),
(29944,540,546,'OP_GuildKickMsg',109,1),
(29945,540,546,'OP_GuildUpdateMsg',110,1),
(29946,540,546,'OP_DeleteGuildMsg',111,1),
(29947,540,546,'OP_FellowshipExpMsg',112,1),
(29948,540,546,'OP_ConsignmentCloseStoreMsg',113,1),
(29949,540,546,'OP_ConsignItemRequestMsg',114,1),
(29950,540,546,'OP_ConsignItemResponseMsg',115,1),
(29951,540,546,'OP_PurchaseConsignmentRequestMsg',116,1),
(29952,540,546,'OP_PurchaseConsignmentResponseMsg',117,1),
(29953,540,546,'OP_ProcessScriptMsg',118,1),
(29954,540,546,'OP_ProcessWorkspaceMsg',119,1),
(29955,540,546,'OP_HouseDeletedRemotelyMsg',120,1),
(29956,540,546,'OP_UpdateHouseDataMsg',121,1),
(29957,540,546,'OP_UpdateHouseAccessDataMsg',122,1),
(29958,540,546,'OP_PlayerHouseBaseScreenMsg',123,1),
(29959,540,546,'OP_PlayerHousePurchaseScreenMsg',124,1),
(29960,540,546,'OP_PlayerHouseAccessUpdateMsg',125,1),
(29961,540,546,'OP_PlayerHouseDisplayStatusMsg',126,1),
(29962,540,546,'OP_PlayerHouseCloseUIMsg',127,1),
(29963,540,546,'OP_BuyPlayerHouseMsg',128,1),
(29964,540,546,'OP_BuyPlayerHouseTintMsg',129,1),
(29965,540,546,'OP_CollectAllHouseItemsMsg',130,1),
(29966,540,546,'OP_RelinquishHouseMsg',131,1),
(29967,540,546,'OP_EnterHouseMsg',132,1),
(29968,540,546,'OP_ExitHouseMsg',133,1),
(29969,540,546,'OP_HouseDefaultAccessSetMsg',134,1),
(29970,540,546,'OP_HouseAccessSetMsg',135,1),
(29971,540,546,'OP_HouseAccessRemoveMsg',136,1),
(29972,540,546,'OP_PayHouseUpkeepMsg',137,1),
(29973,540,546,'OP_MoveableObjectPlacementCriteri',138,1),
(29974,540,546,'OP_EnterMoveObjectModeMsg',139,1),
(29975,540,546,'OP_PositionMoveableObject',140,1),
(29976,540,546,'OP_CancelMoveObjectModeMsg',141,1),
(29977,540,546,'OP_ShaderCustomizationMsg',142,1),
(29978,540,546,'OP_ReplaceableSubMeshesMsg',143,1),
(29979,540,546,'OP_HouseCustomizationScreenMsg',144,1),
(29980,540,546,'OP_CustomizationPurchaseRequestMs',145,1),
(29981,540,546,'OP_CustomizationSetRequestMsg',146,1),
(29982,540,546,'OP_CustomizationReplyMsg',147,1),
(29983,540,546,'OP_TintWidgetsMsg',148,1),
(29984,540,546,'OP_ExamineConsignmentRequestMsg',149,1),
(29985,540,546,'OP_ExamineConsignmentResponseMsg',150,1),
(29986,540,546,'OP_UISettingsResponseMsg',151,1),
(29987,540,546,'OP_UIResetMsg',152,1),
(29988,540,546,'OP_KeymapLoadMsg',153,1),
(29989,540,546,'OP_KeymapNoneMsg',154,1),
(29990,540,546,'OP_KeymapDataMsg',155,1),
(29991,540,546,'OP_KeymapSaveMsg',156,1),
(29992,540,546,'OP_DispatchSpellCmdMsg',157,1),
(29993,540,546,'OP_EntityVerbsRequestMsg',159,1),
(29994,540,546,'OP_EntityVerbsReplyMsg',160,1),
(29995,540,546,'OP_EntityVerbsVerbMsg',161,1),
(29996,540,546,'OP_ChatRelationshipUpdateMsg',162,1),
(29997,540,546,'OP_LootItemsRequestMsg',163,1),
(29998,540,546,'OP_StoppedLootingMsg',164,1),
(29999,540,546,'OP_SitMsg',165,1),
(30000,540,546,'OP_StandMsg',166,1),
(30001,540,546,'OP_SatMsg',167,1),
(30002,540,546,'OP_StoodMsg',168,1),
(30003,540,546,'OP_ClearForTakeOffMsg',169,1),
(30004,540,546,'OP_ReadyForTakeOffMsg',170,1),
(30005,540,546,'OP_ShowIllusionsMsg',171,1),
(30006,540,546,'OP_HideIllusionsMsg',172,1),
(30007,540,546,'OP_ExamineItemRequestMsg',173,1),
(30008,540,546,'OP_ReadBookPageMsg',174,1),
(30009,540,546,'OP_DefaultGroupOptionsRequestMsg',175,1),
(30010,540,546,'OP_DefaultGroupOptionsMsg',176,1),
(30011,540,546,'OP_GroupOptionsMsg',177,1),
(30012,540,546,'OP_DisplayGroupOptionsScreenMsg',178,1),
(30013,540,546,'OP_DisplayInnVisitScreenMsg',179,1),
(30014,540,546,'OP_DumpSchedulerMsg',180,1),
(30015,540,546,'OP_LSRequestPlayerDescMsg',181,1),
(30016,540,546,'OP_LSCheckAcctLockMsg',182,1),
(30017,540,546,'OP_WSAcctLockStatusMsg',183,1),
(30018,540,546,'OP_RequestHelpRepathMsg',184,1),
(30019,540,546,'OP_RequestTargetLocMsg',185,1),
(30020,540,546,'OP_UpdateMotdMsg',186,1),
(30021,540,546,'OP_PerformPlayerKnockbackMsg',187,1),
(30022,540,546,'OP_PerformCameraShakeMsg',188,1),
(30023,540,546,'OP_PopulateSkillMapsMsg',189,1),
(30024,540,546,'OP_CancelledFeignMsg',190,1),
(30025,540,546,'OP_SignalMsg',191,1),
(30026,540,546,'OP_ShowCreateFromRecipeUIMsg',192,1),
(30027,540,546,'OP_CancelCreateFromRecipeMsg',193,1),
(30028,540,546,'OP_BeginItemCreationMsg',194,1),
(30029,540,546,'OP_StopItemCreationMsg',195,1),
(30030,540,546,'OP_ShowItemCreationProcessUIMsg',196,1),
(30031,540,546,'OP_UpdateItemCreationProcessUIMsg',197,1),
(30032,540,546,'OP_DisplayTSEventReactionMsg',198,1),
(30033,540,546,'OP_ShowRecipeBookMsg',199,1),
(30034,540,546,'OP_KnowledgebaseRequestMsg',200,1),
(30035,540,546,'OP_KnowledgebaseResponseMsg',201,1),
(30036,540,546,'OP_CSTicketHeaderRequestMsg',202,1),
(30037,540,546,'OP_CSTicketInfoMsg',203,1),
(30038,540,546,'OP_CSTicketCommentRequestMsg',204,1),
(30039,540,546,'OP_CSTicketCommentResponseMsg',205,1),
(30040,540,546,'OP_CSTicketCreateMsg',206,1),
(30041,540,546,'OP_CSTicketAddCommentMsg',207,1),
(30042,540,546,'OP_CSTicketDeleteMsg',208,1),
(30043,540,546,'OP_CSTicketChangeNotificationMsg',209,1),
(30044,540,546,'OP_WorldDataUpdateMsg',210,1),
(30045,540,546,'OP_KnownLanguagesMsg',211,1),
(30046,540,546,'OP_LsRequestClientCrashLogMsg',212,1),
(30047,540,546,'OP_LsClientBaselogReplyMsg',213,1),
(30048,540,546,'OP_LsClientCrashlogReplyMsg',214,1),
(30049,540,546,'OP_LsClientDetailedCrashlogReplyMsg',215,1),
(30050,540,546,'OP_LsClientAlertlogReplyMsg',216,1),
(30051,540,546,'OP_LsClientVerifylogReplyMsg',217,1),
(30052,540,546,'OP_ClientTeleportToLocationMsg',218,1),
(30053,540,546,'OP_UpdateClientPredFlagsMsg',219,1),
(30054,540,546,'OP_ChangeServerControlFlagMsg',220,1),
(30055,540,546,'OP_CSToolsRequestMsg',221,1),
(30056,540,546,'OP_CSToolsResponseMsg',222,1),
(30057,540,546,'OP_AddSocialStructureStandingMsg',223,1),
(30058,540,546,'OP_CreateBoatTransportsMsg',220,1),
(30059,540,546,'OP_PositionBoatTransportMsg',225,1),
(30060,540,546,'OP_MigrateBoatTransportMsg',226,1),
(30061,540,546,'OP_MigrateBoatTransportReplyMsg',227,1),
(30062,540,546,'OP_DisplayDebugNLLPointsMsg',228,1),
(30063,540,546,'OP_ExamineInfoRequestMsg',229,1),
(30064,540,546,'OP_QuickbarInitMsg',230,1),
(30065,540,546,'OP_QuickbarUpdateMsg',231,1),
(30066,540,546,'OP_MacroInitMsg',232,1),
(30067,540,546,'OP_MacroUpdateMsg',233,1),
(30068,540,546,'OP_QuestionnaireMsg',234,1),
(30069,540,546,'OP_LevelChangedMsg',235,1),
(30070,540,546,'OP_SpellGainedMsg',236,1),
(30071,540,546,'OP_EncounterBrokenMsg',237,1),
(30072,540,546,'OP_OnscreenMsgMsg',238,1),
(30073,540,546,'OP_DisplayWarningMsg',239,1),
(30074,540,546,'OP_ModifyGuildMsg',240,1),
(30075,540,546,'OP_GuildEventMsg',241,1),
(30076,540,546,'OP_GuildEventAddMsg',242,1),
(30077,540,546,'OP_GuildEventActionMsg',243,1),
(30078,540,546,'OP_GuildEventListMsg',244,1),
(30079,540,546,'OP_RequestGuildEventDetailsMsg',245,1),
(30080,540,546,'OP_GuildEventDetailsMsg',246,1),
(30081,540,546,'OP_RequestGuildInfoMsg',247,1),
(30082,540,546,'OP_GuildBankActionMsg',248,1),
(30083,540,546,'OP_GuildBankActionResponseMsg',249,1),
(30084,540,546,'OP_GuildBankItemDetailsRequestMsg',250,1),
(30085,540,546,'OP_GuildBankItemDetailsResponseMs',251,1),
(30086,540,546,'OP_GuildBankUpdateMsg',252,1),
(30087,540,546,'OP_GuildBankEventListMsg',253,1),
(30088,540,546,'OP_RequestGuildBankEventDetailsMs',254,1),
(30089,540,546,'OP_RewardPackMsg',255,1),
(30090,540,546,'OP_RenameGuildMsg',256,1),
(30091,540,546,'OP_ZoneToFriendRequestMsg',257,1),
(30092,540,546,'OP_ZoneToFriendReplyMsg',258,1),
(30093,540,546,'OP_ChatCreateChannelMsg',259,1),
(30094,540,546,'OP_ChatJoinChannelMsg',260,1),
(30095,540,546,'OP_ChatWhoChannelMsg',261,1),
(30096,540,546,'OP_ChatLeaveChannelMsg',262,1),
(30097,540,546,'OP_ChatTellChannelMsg',263,1),
(30098,540,546,'OP_ChatTellUserMsg',264,1),
(30099,540,546,'OP_ChatToggleFriendMsg',265,1),
(30100,540,546,'OP_ChatToggleIgnoreMsg',266,1),
(30101,540,546,'OP_ChatSendFriendsMsg',267,1),
(30102,540,546,'OP_ChatSendIgnoresMsg',268,1),
(30103,540,546,'OP_ChatFiltersMsg',269,1),
(30104,540,546,'OP_MailGetHeadersMsg',270,1),
(30105,540,546,'OP_MailGetMessageMsg',271,1),
(30106,540,546,'OP_MailSendMessageMsg',272,1),
(30107,540,546,'OP_MailDeleteMessageMsg',273,1),
(30108,540,546,'OP_MailGetHeadersReplyMsg',274,1),
(30109,540,546,'OP_MailGetMessageReplyMsg',275,1),
(30110,540,546,'OP_MailSendMessageReplyMsg',276,1),
(30111,540,546,'OP_MailCommitSendMessageMsg',277,1),
(30112,540,546,'OP_MailSendSystemMessageMsg',278,1),
(30113,540,546,'OP_MailRemoveAttachFromMailMsg',279,1),
(30114,540,546,'OP_WaypointRequestMsg',280,1),
(30115,540,546,'OP_WaypointReplyMsg',281,1),
(30116,540,546,'OP_WaypointSelectMsg',282,1),
(30117,540,546,'OP_WaypointUpdateMsg',283,1),
(30118,540,546,'OP_CharNameChangedMsg',284,1),
(30119,540,546,'OP_ShowZoneTeleporterDestinations',285,1),
(30120,540,546,'OP_SelectZoneTeleporterDestinatio',286,1),
(30121,540,546,'OP_ReloadLocalizedTxtMsg',287,1),
(30122,540,546,'OP_RequestGuildMembershipMsg',288,1),
(30123,540,546,'OP_GuildMembershipResponseMsg',289,1),
(30124,540,546,'OP_LeaveGuildNotifyMsg',290,1),
(30125,540,546,'OP_JoinGuildNotifyMsg',291,1),
(30126,540,546,'OP_AvatarUpdateMsg',292,1),
(30127,540,546,'OP_BioUpdateMsg',293,1),
(30128,540,546,'OP_InspectPlayerMsg',294,1),
(30129,540,546,'OP_WSServerLockMsg',295,1),
(30130,540,546,'OP_LSServerLockMsg',296,1),
(30131,540,546,'OP_WSServerHideMsg',297,1),
(30132,540,546,'OP_CsCategoryRequestMsg',298,1),
(30133,540,546,'OP_CsCategoryResponseMsg',299,1),
(30134,540,546,'OP_KnowledgeWindowSlotMappingMsg',300,1),
(30135,540,546,'OP_LFGUpdateMsg',301,1),
(30136,540,546,'OP_AFKUpdateMsg',302,1),
(30137,540,546,'OP_AnonUpdateMsg',303,1),
(30138,540,546,'OP_UpdateActivePublicZonesMsg',304,1),
(30139,540,546,'OP_UnknownNpcMsg',305,1),
(30140,540,546,'OP_PromoFlagsDetailsMsg',306,1),
(30141,540,546,'OP_ConsignViewCreateMsg',307,1),
(30142,540,546,'OP_ConsignViewGetPageMsg',308,1),
(30143,540,546,'OP_ConsignViewReleaseMsg',309,1),
(30144,540,546,'OP_ConsignRemoveItemsMsg',310,1),
(30145,540,546,'OP_UpdateDebugRadiiMsg',311,1),
(30146,540,546,'OP_SnoopMsg',312,1),
(30147,540,546,'OP_ReportMsg',313,1),
(30148,540,546,'OP_UpdateRaidMsg',314,1),
(30149,540,546,'OP_ConsignViewSortMsg',316,1),
(30150,540,546,'OP_TitleUpdateMsg',317,1),
(30151,540,546,'OP_ClientFellMsg',318,1),
(30152,540,546,'OP_ClientInDeathRegionMsg',319,1),
(30153,540,546,'OP_CampClientMsg',320,1),
(30154,540,546,'OP_CSToolAccessResponseMsg',321,1),
(30155,540,546,'OP_GetAvatarAccessRequestForCSToo',322,1),
(30156,540,546,'OP_TrackingUpdateMsg',323,1),
(30157,540,546,'OP_BeginTrackingMsg',324,1),
(30158,540,546,'OP_StopTrackingMsg',325,1),
(30159,540,546,'OP_AdvancementRequestMsg',326,1),
(30160,540,546,'OP_UpdateAvgFrameTimeMsg',327,1),
(30161,540,546,'OP_MapFogDataInitMsg',328,1),
(30162,540,546,'OP_MapFogDataUpdateMsg',329,1),
(30163,540,546,'OP_CloseGroupInviteWindowMsg',330,1),
(30164,540,546,'OP_UpdateGroupMemberDataMsg',331,1),
(30165,540,546,'OP_WorldPingMsg',332,1),
(30166,540,546,'OP_MoveLogUpdateMsg',333,1),
(30167,540,546,'OP_OfferQuestMsg',334,1),
(30168,540,546,'OP_WorldShutdownUpdateMsg',335,1),
(30169,540,546,'OP_DisplayMailScreenMsg',336,1),
(30170,540,546,'OP_ClientIdleBeginMsg',337,1),
(30171,540,546,'OP_ClientIdleEndMsg',338,1),
(30172,540,546,'OP_PurchaseConsignmentLoreCheckRe',339,1),
(30173,540,546,'OP_NotifyApprenticeStoppedMentori',340,1),
(30174,540,546,'OP_CorruptedClientMsg',341,1),
(30175,540,546,'OP_WorldDataChangeMsg',342,1),
(30176,540,546,'OP_MailEventNotificationMsg',343,1),
(30177,540,546,'OP_RestartZoneMsg',344,1),
(30178,540,546,'OP_FlightPathsMsg',345,1),
(30179,540,546,'OP_CharacterLinkdeadMsg',346,1),
(30180,540,546,'OP_CharTransferStartRequestMsg',347,1),
(30181,540,546,'OP_CharTransferStartReplyMsg',348,1),
(30182,540,546,'OP_CharTransferRequestMsg',349,1),
(30183,540,546,'OP_CharTransferReplyMsg',350,1),
(30184,540,546,'OP_CharTransferRollbackRequestMsg',351,1),
(30185,540,546,'OP_CharTransferCommitRequestMsg',352,1),
(30186,540,546,'OP_CharTransferRollbackReplyMsg',353,1),
(30187,540,546,'OP_CharTransferCommitReplyMsg',354,1),
(30188,540,546,'OP_GetCharacterSerializedRequestM',355,1),
(30189,540,546,'OP_GetCharacterSerializedReplyMsg',356,1),
(30190,540,546,'OP_CreateCharFromCBBRequestMsg',357,1),
(30191,540,546,'OP_CreateCharFromCBBReplyMsg',358,1),
(30192,540,546,'OP_HousingDataChangedMsg',359,1),
(30193,540,546,'OP_HousingRestoreMsg',360,1),
(30194,540,546,'OP_AuctionItem',361,1),
(30195,540,546,'OP_AuctionItemReply',362,1),
(30196,540,546,'OP_AuctionCoin',363,1),
(30197,540,546,'OP_AuctionCoinReply',364,1),
(30198,540,546,'OP_AuctionCharacter',365,1),
(30199,540,546,'OP_AuctionCharacterReply',366,1),
(30200,540,546,'OP_AuctionCommitMsg',367,1),
(30201,540,546,'OP_AuctionAbortMsg',368,1),
(30202,540,546,'OP_CharTransferValidateRequestMsg',369,1),
(30203,540,546,'OP_CharTransferValidateReplyMsg',370,1),
(30204,540,546,'OP_RaceRestrictionMsg',371,1),
(30205,540,546,'OP_SetInstanceDisplayNameMsg',372,1),
(30206,540,546,'OP_GetAuctionAssetIDMsg',373,1),
(30207,540,546,'OP_GetAuctionAssetIDReplyMsg',374,1),
(30208,540,546,'OP_ResendWorldChannelsMsg',375,1),
(30209,540,546,'OP_DisplayExchangeScreenMsg',376,1),
(30210,540,546,'OP_AuditAuctionEventMsg',377,1),
(30211,540,546,'OP_InviteRequestMsg',401,1),
(30212,540,546,'OP_InviteResponseMsg',402,1),
(30213,540,546,'OP_InviteTargetResponseMsg',403,1),
(30214,540,546,'OP_InspectPlayerRequestMsg',404,1),
(30215,540,546,'OP_DispatchMsg',405,1),
(30216,540,546,'OP_DisplayEventMsg',406,1),
(30217,540,546,'OP_PrePossessionMsg',407,1),
(30218,540,546,'OP_PostPossessionMsg',408,1),
(30219,540,546,'OP_EqHearChatCmd',411,1),
(30220,540,546,'OP_EqDisplayTextCmd',412,1),
(30221,540,546,'OP_EqCreateGhostCmd',413,1),
(30222,540,546,'OP_EqCreateWidgetCmd',414,1),
(30223,540,546,'OP_EqCreateSignWidgetCmd',415,1),
(30224,540,546,'OP_EqDestroyGhostCmd',416,1),
(30225,540,546,'OP_EqUpdateGhostCmd',417,1),
(30226,540,546,'OP_EqSetControlGhostCmd',418,1),
(30227,540,546,'OP_EqSetPOVGhostCmd',419,1),
(30228,540,546,'OP_EqHearCombatCmd',420,1),
(30229,540,546,'OP_EqHearSpellCastCmd',421,1),
(30230,540,546,'OP_EqHearSpellInterruptCmd',422,1),
(30231,540,546,'OP_EqHearSpellFizzleCmd',423,1),
(30232,540,546,'OP_EqHearConsiderCmd',424,1),
(30233,540,546,'OP_EqUpdateSubClassesCmd',425,1),
(30234,540,546,'OP_EqCreateListBoxCmd',426,1),
(30235,540,546,'OP_EqSetDebugPathPointsCmd',428,1),
(30236,540,546,'OP_EqCannedEmoteCmd',429,1),
(30237,540,546,'OP_EqStateCmd',430,1),
(30238,540,546,'OP_EqPlaySoundCmd',431,1),
(30239,540,546,'OP_EqPlaySound3DCmd',432,1),
(30240,540,546,'OP_EqPlayVoiceCmd',433,1),
(30241,540,546,'OP_EqHearDrowningCmd',434,1),
(30242,540,546,'OP_EqHearDeathCmd',435,1),
(30243,540,546,'OP_EqGroupMemberRemovedCmd',436,1),
(30244,540,546,'OP_EqHearChainEffectCmd',437,1),
(30245,540,546,'OP_EqReceiveOfferCmd',438,1),
(30246,540,546,'OP_EqInspectPCResultsCmd',439,1),
(30247,540,546,'OP_EqDrawablePathGraphCmd',440,1),
(30248,540,546,'OP_EqDialogOpenCmd',441,1),
(30249,540,546,'OP_EqDialogCloseCmd',442,1),
(30250,540,546,'OP_EqFactionUpdateCmd',443,1),
(30251,540,546,'OP_EqCollectionUpdateCmd',444,1),
(30252,540,546,'OP_EqCollectionFilterCmd',445,1),
(30253,540,546,'OP_EqCollectionItemCmd',446,1),
(30254,540,546,'OP_EqQuestJournalUpdateCmd',447,1),
(30255,540,546,'OP_EqQuestJournalReplyCmd',448,1),
(30256,540,546,'OP_EqQuestGroupCmd',449,1),
(30257,540,546,'OP_EqUpdateMerchantCmd',450,1),
(30258,540,546,'OP_EqUpdateStoreCmd',451,1),
(30259,540,546,'OP_EqUpdatePlayerTradeCmd',452,1),
(30260,540,546,'OP_EqHelpPathCmd',453,1),
(30261,540,546,'OP_EqHelpPathClearCmd',454,1),
(30262,540,546,'OP_EqUpdateBankCmd',455,1),
(30263,540,546,'OP_EqExamineInfoCmd',456,1),
(30264,540,546,'OP_EqUpdateLootCmd',457,1),
(30265,540,546,'OP_EqJunctionListCmd',458,1),
(30266,540,546,'OP_EqShowDeathWindowCmd',459,1),
(30267,540,546,'OP_EqDisplaySpellFailCmd',460,1),
(30268,540,546,'OP_EqSpellCastStartCmd',461,1),
(30269,540,546,'OP_EqSpellCastEndCmd',462,1),
(30270,540,546,'OP_EqResurrectedCmd',463,1),
(30271,540,546,'OP_EqChoiceWinCmd',464,1),
(30272,540,546,'OP_EqSetDefaultVerbCmd',465,1),
(30273,540,546,'OP_EqInstructionWindowCmd',466,1),
(30274,540,546,'OP_EqInstructionWindowCloseCmd',467,1),
(30275,540,546,'OP_EqInstructionWindowGoalCmd',468,1),
(30276,540,546,'OP_EqInstructionWindowTaskCmd',469,1),
(30277,540,546,'OP_EqEnableGameEventCmd',470,1),
(30278,540,546,'OP_EqShowWindowCmd',471,1),
(30279,540,546,'OP_EqEnableWindowCmd',472,1),
(30280,540,546,'OP_EqFlashWindowCmd',473,1),
(30281,540,546,'OP_EqHearPlayFlavorCmd',474,1),
(30282,540,546,'OP_EqUpdateSignWidgetCmd',475,1),
(30283,540,546,'OP_EqDebugPVDCmd',476,1),
(30284,540,546,'OP_EqShowBookCmd',477,1),
(30285,540,546,'OP_EqQuestionnaireCmd',478,1),
(30286,540,546,'OP_EqGetProbsCmd',479,1),
(30287,540,546,'OP_EqHearHealCmd',480,1),
(30288,540,546,'OP_EqChatChannelUpdateCmd',481,1),
(30289,540,546,'OP_EqWhoChannelQueryReplyCmd',482,1),
(30290,540,546,'OP_EqAvailWorldChannelsCmd',483,1),
(30291,540,546,'OP_EqUpdateTargetCmd',484,1),
(30292,540,546,'OP_EqConsignmentItemsCmd',485,1),
(30293,540,546,'OP_EqStartBrokerCmd',486,1),
(30294,540,546,'OP_EqMapExplorationCmd',487,1),
(30295,540,546,'OP_EqStoreLogCmd',488,1),
(30296,540,546,'OP_EqSpellMoveToRangeAndRetryCmd',489,1),
(30297,540,546,'OP_EqUpdatePlayerMailCmd',490,1),
(30298,540,546,'OP_EqArenaResultsCmd',491,1),
(30299,540,546,'OP_EqGuildBankEventActionCmd',492,1),
(30300,540,546,'OP_EqGuildBankExamineInfoCmd',493,1),
(30301,540,546,'OP_EqHearSpellNoLandCmd',494,1),
(30337,560,561,'OP_LoginRequestMsg',0,1),
(30338,560,561,'OP_LoginByNumRequestMsg',1,1),
(30339,560,561,'OP_WSLoginRequestMsg',2,1),
(30340,560,561,'OP_ESLoginRequestMsg',3,1),
(30341,560,561,'OP_LoginReplyMsg',4,1),
(30342,560,561,'OP_WSStatusReplyMsg',5,1),
(30343,560,561,'OP_WorldStatusChangeMsg',6,1),
(30344,560,561,'OP_AllWSDescRequestMsg',7,1),
(30345,560,561,'OP_WorldListMsg',8,1),
(30346,560,561,'OP_AllCharactersDescRequestMsg',9,1),
(30347,560,561,'OP_AllCharactersDescReplyMsg',10,1),
(30348,560,561,'OP_CreateCharacterRequestMsg',11,1),
(30349,560,561,'OP_CreateCharacterReplyMsg',12,1),
(30350,560,561,'OP_WSCreateCharacterRequestMsg',13,1),
(30351,560,561,'OP_WSCreateCharacterReplyMsg',14,1),
(30352,560,561,'OP_ReskinCharacterRequestMsg',15,1),
(30353,560,561,'OP_DeleteCharacterRequestMsg',16,1),
(30354,560,561,'OP_DeleteCharacterReplyMsg',17,1),
(30355,560,561,'OP_PlayCharacterRequestMsg',18,1),
(30356,560,561,'OP_PlayCharacterReplyMsg',19,1),
(30357,560,561,'OP_ServerPlayCharacterRequestMsg',20,1),
(30358,560,561,'OP_ServerPlayCharacterReplyMsg',21,1),
(30359,560,561,'OP_ESInitMsg',22,1),
(30360,560,561,'OP_ESReadyForClientsMsg',23,1),
(30361,560,561,'OP_CreateZoneInstanceMsg',24,1),
(30362,560,561,'OP_ZoneInstanceCreateReplyMsg',25,1),
(30363,560,561,'OP_ZoneInstanceDestroyedMsg',26,1),
(30364,560,561,'OP_ExpectClientAsCharacterRequest',27,1),
(30365,560,561,'OP_ExpectClientAsCharacterReplyMs',28,1),
(30366,560,561,'OP_ZoneInfoMsg',29,1),
(30367,560,561,'OP_DoneLoadingZoneResourcesMsg',30,1),
(30368,560,561,'OP_DoneSendingInitialEntitiesMsg',31,1),
(30369,560,561,'OP_DoneLoadingEntityResourcesMsg',32,1),
(30370,560,561,'OP_DoneLoadingUIResourcesMsg',33,1),
(30371,560,561,'OP_PredictionUpdateMsg',34,1),
(30372,560,561,'OP_SetRemoteCmdsMsg',35,1),
(30373,560,561,'OP_RemoteCmdMsg',36,1),
(30374,560,561,'OP_GameWorldTimeMsg',37,1),
(30375,560,561,'OP_MOTDMsg',38,1),
(30376,560,561,'OP_ZoneMOTDMsg',39,1),
(30377,560,561,'OP_AvatarCreatedMsg',40,1),
(30378,560,561,'OP_AvatarDestroyedMsg',41,1),
(30379,560,561,'OP_RequestCampMsg',42,1),
(30380,560,561,'OP_CampStartedMsg',43,1),
(30381,560,561,'OP_CampAbortedMsg',44,1),
(30382,560,561,'OP_WhoQueryRequestMsg',45,1),
(30383,560,561,'OP_WhoQueryReplyMsg',46,1),
(30384,560,561,'OP_MonitorReplyMsg',47,1),
(30385,560,561,'OP_MonitorCharacterListMsg',48,1),
(30386,560,561,'OP_MonitorCharacterListRequestMsg',49,1),
(30387,560,561,'OP_ClientCmdMsg',50,1),
(30388,560,561,'OP_DispatchClientCmdMsg',51,1),
(30389,560,561,'OP_DispatchESMsg',52,1),
(30390,560,561,'OP_UpdateTargetMsg',53,1),
(30391,560,561,'OP_UpdateTargetLocMsg',54,1),
(30392,560,561,'OP_UpdateCharacterSheetMsg',55,1),
(30393,560,561,'OP_UpdateSpellBookMsg',56,1),
(30394,560,561,'OP_UpdateInventoryMsg',58,1),
(30395,560,561,'OP_UpdateRecipeBookMsg',60,1),
(30396,560,561,'OP_RequestRecipeDetailsMsg',61,1),
(30397,560,561,'OP_RecipeDetailsMsg',62,1),
(30398,560,561,'OP_UpdateSkillBookMsg',63,1),
(30399,560,561,'OP_UpdateSkillsMsg',64,1),
(30400,560,561,'OP_UpdateOpportunityMsg',65,1),
(30401,560,561,'OP_ChangeZoneMsg',67,1),
(30402,560,561,'OP_ClientTeleportRequestMsg',68,1),
(30403,560,561,'OP_TeleportWithinZoneMsg',69,1),
(30404,560,561,'OP_TeleportWithinZoneNoReloadMsg',70,1),
(30405,560,561,'OP_MigrateClientToZoneRequestMsg',71,1),
(30406,560,561,'OP_MigrateClientToZoneReplyMsg',72,1),
(30407,560,561,'OP_ReadyToZoneMsg',73,1),
(30408,560,561,'OP_AddClientToGroupMsg',74,1),
(30409,560,561,'OP_AddGroupToGroupMsg',75,1),
(30410,560,561,'OP_RemoveClientFromGroupMsg',76,1),
(30411,560,561,'OP_RemoveGroupFromGroupMsg',77,1),
(30412,560,561,'OP_MakeGroupLeaderMsg',78,1),
(30413,560,561,'OP_GroupCreatedMsg',79,1),
(30414,560,561,'OP_GroupDestroyedMsg',80,1),
(30415,560,561,'OP_GroupMemberAddedMsg',81,1),
(30416,560,561,'OP_GroupMemberRemovedMsg',82,1),
(30417,560,561,'OP_GroupRemovedFromGroupMsg',83,1),
(30418,560,561,'OP_GroupLeaderChangedMsg',84,1),
(30419,560,561,'OP_GroupResendOOZDataMsg',85,1),
(30420,560,561,'OP_GroupSettingsChangedMsg',86,1),
(30421,560,561,'OP_SendLatestRequestMsg',88,1),
(30422,560,561,'OP_ClearDataMsg',89,1),
(30423,560,561,'OP_SetSocialMsg',90,1),
(30424,560,561,'OP_ESStatusMsg',91,1),
(30425,560,561,'OP_ESZoneInstanceStatusMsg',92,1),
(30426,560,561,'OP_ZonesStatusRequestMsg',93,1),
(30427,560,561,'OP_ZonesStatusMsg',94,1),
(30428,560,561,'OP_ESWeatherRequestMsg',95,1),
(30429,560,561,'OP_ESWeatherRequestEndMsg',96,1),
(30430,560,561,'OP_WSWeatherUpdateMsg',97,1),
(30431,560,561,'OP_DialogSelectMsg',98,1),
(30432,560,561,'OP_DialogCloseMsg',99,1),
(30433,560,561,'OP_RemoveSpellEffectMsg',100,1),
(30434,560,561,'OP_RemoveConcentrationMsg',101,1),
(30435,560,561,'OP_QuestJournalOpenMsg',102,1),
(30436,560,561,'OP_QuestJournalInspectMsg',103,1),
(30437,560,561,'OP_QuestJournalSetVisibleMsg',104,1),
(30438,560,561,'OP_QuestJournalWaypointMsg',105,1),
(30439,560,561,'OP_CreateGuildRequestMsg',106,1),
(30440,560,561,'OP_CreateGuildReplyMsg',107,1),
(30441,560,561,'OP_GuildsayMsg',108,1),
(30442,560,561,'OP_GuildKickMsg',109,1),
(30443,560,561,'OP_GuildUpdateMsg',110,1),
(30444,560,561,'OP_DeleteGuildMsg',111,1),
(30445,560,561,'OP_FellowshipExpMsg',112,1),
(30446,560,561,'OP_ConsignmentCloseStoreMsg',113,1),
(30447,560,561,'OP_ConsignItemRequestMsg',114,1),
(30448,560,561,'OP_ConsignItemResponseMsg',115,1),
(30449,560,561,'OP_PurchaseConsignmentRequestMsg',116,1),
(30450,560,561,'OP_PurchaseConsignmentResponseMsg',117,1),
(30451,560,561,'OP_ProcessScriptMsg',118,1),
(30452,560,561,'OP_ProcessWorkspaceMsg',119,1),
(30453,560,561,'OP_HouseDeletedRemotelyMsg',120,1),
(30454,560,561,'OP_UpdateHouseDataMsg',121,1),
(30455,560,561,'OP_UpdateHouseAccessDataMsg',122,1),
(30456,560,561,'OP_PlayerHouseBaseScreenMsg',123,1),
(30457,560,561,'OP_PlayerHousePurchaseScreenMsg',124,1),
(30458,560,561,'OP_PlayerHouseAccessUpdateMsg',125,1),
(30459,560,561,'OP_PlayerHouseDisplayStatusMsg',126,1),
(30460,560,561,'OP_PlayerHouseCloseUIMsg',127,1),
(30461,560,561,'OP_BuyPlayerHouseMsg',128,1),
(30462,560,561,'OP_BuyPlayerHouseTintMsg',129,1),
(30463,560,561,'OP_CollectAllHouseItemsMsg',130,1),
(30464,560,561,'OP_RelinquishHouseMsg',131,1),
(30465,560,561,'OP_EnterHouseMsg',132,1),
(30466,560,561,'OP_ExitHouseMsg',133,1),
(30467,560,561,'OP_HouseDefaultAccessSetMsg',134,1),
(30468,560,561,'OP_HouseAccessSetMsg',135,1),
(30469,560,561,'OP_HouseAccessRemoveMsg',136,1),
(30470,560,561,'OP_PayHouseUpkeepMsg',137,1),
(30471,560,561,'OP_MoveableObjectPlacementCriteri',138,1),
(30472,560,561,'OP_EnterMoveObjectModeMsg',139,1),
(30473,560,561,'OP_PositionMoveableObject',140,1),
(30474,560,561,'OP_CancelMoveObjectModeMsg',141,1),
(30475,560,561,'OP_ShaderCustomizationMsg',142,1),
(30476,560,561,'OP_ReplaceableSubMeshesMsg',143,1),
(30477,560,561,'OP_HouseCustomizationScreenMsg',144,1),
(30478,560,561,'OP_CustomizationPurchaseRequestMs',145,1),
(30479,560,561,'OP_CustomizationSetRequestMsg',146,1),
(30480,560,561,'OP_CustomizationReplyMsg',147,1),
(30481,560,561,'OP_TintWidgetsMsg',148,1),
(30482,560,561,'OP_ExamineConsignmentRequestMsg',149,1),
(30483,560,561,'OP_ExamineConsignmentResponseMsg',150,1),
(30484,560,561,'OP_UISettingsResponseMsg',151,1),
(30485,560,561,'OP_UIResetMsg',152,1),
(30486,560,561,'OP_KeymapLoadMsg',153,1),
(30487,560,561,'OP_KeymapNoneMsg',154,1),
(30488,560,561,'OP_KeymapDataMsg',155,1),
(30489,560,561,'OP_KeymapSaveMsg',156,1),
(30490,560,561,'OP_DispatchSpellCmdMsg',157,1),
(30491,560,561,'OP_EntityVerbsRequestMsg',159,1),
(30492,560,561,'OP_EntityVerbsReplyMsg',160,1),
(30493,560,561,'OP_EntityVerbsVerbMsg',161,1),
(30494,560,561,'OP_ChatRelationshipUpdateMsg',162,1),
(30495,560,561,'OP_LootItemsRequestMsg',163,1),
(30496,560,561,'OP_StoppedLootingMsg',164,1),
(30497,560,561,'OP_SitMsg',165,1),
(30498,560,561,'OP_StandMsg',166,1),
(30499,560,561,'OP_SatMsg',167,1),
(30500,560,561,'OP_StoodMsg',168,1),
(30501,560,561,'OP_ClearForTakeOffMsg',169,1),
(30502,560,561,'OP_ReadyForTakeOffMsg',170,1),
(30503,560,561,'OP_ShowIllusionsMsg',171,1),
(30504,560,561,'OP_HideIllusionsMsg',172,1),
(30505,560,561,'OP_ExamineItemRequestMsg',173,1),
(30506,560,561,'OP_ReadBookPageMsg',174,1),
(30507,560,561,'OP_DefaultGroupOptionsRequestMsg',175,1),
(30508,560,561,'OP_DefaultGroupOptionsMsg',176,1),
(30509,560,561,'OP_GroupOptionsMsg',177,1),
(30510,560,561,'OP_DisplayGroupOptionsScreenMsg',178,1),
(30511,560,561,'OP_DisplayInnVisitScreenMsg',179,1),
(30512,560,561,'OP_DumpSchedulerMsg',180,1),
(30513,560,561,'OP_LSRequestPlayerDescMsg',181,1),
(30514,560,561,'OP_LSCheckAcctLockMsg',182,1),
(30515,560,561,'OP_WSAcctLockStatusMsg',183,1),
(30516,560,561,'OP_RequestHelpRepathMsg',184,1),
(30517,560,561,'OP_RequestTargetLocMsg',185,1),
(30518,560,561,'OP_UpdateMotdMsg',186,1),
(30519,560,561,'OP_PerformPlayerKnockbackMsg',187,1),
(30520,560,561,'OP_PerformCameraShakeMsg',188,1),
(30521,560,561,'OP_PopulateSkillMapsMsg',189,1),
(30522,560,561,'OP_CancelledFeignMsg',190,1),
(30523,560,561,'OP_SignalMsg',191,1),
(30524,560,561,'OP_ShowCreateFromRecipeUIMsg',192,1),
(30525,560,561,'OP_CancelCreateFromRecipeMsg',193,1),
(30526,560,561,'OP_BeginItemCreationMsg',194,1),
(30527,560,561,'OP_StopItemCreationMsg',195,1),
(30528,560,561,'OP_ShowItemCreationProcessUIMsg',196,1),
(30529,560,561,'OP_UpdateItemCreationProcessUIMsg',197,1),
(30530,560,561,'OP_DisplayTSEventReactionMsg',198,1),
(30531,560,561,'OP_ShowRecipeBookMsg',199,1),
(30532,560,561,'OP_KnowledgebaseRequestMsg',200,1),
(30533,560,561,'OP_KnowledgebaseResponseMsg',201,1),
(30534,560,561,'OP_CSTicketHeaderRequestMsg',202,1),
(30535,560,561,'OP_CSTicketInfoMsg',203,1),
(30536,560,561,'OP_CSTicketCommentRequestMsg',204,1),
(30537,560,561,'OP_CSTicketCommentResponseMsg',205,1),
(30538,560,561,'OP_CSTicketCreateMsg',206,1),
(30539,560,561,'OP_CSTicketAddCommentMsg',207,1),
(30540,560,561,'OP_CSTicketDeleteMsg',208,1),
(30541,560,561,'OP_CSTicketChangeNotificationMsg',209,1),
(30542,560,561,'OP_WorldDataUpdateMsg',210,1),
(30543,560,561,'OP_KnownLanguagesMsg',211,1),
(30544,560,561,'OP_LsRequestClientCrashLogMsg',212,1),
(30545,560,561,'OP_LsClientBaselogReplyMsg',213,1),
(30546,560,561,'OP_LsClientCrashlogReplyMsg',214,1),
(30547,560,561,'OP_LsClientDetailedCrashlogReplyMsg',215,1),
(30548,560,561,'OP_LsClientAlertlogReplyMsg',216,1),
(30549,560,561,'OP_LsClientVerifylogReplyMsg',217,1),
(30550,560,561,'OP_ClientTeleportToLocationMsg',218,1),
(30551,560,561,'OP_UpdateClientPredFlagsMsg',219,1),
(30552,560,561,'OP_ChangeServerControlFlagMsg',220,1),
(30553,560,561,'OP_CSToolsRequestMsg',221,1),
(30554,560,561,'OP_CSToolsResponseMsg',222,1),
(30555,560,561,'OP_AddSocialStructureStandingMsg',223,1),
(30556,560,561,'OP_CreateBoatTransportsMsg',220,1),
(30557,560,561,'OP_PositionBoatTransportMsg',225,1),
(30558,560,561,'OP_MigrateBoatTransportMsg',226,1),
(30559,560,561,'OP_MigrateBoatTransportReplyMsg',227,1),
(30560,560,561,'OP_DisplayDebugNLLPointsMsg',228,1),
(30561,560,561,'OP_ExamineInfoRequestMsg',229,1),
(30562,560,561,'OP_QuickbarInitMsg',230,1),
(30563,560,561,'OP_QuickbarUpdateMsg',231,1),
(30564,560,561,'OP_MacroInitMsg',232,1),
(30565,560,561,'OP_MacroUpdateMsg',233,1),
(30566,560,561,'OP_QuestionnaireMsg',234,1),
(30567,560,561,'OP_LevelChangedMsg',235,1),
(30568,560,561,'OP_SpellGainedMsg',236,1),
(30569,560,561,'OP_EncounterBrokenMsg',237,1),
(30570,560,561,'OP_OnscreenMsgMsg',238,1),
(30571,560,561,'OP_DisplayWarningMsg',239,1),
(30572,560,561,'OP_ModifyGuildMsg',240,1),
(30573,560,561,'OP_GuildEventMsg',241,1),
(30574,560,561,'OP_GuildEventAddMsg',242,1),
(30575,560,561,'OP_GuildEventActionMsg',243,1),
(30576,560,561,'OP_GuildEventListMsg',244,1),
(30577,560,561,'OP_RequestGuildEventDetailsMsg',245,1),
(30578,560,561,'OP_GuildEventDetailsMsg',246,1),
(30579,560,561,'OP_RequestGuildInfoMsg',247,1),
(30580,560,561,'OP_GuildBankActionMsg',248,1),
(30581,560,561,'OP_GuildBankActionResponseMsg',249,1),
(30582,560,561,'OP_GuildBankItemDetailsRequestMsg',250,1),
(30583,560,561,'OP_GuildBankItemDetailsResponseMs',251,1),
(30584,560,561,'OP_GuildBankUpdateMsg',252,1),
(30585,560,561,'OP_GuildBankEventListMsg',253,1),
(30586,560,561,'OP_RequestGuildBankEventDetailsMs',254,1),
(30587,560,561,'OP_RewardPackMsg',255,1),
(30588,560,561,'OP_RenameGuildMsg',257,1),
(30589,560,561,'OP_ZoneToFriendRequestMsg',258,1),
(30590,560,561,'OP_ZoneToFriendReplyMsg',259,1),
(30591,560,561,'OP_ChatCreateChannelMsg',260,1),
(30592,560,561,'OP_ChatJoinChannelMsg',261,1),
(30593,560,561,'OP_ChatWhoChannelMsg',262,1),
(30594,560,561,'OP_ChatLeaveChannelMsg',263,1),
(30595,560,561,'OP_ChatTellChannelMsg',264,1),
(30596,560,561,'OP_ChatTellUserMsg',265,1),
(30597,560,561,'OP_ChatToggleFriendMsg',266,1),
(30598,560,561,'OP_ChatToggleIgnoreMsg',267,1),
(30599,560,561,'OP_ChatSendFriendsMsg',268,1),
(30600,560,561,'OP_ChatSendIgnoresMsg',269,1),
(30601,560,561,'OP_ChatFiltersMsg',270,1),
(30602,560,561,'OP_MailGetHeadersMsg',271,1),
(30603,560,561,'OP_MailGetMessageMsg',272,1),
(30604,560,561,'OP_MailSendMessageMsg',273,1),
(30605,560,561,'OP_MailDeleteMessageMsg',274,1),
(30606,560,561,'OP_MailGetHeadersReplyMsg',275,1),
(30607,560,561,'OP_MailGetMessageReplyMsg',276,1),
(30608,560,561,'OP_MailSendMessageReplyMsg',277,1),
(30609,560,561,'OP_MailCommitSendMessageMsg',278,1),
(30610,560,561,'OP_MailSendSystemMessageMsg',279,1),
(30611,560,561,'OP_MailRemoveAttachFromMailMsg',280,1),
(30612,560,561,'OP_WaypointRequestMsg',281,1),
(30613,560,561,'OP_WaypointReplyMsg',282,1),
(30614,560,561,'OP_WaypointSelectMsg',283,1),
(30615,560,561,'OP_WaypointUpdateMsg',284,1),
(30616,560,561,'OP_CharNameChangedMsg',285,1),
(30617,560,561,'OP_ShowZoneTeleporterDestinations',286,1),
(30618,560,561,'OP_SelectZoneTeleporterDestinatio',287,1),
(30619,560,561,'OP_ReloadLocalizedTxtMsg',288,1),
(30620,560,561,'OP_RequestGuildMembershipMsg',289,1),
(30621,560,561,'OP_GuildMembershipResponseMsg',290,1),
(30622,560,561,'OP_LeaveGuildNotifyMsg',291,1),
(30623,560,561,'OP_JoinGuildNotifyMsg',292,1),
(30624,560,561,'OP_AvatarUpdateMsg',293,1),
(30625,560,561,'OP_BioUpdateMsg',294,1),
(30626,560,561,'OP_InspectPlayerMsg',295,1),
(30627,560,561,'OP_WSServerLockMsg',296,1),
(30628,560,561,'OP_LSServerLockMsg',297,1),
(30629,560,561,'OP_WSServerHideMsg',298,1),
(30630,560,561,'OP_CsCategoryRequestMsg',299,1),
(30631,560,561,'OP_CsCategoryResponseMsg',300,1),
(30632,560,561,'OP_KnowledgeWindowSlotMappingMsg',301,1),
(30633,560,561,'OP_LFGUpdateMsg',302,1),
(30634,560,561,'OP_AFKUpdateMsg',303,1),
(30635,560,561,'OP_AnonUpdateMsg',304,1),
(30636,560,561,'OP_UpdateActivePublicZonesMsg',305,1),
(30637,560,561,'OP_UnknownNpcMsg',306,1),
(30638,560,561,'OP_PromoFlagsDetailsMsg',307,1),
(30639,560,561,'OP_ConsignViewCreateMsg',308,1),
(30640,560,561,'OP_ConsignViewGetPageMsg',309,1),
(30641,560,561,'OP_ConsignViewReleaseMsg',310,1),
(30642,560,561,'OP_ConsignRemoveItemsMsg',311,1),
(30643,560,561,'OP_UpdateDebugRadiiMsg',312,1),
(30644,560,561,'OP_SnoopMsg',313,1),
(30645,560,561,'OP_ReportMsg',314,1),
(30646,560,561,'OP_UpdateRaidMsg',315,1),
(30647,560,561,'OP_ConsignViewSortMsg',317,1),
(30648,560,561,'OP_TitleUpdateMsg',318,1),
(30649,560,561,'OP_ClientFellMsg',319,1),
(30650,560,561,'OP_ClientInDeathRegionMsg',320,1),
(30651,560,561,'OP_CampClientMsg',321,1),
(30652,560,561,'OP_CSToolAccessResponseMsg',322,1),
(30653,560,561,'OP_GetAvatarAccessRequestForCSToo',323,1),
(30654,560,561,'OP_TrackingUpdateMsg',324,1),
(30655,560,561,'OP_BeginTrackingMsg',324,1),
(30656,560,561,'OP_StopTrackingMsg',325,1),
(30657,560,561,'OP_AdvancementRequestMsg',326,1),
(30658,560,561,'OP_UpdateAvgFrameTimeMsg',329,1),
(30659,560,561,'OP_MapFogDataInitMsg',330,1),
(30660,560,561,'OP_MapFogDataUpdateMsg',331,1),
(30661,560,561,'OP_CloseGroupInviteWindowMsg',332,1),
(30662,560,561,'OP_UpdateGroupMemberDataMsg',333,1),
(30663,560,561,'OP_WorldPingMsg',334,1),
(30664,560,561,'OP_MoveLogUpdateMsg',335,1),
(30665,560,561,'OP_OfferQuestMsg',336,1),
(30666,560,561,'OP_WorldShutdownUpdateMsg',337,1),
(30667,560,561,'OP_DisplayMailScreenMsg',338,1),
(30668,560,561,'OP_ClientIdleBeginMsg',339,1),
(30669,560,561,'OP_ClientIdleEndMsg',340,1),
(30670,560,561,'OP_PurchaseConsignmentLoreCheckRe',341,1),
(30671,560,561,'OP_NotifyApprenticeStoppedMentori',342,1),
(30672,560,561,'OP_CorruptedClientMsg',343,1),
(30673,560,561,'OP_WorldDataChangeMsg',344,1),
(30674,560,561,'OP_MailEventNotificationMsg',345,1),
(30675,560,561,'OP_RestartZoneMsg',346,1),
(30676,560,561,'OP_FlightPathsMsg',347,1),
(30677,560,561,'OP_CharacterLinkdeadMsg',348,1),
(30678,560,561,'OP_CharTransferStartRequestMsg',349,1),
(30679,560,561,'OP_CharTransferStartReplyMsg',350,1),
(30680,560,561,'OP_CharTransferRequestMsg',351,1),
(30681,560,561,'OP_CharTransferReplyMsg',352,1),
(30682,560,561,'OP_CharTransferRollbackRequestMsg',353,1),
(30683,560,561,'OP_CharTransferCommitRequestMsg',354,1),
(30684,560,561,'OP_CharTransferRollbackReplyMsg',355,1),
(30685,560,561,'OP_CharTransferCommitReplyMsg',356,1),
(30686,560,561,'OP_GetCharacterSerializedRequestM',357,1),
(30687,560,561,'OP_GetCharacterSerializedReplyMsg',358,1),
(30688,560,561,'OP_CreateCharFromCBBRequestMsg',359,1),
(30689,560,561,'OP_CreateCharFromCBBReplyMsg',360,1),
(30690,560,561,'OP_HousingDataChangedMsg',361,1),
(30691,560,561,'OP_HousingRestoreMsg',362,1),
(30692,560,561,'OP_AuctionItem',363,1),
(30693,560,561,'OP_AuctionItemReply',364,1),
(30694,560,561,'OP_AuctionCoin',365,1),
(30695,560,561,'OP_AuctionCoinReply',366,1),
(30696,560,561,'OP_AuctionCharacter',367,1),
(30697,560,561,'OP_AuctionCharacterReply',368,1),
(30698,560,561,'OP_AuctionCommitMsg',369,1),
(30699,560,561,'OP_AuctionAbortMsg',370,1),
(30700,560,561,'OP_CharTransferValidateRequestMsg',371,1),
(30701,560,561,'OP_CharTransferValidateReplyMsg',372,1),
(30702,560,561,'OP_RaceRestrictionMsg',373,1),
(30703,560,561,'OP_SetInstanceDisplayNameMsg',374,1),
(30704,560,561,'OP_GetAuctionAssetIDMsg',375,1),
(30705,560,561,'OP_GetAuctionAssetIDReplyMsg',376,1),
(30706,560,561,'OP_ResendWorldChannelsMsg',377,1),
(30707,560,561,'OP_DisplayExchangeScreenMsg',378,1),
(30708,560,561,'OP_AuditAuctionEventMsg',379,1),
(30709,560,561,'OP_InviteRequestMsg',403,1),
(30710,560,561,'OP_InviteResponseMsg',404,1),
(30711,560,561,'OP_InviteTargetResponseMsg',405,1),
(30712,560,561,'OP_InspectPlayerRequestMsg',406,1),
(30713,560,561,'OP_DispatchMsg',407,1),
(30714,560,561,'OP_DisplayEventMsg',408,1),
(30715,560,561,'OP_PrePossessionMsg',409,1),
(30716,560,561,'OP_PostPossessionMsg',410,1),
(30717,560,561,'OP_EqHearChatCmd',417,1),
(30718,560,561,'OP_EqDisplayTextCmd',418,1),
(30719,560,561,'OP_EqCreateGhostCmd',419,1),
(30720,560,561,'OP_EqCreateWidgetCmd',420,1),
(30721,560,561,'OP_EqCreateSignWidgetCmd',421,1),
(30722,560,561,'OP_EqDestroyGhostCmd',422,1),
(30723,560,561,'OP_EqUpdateGhostCmd',423,1),
(30724,560,561,'OP_EqSetControlGhostCmd',424,1),
(30725,560,561,'OP_EqSetPOVGhostCmd',425,1),
(30726,560,561,'OP_EqHearCombatCmd',426,1),
(30727,560,561,'OP_EqHearSpellCastCmd',427,1),
(30728,560,561,'OP_EqHearSpellInterruptCmd',428,1),
(30729,560,561,'OP_EqHearSpellFizzleCmd',429,1),
(30730,560,561,'OP_EqHearConsiderCmd',431,1),
(30731,560,561,'OP_EqUpdateSubClassesCmd',432,1),
(30732,560,561,'OP_EqCreateListBoxCmd',433,1),
(30733,560,561,'OP_EqSetDebugPathPointsCmd',435,1),
(30734,560,561,'OP_EqCannedEmoteCmd',436,1),
(30735,560,561,'OP_EqStateCmd',437,1),
(30736,560,561,'OP_EqPlaySoundCmd',438,1),
(30737,560,561,'OP_EqPlaySound3DCmd',439,1),
(30738,560,561,'OP_EqPlayVoiceCmd',440,1),
(30739,560,561,'OP_EqHearDrowningCmd',441,1),
(30740,560,561,'OP_EqHearDeathCmd',442,1),
(30741,560,561,'OP_EqGroupMemberRemovedCmd',443,1),
(30742,560,561,'OP_EqHearChainEffectCmd',444,1),
(30743,560,561,'OP_EqReceiveOfferCmd',445,1),
(30744,560,561,'OP_EqInspectPCResultsCmd',446,1),
(30745,560,561,'OP_EqDrawablePathGraphCmd',447,1),
(30746,560,561,'OP_EqDialogOpenCmd',448,1),
(30747,560,561,'OP_EqDialogCloseCmd',449,1),
(30748,560,561,'OP_EqFactionUpdateCmd',450,1),
(30749,560,561,'OP_EqCollectionUpdateCmd',451,1),
(30750,560,561,'OP_EqCollectionFilterCmd',452,1),
(30751,560,561,'OP_EqCollectionItemCmd',453,1),
(30752,560,561,'OP_EqQuestJournalUpdateCmd',454,1),
(30753,560,561,'OP_EqQuestJournalReplyCmd',455,1),
(30754,560,561,'OP_EqQuestGroupCmd',456,1),
(30755,560,561,'OP_EqUpdateMerchantCmd',457,1),
(30756,560,561,'OP_EqUpdateStoreCmd',458,1),
(30757,560,561,'OP_EqUpdatePlayerTradeCmd',459,1),
(30758,560,561,'OP_EqHelpPathCmd',460,1),
(30759,560,561,'OP_EqHelpPathClearCmd',461,1),
(30760,560,561,'OP_EqUpdateBankCmd',462,1),
(30761,560,561,'OP_EqExamineInfoCmd',463,1),
(30762,560,561,'OP_EqUpdateLootCmd',464,1),
(30763,560,561,'OP_EqJunctionListCmd',465,1),
(30764,560,561,'OP_EqShowDeathWindowCmd',466,1),
(30765,560,561,'OP_EqDisplaySpellFailCmd',467,1),
(30766,560,561,'OP_EqSpellCastStartCmd',468,1),
(30767,560,561,'OP_EqSpellCastEndCmd',469,1),
(30768,560,561,'OP_EqResurrectedCmd',470,1),
(30769,560,561,'OP_EqChoiceWinCmd',471,1),
(30770,560,561,'OP_EqSetDefaultVerbCmd',472,1),
(30771,560,561,'OP_EqInstructionWindowCmd',473,1),
(30772,560,561,'OP_EqInstructionWindowCloseCmd',474,1),
(30773,560,561,'OP_EqInstructionWindowGoalCmd',475,1),
(30774,560,561,'OP_EqInstructionWindowTaskCmd',476,1),
(30775,560,561,'OP_EqEnableGameEventCmd',477,1),
(30776,560,561,'OP_EqShowWindowCmd',478,1),
(30777,560,561,'OP_EqEnableWindowCmd',479,1),
(30778,560,561,'OP_EqFlashWindowCmd',480,1),
(30779,560,561,'OP_EqHearPlayFlavorCmd',481,1),
(30780,560,561,'OP_EqUpdateSignWidgetCmd',482,1),
(30781,560,561,'OP_EqDebugPVDCmd',483,1),
(30782,560,561,'OP_EqShowBookCmd',484,1),
(30783,560,561,'OP_EqQuestionnaireCmd',485,1),
(30784,560,561,'OP_EqGetProbsCmd',486,1),
(30785,560,561,'OP_EqHearHealCmd',488,1),
(30786,560,561,'OP_EqChatChannelUpdateCmd',489,1),
(30787,560,561,'OP_EqWhoChannelQueryReplyCmd',490,1),
(30788,560,561,'OP_EqAvailWorldChannelsCmd',491,1),
(30789,560,561,'OP_EqUpdateTargetCmd',492,1),
(30790,560,561,'OP_EqConsignmentItemsCmd',493,1),
(30791,560,561,'OP_EqStartBrokerCmd',494,1),
(30792,560,561,'OP_EqMapExplorationCmd',494,1),
(30793,560,561,'OP_EqStoreLogCmd',495,1),
(30794,560,561,'OP_EqSpellMoveToRangeAndRetryCmd',496,1),
(30795,560,561,'OP_EqUpdatePlayerMailCmd',498,1),
(30796,560,561,'OP_EqArenaResultsCmd',498,1),
(30797,560,561,'OP_EqGuildBankEventActionCmd',499,1),
(30798,560,561,'OP_EqGuildBankExamineInfoCmd',500,1),
(30799,560,561,'OP_EqHearSpellNoLandCmd',501,1),
(30943,370,374,'OP_MailGetHeadersMsg',241,1),
(30944,370,374,'OP_WSServerHideMsg',268,1),
(30945,370,374,'OP_AnonUpdateMsg',274,1),
(30946,370,374,'OP_PromoFlagsDetailMsg',277,1),
(30947,370,374,'OP_TitleUpdateMsg',287,1),
(30948,370,374,'OP_ClientFellMsg',288,1),
(30949,370,374,'OP_ClientInDeathRegionMsg',289,1),
(30950,370,374,'OP_CampClientMsg',290,1),
(30951,370,374,'OP_RequestRecipeDetailsMsg',58,1),
(30952,370,374,'OP_RecipeDetailsMsg',59,1),
(30953,370,374,'OP_ConsigmentCloseStoreMsg',108,1),
(30954,370,374,'OP_PurchaseConsignmentLoreCheckRequestMsg',309,1),
(49498,0,283,'OP_LoginRequestMsg',0,1),
(49499,0,283,'OP_LoginByNumRequestMsg',1,1),
(49500,0,283,'OP_WSLoginRequestMsg',2,1),
(49501,0,283,'OP_ESLoginRequestMsg',3,1),
(49502,0,283,'OP_LoginReplyMsg',4,1),
(49503,0,283,'OP_WorldListMsg',8,1),
(49504,0,283,'OP_WorldStatusChangeMsg',6,1),
(49505,0,283,'OP_AllWSDescRequestMsg',7,1),
(49506,0,283,'OP_WSStatusReplyMsg',5,1),
(49507,0,283,'OP_AllCharactersDescRequestMsg',9,1),
(49508,0,283,'OP_AllCharactersDescReplyMsg',10,1),
(49509,0,283,'OP_CreateCharacterRequestMsg',11,1),
(49510,0,283,'OP_CreateCharacterReplyMsg',12,1),
(49511,0,283,'OP_WSCreateCharacterRequestMsg',13,1),
(49512,0,283,'OP_WSCreateCharacterReplyMsg',14,1),
(49513,0,283,'OP_DeleteCharacterRequestMsg',15,1),
(49514,0,283,'OP_DeleteCharacterReplyMsg',16,1),
(49515,0,283,'OP_PlayCharacterRequestMsg',17,1),
(49516,0,283,'OP_PlayCharacterReplyMsg',18,1),
(49517,0,283,'OP_ServerPlayCharacterRequestMsg',19,1),
(49518,0,283,'OP_ServerPlayCharacterReplyMsg',20,1),
(49519,0,283,'OP_ESInitMsg',21,1),
(49520,0,283,'OP_ESReadyForClientsMsg',22,1),
(49521,0,283,'OP_CreateZoneInstanceMsg',23,1),
(49522,0,283,'OP_ZoneInstanceCreateReplyMsg',24,1),
(49523,0,283,'OP_ZoneInstanceDestroyedMsg',25,1),
(49524,0,283,'OP_ExpectClientAsCharacterRequestMsg',26,1),
(49525,0,283,'OP_ExpectClientAsCharacterReplyMsg',27,1),
(49526,0,283,'OP_ZoneInfoMsg',28,1),
(49527,0,283,'OP_DoneLoadingZoneResourcesMsg',29,1),
(49528,0,283,'OP_DoneSendingInitialEntitiesMsg',30,1),
(49529,0,283,'OP_DoneLoadingEntityResourcesMsg',31,1),
(49530,0,283,'OP_PredictionUpdateMsg',32,1),
(49531,0,283,'OP_RemoteCmdMsg',34,1),
(49532,0,283,'OP_SetRemoteCmdsMsg',33,1),
(49533,0,283,'OP_GameWorldTimeMsg',35,1),
(49534,0,283,'OP_MOTDMsg',36,1),
(49535,0,283,'OP_ZoneMOTDMsg',37,1),
(49536,0,283,'OP_AvatarCreatedMsg',38,1),
(49537,0,283,'OP_AvatarDestroyedMsg',39,1),
(49538,0,283,'OP_RequestCampMsg',40,1),
(49539,0,283,'OP_CampStartedMsg',41,1),
(49540,0,283,'OP_CampAbortedMsg',42,1),
(49541,0,283,'OP_WhoQueryRequestMsg',43,1),
(49542,0,283,'OP_WhoQueryReplyMsg',44,1),
(49543,0,283,'OP_MonitorReplyMsg',45,1),
(49544,0,283,'OP_MonitorCharacterListMsg',46,1),
(49545,0,283,'OP_MonitorCharacterListRequestMsg',47,1),
(49546,0,283,'OP_ClientCmdMsg',48,1),
(49547,0,283,'OP_DispatchClientCmdMsg',49,1),
(49548,0,283,'OP_DispatchESMsg',50,1),
(49549,0,283,'OP_UpdateTargetMsg',51,1),
(49550,0,283,'OP_UpdateOpportunityMsg',60,1),
(49551,0,283,'OP_UpdateTargetLocMsg',52,1),
(49552,0,283,'OP_UpdateCharacterSheetMsg',53,1),
(49553,0,283,'OP_UpdateSpellBookMsg',54,1),
(49554,0,283,'OP_UpdateInventoryMsg',56,1),
(49555,0,283,'OP_UpdateRecipeBookMsg',57,1),
(49556,0,283,'OP_UpdateSkillBookMsg',58,1),
(49557,0,283,'OP_UpdateSkillsMsg',59,1),
(49558,0,283,'OP_ChangeZoneMsg',62,1),
(49559,0,283,'OP_ClientTeleportRequestMsg',63,1),
(49560,0,283,'OP_TeleportWithinZoneMsg',64,1),
(49561,0,283,'OP_TeleportWithinZoneNoReloadMsg',65,1),
(49562,0,283,'OP_MigrateClientToZoneRequestMsg',66,1),
(49563,0,283,'OP_MigrateClientToZoneReplyMsg',67,1),
(49564,0,283,'OP_ReadyToZoneMsg',68,1),
(49565,0,283,'OP_AddClientToGroupMsg',69,1),
(49566,0,283,'OP_AddGroupToGroupMsg',70,1),
(49567,0,283,'OP_RemoveClientFromGroupMsg',71,1),
(49568,0,283,'OP_RemoveGroupFromGroupMsg',72,1),
(49569,0,283,'OP_MakeGroupLeaderMsg',73,1),
(49570,0,283,'OP_GroupCreatedMsg',74,1),
(49571,0,283,'OP_GroupDestroyedMsg',75,1),
(49572,0,283,'OP_GroupMemberAddedMsg',76,1),
(49573,0,283,'OP_GroupMemberRemovedMsg',77,1),
(49574,0,283,'OP_GroupRemovedFromGroupMsg',78,1),
(49575,0,283,'OP_GroupLeaderChangedMsg',79,1),
(49576,0,283,'OP_GroupSettingsChangedMsg',80,1),
(49577,0,283,'OP_SendLatestRequestMsg',81,1),
(49578,0,283,'OP_ClearDataMsg',82,1),
(49579,0,283,'OP_SetSocialMsg',83,1),
(49580,0,283,'OP_ESStatusMsg',84,1),
(49581,0,283,'OP_ESZoneInstanceStatusMsg',85,1),
(49582,0,283,'OP_ZonesStatusRequestMsg',86,1),
(49583,0,283,'OP_ZonesStatusMsg',87,1),
(49584,0,283,'OP_ESWeatherRequestMsg',88,1),
(49585,0,283,'OP_ESWeatherRequestEndMsg',89,1),
(49586,0,283,'OP_WSWeatherUpdateMsg',90,1),
(49587,0,283,'OP_DialogSelectMsg',91,1),
(49588,0,283,'OP_DialogCloseMsg',92,1),
(49589,0,283,'OP_RemoveSpellEffectMsg',93,1),
(49590,0,283,'OP_RemoveConcentrationMsg',94,1),
(49591,0,283,'OP_QuestJournalOpenMsg',95,1),
(49592,0,283,'OP_QuestJournalInspectMsg',96,1),
(49593,0,283,'OP_QuestJournalSetVisibleMsg',97,1),
(49594,0,283,'OP_QuestJournalWaypointMsg',98,1),
(49595,0,283,'OP_CreateGuildRequestMsg',99,1),
(49596,0,283,'OP_CreateGuildReplyMsg',100,1),
(49597,0,283,'OP_GuildsayMsg',101,1),
(49598,0,283,'OP_GuildKickMsg',102,1),
(49599,0,283,'OP_GuildUpdateMsg',103,1),
(49600,0,283,'OP_FellowshipExpMsg',104,1),
(49601,0,283,'OP_ConsignmentUpdateMsg',105,1),
(49602,0,283,'OP_ConsignItemRequestMsg',106,1),
(49603,0,283,'OP_ConsignItemResponseMsg',107,1),
(49604,0,283,'OP_PurchaseConsignmentRequestMsg',108,1),
(49605,0,283,'OP_PurchaseConsignmentResponseMsg',109,1),
(49606,0,283,'OP_ProcessScriptMsg',110,1),
(49607,0,283,'OP_ProcessWorkspaceMsg',111,1),
(49608,0,283,'OP_HouseDeletedRemotelyMsg',112,1),
(49609,0,283,'OP_UpdateHouseDataMsg',113,1),
(49610,0,283,'OP_UpdateHouseAccessDataMsg',114,1),
(49611,0,283,'OP_PlayerHouseBaseScreenMsg',115,1),
(49612,0,283,'OP_PlayerHousePurchaseScreenMsg',116,1),
(49613,0,283,'OP_PlayerHouseAccessUpdateMsg',117,1),
(49614,0,283,'OP_PlayerHouseDisplayStatusMsg',118,1),
(49615,0,283,'OP_PlayerHouseCloseUIMsg',119,1),
(49616,0,283,'OP_BuyPlayerHouseMsg',120,1),
(49617,0,283,'OP_BuyPlayerHouseTintMsg',121,1),
(49618,0,283,'OP_CollectAllHouseItemsMsg',122,1),
(49619,0,283,'OP_RelinquishHouseMsg',123,1),
(49620,0,283,'OP_EnterHouseMsg',124,1),
(49621,0,283,'OP_ExitHouseMsg',125,1),
(49622,0,283,'OP_ExamineConsignmentRequestMsg',139,1),
(49623,0,283,'OP_EnterMoveObjectModeMsg',130,1),
(49624,0,283,'OP_PositionMoveableObject',131,1),
(49625,0,283,'OP_ShaderCustomizationMsg',132,1),
(49626,0,283,'OP_ReplaceableSubMeshesMsg',133,1),
(49627,0,283,'OP_ExamineConsignmentResponseMsg',140,1),
(49628,0,283,'OP_HouseDefaultAccessSetMsg',126,1),
(49629,0,283,'OP_HouseAccessSetMsg',127,1),
(49630,0,283,'OP_HouseAccessRemoveMsg',128,1),
(49631,0,283,'OP_PayHouseUpkeepMsg',129,1),
(49632,0,283,'OP_TintWidgetsMsg',138,1),
(49633,0,283,'OP_UISettingsResponseMsg',141,1),
(49634,0,283,'OP_KeymapLoadMsg',142,1),
(49635,0,283,'OP_KeymapNoneMsg',143,1),
(49636,0,283,'OP_KeymapDataMsg',144,1),
(49637,0,283,'OP_KeymapSaveMsg',145,1),
(49638,0,283,'OP_DispatchSpellCmdMsg',146,1),
(49639,0,283,'OP_HouseCustomizationScreenMsg',134,1),
(49640,0,283,'OP_CustomizationPurchaseRequestMsg',135,1),
(49641,0,283,'OP_CustomizationSetRequestMsg',136,1),
(49642,0,283,'OP_CustomizationReplyMsg',137,1),
(49643,0,283,'OP_EntityVerbsRequestMsg',148,1),
(49644,0,283,'OP_EntityVerbsReplyMsg',149,1),
(49645,0,283,'OP_EntityVerbsVerbMsg',150,1),
(49646,0,283,'OP_ChatRelationshipUpdateMsg',151,1),
(49647,0,283,'OP_ChatFriendLoginStatusMsg',152,1),
(49648,0,283,'OP_ChatCreateChannelMsg',228,1),
(49649,0,283,'OP_ChatJoinChannelMsg',229,1),
(49650,0,283,'OP_ChatWhoChannelMsg',230,1),
(49651,0,283,'OP_ChatLeaveChannelMsg',231,1),
(49652,0,283,'OP_ChatTellChannelMsg',232,1),
(49653,0,283,'OP_ChatTellUserMsg',233,1),
(49654,0,283,'OP_ChatToggleFriendMsg',234,1),
(49655,0,283,'OP_ChatToggleIgnoreMsg',235,1),
(49656,0,283,'OP_ChatSendFriendsMsg',236,1),
(49657,0,283,'OP_ChatSendIgnoresMsg',237,1),
(49658,0,283,'OP_ChatFiltersMsg',238,1),
(49659,0,283,'OP_LootItemsRequestMsg',153,1),
(49660,0,283,'OP_StoppedLootingMsg',154,1),
(49661,0,283,'OP_SitMsg',155,1),
(49662,0,283,'OP_StandMsg',156,1),
(49663,0,283,'OP_SatMsg',157,1),
(49664,0,283,'OP_StoodMsg',158,1),
(49665,0,283,'OP_ExamineItemRequestMsg',159,1),
(49666,0,283,'OP_DefaultGroupOptionsRequestMsg',160,1),
(49667,0,283,'OP_DefaultGroupOptionsMsg',161,1),
(49668,0,283,'OP_GroupOptionsMsg',162,1),
(49669,0,283,'OP_DisplayGroupOptionsScreenMsg',163,1),
(49670,0,283,'OP_DisplayInnVisitScreenMsg',164,1),
(49671,0,283,'OP_DumpSchedulerMsg',165,1),
(49672,0,283,'OP_LSRequestPlayerDescMsg',166,1),
(49673,0,283,'OP_LSCheckAcctLockMsg',167,1),
(49674,0,283,'OP_WSAcctLockStatusMsg',168,1),
(49675,0,283,'OP_RequestHelpRepathMsg',169,1),
(49676,0,283,'OP_UpdateMotdMsg',171,1),
(49677,0,283,'OP_RequestTargetLocMsg',170,1),
(49678,0,283,'OP_PerformPlayerKnockbackMsg',172,1),
(49679,0,283,'OP_PerformCameraShakeMsg',173,1),
(49680,0,283,'OP_PopulateSkillMapsMsg',174,1),
(49681,0,283,'OP_CancelledFeignMsg',175,1),
(49682,0,283,'OP_SignalMsg',176,1),
(49683,0,283,'OP_ShowCreateFromRecipeUIMsg',177,1),
(49684,0,283,'OP_CancelCreateFromRecipeMsg',178,1),
(49685,0,283,'OP_BeginItemCreationMsg',179,1),
(49686,0,283,'OP_StopItemCreationMsg',180,1),
(49687,0,283,'OP_ShowItemCreationProcessUIMsg',181,1),
(49688,0,283,'OP_UpdateItemCreationProcessUIMsg',182,1),
(49689,0,283,'OP_DisplayTSEventReactionMsg',183,1),
(49690,0,283,'OP_ShowRecipeBookMsg',184,1),
(49691,0,283,'OP_KnowledgebaseRequestMsg',185,1),
(49692,0,283,'OP_KnowledgebaseResponseMsg',186,1),
(49693,0,283,'OP_CSTicketHeaderRequestMsg',187,1),
(49694,0,283,'OP_CSTicketInfoMsg',188,1),
(49695,0,283,'OP_CSTicketCommentRequestMsg',189,1),
(49696,0,283,'OP_CSTicketCommentResponseMsg',190,1),
(49697,0,283,'OP_CSTicketCreateMsg',191,1),
(49698,0,283,'OP_CSTicketAddCommentMsg',192,1),
(49699,0,283,'OP_CSTicketDeleteMsg',193,1),
(49700,0,283,'OP_CSTicketChangeNotificationMsg',194,1),
(49701,0,283,'OP_WorldDataUpdateMsg',195,1),
(49702,0,283,'OP_KnownLanguagesMsg',196,1),
(49703,0,283,'OP_LsRequestClientCrashLogMsg',197,1),
(49704,0,283,'OP_LsClientBaselogReplyMsg',198,1),
(49705,0,283,'OP_LsClientCrashlogReplyMsg',199,1),
(49706,0,283,'OP_LsClientAlertlogReplyMsg',200,1),
(49707,0,283,'OP_LsClientVerifylogReplyMsg',201,1),
(49708,0,283,'OP_ClientTeleportToLocationMsg',202,1),
(49709,0,283,'OP_UpdateClientPredFlagsMsg',203,1),
(49710,0,283,'OP_ChangeServerControlFlagMsg',204,1),
(49711,0,283,'OP_CSToolsRequestMsg',205,1),
(49712,0,283,'OP_CSToolsResponseMsg',206,1),
(49713,0,283,'OP_AddSocialStructureStandingMsg',207,1),
(49714,0,283,'OP_CreateBoatTransportsMsg',208,1),
(49715,0,283,'OP_PositionBoatTransportMsg',209,1),
(49716,0,283,'OP_MigrateBoatTransportMsg',210,1),
(49717,0,283,'OP_MigrateBoatTransportReplyMsg',211,1),
(49718,0,283,'OP_DisplayDebugNLLPointsMsg',212,1),
(49719,0,283,'OP_ExamineInfoRequestMsg',213,1),
(49720,0,283,'OP_QuickbarInitMsg',214,1),
(49721,0,283,'OP_QuickbarUpdateMsg',215,1),
(49722,0,283,'OP_MacroInitMsg',216,1),
(49723,0,283,'OP_MacroUpdateMsg',217,1),
(49724,0,283,'OP_QuestionnaireMsg',218,1),
(49725,0,283,'OP_LevelChangedMsg',219,1),
(49726,0,283,'OP_SpellGainedMsg',220,1),
(49727,0,283,'OP_EncounterBrokenMsg',221,1),
(49728,0,283,'OP_OnscreenMsgMsg',222,1),
(49729,0,283,'OP_ModifyGuildMsg',223,1),
(49730,0,283,'OP_RewardPackMsg',224,1),
(49731,0,283,'OP_RenameGuildMsg',225,1),
(49732,0,283,'OP_ZoneToFriendRequestMsg',226,1),
(49733,0,283,'OP_ZoneToFriendReplyMsg',227,1),
(49734,0,283,'OP_WaypointRequestMsg',239,1),
(49735,0,283,'OP_WaypointReplyMsg',240,1),
(49736,0,283,'OP_WaypointSelectMsg',241,1),
(49737,0,283,'OP_WaypointUpdateMsg',242,1),
(49738,0,283,'OP_CharNameChangedMsg',243,1),
(49739,0,283,'OP_ShowZoneTeleporterDestinationsMsg',244,1),
(49740,0,283,'OP_SelectZoneTeleporterDestinationMsg',245,1),
(49741,0,283,'OP_ReloadLocalizedTxtMsg',246,1),
(49742,0,283,'OP_RequestGuildMembershipMsg',247,1),
(49743,0,283,'OP_GuildMembershipResponseMsg',248,1),
(49744,0,283,'OP_LeaveGuildNotifyMsg',249,1),
(49745,0,283,'OP_JoinGuildNotifyMsg',250,1),
(49746,0,283,'OP_AvatarUpdateMsg',251,1),
(49747,0,283,'OP_BioUpdateMsg',252,1),
(49748,0,283,'OP_InspectPlayerMsg',253,1),
(49749,0,283,'OP_WSServerLockMsg',254,1),
(49750,0,283,'OP_LSServerLockMsg',255,1),
(49751,0,283,'OP_CsCategoryRequestMsg',256,1),
(49752,0,283,'OP_CsCategoryResponseMsg',257,1),
(49753,0,283,'OP_KnowledgeWindowSlotMappingMsg',258,1),
(49754,0,283,'OP_LFGUpdateMsg',259,1),
(49755,0,283,'OP_AFKUpdateMsg',260,1),
(49756,0,283,'OP_UpdateActivePublicZonesMsg',261,1),
(49757,0,283,'OP_UnknownNpcMsg',262,1),
(49758,0,283,'OP_ConsumableItemsDetailsMsg',263,1),
(49759,0,283,'OP_ConsignViewCreateMsg',264,1),
(49760,0,283,'OP_ConsignViewGetPageMsg',265,1),
(49761,0,283,'OP_ConsignViewReleaseMsg',266,1),
(49762,0,283,'OP_UpdateDebugRadiiMsg',268,1),
(49763,0,283,'OP_ConsignRemoveItemsMsg',267,1),
(49764,0,283,'OP_SnoopMsg',269,1),
(49765,0,283,'OP_ReportMsg',270,1),
(49766,0,283,'OP_UpdateRaidMsg',271,1),
(49767,0,283,'OP_ConsignViewSortMsg',272,1),
(49768,0,283,'OP_EqHearChatCmd',273,1),
(49769,0,283,'OP_EqDisplayTextCmd',274,1),
(49770,0,283,'OP_EqCreateGhostCmd',275,1),
(49771,0,283,'OP_EqCreateWidgetCmd',276,1),
(49772,0,283,'OP_EqCreateSignWidgetCmd',277,1),
(49773,0,283,'OP_EqUpdateSignWidgetCmd',332,1),
(49774,0,283,'OP_EqDestroyGhostCmd',278,1),
(49775,0,283,'OP_EqUpdateGhostCmd',279,1),
(49776,0,283,'OP_EqSetControlGhostCmd',280,1),
(49777,0,283,'OP_EqSetPOVGhostCmd',281,1),
(49778,0,283,'OP_EqHearCombatCmd',282,1),
(49779,0,283,'OP_EqHearSpellCastCmd',283,1),
(49780,0,283,'OP_EqHearSpellInterruptCmd',284,1),
(49781,0,283,'OP_EqHearSpellFizzleCmd',285,1),
(49782,0,283,'OP_EqHearConsiderCmd',286,1),
(49783,0,283,'OP_EqUpdateSubClassesCmd',287,1),
(49784,0,283,'OP_EqCreateListBoxCmd',288,1),
(49785,0,283,'OP_EqSetDebugPathPointsCmd',289,1),
(49786,0,283,'OP_EqCannedEmoteCmd',290,1),
(49787,0,283,'OP_EqStateCmd',291,1),
(49788,0,283,'OP_EqPlaySoundCmd',292,1),
(49789,0,283,'OP_EqPlaySound3DCmd',293,1),
(49790,0,283,'OP_EqPlayVoiceCmd',294,1),
(49791,0,283,'OP_EqHearDrowningCmd',295,1),
(49792,0,283,'OP_EqHearDeathCmd',296,1),
(49793,0,283,'OP_EqGroupMemberRemovedCmd',297,1),
(49794,0,283,'OP_EqHearChainEffectCmd',298,1),
(49795,0,283,'OP_EqReceiveOfferCmd',299,1),
(49796,0,283,'OP_EqInspectPCResultsCmd',300,1),
(49797,0,283,'OP_EqDrawablePathGraphCmd',301,1),
(49798,0,283,'OP_EqDialogOpenCmd',302,1),
(49799,0,283,'OP_EqDialogCloseCmd',303,1),
(49800,0,283,'OP_EqQuestJournalUpdateCmd',304,1),
(49801,0,283,'OP_EqQuestGroupCmd',306,1),
(49802,0,283,'OP_EqQuestJournalReplyCmd',305,1),
(49803,0,283,'OP_EqStartBrokerCmd',343,1),
(49804,0,283,'OP_EqUpdateMerchantCmd',307,1),
(49805,0,283,'OP_EqUpdateStoreCmd',308,1),
(49806,0,283,'OP_EqUpdatePlayerTradeCmd',309,1),
(49807,0,283,'OP_EqHelpPathCmd',310,1),
(49808,0,283,'OP_EqHelpPathClearCmd',311,1),
(49809,0,283,'OP_EqUpdateBankCmd',312,1),
(49810,0,283,'OP_EqExamineInfoCmd',313,1),
(49811,0,283,'OP_EqUpdateLootCmd',314,1),
(49812,0,283,'OP_EqJunctionListCmd',315,1),
(49813,0,283,'OP_EqShowDeathWindowCmd',316,1),
(49814,0,283,'OP_EqDisplaySpellFailCmd',317,1),
(49815,0,283,'OP_EqSpellCastStartCmd',318,1),
(49816,0,283,'OP_EqSpellCastEndCmd',319,1),
(49817,0,283,'OP_EqResurrectedCmd',320,1),
(49818,0,283,'OP_EqChoiceWinCmd',321,1),
(49819,0,283,'OP_EqSetDefaultVerbCmd',322,1),
(49820,0,283,'OP_EqInstructionWindowCmd',323,1),
(49821,0,283,'OP_EqInstructionWindowCloseCmd',324,1),
(49822,0,283,'OP_EqInstructionWindowGoalCmd',325,1),
(49823,0,283,'OP_EqInstructionWindowTaskCmd',326,1),
(49824,0,283,'OP_EqEnableGameEventCmd',327,1),
(49825,0,283,'OP_EqShowWindowCmd',328,1),
(49826,0,283,'OP_EqEnableWindowCmd',329,1),
(49827,0,283,'OP_EqFlashWindowCmd',330,1),
(49828,0,283,'OP_EqHearPlayFlavorCmd',331,1),
(49829,0,283,'OP_EqDebugPVDCmd',333,1),
(49830,0,283,'OP_EqShowBookCmd',334,1),
(49831,0,283,'OP_EqQuestionnaireCmd',335,1),
(49832,0,283,'OP_EqGetProbsCmd',336,1),
(49833,0,283,'OP_EqHearHealCmd',337,1),
(49834,0,283,'OP_EqChatChannelUpdateCmd',338,1),
(49835,0,283,'OP_EqWhoChannelQueryReplyCmd',339,1),
(49836,0,283,'OP_EqAvailWorldChannelsCmd',340,1),
(49837,0,283,'OP_EqUpdateTargetCmd',341,1),
(49838,0,283,'OP_EqConsignmentItemsCmd',342,1),
(49839,370,374,'OP_OfferQuestMsg',304,1),
(49841,370,374,'OP_MailGetHeadersReplyMsg',245,1),
(49843,370,374,'OP_MailGetMessageMsg',242,1),
(49844,370,374,'OP_MailDeleteMessageMsg',244,1),
(49845,370,374,'OP_MailSendMessageReplyMsg',247,1),
(49846,370,374,'OP_MailCommitSendMessageMsg',248,1),
(49847,370,374,'OP_MailRemoveAttachFromMailMsg',250,1),
(49848,370,374,'OP_MailEventNotificationMsg',312,1),
(49849,370,374,'OP_MailSendMessageMsg',243,1),
(49851,370,374,'OP_MailGetMessageReplyMsg',246,1),
(49852,370,374,'OP_MailSendSystemMessageMsg',249,1),
(49853,370,374,'OP_EqUpdatePlayerMailCmd',387,1),
(49854,370,374,'OP_CorruptedClientMsg',311,1),
(49855,370,374,'OP_NotifyApprenticeStoppedMentori',310,1),
(49856,370,374,'OP_DisplayMailScreenMsg',306,1),
(49857,370,374,'OP_ClientIdleEndMsg',308,1),
(49858,370,374,'OP_ClientIdleBeginMsg',307,1),
(49859,370,374,'OP_WorldShutdownUpdateMsg',305,1),
(49860,370,374,'OP_MoveLogUpdateMsg',303,1),
(49861,370,374,'OP_WorldPingMsg',302,1),
(49862,370,374,'OP_UpdateGroupMemberDataMsg',301,1),
(49863,370,374,'OP_CloseGroupInviteWindowMsg',300,1),
(49864,370,374,'OP_UpdateAvgFrameTimeMsg',297,1),
(49865,370,374,'OP_MapFogDataUpdateMsg',299,1),
(49866,370,374,'OP_MapFogDataInitMsg',298,1),
(49867,370,374,'OP_AdvancementRequestMsg',296,1),
(49868,370,374,'OP_StopTrackingMsg',295,1),
(49869,370,374,'OP_BeginTrackingMsg',294,1),
(49870,370,374,'OP_TrackingUpdateMsg',293,1),
(49871,370,374,'OP_DeleteGuildMsg',106,1),
(49872,370,374,'OP_CSToolAccessResponseMsg',291,1),
(49873,370,374,'OP_GetAvatarAccessRequestForCSToo',292,1),
(49874,540,546,'OP_Lottery',495,1),
(49875,560,561,'OP_Lottery',503,1);
