DROP TABLE IF EXISTS zones;
CREATE TABLE zones (
	id                    INTEGER PRIMARY KEY,
	expansion_id          INTEGER NOT NULL DEFAULT 0,
	name                  TEXT    NOT NULL DEFAULT '' UNIQUE,
	file                  TEXT    NOT NULL DEFAULT '',
	description           TEXT    NOT NULL DEFAULT 'Describe me in the zones table! :)',
	safe_x                REAL    NOT NULL DEFAULT 0,
	safe_y                REAL    NOT NULL DEFAULT 0,
	safe_z                REAL    NOT NULL DEFAULT 0,
	safe_heading          REAL    NOT NULL DEFAULT 0,
	underworld            REAL    NOT NULL DEFAULT -1000000,
	xp_modifier           REAL    NOT NULL DEFAULT 0,
	min_recommended       INTEGER NOT NULL DEFAULT 0,
	max_recommended       INTEGER NOT NULL DEFAULT 0,
	zone_type             TEXT    DEFAULT '',
	always_loaded         INTEGER NOT NULL DEFAULT 0,
	city_zone             INTEGER NOT NULL DEFAULT 0,
	weather_allowed       INTEGER NOT NULL DEFAULT 0,
	min_status            INTEGER NOT NULL DEFAULT 0,
	min_level             INTEGER NOT NULL DEFAULT 0,
	max_level             INTEGER NOT NULL DEFAULT 0,
	start_zone            INTEGER NOT NULL DEFAULT 0,
	instance_type         TEXT    NOT NULL DEFAULT 'NONE',
	default_reenter_time  INTEGER NOT NULL DEFAULT 0,
	default_reset_time    INTEGER NOT NULL DEFAULT 0,
	default_lockout_time  INTEGER NOT NULL DEFAULT 0,
	force_group_to_zone   INTEGER NOT NULL DEFAULT 0,
	lua_script            TEXT    DEFAULT '',
	shutdown_timer        INTEGER NOT NULL DEFAULT 300,
	zone_motd             TEXT    DEFAULT '',
	ruleset_id            INTEGER NOT NULL DEFAULT 0,
	login_checksum        INTEGER NOT NULL DEFAULT 0,
	sky_file              TEXT    NOT NULL DEFAULT '',
	can_bind              INTEGER DEFAULT 0,
	can_gate              INTEGER DEFAULT 1,
	can_evac              INTEGER DEFAULT 1,
	peer_priority         INTEGER NOT NULL DEFAULT 0
);
CREATE INDEX idx_zones_description ON zones(description);
CREATE INDEX idx_zones_file ON zones(file);

INSERT INTO zones VALUES
(1,30,'GMHall','qey_guildhall_tier3','Game Masters Hall',665.435,-35.8975,1485.44,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,1,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'ZoneScripts/GMHall.lua',300,'',0,1486945888,'',0,1,1,0),
(2,0,'Splitpaw1','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Alone in the Dark',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2642218879,'',0,1,1,0),
(3,0,'SplitpawDen','adv02_dun_sundered_splitpaw_hub','Sundered Splitpaw: Splitpaw Den ',7.13,-69.56,-311.04,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2078270933,'',0,1,1,0),
(4,0,'CrustaceanCave','adv04_crab_cave','Cavern of the Crustaceans',0,-0.01,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/CrustaceanCave.lua',300,'',0,1437304064,'',0,1,1,0),
(5,0,'XuxlaiosRoost','adv04_dun_bird_cage','Xux''laio''s Roost',0,-1.28,-20.77,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1679741196,'',0,1,1,0),
(6,0,'Antechamber','adv04_dun_drgn_temple','Antechamber of Fate',-11.35,0.4,-34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3992515775,'',0,1,1,0),
(7,0,'ForsakenCity','adv04_dun_endless','The Forsaken City',-33.7,-89.42,24.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,587354683,'',0,1,1,0),
(8,0,'the Sepulcher of Zan Fi','adv04_dun_temple','The Sepulcher of Zan Fi',-1,0.7,5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3337851530,'',0,1,1,0),
(9,0,'MysticLake','adv04_rgn_mystic_lake','The Mystic Lake ',151.74,-32.94,34.7,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3461788758,'',0,1,1,0),
(10,0,'VillageShin','adv04_rgn_village','The Village of Shin ',-17.6,-2.38,129.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2336498437,'',0,1,1,0),
(11,0,'TrialBoFen','adv04_tower_cave','Trial of Bo Fen',-13.4,0,-2.11,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4038375427,'',0,1,1,0),
(12,0,'Antonica','antonica','Antonica',436.2,-37.5,819.56,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Antonica.lua',300,'',0,1478649809,'',0,1,1,0),
(13,0,'ShatteredVale1','antonica_epic01_vale','The Shattered Vale ',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3880090772,'',0,1,1,0),
(14,0,'Firemyst1','antonica_epic02_firemyst','Firemyst Gully: A Foul Wind',-1188.04,-13.62,706.57,0,-1000000,0,0,0,'Instanced Outdoor',0,0,0,0,0,0,0,'GROUP_LOCKOUT_INSTANCE',0,0,0,0,'',300,'',0,1313197908,'',0,1,1,0),
(15,0,'Stormhold','befallen','Stormhold',-30,23,43,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3163675467,'',0,1,1,0),
(16,0,'The Tomb of Valor','befallen_epic01','The Tomb of Valor',-4.74,-45.79,-47.64,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3841312564,'',0,1,1,0),
(17,0,'Blackburrow','blackburrow','Blackburrow',76.2,-2.28,20.77,0,-1000000,1.15,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,418741681,'',0,1,1,0),
(18,0,'The Maid for the Mist','boat_06p_enchanted','The Maid for the Mist',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',5400,0,259200,0,'',300,'',0,3820465809,'',0,1,1,0),
(19,0,'The Fanged Sea','boat_06p_everfrost','The Fanged Sea',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3931960788,'',0,1,1,0),
(20,0,'The LMS Intruder','boat_06p_feerrott','The LMS Intruder',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3164188134,'',0,1,1,0),
(21,0,'JourneyFreeport','boat_06p_freeport','Journey to Freeport',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1691559112,'',0,1,1,0),
(22,0,'SmarmySprocket','boat_06p_hold_of_prexus','Aboard the Smarmy Sprocket',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3493494422,'',0,1,1,0),
(23,0,'The Burning Cauldron','boat_06p_lavastorm','The Burning Cauldron',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',5400,0,259200,0,'',300,'',0,2280441737,'',0,1,1,0),
(24,0,'PrizePrexus','boat_06p_orcishwastes','The Prize of Prexus',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,687197178,'',0,1,1,0),
(25,0,'JourneyQeynos','boat_06p_qeynos','Journey to Qeynos',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1629504455,'',0,1,1,0),
(26,0,'FarJourneyQeynos','boat_06p_tutorial01','The Far Journey',2.14,1.21,-15.81,180.6,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'Welcome to the EQ2EMU!  The Farseas Journey needs some tweaks .  Please be sure to test the Queen''s Colony and other 1-10 content!',0,2933294842,'',0,1,1,0),
(27,0,'FarJourneyFreeport','boat_06p_tutorial02','The Far Journey',2.14,1.21,-15.81,180,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'ZoneScripts/FarJourneyFreeport.lua',300,'Welcome to the EQ2EMU!  Hail Captain Varlos or the helmsman to access the classic Isle of Refuge.',0,3521329369,'',0,0,1,0),
(28,0,'CazicThule1','cazicthule','The Temple of Cazic-Thule',-0.05,7.89,154.43,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,953361327,'',0,1,1,0),
(29,0,'The Sanctum of Fear','cazicthule_epic01_sanctum','The Sanctum of Fear',-1.02,-10,-178.26,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1429227948,'',0,1,1,0),
(30,0,'CharCreation','character_create','Character Creation Screen',-127,58.2,-893.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,389319796,'',0,1,1,0),
(31,0,'The Bloodskull Valley: A Noble Confrontation','cmmn_epic01_orc','The Bloodskull Valley: A Noble Confrontation',-9.18,-48.2,732.4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1776522732,'',0,1,1,0),
(32,0,'The Eternal Gorge','cmmn_epic02_mage','The Eternal Gorge',863.77,-18.31,581.92,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,742618893,'',0,1,1,0),
(33,0,'Commonlands','commonlands','The Commonlands',-1052.73,-144.95,-682.93,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Commonlands.lua',300,'',0,3471412372,'',0,1,1,0),
(34,0,'Darklight','darklight_wood','Darklight Wood ',-414.24,-63.14,258.43,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,8,'NONE',0,0,0,0,'',300,'',0,1978857252,'',0,1,1,0),
(35,0,'Deathfist1','deathfist','Deathfist Citadel',-0.03,0.5,55.18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2143427729,'',0,1,1,0),
(36,0,'DrownedCaverns1','adv02_dun_drowned_caverns','The Drowned Caverns: Arena of Heroes',95.83,22.83,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2606878460,'',0,1,1,0),
(37,1,'ModelDemo','commonlands','GM Model Demos',-614.67,-47.53,-239.79,220,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1045650867,'',0,1,1,0),
(38,0,'The Tower of the Drafling','drafling_tower','The Tower of the Drafling',-2.81,0,-8.2,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1661815009,'',0,1,1,0),
(39,0,'EnchantedLands','enchanted','Enchanted Lands',-0.67,4.48,88.42,359.06,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/EnchantedLands.lua',300,'If you''re seeing this, the zone is in progress! Yay!',0,692296008,'',0,1,1,0),
(40,0,'TangledWeeds','enchanted_mini01','Cavern of Tangled Weeds',-79.8,-2.63,-1120.98,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2125525214,'',0,1,1,0),
(41,0,'Everfrost','everfrost','Everfrost ',-40.27,-1.5,-1183.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Everfrost.lua',300,'',0,2971640549,'',0,1,1,0),
(42,0,'MiragulsMenagerie','everfrost_epic01_menagerie','Miragul''s Menagerie',-52.73,-23.55,-319.22,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1758894691,'',0,1,1,0),
(45,0,'Haven','exile_city','Haven ',-50,-82.8,-145.91,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3194957246,'',0,1,1,0),
(46,10,'Majdul','exp01_cty_majdul','Maj''Dul ',-283.67,160.6,-147.61,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,247471241,'',1,1,1,0),
(47,10,'Majdul1Room1','exp01_cty_majdul_1r01','Maj''Dul: 1 Room Apartment',0,0,5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1297812899,'',0,1,1,0),
(48,10,'Majdul1Room2','exp01_cty_majdul_1r02','Maj''Dul: 1 Room Apartment',10,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2829996334,'',0,1,1,0),
(49,10,'Majdul2Room1','exp01_cty_majdul_2r01','Maj''Dul: 2 Rooms Apartment',-10,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3134471404,'',0,1,1,0),
(50,10,'Majdul2Room2','exp01_cty_majdul_2r02','Maj''Dul: 2 Rooms Apartment',-10,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,4034869404,'',0,1,1,0),
(51,10,'Majdul3Room1','exp01_cty_majdul_3r01','Maj''Dul: 3 Room Residence',-10,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3517135728,'',0,1,1,0),
(52,10,'Majdul3Room2','exp01_cty_majdul_3r02','Maj''Dul: 3 Room Residence',10,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3142330392,'',0,1,1,0),
(53,10,'Arena','exp01_cty_majdul_arena01','Maj''Dul Arena',0,10,70,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1193689160,'',0,1,1,0),
(54,10,'Arena2','exp01_cty_majdul_arena02','The Arena v2',0,-0.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,913624109,'',0,1,1,0),
(55,10,'CourtBlades','exp01_cty_majdul_blades','The Court of the Blades',0,-0.15,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2914789014,'',0,1,1,0),
(56,10,'CourtCoin','exp01_cty_majdul_coin','The Court of the Coin',0,-0.15,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4244223063,'',0,1,1,0),
(57,10,'LibraryLight','exp01_cty_majdul_library','The Library of Light',0,-0.2,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,520408650,'',0,1,1,0),
(58,10,'TowerMoon','exp01_cty_majdul_moon','The Tower of the Moon',0,-0.15,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1392070889,'',0,1,1,0),
(59,10,'CourtTears','exp01_cty_majdul_tears','The Court of Tears',0,-0.22,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2026106351,'',0,1,1,0),
(60,10,'CourtTruth','exp01_cty_majdul_truth','Maj''Dul: The Court of Truth',0,-0.15,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3952194529,'',0,1,1,0),
(61,10,'CleftsRujark','exp01_dun_clefts_of_rujark','The Clefts of Rujark',147.16,-7.76,-90.58,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4246189845,'',0,1,1,0),
(62,10,'LivingTombs','exp01_dun_living_tombs','The Living Tombs',-293.72,15.23,291.21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1490971066,'',0,1,1,0),
(63,0,'PedestalSky','exp01_dun_pedestal_of_sky','Pedestal of Sky',0,-0.5475,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_LOCKOUT_INSTANCE',43200,0,504000,0,'',300,'',0,2258780775,'',0,1,1,0),
(64,10,'PoetPalace','exp01_dun_poets_palace','The Poets Palace',-94,147,39,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1460452816,'',0,1,1,0),
(65,10,'ShimmeringCitadel','exp01_dun_shimmering_citadel','The Shimmering Citadel',58.94,98.3,-129.04,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3499314672,'',0,1,1,0),
(66,10,'UnusualBottle','exp01_dun_shimmering_citadel_epic01_bottle','An Unusual Bottle',0,-0.01,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2238196469,'',0,1,1,0),
(67,10,'DjinnPrism','exp01_dun_shimmering_citadel_epic02_prism','The Djinn Master''s Prism',-22,-5,-35,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3131802491,'',0,1,1,0),
(68,10,'SilentCity','exp01_dun_silent_city','The Silent City',143,31,160,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3364154278,'',0,1,1,0),
(69,10,'The Fountain of Life','exp01_dun_silent_city_epic01_temple','The Fountain of Life',0,-6.71,22,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,700073650,'',0,1,1,0),
(70,10,'PillarsFlame','exp01_rgn_pillars_of_flame','The Pillars of Flame',1382,-147,-854,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/PillarsFlame.lua',300,'',0,464322516,'',0,1,1,0),
(71,10,'Cazel''s Mesa','exp01_rgn_pillars_of_flame_epic01_cazel','Cazel''s Mesa',1.34,-0.12,5.17,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1811477067,'',0,1,1,0),
(72,10,'Halls of Discipline','exp01_rgn_pillars_of_flame_epic02_discipline','Halls of Discipline',-11,-5.6,-4.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,113234899,'',0,1,1,0),
(73,10,'SinkingSands','exp01_rgn_sinking_sands','The Sinking Sands',-1508.64,-214.09,-395.22,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/SinkingSands.lua',300,'',0,1641630735,'',0,1,1,0),
(74,10,'The Vault of Dust','exp01_rgn_sinking_sands_epic01_lockjaw','The Vault of Dust',-10,8,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2519335673,'',0,1,1,0),
(75,20,'Deathtoll','exp02_dun_dragon_necropolis','Deathtoll',-189.17,126.19,66.25,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3628258851,'',0,1,1,0),
(76,20,'The Halls of Fate','exp02_dun_halls_of_fate','The Halls of Fate',-0.43,39.2,-93.4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_LOCKOUT_INSTANCE',0,0,64800,0,'',300,'',0,3148358450,'',0,1,1,0),
(77,20,'The Blackscale Sepulcher','exp02_dun_halls_of_fate_epic01_sepulcher','The Blackscale Sepulcher',-2.91,12.54,0.33,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_LOCKOUT_INSTANCE',0,0,64800,0,'',300,'',0,135657018,'',0,1,1,0),
(78,20,'The Den of the Devourer','exp02_dun_halls_of_fate_epic02_devourer','The Den of the Devourer',1.6,-0.15,0.03,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,795429995,'',0,1,1,0),
(79,20,'SanctumScaleborn','exp02_dun_lair_of_scale','Sanctum of the Scaleborn',12,135,-233,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,695028551,'',0,1,1,0),
(80,20,'HallsSeeing','exp02_dun_lair_of_scale_epic01_seeing','Halls of the Seeing',-628.06,159.68,-234.91,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2782224465,'',0,1,1,0),
(81,20,'LyceumAbhorrence','exp02_dun_lair_of_scale_epic02_hallowed','The Lyceum of Abhorrence',26.73,157.56,-571.54,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,984615617,'',0,1,1,0),
(82,20,'PalaceAwakened','exp02_dun_shrines_of_sky','Palace of the Awakened',44,0,-101,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2129470810,'',0,1,1,0),
(83,20,'The Vaults of El''Arad','exp02_dun_shrines_of_sky_epic01_vaults','The Vaults of El''Arad',-30.7,-0.61,30.62,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',0,0,0,0,'',300,'',0,3297558346,'',0,1,1,0),
(84,20,'The Nest of the Great Egg','exp02_dun_shrines_of_sky_epic02_nest','The Nest of the Great Egg',38.48,112.78,0.03,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2751514428,'',0,1,1,0),
(85,20,'BarrenSky','exp02_rgn_realm_of_dawn','The Barren Sky',506.75,-114.37,10.66,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4122226678,'',0,1,1,0),
(86,20,'exp02_rgn_realm_of_dawn_arena','exp02_rgn_realm_of_dawn_arena','Describe me in the zones table! :)',0,-2.85,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1445881603,'',0,1,1,0),
(87,20,'Bonemire','exp02_rgn_realm_of_night','The Bonemire',963.37,-108.17,469.1,0,-1000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2461862690,'',0,1,1,0),
(88,20,'TenebrousTangle','exp02_rgn_realm_of_twilight','Tenebrous Tangle',-496.78,-60.1,-853.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3365769829,'',0,1,1,0),
(89,30,'CastleMistmoore','exp03_dun_castle_mistmoore','Castle Mistmoore',81,43,-4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,715932856,'',0,1,1,0),
(90,30,'MistmooreSanctum','exp03_dun_castle_mistmoore_epic01_coffinchamber','Mistmoore''s Inner Sanctum',31.44,-4,15.69,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,54440071,'',0,1,1,0),
(91,30,'Crushbone','exp03_dun_crushbone_keep','Crushbone Keep',7,-16,-78,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3963117417,'',0,1,1,0),
(92,30,'DvinnianThrone','exp03_dun_crushbone_keep_epic01_throne','The D''Vinnian Throne',0.19,-4.31,-26.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,480928156,'',0,1,1,0),
(93,30,'Acadechism','exp03_dun_crushbone_keep_epic02_boss','The Acadechism ',-0.52,-0.16,-12.01,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1318370063,'',0,1,1,0),
(94,30,'The Estate of Unrest','exp03_dun_estate_of_unrest','The Estate of Unrest',7.91,0.3,-88.33,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,126000,0,'',300,'',0,1085768541,'',0,1,1,0),
(95,30,'NewTunaria','exp03_dun_felwithe','New Tunaria',-1038,55,-1379,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2465751372,'',0,1,1,0),
(96,30,'ThroneNewTunaria','exp03_dun_felwithe_epic01_throne','Throne of New Tunaria',-73.91,67.02,-879.01,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2494575554,'',0,1,1,0),
(97,30,'GrendersLair','exp03_dun_hollow_stump','The Grender''s Lair',0,-0.58,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3140052190,'',0,1,1,0),
(98,30,'ChamberTruthbringer','exp03_dun_hollow_stump2','The Chamber of the Truthbringer',0,-0.58,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2495251601,'',0,1,1,0),
(99,30,'Kaladim','exp03_dun_kaladim','Kaladim ',5,-1,-27,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2172437289,'',0,1,1,0),
(100,30,'Stormguard','exp03_dun_kaladim_stormguard_hall','Stormguard Hall',157,17.5,-65,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1517940891,'',0,1,1,0),
(101,30,'Klakanon','exp03_dun_klakanon','Klak''Anon',-347.32,8.71,-19.23,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,738715765,'',0,1,1,0),
(102,30,'ClockworkMenace','exp03_dun_klakanon_epic01_menace','The Clockwork Menace Factory',132.31,22.75,-65.73,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,274925249,'',0,1,1,0),
(103,30,'CourtInnovation','exp03_dun_klakanon_epic02_court','Court of Innovation',-15.13,6.83,81.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2766743326,'',0,1,1,0),
(104,30,'MistmooreCatacombs','exp03_dun_mistmoore_catacombs','Mistmoore Catacombs',12.99,-159.06,-109.25,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,263748089,'',0,1,1,0),
(105,30,'Freethinkers','exp03_dun_mistmoore_catacombs_epic01_freethinker','Freethinker Hideout',-17.15,6.16,-0.51,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3669200752,'',0,1,1,0),
(106,30,'CryptValdoon','exp03_dun_mistmoore_catacombs_epic02_oldcatacombs','Crypt of Valdoon ',168,0,40,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,28333672,'',0,1,1,0),
(107,30,'ObeliskBlight','exp03_dun_obelisk_epic01_blight','The Obelisk of Blight ',129.85,-14.29,5.85,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3174147112,'',0,1,1,0),
(108,30,'Butcherblock','exp03_rgn_butcherblock','Butcherblock Mountains ',687,24,570.82,179,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Butcherblock.lua',300,'',0,697098529,'',0,1,1,0),
(109,30,'The Emerald Halls','exp03_rgn_emerald_halls','The Emerald Halls',-156.06,4.67,-239.77,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',432000,0,777600,0,'',300,'',0,1772398363,'',0,1,1,0),
(110,30,'Kelethin1Room','exp03_rgn_gf_ph_1room','Greater Faydark: 1 Room Apartment',0,-0.2,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1645828791,'',0,1,1,0),
(111,30,'Kelethin2Room','exp03_rgn_gf_ph_2room','Greater Faydark: 2 Rooms Apartment',0,-0.1,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2776941267,'',0,1,1,0),
(112,30,'Kelethin3Room','exp03_rgn_gf_ph_3room','Greater Faydark: 3 Rooms Residence',0,-0.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,75565844,'',0,1,1,0),
(113,30,'Kelethin4Room','exp03_rgn_gf_ph_4room','Greater Faydark: 4 Rooms Residence',0,-0.3,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,669090026,'',0,1,1,0),
(114,30,'GreaterFaydark','exp03_rgn_greater_faydark','Greater Faydark',-116.83,-43.94,-785.47,0,-1000000,0,0,0,'',0,1,0,0,0,0,4,'NONE',0,0,0,0,'',300,'',0,1796453226,'',1,1,1,0),
(115,30,'LesserFaydark','exp03_rgn_lesser_faydark','The Lesser Faydark ',-717,-55.3,112.7,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/LesserFaydark.lua',300,'',0,3327990583,'',0,1,1,0),
(116,30,'LopingPlains','exp03_rgn_loping_plains','Loping Plains ',-537,-5,-401,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/LopingPlains.lua',300,'',0,1576609597,'',0,1,1,0),
(117,30,'Steamfont','exp03_rgn_steamfont','Steamfont Mountains ',-492,125,596,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3355489122,'',0,1,1,0),
(118,30,'MinesMeldrath','exp03_rgn_steamfont_epic01_mines','The Mines of Meldrath ',12.53,-0.6,-4.63,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3273265723,'',0,1,1,0),
(119,0,'FallenGate','fallengate','Fallen Gate ',-19.57,20,149.02,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/FallenGate.lua',300,'',0,380935007,'',0,1,1,0),
(120,0,'VaultFallen2','fallengate_epic01_boss','The Vault of the Fallen: Lair of Trenda''loz',37,-26,-189,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1848001339,'',0,1,1,0),
(121,0,'Feerrott','feerrott','The Feerrott',110.81,-1.02,-135.69,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Feerrott.lua',300,'',0,1328033086,'',0,1,1,0),
(122,0,'The Trembling Lagoon','feerrott_epic01_temple','The Trembling Lagoon',-904.3,-9.78,302.64,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,4007615914,'',0,1,1,0),
(123,0,'Kugup','feerrott_epic02_froglok','The Lost Village of Kugup',-138.47,13.27,140.24,245,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Kugup.lua',300,'',0,1262464412,'',0,1,1,0),
(124,0,'SunkenCity','fprt_adv01_sunken','Sunken City (Kingdom of Sky)',-61,-0.15,60.35,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/SunkenCity.lua',300,'',0,956454734,'',0,1,1,0),
(125,0,'Graveyard','fprt_adv02_graveyard','The Graveyard (Kingdom of Sky)',-98.43,-15.73,-92.53,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Graveyard.lua',300,'',0,488817674,'',0,1,1,0),
(126,0,'Sprawl','fprt_adv03_sprawl','The Sprawl (Kingdom of Sky)',-139.62,-4.42,97.21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Sprawl.lua',300,'',0,505391798,'',0,1,1,0),
(127,0,'Ruins','fprt_adv04_ruins','The Ruins (Kingdom of Sky)',-178.54,-1,79.41,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,780530840,'',0,1,1,0),
(128,0,'EastFreeport','fprt_east','East Freeport',-305.04,-56.07,73.57,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3673921062,'',1,1,1,0),
(129,0,'JadeTigersDenCellar','fprt_epic01_storeroom01','Jade Tiger''s Den Cellar',0.187354,0.328323,-4.61251,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3155501257,'',0,1,1,0),
(130,0,'fprt_epic02_a01_dungeon01','fprt_epic02_a01_dungeon01','A Musty Dungeon',0.89,-0.13,0.1,265,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4177944262,'',0,1,1,0),
(131,0,'fprt_epic03_a01_dungeon02','fprt_epic03_a01_dungeon02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3101595178,'',0,1,1,0),
(132,0,'DuelingChamber','fprt_epic04_a04_academy01','The Dueling Chamber',0,-0.6,1.2,0,-1000000,0,0,0,'Instanced Outdoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',15,'',0,510719646,'',0,1,1,0),
(133,0,'FreeportTemple','fprt_epic05_a02_temple01','Freeport: The Temple of Dismal Rage',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1831281545,'',0,1,1,0),
(134,0,'BigBend','fprt_hood01','Big Bend',-26.67,-4.64,102.43,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/BigBend.lua',300,'Big Bend: Some classic quests have been rebuilt here. Freeport is a major work in progress. Play here at your own risk!',0,578827427,'',1,1,1,0),
(135,0,'Stonestair','fprt_hood02','Stonestair Byway',-101.2,-4.65,-26.78,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Stonestair.lua',300,'Stonestair Byway: Some classic quests have been rebuilt here. This zone has many underlying issues. Freeport is a major work in progress. Play at your own risk!',0,202759038,'',1,1,1,0),
(136,0,'TempleSt','fprt_hood03','Temple Street',-60.93,2.86,128.21,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/TempleSt.lua',300,'Temple Street: All classic quests have been rebuilt here. Freeport is a major work in progress. Please report bugs to Discord!',0,2595880091,'',1,1,1,0),
(137,0,'BeggarsCourt','fprt_hood04','Beggar''s Court',-30,4.17,-87.14,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/BeggarsCourt.lua',300,'Beggar''s Court: All classic quests have been rebuilt here. Freeport is a major work in progress. Please report bugs to Discord!',0,3536645693,'',1,1,1,0),
(138,0,'Longshadow','fprt_hood05','Longshadow Alley',-50.84,-4.67,-85.43,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Longshadow.lua',300,'Longshadow Alley: All classic quests have been rebuilt here. Freeport is a major work in progress. Please report bugs to Discord!',0,449901455,'',1,1,1,0),
(139,0,'ScaleYard','fprt_hood06','Scale Yard',0.1,-4.5,105,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/ScaleYard.lua',300,'Scale Yard: Some classic quests have been rebuilt here. Freeport is a major work in progress.Play here at your own risk!',0,3728081010,'',1,1,1,0),
(140,0,'fprt_hood_epic01','fprt_hood_epic01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1624467568,'',0,1,1,0),
(141,0,'ArchiveValeein','fprt_hood_epic02','Archive of Valeein',-1.71924,-1.51351,6.55359,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2439079626,'',0,1,1,0),
(142,0,'fprt_hood_epic03','fprt_hood_epic03','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3925693770,'',0,1,1,0),
(143,0,'fprt_hood_epic04','fprt_hood_epic04','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,122419003,'',0,1,1,0),
(144,0,'NorthFreeport','fprt_north','North Freeport',-88,-9,-117,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1554806586,'',1,1,1,0),
(145,0,'Freeport2Room1','fprt_ph_1r01','a two room apartment, version 1',-6.5,0.75,-13.5,266,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1296677832,'',0,1,1,0),
(146,0,'Freeport2Room2','fprt_ph_1r02','a two room apartment, version 2',10,0.5,-10,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1633763916,'',0,1,1,0),
(147,0,'Freeport3Room1','fprt_ph_2r01','a three room house, version 1',-8.5,1.18,-7.66,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2107461564,'',0,1,1,0),
(148,0,'Freeport3Room2','fprt_ph_2r02','a three room house, version 2',-6.5,1.5,-12.15,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2517432944,'',0,1,1,0),
(149,0,'Freeport4Room1','fprt_ph_3r01','a four room house, version 1',8.5,1,8.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3059503183,'',0,1,1,0),
(150,0,'Freeport4Room2','fprt_ph_3r02','a four room house, version 2',-7.5,0.4,8.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2332833260,'',0,1,1,0),
(151,0,'Freeport4Room3','fprt_ph_3r03','a four room house, version 3',-9.5,1,8.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,4069184774,'',0,1,1,0),
(152,0,'Freeport6Room1','fprt_ph_5r01','a six room house, version 1',-3.62,-0.5,-2.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2279293680,'',0,1,1,0),
(153,0,'Freeport6Room2','fprt_ph_5r02','a six room house, version 2',28.75,-0.5,5.62,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,4249795054,'',0,1,1,0),
(154,0,'ThievesWay','fprt_sewer01','The Thieves'' Way (Kingdom of Sky)',-148,1,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/ThievesWay.lua',300,'',0,3869765643,'',0,1,1,0),
(155,0,'SerpentSewer','fprt_sewer02','The Serpent Sewer ',-182,0,-185,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/SerpentSewer.lua',300,'',0,2853519654,'',0,1,1,0),
(156,0,'Edgewater','fprt_sewer03','Edgewater Drains',29,32,73,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,938776093,'',0,1,1,0),
(157,0,'fprt_sewer_epic01','fprt_sewer_epic01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4065867901,'',0,1,1,0),
(158,0,'fprt_sewer_epic02','fprt_sewer_epic02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3904734492,'',0,1,1,0),
(159,0,'SerpentsLair','fprt_sewer_epic03','The Serpent''s Lair',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2729254407,'',0,1,1,0),
(160,0,'DarkbladeDen','fprt_sewer_epic04','The Darkblade Den of Assassins',-8.53,-0.62,12.68,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',300,300,300,0,'ZoneScripts/DarkbladeDen.lua',1,'',0,2374182736,'',0,1,1,0),
(161,0,'fprt_sewer_epic05','fprt_sewer_epic05','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,867121339,'',0,1,1,0),
(162,0,'fprt_sewer_epic06','fprt_sewer_epic06','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1116256801,'',0,1,1,0),
(163,0,'fprt_sewer_epic07','fprt_sewer_epic07','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1321185,'',0,1,1,0),
(164,1,'FreeportCitizenshipTrialChamber','fprt_sewer_epic08','Uncovered Traitors'' Hideout',20.37,0.71,17.57,90,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',5,'',0,4027848774,'',0,1,1,0),
(165,0,'fprt_sewer_epic09','fprt_sewer_epic09','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2664820379,'',0,1,1,0),
(166,0,'SouthFreeport','fprt_south','South Freeport',-175,-57,148,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,190556331,'',1,1,1,0),
(167,0,'BroodLostTongue','fprt_tradeskill01','The Brood of the Lost Tongue',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4020093839,'',0,1,1,0),
(168,0,'WestFreeport','fprt_west','West Freeport',100.43,-21.98,42.84,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/WestFreeport.lua',300,'',0,2219792691,'',1,1,1,0),
(169,0,'FreeportMilitia','fprt_west_militia','Freeport Militia',135,-16,129,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3758488065,'',0,1,1,0),
(170,0,'PrisonGrimgadget','holdofprexus','The Prison of Admiral Grimgadget ',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1598578194,'',0,1,1,0),
(171,0,'Lavastorm','lavastorm','Lavastorm ',84.73,-33.09,138.55,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Lavastorm.lua',300,'',0,4134789718,'',0,1,1,0),
(172,0,'The Sanctum of Fire','lavastorm_epic01_sanctum','The Sanctum of Fire',-332,-80,-675,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,25894733,'',0,1,1,0),
(173,0,'Maiden''s Gulch','lavastorm_epic02_gulch','Maiden''s Gulch',-193.04,-0.92,-344.69,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,356037497,'',0,1,1,0),
(174,0,'HauntedHouse','live_haunted_mansion','The Haunted House',-2.75,0,9.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3627449501,'',0,1,1,0),
(175,0,'BarBrell','live_irontoes','Bar of Brell',352,-20,143,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1695982209,'',0,1,1,0),
(176,0,'Crypt of T''Haen','mod01_dun_crypt_of_thaen','Crypt of T''Haen',76.88,0.5,43.19,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3148941725,'',0,1,1,0),
(177,0,'TombNight','mod01_dun_tombs_of_night','The Tombs of Night',116.64,-1.26,128.41,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1645287631,'',0,1,1,0),
(178,0,'NektroposCastle','nektropos_castle','Nektropos Castle',0,0,58,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'ZoneScripts/NektroposCastle.lua',300,'',0,1679330818,'',0,1,1,0),
(179,0,'Nektulos','nektulos','Nektulos Forest',-344.65,0.66,-1264.09,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Nektulos.lua',300,'',0,1475203678,'',0,1,1,0),
(180,0,'BattleCauldronHollow','nektulos_epic01_cauldroncove','The Battle of Cauldron Hollow',946,10,-621.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2897066563,'',0,1,1,0),
(181,0,'Unearthing','nektulos_mini01','Unearthing ',2.53,2.46,-3.88,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3670867982,'',0,1,1,0),
(182,0,'Dire Hollow: Barrow Ruins','nektulos_mini02','Dire Hollow: Barrow Ruins',-0.05,-0.64,-0.55,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',5400,0,259200,0,'',300,'',0,1988387097,'',0,1,1,0),
(183,0,'UnderrotCavern','nektulos_mini03','The Underrot Caverns: Moldy Crypt',-0.26,-0.48,0.86,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3454396251,'',0,1,1,0),
(184,0,'Neriak','neriak','Neriak, City of Hate',175.54,29.87,199.88,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2399093912,'',1,1,1,0),
(185,0,'Neriak1Room','neriak_ph_1room','a Nerian Residence 1',0,-0.01,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,297614356,'',0,1,1,0),
(186,0,'Neriak3Room','neriak_ph_3room','a Nerian residence 3',0,-0.01,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1590125928,'',0,1,1,0),
(187,0,'Neriak5Room','neriak_ph_5room','a Nerian residence 5',0,-0.01,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2417746180,'',0,1,1,0),
(188,0,'The Vestibule','obelisk_epic01_vestibule','The Vestibule',-484,407,380,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1296256969,'',0,1,1,0),
(189,0,'ObeliskLostSouls','obelisk_of_lostsouls','The Obelisk of Lost Souls',-13.78,624.84,134.08,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2537411576,'',0,1,1,0),
(190,0,'Zek','orcishwastes','Zek, the Orcish Wastes',509.44,-41.31,289.66,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Zek.lua',300,'',0,3094052578,'',0,1,1,0),
(191,0,'SullonMines','orcishwastes_mini01','Sullon Mines',353,-121.77,-57.34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2610132812,'',0,1,1,0),
(192,0,'Permafrost','permafrost','Permafrost',-5,0,-83,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3961969058,'',0,1,1,0),
(193,0,'Drayek''s Chamber','permafrost_epic01_icebound','Drayek''s Chamber',1.02,59.81,-406.31,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2321145713,'',0,1,1,0),
(194,0,'CryptVox','permafrost_epic02_crypt','The Crypt of Vox',-2.49,10.63,-404.66,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1626179814,'',0,1,1,0),
(195,1,'Oakmyst','qey_adv01_oakmyst','Oakmyst Forest (Kingdom of Sky)',1093.17,-10.15,-382.08,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Oakmyst.lua',300,'Oakmyst: Monster abilities & HP values in progress.  Side quests complete. TODO: Complete main questline scripting. TODO: Harvest node control. Post bugs of existing quests on Discord.',0,4215822688,'',0,1,1,0),
(196,20,'ForestRuins','qey_adv02_ruins','The Forest Ruins (Kingdom of Sky)',897,-14.5,-575,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/ForestRuins.lua',300,'Forest Ruins: Monster abilities & HP values in progress.  Side quests complete. TODO: Complete main questline scripting.  Post bugs of existing quests on Discord.',0,1855488194,'',0,1,1,0),
(197,20,'CavesKoS','qey_adv03_caves','The Caves (Kingdom of Sky)',1.5,3.62,-23.42,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Caves.lua',300,'Caves: Monster HP values in place.  TODO: Main questline & Mob abilities. Post bugs of existing quests on Discord.',0,2601398236,'',0,1,1,0),
(198,20,'PeatBog','qey_adv04_bog','The Peat Bog (Kingdom of Sky)',561.65,-27.41,417.99,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/PeatBog.lua',300,'Peat Bog: Monster abilities in progress.  Main questline needs testing. Post bugs of existing quests on Discord.',0,32653985,'',0,1,1,0),
(199,0,'DownBelow','qey_catacomb01','The Down Below (Kingdom of Sky)',-195.98,-0.1,-200.16,0,-1000000,1.1,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/DownBelow.lua',300,'DownBelow:  Monster abilities in progress.  Side quests complete.  Post bugs of existing quests on Discord.',0,2145814903,'',0,1,1,0),
(200,0,'VerminSnye_KoS','qey_catacomb02','Vermin''s Snye',131.21,-6.92,-105.21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2670803123,'',0,1,1,0),
(201,0,'CryptBetrayal','qey_catacomb03','The Crypt of Betrayal ',120.88,7.02,-49.61,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,964742035,'',0,1,1,0),
(202,0,'CrowsTomb','qey_catacomb_epic01','Crow''s Resting Place',3.41,1.92,8.77,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2271733143,'',0,1,1,0),
(203,0,'ADecrepitCrypt','qey_catacomb_epic02','A Decrepit Crypt',-31,-1,9,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_LOCKOUT_INSTANCE',5400,0,259200,0,'',10,'',0,1907479580,'',0,1,1,0),
(204,0,'ScarabHive','qey_catacomb_epic03','The Deathly Scarab Hive ',-20,3.37,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1044089428,'',0,1,1,0),
(205,0,'qey_catacomb_epic04','qey_catacomb_epic04','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3211469419,'',0,1,1,0),
(206,0,'qey_catacomb_epic05','qey_catacomb_epic05','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1908807800,'',0,1,1,0),
(207,0,'ElddarGrove','qey_elddar','The Elddar Grove',666.15,-10.14,-392.25,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/ElddarGrove.lua',300,'Elddar Grove: Quests have been rebuilt.  TODO: Armor Quests & Faction Writs. Post bugs of existing quests on Discord.',0,843773804,'',0,1,1,0),
(208,1,'Cache','qey_epic01_p19_cache','The Cache Stockpiles',2.13,-0.25,11.67,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'',300,'',0,1128469461,'',0,1,1,0),
(209,0,'StarcrestBank','qey_epic02_village02_bank','Starcrest: The Qeynos Exchange',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1552498994,'',0,1,1,0),
(211,0,'WillowWoodBank','qey_epic04_village05_bank','Willow Wood: The Qeynos Exchange',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2824516912,'',0,1,1,0),
(212,0,'qey_epic05_village06_scribe','qey_epic05_village06_scribe','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,730617311,'',0,1,1,0),
(213,0,'Cusader_IrontoeInn','qey_epic06_p12_irontoes','Brigand''s Hideout',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'Crusader class quest',0,1053477178,'',0,1,1,0),
(214,1,'TroubledHaunt','qey_epic07_p08_sneeds','The Troubled Haunt',2.37,-0.33,2.8,71,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'ZoneScripts/TroubledHaunt.lua',300,'',0,2375380469,'',0,1,1,0),
(215,1,'WayfarersRest','qey_epic08_p06_voleens','Wayfarer''s Rest',0,0,0,0,-1000000,0,0,0,'Instanced Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'ZoneScripts/WayfarersRest.lua',300,'',0,998680089,'',0,1,1,0),
(216,0,'qey_epic09_l02_steel','qey_epic09_l02_steel','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3864565992,'',0,1,1,0),
(217,0,'SummonersTest','qey_epic10_p01_bank','The Summoner''s Test',-1.78,-0.34,-5.85,185,-1000000,0,0,0,'Instanced Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',300,'Summoner Class Trial',0,1714285425,'',0,0,1,0),
(218,1,'BurningAbode','qey_epic11_l10_arbor','Burning Abode',6.94,-0.2,3.21,348,-1000000,0,0,0,'',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'ZoneScripts/qey_epic11_l10_arbor.lua',300,'',0,2535452508,'',0,1,1,0),
(219,1,'BrawlersDojo','qey_epic12_l08_sanctum','Brawler''s Dojo',0,0,0,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/BrawlersDojo.lua',300,'',0,683658674,'',0,1,1,0),
(220,0,'QeynosMageTower','qey_epic13_l04_towers','Qeynos: Mage Tower',719,48,114,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,374794994,'',0,1,1,0),
(221,0,'QeynosHarbor','qey_harbor','Qeynos Harbor',999.14,-25.79,27.04,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/QeynosHarbor.lua',300,'Qeynos Harbor: Most Quests rebuilt & Housing is in progress.  TODO: Betrayal Quests. Report bugs/issues on Discord!',0,1739788496,'',1,1,1,0),
(222,0,'NorthQeynos','qey_north','North Qeynos',267.77,-21.55,-19.88,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/NorthQeynos.lua',300,'North Qeynos: Quests rebuilt & Housing is in progress.  TODO: Faction Writs. Report bugs/issues on Discord!',0,1841518510,'',1,1,1,0),
(223,0,'Qeynos2Room1','qey_ph_1r01','a two room apartment, version 1',-4.82,0,-0.22,270,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3500249586,'',0,1,1,0),
(224,0,'Qeynos2Room2','qey_ph_1r02','a two room apartment, version 2',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3956101406,'',0,1,1,0),
(225,0,'Qeynos3Room1','qey_ph_2r01','a three room house, version 1',0,0,4.95,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1050379564,'',0,1,1,0),
(226,0,'Qeynos3Room2','qey_ph_2r02','a three room house, version 2',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2058287807,'',0,1,1,0),
(227,0,'Qeynos4Room1','qey_ph_3r01','a four room house, version 1',0.07,-2,7.98,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2993828484,'',0,1,1,0),
(228,0,'Qeynos4Room2','qey_ph_3r02','a four room house, version 2',0.05,-2,8.16,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,867876040,'',0,1,1,0),
(229,0,'Qeynos4Room3','qey_ph_3r03','a four room house, version 3',0.05,-2,8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1771836431,'',0,1,1,0),
(230,0,'Qeynos6Room1','qey_ph_5r01','a six room house, version 1',-2.59,0,9.48,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1374238603,'',0,1,1,0),
(231,0,'SouthQeynos','qey_south','South Qeynos',477.37,-11.52,137.83,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/SouthQeynos.lua',300,'South Qeynos: Quests rebuilt & Housing is in progress.  TODO:Class Quests, Book Quests, & Faction Writs. Report bugs/issues on Discord!',0,1504263346,'',1,1,1,0),
(232,0,'Commonwealth','qey_tradeskill01','The Elusive Commonwealth',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1504802193,'',0,1,1,0),
(233,0,'Nettleville','qey_village01','Nettleville Hovel',683.92,-35.46,335.98,318,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Nettleville.lua',300,'Nettleville: Feel free to post bugs of existing quests on Discord.',0,719943395,'',1,1,1,0),
(234,0,'Starcrest','qey_village02','Starcrest Commune',724.88,-35.2,325.29,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Starcrest.lua',300,'Starcrest: Feel free to post bugs of existing quests on Discord.',0,914866192,'',1,1,1,0),
(235,0,'Graystone','qey_village03','Graystone Yard',950.74,-25.22,-156.65,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Graystone.lua',300,'Graystone: Quests rebuilt & Housing is in progress.  Report bugs/issues on Discord!',0,35815252,'',1,1,1,0),
(236,0,'Castleview','qey_village04','Castleview Hamlet',783.33,-35.9,-94.17,82,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Castleview.lua',300,'Castleview: Quests rebuilt & Housing is in progress.  Report bugs/issues on Discord!',0,1042690246,'',1,1,1,0),
(237,0,'WillowWood','qey_village05','The Willow Wood',829.24,-20.36,-780.82,198,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/WillowWood.lua',300,'Willow Wood: Quests rebuilt & Housing is in progress.  Report bugs/issues on Discord!',0,1899528945,'',1,1,1,0),
(238,0,'Baubbleshire','qey_village06','The Baubbleshire',966.52,-18.2,-436.97,0,-1000000,0,0,0,'City',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Baubbleshire.lua',300,'Baubbleshire: Quests rebuilt & Housing is in progress.  Report bugs/issues on Discord!',0,1133934497,'',1,1,1,0),
(239,0,'Rivervale','rivervale','Rivervale',79.77,-11.61,33.21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,805193270,'',0,1,1,0),
(240,0,'rivervale_epic01_ph01','rivervale_epic01_ph01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3504623534,'',0,1,1,0),
(241,0,'rivervale_epic02_ph02','rivervale_epic02_ph02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,897144292,'',0,1,1,0),
(242,0,'Runnyeye','runnyeye','Runnyeye',-58,0.11,57,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Runnyeye.lua',300,'',0,2485707951,'',0,1,1,0),
(243,0,'The Chamber of Rulgax','runnyeye_epic01_eye','The Chamber of Rulgax',65.43,-34.31,192.47,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1805900580,'',0,1,1,0),
(244,0,'The Overlord''s Throne Room','runnyeye_epic02_goblin','The Overlord''s Throne Room',205,1,-318,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2587316584,'',0,1,1,0),
(245,0,'SolEye','solusekseye','Solusek''s Eye',130.08,28.58,-125.76,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1322389444,'',0,1,1,0),
(246,0,'NagafensLair','solusekseye_epic01_nagafen','Nagafen''s Lair',0.12,-0.39,54.45,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3381789812,'',0,1,1,0),
(247,0,'The Bastion of Flames','solusekseye_epic02_bastion','The Bastion of Flames',-147.93,-414.98,-290.9,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,216735829,'',0,1,1,0),
(248,0,'The Oratorium of Thyr','solusekseye_epic03_thyr','The Oratorium of Thyr',-204.3,-617.46,-193.09,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3712382977,'',0,1,1,0),
(249,0,'ThunderingSteppes','steppes','The Thundering Steppes',-606.14,-23.11,-402.91,268.76,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/ThunderingSteppes.lua',300,'',0,1442587250,'',0,1,1,0),
(250,0,'The Cove of Decay','steppes_epic01_cove','The Cove of Decay',-110.5,-12.28,1020.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,199981466,'',0,1,1,0),
(251,0,'PirateStash','steppes_mini01','A Pirate''s Hidden Stash ',827.3,-13.3,1028.16,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2597747579,'',0,1,1,0),
(252,0,'thunderdome','thunderdome','Thunderdome',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2770022842,'',0,1,1,0),
(253,0,'QueensColony','tutorial_island02','Queen''s Colony',-17.24,-5.4,223,0,-1000000,3.75,0,0,'Outdoor',0,0,0,0,0,0,1,'NONE',0,0,0,0,'ZoneScripts/QueensColony.lua',300,'',0,235639746,'',0,1,1,0),
(254,0,'SourceEvil','tutorial_island02_epic01','The Source of Evil',-14.5,0,-2.75,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_LOCKOUT_INSTANCE',0,0,0,0,'',300,'',0,1139089258,'',0,1,1,0),
(255,0,'MizansCellar','tutorial_island02_epic02','Mizan''s Cellar',-9,-9,158,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'',300,'',0,853356513,'',0,1,1,0),
(256,0,'RuinsVarsoon','varsoon','The Ruins of Varsoon',95,17.9,-96.33,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,783825492,'',0,1,1,0),
(257,0,'Chamber of Immortality','vrsn_epic01_boss','Chamber of Immortality',203.16,-12.14,138.85,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',5400,0,259200,0,'',300,'',0,3431125307,'',0,1,1,0),
(258,0,'WailingCaves','wailingcaves','The Wailing Caves',-103,-33,-138,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3367326908,'',0,1,1,0),
(259,0,'Shard of Fear','shard_of_fear','Shard of Fear',-4.66,11.56,479.91,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,31215948,'',0,1,1,0),
(260,40,'Gorowyn1Room','exp04_rgn_gorowyn_ph_1room','Gorowyn 1 Room Apartment',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3339258185,'',0,1,1,0),
(261,40,'KunzarJungle','exp04_rgn_kunzar_jungle','Kunzar Jungle',-450,150,-870,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,135989668,'',0,1,1,0),
(262,40,'KylongPlains','exp04_rgn_kylong_plains','Kylong Plains',742,11,203,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/KylongPlains.lua',300,'',0,3387257629,'',0,1,1,0),
(263,40,'TimorousDeep','exp04_rgn_timorous_deep','Timorous Deep',-257.5,2.7,181.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,16,'NONE',0,0,0,0,'ZoneScripts/TimorousDeep.lua',300,'',0,3292189791,'',0,1,1,0),
(264,40,'FensNathsar','exp04_rgn_fens_of_nathsar','Fens of Nathsar',489.5,12.6,1509.77,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,189371831,'',0,1,1,0),
(265,40,'JarsathWastes','exp04_rgn_jarsath_wastes','Jarsath Wastes',-1057,-83,-560,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1721963361,'',0,1,1,0),
(267,40,'Chelsith','exp04_dun_chelsith','Chelsith',-75,30.3,510,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,1080201912,'',0,1,1,0),
(269,40,'KarnorsCastle','exp04_dun_karnors_castle','Karnor''s Castle',267,-58.22,136,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1170290470,'',0,1,1,0),
(270,40,'Sebilis','exp04_dun_sebilis','Sebilis',18,0,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1873729493,'',0,1,1,0),
(271,40,'Veeshan''s Peak','exp04_dun_veeshans_peak','Veeshan''s Peak',388,-342,1131,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,777600,0,'',300,'',0,13238552,'',0,1,1,0),
(272,40,'TombThuuga','exp04_dun_charasis_epic01_queens','The Tomb of Thuuga',0,0,-5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2482499672,'',0,1,1,0),
(273,40,'Chardok','exp04_dun_chardok','Chardok',27.44,-29.78,-340.25,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,758372554,'',0,1,1,0),
(274,40,'Gorowyn3Room','exp04_rgn_gorowyn_ph_3room','Gorowyn 3 Rooms Apartment',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,207940048,'',0,1,1,0),
(275,40,'Gorowyn5Room','exp04_rgn_gorowyn_ph_5room','Gorowyn 5 Rooms Apartment',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3852789577,'',0,1,1,0),
(276,40,'The Execution Throne Room','exp04_dun_karnors_castle_epic01_pawbuster','The Execution Throne Room',-12.86,1.95,29.54,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1099086004,'',0,1,1,0),
(277,40,'The Protector''s Realm','exp04_dun_sebilis_epic01_crypt','The Protector''s Realm',-12,-13,344,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,388677814,'',0,1,1,0),
(278,0,'OutpostOverlord','tutorial_island02','Outpost of the Overlord',-12.43,-4.94,222.26,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,2,'NONE',0,0,0,0,'ZoneScripts/OutpostOverlord.lua',300,'',0,2331579180,'',0,1,1,0),
(279,0,'Truthbringer','qey_tradeskill01','The Charter of the Truthbringer',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2254477089,'',0,1,1,0),
(280,0,'Deductive','qey_tradeskill01','The Deductive Directory',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2963804548,'',0,1,1,0),
(281,0,'Ironforge','qey_tradeskill01','The Ironforge Exchange',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3822793044,'',0,1,1,0),
(282,0,'Wayfarers','qey_tradeskill01','Wayfarer''s Stockpilers',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3109275695,'',0,1,1,0),
(283,0,'WorkshopGood','qey_tradeskill01','Tradeskiller''s Workshop',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2442508618,'',0,1,1,0),
(284,0,'The Cove of Decay: A Treaty for Treasure','steppes_epic01_cove','The Cove of Decay: A Treaty for Treasure',-110.5,-12.28,1020.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2833734499,'',0,1,1,0),
(285,0,'CircleVaniki','fprt_tradeskill01','The Circle of Vaniki',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1207827539,'',0,1,1,0),
(286,0,'Wanderlust','fprt_tradeskill01','The Ring of Wanderlust',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1815400861,'',0,1,1,0),
(287,0,'Ransackers','fprt_tradeskill01','The Ransackers Annex',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2343039238,'',0,1,1,0),
(288,0,'DarkBargainers','fprt_tradeskill01','The Dark Bargainers',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2653325751,'',0,1,1,0),
(289,0,'WarHagglers','fprt_tradeskill01','The War Hagglers',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,87161584,'',0,1,1,0),
(290,0,'NepetaCataria','fprt_tradeskill01','Nepeta Cataria',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1918315345,'',0,1,1,0),
(291,0,'Coalition','fprt_tradeskill01','The Coalition Crafter''s Association',2.1,-0.19,-4.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,760423874,'',0,1,1,0),
(292,0,'Luminary','qey_tradeskill01','The Luminary Cache',8.39294,0,-10.6062,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3429099711,'',0,1,1,0),
(293,0,'Runnyeye: The Gathering','runnyeye_advanced','Runnyeye: The Gathering',-93.4526,-27.4416,58.496,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3904072694,'',0,1,1,0),
(294,50,'Veksar: The Invasion','exp05_dun_veksar','Veksar: The Invasion',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,3342653665,'',0,1,1,0),
(295,40,'Charasis: Vault of Eternal Sleep','exp04_dun_charasis_north','Charasis: Vault of Eternal Sleep',0,0,23,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,4097729086,'',0,1,1,0),
(296,40,'Charasis: Maiden''s Chamber','exp04_dun_charasis_south','Charasis: Maiden''s Chamber',0,0,-23,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,865256506,'',0,1,1,0),
(297,40,'The Temple of Kor-Sha','exp04_dun_chardok_epic01_throne','The Temple of Kor-Sha',816,-27,206,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,604800,0,'',300,'',0,4104758969,'',0,1,1,0),
(298,40,'Court of Korucust','exp04_dun_chardok_epic02_prison','Court of Korucust',-650,-66,204,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',10800,0,19800,0,'',300,'',0,868476451,'',0,1,1,0),
(299,40,'The Chamber of Destiny','exp04_dun_chelsith_epic01_behemoth','The Chamber of Destiny',192,-10,29,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,604800,0,'',300,'',0,1536365742,'',0,1,1,0),
(300,40,'Venril Sathir''s Lair','exp04_dun_sebilis_epic02_venril','Venril Sathir''s Lair',0,-10,144,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,604800,0,'',300,'',0,2242643152,'',0,1,1,0),
(301,40,'Trakanon''s Lair','exp04_dun_veeshans_peak_epic01_trakanon','Trakanon''s Lair',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,157215189,'',0,1,1,0),
(302,0,'Shard of Hate','shard_of_hate','Shard of Hate',45,0.2,290,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,604800,0,'',300,'',0,2411297627,'',0,1,1,0),
(303,40,'The Crypt of Agony','exp04_dun_sebilis_epic01_crypt','The Crypt of Agony',-12,-13,344,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,2468739761,'',0,1,1,0),
(305,0,'Ar''Ticae''s Lair','everfrost_epic01_menagerie','Ar''ticae''s Lair',-52.73,-23.55,-319.22,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1314076501,'',0,1,1,0),
(306,0,'MaulicsStronghold','cmmn_epic01_orc','Bloodskull Valley: Maulic''s Stronghold',-9.18,-48.2,732.4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'ZoneScripts/BloodSkullValleyMaulicsStronghold.lua',300,'',0,859935955,'',0,1,1,0),
(307,0,'Bloodskull3','cmmn_epic01_orc','Bloodskull Valley: Righting the Scales',-9.18,-48.2,732.4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1939902408,'',0,1,1,0),
(308,0,'BloodSkull Valley: The Excavation Site','cmmn_epic01_orc','Bloodskull Valley: The Excavation Site',-9.18,-48.2,732.4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'ZoneScripts/BloodSkullValleyExcavationSite.lua',300,'',0,3024679344,'',0,1,1,0),
(309,0,'Bloodskull5','cmmn_epic01_orc','Bloodskull Valley: The Training Grounds',-9.18,-48.2,732.4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Bloodskull5.lua',300,'',0,3502321105,'',0,1,1,0),
(310,0,'Trembling Lagoon: Cleansing of the Cove','feerrott_epic01_temple','Trembling Lagoon: Cleansing of the Cove',-904.3,-9.78,302.64,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2787903198,'',0,1,1,0),
(311,0,'The Cove of Decay: Epic Angler','steppes_epic01_cove','The Cove of Decay: Epic Angler',-110.5,-12.28,1020.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'ZoneScripts/TheCoveOfDecayEpicAngler.lua',300,'',0,1471074570,'',0,1,1,0),
(312,0,'CoveDecay3','steppes_epic01_cove','Cove of Decay: Horror Beneath the Waves',-110.5,-12.28,1020.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1282445722,'',0,1,1,0),
(313,0,'Cove of Decay: Mjolni''s Lair','steppes_epic01_cove','Cove of Decay: Mjolni''s Lair',-110.5,-12.28,1020.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,1209600,0,'',300,'',0,470947005,'',0,1,1,0),
(314,0,'IsleRefuge2','tutorial_island02','Darathar''s Flight',-17.24,-5.4,223,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3299576964,'',0,1,1,0),
(315,0,'Deathfist2','deathfist','Deathfist Citadel: Assault',0,0,55.18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1875388458,'',0,1,1,0),
(316,0,'Deathfist3','deathfist','Deathfist Citadel: Onslaught',0,0,55.18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1654839403,'',0,1,1,0),
(317,0,'Deathfist4','deathfist','Deathfist Citadel: The Arena of Zek',0,0,55.18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2388724028,'',0,1,1,0),
(318,0,'DrayeksChamber2','permafrost_epic01_icebound','Drayek''s Chamber: Throne of the Kromise King',1.02,59.81,-406.31,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1179826618,'',0,1,1,0),
(319,0,'Trembling Lagoon: Dythra''s Lair','feerrott_epic01_temple','Trembling Lagoon: Dythra''s Lair',-904.3,-9.78,302.64,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,976300801,'',0,1,1,0),
(320,0,'EchoesTime1','cmmn_epic02_mage','Echoes of Time',863.77,-18.31,581.92,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,710155441,'',0,1,1,0),
(321,0,'The Firemyst Gully: A Gallant Confrontation','antonica_epic02_firemyst','The Firemyst Gully: A Gallant Confrontation',-1093.72,-25.04,686.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1214546326,'',0,1,1,0),
(322,0,'Firemyst3','antonica_epic02_firemyst','The Firemyst Gully: In Pursuit',-1093.72,-25.04,686.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1877036992,'',0,1,1,0),
(323,0,'Firemyst4','antonica_epic02_firemyst','The Firemyst Gully: Vanudozalon''s Lair',-1093.72,-25.04,686.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2192926045,'',0,1,1,0),
(324,0,'GrimgashsLair','tutorial_island02_epic01','Grimgash''s Lair',-14.5,0,-2.75,0,-1000000,0,0,0,'Instanced Indoor',0,0,0,0,0,0,0,'GROUP_LOCKOUT_INSTANCE',0,0,0,0,'ZoneScripts/GrimgashsLair.lua',10,'',0,2942727750,'',0,0,1,0),
(325,0,'IsleRefuge1','tutorial_island02','Isle of Refuge',1.56,-7.97,243.45,92,-1000000,1.05,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/IsleRefuge1.lua',300,'',0,2252985298,'',0,0,1,0),
(326,0,'Icespire Summit','everfrost_epic02_icespire','Icespire Summit',-63.16,58.9,-885.42,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2868499059,'',0,1,1,0),
(327,0,'DruidRing','antonica_epic01_vale','Imperiled Druid Ring',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4155975111,'',0,1,1,0),
(328,0,'ShatteredVale3','antonica_epic01_vale','Invasion of the Vale',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3338713433,'',0,1,1,0),
(329,0,'MaidenGulchRescue','lavastorm_epic02_gulch','Maiden''s Gulch: Rescue of the Sage',-190.18,1.6,-338.64,245,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3161340403,'',0,1,1,0),
(330,0,'Nektropos2','nektropos_castle','Nektropos Castle: Craftsman Errands',0,0,58,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1334746619,'',0,1,1,0),
(331,0,'Nektropos3','nektropos_castle','Nektropos Castle: The Return',0,0,58,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3051981584,'',0,1,1,0),
(332,0,'Nektropos4','nektropos_castle','Nektropos Castle: Tribulation',0,0,58,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3927417108,'',0,1,1,0),
(333,0,'SanctumFear3','cazicthule_epic01_sanctum ','The Sanctum of Fear: Niscanith''s Lair',-1.02,-10,-178.26,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4089148686,'',0,1,1,0),
(334,0,'ShatteredStillness','antonica_epic02_firemyst','Shattered Stillness',-1093.72,-25.04,686.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3520240139,'',0,1,1,0),
(335,0,'The Shattered Vale: A Bold Confrontation','antonica_epic01_vale','The Shattered Vale: A Bold Confrontation',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3514726670,'',0,1,1,0),
(336,0,'The Shattered Vale: Lordly Confrontation','antonica_epic01_vale','The Shattered Vale: Lordly Confrontation',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,231154179,'',0,1,1,0),
(337,0,'ShatteredVale5','antonica_epic01_vale','The Shattered Vale: Stones of the Avatars',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3330380441,'',0,1,1,0),
(338,0,'SpiritsLost','cazicthule','Spirits of the Lost',-0.05,7.89,154.43,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3324942373,'',0,1,1,0),
(339,0,'CauldronHollow','nektulos_epic01_cauldroncove','The Cauldron Hollow',946,10,-621.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3723528959,'',0,1,1,0),
(340,0,'CaveWonder1','enchanted_mini01','The Caves of Wonder',-79.8,-2.63,-1120.98,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1409486089,'',0,1,1,0),
(341,0,'CaveWonder2','enchanted_mini01','Heroic: The Caves of Wonder',-79.8,-2.63,-1120.98,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3221976462,'',0,1,1,0),
(342,0,'SanctumFear2','cazicthule_epic01_sanctum ','Sanctum of Fear: Chamber of the Keeper',-1.02,-10,-178.26,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,507325671,'',0,1,1,0),
(343,0,'MaidensGulch2','lavastorm_epic02_gulch','Maiden''s Gulch: Commune of K''Dal',-193.04,-0.92,-344.69,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1048492947,'',0,1,1,0),
(344,0,'The Cove of Decay: A Heroic Confrontation','steppes_epic01_cove','The Cove of Decay: A Heroic Confrontation',-110.5,-12.28,1020.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2618666032,'',0,1,1,0),
(345,0,'TombValor2','befallen_epic01','Tomb of Valor: Defiled',-4.74,-45.79,-47.64,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1782317725,'',0,1,1,0),
(346,0,'The Eternal Gorge: A Daring Confrontation','cmmn_epic02_mage','The Eternal Gorge: A Daring Confrontation',863.77,-18.31,581.92,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2498016461,'',0,1,1,0),
(347,0,'EternalGorge3','cmmn_epic02_mage','The Eternal Gorge: Tears of the Daughters',863.77,-18.31,581.92,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1153144978,'',0,1,1,0),
(348,0,'CircleElders','tutorial_island02_epic01','The Circle of Elders',-14.5,0,-2.75,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3366202526,'',0,1,1,0),
(349,0,'Gobblerock''s Hideout','fprt_sewer02','Gobblerock''s Hideout',-126,0,59.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'ZoneScripts/GobblerocksHideout.lua',300,'',0,1583063371,'',0,1,1,0),
(350,0,'WorkshopEvil','fprt_tradeskill01','Tradeskiller''s Workshop',3,1,-3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3046659043,'',0,1,1,0),
(351,0,'HeraldsKLorn','fprt_tradeskill01','The Heralds of K''Lorn',8.4,-0.4,-11.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2136244020,'',0,1,1,0),
(352,0,'The Lair of the Necromancer','fallengate_epic01_boss','The Lair of the Necromancer',37,-26,-189,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,196425230,'',0,1,1,0),
(353,10,'LibraryLight2','exp01_cty_majdul_library','The Library of Light: Scholar Errands',0,-0.2,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2219248866,'',0,1,1,0),
(354,20,'NestGreatEgg2','exp02_dun_shrines_of_sky_epic02_nest','The Nest of the Great Egg: Outfitter Errands',38.48,112.78,0.03,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2124039412,'',0,1,1,0),
(355,0,'OratoriumThyr2','solusekseye_epic03_thyr','The Oratorium of Thyr: Allim''s Fate',-204.3,-617.46,-193.09,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,402095699,'',0,1,1,0),
(356,0,'The QSS Bootstrutter','boat_06p_feerrott','The QSS Bootstrutter',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',5400,0,259200,0,'',300,'',0,3743881793,'',0,1,1,0),
(357,0,'RumblerCaves','steppes_mini01','The Rumbler Caves',827.3,-13.3,1028.16,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4050420393,'',0,1,1,0),
(358,0,'SeaBiscuit1','boat_06p_enchanted','The Sea Biscuit: Enchanted Journey',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1980603774,'',0,1,1,0),
(359,0,'SeaBiscuit2','boat_06p_enchanted','The Sea Biscuit: Heroic Enchanted Journey',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2333013113,'',0,1,1,0),
(360,0,'SeaBiscuit3','boat_06p_feerrott','The Sea Biscuit: Heroic Jungle Cruise',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2365341412,'',0,1,1,0),
(361,0,'SeaBiscuit4','boat_06p_orcishwastes','The Sea Biscuit: Heroic Orc Excursion',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1690191457,'',0,1,1,0),
(362,0,'SeaBiscuit5','boat_06p_feerrott','The Sea Biscuit: Jungle Cruise',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3949813243,'',0,1,1,0),
(363,0,'SeaBiscuit6','boat_06p_orcishwastes','The Sea Biscuit: Orc Excursion',2.14,1.21,-15.81,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1083287642,'',0,1,1,0),
(364,0,'Stalwart','qey_tradeskill01','The Stalwart Township',6,-0.48,-10.2,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1246738728,'',0,1,1,0),
(365,0,'The Drowned Caverns: Brutal Acts of War','adv02_dun_drowned_caverns','The Drowned Caverns: Brutal Acts of War',96,23,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,868100011,'',0,1,1,0),
(366,0,'DrownedCaverns3','adv02_dun_drowned_caverns','The Drowned Caverns: Flammable Fur',96,23,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2366967768,'',0,1,1,0),
(367,0,'DrownedCaverns4','adv02_dun_drowned_caverns','The Drowned Caverns: Hot Water',96,23,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,817852260,'',0,1,1,0),
(368,0,'DrownedCaverns5','adv02_dun_drowned_caverns','The Drowned Caverns: Outer Grotto',96,23,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1358293133,'',0,1,1,0),
(369,0,'Sundered Splitpaw: Anvilpaw''s Grotto','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Anvilpaw''s Grotto',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2952940347,'',0,1,1,0),
(370,0,'Splitpaw3','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Captive Audience',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1406658297,'',0,1,1,0),
(371,0,'Splitpaw4','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Crawler Nest',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2072242411,'',0,1,1,0),
(372,0,'Splitpaw5','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Delving into the Darkness',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1568159668,'',0,1,1,0),
(373,0,'Sundered Splitpaw: Gladiator''s Triumph','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Gladiator''s Triumph',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,308776385,'',0,1,1,0),
(374,0,'Splitpaw7','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Hideout',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4160317729,'',0,1,1,0),
(375,0,'Sundered Splitpaw: Trial of Harclave','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Trial of Harclave',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2940940235,'',0,1,1,0),
(376,0,'Splitpaw9','adv02_dun_sundered_splitpaw','Sundered Splitpaw: Upper Tunnels',0,-2.5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1849807013,'',0,1,1,0),
(377,50,'QeynosGuild1','qey_guildhall_tier1','Guild Hall',-0.188056,0.005529,-4.87351,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3530974985,'',0,1,1,0),
(378,50,'QeynosGuild2','qey_guildhall_tier2','Large Qeynos Guild Hall',-0.188056,0.005529,-4.87351,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2736504342,'',0,1,1,0),
(379,50,'AntonicaGuild','qey_guildhall_tier3','Antonica Guild Hall',665.435,-35.8975,1485.44,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3464306773,'',0,1,1,0),
(380,50,'Qeynos: Tier 4 Guild Hall','qey_guildhall_tier4','Qeynos: Tier 4 Guild Hall',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,825372836,'',0,1,1,0),
(381,50,'FreeportGuild1','fprt_guildhall_tier1','Guild Hall',0.059904,0.153986,15.6427,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2493701805,'',0,1,1,0),
(382,50,'FreeportGuild2','fprt_guildhall_tier2','Large Freeport Guild Hall',0.003907,0.153989,16.3804,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1615399354,'',0,1,1,0),
(383,50,'CommonlandsGuild','fprt_guildhall_tier3','Commonlands Guild Hall',-1468.19,-136.974,-1307.95,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1257767219,'',0,1,1,0),
(384,50,'fprt_guildhall_tier4','fprt_guildhall_tier4','Freeport: Tier 4 Guild Hall',-1464,-136,-1304,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3537265728,'',0,1,1,0),
(385,50,'MoorsYkesha','exp05_rgn_innothule','Moors of Ykesha',1911,454,1013,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2788275878,'',0,1,1,0),
(386,0,'BefallenNecrotic','exp05_dun_befallen_asylum','Befallen: Necrotic Asylum',23.25,0.25,-0.1,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,1785717062,'',0,1,1,0),
(387,0,'BefallenCavern','exp05_dun_befallen_cavern','Befallen: Cavern of the Afflicted',-2.25,-0.1,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,752000273,'',0,1,1,0),
(388,0,'BefallenHalls','exp05_dun_befallen_forsaken','Befallen: Halls of the Forsaken',7.25,0.25,0.1,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2787554569,'',0,1,1,0),
(389,50,'The Ruins of Guk: Halls of the Fallen','exp05_dun_guk_upper','The Ruins of Guk: Halls of the Fallen',-33.5,0.2,12.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,1343179064,'',0,1,1,0),
(390,50,'The Ruins of Guk: The Lower Corridors','exp05_dun_guk_lower','The Ruins of Guk: The Lower Corridors',3.33,-2,-2.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,367609577,'',0,1,1,0),
(391,50,'The Ruins of Guk: Ykesha''s Outer Stronghold','exp05_dun_guk_stronghold','The Ruins of Guk: Ykesha''s Outer Stronghold',0.5,-0.5,3.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,1823532970,'',0,1,1,0),
(392,50,'Ykesha''s Inner Stronghold','exp05_dun_guk_stronghold_raid','Ykesha''s Inner Stronghold',44,-10,-384,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',259200,0,604800,0,'',300,'',0,1609995901,'',0,1,1,0),
(393,50,'Emperor Atrebe''s Laboratory: The Fabled City of Kor-sha','exp05_dun_korsha','Emperor Atrebe''s Laboratory: The Fabled City of Kor-sha',0.25,0.1,30.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,4140986635,'',0,1,1,0),
(394,50,'Veksar: The Sunken Theater','exp05_dun_veksar','Veksar: The Sunken Theater',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,3065176712,'',0,1,1,0),
(395,50,'MiragulEpic','exp05_dun_miragul_epic01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,9398401,'',0,1,1,0),
(396,0,'Anathema','exp05_dun_miragul_lower','Miragul''s Phylactery: The Anathema',10.25,-0.2,9.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,914478188,'',0,1,1,0),
(397,0,'Crucible','exp05_dun_miragul_shard','Miragul''s Phylactery: The Crucible',-31,0,-56,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,877807456,'',0,1,1,0),
(398,0,'ScionOfIce','exp05_dun_miragul_upper','Miragul''s Phylactery: Scion of Ice',-1.5,0,13.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,3608846391,'',0,1,1,0),
(399,50,'Evernight Abbey','exp05_dun_mistmoore_abbey','Evernight Abbey',0,-0.25,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,469017869,'',0,1,1,0),
(400,50,'Zarrakon''s Abyssal Chamber','exp05_dun_mistmoore_dragon','Zarrakon''s Abyssal Chamber',0,-16,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2010690328,'',0,1,1,0),
(401,0,'MistmyrManor','exp05_dun_mistmoore_manor','Mistmyr Manor',0,-0.3,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,4049258268,'',0,1,1,0),
(402,50,'Ravenscale Repository','exp05_dun_mistmoore_repository','Ravenscale Repository',0,-0.22,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,1421299292,'',0,1,1,0),
(403,50,'Ward of Elements','exp05_dun_najena_atheneum','Ward of Elements',-67,-354,106,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',64800,0,604800,0,'',300,'',0,1606010574,'',0,1,1,0),
(404,50,'The Deep Forge','exp05_dun_najena_forge','The Deep Forge',-0.25,0.15,24,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,111043148,'',0,1,1,0),
(405,0,'NajenasHollowTower','exp05_dun_najena_hollow','Najena''s Hollow Tower',0.4,-11.6,88.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,4230709901,'',0,1,1,0),
(406,50,'Anchor of Bazzul','exp05_dun_void_anchor','Anchor of Bazzul',-515.3,-0.6,657.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,84854578,'',0,1,1,0),
(407,0,'Ferzhul','exp05_dun_void_palace','Palace of Ferzhul',-135.08,6.66,-10.44,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,274203338,'',0,1,1,0),
(408,0,'PotAO','exp05_dun_void_palace','Palace of the Ancient One',-135.08,6.66,-10.44,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2935583788,'',0,1,1,0),
(409,0,'Ahkzul','exp05_dun_void_pit','Obelisk of Ahkzul',546.15,6.1,-318.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2367932411,'',0,1,1,0),
(410,0,'NuRoga','exp04_dun_droga_nurga','Nu''Roga',-4.25,0,41.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2653575693,'',0,1,1,0),
(411,0,'IcyKeep1','permafrost','The Icy Keep (Easy)',-49.07,16,208,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2057982584,'',0,1,1,0),
(412,0,'Frostfell','everfrost_frostfell','Frostfell Wonderland Village',65,-3,-1200,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3311558711,'',0,1,1,0),
(413,0,'TheFuture','everfrost_frostfell','The Future',-502.92,-6,-355.49,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4130976405,'',0,1,1,0),
(414,0,'KritchatsHouse','fprt_ph_1r01','Bobby Kritchat''s House',-6.37,0.7,-13.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2297313179,'',0,1,1,0),
(415,0,'McScrooglesPast','qey_epic03_village03_ph','McScroogle''s Past',15.57,-0.5,-9.18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2876833616,'',0,1,1,0),
(416,0,'McScrooglesBoudoir','qey_ph_1r01','Mr. McScroogle''s Boudoir',-6.21,0,-0.2,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4197602164,'',0,1,1,0),
(417,30,'McScroogleHQ','exp03_dun_klakanon_epic01_menace','McScroogle Corp. HQ',129,24,-66.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1634382156,'',0,1,1,0),
(418,0,'IcyKeep2','permafrost','The Icy Keep (Hard)',-49.07,16,208,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,431849093,'',0,1,1,0),
(419,50,'AntoniasChambers','qey_guildhall_tier1','Antonia Bayle''s Chambers',0,0,-5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3301442772,'',0,1,1,0),
(420,0,'The Firemyst Gully: Supply Shortage','antonica_epic02_firemyst','The Firemyst Gully: Supply Shortage',-1093.72,-25.04,686.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',64800,0,126000,0,'',300,'',0,3010767940,'',0,1,1,0),
(421,30,'Rilgor Plegnog''s Chambers','exp03_dun_klakanon_epic01_menace','Rilgor Plegnog''s Chambers',129,24,-66.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',244800,0,604800,0,'',300,'',0,1078781744,'',0,1,1,0),
(422,30,'The Clockwork Workshop','exp03_dun_klakanon ','The Clockwork Workshop',130,9,52,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,126000,0,'',300,'',0,1627421757,'',0,1,1,0),
(423,0,'EndlessCatacombs','adv04_dun_endless','The Endless Catacombs',-33.7,-89.42,24.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2483512159,'',0,1,1,0),
(424,50,'OverlordsOffice','fprt_guildhall_tier2','The Overlord''s Office',0,0,16.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3243271695,'',0,1,1,0),
(425,50,'Tomb of the Mad Crusader','exp05_dun_befallen_cavern','Tomb of the Mad Crusader',-2.25,-0.1,4,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,140494800,'',0,1,1,0),
(426,0,'The Cauldron Hollow: The Witches'' Cove','nektulos_epic01_cauldroncove','The Cauldron Hollow: The Witches'' Cove',894.775,10,-481.346,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',244800,0,604800,0,'',300,'',0,590443115,'',0,1,1,0),
(427,0,'Firemyst','antonica_epic02_firemyst','The Firemyst Gully',-1189.55,-13.24,705.52,0,-1000000,0,0,0,'Instanced Outdoor',0,0,0,0,0,0,0,'GROUP_LOCKOUT_INSTANCE',0,0,0,0,'',300,'',0,1001393294,'',0,1,1,0),
(428,50,'Enchanted Dryad Grotto','exp05_dun_guk_upper_epic01_cave','Enchanted Dryad Grotto',13.8052,-32.8927,-322.195,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',2102400,0,2160000,0,'',300,'',0,1520991678,'',0,1,1,0),
(429,10,'PoetsPalace2','exp01_dun_poets_palace_community','Describe me in the zones table! :)',57,305,-54,95,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3656598577,'',0,1,1,0),
(431,40,'CharasisWest','exp04_dun_charasis_west','Emperor''s Athenaeum',0,0,0,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,241278901,'',0,1,1,0),
(432,0,'KurnsTower','exp04_dun_kurns_tower','Kurn''s Tower',0,0,0,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3159751852,'',0,1,1,0),
(433,40,'MoppetShoppe','exp04_dun_sebilis_quarters','The Moppet Shoppe',-17.4,31,479.8,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1525821771,'',0,1,1,0),
(434,50,'LowerGuk1','exp05_dun_guk_lower_epic01_cave','Describe me in the zones table! :)',0,0,0,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2474119725,'',0,1,1,0),
(435,0,'Mystic','live_epic_mystic','Describe me in the zones table! :)',0,0,0,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1533911469,'',0,1,1,0),
(436,0,'HauntedUnrest','live_haunted_unrest','The Estate of Unrest',0,0,0,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,269999116,'',0,1,1,0),
(437,0,'RodcetDiety','live_rodcet_diety','Describe me in the zones table! :)',0,0,0,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1148846749,'',0,1,1,0),
(438,0,'BuccaneersRest','befallen_epic01','The Buccaneer''s Rest',3.03794,-45,-44.6673,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4085832737,'',0,1,1,0),
(439,0,'TombNight2','mod01_dun_tombs_of_night','The Tombs of Night: A Search For Answers',120.016,-0.5,120.964,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2581166184,'',0,1,1,0),
(440,50,'LegendsMuseum','qey_guildhall_tier1','Legends of Norrath Museum',1.13356,1,-0.742676,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4025127940,'',0,1,1,0),
(441,10,'Enchanted Zygomyd Grotto','exp01_rgn_sinking_sands_epic01_lockjaw','Enchanted Zygomyd Grotto',213.457,-4.79144,-46.9508,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',212400,0,216000,0,'',300,'',0,2596566845,'',0,1,1,0),
(442,30,'Enchanted Brownie Grotto','exp03_dun_hollow_stump2','Enchanted Brownie Grotto',-216.12,-38.9957,29.9802,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',212400,0,216000,0,'',300,'',0,666462178,'',0,1,1,0),
(443,30,'Enchanted Fay Grotto','exp03_rgn_emerald_halls_event','Enchanted Fay Grotto',389.893,94.241,-800.458,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',212400,0,216000,0,'',300,'',0,2597729808,'',0,1,1,0),
(444,50,'Enchanted Naiad Grotto','exp05_dun_guk_lower_epic01_cave','Enchanted Naiad Grotto',-4.4465,-2.40918,2.62357,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',212400,0,216000,0,'',300,'',0,3722692659,'',0,1,1,0),
(445,0,'HoldFallen','fprt_epic05_a02_temple01','Hold of the Fallen',10.7279,1,-0.867747,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3192830649,'',0,1,1,0),
(446,0,'RitePassage','fprt_epic05_a02_temple01','Rite of Passage',9.72787,1,1.13225,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3789732280,'',0,1,1,0),
(447,0,'The Condemned Catacomb','qey_catacomb01','The Condemned Catacomb',-217.584,0.5,-56.58,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,539868059,'',0,1,1,0),
(448,0,'PrivateLounge','qey_ph_1r01','Bar of Brell: Private Lounge',-6.21334,0.0025,-0.20449,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2145600684,'',0,1,1,0),
(449,0,'Blumbles','steppes_mini01','Blumble''s Halfling Hole',820.961,-12,1023.16,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',300,'',0,2556324114,'',0,1,1,0),
(450,0,'SmallHideout','tutorial_island02_epic02','a small hideout',-4.89851,-8,161.891,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1266491077,'',0,1,1,0),
(451,0,'LibraryErudin','exp06_dun_erudin_erudin01','Library of Erudin',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2187208939,'',0,1,1,0),
(452,60,'Erudin Research Halls','exp06_dun_erudin_erudin02','Erudin Research Halls',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3855503282,'',0,1,1,0),
(453,60,'Royal Palace of Erudin','exp06_dun_erudin_erudin03','Royal Palace of Erudin',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,656532006,'',0,1,1,0),
(454,60,'The Vigilant: Final Destruction','exp06_dun_sentinal','The Vigilant: Final Destruction',0,72.5,-179,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3639764601,'',0,1,1,0),
(455,60,'TheHole','exp06_dun_thehole','The Hole',19.74,101.43,-66.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4112900241,'',0,1,1,0),
(456,60,'Demitrik''s Bastion','exp06_dun_thehole_wing1','Demitrik''s Bastion',19.74,101.43,-66.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,30053559,'',0,1,1,0),
(457,60,'The Outer Vault','exp06_dun_thehole_wing2','The Outer Vault',-48,102,-37,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2780385483,'',0,1,1,0),
(458,60,'SpiritsResonance','exp06_dun_thehole_wing3','Spirit''s Resonance',336.91,114.34,-254.43,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,356553526,'',0,1,1,0),
(459,0,'LairoftheDragonQueen','exp06_dun_toxxulia_mound01','Lair of the Dragon Queen',12.9,148.77,2427.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3161715072,'',0,1,1,0),
(460,60,'Conservatory','exp06_dun_vastydeep01','Vasty Deep: The Conservatory',-9.24,-7,-30.71,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,954080035,'',0,1,1,0),
(461,60,'AbandonedLabs','exp06_dun_vastydeep02','Vasty Deep: The Abandoned Labs',-0.89,-1.57,-1.28,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2073480066,'',0,1,1,0),
(462,60,'VestigialCella','exp06_dun_vastydeep03','Vasty Deep: The Vestigial Cella',-12.9,-10,-3.06,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1092966222,'',0,1,1,0),
(463,60,'Perah''Celsis'' Abominable Laboratory','exp06_dun_vastydeep02','Perah''Celsis'' Abominable Laboratory',14.47,-34.05,66.94,280,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2839605531,'',0,1,1,0),
(464,60,'StonebruntHighlands','exp06_rgn_odus_north','The Stonebrunt Highlands',-481.65,370.17,1513.09,45,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2369118810,'',0,1,1,0),
(465,60,'SunderedFrontier','exp06_rgn_odus_south','The Sundered Frontier',2213.66,-210.17,2469.19,90,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,168443344,'',0,1,1,0),
(466,60,'exp06_rgn_odus_south_epic01_panda','exp06_rgn_odus_south_epic01_panda','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1822966042,'',0,1,1,0),
(467,0,'BG_Ganak','battleground_ctf','Battlefield of Ganak',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2342906850,'',0,1,1,0),
(468,0,'BG_Smugglers','battleground_nodes','Smugglers Den',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2939036782,'',0,1,1,0),
(469,0,'BG_Gears','battleground_relic01','Gears of Klak''Anon',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1385404002,'',0,1,1,0),
(470,61,'FrostfangSea','halas','Frostfang Sea',-229.542,34.6202,-725.879,0,-1000000,0,1,80,'Outdoor',0,1,0,0,0,0,32,'NONE',0,0,0,0,'ZoneScripts/FrostfangSea.lua',300,'',0,2507711489,'',1,1,1,0),
(472,0,'cmmn_epic01_orc','cmmn_epic01_orc','KaljanarsLair',-8.26939,-46,733.468,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4069880593,'',0,1,1,0),
(473,0,'fprt_ph_5r01','fprt_ph_5r01','the Thexian Meeting',-3.87325,-0.497519,-2.07887,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1293060228,'',0,1,1,0),
(474,0,'solusekseye_epic03_thyr','solusekseye_epic03_thyr','The Oratorium of Thyr: Deserted',-205.749,-617,-189.786,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1724471149,'',0,1,1,0),
(475,0,'MurkwaterNook','fprt_sewer_epic03','The Murkwater Nook',3.80113,0.5,-17.8084,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2224401447,'',0,1,1,0),
(476,0,'ShatteredStillnessEpic','antonica_epic02_firemyst','Shattered Stillness: Epic',-1187.3,-1187.3,-1187.3,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,19001049,'',0,1,1,0),
(477,0,'PiratesStashHeroic','steppes_mini01','Heroic: A Pirate''s Hidden Stash',820.961,-12,1025.16,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2609903017,'',0,1,1,0),
(478,0,'RumblerCavesHeroic','steppes_mini01','Heroic: Rumbler Caves',955.493,-22,1192.34,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2259272861,'',0,1,1,0),
(479,0,'HollowHedge','live_haunted_cauldroncove','The Hollow Hedge',884.89,7.44304,-476.69,0,-1000000,0,1,80,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,697470619,'',0,1,1,0),
(480,70,'GreatDivide','exp07_rgn_great_divide','Great Divide',-1422.07,-510.27,-2275.1,35.46,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2941246892,'',0,1,1,0),
(481,70,'EasternWastes','exp07_rgn_eastern_wastes','Eastern Wastes',-946.3,-336.29,2365.81,220,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,627308595,'',0,1,1,0),
(482,70,'Crystal Caverns: Collapse','exp07_dun_crystalcavern','Crystal Caverns: Collapse',23,-34.32,91.35,260,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,351588182,'',0,1,1,0),
(483,70,'KaelDrakkel','exp07_dun_kael_drakkel','Kael Drakkel',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2072927759,'',0,1,1,0),
(484,70,'Iceshard Keep','exp07_dun_kael_iceshard_keep','Iceshard Keep',-563.9,73.3,-25.17,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,1810346508,'',0,1,1,0),
(485,70,'The Temple of Rallos Zek','exp07_dun_kael_temple_zek','The Temple of Rallos Zek',-618.54,76.9,-1110.49,20,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,1762357401,'',0,1,1,0),
(486,70,'Throne of Storms','exp07_dun_kael_throne','Throne of Storms',153.28,20.17,1614.75,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,3130420047,'',0,1,1,0),
(487,0,'KraytocsFortress','exp07_dun_kraytocs_fortress','Kraytoc''s Fortress Of Rime',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3842703654,'',0,1,1,0),
(488,70,'Tower of Frozen Shadow: Shadowed Corridors','exp07_dun_toweroffrozenshadow','Tower of Frozen Shadow: Shadowed Corridors',2,-2,18.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2210333543,'',0,1,1,0),
(489,70,'Forgotten Pools','exp07_dun_velks_forgotten_pools','Forgotten Pools',0,0,0,0,-2000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2467121774,'',0,1,1,0),
(490,70,'TheAscent','exp07_dun_velks_the_ascent','The Ascent',-448,115,-285,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,737340354,'',0,1,1,0),
(491,0,'ShatteredVale6','antonica_epic01_vale_gu54','Describe me in the zones table! :)',-2526.79,15.67,-50.07,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1733527721,'',0,1,1,0),
(492,50,'GukSpire','exp05_dun_guk_spire','Zraxth''s Unseen Arcanum',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4258451007,'',0,1,1,0),
(493,0,'PotAOTradeskill','exp05_dun_void_palace_crafter','Palace of the Ancient One (Tradeskill)',-145,2,-3,268,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2629848730,'',0,1,1,0),
(494,60,'Underfoot Depths','exp06_dun_thehole_raid','Underfoot Depths',0,32,-63,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,777600,0,'',300,'',0,3937794584,'',0,1,1,0),
(495,70,'Sullon''s Spire','exp07_dun_drunder_sullon_spire','Sullon''s Spire',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1889953215,'',0,1,1,0),
(496,70,'Tallon''s Stronghold','exp07_dun_drunder_tallon_stronghold','Tallon''s Stronghold',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2477908764,'',0,1,1,0),
(497,70,'Vallon''s Tower','exp07_dun_drunder_vallon_tower','Vallon''s Tower',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3159879625,'',0,1,1,0),
(498,70,'OuterKael','exp07_dun_kael_drakkel_hub','Outer Kael',-2135,57.36,-1200,220,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2607747591,'',0,1,1,0),
(499,70,'Thurgadin','exp_07_thurgadin_velious','Thurgadin, City of the Coldain',985,-308,367,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3581557641,'',0,1,1,0),
(501,61,'Halas1Room','halas_ph_1room','Halas One Room Housing',51.16,49.48,138.12,179,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,802201839,'',0,1,1,0),
(502,61,'Halas3Room','halas_ph_3room','New Halas Three Room Housing',34.38,49.48,-3.1,270,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2463865530,'',0,1,1,0),
(503,61,'Halas5Room','halas_ph_5room','New Halas Five Room Housing',33.78,49.48,-154.57,270,-1000000,0,0,0,'Player Housing',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3741636536,'',0,1,1,0),
(504,0,'SummerHome','home_everfrost_menagerie','Everfrost Summer Home',-105,-23,-349,185,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1539707629,'',0,1,1,0),
(505,10,'VacationSuite','home_majdul_bottle','Maj''Dul Vacation Suite',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1540644614,'',0,1,1,0),
(506,10,'PersonalLibrary','home_majdul_library','Personal Library',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,3298151362,'',0,1,1,0),
(507,0,'OperaHouse','home_neriak_opera','Private Opera House',-665,29,-25,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,834698580,'',0,1,1,0),
(508,0,'Dojo','home_qeynos_dojo','Personal Dojo',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3841277655,'',0,1,1,0),
(509,0,'live_epic_mystic_odus','live_epic_mystic_odus','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,486657895,'',0,1,1,0),
(510,61,'SkybladeSkiff','live_ph_skyblade01','Skyblade Skiff',-0.3,9.86,76.62,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3371790322,'',0,1,1,0),
(511,0,'MistmooreCragsEstate','mistmoore_ph_5r01','Mistmoore Crags Estate',6.89,0.3,-11.2,112.46,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1718101213,'',0,1,1,0),
(512,0,'IcyKeep','permafrost_frostfell','The Icy Keep (Easy)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1450981306,'',0,1,1,0),
(513,0,'Shard of Love: A Moment of Valor','shard_of_love','Shard of Love: A Moment of Valor',33.32,-7.56,105.31,11,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,4130908304,'',0,1,1,0),
(514,0,'MistmooreCragsEstates','veteran_ph_mistmoore','Mistmoore Crags Estates',30,16,254,95,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3751751387,'',0,1,1,0),
(515,50,'HalasGuild1','qey_guildhall_tier1','Halas Guild Hall',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,285232141,'',0,1,1,0),
(516,61,'IllbodingDark','halas_epic01_necro','Cave of Illboding Dark',738.774,41.9821,133.181,0,-1000000,0,12,15,'Instanced Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',300,'',0,3635449592,'',0,1,1,0),
(517,61,'IllbodingDark1','halas_epic01_necro','Cave of Illboding Dark: The Source',738.774,41.9821,133.181,0,-1000000,0,12,15,'Instanced Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',300,'',0,3649530009,'',0,1,1,0),
(522,60,'VastyDeep','exp06_dun_vastydeep04','The Vasty Deep',14,-34,66,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,874710987,'',0,1,1,0),
(523,60,'The Palace of Roehn Theer','exp06_dun_erudin_erudin03','The Palace of Roehn Theer',-4,3,3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,242610330,'',0,1,1,0),
(524,10,'Silent City: The Delving Dead','exp01_dun_silent_city','Silent City: The Delving Dead',143,31,160,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,914159040,'',0,1,1,0),
(525,0,'TangledWeeds2','enchanted_mini01','Heroic: Cavern of Tangled Weeds',-79.8,-2.63,-1120.98,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1850595577,'',0,1,1,0),
(526,0,'DarkenedDen','orcishwastes_mini01','The Darkened Den',353,-121.77,-57.34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1976475018,'',0,1,1,0),
(527,0,'DarkenedDen2','orcishwastes_mini01','Heroic: The Darkened Den',353,-121.77,-57.34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3511599308,'',0,1,1,0),
(528,0,'TallonHalls2','orcishwastes_mini01','Heroic: The Tallon Hording Halls',353,-121.77,-57.34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3177504651,'',0,1,1,0),
(529,0,'SullonMines2','orcishwastes_mini01','Heroic: The Sullon Mines',353,-121.77,-57.34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2808492783,'',0,1,1,0),
(530,0,'TombNight3','mod01_dun_tombs_of_night','The Tombs of Night: Retribution',120.016,-0.5,120.964,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3382395703,'',0,1,1,0),
(531,0,'Echoes of Time: Epic','cmmn_epic02_mage','Echoes of Time: Epic',863.77,-18.31,581.92,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,286042508,'',0,1,1,0),
(532,0,'Icy Keep: Retribution','permafrost_frostfell','Icy Keep: Retribution',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',432000,0,777600,0,'',300,'',0,2780150587,'',0,1,1,0),
(533,0,'Acquisition','nektulos_mini01','Acquisition',2.53,2.46,-3.88,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,233219426,'',0,1,1,0),
(534,0,'QinLo1','adv04_dun_endless','Trial of Qin Lo: Solo',-33.7,-89.42,24.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3975257256,'',0,1,1,0),
(535,80,'ChampionsRespite','battleground_lobby','Champion''s Respite',22.4925,1,-28.5045,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,581603936,'',0,1,1,0),
(536,80,'TenebrousRefuge','home_floating_island','Tenebrous Island Refuge',-41.4936,-1.48073,96.1204,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,912708921,'',0,1,1,0),
(537,80,'Sleeper''s Tomb: the Awakening','exp08_dun_sleepers_tomb','Sleeper''s Tomb: the Awakening',-17.01,-9,24.93,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1230803961,'',0,1,1,0),
(538,80,'Sleeper''s Tomb: Unearthed [Raid]','exp08_dun_sleepers_tomb_destroyed','Sleeper''s Tomb: Unearthed [Raid]',-23,-10,3.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,2882959844,'',0,1,1,0),
(539,80,'SleepersTomb2','exp08_dun_sleepers_tomb_destroyed','Sleeper''s Tomb [Contested]',-7,-10,-2.5,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,207236618,'',0,1,1,0),
(540,80,'Sleeper''s Tomb: The Forgotten Catacombs [Advanced Solo]','exp08_dun_sleepers_tomb','Sleeper''s Tomb: The Forgotten Catacombs [Advanced Solo]',413.5,-118,-84.2,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2478476480,'',0,1,1,0),
(541,80,'Sleeper''s Tomb: The Forgotten Catacombs [Heroic]','exp08_dun_sleepers_tomb','Sleeper''s Tomb: The Forgotten Catacombs [Heroic]',412.5,-118,-97.2,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,802506635,'',0,1,1,0),
(542,80,'Sleeper''s Tomb: a Temporal Leap [Raid]','exp08_dun_sleepers_tomb','Sleeper''s Tomb: a Temporal Leap [Raid]',-15.7883,-9.71442,25.6396,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',259200,0,604800,0,'',300,'',0,381322104,'',0,1,1,0),
(543,70,'Temple of Rallos Zek: Foundations of Stone','exp07_dun_kael_temple_zek','Temple of Rallos Zek: Foundations of Stone',-603.509,78,-1108.79,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1789287425,'',0,1,1,0),
(544,70,'Temple of Rallos Zek: Foundations of Stone [Challenge]','exp07_dun_kael_temple_zek','Temple of Rallos Zek: Foundations of Stone [Challenge]',-621.509,78,-1108.79,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,80646324,'',0,1,1,0),
(545,70,'Throne of Storms: Hall of Legends','exp07_dun_kael_throne','Throne of Storms: Hall of Legends',-128.696,-11,789.267,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,4105157939,'',0,1,1,0),
(546,70,'Throne of Storms: Hall of Legends [Challenge]','exp07_dun_kael_throne','Throne of Storms: Hall of Legends [Challenge]',-128.696,-11,789.267,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,387707375,'',0,1,1,0),
(547,0,'BuriedHideout','qey_catacomb_epic03','A Buried Hideout',-22,3.5,20.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1939516724,'',0,1,1,0),
(548,0,'DireHollow2','nektulos_mini02','Dire Hollow: Grim Tidings',0.8,-1,3.3,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,378944620,'',0,1,1,0),
(549,70,'FortressDrunder','exp07_dun_drunder_fortress','The Fortress of Drunder',-2.1,-0.21,23.25,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,611439565,'',0,1,1,0),
(550,0,'The Deserted Mine','orcishwastes_mini01','The Deserted Mine',382.376,8,-95.08,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3133936487,'',0,1,1,0),
(551,70,'Tower of Frozen Shadow: Umbral Halls','exp07_dun_toweroffrozenshadow','Tower of Frozen Shadow: Umbral Halls',-68.33,293.5,-7.82,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,4253130900,'',0,1,1,0),
(552,70,'TowerFrozenShadow2','exp07_dun_toweroffrozenshadow','Tower of Frozen Shadow: Haunt of Syl''Tor',-40.03,635.5,111.46,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,776524994,'',0,1,1,0),
(553,0,'HiddenVillage','feerrott_epic02_froglok','The Hidden Village of Kugup',-140.131,14,142.309,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/HiddenVillage.lua',300,'',0,3407712702,'',0,1,1,0),
(554,0,'CourtAlAfaz','exp01_dun_shimmering_citadel','The Court of Al''Afaz',56.26,97.454,-124.98,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4256496104,'',0,1,1,0),
(555,0,'The Gates of Ahket Aken','exp01_dun_living_tombs','The Gates of Ahket Aken',-633.189,5,371.191,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,717528266,'',0,1,1,0),
(556,0,'A Meeting of the Minds','feerrott_epic01_temple','A Meeting of the Minds',-905.273,-8,220.462,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'ZoneScripts/MeetingOfTheMinds.lua',300,'',0,1842738791,'',0,1,1,0),
(557,0,'LockjawsLair','exp01_rgn_sinking_sands_epic01_lockjaw','Lockjaw''s Lair',-3.38824,8,15.4198,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3439770280,'',0,1,1,0),
(558,0,'Meditation','adv04_tower_cave','The Mediation Chamber',-13.8528,0.0025,-2.60848,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3350653370,'',0,1,1,0),
(559,80,'Freeport','freeport_combined','The City of Freeport',-232.028,-56.065,172.565,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Freeport.lua',300,'',0,716469914,'',0,1,1,0),
(560,0,'Nizara','adv04_dun_endless','Nizara, City of the Nayad',-48.9533,-89,-8.30118,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,729645890,'',0,1,1,0),
(561,0,'ZanFi','adv04_dun_drgn_temple','Sepulcher of Zan Fi',22.0348,2,35.0558,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2763425328,'',0,1,1,0),
(562,0,'Jiang1','adv04_dun_endless','Trial of Jiang Anlan: Solo',50.0781,-89,-7.80834,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2616412967,'',0,1,1,0),
(563,0,'Jiang2','adv04_dun_endless','Trial of Jiang Anlan: Heroic',51.0781,-89,-8.80834,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2591092899,'',0,1,1,0),
(564,0,'TempleScale1','exp02_dun_lair_of_scale','The Temple of Scale',11.1522,135.658,-214.027,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,994882643,'',0,1,1,0),
(565,0,'TempleScale2','exp02_dun_lair_of_scale','The Temple of Scale: Pedestal of the Priestess',-12.8215,57.6019,263.487,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4267147135,'',0,1,1,0),
(566,0,'SunKai1','adv04_dun_endless','Trial of Sun Kai: Solo',5.21633,-44,22.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1106002034,'',0,1,1,0),
(567,0,'SunKai2','adv04_dun_endless','Trial of Sun Kai: Heroic',-0.783668,-44,23.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2446330851,'',0,1,1,0),
(568,0,'LiZhong2','adv04_dun_endless','Trial of Li Zhong: Heroic',1.21633,-44,23.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3502512801,'',0,1,1,0),
(569,0,'Sagacious1','adv04_dun_endless','Trial of Sagacious Ting: Solo',5.21633,-44,22.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1462123052,'',0,1,1,0),
(570,0,'Sagacious2','adv04_dun_endless','Trial of Sagacious Ting: Heroic',-0.783668,-44,23.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1227304061,'',0,1,1,0),
(571,0,'BoFen1','adv04_dun_endless','Trial of Bo Fen: Solo',50.0781,-89,-7.80834,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1065240210,'',0,1,1,0),
(572,0,'BoFen2','adv04_dun_endless','Trial of Bo Fen: Heroic',51.0781,-89,-8.80834,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4031776815,'',0,1,1,0),
(573,0,'LinVo1','adv04_dun_endless','Trial of Lin Vo: Solo',5.21633,-44,22.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3776901092,'',0,1,1,0),
(574,0,'LinVo2','adv04_dun_endless','Trial of Lin Vo: Heroic',-0.783668,-44,23.6322,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3124172364,'',0,1,1,0),
(575,0,'QinLo2','adv04_dun_endless','Trial of Qin Lo: Heroic',50.0781,-89,-7.80834,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3728328101,'',0,1,1,0),
(576,0,'Munzoks','exp05_dun_void_anchor','Munzok''s Material Bastion',-515.313,0,657.814,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',417600,0,604800,0,'',300,'',0,1140436936,'',0,1,1,0),
(577,0,'CommuneKDal','lavastorm_epic02_gulch','Commune of K`Dal',-189.774,4,-338.747,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,603402304,'',0,1,1,0),
(578,0,'ForgeOfAges','lavastorm_epic01_sanctum','The Infernal Forge of Ages',-313.356,-48,-744.563,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1977557393,'',0,1,1,0),
(584,70,'ThurgadinGrandHall','thurgadin_prestige_home','Thurgadin Grand Hall',-347.295,-279.667,-387.081,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1249872435,'',0,1,1,0),
(585,70,'Crystalline Breaks','exp07_dun_crystalcavern','Crystalline Breaks',23.9496,-33,92.1147,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',64800,0,126000,0,'',300,'',0,396208633,'',0,1,1,0),
(586,70,'Hold of Rime: The Ascent','exp07_dun_velks_the_ascent','Hold of Rime: The Ascent',1.28,-5,-2.78,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,941265492,'',0,1,1,0),
(587,70,'Hold of Rime: The Fortress Spire','exp07_dun_kraytocs_fortress','Hold of Rime: The Fortress Spire',-53.72,1,-25.84,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1872281253,'',0,1,1,0),
(588,0,'KraytocsFortressHardMode','exp07_dun_kraytocs_fortress','Kraytoc''s Fortress of Rime [Challenge]',0.292056,0,2.30359,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,122053753,'',0,1,1,0),
(589,80,'qeynos_combined01','qeynos_combined01','Qeynos Capitol District',396.938,-20.9182,-175.205,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/QeynosCapitalDistrict.lua',300,'',0,1372323775,'',1,1,1,0),
(590,0,'UnkemptVale','antonica_epic01_vale','The Unkempt Vale: A Lordly Confrontation',-2358.17,11,-53.2353,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,938907661,'',0,1,1,0),
(591,0,'The Far Pelican','boat_06p_feerrott','The Far Pelican',0.912209,2,-18.9637,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,20942085,'',0,1,1,0),
(592,0,'AzhubsShip','boat_06p_lavastorm','Azhub''s Ship',3.12657,-1.5,-7.73107,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1286725707,'',0,1,1,0),
(593,0,'The Chamber of the Keeper','cazicthule_epic01_sanctum','The Chamber of the Keeper',0.464886,-9.9975,-179.077,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'ZoneScripts/The Chamber of the Keeper.lua',300,'',0,510571427,'',0,1,1,0),
(594,0,'Gnoll Cave','enchanted_mini01','A Gnoll Cave',-340.291,3.79318,-628.419,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1114078370,'',0,1,1,0),
(595,0,'The Forbidden Sepulcher','everfrost_epic02_icespire','The Forbidden Sepulcher',-75.0322,60,-893.966,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1334967479,'',0,1,1,0),
(596,10,'MajDul3Residence2','exp01_cty_majdul_3r02','A Maj''Dul Residence',9.43738,0.5,1.00831,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1613383542,'',0,1,1,0),
(597,10,'AzharsPenitence','exp01_dun_shimmering_citadel_epic01_bottle','Azhar''s Penitence',0.61955,1,52.6354,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1796401397,'',0,1,1,0),
(598,10,'PalaceSabaron','exp01_dun_shimmering_citadel_epic02_prism','The Palace of Sabaron',-19.5178,-6.1451,-26.9855,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,39282643,'',0,1,1,0),
(599,10,'Ancient''s Table','exp01_rgn_pillars_of_flame_epic01_cazel','Ancient''s Table',1.47885,-0.100438,7.03403,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2078528578,'',0,1,1,0),
(600,10,'Scornfeather Roost','exp01_rgn_pillars_of_flame_epic01_cazel','Scornfeather Roost',2.83403,1,5.48852,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,4256169197,'',0,1,1,0),
(601,10,'The Hidden Cache','exp01_rgn_sinking_sands_epic01_lockjaw','The Hidden Cache',111.747,-10,-109.677,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2054476845,'',0,1,1,0),
(602,10,'The Sanctorium','exp01_rgn_sinking_sands_epic01_lockjaw','The Sanctorium',-8.69045,8,7.14274,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1063191088,'',0,1,1,0),
(603,20,'LaboratoryLordVyemm','exp02_dun_halls_of_fate','The Laboratory of Lord Vyemm',-124.634,-68,451.577,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,598407856,'',0,1,1,0),
(604,20,'AscentAwakened','exp02_dun_shrines_of_sky','Ascent of the Awakened',-66.3987,0.5,1.96815,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,931857537,'',0,1,1,0),
(605,30,'HauntedVaults','exp03_dun_kaladim_stormguard_hall','The Haunted Vaults',157.515,18,-61.1178,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,759321130,'',0,1,1,0),
(606,40,'EmperorsAthenaeum(Duplicated?)','exp04_dun_charasis_west','Emperor''s Athenaeum',3.15,0,2.12,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3574873323,'',0,1,1,0),
(607,40,'TempleCabilis','exp04_dun_sebilis_quarters','Lost Temple of Cabilis',109.789,-10.4975,219.764,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2450210553,'',0,1,1,0),
(608,50,'UnseenArcanum','exp05_dun_guk_spire','Zraxth''s Unseen Arcanum',6.53,9,-21.41,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1536294196,'',0,1,1,0),
(609,0,'MiragulsPlanarShard','exp05_dun_miragul_shard','Miragul''s Planar Shard',-19.08,1,-61.93,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3082106730,'',0,1,1,0),
(610,60,'The Vigilant: Incursion','exp06_dun_sentinal','The Vigilant: Incursion',0.86,3,126.88,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,4148131641,'',0,1,1,0),
(611,60,'Vigilant3','exp06_dun_sentinal','The Vigilant: Infiltration',4.27,85,-23.32,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1121019415,'',0,1,1,0),
(612,60,'The Vigilant: Rescue','exp06_dun_sentinal','The Vigilant: Rescue',0.06,62,-116.18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,3900422267,'',0,1,1,0),
(613,60,'DarkCave','exp06_rgn_odus_north','A Dark Cave',191.68,239,255.42,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,70815476,'',0,1,1,0),
(614,70,'Spire of Rage','exp07_dun_drunder_sullon_spire','Spire of Rage',2.12005,0,-6.13393,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2307600024,'',0,1,1,0),
(615,70,'Sullon''s Spire [Challenge]','exp07_dun_drunder_sullon_spire','Sullon''s Spire [Challenge]',1.09203,0,-2.46779,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3128598947,'',0,1,1,0),
(616,70,'Citadel of V''uul','exp07_dun_drunder_tallon_stronghold','Citadel of V''uul',3.09203,0,-1.46779,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3716709206,'',0,1,1,0),
(617,70,'Tallon''s Stronghold [Challenge]','exp07_dun_drunder_tallon_stronghold','Tallon''s Stronghold [Challenge]',5.09203,0,-7.46779,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,456754750,'',0,1,1,0),
(618,70,'Vallon''s Tower [Challenge]','exp07_dun_drunder_vallon_tower','Vallon''s Tower [Challenge]',-4.90797,0,-6.46779,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,3784641944,'',0,1,1,0),
(619,70,'Elements of War','exp07_dun_plane_of_war','Elements of War',-61.5,102,-104.63,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,3104613921,'',0,1,1,0),
(620,70,'Elements of War [Challenge]','exp07_dun_plane_of_war','Elements of War [Challenge]',-60.5,102,-101.63,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',64800,0,259200,0,'',300,'',0,2562014133,'',0,1,1,0),
(621,70,'PlaneWar','exp07_dun_plane_of_war','Plane of War',-60.7,56,818.66,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4064403794,'',0,1,1,0),
(622,80,'Skyshrine','exp08_dun_skyshrine_courtyard01_scorched','Skyshrine: The City of Dracur',-1.03,0,-24.95,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3070042545,'',0,1,1,0),
(623,80,'WitheredLands','exp08_rgn_withered_lands','The Withered Lands',-555.08,-685.734,367.063,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1535573742,'',0,1,1,0),
(624,90,'Chelsith: The Ancient Vault','exp09_dun_deepchelsith','Chelsith: The Ancient Vault',-44.18,10.77,6.55,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2809552448,'',0,1,1,0),
(625,90,'Chelsith: The Ancient Vault [Advanced Solo]','exp09_dun_deepchelsith','Chelsith: The Ancient Vault [Advanced Solo]',-44.18,10.77,6.55,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2085057283,'',0,1,1,0),
(626,90,'Harrow''s End (Raid)','exp09_dun_drinals_castle','Harrow''s End (Raid)',8.8,-7,147.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1655488815,'',0,1,1,0),
(627,90,'Harrow''s End: Baleful Dominion (Heroic)','exp09_dun_drinals_castle','Harrow''s End: Baleful Dominion (Heroic)',8.8,-7,147.6,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,988708542,'',0,1,1,0),
(628,90,'Dreadcutter','exp09_dun_drinals_ferry','The Dreadcutter',-6.17,24,74.69,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,302382115,'',0,1,1,0),
(629,90,'The Dreadcutter [Advanced Solo]','exp09_dun_drinals_ferry','The Dreadcutter [Advanced Solo]',-6.29,24,74.91,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1764171761,'',0,1,1,0),
(630,90,'AltarAbhorrence24','exp09_dun_temple_of_faceless','Altar of Abhorrence (Raid)',-405.79,2,464.82,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,324758579,'',0,1,1,0),
(631,90,'Temple of the Faceless (Heroic)','exp09_dun_temple_of_faceless','Temple of the Faceless (Heroic)',-404.79,2,463.82,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1730263976,'',0,1,1,0),
(632,90,'Temple of the Faceless: Imprisonment (Advanced Solo)','exp09_dun_temple_of_faceless','Temple of the Faceless: Imprisonment (Advanced Solo)',-405.79,2,462.82,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2501061511,'',0,1,1,0),
(633,90,'Throne of Fear (Heroic)','exp09_dun_throne_of_fear','Throne of Fear (Heroic)',-317.01,1,-2.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3593629100,'',0,1,1,0),
(634,90,'Throne of Fear: Ascension (Advanced Solo)','exp09_dun_throne_of_fear','Throne of Fear: Ascension (Advanced Solo)',-317.01,1,-2.59,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,99545403,'',0,1,1,0),
(635,90,'ThroneFear2','exp09_dun_throne_of_fear','Throne of Fear: The Fear Gate',210.733,72.34,44.4457,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3648292296,'',0,1,1,0),
(636,0,'Wurmbone''s End','exp09_dun_wurmbones_end','Wurmbone''s End',-16.89,-128,335.57,0,-2000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3371006638,'',0,1,1,0),
(637,0,'Wurmbone''s End [Advanced Solo]','exp09_dun_wurmbones_end','Wurmbone''s End [Advanced Solo]',-16.3104,-129.714,334.796,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2047415502,'',0,1,1,0),
(638,90,'WurmboneCrag','exp09_dun_wurmbone_gulch','Wurmbone Crag',89.99,14,267.1,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,4070843496,'',0,1,1,0),
(639,90,'WurmboneCrag1','exp09_dun_wurmbone_gulch','Wurmbone Crag [Advanced Solo]',89.99,14,267.1,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1585901758,'',0,1,1,0),
(640,90,'EidolonJungle','exp09_rgn_eidolon_jungle','The Eidolon Jungle',-2159.75,222.393,768.29,0,-1000000,0,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,545027572,'',0,1,1,0),
(641,90,'ObolPlains','exp09_rgn_plains_of_obol','Obol Plains',64.8961,13.5217,965.592,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,126142372,'',0,1,1,0),
(642,0,'The Vault of the Fallen','fallengate_epic01_boss','The Vault of the Fallen',35.3134,-26.21,-189.683,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GROUP_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,3181807316,'',0,1,1,0),
(643,0,'DenCellar','fprt_epic01_storeroom01','Jade Tiger''s Den Cellar',0.187354,0.328323,-4.61251,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2451593186,'',0,1,1,0),
(644,0,'BigBend2','fprt_hood01','Big Bend: Sanctum of Spirits',-4.04,3,-69.27,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2366221557,'',1,1,1,0),
(645,0,'StonestairByway2','fprt_hood02','Stonestair Byway: The Animus Corridors',9.07333,-4,-101.943,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4205698383,'',1,1,1,0),
(646,0,'TempleStreet2','fprt_hood03','Temple Street: Vault of Necromechanica',17.7,3.5,23.14,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1757098077,'',1,1,1,0),
(647,0,'BeggarsCourt2','fprt_hood04','SweatStainedCobbles',67.1062,-6.5,112.909,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1229760122,'',1,1,1,0),
(648,0,'LongshadowAlley2','fprt_hood05','Longshadow Alley: Daeneth Cloister',13.8144,3.5,74.3103,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2777048224,'',1,1,1,0),
(649,0,'ScaleYard2','fprt_hood06','Scale Yard: Traitors'' End',-7.95922,-5,-9.88693,0,-1000000,0,0,0,'',0,1,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3411094155,'',1,1,1,0),
(650,0,'Court','home_citadel','Court',98.3708,146.589,-58.8835,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3864808754,'',0,1,1,0),
(651,0,'FelwitheMansion','home_felwithe_throne','Felwithe Mansion',-76.8586,69.2698,-888.608,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2163020640,'',0,1,1,0),
(652,0,'ArcaneAcademy','home_freeport','Arcane Academy',-5.84555,-6.23708,-123.799,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2085328324,'',0,1,1,0),
(653,0,'TowerofKnowledge','home_magetower','Tower of Knowledge',-19.8019,-1.08077,-0.287789,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,979361544,'',0,1,1,0),
(654,10,'AstronomersTower','home_majdul_moon','Maj''Dul Astronomer''s Tower',-0.011612,-0.158504,1.65973,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,2077481292,'',0,1,1,0),
(655,0,'PersonalPlanetarium','home_poets_pedestal','Personal Planetarium',-48.9755,-0.570557,-0.313724,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2895880348,'',0,1,1,0),
(656,0,'StormTowerIsle','home_stormy_isle','Storm Tower Isle',35.6977,44.7829,-101.576,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,457594060,'',0,1,1,0),
(657,0,'SecludedSanctum','home_sullon_spire','Secluded Sanctum',117.699,356.786,-54.65,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2665644280,'',0,1,1,0),
(658,0,'UncannyEstate','home_unrest','Uncanny Estate',-0.011612,-0.064752,1.65973,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2261834051,'',0,1,1,0),
(659,0,'ResearchSanctum','home_vasty_library','Research Sanctum',21.2437,-14.9975,-383.902,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2580496839,'',0,1,1,0),
(660,90,'qeynos_combined02','qeynos_combined02','Qeynos Province District',819.286,-23.3299,65.9943,0,-1000000,0,0,0,'Outdoor',0,1,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/qeynos_combined02.lua',300,'Welcome to Qeynos',0,4243691597,'',1,1,1,0),
(661,0,'BuccaneersHideout','qey_epic06_p12_irontoes','Buccaneers'' Hideout',1.62288,-0.276476,-2.56662,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'ZoneScripts/BuccaneersHideout.lua',300,'',0,1813992810,'',0,1,1,0),
(662,0,'SeedTunarbos','qey_ph_3r01','The Seed of Tunarbos',0.066109,-2,7.9765,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,597408693,'',0,1,1,0),
(663,0,'FightClub','qey_ph_3r03','Fight Club',1.60767,-1.99737,7.14355,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,902117370,'',0,1,1,0),
(664,80,'GrandHall','thurgadin_prestige_home','Grand Hall',-347.295,-279.667,-387.081,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1066222316,'',0,1,1,0),
(665,0,'DaratharsFlight','tutorial_island02','The Isle of Refuge: Darathar''s Flight',-10.2996,-2.91619,167.785,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,712866647,'',0,1,1,0),
(666,0,'PermafrostCrypt','permafrost_frostfell','Permafrost Crypt: Decorating Retribution',-35.4254,2.72433,-575.952,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3906013280,'',0,1,1,0),
(667,0,'IcyKeep4','permafrost_frostfell','The Icy Keep (Hard)',0.995131,1,3.07628,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3727147705,'',0,1,1,0),
(668,110,'antonica_epic03_prelude','antonica_epic03_prelude','Rings of Karana',-2351,9,-60,114,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1658334079,'',0,1,1,0),
(669,110,'Arena of the Gods','arena_of_the_gods','Arena of the Gods',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1052054857,'',0,1,1,0),
(670,110,'battleground_defense','battleground_defense','Describe me in the zones table! :)',0,2,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1911547645,'',0,1,1,0),
(671,80,'dyod_chardok_layout01','dyod_chardok_layout01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,841620457,'',0,1,1,0),
(672,80,'dyod_crushbone_layout01','dyod_crushbone_layout01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1381577611,'',0,1,1,0),
(673,80,'dyod_crushbone_layout02','dyod_crushbone_layout02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3732204929,'',0,1,1,0),
(674,80,'dyod_crushbone_layout03','dyod_crushbone_layout03','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2084751320,'',0,1,1,0),
(675,80,'dyod_crushbone_layout04','dyod_crushbone_layout04','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,453115323,'',0,1,1,0),
(676,110,'dyod_crushbone_layout05','dyod_crushbone_layout05','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3444894973,'',0,1,1,0),
(677,110,'dyod_lairofscale_layout01','dyod_lairofscale_layout01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,663025097,'',0,1,1,0),
(678,80,'dyod_lairofscale_layout02','dyod_lairofscale_layout02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4062510352,'',0,1,1,0),
(679,110,'dyod_lairofscale_layout03','dyod_lairofscale_layout03','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3780867910,'',0,1,1,0),
(680,110,'dyod_lairofscale_layout04','dyod_lairofscale_layout04','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,98510894,'',0,1,1,0),
(681,110,'dyod_mistmoore_layout01','dyod_mistmoore_layout01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3980177101,'',0,1,1,0),
(682,80,'dyod_mistmoore_layout02','dyod_mistmoore_layout02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2970591846,'',0,1,1,0),
(683,110,'dyod_mistmoore_layout03','dyod_mistmoore_layout03','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,93754491,'',0,1,1,0),
(684,110,'dyod_mistmoore_layout04','dyod_mistmoore_layout04','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1367151795,'',0,1,1,0),
(685,80,'dyod_mistmoore_layout05','dyod_mistmoore_layout05','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2817592037,'',0,1,1,0),
(686,110,'dyod_poets_layout01','dyod_poets_layout01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,224844426,'',0,1,1,0),
(687,110,'everfrost_frostfell_new01','everfrost_frostfell_new01','Frostfell Winter Wonderland',102,-3,-1145,0,-1000000,0,0,0,'Outdoor',0,0,0,0,5,0,0,'NONE',0,0,0,0,'',1500,'',0,3458720199,'',0,1,1,0),
(688,110,'exp02_rgn_realm_of_night_epic','exp02_rgn_realm_of_night_epic','Describe me in the zones table! :)',0,-359,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2889839206,'',0,1,1,0),
(689,110,'exp03_rgn_emerald_halls_hq','exp03_rgn_emerald_halls_hq','Describe me in the zones table! :)',530,96,-718,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3016383215,'',0,1,1,0),
(690,110,'exp06_dun_erudin_deathmatch','exp06_dun_erudin_deathmatch','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3916063111,'',0,1,1,0),
(691,110,'exp06_dun_thehole_kabar','exp06_dun_thehole_kabar','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2272134118,'',0,1,1,0),
(692,110,'exp06_rgn_odus_south_kerra','exp06_rgn_odus_south_kerra','Describe me in the zones table! :)',1295,-27,2477,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2953554347,'',0,1,1,0),
(693,110,'exp08_dun_sirensfrotto01','exp08_dun_sirensfrotto01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,390008010,'',0,1,1,0),
(694,110,'exp08_dun_skyshrine_courtyard01','exp08_dun_skyshrine_courtyard01','Describe me in the zones table! :)',0,2,0,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4176480526,'',0,1,1,0),
(695,110,'exp08_dun_skyshrine_courtyard01_scorched_arcane','exp08_dun_skyshrine_courtyard01_scorched_arcane','Describe me in the zones table! :)',0,2,0,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2266046763,'',0,1,1,0),
(696,110,'exp08_dun_skyshrine_courtyard01_scorched_capital','exp08_dun_skyshrine_courtyard01_scorched_capital','Describe me in the zones table! :)',0,2,0,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1341532373,'',0,1,1,0),
(697,110,'exp08_dun_skyshrine_courtyard01_scorched_market','exp08_dun_skyshrine_courtyard01_scorched_market','Describe me in the zones table! :)',0,2,0,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,649821061,'',0,1,1,0),
(698,0,'exp08_dun_skyshrine_lower01','exp08_dun_skyshrine_lower01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3140833851,'',0,1,1,0),
(699,0,'exp08_dun_skyshrine_top01_final','exp08_dun_skyshrine_top01_final','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4029228656,'',0,1,1,0),
(700,110,'exp08_dun_sleepers_tomb_epic01_chitari','exp08_dun_sleepers_tomb_epic01_chitari','Describe me in the zones table! :)',416,-119,-58,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4283195220,'',0,1,1,0),
(701,110,'exp08_rgn_velious_cobalt_scar','exp08_rgn_velious_cobalt_scar','Cobalt Scar',4377,-821,332,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,425013247,'',0,1,1,0),
(702,110,'exp08_rgn_velious_cobalt_scar_combine','exp08_rgn_velious_cobalt_scar_combine','[DEVL] Cobalt Scar [Blank]',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3428332482,'',0,1,1,0),
(703,110,'exp08_rgn_velious_cobalt_scar_dragon','exp08_rgn_velious_cobalt_scar_dragon','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1566585178,'',0,1,1,0),
(704,110,'exp08_rgn_velious_withered_lands','exp08_rgn_velious_withered_lands','Describe me in the zones table! :)',-3699,-779,-218,268,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,913238763,'',0,1,1,0),
(705,110,'exp08_rgn_withered_lands_epic01','exp08_rgn_withered_lands_epic01','Describe me in the zones table! :)',-24,-627,-667,180,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3384724582,'',0,1,1,0),
(706,110,'exp08_rgn_withered_lands_epic02','exp08_rgn_withered_lands_epic02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3654988134,'',0,1,1,0),
(707,110,'Wurmbone''s End: Nox Incessit','exp09_dun_wurmbones_end_x2','Wurmbone''s End: Nox Incessit',-14,-130,315,351,-1000000,0,0,0,'',0,0,0,0,0,0,0,'RAID_PERSIST_INSTANCE',244800,0,604800,0,'',300,'',0,1841844596,'',0,1,1,0),
(708,110,'exp10_dun_bixie_hive','exp10_dun_bixie_hive','Describe me in the zones table! :)',102,-28,-177,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3279878396,'',0,1,1,0),
(709,110,'exp10_dun_highkeep','exp10_dun_highkeep','Describe me in the zones table! :)',5,-36,10,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3869064488,'',0,1,1,0),
(710,110,'exp10_dun_highkeep_contested','exp10_dun_highkeep_contested','Describe me in the zones table! :)',5,-36,10,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,840435318,'',0,1,1,0),
(711,110,'exp10_dun_nexus','exp10_dun_nexus','Describe me in the zones table! :)',0,2,21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3366428813,'',0,1,1,0),
(712,110,'exp10_dun_nexus2','exp10_dun_nexus2','Describe me in the zones table! :)',0,2,21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2405730087,'',0,1,1,0),
(713,110,'exp10_dun_pickclaw','exp10_dun_pickclaw','Describe me in the zones table! :)',-108,-132,-34,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2588002098,'',0,1,1,0),
(714,110,'exp10_dun_shissarraid01','exp10_dun_shissarraid01','Describe me in the zones table! :)',0,-25,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2945149120,'',0,1,1,0),
(715,110,'exp10_dun_shissarstratum01','exp10_dun_shissarstratum01','Describe me in the zones table! :)',-115,1687,0,270,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2969419179,'',0,1,1,0),
(716,110,'exp10_dun_shissartemple01','exp10_dun_shissartemple01','Describe me in the zones table! :)',0,-25,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3538559076,'',0,1,1,0),
(717,110,'exp10_dun_shissartemple01_forgotten','exp10_dun_shissartemple01_forgotten','Shissar Temple',0,-25,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3941423728,'',0,1,1,0),
(718,110,'exp10_dun_temple_of_veeshan','exp10_dun_temple_of_veeshan','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2107946064,'',0,1,1,0),
(719,110,'exp10_dun_temple_of_veeshan_hub','exp10_dun_temple_of_veeshan_hub','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,314278652,'',0,1,1,0),
(720,110,'VesspyrIsles','exp10_rgn_dragons_realm','Vesspyr Isles',-134,213,364,329,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2288489432,'',0,1,1,0),
(721,110,'exp11_dun_cathedral_of_bone','exp11_dun_cathedral_of_bone','Describe me in the zones table! :)',0,8,0,185,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3185806473,'',0,1,1,0),
(722,110,'exp11_dun_cathedral_of_bone_heroic','exp11_dun_cathedral_of_bone_heroic','Describe me in the zones table! :)',0,8,0,185,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1618744096,'',0,1,1,0),
(723,110,'exp11_dun_highhold','exp11_dun_highhold','Castle Highhold',0,-109,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1179974996,'',0,1,1,0),
(724,110,'exp11_dun_highhold_action','exp11_dun_highhold_action','Describe me in the zones table! :)',96,-109,22,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3492641864,'',0,1,1,0),
(725,110,'exp11_dun_highhold_night','exp11_dun_highhold_night','Describe me in the zones table! :)',0,-109,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2300296853,'',0,1,1,0),
(726,110,'exp11_dun_pirate_cove','exp11_dun_pirate_cove','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1553950146,'',0,1,1,0),
(727,110,'exp11_dun_pirate_cove_01','exp11_dun_pirate_cove_01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1138547426,'',0,1,1,0),
(728,110,'exp11_dun_pirate_cove_02','exp11_dun_pirate_cove_02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2841061516,'',0,1,1,0),
(729,110,'exp11_dun_pirate_cove_03','exp11_dun_pirate_cove_03','Describe me in the zones table! :)',-144.44,-121.68,-455.68,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1714137865,'',0,1,1,0),
(730,110,'exp11_dun_pirate_cove_raid','exp11_dun_pirate_cove_raid','Describe me in the zones table! :)',78.62,146.55,-409.8,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,596337404,'',0,1,1,0),
(731,0,'F.S. Distillery: The Rum Cellar','exp11_dun_rum_cellar','F.S. Distillery: The Rum Cellar',-2,-100,24,143,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,2387684743,'',0,1,1,0),
(732,110,'exp11_dun_ssraeshza','exp11_dun_ssraeshza','Describe me in the zones table! :)',0,5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2814388790,'',0,1,1,0),
(733,110,'exp11_dun_ssraeshza_raid','exp11_dun_ssraeshza_raid','Describe me in the zones table! :)',0,5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4142844343,'',0,1,1,0),
(734,0,'exp11_dun_zavithloa','exp11_dun_zavithloa','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4146604993,'',0,1,1,0),
(735,0,'exp11_dun_zavithloa_raid','exp11_dun_zavithloa_raid','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,572130904,'',0,1,1,0),
(736,110,'exp11_rgn_north_seas','exp11_rgn_north_seas','Phantom Sea',1389,25,1191,93,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2073959366,'',0,1,1,0),
(737,110,'exp11_rgn_southseas','exp11_rgn_southseas','Tranquil Sea',936,7,1478,16,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,967181366,'',0,1,1,0),
(738,110,'fprt_epic06_new_temple','fprt_epic06_new_temple','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,677607685,'',0,1,1,0),
(739,110,'fprt_epic07_new_jade_tiger','fprt_epic07_new_jade_tiger','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1212556885,'',0,1,1,0),
(740,110,'Restored High Keep Guild Hall','guildhall_highkeep','Restored High Keep Guild Hall',-96.41,-75.76,-38.81,177.74,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,4022665649,'',0,1,1,0),
(741,110,'Restored High Keep Guild Hall, Tier 2','guildhall_highkeep_tier2','Restored High Keep Guild Hall, Tier 2',71,-77,-30,170,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1365614882,'',0,1,1,0),
(742,110,'haunted_house','haunted_house','Haunted House',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,259791343,'',0,1,1,0),
(743,110,'home_darklightpalace','home_darklightpalace','Darklight Palace',-588,28,18,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3255277607,'',0,1,1,0),
(744,110,'home_enchanted','home_enchanted','Vale of Halfpint Delight',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3307770916,'',0,1,1,0),
(745,110,'home_fearshard','home_fearshard','Fearful Retreat',0,40,-63,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3705144549,'',0,1,1,0),
(746,110,'home_ferry','home_ferry','Galleon of Dreams',0,20,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3928190995,'',0,1,1,0),
(747,110,'home_gnome','home_gnome','Tinkerer''s Isle',-647,128,844,202,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3333216512,'',0,1,1,0),
(748,110,'home_kael_iceshard','home_kael_iceshard','Thurgadin Grand Hall',2,1,6,178,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1820373561,'',0,1,1,0),
(749,110,'home_lavastorm','home_lavastorm','Lavastorm Winter Retreat',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3983744396,'',0,1,1,0),
(750,110,'home_majdul_blades','home_majdul_blades','Residence of the Blades',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'PERSONAL_HOUSE_INSTANCE',0,0,0,0,'',300,'',0,1975960357,'',0,1,1,0),
(751,110,'home_oakmyst','home_oakmyst','Oakmyst Glade',1099,-10,-382,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,870032470,'',0,1,1,0),
(752,110,'home_panda','home_panda','Hua Mein Retreat',-204,278,3271,9,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3949111255,'',0,1,1,0),
(753,110,'home_respite','home_respite','Hall of the Champion',0,3,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4247660660,'',0,1,1,0),
(754,110,'home_sirens','home_sirens','Personal Grotto',0,5,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3305590547,'',0,1,1,0),
(755,110,'home_void_palace','home_void_palace','Dimensional Pocket',0,14,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2613406502,'',0,1,1,0),
(756,110,'home_wuoshi','home_wuoshi','Mara Estate',82,381,188,18,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1316471965,'',0,1,1,0),
(757,110,'live_epic_mystic_horde','live_epic_mystic_horde','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3090744409,'',0,1,1,0),
(758,110,'mystery_crate','mystery_crate','Goblin Games',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3471081912,'',0,1,1,0),
(759,110,'qey_catacomb_epic06','qey_catacomb_epic06','DO NOT ZONE',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2958693896,'',0,1,1,0),
(760,110,'qey_village01_revamp','qey_village01_revamp','Describe me in the zones table! :)',671,-20,273,121,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3807954746,'',0,1,1,0),
(761,110,'qey_village02_revamp','qey_village02_revamp','Describe me in the zones table! :)',702,-20,265,269,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,548500959,'',0,1,1,0),
(762,110,'qey_village03_revamp','qey_village03_revamp','Describe me in the zones table! :)',865,-25,-97,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,610240028,'',0,1,1,0),
(763,110,'qey_village04_revamp','qey_village04_revamp','Describe me in the zones table! :)',729,-21,-123,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2366316250,'',0,1,1,0),
(764,110,'qey_village05_revamp','qey_village05_revamp','Describe me in the zones table! :)',810,-21,-565,327,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,307215531,'',0,1,1,0),
(765,110,'qey_village06_revamp','qey_village06_revamp','Describe me in the zones table! :)',818,-20,-529,200,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3815152867,'',0,1,1,0),
(766,110,'shard_of_love2','shard_of_love2','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,4063297711,'',0,1,1,0),
(767,110,'snow_dwelling','snow_dwelling','Frostfell Workshop',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1964928994,'',0,1,1,0),
(768,110,'solusekeye_epic04_elemental_nagafen','solusekeye_epic04_elemental_nagafen','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3340372210,'',0,1,1,0),
(769,110,'avatar_arena','avatar_arena','Arena of the Gods',0,4,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1457316413,'',0,1,1,0),
(770,0,'GrozmagsTrial','tutorial_island02_epic01','Grozmag''s Trial',-12.7713,1,-0.996791,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,126984764,'',0,1,1,0),
(771,0,'AnOpenGrave','steppes_mini01','An Open Grave',746.48,-26.93,1070,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2951589884,'',0,1,1,0),
(772,0,'AnOpenGraveHeroic','steppes_mini01','Heroic: An Open Grave',746.48,-26.93,1070,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3147956527,'',0,1,1,0),
(773,81,'exp11_dun_rum_cellar_02','exp11_dun_rum_cellar_02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2948619023,'',0,1,1,0),
(774,0,'exp11_dun_rumcellar_island','exp11_dun_rumcellar_island','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1354398952,'',0,1,1,0),
(775,0,'exp12_dun_ancientruins','tutorial_island02','Describe me in the zones table! :)',71,89,262,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',0,'',0,2332655329,'',0,1,1,0),
(776,0,'exp12_dun_ancientruins_event_01','exp12_dun_ancientruins_event_01','Describe me in the zones table! :)',71,89,262,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,192920980,'',0,1,1,0),
(777,0,'exp12_dun_ancientruins_event_02','exp12_dun_ancientruins_event_02','Describe me in the zones table! :)',71,89,262,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2332331348,'',0,1,1,0),
(778,81,'exp12_dun_maldura_01','exp12_dun_maldura_01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,823329538,'',0,1,1,0),
(779,81,'exp12_dun_maldura_02','exp12_dun_maldura_02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2314614263,'',0,1,1,0),
(780,0,'exp12_dun_maldura_city','exp12_dun_maldura_city','Describe me in the zones table! :)',-43.81,-4.21,42.43,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1226500868,'',0,1,1,0),
(781,0,'exp12_dun_maldura_event_01','exp12_dun_maldura_event_01','Describe me in the zones table! :)',-43.81,-4.21,42.43,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3708197709,'',0,1,1,0),
(782,81,'exp12_dun_maldura_event_02','exp12_dun_maldura_event_02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3934921899,'',0,1,1,0),
(783,0,'exp12_dun_maldura_raid','exp12_dun_maldura_raid','Describe me in the zones table! :)',-43.81,-4.21,42.43,360,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1476505818,'',0,1,1,0),
(784,81,'exp12_dun_maldura_raid_x2','exp12_dun_maldura_raid_x2','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,4095908642,'',0,1,1,0),
(785,81,'exp12_dun_penumbra','exp12_dun_penumbra','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3820526153,'',0,1,1,0),
(786,81,'exp12_dun_penumbra01','exp12_dun_penumbra01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,963483821,'',0,1,1,0),
(787,81,'exp12_dun_penumbra02','exp12_dun_penumbra02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3138601569,'',0,1,1,0),
(788,81,'exp12_dun_penumbra03','exp12_dun_penumbra03','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3052833538,'',0,1,1,0),
(789,81,'exp12_dun_penumbra_04','exp12_dun_penumbra_04','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,618428885,'',0,1,1,0),
(790,81,'exp12_dun_penumbra_event_01','exp12_dun_penumbra_event_01','DO NOT ZONE',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1595883243,'',0,1,1,0),
(791,81,'exp12_dun_penumbra_event_02','exp12_dun_penumbra_event_02','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2012111165,'',0,1,1,0),
(792,81,'exp12_dun_penumbra_raid','exp12_dun_penumbra_raid','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3293665096,'',0,1,1,0),
(793,0,'exp12_rgn_umbra02','exp12_rgn_umbra02','Describe me in the zones table! :)',-551.97,161.92,65.55,356,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2525237925,'',0,1,1,0),
(794,0,'exp12_rgn_umbra02_epic01','exp12_rgn_umbra02_epic01','Describe me in the zones table! :)',-551.97,161.92,65.55,356,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3637489990,'',0,1,1,0),
(795,81,'Skyshrine Capital Guild Hall','guildhall_skyshrinecapital','Skyshrine Capital Guild Hall',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',0,'',0,2958699259,'',0,1,1,0),
(796,0,'Highhold Guild Hall','highhold_guildhall','Highhold Guild Hall',0,-109.52,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'',0,'',0,2741847413,'',0,1,1,0),
(797,81,'holdofprexus','holdofprexus','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',10,'',0,3911430481,'',0,1,1,0),
(798,0,'home_dwarven','home_dwarven','DO NOT ZONE',0,0.54,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,74961312,'',0,1,1,0),
(799,0,'home_estate_of_unrest','home_estate_of_unrest','DO NOT ZONE',0,0.54,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3412463106,'',0,1,1,0),
(800,0,'home_estate_of_unrest_empty','home_estate_of_unrest_empty','Estate of Unrest',0,0.54,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1845306138,'',0,1,1,0),
(801,81,'home_pirate','home_pirate','Rum Runners Cove',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2238491326,'',0,1,1,0),
(802,81,'home_relictinker','home_relictinker','Relic Tinker Prestige Home',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1934903381,'',0,1,1,0),
(803,0,'home_sentinal','home_sentinal','Sentinel''s Respite',-1.37,80.85,-111.62,175.5,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2048889528,'',0,1,1,0),
(804,0,'home_tutorial','home_tutorial','Isle of Refuge Prestige Home',-22.3,-5.82,220.21,337.97,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,943210387,'',0,1,1,0),
(805,81,'orcishwastes_siege','orcishwastes_siege','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1381991000,'',0,1,1,0),
(806,81,'orcishwastes_siege_01','orcishwastes_siege_01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,791164179,'',0,1,1,0),
(807,81,'orcishwastes_siege_raid','orcishwastes_siege_raid','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,889301029,'',0,1,1,0),
(808,81,'qey_epic14_ratonga','qey_epic14_ratonga','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3041718746,'',0,1,1,0),
(809,0,'qey_epic15_ufo','qey_epic15_ufo','Describe me in the zones table! :)',552.92,-75.32,-207.76,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',0,'',0,2535940068,'',0,1,1,0),
(810,0,'exp08_dun_skyshrine_top01','exp08_dun_skyshrine_top01','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,3478655018,'',0,1,1,0),
(811,81,'boat_06p_stormy','boat_06p_stormy','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1525795553,'',0,1,1,0),
(812,81,'exp06_rgn_odus_south_epic02_quest','exp06_rgn_odus_south_epic02_quest','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,2896401864,'',0,1,1,0),
(813,81,'adv04_dun_endless_nayad_fabled','adv04_dun_endless_nayad_fabled','Describe me in the zones table! :)',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',0,'',0,1608026137,'',0,1,1,0),
(814,0,'Valley of the Rogue Magi','cmmn_epic02_mage','Valley of the Rogue Magi',863.77,-18.31,581.92,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',5400,0,259200,0,'',300,'',0,1837594295,'',0,1,1,0),
(815,0,'Hold of Prexus','qey_guildhall_tier2','Hold of Prexus',-0.188056,0.005529,-4.87351,178,-1000000,0,0,0,'Indoor',0,0,0,1,0,0,0,'GUILD_HOUSE_INSTANCE',0,0,0,0,'ZoneScripts/HoldOfPrexus.lua',600,'Welcome to the Hold.',0,2911024295,'',0,1,1,0),
(816,1,'DoF_design_path_script','design_path_script','Path Scripting (DoF Only)',-2.67,-0.74,0.06,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/MemorialIsland.lua',30,'',0,910324560,'',0,1,1,0),
(817,0,'houseofroachie','home_majdul_bottle','Roachie''s Workshop',49,1.24,10.27,178,-1000000,0,0,0,'Indoor',0,0,0,255,0,0,0,'NONE',0,0,0,0,'',0,'Anything here will get nuked. Have fun breaking stuff!',0,3086350807,'',0,1,1,0),
(818,0,'RylecsTest','home_floating_island','Rylec''s Fun House',-41.4936,-1,96.1204,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2861217323,'',0,1,1,0),
(819,0,'RylecsTest2','qey_guildhall_tier2','Rylecs Fun House 2',-0.188056,0.005529,-4.87351,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'',0,0,0,0,'',300,'',0,4070746645,'',0,1,1,0),
(820,0,'The Sepulcher of Jahnda','qey_catacomb_epic02','The Sepulcher of Jahnda',-31,-1,9,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2585184836,'',0,1,1,0),
(821,0,'Sir Wemblys Tomb','qey_catacomb_epic02','Sir Wembly''s Tomb',-31,-1,9,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',0,'',0,3963196399,'',0,1,1,0),
(822,0,'The Chamber of Suffering','fprt_epic01_storeroom01','The Chamber of Suffering',0.187354,0.328323,-4.61251,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2507279950,'',0,1,1,0),
(823,0,'GMPetCemetary','enchanted','GM Hall of Pets',31.72,-0.1,17.72,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2844471636,'',0,1,1,0),
(824,0,'CleansingoftheCove','feerrott_epic01_temple','Cleansing of the Cove',-908.872,-9.5,256.359,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3015617679,'',0,1,1,0),
(825,1,'QeynosCitizenshipTrialChamber','qey_catacomb_epic01','Citizenship Trial Chamber',8.45,1.17,6.29,0,-1000000,0,0,0,'Instanced Indoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'',5,'',0,2608165266,'',0,1,1,0),
(826,1,'Caves_Classic','qey_adv03_caves','The Caves',1.5,3.62,-23.42,0,-1000000,1.1,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/classic_caves.lua',300,'Welcome to The Caves(Classic).  This zone is set to the pre-LU19 level range.',0,1191618488,'',0,1,1,0),
(827,1,'ForestRuins_Classic','qey_adv02_ruins','The Forest Ruins',897,-14.5,-575,0,-1000000,1.1,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Classic_forest.lua',300,'',0,2990440161,'',0,1,1,0),
(828,0,'ClassicFarJourney','boat_06p_tutorial02','Classic Far Journey',2.14,1.21,-15.81,180,-1000000,10,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2068437971,'',0,1,1,0),
(829,1,'Peatbog_Classic','qey_adv04_bog','The Peat Bog',561.65,-27.41,417.99,0,-1000000,1.1,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Peatbog_Classic.lua',300,'',0,492727144,'',0,1,1,0),
(830,1,'Oakmyst_Classic','qey_adv01_oakmyst','Oakmyst Forest',1093.17,-10.15,-382.08,0,-1000000,1.1,0,0,'Outdoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/Oakmyst_Classic.lua',300,'',0,3136177894,'',0,1,1,0),
(831,0,'SorcerersTrial','qey_epic10_p01_bank','The Sorcerer''s Trial',-2.34,-0.34,-6.45,180,-1000000,0,0,0,'Instanced Indoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'',300,'',0,381282991,'',0,0,1,0),
(832,1,'MakeshiftArena','qey_epic01_p19_cache','The Makeshift Arena',-26.15,-0.24,-21.77,230,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'ZoneScripts/MakeshiftArena.lua',300,'',0,3732062082,'',0,1,1,0),
(833,1,'FermentedGrape','qey_epic03_village03_ph','The Fermented Grape',15.57,-0.5,-9.18,164,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'',3,'',0,4028837414,'',0,1,1,0),
(834,1,'DownBelow_Classic','qey_catacomb01','The Down Below',-195.98,-0.1,-200.16,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/DownBelow_Classic.lua',300,'',0,2167795500,'',0,1,1,0),
(835,0,'SummonerPets','home_floating_island','Summoner Pets',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3714125027,'',0,1,1,0),
(836,1,'TheDisconcertingMeditation','befallen_epic01','The Disconcerting Meditation',-47.02,-45.79,-49.3,272,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'ZoneScripts/TheDisconcertingMeditation.lua',300,'',0,2219147910,'',0,1,1,0),
(837,1,'Rogue_IrontoeInn','qey_epic06_p12_irontoes','The Cache',2.29,-0.28,-2.03,131,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'',300,'',0,3860603756,'',0,1,1,0),
(838,0,'GaranelRestingPlace','tutorial_island02_epic02','Garanel''s resting place',-9,-9,158,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'SOLO_PERSIST_INSTANCE',0,0,0,0,'ZoneScripts/GaranelRestingPlace.lua',0,'',0,1269386908,'',0,1,1,0),
(839,1,'TheGraveyard_Classic','fprt_adv02_graveyard','The Graveyard',-98.43,-15.73,-92.53,0,-1000000,1.1,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/TheGraveyard_Classic.lua',300,'',0,443333195,'',0,1,1,0),
(840,1,'TheSprawl_Classic','fprt_adv03_sprawl','The Sprawl',-139.62,-4.42,97.21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/The Sprawl.lua',300,'',0,1627087142,'',0,1,1,0),
(841,1,'SunkenCity_Classic','fprt_adv01_sunken','Sunken City',-61,-0.15,60.35,0,-1000000,1.1,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/TheSunkenCity_Classic.lua',300,'',0,3702520072,'',0,1,1,0),
(842,1,'TheRuins_Classic','fprt_adv04_ruins','The Ruins',-178.54,-1,79.41,0,-1000000,1.1,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/TheRuins_Classic.lua',300,'',0,4176201660,'',0,1,1,0),
(843,1,'TheThievesWay_Classic','fprt_sewer01','The Thieves'' Way',-148,1,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/TheThievesWay_Classic.lua',300,'',0,2074019275,'',0,1,1,0),
(844,1,'QueensPrivateChamber','qey_ph_3r03','The Queen''s Private Chamber',0,0,0,0,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1052909120,'',0,1,1,0),
(845,1,'FreeportBetrayal','fprt_ph_3r03','The Private Meeting Chambers',3.87,0.33,9.64,44,-1000000,0,0,0,'Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',300,'',0,978744734,'',0,1,1,0),
(846,0,'LCP','tutorial_island02_epic02','Llama''s Crafty Place',-9,-9,158,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,622973577,'',0,1,1,0),
(847,0,'LlamasCraftyPlace','','Llama''s Crafty Place',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,1095022620,'',0,1,1,0),
(848,0,'VerminsSnye_Classic','qey_catacomb02','Vermin''s Snye',131.21,-6.92,-105.21,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,2747084251,'',0,1,1,0),
(849,0,'BadlizardsIsland','home_floating_island','Badlizard''s Island',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,707926026,'',0,1,1,0),
(850,0,'MontaasIsland','home_floating_island','Montaa''s Island',0,0,0,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'',300,'',0,3255547491,'',0,1,1,0),
(851,0,'SummoningResearchChamber','fprt_epic05_a02_temple01','an Academy research center',0,0,0,183,-1000000,0,0,0,'Instanced Indoor',0,0,0,0,0,0,0,'QUEST_INSTANCE',0,0,0,0,'',15,'',0,3609921384,'',0,1,1,0),
(852,0,'NektulosClassic','nektulos','Nektulos Classic',845,1.2,-22,26,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/NektulosClassic.lua',300,'Because fuck you, that''s why.',2,3622193584,'',0,1,1,0),
(853,0,'SerpentSewerClassic','fprt_sewer02','The Serpent Sewer Classic',-182,0,-185,0,-1000000,0,0,0,'',0,0,0,0,0,0,0,'NONE',0,0,0,0,'ZoneScripts/SerpentSewerClassic.lua',300,'',0,2325092859,'',0,1,1,0);
