DROP TABLE IF EXISTS quest_details;
CREATE TABLE quest_details (
	id         INTEGER PRIMARY KEY,
	quest_id   INTEGER NOT NULL DEFAULT 0,
	type       TEXT NOT NULL DEFAULT 'None',
	subtype    TEXT NOT NULL DEFAULT 'None',
	value      INTEGER NOT NULL DEFAULT 0,
	faction_id INTEGER NOT NULL DEFAULT 0,
	quantity   INTEGER NOT NULL DEFAULT 0,
	UNIQUE(quest_id, type, subtype, value, faction_id, quantity),
	FOREIGN KEY (quest_id) REFERENCES quests(quest_id) ON DELETE CASCADE ON UPDATE CASCADE
);

INSERT INTO quest_details VALUES
(15,1,'Reward','Experience',150,0,0),
(1521,1,'Reward','Coin',262,0,0),
(1522,1,'Reward','MaxCoin',377,0,0),
(9,2,'Prereq','Quest',1,0,0),
(16,2,'Reward','Experience',180,0,0),
(14,2,'Reward','Selectable',89454,0,1),
(11,2,'Reward','Selectable',89455,0,1),
(12,2,'Reward','Selectable',89456,0,1),
(10,2,'Reward','Selectable',89458,0,1),
(13,2,'Reward','Selectable',89459,0,1),
(17,3,'Prereq','Quest',2,0,0),
(18,3,'Reward','Experience',600,0,0),
(21,3,'Reward','Selectable',43261,0,1),
(22,3,'Reward','Selectable',43262,0,1),
(23,3,'Reward','Selectable',43263,0,1),
(24,3,'Reward','Selectable',43264,0,1),
(20,3,'Reward','Selectable',53807,0,1),
(19,3,'Reward','Selectable',55258,0,1),
(25,4,'Prereq','Quest',3,0,1),
(26,4,'Reward','Experience',440,0,0),
(29,5,'Prereq','Quest',4,0,0),
(30,5,'Reward','Experience',725,0,0),
(27,5,'Reward','Item',65576,0,1),
(40,6,'Reward','Experience',600,0,0),
(42,6,'Reward','Selectable',136097,0,1),
(46,6,'Reward','Selectable',149225,0,1),
(41,6,'Reward','Selectable',164110,0,1),
(44,6,'Reward','Selectable',169091,0,1),
(47,6,'Reward','Selectable',181536,0,1),
(45,6,'Reward','Selectable',188725,0,1),
(43,6,'Reward','Selectable',190929,0,1),
(48,7,'Prereq','Quest',6,0,0),
(49,7,'Reward','Experience',600,0,0),
(28,8,'Prereq','Quest',5,0,0),
(32,8,'Reward','Experience',115,0,0),
(35,8,'Reward','Selectable',136096,0,1),
(36,8,'Reward','Selectable',149214,0,1),
(34,8,'Reward','Selectable',164106,0,1),
(37,8,'Reward','Selectable',169077,0,1),
(38,8,'Reward','Selectable',181523,0,1),
(31,8,'Reward','Selectable',188658,0,1),
(33,8,'Reward','Selectable',190928,0,1),
(50,9,'Prereq','Quest',7,0,0),
(51,9,'Reward','Experience',380,0,0),
(52,10,'Prereq','Quest',9,0,0),
(53,10,'Reward','Experience',300,0,0),
(58,10,'Reward','Selectable',136100,0,1),
(57,10,'Reward','Selectable',149232,0,1),
(55,10,'Reward','Selectable',164104,0,1),
(60,10,'Reward','Selectable',169075,0,1),
(56,10,'Reward','Selectable',181521,0,1),
(59,10,'Reward','Selectable',188650,0,1),
(54,10,'Reward','Selectable',190927,0,1),
(61,11,'Reward','Item',22227,0,1),
(401,11,'Reward','Coin',106,0,0),
(402,11,'Reward','MaxCoin',370,0,0),
(63,12,'Prereq','Quest',11,0,0),
(406,12,'Reward','Faction',250,355,0),
(62,12,'Reward','Item',21180,0,1),
(403,12,'Reward','Coin',600,0,0),
(404,12,'Reward','MaxCoin',800,0,0),
(405,12,'Reward','TSExperience',722,0,0),
(64,13,'Reward','Experience',426,0,0),
(65,14,'Prereq','Quest',13,0,0),
(66,14,'Reward','Experience',486,0,0),
(68,15,'Prereq','Quest',14,0,0),
(67,15,'Reward','Experience',600,0,0),
(69,16,'Prereq','Quest',15,0,0),
(70,16,'Reward','Experience',600,0,0),
(71,17,'Prereq','Quest',16,0,0),
(72,17,'Reward','Experience',660,0,0),
(75,17,'Reward','Item',64650,0,1),
(73,18,'Prereq','Quest',17,0,0),
(74,18,'Reward','Experience',460,0,0),
(81,18,'Reward','Selectable',136102,0,1),
(79,18,'Reward','Selectable',149229,0,1),
(80,18,'Reward','Selectable',164108,0,1),
(76,18,'Reward','Selectable',169102,0,1),
(77,18,'Reward','Selectable',181557,0,1),
(82,18,'Reward','Selectable',188660,0,1),
(78,18,'Reward','Selectable',190933,0,1),
(84,19,'Reward','Experience',247,0,0),
(85,20,'Prereq','Quest',19,0,0),
(86,20,'Reward','Experience',380,0,0),
(87,21,'Prereq','Quest',20,0,0),
(88,21,'Reward','Experience',451,0,0),
(89,22,'Prereq','Quest',21,0,0),
(90,22,'Reward','Experience',511,0,0),
(91,23,'Prereq','Quest',22,0,0),
(92,23,'Reward','Experience',600,0,0),
(93,24,'Prereq','Quest',23,0,0),
(94,24,'Reward','Experience',460,0,0),
(99,24,'Reward','Selectable',136101,0,1),
(98,24,'Reward','Selectable',149230,0,1),
(100,24,'Reward','Selectable',164114,0,1),
(106,24,'Reward','Selectable',169100,0,1),
(96,24,'Reward','Selectable',181552,0,1),
(97,24,'Reward','Selectable',188819,0,1),
(105,24,'Reward','Selectable',190932,0,1),
(95,25,'Reward','Experience',300,0,0),
(112,25,'Reward','Selectable',136098,0,1),
(108,25,'Reward','Selectable',149226,0,1),
(114,25,'Reward','Selectable',164102,0,1),
(113,25,'Reward','Selectable',169089,0,1),
(109,25,'Reward','Selectable',181543,0,1),
(110,25,'Reward','Selectable',188642,0,1),
(111,25,'Reward','Selectable',190930,0,1),
(107,26,'Prereq','Quest',25,0,0),
(115,26,'Reward','Experience',420,0,0),
(145,27,'Prereq','Quest',26,0,0),
(147,27,'Reward','Experience',431,0,0),
(146,28,'Prereq','Quest',27,0,0),
(148,28,'Reward','Experience',467,0,0),
(149,29,'Prereq','Quest',28,0,0),
(150,29,'Reward','Experience',431,0,0),
(153,29,'Reward','Selectable',136099,0,1),
(159,29,'Reward','Selectable',149227,0,1),
(156,29,'Reward','Selectable',164112,0,1),
(154,29,'Reward','Selectable',169093,0,1),
(158,29,'Reward','Selectable',181545,0,1),
(155,29,'Reward','Selectable',188755,0,1),
(157,29,'Reward','Selectable',190931,0,1),
(152,30,'Prereq','Quest',18,0,0),
(151,30,'Prereq','Quest',29,0,0),
(160,30,'Reward','Experience',473,0,0),
(161,30,'Reward','Item',66620,0,1),
(122,31,'Reward','Experience',600,0,0),
(117,31,'Reward','Selectable',53244,0,1),
(121,31,'Reward','Selectable',55001,0,1),
(118,31,'Reward','Selectable',55633,0,1),
(119,31,'Reward','Selectable',88893,0,1),
(120,31,'Reward','Selectable',88894,0,1),
(116,31,'Reward','Selectable',88895,0,1),
(125,32,'Prereq','Quest',31,0,0),
(124,32,'Reward','Experience',650,0,0),
(126,32,'Reward','Item',65148,0,1),
(128,32,'Reward','Selectable',88896,0,1),
(129,32,'Reward','Selectable',88898,0,1),
(130,32,'Reward','Selectable',88899,0,1),
(127,32,'Reward','Selectable',88900,0,1),
(131,33,'Prereq','Quest',32,0,0),
(132,33,'Reward','Experience',400,0,0),
(133,34,'Prereq','Quest',33,0,0),
(135,34,'Reward','Experience',450,0,0),
(136,35,'Prereq','Quest',34,0,0),
(137,35,'Reward','Experience',644,0,0),
(139,36,'Prereq','Quest',35,0,0),
(138,36,'Reward','Experience',687,0,0),
(140,36,'Reward','Item',65319,0,1),
(141,36,'Reward','Selectable',152327,0,1),
(144,36,'Reward','Selectable',170476,0,1),
(142,36,'Reward','Selectable',175901,0,1),
(143,36,'Reward','Selectable',180955,0,1),
(162,37,'Reward','Experience',473,0,0),
(168,37,'Reward','Selectable',40362,0,1),
(167,37,'Reward','Selectable',41409,0,1),
(165,37,'Reward','Selectable',42239,0,1),
(169,37,'Reward','Selectable',43204,0,1),
(166,37,'Reward','Selectable',53244,0,1),
(164,37,'Reward','Selectable',54999,0,1),
(163,38,'Prereq','Quest',37,0,0),
(170,38,'Reward','Experience',533,0,0),
(172,38,'Reward','Selectable',152303,0,1),
(173,38,'Reward','Selectable',170467,0,1),
(171,38,'Reward','Selectable',175880,0,1),
(174,38,'Reward','Selectable',180947,0,1),
(175,39,'Prereq','Quest',38,0,0),
(176,39,'Reward','Experience',538,0,0),
(178,40,'Prereq','Quest',39,0,0),
(177,40,'Reward','Experience',538,0,0),
(179,41,'Prereq','Quest',40,0,0),
(180,41,'Reward','Experience',538,0,0),
(181,42,'Prereq','Quest',41,0,0),
(182,42,'Reward','Quest',637,0,0),
(184,43,'Prereq','Quest',42,0,0),
(183,43,'Reward','Experience',674,0,0),
(186,43,'Reward','Selectable',152340,0,1),
(187,43,'Reward','Selectable',170479,0,1),
(185,43,'Reward','Selectable',175915,0,1),
(188,43,'Reward','Selectable',180957,0,1),
(189,44,'Prereq','Quest',43,0,0),
(190,44,'Reward','Experience',168,0,0),
(192,44,'Reward','Item',26329,0,1),
(191,44,'Reward','Item',62419,0,1),
(194,46,'Prereq','Quest',45,0,0),
(193,46,'Reward','Experience',380,0,0),
(196,47,'Prereq','Quest',24,0,0),
(195,47,'Reward','Experience',460,0,0),
(197,48,'Prereq','Quest',47,0,0),
(198,48,'Reward','Experience',460,0,0),
(204,48,'Reward','Selectable',133469,0,1),
(200,48,'Reward','Selectable',138496,0,1),
(202,48,'Reward','Selectable',146838,0,1),
(199,48,'Reward','Selectable',147043,0,1),
(205,48,'Reward','Selectable',148844,0,1),
(201,48,'Reward','Selectable',161946,0,1),
(203,48,'Reward','Selectable',176358,0,1),
(206,49,'Prereq','Quest',48,0,0),
(207,49,'Reward','Experience',465,0,0),
(208,50,'Prereq','Quest',49,0,0),
(209,50,'Reward','Experience',465,0,0),
(210,50,'Reward','Item',26330,0,1),
(214,50,'Reward','Selectable',152321,0,1),
(211,50,'Reward','Selectable',170474,0,1),
(212,50,'Reward','Selectable',175898,0,1),
(213,50,'Reward','Selectable',180952,0,1),
(215,51,'Reward','Experience',405,0,0),
(216,51,'Reward','Selectable',152313,0,1),
(219,51,'Reward','Selectable',170472,0,1),
(217,51,'Reward','Selectable',175896,0,1),
(218,51,'Reward','Selectable',180951,0,1),
(220,52,'Prereq','Quest',51,0,0),
(221,52,'Reward','Experience',405,0,0),
(222,53,'Prereq','Quest',52,0,0),
(223,53,'Reward','Experience',440,0,0),
(224,53,'Reward','Item',63642,0,1),
(225,53,'Reward','Selectable',133481,0,1),
(230,53,'Reward','Selectable',138467,0,1),
(228,53,'Reward','Selectable',146841,0,1),
(226,53,'Reward','Selectable',147069,0,1),
(227,53,'Reward','Selectable',148804,0,1),
(231,53,'Reward','Selectable',161961,0,1),
(229,53,'Reward','Selectable',176367,0,1),
(233,54,'Prereq','Quest',53,0,0),
(232,54,'Reward','Experience',465,0,0),
(234,55,'Prereq','Quest',54,0,0),
(235,55,'Reward','Experience',700,0,0),
(236,55,'Reward','Item',26329,0,1),
(238,55,'Reward','Selectable',152305,0,1),
(239,55,'Reward','Selectable',170469,0,1),
(237,55,'Reward','Selectable',175882,0,1),
(240,55,'Reward','Selectable',180949,0,1),
(241,56,'Reward','Experience',169,0,0),
(242,56,'Reward','Item',65625,0,1),
(243,57,'Prereq','Quest',56,0,0),
(244,57,'Reward','Experience',182,0,0),
(245,57,'Reward','Item',26330,0,1),
(246,58,'Prereq','Quest',57,0,0),
(247,58,'Reward','Experience',182,0,0),
(248,59,'Prereq','Quest',58,0,0),
(249,59,'Reward','Experience',210,0,0),
(252,59,'Reward','Selectable',152324,0,1),
(253,59,'Reward','Selectable',170475,0,1),
(251,59,'Reward','Selectable',175899,0,1),
(250,59,'Reward','Selectable',180954,0,1),
(255,60,'Prereq','Quest',59,0,0),
(254,60,'Reward','Experience',223,0,0),
(256,60,'Reward','Item',62410,0,1),
(258,61,'Prereq','Quest',60,0,0),
(257,61,'Reward','Experience',236,0,0),
(259,61,'Reward','Selectable',164062,0,1),
(262,61,'Reward','Selectable',183498,0,1),
(261,61,'Reward','Selectable',183503,0,1),
(260,61,'Reward','Selectable',183516,0,1),
(263,62,'Prereq','Quest',61,0,0),
(264,62,'Reward','Experience',236,0,0),
(265,62,'Reward','Item',65577,0,1),
(266,63,'Prereq','Quest',62,0,0),
(267,63,'Reward','Experience',221,0,0),
(268,63,'Reward','Item',26330,0,1),
(272,63,'Reward','Selectable',152311,0,1),
(270,63,'Reward','Selectable',170470,0,1),
(269,63,'Reward','Selectable',175894,0,1),
(271,63,'Reward','Selectable',180950,0,1),
(273,64,'Prereq','Quest',63,0,0),
(274,64,'Reward','Experience',1498,0,0),
(275,64,'Reward','Item',66639,0,1),
(276,64,'Reward','Selectable',77957,0,1),
(279,64,'Reward','Selectable',78703,0,1),
(277,64,'Reward','Selectable',78705,0,1),
(278,64,'Reward','Selectable',78715,0,1),
(280,64,'Reward','Selectable',78834,0,1),
(281,65,'Prereq','Quest',56,0,0),
(282,65,'Reward','Experience',426,0,0),
(283,66,'Prereq','Quest',65,0,0),
(284,66,'Reward','Experience',470,0,0),
(286,67,'Prereq','Quest',66,0,0),
(293,67,'Prereq','Selectable',146843,0,1),
(285,67,'Reward','Experience',583,0,0),
(289,67,'Reward','Selectable',133484,0,1),
(287,67,'Reward','Selectable',138488,0,1),
(290,67,'Reward','Selectable',147083,0,1),
(288,67,'Reward','Selectable',148806,0,1),
(291,67,'Reward','Selectable',161968,0,1),
(292,67,'Reward','Selectable',176369,0,1),
(294,68,'Prereq','Quest',67,0,0),
(295,68,'Reward','Experience',622,0,0),
(299,68,'Reward','Selectable',164064,0,1),
(297,68,'Reward','Selectable',164072,0,1),
(298,68,'Reward','Selectable',164092,0,1),
(296,68,'Reward','Selectable',183496,0,1),
(300,69,'Prereq','Quest',60,0,0),
(301,69,'Prereq','Quest',68,0,0),
(302,69,'Reward','Experience',622,0,0),
(304,69,'Reward','Item',26329,0,1),
(303,69,'Reward','Item',66515,0,1),
(305,70,'Prereq','Quest',56,0,0),
(306,70,'Reward','Experience',398,0,0),
(307,71,'Prereq','Quest',36,0,0),
(308,71,'Reward','Experience',289,0,0),
(309,72,'Prereq','Quest',71,0,0),
(310,72,'Reward','Experience',344,0,0),
(311,72,'Reward','Selectable',133471,0,1),
(312,72,'Reward','Selectable',138458,0,1),
(316,72,'Reward','Selectable',146839,0,1),
(313,72,'Reward','Selectable',147046,0,1),
(314,72,'Reward','Selectable',148803,0,1),
(315,72,'Reward','Selectable',161948,0,1),
(317,72,'Reward','Selectable',176360,0,1),
(319,73,'Prereq','Quest',72,0,0),
(320,73,'Reward','Experience',100,0,0),
(321,73,'Reward','Item',26330,0,1),
(322,74,'Prereq','Quest',70,0,0),
(323,74,'Reward','Experience',460,0,0),
(324,75,'Prereq','Quest',74,0,0),
(325,75,'Reward','Experience',509,0,0),
(329,75,'Reward','Selectable',152304,0,1),
(327,75,'Reward','Selectable',170468,0,1),
(326,75,'Reward','Selectable',175881,0,1),
(328,75,'Reward','Selectable',180948,0,1),
(342,76,'Prereq','Quest',75,0,0),
(330,76,'Reward','Experience',561,0,0),
(334,76,'Reward','Selectable',133493,0,1),
(331,76,'Reward','Selectable',138495,0,1),
(333,76,'Reward','Selectable',146850,0,1),
(336,76,'Reward','Selectable',147099,0,1),
(332,76,'Reward','Selectable',148845,0,1),
(337,76,'Reward','Selectable',161991,0,1),
(335,76,'Reward','Selectable',176377,0,1),
(338,77,'Prereq','Quest',76,0,0),
(339,77,'Reward','Experience',596,0,0),
(340,77,'Reward','Item',26329,0,1),
(341,77,'Reward','Item',65265,0,1),
(343,78,'Prereq','Quest',56,0,0),
(344,78,'Reward','Experience',363,0,0),
(345,79,'Prereq','Quest',78,0,0),
(346,79,'Reward','Experience',363,0,0),
(348,80,'Prereq','Quest',59,0,0),
(347,80,'Prereq','Quest',79,0,0),
(349,80,'Reward','Experience',442,0,0),
(350,80,'Reward','Selectable',133465,0,1),
(353,80,'Reward','Selectable',138471,0,1),
(352,80,'Reward','Selectable',146842,0,1),
(356,80,'Reward','Selectable',147081,0,1),
(351,80,'Reward','Selectable',148805,0,1),
(354,80,'Reward','Selectable',161943,0,1),
(357,80,'Reward','Selectable',176364,0,1),
(358,81,'Prereq','Quest',80,0,0),
(359,81,'Reward','Experience',494,0,0),
(360,82,'Prereq','Quest',81,0,0),
(361,82,'Reward','Experience',544,0,0),
(368,82,'Reward','Selectable',133473,0,1),
(366,82,'Reward','Selectable',138489,0,1),
(363,82,'Reward','Selectable',146858,0,1),
(362,82,'Reward','Selectable',147107,0,1),
(367,82,'Reward','Selectable',148846,0,1),
(364,82,'Reward','Selectable',161954,0,1),
(365,82,'Reward','Selectable',176379,0,1),
(370,84,'Prereq','Quest',82,0,0),
(369,84,'Reward','Experience',544,0,0),
(371,84,'Reward','Item',26330,0,1),
(373,84,'Reward','Item',47369,0,1),
(372,84,'Reward','Item',63614,0,1),
(374,85,'Reward','Experience',1322,0,0),
(375,85,'Reward','Item',66639,0,1),
(378,86,'Reward','Experience',500,0,0),
(376,87,'Reward','Experience',631,0,0),
(377,87,'Reward','Item',37236,0,4),
(380,88,'Reward','Experience',631,0,0),
(381,88,'Reward','Item',36244,0,4),
(379,88,'Reward','Coin',5270,0,0),
(385,89,'Reward','Experience',631,0,0),
(384,89,'Reward','Item',36320,0,4),
(383,89,'Reward','Coin',5248,0,0),
(389,89,'Reward','Selectable',51806,0,1),
(387,89,'Reward','Selectable',51807,0,1),
(388,89,'Reward','Selectable',52363,0,1),
(390,89,'Reward','Selectable',77564,0,1),
(386,89,'Reward','Selectable',77636,0,1),
(391,89,'Reward','Selectable',77803,0,1),
(392,90,'Reward','Experience',631,0,0),
(394,90,'Reward','Item',36432,0,4),
(393,90,'Reward','Coin',5248,0,0),
(397,90,'Reward','Selectable',40363,0,1),
(395,90,'Reward','Selectable',42449,0,1),
(400,90,'Reward','Selectable',43205,0,1),
(398,90,'Reward','Selectable',43323,0,1),
(399,90,'Reward','Selectable',51806,0,1),
(396,90,'Reward','Selectable',51807,0,1),
(410,91,'Prereq','Quest',11,0,0),
(408,91,'Reward','Coin',10,0,0),
(409,91,'Reward','MaxCoin',21,0,0),
(407,91,'Reward','TSExperience',300,0,0),
(415,92,'Prereq','Quest',91,0,0),
(412,92,'Reward','Item',31375,0,1),
(413,92,'Reward','Coin',10,0,0),
(414,92,'Reward','MaxCoin',30,0,0),
(411,92,'Reward','TSExperience',800,0,0),
(416,93,'Prereq','Quest',92,0,0),
(419,93,'Reward','Item',31377,0,1),
(417,93,'Reward','Coin',10,0,0),
(418,93,'Reward','MaxCoin',19,0,0),
(420,93,'Reward','TSExperience',217,0,0),
(421,94,'Prereq','Quest',93,0,0),
(425,94,'Reward','Item',31380,0,1),
(423,94,'Reward','Coin',10,0,0),
(424,94,'Reward','MaxCoin',25,0,0),
(422,94,'Reward','TSExperience',233,0,0),
(426,95,'Prereq','Quest',94,0,0),
(430,95,'Reward','Item',31382,0,1),
(427,95,'Reward','Coin',10,0,0),
(428,95,'Reward','MaxCoin',25,0,0),
(429,95,'Reward','TSExperience',1133,0,0),
(431,96,'Prereq','Quest',95,0,0),
(435,96,'Reward','Item',31384,0,1),
(432,96,'Reward','Coin',10,0,0),
(433,96,'Reward','MaxCoin',25,0,0),
(434,96,'Reward','TSExperience',267,0,0),
(436,97,'Prereq','Quest',96,0,0),
(440,97,'Reward','Item',133684,0,1),
(438,97,'Reward','Coin',10,0,0),
(439,97,'Reward','Coin',25,0,0),
(437,97,'Reward','TSExperience',312,0,0),
(443,98,'Reward','Experience',122,0,0),
(460,98,'Reward','Coin',567,0,0),
(461,98,'Reward','MaxCoin',597,0,0),
(459,99,'Reward','Experience',100,0,0),
(444,99,'Reward','Coin',2950,0,0),
(455,99,'Reward','Selectable',130131,0,0),
(454,99,'Reward','Selectable',134363,0,0),
(456,99,'Reward','Selectable',134961,0,0),
(453,99,'Reward','Selectable',150249,0,0),
(457,99,'Reward','Selectable',170426,0,0),
(458,99,'Reward','Selectable',176180,0,0),
(462,99,'Reward','Selectable',180930,0,0),
(445,99,'Reward','MaxCoin',3162,0,0),
(446,100,'Prereq','Quest',99,0,0),
(465,100,'Reward','Experience',100,0,0),
(463,100,'Reward','Coin',2367,0,0),
(471,100,'Reward','Selectable',130124,0,0),
(468,100,'Reward','Selectable',134349,0,0),
(472,100,'Reward','Selectable',134956,0,0),
(467,100,'Reward','Selectable',150247,0,0),
(469,100,'Reward','Selectable',170428,0,0),
(470,100,'Reward','Selectable',176191,0,0),
(466,100,'Reward','Selectable',180933,0,0),
(464,100,'Reward','MaxCoin',2932,0,0),
(447,101,'Prereq','Quest',100,0,0),
(509,101,'Reward','Experience',277,0,0),
(507,101,'Reward','Coin',2644,0,0),
(513,101,'Reward','Selectable',182035,0,0),
(511,101,'Reward','Selectable',182041,0,0),
(510,101,'Reward','Selectable',182047,0,0),
(512,101,'Reward','Selectable',182053,0,0),
(508,101,'Reward','MaxCoin',3986,0,0),
(448,102,'Prereq','Quest',101,0,0),
(514,102,'Reward','Experience',369,0,0),
(521,102,'Reward','Selectable',130126,0,0),
(520,102,'Reward','Selectable',134355,0,0),
(519,102,'Reward','Selectable',135025,0,0),
(516,102,'Reward','Selectable',150245,0,0),
(517,102,'Reward','Selectable',170441,0,0),
(515,102,'Reward','Selectable',176181,0,0),
(518,102,'Reward','Selectable',180938,0,0),
(452,103,'Reward','Experience',258,0,0),
(449,103,'Reward','Selectable',71327,0,0),
(450,103,'Reward','Selectable',71328,0,0),
(451,103,'Reward','Selectable',71329,0,0),
(473,105,'Reward','Experience',505,0,0),
(474,105,'Reward','Selectable',48557,0,0),
(475,105,'Reward','Selectable',48558,0,0),
(476,105,'Reward','Selectable',48559,0,0),
(477,105,'Reward','Selectable',48560,0,0),
(478,105,'Reward','Selectable',48561,0,0),
(487,106,'Prereq','Quest',105,0,0),
(479,106,'Reward','Experience',176,0,0),
(484,106,'Reward','Selectable',130130,0,0),
(480,106,'Reward','Selectable',134353,0,0),
(482,106,'Reward','Selectable',134985,0,0),
(483,106,'Reward','Selectable',150235,0,0),
(481,106,'Reward','Selectable',170440,0,0),
(485,106,'Reward','Selectable',176194,0,0),
(486,106,'Reward','Selectable',180944,0,0),
(488,107,'Reward','Experience',303,0,0),
(489,107,'Reward','Selectable',185553,0,0),
(492,107,'Reward','Selectable',185554,0,0),
(491,107,'Reward','Selectable',185555,0,0),
(490,107,'Reward','Selectable',186926,0,0),
(495,108,'Reward','Experience',462,0,0),
(494,108,'Reward','Item',20631,0,0),
(498,108,'Reward','Selectable',146417,0,0),
(496,108,'Reward','Selectable',146533,0,0),
(499,108,'Reward','Selectable',150954,0,0),
(497,108,'Reward','Selectable',158456,0,0),
(493,109,'Prereq','Quest',108,0,0),
(500,109,'Reward','Experience',505,0,0),
(502,109,'Reward','Selectable',130128,0,0),
(505,109,'Reward','Selectable',134351,0,0),
(506,109,'Reward','Selectable',135013,0,0),
(503,109,'Reward','Selectable',170438,0,0),
(501,109,'Reward','Selectable',176193,0,0),
(504,109,'Reward','Selectable',180931,0,0),
(522,110,'Reward','Experience',290,0,0),
(523,110,'Reward','Coin',3033,0,0),
(524,110,'Reward','MaxCoin',3733,0,0),
(525,111,'Reward','Experience',144,0,0),
(526,111,'Reward','Coin',379,0,0),
(527,111,'Reward','MaxCoin',474,0,0),
(528,112,'Reward','Experience',168,0,0),
(529,112,'Reward','Coin',5866,0,0),
(530,112,'Reward','MaxCoin',6244,0,0),
(533,113,'Reward','Experience',265,0,0),
(534,113,'Reward','Item',20907,0,0),
(531,113,'Reward','Coin',1021,0,0),
(532,113,'Reward','MaxCoin',1065,0,0),
(537,114,'Reward','Experience',100,0,0),
(535,114,'Reward','Coin',6958,0,0),
(539,114,'Reward','Selectable',133580,0,0),
(538,114,'Reward','Selectable',133581,0,0),
(540,114,'Reward','Selectable',133582,0,0),
(541,114,'Reward','Selectable',133583,0,0),
(536,114,'Reward','MaxCoin',8246,0,0),
(542,115,'Reward','Experience',312,0,0),
(543,115,'Reward','Coin',5795,0,0),
(544,115,'Reward','MaxCoin',6269,0,0),
(545,116,'Reward','Experience',104,0,0),
(546,116,'Reward','Coin',5840,0,0),
(547,116,'Reward','MaxCoin',34797,0,0),
(552,117,'Reward','Experience',149,0,0),
(548,117,'Reward','Coin',7250,0,0),
(554,117,'Reward','Selectable',151057,0,1),
(555,117,'Reward','Selectable',151058,0,1),
(556,117,'Reward','Selectable',151059,0,1),
(557,117,'Reward','Selectable',151060,0,1),
(553,117,'Reward','MaxCoin',9915,0,0),
(551,118,'Reward','Experience',286,0,0),
(549,118,'Reward','Coin',7443,0,0),
(550,118,'Reward','MaxCoin',8479,0,0),
(560,119,'Reward','Experience',208,0,0),
(559,119,'Reward','Coin',17495,0,0),
(564,119,'Reward','Selectable',132317,0,0),
(562,119,'Reward','Selectable',138478,0,0),
(563,119,'Reward','Selectable',157520,0,0),
(561,119,'Reward','Selectable',161998,0,0),
(565,119,'Reward','Selectable',170817,0,0),
(566,119,'Reward','Selectable',172378,0,0),
(558,119,'Reward','MaxCoin',13910,0,0),
(568,120,'Reward','Experience',100,0,0),
(570,120,'Reward','Coin',220,0,0),
(573,120,'Reward','Selectable',89454,0,1),
(574,120,'Reward','Selectable',89455,0,1),
(571,120,'Reward','Selectable',89456,0,1),
(567,120,'Reward','Selectable',89458,0,1),
(572,120,'Reward','Selectable',89459,0,1),
(569,120,'Reward','MaxCoin',350,0,0),
(660,121,'Prereq','Quest',120,0,0),
(575,121,'Reward','Experience',122,0,0),
(577,121,'Reward','Coin',127,0,0),
(578,121,'Reward','Selectable',143384,0,1),
(579,121,'Reward','Selectable',143409,0,1),
(580,121,'Reward','Selectable',143455,0,1),
(581,121,'Reward','Selectable',143467,0,1),
(582,121,'Reward','Selectable',143485,0,1),
(583,121,'Reward','Selectable',143506,0,1),
(584,121,'Reward','Selectable',143524,0,1),
(576,121,'Reward','MaxCoin',210,0,0),
(606,122,'Prereq','Quest',120,0,0),
(585,122,'Reward','Experience',100,0,0),
(586,122,'Reward','Coin',90,0,0),
(588,122,'Reward','Selectable',143381,0,1),
(589,122,'Reward','Selectable',143405,0,1),
(590,122,'Reward','Selectable',143458,0,1),
(591,122,'Reward','Selectable',143470,0,1),
(592,122,'Reward','Selectable',143488,0,1),
(593,122,'Reward','Selectable',143509,0,1),
(594,122,'Reward','Selectable',143526,0,1),
(587,122,'Reward','MaxCoin',85,0,0),
(617,123,'Prereq','Quest',122,0,0),
(601,123,'Reward','Experience',124,0,0),
(602,123,'Reward','Coin',70,0,0),
(595,123,'Reward','Selectable',43261,0,1),
(599,123,'Reward','Selectable',43262,0,1),
(598,123,'Reward','Selectable',43263,0,1),
(597,123,'Reward','Selectable',43264,0,1),
(600,123,'Reward','Selectable',53807,0,1),
(596,123,'Reward','Selectable',55258,0,1),
(603,123,'Reward','MaxCoin',84,0,0),
(618,124,'Prereq','Quest',123,0,0),
(614,124,'Reward','Experience',125,0,0),
(615,124,'Reward','Coin',961,0,0),
(611,124,'Reward','Selectable',143380,0,1),
(609,124,'Reward','Selectable',143404,0,1),
(613,124,'Reward','Selectable',143456,0,1),
(608,124,'Reward','Selectable',143468,0,1),
(607,124,'Reward','Selectable',143486,0,1),
(612,124,'Reward','Selectable',143507,0,1),
(610,124,'Reward','Selectable',143525,0,1),
(616,124,'Reward','MaxCoin',1033,0,0),
(619,125,'Prereq','Quest',124,0,0),
(620,125,'Reward','Experience',100,0,0),
(621,125,'Reward','Item',65326,0,1),
(622,125,'Reward','Coin',40,0,0),
(623,125,'Reward','MaxCoin',44,0,0),
(661,128,'Prereq','Quest',124,0,0),
(637,128,'Reward','Experience',626,0,0),
(638,128,'Reward','Coin',660,0,0),
(639,128,'Reward','MaxCoin',920,0,0),
(662,129,'Prereq','Quest',128,0,0),
(640,129,'Reward','Experience',127,0,0),
(650,129,'Reward','Item',62688,0,1),
(641,129,'Reward','Coin',941,0,0),
(643,129,'Reward','Selectable',143382,0,1),
(644,129,'Reward','Selectable',143406,0,1),
(645,129,'Reward','Selectable',143454,0,1),
(646,129,'Reward','Selectable',143469,0,1),
(647,129,'Reward','Selectable',143489,0,1),
(648,129,'Reward','Selectable',143505,0,1),
(649,129,'Reward','Selectable',143527,0,1),
(642,129,'Reward','MaxCoin',675,0,0),
(675,131,'Prereq','Quest',132,0,0),
(652,131,'Reward','Experience',50,0,0),
(673,131,'Reward','Coin',115,0,0),
(653,131,'Reward','Selectable',171061,0,1),
(654,131,'Reward','Selectable',171070,0,1),
(656,131,'Reward','Selectable',171079,0,1),
(655,131,'Reward','Selectable',171090,0,1),
(659,132,'Reward','Experience',50,0,0),
(674,132,'Reward','Coin',83,0,0),
(751,132,'Reward','Selectable',171063,0,0),
(752,132,'Reward','Selectable',171069,0,0),
(750,132,'Reward','Selectable',171081,0,0),
(753,132,'Reward','Selectable',171087,0,0),
(658,133,'Reward','Experience',25,0,0),
(749,133,'Reward','Item',178497,0,1),
(667,134,'Prereq','Quest',128,0,0),
(668,134,'Reward','Experience',126,0,0),
(669,134,'Reward','Coin',227,0,0),
(670,134,'Reward','MaxCoin',246,0,0),
(663,135,'Prereq','Quest',134,0,0),
(664,135,'Reward','Experience',126,0,0),
(665,135,'Reward','Coin',180,0,0),
(666,135,'Reward','MaxCoin',435,0,0),
(702,136,'Prereq','AdvLevel',41,0,0),
(671,136,'Reward','Experience',500,0,0),
(695,136,'Reward','Item',61483,0,1),
(696,137,'Prereq','Quest',122,0,0),
(697,137,'Reward','Experience',100,0,0),
(698,137,'Reward','Coin',179,0,0),
(699,137,'Reward','MaxCoin',132,0,0),
(777,138,'Reward','Experience',127,0,0),
(779,138,'Reward','Coin',322,0,0),
(778,138,'Reward','MaxCoin',392,0,0),
(706,139,'Prereq','Quest',138,0,0),
(707,139,'Reward','Experience',100,0,0),
(708,139,'Reward','Coin',1323,0,0),
(709,139,'Reward','MaxCoin',1523,0,0),
(780,141,'Reward','Experience',130,0,0),
(781,141,'Reward','Coin',670,0,0),
(783,141,'Reward','Selectable',143386,0,0),
(785,141,'Reward','Selectable',143408,0,0),
(786,141,'Reward','Selectable',143457,0,0),
(787,141,'Reward','Selectable',143473,0,0),
(788,141,'Reward','Selectable',143488,0,0),
(789,141,'Reward','Selectable',143508,0,0),
(790,141,'Reward','Selectable',143530,0,0),
(782,141,'Reward','MaxCoin',1066,0,0),
(1430,142,'Prereq','Quest',155,0,0),
(826,142,'Reward','Experience',100,0,0),
(829,142,'Reward','Item',20754,0,0),
(827,142,'Reward','Coin',461,0,0),
(828,142,'Reward','MaxCoin',487,0,0),
(830,143,'Prereq','Quest',142,0,0),
(831,143,'Reward','Experience',128,0,0),
(832,143,'Reward','Coin',170,0,0),
(833,144,'Prereq','Quest',143,0,0),
(846,144,'Reward','Experience',100,0,0),
(837,144,'Reward','Coin',456,0,0),
(843,144,'Reward','Selectable',143383,0,0),
(841,144,'Reward','Selectable',143407,0,0),
(845,144,'Reward','Selectable',143459,0,0),
(840,144,'Reward','Selectable',143471,0,0),
(839,144,'Reward','Selectable',143490,0,0),
(844,144,'Reward','Selectable',143510,0,0),
(842,144,'Reward','Selectable',143528,0,0),
(838,144,'Reward','MaxCoin',459,0,0),
(835,145,'Prereq','Quest',144,0,0),
(847,145,'Reward','Experience',130,0,0),
(849,145,'Reward','Coin',866,0,0),
(848,145,'Reward','MaxCoin',973,0,0),
(836,146,'Prereq','Quest',145,0,0),
(858,146,'Reward','Experience',100,0,0),
(857,146,'Reward','Coin',860,0,0),
(854,146,'Reward','Selectable',88896,0,0),
(850,146,'Reward','Selectable',88898,0,0),
(853,146,'Reward','Selectable',88899,0,0),
(855,146,'Reward','Selectable',88900,0,0),
(856,146,'Reward','MaxCoin',1061,0,0),
(859,147,'Prereq','Quest',146,0,0),
(860,147,'Reward','Experience',100,0,0),
(861,147,'Reward','Coin',2000,0,0),
(862,147,'Reward','MaxCoin',2600,0,0),
(863,148,'Prereq','Quest',147,0,0),
(874,148,'Reward','Experience',100,0,0),
(864,148,'Reward','Item',62687,0,0),
(872,148,'Reward','Coin',2174,0,0),
(870,148,'Reward','Selectable',133490,0,0),
(865,148,'Reward','Selectable',138483,0,0),
(866,148,'Reward','Selectable',146846,0,0),
(867,148,'Reward','Selectable',147088,0,0),
(868,148,'Reward','Selectable',148809,0,0),
(871,148,'Reward','Selectable',161988,0,0),
(869,148,'Reward','Selectable',176373,0,0),
(873,148,'Reward','MaxCoin',2511,0,0),
(713,149,'Prereq','Quest',139,0,0),
(710,149,'Reward','Experience',100,0,0),
(711,149,'Reward','Coin',501,0,0),
(712,149,'Reward','MaxCoin',289,0,0),
(791,150,'Reward','Experience',130,0,0),
(792,150,'Reward','Coin',276,0,0),
(794,150,'Reward','Selectable',143385,0,0),
(796,150,'Reward','Selectable',143460,0,0),
(797,150,'Reward','Selectable',143472,0,0),
(799,150,'Reward','Selectable',143511,0,0),
(800,150,'Reward','Selectable',143529,0,0),
(795,150,'Reward','Selectable',149231,0,0),
(798,150,'Reward','Selectable',181552,0,0),
(793,150,'Reward','MaxCoin',326,0,0),
(801,151,'Reward','Experience',100,0,0),
(802,151,'Reward','Coin',281,0,0),
(803,151,'Reward','MaxCoin',381,0,0),
(732,152,'Reward','Experience',100,0,0),
(804,152,'Reward','Coin',459,0,0),
(806,152,'Reward','Selectable',40362,0,0),
(808,152,'Reward','Selectable',41409,0,0),
(809,152,'Reward','Selectable',42239,0,0),
(810,152,'Reward','Selectable',43204,0,0),
(807,152,'Reward','Selectable',50885,0,0),
(811,152,'Reward','Selectable',55633,0,0),
(805,152,'Reward','MaxCoin',497,0,0),
(774,153,'None','Coin',1919,0,0),
(776,153,'Reward','Experience',100,0,0),
(772,153,'Reward','Selectable',152303,0,0),
(771,153,'Reward','Selectable',170467,0,0),
(770,153,'Reward','Selectable',175880,0,0),
(773,153,'Reward','Selectable',180947,0,0),
(775,153,'Reward','MaxCoin',1618,0,0),
(769,155,'Reward','Experience',100,0,0),
(768,155,'Reward','Coin',239,0,0),
(766,155,'Reward','MaxCoin',380,0,0),
(812,156,'Reward','Experience',100,0,0),
(814,156,'Reward','Coin',595,0,0),
(813,156,'Reward','MaxCoin',785,0,0),
(815,157,'Reward','Experience',100,0,0),
(817,157,'Reward','Coin',604,0,0),
(816,157,'Reward','MaxCoin',810,0,0),
(818,158,'Reward','Experience',100,0,0),
(820,158,'Reward','Coin',1326,0,0),
(821,158,'Reward','Selectable',53244,0,0),
(824,158,'Reward','Selectable',54999,0,0),
(825,158,'Reward','Selectable',55001,0,0),
(822,158,'Reward','Selectable',88893,0,0),
(823,158,'Reward','Selectable',88895,0,0),
(819,158,'Reward','MaxCoin',1934,0,0),
(834,160,'Prereq','Quest',142,0,0),
(733,160,'Reward','Experience',100,0,0),
(734,160,'Reward','Coin',128,0,0),
(735,160,'Reward','MaxCoin',112,0,0),
(672,161,'Reward','Experience',700,0,0),
(676,162,'Prereq','Quest',131,0,0),
(677,162,'Reward','Experience',65,0,0),
(678,162,'Reward','Coin',117,0,0),
(1990,162,'Reward','Selectable',171062,0,1),
(1991,162,'Reward','Selectable',171068,0,1),
(1993,162,'Reward','Selectable',171080,0,1),
(1992,162,'Reward','Selectable',171088,0,1),
(679,162,'Reward','MaxCoin',144,0,0),
(680,163,'Prereq','Quest',162,0,0),
(681,163,'Reward','Experience',65,0,0),
(682,163,'Reward','Coin',124,0,0),
(1994,163,'Reward','Selectable',171064,0,1),
(1996,163,'Reward','Selectable',171082,0,1),
(1995,163,'Reward','Selectable',171089,0,1),
(3455,163,'Reward','Selectable',1130004,0,1),
(683,163,'Reward','MaxCoin',145,0,0),
(2006,164,'None','Item',85482,0,1),
(684,164,'Prereq','Quest',163,0,0),
(685,164,'Reward','Experience',65,0,0),
(688,164,'Reward','Item',1001003,0,1),
(686,164,'Reward','Coin',117,0,0),
(687,164,'Reward','MaxCoin',161,0,0),
(689,165,'Reward','Experience',50,0,0),
(692,165,'Reward','Item',185910,0,1),
(690,165,'Reward','Coin',515,0,0),
(691,165,'Reward','MaxCoin',599,0,0),
(693,166,'Prereq','Quest',165,0,0),
(694,166,'Reward','Experience',50,0,0),
(2007,166,'Reward','Item',144509,0,1),
(701,167,'Prereq','AdvLevel',41,0,0),
(700,167,'Reward','Experience',154,0,0),
(720,168,'Reward','Experience',647,0,0),
(703,169,'Reward','Experience',500,0,0),
(704,169,'Reward','Item',61496,0,1),
(705,170,'Reward','Experience',647,0,0),
(721,172,'Reward','Experience',708,0,0),
(714,173,'Reward','Coin',5367,0,0),
(715,173,'Reward','MaxCoin',5967,0,0),
(716,174,'Reward','Coin',12100,0,0),
(717,174,'Reward','MaxCoin',13500,0,0),
(718,175,'Reward','Experience',320,0,0),
(719,176,'Reward','Experience',320,0,0),
(722,178,'Prereq','Quest',113,0,0),
(723,178,'Reward','Experience',262,0,0),
(726,178,'Reward','Item',20750,0,0),
(724,178,'Reward','Coin',2649,0,0),
(725,178,'Reward','MaxCoin',3590,0,0),
(727,179,'Prereq','Quest',178,0,0),
(728,179,'Reward','Experience',262,0,0),
(731,179,'Reward','Item',20741,0,0),
(729,179,'Reward','Coin',2523,0,0),
(730,179,'Reward','MaxCoin',3291,0,0),
(741,182,'Reward','Experience',262,0,0),
(744,182,'Reward','Item',63510,0,0),
(742,182,'Reward','Coin',823,0,0),
(745,182,'Reward','Selectable',134124,0,0),
(746,182,'Reward','Selectable',140624,0,0),
(747,182,'Reward','Selectable',163005,0,0),
(748,182,'Reward','Selectable',174151,0,0),
(743,182,'Reward','MaxCoin',2083,0,0),
(754,183,'Reward','Experience',100,0,0),
(755,183,'Reward','Item',181332,0,0),
(756,184,'Prereq','Quest',183,0,0),
(757,184,'Reward','Experience',100,0,0),
(758,184,'Reward','Item',20835,0,1),
(759,184,'Reward','Item',36892,0,1),
(762,185,'Reward','Experience',124,0,0),
(763,185,'Reward','Item',140253,0,1),
(760,185,'Reward','Coin',355,0,0),
(761,185,'Reward','MaxCoin',531,0,0),
(764,186,'Reward','Experience',126,0,0),
(765,186,'Reward','Item',137914,0,1),
(875,188,'Prereq','Quest',187,0,0),
(876,206,'Reward','Item',175982,0,1),
(877,207,'Prereq','AdvLevel',5,0,0),
(878,207,'Reward','Experience',100,0,0),
(879,207,'Reward','Faction',125,243,0),
(880,207,'Reward','Coin',473,0,0),
(881,208,'Prereq','Quest',207,0,0),
(882,208,'Reward','Experience',100,0,0),
(883,208,'Reward','Faction',125,243,0),
(884,208,'Reward','Coin',498,0,0),
(885,209,'Prereq','Quest',208,0,0),
(3504,209,'Reward','Experience',100,0,0),
(3503,209,'Reward','Faction',150,243,0),
(3505,209,'Reward','Coin',151,0,0),
(3506,209,'Reward','MaxCoin',168,0,0),
(886,210,'Prereq','Quest',209,0,0),
(3508,210,'Prereq','Coin',151,0,0),
(3507,210,'Reward','Faction',175,243,0),
(3509,210,'Reward','Item',21029,0,0),
(3510,210,'Reward','MaxCoin',168,0,0),
(887,211,'Prereq','Quest',210,0,0),
(921,211,'Reward','Experience',100,0,0),
(922,211,'Reward','Faction',150,214,0),
(923,211,'Reward','Faction',175,243,0),
(3511,211,'Reward','Selectable',41917,0,0),
(3515,211,'Reward','Selectable',79780,0,0),
(3513,211,'Reward','Selectable',88044,0,0),
(3512,211,'Reward','Selectable',170788,0,0),
(3514,211,'Reward','Selectable',188535,0,0),
(888,212,'Prereq','Quest',211,0,0),
(924,212,'Reward','Experience',100,0,0),
(926,212,'Reward','Faction',150,110,0),
(927,212,'Reward','Faction',300,111,0),
(925,212,'Reward','Faction',450,108,0),
(890,213,'Prereq','Race',15,0,0),
(889,213,'Reward','Experience',100,0,0),
(891,214,'Prereq','Quest',213,0,0),
(892,214,'Reward','Experience',100,0,0),
(895,215,'Prereq','Quest',214,0,0),
(896,215,'Reward','Experience',100,0,0),
(897,216,'Prereq','Quest',215,0,0),
(898,216,'Reward','Experience',126,0,0),
(899,217,'Prereq','Quest',216,0,0),
(900,217,'Reward','Experience',100,0,0),
(902,218,'Prereq','Race',6,0,0),
(901,218,'Reward','Experience',100,0,0),
(903,219,'Prereq','Quest',218,0,0),
(904,219,'Reward','Experience',125,0,0),
(905,220,'Prereq','Quest',219,0,0),
(906,220,'Reward','Experience',126,0,0),
(907,221,'Prereq','Quest',220,0,0),
(908,221,'Reward','Experience',100,0,0),
(910,222,'Prereq','AdvLevel',2,0,0),
(909,222,'Reward','Experience',100,0,0),
(3036,222,'Reward','Coin',33,0,0),
(3037,222,'Reward','MaxCoin',39,0,0),
(911,223,'Prereq','Race',8,0,0),
(912,223,'Reward','Experience',100,0,0),
(913,224,'Prereq','Quest',223,0,0),
(914,224,'Reward','Experience',100,0,0),
(915,225,'Prereq','Quest',224,0,0),
(916,225,'Reward','Experience',100,0,0),
(917,226,'Prereq','Quest',225,0,0),
(918,226,'Reward','Experience',126,0,0),
(919,227,'Prereq','Quest',226,0,0),
(920,227,'Reward','Experience',100,0,0),
(928,228,'Reward','Experience',130,0,0),
(936,228,'Reward','Item',146274,0,1),
(929,228,'Reward','Coin',24,0,0),
(930,228,'Reward','MaxCoin',33,0,0),
(931,229,'Prereq','Quest',228,0,0),
(932,229,'Reward','Experience',130,0,0),
(935,229,'Reward','Item',173872,0,0),
(933,229,'Reward','Coin',123,0,0),
(934,229,'Reward','MaxCoin',133,0,0),
(3035,230,'Prereq','Quest',229,0,0),
(937,230,'Reward','Experience',226,0,0),
(938,230,'Reward','Coin',200,0,0),
(940,230,'Reward','Selectable',172398,0,1),
(941,230,'Reward','Selectable',172399,0,1),
(942,230,'Reward','Selectable',172400,0,1),
(939,230,'Reward','MaxCoin',211,0,0),
(945,231,'Reward','Experience',100,0,0),
(946,231,'Reward','Coin',460,0,0),
(943,231,'Reward','Selectable',20908,0,0),
(944,231,'Reward','Selectable',61390,0,0),
(947,231,'Reward','MaxCoin',471,0,0),
(4530,232,'Prereq','Faction',1,11,0),
(948,232,'Reward','Experience',127,0,0),
(949,232,'Reward','Item',84563,0,1),
(4531,232,'Reward','Coin',44,0,0),
(4665,232,'Reward','MaxCoin',49,0,0),
(950,233,'Reward','Experience',130,0,0),
(953,233,'Reward','Item',174812,0,1),
(951,233,'Reward','Coin',66,0,0),
(952,233,'Reward','MaxCoin',73,0,0),
(954,234,'Reward','Experience',100,0,0),
(957,234,'Reward','Item',185200,0,1),
(958,235,'Reward','Experience',132,0,0),
(959,235,'Reward','Item',181101,0,0),
(3501,235,'Reward','Coin',44,0,0),
(3502,235,'Reward','MaxCoin',58,0,0),
(960,236,'Reward','Experience',130,0,1),
(961,236,'Reward','Item',136892,0,1),
(2836,236,'Reward','Coin',122,0,0),
(2837,236,'Reward','MaxCoin',133,0,0),
(962,237,'Reward','Experience',127,0,0),
(965,237,'Reward','Item',180724,0,0),
(963,237,'Reward','Coin',130,0,0),
(964,237,'Reward','MaxCoin',133,0,0),
(3173,238,'Prereq','Faction',1,11,0),
(968,238,'Reward','Experience',100,0,0),
(966,238,'Reward','Coin',18,0,0),
(967,238,'Reward','MaxCoin',22,0,0),
(3625,239,'Prereq','Faction',1,11,0),
(969,239,'Reward','Experience',100,0,0),
(3622,239,'Reward','Item',37399,0,1),
(3621,240,'Prereq','Faction',1,11,0),
(3620,240,'Reward','Experience',100,0,0),
(3616,240,'Reward','Item',54704,0,1),
(3614,240,'Reward','Coin',22,0,0),
(3615,240,'Reward','MaxCoin',33,0,0),
(3634,241,'Prereq','Faction',1,11,0),
(3688,241,'Prereq','AdvLevel',8,0,0),
(3641,241,'Reward','Experience',134,0,0),
(3642,241,'Reward','Faction',65,243,0),
(3638,241,'Reward','Coin',34,0,0),
(3637,241,'Reward','Selectable',73287,0,1),
(3636,241,'Reward','Selectable',73288,0,1),
(3640,241,'Reward','Selectable',73289,0,1),
(3635,241,'Reward','Selectable',88226,0,1),
(3639,241,'Reward','MaxCoin',44,0,0),
(3675,243,'Prereq','Faction',1,11,0),
(3669,243,'Reward','Experience',100,0,0),
(3670,243,'Reward','Coin',22,0,0),
(3673,243,'Reward','Selectable',90264,0,1),
(3672,243,'Reward','Selectable',90265,0,1),
(3674,243,'Reward','Selectable',90266,0,1),
(3629,244,'Prereq','Faction',1,11,0),
(1275,244,'Reward','Experience',127,0,0),
(1274,244,'Reward','Faction',35,135,0),
(1278,244,'Reward','Item',35123,0,1),
(1276,244,'Reward','Coin',56,0,0),
(3632,245,'Prereq','Faction',1,11,0),
(3631,245,'Reward','Experience',100,0,0),
(3633,245,'Reward','Item',61553,0,1),
(4663,245,'Reward','Coin',11,0,0),
(1281,246,'Reward','Experience',125,0,0),
(1282,246,'Reward','Item',170283,0,1),
(1279,246,'Reward','Coin',22,0,0),
(1280,246,'Reward','MaxCoin',31,0,0),
(3677,247,'Prereq','Faction',1,11,0),
(3676,247,'Reward','Experience',100,0,0),
(3678,247,'Reward','Coin',11,0,0),
(3679,247,'Reward','MaxCoin',16,0,0),
(988,249,'Prereq','AdvLevel',20,0,0),
(989,249,'Reward','Experience',100,0,0),
(990,249,'Reward','Coin',8806,0,0),
(992,249,'Reward','Selectable',72784,0,1),
(993,249,'Reward','Selectable',73088,0,1),
(994,249,'Reward','Selectable',84346,0,1),
(995,249,'Reward','Selectable',85309,0,1),
(996,249,'Reward','Selectable',85449,0,1),
(997,249,'Reward','Selectable',85951,0,1),
(998,249,'Reward','Selectable',88155,0,1),
(991,249,'Reward','MaxCoin',6428,0,0),
(1000,255,'Prereq','Quest',249,0,0),
(1001,255,'Reward','Experience',100,0,0),
(1002,255,'Reward','Coin',4786,0,0),
(1003,255,'Reward','MaxCoin',6377,0,0),
(2490,258,'Reward','Experience',157,0,0),
(1645,258,'Reward','Item',157121,0,1),
(1056,262,'Reward','Experience',458,0,0),
(1054,262,'Reward','Coin',17463,0,0),
(1055,262,'Reward','MaxCoin',28848,0,0),
(1060,266,'Reward','Experience',133,0,0),
(1059,266,'Reward','AdvLevel',19,0,0),
(1061,266,'Reward','Coin',1301,0,0),
(1062,266,'Reward','Selectable',137311,0,1),
(1063,266,'Reward','Selectable',158269,0,1),
(1064,266,'Reward','Selectable',160588,0,1),
(1065,266,'Reward','Selectable',161790,0,1),
(1066,266,'Reward','Selectable',169217,0,1),
(1067,266,'Reward','Selectable',170935,0,1),
(1068,266,'Reward','Selectable',191613,0,1),
(1069,266,'Reward','MaxCoin',1690,0,0),
(1071,267,'Prereq','AdvLevel',20,0,0),
(1070,267,'Reward','Experience',100,0,0),
(1072,267,'Reward','Coin',9288,0,0),
(1073,267,'Reward','MaxCoin',6038,0,0),
(1074,268,'Prereq','Quest',255,0,0),
(1075,268,'Reward','Experience',141,0,0),
(1076,268,'Reward','Coin',1470,0,0),
(1077,268,'Reward','Selectable',51637,0,1),
(1078,268,'Reward','Selectable',51638,0,1),
(1079,268,'Reward','Selectable',51639,0,1),
(1080,268,'Reward','Selectable',51640,0,1),
(1081,268,'Reward','Selectable',51641,0,1),
(1082,268,'Reward','Selectable',79293,0,1),
(1083,268,'Reward','Selectable',83739,0,1),
(1084,268,'Reward','Selectable',84125,0,1),
(1085,268,'Reward','Selectable',84223,0,1),
(1086,268,'Reward','Selectable',84876,0,1),
(1087,268,'Reward','Selectable',90246,0,1),
(1088,268,'Reward','MaxCoin',2206,0,0),
(1089,270,'Prereq','Quest',268,0,0),
(1090,270,'Reward','Experience',141,0,0),
(1091,270,'Reward','Item',25904,0,1),
(1092,271,'Prereq','AdvLevel',20,0,0),
(1093,271,'Reward','Experience',201,0,0),
(1094,271,'Reward','Coin',9991,0,0),
(1095,271,'Reward','MaxCoin',9990,0,0),
(1096,272,'Prereq','AdvLevel',20,0,0),
(1097,272,'Reward','Experience',201,0,0),
(1098,272,'Reward','Coin',7884,0,0),
(1099,272,'Reward','Selectable',135482,0,1),
(1100,272,'Reward','Selectable',148745,0,1),
(1101,272,'Reward','Selectable',157448,0,1),
(1102,272,'Reward','Selectable',170158,0,1),
(1103,272,'Reward','MaxCoin',7560,0,1),
(1104,273,'Prereq','AdvLevel',20,0,0),
(1105,273,'Reward','Experience',100,0,0),
(1106,273,'Reward','Coin',3940,0,0),
(1107,273,'Reward','MaxCoin',3063,0,0),
(1108,274,'Prereq','AdvLevel',20,0,0),
(1109,274,'Reward','Experience',100,0,0),
(1110,275,'Prereq','Quest',274,0,0),
(1111,275,'Prereq','AdvLevel',20,0,0),
(1112,275,'Reward','Experience',164,0,0),
(1113,275,'Reward','Coin',5436,0,0),
(1114,275,'Reward','Selectable',134098,0,1),
(1115,275,'Reward','Selectable',140611,0,0),
(1116,275,'Reward','Selectable',147342,0,0),
(1117,275,'Reward','Selectable',162990,0,0),
(1118,275,'Reward','MaxCoin',7388,0,0),
(1122,277,'Prereq','Quest',276,0,0),
(1123,278,'Prereq','Quest',277,0,0),
(1121,280,'Prereq','AdvLevel',21,0,0),
(1119,281,'Prereq','Quest',280,0,0),
(1120,282,'Prereq','Quest',281,0,0),
(1143,283,'Prereq','Race',2,0,0),
(1124,283,'Reward','Experience',100,0,0),
(1130,285,'Prereq','Quest',283,0,0),
(1127,285,'Reward','Experience',100,0,0),
(1136,285,'Reward','Item',35391,0,20),
(1131,286,'Prereq','Quest',285,0,0),
(1134,286,'Reward','Experience',100,0,0),
(1135,286,'Reward','Item',20639,0,1),
(1137,287,'Prereq','Quest',286,0,0),
(1140,287,'Reward','Item',161758,0,1),
(1141,288,'Prereq','Quest',287,0,0),
(1142,288,'Reward','Experience',100,0,0),
(1144,289,'Prereq','Race',0,0,0),
(1149,289,'Reward','Experience',100,0,0),
(1148,289,'Reward','Selectable',173984,0,1),
(1147,289,'Reward','Selectable',173985,0,1),
(1150,290,'Prereq','Quest',289,0,0),
(1151,290,'Reward','Experience',124,0,0),
(1152,291,'Prereq','Quest',290,0,0),
(1153,291,'Reward','Experience',125,0,0),
(1154,291,'Reward','Item',20639,0,1),
(1155,291,'Reward','Item',157362,0,1),
(1158,292,'Prereq','Quest',291,0,0),
(1159,292,'Reward','Experience',100,0,0),
(1164,293,'Reward','Faction',65,135,0),
(1160,293,'Reward','Coin',22,0,0),
(1162,293,'Reward','Selectable',84332,0,1),
(1163,293,'Reward','Selectable',84333,0,1),
(1161,293,'Reward','MaxCoin',29,0,0),
(1187,294,'Prereq','Quest',284,0,0),
(1165,295,'Prereq','Race',9,0,0),
(1166,295,'Reward','Experience',100,0,0),
(1169,296,'Prereq','Quest',295,0,0),
(1172,296,'Reward','Item',20826,0,1),
(1173,297,'Prereq','Quest',296,0,0),
(1174,297,'Reward','Experience',100,0,0),
(1177,297,'Reward','Item',35384,0,1),
(1178,298,'Prereq','Quest',297,0,0),
(1181,298,'Reward','Experience',125,0,0),
(1182,298,'Reward','Item',132296,0,1),
(1183,299,'Prereq','Quest',298,0,0),
(1184,299,'Prereq','Coin',65,0,0),
(1185,299,'Prereq','MaxCoin',75,0,0),
(1186,299,'Reward','Experience',100,0,0),
(1188,300,'Prereq','Race',11,0,0),
(1191,300,'Reward','Experience',100,0,0),
(1189,300,'Reward','Coin',24,0,0),
(1190,300,'Reward','MaxCoin',27,0,0),
(1192,301,'Prereq','Quest',300,0,0),
(1193,301,'Reward','Experience',100,0,0),
(1194,302,'Prereq','Quest',301,0,0),
(1195,302,'Reward','Experience',100,0,0),
(1199,302,'Reward','Item',20744,0,1),
(1198,302,'Reward','Item',61106,0,1),
(1196,302,'Reward','Coin',24,0,0),
(1197,302,'Reward','MaxCoin',27,0,0),
(1200,303,'Prereq','Quest',302,0,0),
(1203,303,'Reward','Experience',125,0,0),
(1204,303,'Reward','Item',168862,0,1),
(1205,304,'Prereq','Quest',303,0,0),
(1206,304,'Reward','Experience',100,0,0),
(3627,305,'Prereq','Faction',1,11,0),
(3592,305,'Prereq','AdvLevel',7,0,0),
(1209,305,'Reward','Experience',181,0,0),
(1207,305,'Reward','Coin',44,0,0),
(1210,305,'Reward','Selectable',165558,0,1),
(1211,305,'Reward','Selectable',165559,0,1),
(1212,305,'Reward','Selectable',165560,0,1),
(1208,305,'Reward','MaxCoin',55,0,0),
(1248,307,'Prereq','Race',6,0,0),
(1234,307,'Reward','Experience',100,0,0),
(1235,307,'Reward','Item',20639,0,1),
(1237,307,'Reward','Coin',115,0,0),
(1232,308,'Prereq','Quest',307,0,0),
(1238,308,'Reward','Experience',100,0,0),
(1239,308,'Reward','Coin',113,0,0),
(1216,309,'Reward','Experience',127,0,0),
(1214,309,'Reward','Coin',44,0,0),
(1215,309,'Reward','MaxCoin',52,0,0),
(1219,310,'Reward','Experience',100,0,0),
(1220,310,'Reward','Item',6631,0,1),
(1217,310,'Reward','Coin',22,0,0),
(1218,310,'Reward','MaxCoin',28,0,0),
(1226,311,'Prereq','AdvLevel',3,0,0),
(1224,311,'Reward','Experience',100,0,0),
(1223,311,'Reward','Faction',65,136,0),
(1225,311,'Reward','Item',147424,0,1),
(1221,311,'Reward','Coin',22,0,0),
(1222,311,'Reward','MaxCoin',31,0,0),
(1229,312,'Reward','Experience',129,0,0),
(1231,312,'Reward','Faction',65,136,0),
(1230,312,'Reward','Item',166411,0,1),
(1227,312,'Reward','Coin',22,0,0),
(1228,312,'Reward','MaxCoin',34,0,0),
(1233,315,'Prereq','Quest',308,0,0),
(1241,315,'Reward','Experience',100,0,0),
(1242,315,'Reward','Coin',112,0,0),
(1249,315,'Reward','Selectable',164063,0,1),
(1250,315,'Reward','Selectable',164067,0,0),
(1244,316,'Prereq','Race',3,0,0),
(1247,316,'Reward','Item',20639,0,1),
(1251,317,'Prereq','Quest',315,0,0),
(1254,317,'Reward','Experience',125,0,0),
(1252,317,'Reward','Coin',116,0,0),
(1253,317,'Reward','Selectable',164078,0,1),
(1257,318,'Prereq','Quest',316,0,0),
(1260,318,'Reward','Experience',100,0,0),
(1255,319,'Prereq','Quest',317,0,0),
(1256,319,'Reward','Experience',100,0,0),
(1261,320,'Prereq','Quest',318,0,0),
(1264,320,'Reward','Experience',100,0,0),
(1265,320,'Reward','Selectable',139234,0,1),
(1266,320,'Reward','Selectable',139235,0,1),
(1267,321,'Prereq','Quest',320,0,0),
(1270,321,'Reward','Experience',125,0,0),
(1271,321,'Reward','Item',148944,0,1),
(1272,322,'Prereq','Quest',321,0,0),
(1273,322,'Reward','Experience',100,0,0),
(1283,323,'Prereq','Race',7,0,0),
(1284,323,'Reward','Experience',100,0,0),
(1285,324,'Prereq','Quest',323,0,0),
(1286,324,'Reward','Experience',100,0,0),
(1293,324,'Reward','Item',20726,0,1),
(1294,324,'Reward','Item',61107,0,1),
(1287,325,'Prereq','Quest',324,0,0),
(1288,325,'Reward','Experience',100,0,0),
(1295,326,'Prereq','Quest',325,0,0),
(1296,326,'Reward','Experience',125,0,0),
(1299,326,'Reward','Item',157399,0,1),
(1300,327,'Prereq','Quest',326,0,0),
(1301,327,'Reward','Experience',100,0,0),
(1302,328,'Prereq','Race',5,0,0),
(1305,328,'Reward','Experience',100,0,0),
(1306,328,'Reward','Item',60653,0,1),
(1307,329,'Prereq','Quest',328,0,0),
(1311,329,'Reward','Experience',124,0,0),
(1310,329,'Reward','Item',20638,0,1),
(1312,330,'Prereq','Quest',329,0,0),
(1315,330,'Reward','Experience',125,0,0),
(1316,330,'Reward','Item',165737,0,1),
(1317,331,'Prereq','Quest',330,0,0),
(1318,331,'Reward','Experience',100,0,0),
(4351,332,'Prereq','Faction',1,11,0),
(1322,332,'Reward','Experience',125,0,0),
(1319,332,'Reward','Faction',25,135,0),
(1320,332,'Reward','Coin',22,0,0),
(1323,332,'Reward','Selectable',134023,0,1),
(1324,332,'Reward','Selectable',134024,0,1),
(1321,332,'Reward','MaxCoin',33,0,0),
(4349,333,'Prereq','Faction',1,11,0),
(2821,333,'Prereq','AdvLevel',6,0,0),
(1326,333,'Reward','Experience',131,0,0),
(1329,333,'Reward','Faction',65,136,0),
(1327,333,'Reward','Coin',44,0,0),
(1330,333,'Reward','Selectable',76169,0,1),
(1331,333,'Reward','Selectable',76170,0,1),
(1332,333,'Reward','Selectable',76171,0,1),
(1333,333,'Reward','Selectable',76172,0,1),
(1334,333,'Reward','Selectable',76173,0,1),
(1335,333,'Reward','Selectable',76174,0,1),
(1328,333,'Reward','MaxCoin',49,0,0),
(4357,334,'Prereq','Faction',1,11,0),
(1336,334,'Prereq','AdvLevel',5,0,0),
(1339,334,'Reward','Experience',131,0,0),
(1340,334,'Reward','Item',162418,0,1),
(1337,334,'Reward','Coin',22,0,0),
(1338,334,'Reward','MaxCoin',33,0,0),
(1343,335,'Prereq','Race',1,0,0),
(1344,335,'Reward','Experience',100,0,0),
(1345,335,'Reward','Coin',106,0,0),
(1346,335,'Reward','MaxCoin',116,0,0),
(1347,336,'Prereq','Quest',335,0,0),
(1348,336,'Reward','Experience',100,0,0),
(1349,336,'Reward','Coin',106,0,0),
(1350,336,'Reward','MaxCoin',116,0,0),
(1351,337,'Prereq','Quest',336,0,0),
(1352,337,'Reward','Experience',100,0,0),
(1353,337,'Reward','Coin',106,0,0),
(1354,337,'Reward','MaxCoin',116,0,0),
(1355,338,'Prereq','Quest',337,0,0),
(1357,338,'Reward','Experience',125,0,0),
(1356,338,'Reward','Item',148973,0,0),
(1358,339,'Prereq','Quest',338,0,0),
(1359,339,'Reward','Experience',100,0,0),
(1360,339,'Reward','Coin',162,0,0),
(1361,339,'Reward','MaxCoin',172,0,0),
(4833,340,'Prereq','Race',10,0,0),
(4319,340,'Reward','Experience',85,0,0),
(4322,340,'Reward','Item',20605,0,0),
(4320,340,'Reward','Coin',107,0,0),
(4321,340,'Reward','MaxCoin',185,0,0),
(1362,341,'Prereq','Quest',340,0,0),
(4323,341,'Reward','Experience',85,0,0),
(4326,341,'Reward','Item',35420,0,5),
(4327,341,'Reward','Item',36448,0,5),
(4324,341,'Reward','Coin',110,0,0),
(4325,341,'Reward','MaxCoin',205,0,0),
(1363,342,'Prereq','Quest',341,0,0),
(4328,342,'Reward','Experience',85,0,0),
(4329,342,'Reward','Coin',119,0,0),
(4330,342,'Reward','MaxCoin',201,0,0),
(1365,343,'Prereq','Quest',342,0,0),
(4331,343,'Reward','Experience',85,0,0),
(4332,343,'Reward','Item',137293,0,0),
(1364,344,'Prereq','Quest',343,0,0),
(1367,344,'Reward','Experience',85,0,0),
(4832,346,'Prereq','Race',0,0,0),
(4304,346,'Reward','Experience',85,0,0),
(4307,346,'Reward','Item',20948,0,0),
(4305,346,'Reward','Coin',118,0,0),
(4306,346,'Reward','MaxCoin',246,0,0),
(1369,347,'Prereq','Quest',346,0,0),
(4308,347,'Reward','Experience',85,0,0),
(4311,347,'Reward','Item',36317,0,5),
(4312,347,'Reward','Item',37201,0,5),
(4309,347,'Reward','Coin',108,0,0),
(4310,347,'Reward','MaxCoin',185,0,0),
(1370,348,'Prereq','Quest',347,0,0),
(4314,348,'Reward','Experience',85,0,0),
(4313,348,'Reward','Coin',117,0,0),
(4315,348,'Reward','MaxCoin',185,0,0),
(1371,349,'Prereq','Quest',348,0,0),
(4316,349,'Reward','Experience',85,0,0),
(4317,349,'Reward','Item',157114,0,0),
(1372,350,'Prereq','Quest',349,0,0),
(4318,350,'Reward','Experience',85,0,0),
(1373,351,'Reward','Experience',330,0,0),
(1376,351,'Reward','Item',62275,0,0),
(1374,351,'Reward','Coin',1715,0,0),
(1377,351,'Reward','Selectable',135671,0,0),
(1378,351,'Reward','Selectable',135728,0,0),
(1379,351,'Reward','Selectable',192115,0,0),
(1380,351,'Reward','Selectable',192117,0,0),
(1375,351,'Reward','MaxCoin',1929,0,0),
(1381,352,'Prereq','AdvLevel',20,0,0),
(1382,352,'Reward','Experience',211,0,0),
(1383,352,'Reward','Coin',6799,0,0),
(1384,352,'Reward','MaxCoin',8208,0,0),
(1385,353,'Prereq','Quest',352,0,0),
(1386,353,'Prereq','AdvLevel',22,0,0),
(1387,353,'Reward','Experience',281,0,0),
(1388,353,'Reward','Coin',4810,0,0),
(1389,353,'Reward','MaxCoin',6308,0,0),
(1390,354,'Prereq','Quest',353,0,0),
(1391,354,'Prereq','AdvLevel',24,0,0),
(1392,354,'Reward','Experience',269,0,0),
(1393,354,'Reward','Coin',1464,0,0),
(1396,354,'Reward','Selectable',137310,0,1),
(1395,354,'Reward','Selectable',158273,0,1),
(1400,354,'Reward','Selectable',160584,0,1),
(1398,354,'Reward','Selectable',161791,0,1),
(1397,354,'Reward','Selectable',169216,0,1),
(1399,354,'Reward','Selectable',170938,0,1),
(1401,354,'Reward','Selectable',191619,0,1),
(1394,354,'Reward','MaxCoin',2156,0,0),
(1406,355,'Reward','Experience',100,0,0),
(1409,355,'Reward','Item',35020,0,2),
(1410,355,'Reward','Item',35021,0,2),
(1407,355,'Reward','Coin',100,0,0),
(1408,355,'Reward','MaxCoin',110,0,0),
(1402,356,'Prereq','Quest',355,0,0),
(1411,356,'Reward','Experience',100,0,0),
(1412,356,'Reward','Coin',100,0,0),
(1415,356,'Reward','Selectable',139600,0,0),
(1416,356,'Reward','Selectable',162376,0,0),
(1413,356,'Reward','MaxCoin',110,0,0),
(1403,357,'Prereq','Quest',356,0,0),
(1426,357,'Reward','Experience',100,0,0),
(1423,357,'Reward','Item',61560,0,0),
(1424,357,'Reward','Coin',100,0,0),
(1425,357,'Reward','MaxCoin',110,0,0),
(1404,358,'Prereq','Quest',357,0,0),
(1418,358,'Reward','Experience',125,0,0),
(1421,358,'Reward','Item',21386,0,0),
(1422,358,'Reward','Item',130057,0,0),
(1419,358,'Reward','Coin',100,0,0),
(1420,358,'Reward','MaxCoin',110,0,0),
(1405,359,'Prereq','Quest',358,0,0),
(1427,359,'Reward','Experience',100,0,0),
(1428,359,'Reward','Coin',100,0,0),
(1429,359,'Reward','MaxCoin',110,0,0),
(1433,361,'Reward','Experience',100,0,0),
(1434,361,'Reward','Faction',150,214,0),
(1435,361,'Reward','Item',21020,0,0),
(1431,361,'Reward','Coin',159,0,0),
(1432,361,'Reward','MaxCoin',177,0,0),
(1436,362,'Reward','Experience',100,0,0),
(5337,362,'Reward','Item',1130033,0,1),
(1444,363,'Reward','Experience',122,0,0),
(1445,363,'Reward','Coin',68,0,0),
(1447,363,'Reward','Selectable',153919,0,1),
(1450,363,'Reward','Selectable',153922,0,1),
(1449,363,'Reward','Selectable',153927,0,1),
(1448,363,'Reward','Selectable',153929,0,1),
(1446,363,'Reward','MaxCoin',79,0,0),
(1452,364,'Prereq','Quest',363,0,0),
(1455,364,'Reward','Experience',122,0,0),
(1453,364,'Reward','Coin',124,0,0),
(1456,364,'Reward','Selectable',153917,0,1),
(1458,364,'Reward','Selectable',153924,0,1),
(1457,364,'Reward','Selectable',153925,0,1),
(1459,364,'Reward','Selectable',153932,0,1),
(1454,364,'Reward','MaxCoin',127,0,0),
(1460,365,'Prereq','Quest',364,0,0),
(1461,365,'Reward','Experience',123,0,0),
(1464,365,'Reward','Item',2344,0,1),
(1462,365,'Reward','Coin',118,0,0),
(1465,365,'Reward','Selectable',153918,0,1),
(1466,365,'Reward','Selectable',153921,0,1),
(1467,365,'Reward','Selectable',153926,0,1),
(1468,365,'Reward','Selectable',153930,0,1),
(1463,365,'Reward','MaxCoin',121,0,0),
(1469,366,'Prereq','Quest',365,0,0),
(1470,366,'Reward','Experience',124,0,0),
(1471,366,'Reward','Item',12044,0,1),
(1476,366,'Reward','Coin',117,0,0),
(1474,366,'Reward','Selectable',0,0,1),
(1472,366,'Reward','Selectable',153920,0,1),
(1473,366,'Reward','Selectable',153923,0,1),
(1475,366,'Reward','Selectable',153931,0,1),
(1477,366,'Reward','MaxCoin',126,0,0),
(1478,367,'Prereq','Quest',366,0,0),
(1479,367,'Reward','Experience',126,0,0),
(1491,367,'Reward','Coin',130,0,0),
(1480,367,'Reward','Selectable',78998,0,1),
(1481,367,'Reward','Selectable',78999,0,1),
(1482,367,'Reward','Selectable',79000,0,1),
(1483,367,'Reward','Selectable',79001,0,1),
(1484,367,'Reward','Selectable',79002,0,1),
(1485,367,'Reward','Selectable',79003,0,1),
(1486,367,'Reward','Selectable',79004,0,1),
(1487,367,'Reward','Selectable',79005,0,1),
(1488,367,'Reward','Selectable',79006,0,1),
(1489,367,'Reward','Selectable',79007,0,1),
(1490,367,'Reward','Selectable',79008,0,1),
(1492,367,'Reward','MaxCoin',172,0,0),
(1493,368,'Prereq','AdvLevel',9,0,0),
(1494,368,'Reward','Experience',100,0,0),
(1495,369,'Prereq','Quest',368,0,0),
(1496,369,'Reward','Experience',100,0,0),
(1499,369,'Reward','Faction',150,102,0),
(1497,369,'Reward','Coin',718,0,0),
(1498,369,'Reward','MaxCoin',919,0,0),
(1501,370,'Prereq','Quest',369,0,0),
(1500,370,'Reward','Experience',100,0,0),
(1502,370,'Reward','Faction',150,102,0),
(1503,370,'Reward','Coin',575,0,0),
(1504,370,'Reward','MaxCoin',624,0,0),
(1505,371,'Prereq','Quest',370,0,0),
(1509,371,'Reward','Experience',100,0,0),
(1508,371,'Reward','Faction',150,102,0),
(1506,371,'Reward','Coin',1764,0,0),
(1507,371,'Reward','MaxCoin',1906,0,0),
(1519,372,'Prereq','Quest',371,0,0),
(1511,372,'Reward','Experience',100,0,0),
(1518,372,'Reward','Faction',200,102,0),
(1512,372,'Reward','Selectable',136974,0,1),
(1513,372,'Reward','Selectable',162498,0,1),
(1515,372,'Reward','Selectable',174117,0,1),
(1514,372,'Reward','Selectable',174120,0,1),
(1516,372,'Reward','Selectable',180490,0,1),
(1517,372,'Reward','Selectable',186968,0,1),
(1520,373,'Prereq','Quest',372,0,0),
(4015,374,'Reward','Experience',100,0,0),
(4013,374,'Reward','Coin',22,0,0),
(4017,374,'Reward','Selectable',166598,0,1),
(4016,374,'Reward','Selectable',166599,0,1),
(4014,374,'Reward','MaxCoin',31,0,0),
(2095,375,'Reward','Experience',100,0,0),
(2094,375,'Reward','Coin',102,0,0),
(3985,377,'Prereq','Quest',376,0,0),
(3986,377,'Reward','Coin',105,0,0),
(3987,377,'Reward','Coin',125,0,0),
(3988,378,'Prereq','Quest',377,0,0),
(3989,378,'Reward','Coin',105,0,0),
(3990,378,'Reward','MaxCoin',125,0,0),
(3991,379,'Prereq','Quest',378,0,0),
(3992,380,'Prereq','Quest',379,0,0),
(3993,380,'Reward','Coin',105,0,0),
(3994,380,'Reward','MaxCoin',125,0,0),
(3995,381,'Reward','Quest',380,0,0),
(3996,381,'Reward','Coin',105,0,0),
(3997,381,'Reward','MaxCoin',125,0,0),
(3998,382,'Prereq','Quest',381,0,0),
(3999,383,'Prereq','Quest',382,0,0),
(4000,383,'Reward','Coin',105,0,0),
(4003,383,'Reward','Selectable',54935,0,0),
(4004,383,'Reward','Selectable',71014,0,0),
(4005,383,'Reward','Selectable',75263,0,0),
(4002,383,'Reward','Selectable',179091,0,0),
(4001,383,'Reward','MaxCoin',125,0,0),
(4006,384,'Prereq','Quest',383,0,0),
(1534,385,'Reward','Experience',124,0,0),
(1535,385,'Reward','Item',164079,0,1),
(5408,386,'Prereq','Faction',1,12,0),
(4007,386,'Reward','Experience',85,0,0),
(4008,386,'Reward','Item',37194,0,10),
(5417,386,'Reward','Coin',67,0,0),
(5418,386,'Reward','MaxCoin',81,0,0),
(4011,387,'Reward','Experience',85,0,0),
(4012,387,'Reward','Item',169361,0,1),
(4018,391,'Reward','Experience',120,0,0),
(4019,391,'Reward','Coin',151,0,0),
(4021,391,'Reward','Selectable',20618,0,0),
(4022,391,'Reward','Selectable',61553,0,0),
(4020,391,'Reward','MaxCoin',175,0,0),
(4044,392,'Prereq','Quest',373,0,0),
(4037,392,'Reward','Experience',200,0,0),
(4038,392,'Reward','Coin',2771,0,0),
(4039,392,'Reward','MaxCoin',3581,0,0),
(4043,393,'Prereq','Quest',392,0,0),
(4040,393,'Reward','Experience',200,0,0),
(4041,393,'Reward','Coin',3647,0,0),
(4042,393,'Reward','MaxCoin',4522,0,0),
(4045,394,'Prereq','Quest',393,0,0),
(4030,394,'Reward','Experience',100,0,0),
(4031,394,'Reward','Coin',415,0,0),
(4032,394,'Reward','MaxCoin',525,0,0),
(4046,395,'Prereq','Quest',394,0,0),
(4023,395,'Reward','Experience',200,0,0),
(4024,395,'Reward','Item',173364,0,0),
(4025,395,'Reward','Selectable',156926,0,0),
(4026,395,'Reward','Selectable',163648,0,0),
(4027,395,'Reward','Selectable',169132,0,0),
(4028,395,'Reward','Selectable',174346,0,0),
(4029,395,'Reward','Selectable',187117,0,0),
(2071,398,'Reward','Experience',100,0,0),
(2072,398,'Reward','Coin',109,0,0),
(2073,399,'Reward','Experience',100,0,0),
(2074,399,'Reward','Coin',200,0,0),
(2075,400,'Reward','Experience',100,0,0),
(2078,400,'Reward','Faction',55,102,0),
(2076,400,'Reward','Coin',210,0,0),
(2079,401,'Reward','Experience',100,0,0),
(2098,402,'Reward','Experience',100,0,0),
(2097,402,'Reward','Faction',60,102,0),
(2096,402,'Reward','Coin',97,0,0),
(2099,403,'Reward','Experience',100,0,0),
(2101,403,'Reward','Faction',60,102,0),
(2100,403,'Reward','Coin',159,0,0),
(2103,404,'Reward','Experience',100,0,0),
(2102,404,'Reward','Faction',75,102,0),
(2104,404,'Reward','Coin',267,0,0),
(2106,405,'Reward','Experience',100,0,0),
(2105,405,'Reward','Faction',45,102,0),
(2080,406,'Reward','Experience',100,0,0),
(2107,406,'Reward','Faction',85,102,0),
(2108,406,'Reward','Coin',1018,0,0),
(2081,407,'Reward','Experience',100,0,0),
(2083,408,'Reward','Experience',100,0,0),
(2109,408,'Reward','Faction',65,102,0),
(2082,408,'Reward','Coin',597,0,0),
(2111,409,'Reward','Experience',100,0,0),
(2110,409,'Reward','Faction',70,102,0),
(2112,409,'Reward','Coin',159,0,0),
(2113,410,'Reward','Experience',100,0,0),
(2115,410,'Reward','Faction',70,102,0),
(2114,410,'Reward','Coin',159,0,0),
(2116,411,'Reward','Experience',100,0,0),
(2118,411,'Reward','Faction',75,102,0),
(2117,411,'Reward','Coin',267,0,0),
(2120,412,'Reward','Experience',100,0,0),
(2119,412,'Reward','Faction',45,102,0),
(2126,413,'Reward','Experience',100,0,0),
(2127,413,'Reward','Faction',100,102,0),
(2125,413,'Reward','Coin',1018,0,0),
(2121,414,'Reward','Experience',100,0,0),
(2124,415,'Reward','Experience',100,0,0),
(2123,415,'Reward','Faction',100,102,0),
(2122,415,'Reward','Coin',1018,0,0),
(2153,416,'None','Selectable',140636,0,0),
(2150,416,'Reward','Experience',157,0,0),
(2149,416,'Reward','Coin',159,0,0),
(2154,416,'Reward','Selectable',147367,0,0),
(2151,416,'Reward','Selectable',173880,0,0),
(2152,416,'Reward','Selectable',179066,0,0),
(2029,417,'Reward','Experience',184,0,0),
(2030,417,'Reward','Coin',297,0,0),
(2146,418,'Reward','Experience',157,0,0),
(2145,418,'Reward','Coin',297,0,0),
(2195,419,'Reward','Experience',224,0,0),
(2192,419,'Reward','Selectable',167585,0,0),
(2193,419,'Reward','Selectable',174552,0,0),
(2191,419,'Reward','Selectable',185957,0,0),
(2190,419,'Reward','Selectable',190959,0,0),
(2194,419,'Reward','MaxCoin',324,0,0),
(2349,420,'Reward','Experience',189,0,0),
(2348,420,'Reward','Coin',1022,0,0),
(2355,420,'Reward','Selectable',144823,0,0),
(2352,420,'Reward','Selectable',148455,0,0),
(2350,420,'Reward','Selectable',152694,0,0),
(2351,420,'Reward','Selectable',164443,0,0),
(2353,420,'Reward','Selectable',171847,0,0),
(2354,420,'Reward','Selectable',187478,0,0),
(2356,420,'Reward','Selectable',188981,0,0),
(1998,421,'Reward','Experience',100,0,0),
(1997,421,'Reward','Coin',362,0,0),
(2004,421,'Reward','Selectable',144822,0,1),
(2001,421,'Reward','Selectable',148456,0,1),
(1999,421,'Reward','Selectable',152693,0,1),
(2000,421,'Reward','Selectable',164447,0,1),
(2002,421,'Reward','Selectable',171842,0,1),
(2003,421,'Reward','Selectable',187475,0,1),
(2005,421,'Reward','Selectable',188980,0,1),
(1988,422,'Reward','Experience',177,0,0),
(1989,422,'Reward','Coin',9942,0,0),
(1984,422,'Reward','Selectable',132276,0,1),
(1986,422,'Reward','Selectable',132283,0,1),
(1985,422,'Reward','Selectable',132290,0,1),
(1987,422,'Reward','Selectable',132298,0,1),
(2209,423,'Reward','Experience',100,0,0),
(2200,423,'Reward','Selectable',50751,0,0),
(2199,423,'Reward','Selectable',51665,0,0),
(2208,423,'Reward','Selectable',53562,0,0),
(2201,423,'Reward','Selectable',54034,0,0),
(2204,423,'Reward','Selectable',55447,0,0),
(2198,423,'Reward','Selectable',72395,0,0),
(2206,423,'Reward','Selectable',83833,0,0),
(2202,423,'Reward','Selectable',86203,0,0),
(2203,423,'Reward','Selectable',88302,0,0),
(2207,423,'Reward','Selectable',88313,0,0),
(2205,423,'Reward','Selectable',90290,0,0),
(2008,424,'Reward','Experience',100,0,0),
(2009,424,'Reward','Coin',1018,0,0),
(2024,424,'Reward','Selectable',130279,0,0),
(2023,424,'Reward','Selectable',152761,0,0),
(2019,424,'Reward','Selectable',160608,0,0),
(2021,424,'Reward','Selectable',165268,0,0),
(2028,424,'Reward','Selectable',170060,0,0),
(2020,424,'Reward','Selectable',176136,0,0),
(2027,424,'Reward','Selectable',185220,0,0),
(2010,425,'Reward','Experience',100,0,0),
(2011,425,'Reward','Coin',1018,0,0),
(2018,425,'Reward','Selectable',144825,0,0),
(2017,425,'Reward','Selectable',148454,0,0),
(2015,425,'Reward','Selectable',152696,0,0),
(2014,425,'Reward','Selectable',164446,0,0),
(2012,425,'Reward','Selectable',171844,0,0),
(2013,425,'Reward','Selectable',187477,0,0),
(2016,425,'Reward','Selectable',188979,0,0),
(1971,428,'Reward','Experience',180,0,0),
(1972,428,'Reward','Coin',1015,0,0),
(1977,428,'Reward','Selectable',42291,0,1),
(1973,428,'Reward','Selectable',85718,0,1),
(1975,428,'Reward','Selectable',85719,0,1),
(2347,429,'Reward','Experience',132,0,0),
(2346,429,'Reward','Item',36357,0,10),
(2345,429,'Reward','Coin',159,0,0),
(2135,430,'Reward','Experience',100,0,0),
(2137,430,'Reward','Item',36529,0,10),
(2136,430,'Reward','Coin',177,0,0),
(2147,431,'Reward','Experience',135,0,0),
(2148,431,'Reward','MaxCoin',297,0,0),
(2298,432,'Reward','Experience',135,0,0),
(2299,432,'Reward','Item',37607,0,10),
(2297,432,'Reward','Coin',267,0,0),
(2313,433,'Reward','Experience',244,0,0),
(2314,433,'Reward','Coin',1018,0,0),
(2340,434,'Reward','Experience',195,0,0),
(2341,434,'Reward','Coin',1113,0,0),
(2331,435,'Reward','Experience',181,0,0),
(2332,435,'Reward','Item',36597,0,3),
(2330,435,'Reward','Coin',267,0,0),
(2329,436,'Reward','Experience',244,0,0),
(2328,436,'Reward','Coin',432,0,0),
(2143,437,'Reward','Experience',100,0,0),
(2144,437,'Reward','Item',164899,0,1),
(2138,437,'Reward','Coin',1743,0,0),
(2140,437,'Reward','Selectable',163730,0,1),
(2142,437,'Reward','Selectable',163732,0,1),
(2139,437,'Reward','Selectable',163735,0,1),
(2141,437,'Reward','Selectable',163740,0,1),
(2062,440,'Reward','Experience',178,0,0),
(2301,441,'Reward','Experience',136,0,0),
(2300,441,'Reward','Coin',159,0,0),
(2343,442,'Reward','Experience',100,0,0),
(2344,442,'Reward','Item',188555,0,0),
(2342,442,'Reward','Coin',159,0,0),
(2316,443,'Reward','Experience',209,0,0),
(2315,443,'Reward','Coin',267,0,0),
(2212,444,'Reward','Experience',279,0,0),
(2210,444,'Reward','Item',188554,0,0),
(2211,444,'Reward','MaxCoin',447,0,0),
(2334,445,'Reward','Experience',252,0,0),
(2335,445,'Reward','Item',188556,0,0),
(2333,445,'Reward','Coin',291,0,0),
(2336,445,'Reward','Selectable',134303,0,0),
(2337,445,'Reward','Selectable',163061,0,0),
(2339,445,'Reward','Selectable',174079,0,0),
(2338,445,'Reward','Selectable',174199,0,0),
(2188,447,'Reward','Experience',100,0,0),
(2189,447,'Reward','Coin',267,0,0),
(2197,448,'Reward','Experience',100,0,0),
(2196,448,'Reward','MaxCoin',297,0,0),
(2312,449,'Reward','Experience',261,0,0),
(2311,449,'Reward','Coin',432,0,0),
(2187,450,'Reward','Experience',167,0,0),
(2186,450,'Reward','Coin',432,0,0),
(2182,450,'Reward','Selectable',132275,0,0),
(2185,450,'Reward','Selectable',132282,0,0),
(2184,450,'Reward','Selectable',132289,0,0),
(2183,450,'Reward','Selectable',132297,0,0),
(5426,451,'Prereq','Faction',1,12,0),
(5425,451,'Prereq','AdvLevel',9,0,0),
(2290,451,'Reward','Experience',211,0,0),
(2289,451,'Reward','Coin',300,0,0),
(2291,451,'Reward','Selectable',152356,0,1),
(2292,451,'Reward','Selectable',182421,0,1),
(2296,451,'Reward','Selectable',190774,0,1),
(2031,452,'Reward','Experience',100,0,0),
(2032,452,'Reward','Coin',117,0,0),
(2222,453,'Reward','Experience',138,0,0),
(2223,453,'Reward','Faction',85,103,0),
(2214,453,'Reward','Selectable',144821,0,0),
(2220,453,'Reward','Selectable',148451,0,0),
(2213,453,'Reward','Selectable',152697,0,0),
(2217,453,'Reward','Selectable',164445,0,0),
(2215,453,'Reward','Selectable',171845,0,0),
(2219,453,'Reward','Selectable',187474,0,0),
(2218,453,'Reward','Selectable',188978,0,0),
(2221,453,'Reward','MaxCoin',297,0,0),
(2318,454,'Reward','Faction',85,105,0),
(2317,454,'Reward','Coin',994,0,0),
(2323,454,'Reward','Selectable',130280,0,0),
(2320,454,'Reward','Selectable',152759,0,0),
(2319,454,'Reward','Selectable',160611,0,0),
(2325,454,'Reward','Selectable',165260,0,0),
(2327,454,'Reward','Selectable',170058,0,0),
(2324,454,'Reward','Selectable',176123,0,0),
(2326,454,'Reward','Selectable',185219,0,0),
(1892,455,'Reward','Experience',0,0,100),
(1526,455,'Reward','Faction',0,250,150),
(1527,455,'Reward','Coin',0,0,105),
(1530,456,'None','AdvLevel',255,0,0),
(1528,456,'Reward','Experience',15000,0,0),
(1529,456,'Reward','Coin',1000000,0,0),
(1533,457,'Reward','Experience',100,0,0),
(1532,457,'Reward','Coin',236,0,0),
(1531,457,'Reward','MaxCoin',536,0,0),
(1536,458,'Reward','Experience',100,0,0),
(1537,458,'Reward','Coin',1121,0,0),
(1538,458,'Reward','MaxCoin',1289,0,0),
(1555,463,'Reward','Experience',100,0,0),
(1556,463,'Reward','Coin',200,0,0),
(1557,463,'Reward','MaxCoin',308,0,0),
(1560,464,'Reward','Experience',100,0,0),
(1573,464,'Reward','Item',37353,0,4),
(1558,464,'Reward','Coin',348,0,0),
(1559,464,'Reward','MaxCoin',401,0,0),
(1561,465,'Prereq','Quest',464,0,0),
(1564,465,'Reward','Experience',151,0,0),
(1572,465,'Reward','Item',35732,0,1),
(1562,465,'Reward','Coin',369,0,0),
(1563,465,'Reward','Coin',439,0,0),
(1565,466,'Prereq','Quest',465,0,0),
(1566,466,'Reward','Experience',100,0,0),
(1571,466,'Reward','Item',35732,0,1),
(1567,467,'Prereq','Quest',466,0,0),
(1570,467,'Reward','Item',37352,0,3),
(1568,467,'Reward','Coin',468,0,0),
(1569,467,'Reward','MaxCoin',469,0,0),
(1574,468,'Prereq','Quest',467,0,0),
(1577,468,'Reward','Experience',100,0,0),
(1578,468,'Reward','Item',36515,0,1),
(1575,468,'Reward','Coin',151,0,0),
(1576,468,'Reward','MaxCoin',168,0,0),
(1579,469,'Prereq','Quest',468,0,0),
(1580,469,'Reward','Experience',195,0,0),
(4914,470,'Prereq','Faction',11,0,1),
(4911,470,'Prereq','AdvLevel',10,0,0),
(1583,470,'Reward','Experience',135,0,0),
(1581,470,'Reward','Coin',145,0,0),
(4912,470,'Reward','MaxCoin',200,0,0),
(1586,471,'None','MaxCoin',239,0,0),
(1584,471,'Prereq','Quest',470,0,0),
(1587,471,'Reward','Experience',261,0,0),
(4913,471,'Reward','Item',171043,0,1),
(1585,471,'Reward','Coin',175,0,0),
(1588,472,'Prereq','Quest',471,0,0),
(1591,472,'Reward','Experience',330,0,0),
(1589,472,'Reward','Coin',267,0,0),
(1590,472,'Reward','MaxCoin',282,0,0),
(1592,473,'Prereq','Quest',472,0,0),
(1594,473,'Reward','Experience',925,0,0),
(4920,473,'Reward','Item',135184,0,1),
(1593,473,'Reward','Coin',9667,0,0),
(1639,474,'Reward','Experience',130,0,0),
(1640,475,'Reward','Experience',189,0,0),
(1641,476,'Reward','Experience',305,0,0),
(1642,477,'Reward','Experience',130,0,0),
(2489,478,'Reward','Experience',209,0,0),
(1646,478,'Reward','Item',75665,0,1),
(1647,479,'Prereq','AdvLevel',12,0,0),
(1651,479,'Reward','Experience',100,0,0),
(1648,479,'Reward','Item',191226,0,1),
(1649,479,'Reward','Coin',2173,0,0),
(1650,479,'Reward','MaxCoin',2448,0,0),
(5516,480,'Reward','Experience',100,0,0),
(5517,480,'Reward','Coin',68,0,0),
(5518,480,'Reward','MaxCoin',78,0,0),
(1653,481,'Reward','Experience',100,0,0),
(1654,481,'Reward','Item',181458,0,1),
(1655,482,'Reward','Experience',127,0,0),
(1656,482,'Reward','Item',88935,0,1),
(2387,483,'Reward','Experience',220,0,0),
(2386,483,'Reward','Item',185684,0,1),
(1657,484,'Reward','Experience',100,0,0),
(1658,484,'Reward','Item',136170,0,1),
(2166,485,'Reward','Experience',504,0,0),
(2165,485,'Reward','Item',156891,0,1),
(2167,485,'Reward','Coin',1000,0,0),
(1661,486,'Reward','Selectable',7550,0,5),
(1660,486,'Reward','Selectable',22019,0,0),
(1659,486,'Reward','Selectable',46199,0,0),
(1664,487,'Reward','Experience',100,0,0),
(1665,487,'Reward','Item',165309,0,0),
(1666,488,'Reward','Experience',100,0,0),
(1667,488,'Reward','Item',136712,0,0),
(1857,489,'Reward','Item',20606,0,1),
(1858,489,'Reward','Coin',145,0,0),
(1861,490,'Reward','Experience',307,0,0),
(1859,490,'Reward','Item',162227,0,1),
(1860,490,'Reward','Coin',284,0,0),
(1862,491,'Reward','Coin',237,0,0),
(1863,492,'Reward','Item',160785,0,1),
(1864,492,'Reward','Coin',492,0,0),
(1672,493,'Prereq','Quest',361,0,0),
(1671,493,'Reward','Experience',100,0,0),
(1670,493,'Reward','Faction',150,214,0),
(1668,493,'Reward','Coin',159,0,0),
(1669,493,'Reward','MaxCoin',177,0,0),
(1673,494,'Prereq','Quest',493,0,0),
(1677,494,'Reward','Experience',100,0,0),
(1676,494,'Reward','Faction',175,214,0),
(1675,494,'Reward','Coin',1018,0,0),
(1674,494,'Reward','MaxCoin',1032,0,0),
(1678,495,'Prereq','Quest',494,0,0),
(1679,495,'Reward','Experience',100,0,0),
(1680,495,'Reward','Faction',50,222,0),
(1681,495,'Reward','Faction',200,214,0),
(1682,495,'Reward','Item',2345,0,1),
(1689,495,'Reward','Selectable',133636,0,1),
(1685,495,'Reward','Selectable',151072,0,1),
(1684,495,'Reward','Selectable',160748,0,1),
(1687,495,'Reward','Selectable',167942,0,1),
(1683,495,'Reward','Selectable',174375,0,1),
(1686,495,'Reward','Selectable',185180,0,1),
(1688,495,'Reward','Selectable',187170,0,1),
(1694,496,'Prereq','Quest',361,0,0),
(1690,496,'Reward','Experience',100,0,0),
(1691,496,'Reward','Faction',150,214,0),
(1693,496,'Reward','Coin',159,0,0),
(1692,496,'Reward','MaxCoin',177,0,0),
(1695,497,'Prereq','Quest',496,0,0),
(1703,497,'Reward','Experience',100,0,0),
(1704,497,'Reward','Faction',150,214,0),
(1696,497,'Reward','Selectable',136400,0,1),
(1701,497,'Reward','Selectable',137996,0,1),
(1697,497,'Reward','Selectable',151786,0,1),
(1702,497,'Reward','Selectable',152772,0,1),
(1698,497,'Reward','Selectable',152773,0,1),
(1699,497,'Reward','Selectable',180858,0,1),
(1700,497,'Reward','Selectable',180859,0,1),
(1705,498,'Prereq','Quest',495,0,0),
(1710,499,'Reward','Experience',100,0,0),
(1708,499,'Reward','Coin',151,0,0),
(1706,499,'Reward','Selectable',20935,0,1),
(1707,499,'Reward','Selectable',61553,0,1),
(1709,499,'Reward','MaxCoin',168,0,0),
(1720,500,'Reward','Experience',177,0,0),
(1721,500,'Reward','Faction',200,214,0),
(1718,500,'Reward','Coin',267,0,0),
(1715,500,'Reward','Selectable',137994,0,1),
(1712,500,'Reward','Selectable',138271,0,1),
(1717,500,'Reward','Selectable',138272,0,1),
(1714,500,'Reward','Selectable',160663,0,1),
(1713,500,'Reward','Selectable',162702,0,1),
(1711,500,'Reward','Selectable',170791,0,1),
(1716,500,'Reward','Selectable',186136,0,1),
(1719,500,'Reward','MaxCoin',297,0,0),
(1722,501,'Reward','Experience',128,0,0),
(1724,501,'Reward','Coin',421,0,0),
(1723,501,'Reward','MaxCoin',435,0,0),
(1732,502,'Reward','Experience',100,0,0),
(1727,502,'Reward','Item',47053,0,1),
(1725,502,'Reward','Coin',307,0,0),
(1726,502,'Reward','MaxCoin',342,0,0),
(1731,503,'Reward','Experience',100,0,0),
(1730,503,'Reward','Item',47057,0,1),
(1728,503,'Reward','Coin',307,0,0),
(1729,503,'Reward','MaxCoin',342,0,0),
(4353,504,'Prereq','Faction',1,11,0),
(2872,504,'Prereq','AdvLevel',8,0,0),
(1737,504,'Reward','Experience',125,0,0),
(1735,504,'Reward','Coin',34,0,0),
(1733,504,'Reward','Selectable',142810,0,1),
(1734,504,'Reward','Selectable',142811,0,1),
(1736,504,'Reward','MaxCoin',42,0,0),
(1740,505,'Reward','Experience',35,0,0),
(1738,505,'Reward','Coin',12,0,0),
(1739,505,'Reward','MaxCoin',16,0,0),
(3444,507,'Prereq','Faction',1,11,0),
(1741,507,'Reward','Experience',100,0,0),
(1744,507,'Reward','Faction',125,214,0),
(1742,507,'Reward','Coin',92,0,0),
(1743,507,'Reward','MaxCoin',102,0,0),
(1749,508,'Prereq','Quest',507,0,0),
(1747,508,'Reward','Experience',100,0,0),
(1748,508,'Reward','Faction',125,214,0),
(1745,508,'Reward','Coin',92,0,0),
(1746,508,'Reward','MaxCoin',102,0,0),
(1750,509,'Prereq','Quest',508,0,0),
(1751,509,'Reward','Experience',100,0,0),
(1754,509,'Reward','Faction',150,214,0),
(1752,509,'Reward','Coin',151,0,0),
(1753,509,'Reward','MaxCoin',168,0,0),
(1755,510,'Prereq','Quest',509,0,0),
(1759,510,'Reward','Experience',100,0,0),
(1758,510,'Reward','Faction',175,214,0),
(1756,510,'Reward','Coin',151,0,0),
(1757,510,'Reward','MaxCoin',168,0,0),
(1760,511,'Prereq','Quest',510,0,0),
(1766,511,'Reward','Experience',100,0,0),
(1767,511,'Reward','Faction',175,214,0),
(1763,511,'Reward','Selectable',53547,0,1),
(1762,511,'Reward','Selectable',84275,0,1),
(1764,511,'Reward','Selectable',84340,0,1),
(1765,511,'Reward','Selectable',164940,0,1),
(1768,512,'Prereq','Quest',511,0,0),
(1772,512,'Reward','Experience',100,0,0),
(1770,512,'Reward','Faction',150,243,0),
(1771,512,'Reward','Faction',300,136,0),
(1769,512,'Reward','Faction',450,214,0),
(1773,513,'Reward','Experience',100,0,0),
(1774,513,'Reward','Coin',290,0,0),
(1776,513,'Reward','Selectable',20618,0,1),
(1777,513,'Reward','Selectable',61547,0,1),
(1775,513,'Reward','MaxCoin',401,0,0),
(1782,514,'Reward','Experience',100,0,0),
(1788,514,'Reward','Faction',65,108,0),
(1780,514,'Reward','Item',54704,0,1),
(1783,514,'Reward','Coin',241,0,0),
(1784,514,'Reward','MaxCoin',474,0,0),
(1789,515,'Reward','Experience',126,0,0),
(1790,515,'Reward','Coin',44,0,0),
(1791,515,'Reward','MaxCoin',56,0,0),
(1794,516,'Reward','Experience',127,0,0),
(1792,516,'Reward','Coin',44,0,0),
(1793,516,'Reward','MaxCoin',56,0,0),
(1797,517,'Reward','Experience',100,0,0),
(1795,517,'Reward','Coin',217,0,0),
(1796,517,'Reward','MaxCoin',220,0,0),
(3442,518,'Prereq','Faction',1,11,0),
(3443,518,'Prereq','Race',11,0,0),
(1803,518,'Reward','Experience',100,0,0),
(1801,518,'Reward','Coin',92,0,0),
(1802,518,'Reward','MaxCoin',102,0,0),
(1804,519,'Reward','Experience',270,0,0),
(1805,519,'Reward','Item',64417,0,1),
(1806,520,'Reward','Experience',100,0,0),
(1809,520,'Reward','Faction',125,136,0),
(1807,520,'Reward','Coin',251,0,0),
(1808,520,'Reward','MaxCoin',485,0,0),
(1810,521,'Prereq','Quest',520,0,0),
(1814,521,'Reward','Experience',100,0,0),
(1813,521,'Reward','Faction',125,136,0),
(1811,521,'Reward','Coin',462,0,0),
(1812,521,'Reward','MaxCoin',517,0,0),
(1816,522,'None','Item',1826,0,1),
(1815,522,'Prereq','Quest',521,0,0),
(1817,522,'Reward','Experience',130,0,0),
(1820,522,'Reward','Faction',150,136,0),
(1818,522,'Reward','Coin',151,0,0),
(1819,522,'Reward','MaxCoin',168,0,0),
(1829,525,'Prereq','Quest',11,0,0),
(1823,525,'Reward','Faction',250,135,0),
(1824,525,'Reward','Item',21179,0,1),
(1825,525,'Reward','Coin',600,0,0),
(1826,525,'Reward','MaxCoin',800,0,0),
(1827,525,'Reward','TSExperience',722,0,0),
(3032,526,'Prereq','Race',2,0,0),
(3028,526,'Reward','Experience',100,0,0),
(3031,526,'Reward','Item',4312,0,0),
(3029,526,'Reward','Coin',92,0,0),
(3030,526,'Reward','MaxCoin',102,0,0),
(1830,527,'Reward','Selectable',89256,0,1),
(1831,527,'Reward','Selectable',89257,0,1),
(1832,527,'Reward','Selectable',89258,0,1),
(1833,527,'Reward','Selectable',89259,0,1),
(1834,527,'Reward','Selectable',89260,0,1),
(1836,528,'Reward','Experience',184,0,0),
(1837,528,'Reward','Item',185914,0,1),
(1838,528,'Reward','Coin',722,0,0),
(1840,529,'Reward','Experience',192,0,0),
(1839,529,'Reward','Item',40826,0,1),
(1845,530,'Reward','Experience',184,0,0),
(1844,530,'Reward','Coin',3326,0,0),
(1843,530,'Reward','Selectable',135428,0,1),
(1842,530,'Reward','Selectable',173778,0,1),
(1841,530,'Reward','Selectable',173952,0,1),
(1846,531,'Reward','Coin',2729,0,0),
(1848,532,'None','Coin',4268,0,0),
(1847,532,'Reward','Experience',320,0,0),
(3059,533,'Prereq','Race',7,0,0),
(3058,533,'Prereq','AdvLevel',3,0,0),
(2989,533,'Reward','Experience',100,0,0),
(2987,533,'Reward','Coin',92,0,0),
(2988,533,'Reward','MaxCoin',102,0,0),
(1849,534,'Reward','Item',161812,0,1),
(1850,534,'Reward','Coin',3574,0,0),
(1853,535,'Reward','Experience',230,0,0),
(1851,535,'Reward','Item',131058,0,1),
(1852,535,'Reward','Coin',927,0,0),
(1854,536,'Reward','Experience',184,0,0),
(1855,536,'Reward','Coin',1032,0,0),
(1856,537,'Reward','MaxCoin',369,0,0),
(1893,540,'Reward','Experience',0,0,100),
(1874,540,'Reward','Faction',0,250,150),
(1875,540,'Reward','MaxCoin',0,0,117),
(1890,541,'Reward','Experience',0,0,100),
(1876,541,'Reward','Faction',0,250,150),
(1877,541,'Reward','MaxCoin',0,0,168),
(1889,542,'Reward','Experience',0,0,129),
(1884,542,'Reward','Faction',0,250,255),
(1879,542,'Reward','Selectable',83774,0,1),
(1880,542,'Reward','Selectable',89905,0,1),
(1882,542,'Reward','Selectable',136262,0,1),
(1878,542,'Reward','Selectable',146532,0,1),
(1881,542,'Reward','Selectable',180429,0,1),
(1883,542,'Reward','MaxCoin',0,0,168),
(1887,543,'Reward','Experience',0,0,100),
(1885,543,'Reward','Faction',0,102,150),
(1886,543,'Reward','Faction',0,250,150),
(1896,544,'Reward','Experience',0,0,50),
(1895,544,'Reward','Coin',0,0,117),
(1897,545,'Reward','Experience',0,0,88),
(1898,545,'Reward','Faction',0,250,150),
(1899,545,'Reward','Coin',0,0,168),
(1901,546,'Reward','Experience',0,0,126),
(1902,546,'Reward','Faction',0,104,150),
(1900,546,'Reward','Coin',0,0,117),
(4049,547,'Prereq','Quest',546,0,0),
(1903,547,'Reward','Experience',0,0,100),
(1904,547,'Reward','Faction',0,104,150),
(1905,547,'Reward','Coin',0,0,117),
(4050,548,'Prereq','Quest',547,0,0),
(1908,548,'Reward','Experience',0,0,127),
(1907,548,'Reward','Faction',0,104,150),
(1906,548,'Reward','Item',6936,0,1),
(1909,548,'Reward','Coin',0,0,117),
(4051,549,'Prereq','Quest',548,0,0),
(1913,549,'Reward','Experience',0,0,100),
(1912,549,'Reward','Faction',0,104,150),
(1911,549,'Reward','Item',48412,0,1),
(4052,550,'Prereq','Quest',549,0,0),
(1917,550,'Reward','Experience',0,0,100),
(1916,550,'Reward','Faction',0,104,150),
(1914,550,'Reward','Selectable',71011,0,1),
(1915,550,'Reward','Selectable',88187,0,1),
(4053,551,'Prereq','Quest',550,0,0),
(1920,551,'Reward','Experience',0,0,120),
(1919,551,'Reward','Faction',0,104,150),
(1918,551,'Reward','Item',13966,0,1),
(4054,552,'Prereq','Quest',551,0,0),
(1924,552,'Reward','Experience',0,0,100),
(1923,552,'Reward','Faction',0,104,255),
(1922,552,'Reward','Selectable',21093,0,1),
(1921,552,'Reward','Selectable',50624,0,1),
(4055,553,'Prereq','Quest',552,0,0),
(1925,553,'Reward','Experience',0,0,100),
(1926,553,'Reward','Faction',0,104,150),
(3239,554,'Prereq','Faction',1,11,0),
(1929,554,'Reward','Experience',157,0,0),
(1927,554,'Reward','Item',162717,0,1),
(1928,554,'Reward','MaxCoin',234,0,0),
(3214,555,'Prereq','Quest',554,0,0),
(1931,555,'Reward','Experience',223,0,0),
(3215,555,'Reward','Coin',650,0,0),
(1930,555,'Reward','MaxCoin',666,0,0),
(1932,556,'Reward','MaxCoin',1167,0,0),
(1935,557,'Reward','Experience',50,0,0),
(1933,557,'Reward','Item',35735,0,5),
(1934,557,'Reward','Coin',413,0,0),
(1936,558,'Reward','Experience',50,0,0),
(1937,558,'Reward','Coin',413,0,0),
(1939,559,'Reward','Experience',50,0,0),
(1938,559,'Reward','Item',20537,0,10),
(1940,559,'Reward','Coin',413,0,0),
(1941,560,'Reward','Experience',50,0,0),
(1942,560,'Reward','Coin',413,0,0),
(1944,561,'Reward','Experience',50,0,0),
(1943,561,'Reward','Item',61498,0,1),
(1945,561,'Reward','MaxCoin',829,0,0),
(1947,562,'None','MaxCoin',781,0,0),
(1946,562,'Reward','Experience',50,0,0),
(1948,563,'Reward','Experience',1000,0,0),
(1952,564,'Prereq','Coin',413,0,0),
(1951,564,'Reward','Experience',50,0,0),
(1949,565,'Reward','Experience',50,0,0),
(1950,565,'Reward','Coin',413,0,0),
(1953,567,'None','Experience',126,0,0),
(1954,568,'Reward','Item',164995,0,1),
(1955,569,'Reward','Experience',0,0,189),
(1956,570,'Reward','Experience',50,0,0),
(1957,570,'Reward','Coin',545,0,0),
(1958,571,'Reward','Experience',50,0,0),
(1959,571,'Reward','Coin',670,0,0),
(1962,572,'Reward','Experience',134,0,0),
(1960,572,'Reward','Item',88033,0,1),
(1961,572,'Reward','Coin',447,0,0),
(1963,573,'Reward','Experience',163,0,0),
(1964,576,'Reward','Item',47797,0,1),
(1966,579,'Reward','Item',47776,0,1),
(1967,581,'Reward','Item',62675,0,1),
(1968,581,'Reward','MaxCoin',1194,0,0),
(1970,582,'Reward','Experience',0,0,227),
(1969,582,'Reward','Item',179113,0,1),
(1981,583,'Reward','Experience',100,0,0),
(1980,583,'Reward','Coin',232,0,0),
(1978,583,'Reward','Selectable',20935,0,1),
(1979,583,'Reward','Selectable',61547,0,1),
(1983,584,'Reward','Experience',100,0,0),
(5546,584,'Reward','Faction',25,105,0),
(1982,584,'Reward','Coin',88,0,0),
(2035,3000,'None','Experience',350,0,0),
(2036,3000,'None','Faction',85,214,0),
(2033,3000,'None','Coin',92,0,0),
(2034,3000,'None','MaxCoin',99,0,0),
(2037,3000,'Reward','Selectable',70606,0,1),
(2038,3000,'Reward','Selectable',70962,0,1),
(2039,3000,'Reward','Selectable',73108,0,1),
(2040,3000,'Reward','Selectable',73713,0,1),
(2041,3000,'Reward','Selectable',75317,0,1),
(2042,3000,'Reward','Selectable',80061,0,1),
(2043,3000,'Reward','Selectable',89586,0,1),
(2044,4678,'Prereq','TSLevel',10,0,0),
(2049,4679,'Prereq','Quest',4684,0,0),
(2046,4680,'Prereq','Quest',4682,0,0),
(2047,4681,'Prereq','Quest',4680,0,0),
(2974,4682,'Prereq','Quest',4685,0,0),
(2050,4683,'Prereq','Quest',4586,0,0),
(2048,4684,'Prereq','Quest',4681,0,0),
(2045,4685,'Prereq','Quest',4678,0,0),
(2973,4686,'Prereq','Quest',4679,0,0),
(2303,5211,'Reward','Experience',136,0,0),
(2302,5211,'Reward','Coin',151,0,0),
(2307,5211,'Reward','Selectable',73115,0,0),
(2309,5211,'Reward','Selectable',80051,0,0),
(2304,5211,'Reward','Selectable',83830,0,0),
(2308,5211,'Reward','Selectable',86154,0,0),
(2305,5211,'Reward','Selectable',87625,0,0),
(2306,5211,'Reward','Selectable',88662,0,0),
(2310,5211,'Reward','Selectable',89609,0,0),
(2054,5212,'Reward','Experience',126,0,0),
(2051,5212,'Reward','Coin',1186,0,0),
(2053,5213,'Reward','Experience',126,0,0),
(2052,5213,'Reward','Coin',1186,0,0),
(2056,5214,'Reward','Experience',126,0,0),
(2055,5214,'Reward','Coin',597,0,0),
(2057,5215,'Reward','Experience',126,0,0),
(2058,5215,'Reward','Coin',597,0,0),
(2060,5216,'Reward','Experience',126,0,0),
(2059,5216,'Reward','Coin',1196,0,0),
(2064,5217,'Reward','Experience',167,0,0),
(2063,5217,'Reward','Item',73107,0,0),
(2065,5218,'Reward','Experience',180,0,0),
(2070,5218,'Reward','Coin',297,0,0),
(2067,5218,'Reward','Selectable',170127,0,0),
(2069,5218,'Reward','Selectable',170128,0,0),
(2066,5218,'Reward','Selectable',170129,0,0),
(2068,5218,'Reward','Selectable',170130,0,0),
(2093,5219,'Reward','Experience',178,0,0),
(2091,5219,'Reward','Coin',168,0,0),
(2090,5219,'Reward','Selectable',70608,0,1),
(2085,5219,'Reward','Selectable',70872,0,1),
(2086,5219,'Reward','Selectable',73080,0,1),
(2088,5219,'Reward','Selectable',73724,0,1),
(2089,5219,'Reward','Selectable',76390,0,1),
(2084,5219,'Reward','Selectable',76903,0,1),
(2087,5219,'Reward','Selectable',77480,0,1),
(2092,5219,'Reward','Selectable',84410,0,1),
(3025,5220,'None','MaxCoin',102,0,0),
(3026,5220,'Prereq','Race',0,0,0),
(3027,5220,'Reward','Experience',100,0,0),
(3023,5220,'Reward','Item',7360,0,0),
(3024,5220,'Reward','Coin',92,0,0),
(2130,5221,'Reward','Experience',100,0,0),
(2128,5221,'Reward','Faction',200,102,0),
(2129,5221,'Reward','Coin',1413,0,0),
(2132,5221,'Reward','Selectable',134856,0,1),
(2133,5221,'Reward','Selectable',143682,0,1),
(2131,5221,'Reward','Selectable',143684,0,1),
(2134,5221,'Reward','Selectable',163769,0,1),
(2258,5222,'Reward','Experience',100,0,0),
(2257,5222,'Reward','MaxCoin',297,0,0),
(2273,5223,'Reward','Experience',100,0,0),
(2272,5223,'Reward','Coin',267,0,0),
(2260,5224,'Reward','Experience',146,0,0),
(2259,5224,'Reward','Coin',267,0,0),
(2252,5225,'Reward','Experience',237,0,0),
(2251,5225,'Reward','Coin',291,0,0),
(2253,5225,'Reward','Selectable',132279,0,0),
(2255,5225,'Reward','Selectable',132286,0,0),
(2254,5225,'Reward','Selectable',132293,0,0),
(2256,5225,'Reward','Selectable',132301,0,0),
(2274,5226,'Reward','Experience',252,0,0),
(2275,5226,'Reward','MaxCoin',3300,0,0),
(2261,5227,'Reward','Experience',209,0,0),
(2266,5227,'Reward','Selectable',130281,0,0),
(2267,5227,'Reward','Selectable',152763,0,0),
(2263,5227,'Reward','Selectable',160609,0,0),
(2269,5227,'Reward','Selectable',165259,0,0),
(2268,5227,'Reward','Selectable',170059,0,0),
(2264,5227,'Reward','Selectable',176121,0,0),
(2265,5227,'Reward','Selectable',185218,0,0),
(2262,5227,'Reward','MaxCoin',3300,0,0),
(2277,5229,'Reward','Experience',134,0,0),
(2276,5229,'Reward','Coin',210,0,0),
(2279,5229,'Reward','Selectable',146419,0,0),
(2281,5229,'Reward','Selectable',146809,0,0),
(2280,5229,'Reward','Selectable',158614,0,0),
(2278,5229,'Reward','Selectable',161030,0,0),
(2244,5230,'Reward','Experience',252,0,0),
(2243,5230,'Reward','Item',188313,0,0),
(2288,5231,'Reward','Experience',100,0,0),
(2287,5231,'Reward','MaxCoin',369,0,0),
(2285,5232,'Reward','Experience',227,0,0),
(2286,5232,'Reward','MaxCoin',1032,0,0),
(2249,5233,'None','Selectable',182619,0,0),
(2246,5233,'Reward','Experience',180,0,0),
(2245,5233,'Reward','Coin',362,0,0),
(2248,5233,'Reward','Selectable',146786,0,0),
(2247,5233,'Reward','Selectable',158559,0,0),
(2250,5233,'Reward','Selectable',181372,0,0),
(2238,5234,'Reward','Item',10564,0,0),
(2270,5235,'Reward','Experience',167,0,0),
(2271,5235,'Reward','Coin',1113,0,0),
(2283,5236,'Reward','Experience',177,0,0),
(2282,5236,'Reward','Experience',267,0,0),
(2240,5237,'Reward','Experience',135,0,0),
(2239,5237,'Reward','Coin',1018,0,0),
(2241,5238,'Reward','Experience',134,0,0),
(2242,5238,'Reward','Coin',34,0,0),
(2156,5240,'Reward','Experience',225,0,0),
(2155,5240,'Reward','Coin',2900,0,0),
(2158,5241,'Reward','Experience',126,0,0),
(2157,5241,'Reward','Coin',17430,0,0),
(2160,5242,'Reward','Experience',189,0,0),
(2159,5242,'Reward','Coin',17430,0,0),
(2162,5243,'Reward','Experience',126,0,0),
(2161,5243,'Reward','Coin',17130,0,0),
(2164,5244,'Reward','Experience',126,0,0),
(2163,5244,'Reward','Coin',22510,0,0),
(3448,5245,'Reward','Experience',1000,0,0),
(2284,5246,'Reward','Experience',157,0,0),
(2169,5248,'Reward','Experience',189,0,0),
(2168,5248,'Reward','Item',20626,0,0),
(2170,5248,'Reward','Coin',2251,0,0),
(2171,5249,'Reward','Experience',136,0,0),
(2172,5249,'Reward','Item',162870,0,0),
(2173,5250,'Reward','Experience',167,0,0),
(2174,5250,'Reward','Item',147214,0,0),
(2175,5251,'Reward','Experience',100,0,0),
(2181,5252,'Reward','Experience',390,0,0),
(2180,5252,'Reward','Coin',210,0,0),
(2176,5252,'Reward','Selectable',137683,0,0),
(2179,5252,'Reward','Selectable',138954,0,0),
(2178,5252,'Reward','Selectable',157840,0,0),
(2177,5252,'Reward','Selectable',158388,0,0),
(2228,5253,'Reward','Experience',509,0,0),
(2225,5253,'Reward','Selectable',149202,0,0),
(2224,5253,'Reward','Selectable',165621,0,0),
(2226,5253,'Reward','Selectable',169033,0,0),
(2227,5253,'Reward','Selectable',185964,0,0),
(2229,5254,'Reward','Experience',100,0,0),
(2237,5255,'Reward','Experience',374,0,0),
(2236,5255,'Reward','Coin',567,0,0),
(2235,5255,'Reward','Selectable',133866,0,0),
(2234,5255,'Reward','Selectable',133875,0,0),
(2233,5255,'Reward','Selectable',133891,0,0),
(2232,5255,'Reward','Selectable',133905,0,0),
(2231,5255,'Reward','Selectable',133907,0,0),
(2357,5256,'Reward','Experience',200,0,0),
(2358,5256,'Reward','Coin',1737,0,0),
(2364,5256,'Reward','Selectable',130135,0,0),
(2365,5256,'Reward','Selectable',134356,0,0),
(2361,5256,'Reward','Selectable',134978,0,0),
(2359,5256,'Reward','Selectable',150240,0,0),
(2363,5256,'Reward','Selectable',170432,0,0),
(2360,5256,'Reward','Selectable',176186,0,0),
(2362,5256,'Reward','Selectable',180926,0,0),
(2368,5257,'Reward','Experience',1000,0,0),
(2366,5257,'Reward','Item',64323,0,1),
(2367,5257,'Reward','Item',66344,0,1),
(2369,5258,'Reward','Experience',140,0,0),
(2370,5258,'Reward','Coin',1713,0,0),
(2372,5259,'Reward','Experience',211,0,0),
(2371,5259,'Reward','Item',21034,0,0),
(2373,5259,'Reward','Coin',2251,0,0),
(2375,5260,'Reward','Experience',128,0,0),
(5541,5260,'Reward','Faction',25,102,0),
(2374,5260,'Reward','Coin',66,0,0),
(2376,5261,'Reward','Experience',128,0,0),
(5544,5261,'Reward','Faction',25,101,0),
(5543,5261,'Reward','Coin',88,0,0),
(5545,5261,'Reward','MaxCoin',100,0,0),
(2377,5262,'Reward','Experience',136,0,0),
(2378,5262,'Reward','Item',84840,0,1),
(5551,5263,'None','Faction',1,12,0),
(2383,5263,'Reward','Experience',129,0,0),
(2379,5263,'Reward','Coin',67,0,0),
(2380,5263,'Reward','Selectable',175720,0,1),
(2382,5263,'Reward','Selectable',175726,0,1),
(5552,5263,'Reward','MaxCoin',81,0,0),
(2385,5264,'Reward','Experience',173,0,0),
(2384,5264,'Reward','Item',90445,0,0),
(2393,5266,'None','Selectable',135265,0,0),
(2389,5266,'Reward','Experience',252,0,0),
(2388,5266,'Reward','Coin',11018,0,0),
(2391,5266,'Reward','Selectable',135254,0,0),
(2390,5266,'Reward','Selectable',135796,0,0),
(2392,5266,'Reward','Selectable',135810,0,0),
(2395,5267,'Reward','Experience',237,0,0),
(2394,5267,'Reward','Coin',362,0,0),
(2396,5268,'Reward','Experience',111,0,0),
(2398,5269,'Reward','Experience',189,0,0),
(2397,5269,'Reward','Coin',362,0,0),
(2399,5270,'Reward','Experience',189,0,0),
(2400,5270,'Reward','Selectable',79453,0,0),
(2401,5270,'Reward','Selectable',79454,0,0),
(2402,5270,'Reward','Selectable',79455,0,0),
(2404,5270,'Reward','Selectable',79456,0,0),
(2405,5271,'Reward','Experience',104,0,0),
(2407,5272,'Reward','Experience',195,0,0),
(2406,5272,'Reward','Coin',1018,0,0),
(2409,5273,'Reward','Experience',315,0,0),
(2408,5273,'Reward','Item',88443,0,0),
(2411,5274,'Reward','Experience',173,0,0),
(2410,5274,'Reward','Coin',567,0,0),
(2412,5275,'Reward','Experience',89,0,0),
(2413,5276,'Reward','Experience',104,0,0),
(2414,5277,'Reward','Experience',167,0,0),
(2415,5277,'Reward','Item',79411,0,0),
(2416,5278,'Reward','Experience',118,0,0),
(2417,5278,'Reward','Item',36596,0,0),
(2418,5279,'Reward','Experience',118,0,0),
(2419,5280,'Reward','Experience',118,0,0),
(2420,5280,'Reward','Item',185359,0,0),
(2421,5281,'Reward','Experience',118,0,0),
(2422,5281,'Reward','Item',37399,0,5),
(2423,5282,'Reward','Experience',133,0,0),
(2424,5283,'Reward','Experience',177,0,0),
(2425,5283,'Reward','Item',135940,0,1),
(2426,5284,'Reward','Experience',211,0,0),
(2427,5285,'Reward','Experience',327,0,0),
(2428,5285,'Reward','Coin',3078,0,0),
(2429,5286,'Reward','Experience',409,0,0),
(2430,5286,'Reward','Coin',567,0,0),
(2431,5287,'Reward','Experience',140,0,0),
(2433,5288,'Reward','Experience',281,0,0),
(2432,5288,'Reward','Coin',1743,0,0),
(2434,5289,'Reward','Experience',342,0,0),
(2435,5289,'Reward','Coin',3078,0,0),
(2436,5290,'Reward','Experience',389,0,0),
(2437,5290,'Reward','Coin',1743,0,0),
(2439,5291,'Reward','Experience',233,0,0),
(2438,5291,'Reward','Coin',567,0,0),
(2440,5292,'Reward','Experience',293,0,0),
(2441,5292,'Reward','Item',90273,0,0),
(2442,5293,'Reward','Experience',140,0,0),
(2443,5294,'Reward','Experience',163,0,0),
(2444,5294,'Reward','Item',36540,0,0),
(2445,5295,'Reward','Experience',163,0,0),
(2446,5296,'Reward','Experience',245,0,0),
(2447,5297,'Reward','Experience',179,0,0),
(2448,5297,'Reward','Item',37190,0,5),
(2449,5298,'Reward','Experience',269,0,0),
(2450,5298,'Reward','Coin',3613,0,0),
(2452,5299,'Reward','Experience',269,0,0),
(2451,5299,'Reward','Coin',3613,0,0),
(2453,5300,'Reward','Experience',195,0,0),
(2454,5300,'Reward','Item',36548,0,5),
(2455,5301,'Reward','Experience',195,0,0),
(2456,5301,'Reward','Coin',3078,0,0),
(2457,5302,'Reward','Experience',195,0,0),
(2458,5303,'Reward','Experience',409,0,0),
(2459,5303,'Reward','Item',84390,0,0),
(2460,5304,'Reward','Experience',134,0,0),
(2461,5304,'Reward','Coin',234,0,0),
(2463,5304,'Reward','Selectable',146419,0,0),
(2465,5304,'Reward','Selectable',146809,0,0),
(2464,5304,'Reward','Selectable',158614,0,0),
(2462,5304,'Reward','Selectable',161030,0,0),
(2466,5305,'Reward','Experience',155,0,0),
(2467,5305,'Reward','Item',137539,0,0),
(2469,5306,'Reward','Experience',118,0,0),
(2468,5306,'Reward','Coin',567,0,0),
(2470,5307,'Reward','Experience',327,0,0),
(2471,5307,'Reward','Item',151076,0,0),
(2472,5308,'Reward','Experience',211,0,0),
(2473,5309,'Reward','Experience',211,0,0),
(2474,5310,'Reward','Experience',211,0,0),
(2475,5311,'Reward','Experience',233,0,0),
(2476,5311,'Reward','Item',155624,0,0),
(2477,5312,'Reward','Experience',222,0,0),
(2478,5312,'Reward','Coin',1947,0,0),
(2479,5313,'Reward','Experience',233,0,0),
(2480,5313,'Reward','Item',176486,0,0),
(2481,5314,'Reward','Experience',245,0,0),
(2482,5314,'Reward','Item',86185,0,0),
(2483,5315,'Reward','Experience',126,0,0),
(2484,5315,'Reward','Item',87735,0,0),
(2486,5317,'Reward','Experience',409,0,0),
(2485,5317,'Reward','Coin',2613,0,0),
(2487,5317,'Reward','Selectable',79680,0,0),
(2488,5317,'Reward','Selectable',84187,0,0),
(2491,5318,'Reward','Experience',181,0,0),
(2492,5318,'Reward','Item',88012,0,0),
(2493,5319,'Reward','Experience',130,0,0),
(2494,5319,'Reward','Item',140721,0,0),
(2495,5320,'Reward','Experience',130,0,0),
(2496,5320,'Reward','Item',185077,0,0),
(2497,5321,'Reward','Experience',163,0,0),
(2498,5322,'Reward','Experience',509,0,0),
(2499,5322,'Reward','Item',60605,0,0),
(2500,5323,'Reward','Experience',1019,0,0),
(2501,5324,'Reward','Experience',374,0,0),
(2504,5324,'Reward','Selectable',165471,0,0),
(2503,5324,'Reward','Selectable',165472,0,0),
(2505,5324,'Reward','Selectable',165473,0,0),
(2502,5324,'Reward','Selectable',165474,0,0),
(2506,5325,'Reward','Experience',89,0,0),
(2508,5326,'Reward','Experience',222,0,0),
(2507,5326,'Reward','Coin',1743,0,0),
(2514,5326,'Reward','Selectable',130123,0,0),
(2515,5326,'Reward','Selectable',134350,0,0),
(2511,5326,'Reward','Selectable',134955,0,0),
(2509,5326,'Reward','Selectable',150248,0,0),
(2513,5326,'Reward','Selectable',170427,0,0),
(2510,5326,'Reward','Selectable',176192,0,0),
(2512,5326,'Reward','Selectable',180934,0,0),
(2517,5327,'Reward','Experience',178,0,0),
(2516,5327,'Reward','Coin',151,0,0),
(2518,5328,'Reward','Experience',409,0,0),
(2519,5328,'Reward','Coin',1743,0,0),
(2520,5329,'Reward','Experience',167,0,0),
(2522,5329,'Reward','Item',14355,0,1),
(2521,5329,'Reward','Coin',4443,0,0),
(4992,5330,'Prereq','Quest',5329,0,0),
(2525,5330,'Reward','Experience',627,0,0),
(2523,5330,'Reward','Item',66157,0,0),
(2524,5330,'Reward','Coin',12100,0,0),
(5000,5330,'Reward','Selectable',185158,0,1),
(2529,5330,'Reward','Selectable',185177,0,1),
(4993,5331,'Prereq','Quest',5330,0,0),
(2530,5331,'Reward','Experience',356,0,0),
(2531,5331,'Reward','Coin',3613,0,0),
(2532,5332,'Reward','Experience',136,0,0),
(2534,5333,'Reward','Experience',118,0,0),
(2533,5333,'Reward','Coin',67,0,0),
(2536,5334,'Reward','Experience',275,0,0),
(2535,5334,'Reward','Coin',210,0,0),
(4926,5334,'Reward','MaxCoin',262,0,0),
(2545,5335,'Reward','Experience',335,0,0),
(2549,5335,'Reward','Item',50279,0,1),
(2544,5335,'Reward','Coin',2215,0,0),
(2550,5336,'Reward','Experience',104,0,0),
(2551,5336,'Reward','Coin',210,0,0),
(5340,5337,'Prereq','Quest',457,0,0),
(2554,5337,'Reward','Experience',223,0,0),
(2552,5337,'Reward','Coin',151,0,0),
(2556,5337,'Reward','Selectable',77327,0,1),
(2557,5337,'Reward','Selectable',89026,0,1),
(2555,5337,'Reward','Selectable',186042,0,1),
(5341,5338,'Prereq','Quest',5337,0,0),
(2559,5338,'Reward','Experience',100,0,0),
(2558,5338,'Reward','Coin',1113,0,0),
(5342,5339,'Prereq','Quest',5338,0,0),
(2561,5339,'Reward','Experience',111,0,0),
(2560,5339,'Reward','Coin',169,0,0),
(2566,5340,'Reward','Experience',126,0,0),
(2567,5340,'Reward','Coin',597,0,0),
(2568,5340,'Reward','Selectable',134685,0,1),
(2569,5340,'Reward','Selectable',134686,0,1),
(2571,5340,'Reward','Selectable',134687,0,1),
(5345,5341,'Prereq','Quest',5340,0,0),
(2572,5341,'Reward','Experience',189,0,0),
(2573,5341,'Reward','Coin',243,0,0),
(2574,5341,'Reward','Selectable',147010,0,1),
(2575,5341,'Reward','Selectable',147022,0,1),
(2578,5341,'Reward','Selectable',147427,0,1),
(2580,5341,'Reward','Selectable',162774,0,1),
(5346,5342,'Prereq','Quest',5341,0,0),
(2582,5342,'Reward','Experience',100,0,0),
(2581,5342,'Reward','Coin',102,0,0),
(5347,5343,'Prereq','Quest',5342,0,0),
(2584,5343,'Reward','Experience',157,0,0),
(2583,5343,'Reward','Coin',1743,0,0),
(2585,5344,'Reward','Experience',100,0,0),
(2586,5344,'Reward','Coin',151,0,0),
(2598,5345,'Reward','Experience',245,0,0),
(2600,5345,'Reward','Item',31725,0,1),
(2599,5345,'Reward','Coin',1140,0,0),
(5343,5346,'Prereq','Quest',5344,0,0),
(2601,5346,'Reward','Experience',100,0,0),
(2605,5346,'Reward','Item',134895,0,1),
(2602,5346,'Reward','Coin',151,0,0),
(5344,5347,'Prereq','Quest',5346,0,0),
(2610,5347,'Reward','Experience',189,0,0),
(2614,5347,'Reward','Item',190837,0,1),
(2611,5347,'Reward','Coin',151,0,0),
(2619,5348,'Reward','Experience',225,0,0),
(2620,5348,'Reward','Coin',267,0,0),
(4905,5348,'Reward','MaxCoin',289,0,0),
(3018,5349,'Prereq','AdvLevel',13,0,0),
(3015,5349,'Reward','Experience',314,0,0),
(3016,5349,'Reward','Coin',1113,0,0),
(3013,5349,'Reward','Selectable',43508,0,0),
(3012,5349,'Reward','Selectable',90298,0,0),
(3011,5349,'Reward','Selectable',90299,0,0),
(3014,5349,'Reward','Selectable',90300,0,0),
(3017,5349,'Reward','MaxCoin',1136,0,0),
(2625,5350,'Reward','Experience',100,0,0),
(2626,5350,'Reward','Coin',2124,0,0),
(2628,5351,'Reward','Experience',540,0,0),
(4930,5351,'Reward','Item',173870,0,1),
(2627,5351,'Reward','Coin',1000,0,0),
(4931,5351,'Reward','MaxCoin',1090,0,0),
(2631,5352,'Reward','Experience',100,0,0),
(2630,5352,'Reward','Item',36310,0,6),
(2629,5352,'Reward','Coin',92,0,0),
(5332,5353,'Prereq','Quest',5352,0,0),
(2633,5353,'Reward','Experience',100,0,0),
(2634,5353,'Reward','Item',36311,0,6),
(2632,5353,'Reward','Coin',151,0,0),
(5333,5354,'Prereq','Quest',5353,0,0),
(2639,5354,'Reward','Experience',136,0,0),
(2641,5354,'Reward','Item',36857,0,4),
(2640,5354,'Reward','Coin',92,0,0),
(5334,5355,'Prereq','Quest',5354,0,0),
(2642,5355,'Reward','Experience',100,0,0),
(2644,5355,'Reward','Item',36857,0,4),
(2643,5355,'Reward','Coin',267,0,0),
(2646,5356,'Reward','Experience',100,0,0),
(2645,5356,'Reward','Coin',102,0,0),
(5328,5357,'Prereq','Quest',5356,0,0),
(2648,5357,'Reward','Experience',100,0,0),
(2647,5357,'Reward','Coin',92,0,0),
(2650,5357,'Reward','Selectable',40556,0,1),
(2649,5357,'Reward','Selectable',73717,0,1),
(2652,5357,'Reward','Selectable',140577,0,1),
(5329,5358,'Prereq','Quest',5357,0,0),
(2654,5358,'Reward','Experience',100,0,0),
(2653,5358,'Reward','Coin',102,0,0),
(5330,5359,'Prereq','Quest',5358,0,0),
(2655,5359,'Reward','Experience',146,0,0),
(2657,5359,'Reward','Item',36640,0,5),
(2656,5359,'Reward','Coin',102,0,0),
(5331,5360,'Prereq','Quest',5359,0,0),
(2658,5360,'Reward','Experience',136,0,0),
(4999,5360,'Reward','Item',20764,0,1),
(2659,5360,'Reward','Coin',92,0,0),
(4910,5361,'Prereq','AdvLevel',15,0,0),
(2668,5361,'Reward','Experience',210,0,0),
(4909,5361,'Reward','Item',154523,0,1),
(3293,5362,'Prereq','Faction',1,11,0),
(2677,5362,'Reward','Experience',100,0,0),
(2678,5362,'Reward','Faction',55,155,0),
(2679,5362,'Reward','Item',181081,1,1),
(2676,5362,'Reward','Coin',133,0,0),
(4705,5362,'Reward','MaxCoin',144,0,0),
(2681,5363,'Reward','Experience',130,0,0),
(2680,5363,'Reward','Coin',47,0,0),
(4701,5363,'Reward','MaxCoin',89,0,0),
(4523,5364,'Prereq','Faction',1,11,0),
(2682,5364,'Reward','Experience',130,0,0),
(2684,5364,'Reward','Item',60760,0,1),
(2683,5364,'Reward','Coin',20,0,0),
(4522,5364,'Reward','MaxCoin',28,0,0),
(2685,5365,'Reward','Experience',50,0,0),
(2686,5365,'Reward','Coin',151,0,0),
(2690,5366,'Reward','Experience',100,0,0),
(2689,5366,'Reward','Coin',567,0,0),
(2688,5367,'Reward','Experience',129,0,0),
(2687,5367,'Reward','Coin',170,0,0),
(2691,5368,'Reward','Experience',130,0,0),
(2692,5368,'Reward','Item',165624,0,0),
(2693,5369,'Reward','Experience',130,0,0),
(2694,5369,'Reward','Item',173309,0,0),
(2695,5370,'Reward','Experience',1270,0,0),
(2696,5370,'Reward','Coin',15957,0,0),
(2697,5372,'Reward','Experience',189,0,0),
(2698,5372,'Reward','Coin',151,0,0),
(2700,5373,'Reward','Experience',572,0,0),
(2699,5373,'Reward','Item',143853,0,0),
(2703,5374,'Reward','Experience',100,0,0),
(2704,5374,'Reward','Coin',234,0,0),
(2701,5375,'Reward','Experience',100,0,0),
(2702,5375,'Reward','Coin',234,0,0),
(2705,5376,'Reward','Experience',171,0,0),
(2706,5376,'Reward','Coin',369,0,0),
(2707,5377,'Reward','Experience',155,0,0),
(2708,5378,'Reward','Experience',195,0,0),
(2709,5379,'Reward','Experience',155,0,0),
(2710,5380,'Reward','Experience',155,0,0),
(2711,5380,'Reward','Item',36397,0,3),
(2712,5381,'Reward','Experience',155,0,0),
(2713,5382,'Reward','Experience',179,0,0),
(2714,5383,'Reward','Experience',155,0,0),
(2715,5384,'Reward','Experience',155,0,0),
(2716,5385,'Reward','Experience',155,0,0),
(2717,5385,'Reward','Item',35099,0,4),
(2718,5386,'Reward','Experience',155,0,0),
(2719,5387,'Reward','Experience',189,0,0),
(2720,5387,'Reward','Item',184881,0,0),
(2722,5388,'Reward','Experience',189,0,0),
(2721,5388,'Reward','Item',87641,0,0),
(2724,5389,'Reward','Experience',374,0,0),
(2723,5389,'Reward','Coin',1959,0,0),
(2725,5390,'Reward','Experience',409,0,0),
(2726,5390,'Reward','Coin',1743,0,0),
(2727,5391,'Reward','Experience',333,0,0),
(2728,5391,'Reward','Coin',339,0,0),
(2729,5391,'Reward','Selectable',133727,0,0),
(2730,5391,'Reward','Selectable',151855,0,0),
(2732,5391,'Reward','Selectable',179194,0,0),
(2731,5391,'Reward','Selectable',182095,0,0),
(2733,5392,'Reward','Experience',374,0,0),
(2734,5392,'Reward','Coin',3078,0,0),
(2735,5393,'Reward','Experience',342,0,0),
(2736,5393,'Reward','Coin',339,0,0),
(4538,5394,'Reward','Experience',1000,0,0),
(2738,5394,'Reward','Item',21227,0,1),
(2737,5394,'Reward','Item',66398,0,1),
(2739,5395,'Reward','Item',21499,0,0),
(2740,5395,'Reward','Item',66314,0,0),
(2742,5396,'Reward','Experience',1000,0,0),
(2741,5396,'Reward','Item',65664,0,1),
(3172,5396,'Reward','Item',66378,0,1),
(2744,5397,'Reward','Experience',1000,0,0),
(4518,5397,'Reward','Item',66325,0,1),
(2743,5397,'Reward','Item',66670,0,1),
(2746,5398,'Reward','Experience',1000,0,0),
(2745,5398,'Reward','Item',63898,0,1),
(4520,5398,'Reward','Item',66357,0,1),
(2748,5399,'Reward','Experience',1100,0,0),
(5582,5399,'Reward','Item',60650,0,1),
(2747,5399,'Reward','Item',66369,0,1),
(2750,5400,'Reward','Experience',1100,0,0),
(5581,5400,'Reward','Item',63897,0,1),
(2749,5400,'Reward','Item',66359,0,1),
(2752,5401,'Reward','Experience',1500,0,0),
(5587,5401,'Reward','Item',66291,0,1),
(2751,5401,'Reward','Item',66393,0,1),
(2754,5402,'Reward','Experience',1500,0,0),
(5578,5402,'Reward','Item',65879,0,1),
(2753,5402,'Reward','Item',66407,0,1),
(2756,5403,'Reward','Experience',1000,0,0),
(2755,5403,'Reward','Item',66147,0,1),
(4519,5403,'Reward','Item',66388,0,1),
(2758,5404,'Reward','Experience',1500,0,0),
(5579,5404,'Reward','Item',66063,0,1),
(2757,5404,'Reward','Item',66376,0,1),
(2760,5405,'Reward','Experience',1650,0,0),
(5580,5405,'Reward','Item',63899,0,1),
(2759,5405,'Reward','Item',66338,0,1),
(2762,5406,'Reward','Experience',1800,0,0),
(5584,5406,'Reward','Item',66139,0,1),
(2761,5406,'Reward','Item',66386,0,1),
(2764,5407,'Reward','Experience',1200,0,0),
(5586,5407,'Reward','Item',66150,0,1),
(2763,5407,'Reward','Item',66347,0,1),
(2766,5408,'Reward','Experience',1500,0,0),
(5588,5408,'Reward','Item',63113,0,1),
(2765,5408,'Reward','Item',66365,0,1),
(2768,5409,'Reward','Experience',1163,0,0),
(3496,5409,'Reward','Item',64298,0,1),
(2767,5409,'Reward','Item',66395,0,1),
(2770,5410,'Reward','Experience',3000,0,0),
(5583,5410,'Reward','Item',63896,0,1),
(2769,5410,'Reward','Item',66391,0,1),
(2772,5411,'Reward','Experience',1000,0,0),
(2771,5411,'Reward','Item',66358,0,0),
(2774,5412,'Reward','Experience',2500,0,0),
(5585,5412,'Reward','Item',65904,0,1),
(2773,5412,'Reward','Item',66381,0,1),
(2776,5413,'Reward','Experience',3000,0,0),
(2775,5413,'Reward','Item',66308,0,0),
(2778,5414,'Reward','Experience',3000,0,0),
(2777,5414,'Reward','Item',66389,0,0),
(2780,5415,'Reward','Experience',3000,0,0),
(2779,5415,'Reward','Item',66394,0,0),
(2782,5416,'Reward','Experience',3000,0,0),
(2781,5416,'Reward','Item',66328,0,1),
(5589,5416,'Reward','Item',1021001,0,1),
(2784,5417,'Reward','Experience',3000,0,0),
(2783,5417,'Reward','Item',66387,0,0),
(2786,5418,'Reward','Experience',3000,0,0),
(2785,5418,'Reward','Item',66372,0,0),
(2788,5419,'Reward','Experience',3000,0,0),
(2787,5419,'Reward','Item',66384,0,0),
(2790,5420,'Reward','Experience',3000,0,0),
(2789,5420,'Reward','Item',66322,0,0),
(2792,5421,'Reward','Experience',3000,0,0),
(2791,5421,'Reward','Item',66404,0,0),
(2794,5422,'Reward','Experience',3000,0,0),
(2793,5422,'Reward','Item',66397,0,0),
(2796,5423,'Reward','Experience',3000,0,0),
(2795,5423,'Reward','Item',66366,0,0),
(2798,5424,'Reward','Experience',3000,0,0),
(2797,5424,'Reward','Item',66362,0,0),
(2800,5425,'Reward','Experience',3000,0,0),
(2799,5425,'Reward','Item',66377,0,0),
(2802,5426,'Reward','Experience',3000,0,0),
(2801,5426,'Reward','Item',66315,0,0),
(2804,5427,'Reward','Experience',3000,0,0),
(2803,5427,'Reward','Item',66336,0,0),
(2806,5428,'Reward','Experience',3000,0,0),
(2805,5428,'Reward','Item',66332,0,0),
(2808,5429,'Reward','Experience',3000,0,0),
(2807,5429,'Reward','Item',66415,0,0),
(2810,5430,'Reward','Experience',3000,0,0),
(2809,5430,'Reward','Item',66316,0,0),
(2812,5431,'Reward','Experience',3000,0,0),
(2811,5431,'Reward','Item',66373,0,0),
(2814,5432,'Reward','Experience',3000,0,0),
(2813,5432,'Reward','Item',66313,0,0),
(2816,5433,'Reward','Experience',3000,0,0),
(2815,5433,'Reward','Item',66319,0,0),
(2818,5434,'Reward','Experience',3000,0,0),
(2817,5434,'Reward','Item',66349,0,0),
(2819,5435,'Reward','Experience',100,0,0),
(2820,5435,'Reward','Coin',234,0,0),
(4336,5437,'Prereq','Faction',1,11,0),
(2828,5437,'Reward','Experience',100,0,0),
(2829,5437,'Reward','Item',36555,0,1),
(2826,5437,'Reward','Coin',11,0,0),
(2827,5437,'Reward','MaxCoin',21,0,0),
(4347,5438,'Prereq','Faction',1,11,0),
(2835,5438,'Reward','Item',36405,0,1),
(2833,5438,'Reward','Item',174489,0,1),
(2831,5438,'Reward','Coin',11,0,0),
(2832,5438,'Reward','MaxCoin',21,0,0),
(4350,5439,'Prereq','Faction',1,11,0),
(2840,5439,'Reward','Experience',125,0,0),
(2838,5439,'Reward','Coin',22,0,0),
(2970,5439,'Reward','Selectable',53146,0,1),
(2968,5439,'Reward','Selectable',53147,0,1),
(2969,5439,'Reward','Selectable',53149,0,1),
(2972,5439,'Reward','Selectable',53150,0,1),
(2839,5439,'Reward','MaxCoin',33,0,0),
(4345,5440,'Prereq','Faction',1,11,0),
(2843,5440,'Prereq','AdvLevel',5,0,0),
(2844,5440,'Reward','Experience',129,0,0),
(2848,5440,'Reward','Faction',25,155,0),
(2845,5440,'Reward','Coin',11,0,0),
(2846,5440,'Reward','MaxCoin',17,0,0),
(4346,5441,'Prereq','Faction',1,11,0),
(2855,5441,'Prereq','AdvLevel',7,0,0),
(2849,5441,'Reward','Experience',174,0,0),
(2852,5441,'Reward','Item',1130012,0,1),
(2853,5441,'Reward','Coin',11,0,0),
(2854,5441,'Reward','MaxCoin',21,0,0),
(4352,5442,'Prereq','Faction',1,11,0),
(2856,5442,'Reward','Experience',100,0,0),
(2857,5442,'Reward','Item',36331,0,1),
(2858,5442,'Reward','Item',36459,0,1),
(2859,5442,'Reward','Coin',11,0,0),
(2860,5442,'Reward','MaxCoin',16,0,0),
(4348,5443,'Prereq','Faction',1,11,0),
(2861,5443,'Reward','Experience',100,0,0),
(2863,5443,'Reward','Item',20908,0,1),
(2864,5443,'Reward','Coin',22,0,0),
(2865,5443,'Reward','MaxCoin',33,0,0),
(2868,5444,'None','MaxCoin',121,0,0),
(4355,5444,'Prereq','Faction',1,11,0),
(2866,5444,'Reward','Experience',100,0,0),
(2869,5444,'Reward','Item',36460,0,1),
(2867,5444,'Reward','Coin',14,0,0),
(4356,5444,'Reward','MaxCoin',18,0,0),
(2875,5445,'None','MaxCoin',189,0,0),
(2873,5445,'Reward','Experience',100,0,0),
(2874,5445,'Reward','Coin',30,0,0),
(2877,5446,'Reward','Experience',100,0,0),
(2876,5446,'Reward','Item',36523,0,1),
(2878,5446,'Reward','Coin',11,0,0),
(2879,5446,'Reward','MaxCoin',16,0,0),
(4354,5447,'Prereq','Faction',1,11,0),
(2887,5447,'Prereq','AdvLevel',20,0,0),
(2880,5447,'Reward','Experience',389,0,0),
(2881,5447,'Reward','Coin',2251,0,0),
(2884,5447,'Reward','Selectable',181438,0,1),
(2885,5447,'Reward','Selectable',181439,0,1),
(2886,5447,'Reward','Selectable',181440,0,1),
(2883,5447,'Reward','Selectable',181441,0,1),
(4662,5447,'Reward','MaxCoin',2451,0,0),
(2890,5448,'Reward','Experience',356,0,0),
(2891,5448,'Reward','Item',36197,0,20),
(2888,5448,'Reward','Coin',31767,0,0),
(2889,5448,'Reward','MaxCoin',36118,0,0),
(2893,5449,'Reward','Experience',468,0,0),
(2892,5449,'Reward','Item',85746,0,0),
(2894,5449,'Reward','Coin',2570,0,0),
(2897,5449,'Reward','Coin',16723,0,0),
(2895,5450,'Reward','Experience',551,0,0),
(2896,5450,'Reward','Coin',6967,0,0),
(2898,5451,'Reward','Experience',475,0,0),
(2899,5451,'Reward','Coin',4467,0,0),
(2900,5451,'Reward','MaxCoin',4497,0,0),
(3180,5452,'Prereq','Faction',1,11,0),
(2901,5452,'Reward','Experience',100,0,0),
(2902,5452,'Reward','Coin',11,0,0),
(4659,5452,'Reward','MaxCoin',15,0,0),
(3190,5453,'Prereq','Faction',1,11,0),
(2903,5453,'Reward','Experience',100,0,0),
(2909,5453,'Reward','Coin',11,0,0),
(2904,5453,'Reward','Selectable',84616,0,1),
(2905,5453,'Reward','Selectable',87620,0,1),
(2908,5453,'Reward','Selectable',90074,0,1),
(2907,5453,'Reward','Selectable',90262,0,1),
(2906,5453,'Reward','Selectable',90263,0,1),
(4661,5453,'Reward','MaxCoin',18,0,0),
(3185,5454,'Prereq','Faction',1,11,0),
(2911,5454,'Reward','Experience',100,0,0),
(2910,5454,'Reward','Item',20618,0,1),
(2912,5454,'Reward','Coin',22,0,0),
(3188,5455,'Prereq','Faction',1,11,0),
(2913,5455,'Reward','Experience',100,0,0),
(2914,5455,'Reward','Coin',22,0,0),
(3175,5456,'Prereq','Faction',1,11,0),
(2916,5456,'Reward','Item',37363,0,1),
(2915,5456,'Reward','Coin',11,0,0),
(4536,5456,'Reward','MaxCoin',21,0,0),
(3179,5457,'Prereq','Faction',1,11,0),
(2918,5457,'Reward','Experience',100,0,0),
(2917,5457,'Reward','Item',60754,0,1),
(2919,5457,'Reward','Coin',18,0,0),
(4658,5457,'Reward','MaxCoin',19,0,0),
(3174,5458,'Prereq','Faction',1,11,0),
(2921,5458,'Reward','Experience',100,0,0),
(2920,5458,'Reward','Item',136103,0,1),
(2922,5458,'Reward','Coin',22,0,0),
(4650,5458,'Reward','MaxCoin',28,0,0),
(3177,5459,'Prereq','Faction',1,11,0),
(2926,5459,'Prereq','AdvLevel',7,0,0),
(2923,5459,'Reward','Experience',100,0,0),
(2924,5459,'Reward','Coin',44,0,0),
(2925,5459,'Reward','MaxCoin',52,0,0),
(3181,5460,'Prereq','Faction',1,11,0),
(2936,5460,'Prereq','AdvLevel',5,0,0),
(2930,5460,'Reward','Experience',128,0,0),
(2931,5460,'Reward','Coin',22,0,0),
(2927,5460,'Reward','Selectable',161023,0,1),
(2928,5460,'Reward','Selectable',161024,0,1),
(2935,5461,'Prereq','AdvLevel',5,0,0),
(2932,5461,'Reward','Experience',128,0,0),
(2933,5461,'Reward','Coin',22,0,0),
(2934,5461,'Reward','MaxCoin',27,0,0),
(3183,5462,'Prereq','Faction',1,11,0),
(2937,5462,'Prereq','AdvLevel',4,0,0),
(2939,5462,'Reward','Experience',100,0,0),
(2938,5462,'Reward','Coin',33,0,0),
(4654,5462,'Reward','MaxCoin',41,0,0),
(3176,5463,'Prereq','Faction',1,11,0),
(2941,5463,'Prereq','AdvLevel',6,0,0),
(2940,5463,'Reward','Experience',130,0,0),
(2942,5463,'Reward','Item',20935,0,1),
(2943,5463,'Reward','Coin',64,0,0),
(4655,5463,'Reward','MaxCoin',67,0,0),
(3182,5464,'Prereq','Faction',1,11,0),
(2944,5464,'Reward','Experience',100,0,0),
(2945,5464,'Reward','Item',165112,0,1),
(2946,5464,'Reward','Coin',35,0,0),
(4537,5464,'Reward','MaxCoin',39,0,0),
(3184,5465,'Prereq','Faction',1,11,0),
(2948,5465,'Reward','Experience',100,0,0),
(2949,5465,'Reward','Coin',33,0,0),
(4532,5465,'Reward','Selectable',75242,0,1),
(4534,5465,'Reward','Selectable',86162,0,1),
(2947,5465,'Reward','Selectable',89910,0,1),
(4533,5465,'Reward','MaxCoin',42,0,0),
(3187,5466,'Prereq','Faction',1,11,0),
(2953,5466,'Reward','Experience',126,0,0),
(2954,5466,'Reward','Coin',24,0,0),
(2951,5466,'Reward','Selectable',183232,0,1),
(2950,5466,'Reward','Selectable',183233,0,1),
(4660,5466,'Reward','MaxCoin',30,0,0),
(3186,5467,'Prereq','Faction',1,11,0),
(4656,5467,'Prereq','AdvLevel',7,0,0),
(2955,5467,'Reward','Experience',100,0,0),
(2956,5467,'Reward','Coin',44,0,0),
(4657,5467,'Reward','MaxCoin',51,0,0),
(3189,5468,'Prereq','Faction',1,11,0),
(2957,5468,'Reward','Experience',100,0,0),
(2958,5468,'Reward','Coin',22,0,0),
(3178,5469,'Prereq','Faction',1,11,0),
(2965,5469,'Prereq','AdvLevel',10,0,0),
(2964,5469,'Reward','Experience',135,0,0),
(2966,5469,'Reward','Coin',100,0,0),
(2962,5469,'Reward','Selectable',70595,0,1),
(4902,5469,'Reward','Selectable',70596,0,1),
(5356,5469,'Reward','Selectable',73036,0,1),
(2961,5469,'Reward','Selectable',73043,0,1),
(2960,5469,'Reward','Selectable',83702,0,1),
(2963,5469,'Reward','Selectable',88840,0,1),
(2967,5469,'Reward','MaxCoin',109,0,0),
(3034,5470,'Prereq','Quest',227,0,0),
(3022,5470,'Prereq','Race',8,0,0),
(2977,5470,'Reward','Experience',100,0,0),
(2976,5470,'Reward','Coin',279,0,0),
(2975,5470,'Reward','MaxCoin',432,0,0),
(3485,5471,'Prereq','Faction',1,11,0),
(2979,5471,'Reward','Experience',100,0,0),
(2980,5471,'Reward','Coin',25,0,0),
(2984,5472,'Reward','Experience',257,0,0),
(2983,5472,'Reward','Item',86187,0,0),
(2982,5472,'Reward','Item',86307,0,0),
(2986,5473,'Reward','Experience',408,0,0),
(2985,5473,'Reward','Item',88940,0,0),
(3057,5474,'Prereq','Race',5,0,0),
(2992,5474,'Reward','Experience',100,0,0),
(2990,5474,'Reward','Coin',92,0,0),
(2991,5474,'Reward','MaxCoin',102,0,0),
(3005,5478,'Reward','Experience',125,0,0),
(3041,5478,'Reward','Faction',45,243,0),
(3006,5478,'Reward','Coin',33,0,0),
(3007,5478,'Reward','MaxCoin',45,0,0),
(3008,5479,'Reward','Experience',100,0,0),
(3009,5479,'Reward','Coin',32,0,0),
(3046,5480,'Prereq','AdvLevel',13,0,0),
(3019,5480,'Reward','Experience',314,0,0),
(3020,5480,'Reward','Coin',1113,0,0),
(3453,5480,'Reward','Selectable',1040000,0,1),
(3451,5480,'Reward','Selectable',1070000,0,1),
(3450,5480,'Reward','Selectable',1070009,0,1),
(3452,5480,'Reward','Selectable',1070010,0,1),
(3454,5480,'Reward','Selectable',1070011,0,1),
(3021,5480,'Reward','MaxCoin',1136,0,0),
(3039,5481,'Reward','Experience',100,0,0),
(3040,5481,'Reward','Faction',25,155,0),
(4664,5481,'Reward','Coin',16,0,0),
(3045,5482,'Prereq','AdvLevel',6,0,0),
(3042,5482,'Reward','Experience',100,0,0),
(3043,5482,'Reward','Coin',18,0,0),
(3044,5482,'Reward','MaxCoin',24,0,0),
(3049,5483,'Prereq','AdvLevel',6,0,0),
(3056,5483,'Reward','Experience',130,0,0),
(3050,5483,'Reward','Item',152459,0,1),
(3047,5483,'Reward','Coin',120,0,0),
(3048,5483,'Reward','MaxCoin',135,0,0),
(3051,5484,'Prereq','Quest',5759,0,0),
(3055,5484,'Reward','Experience',100,0,0),
(3054,5484,'Reward','Item',77482,0,1),
(3052,5484,'Reward','Coin',151,0,0),
(3053,5484,'Reward','MaxCoin',168,0,0),
(3062,5485,'Reward','Experience',100,0,0),
(3060,5485,'Reward','Coin',151,0,0),
(3061,5485,'Reward','MaxCoin',168,0,0),
(3065,5486,'Reward','Experience',84,0,0),
(3063,5486,'Reward','Coin',86,0,0),
(3064,5486,'Reward','MaxCoin',96,0,0),
(3066,5487,'Reward','Experience',100,0,0),
(3067,5487,'Reward','Coin',213,0,0),
(3069,5487,'Reward','Selectable',20909,0,0),
(3070,5487,'Reward','Selectable',61706,0,0),
(3068,5487,'Reward','MaxCoin',237,0,0),
(3073,5488,'Reward','Experience',126,0,0),
(3071,5488,'Reward','Coin',120,0,0),
(3072,5488,'Reward','MaxCoin',135,0,0),
(3076,5489,'Reward','Experience',126,0,0),
(3077,5489,'Reward','Item',181829,0,0),
(3074,5489,'Reward','Coin',120,0,0),
(3075,5489,'Reward','MaxCoin',135,0,0),
(3079,5490,'Reward','Experience',100,0,0),
(3078,5490,'Reward','Item',20909,0,1),
(3080,5490,'Reward','Coin',11,0,0),
(3081,5490,'Reward','MaxCoin',17,0,0),
(3085,5491,'Prereq','Race',6,0,0),
(3084,5491,'Reward','Experience',100,0,0),
(3082,5491,'Reward','Coin',92,0,0),
(3083,5491,'Reward','MaxCoin',102,0,0),
(3106,5492,'Prereq','Quest',522,0,0),
(3089,5492,'Reward','Experience',130,0,0),
(3088,5492,'Reward','Faction',175,136,0),
(3086,5492,'Reward','Coin',151,0,0),
(3087,5492,'Reward','MaxCoin',168,0,0),
(3097,5493,'Reward','Experience',130,0,0),
(3090,5493,'Reward','Faction',150,214,0),
(3091,5493,'Reward','Faction',175,136,0),
(3096,5493,'Reward','Selectable',73671,0,0),
(3093,5493,'Reward','Selectable',75981,0,0),
(3095,5493,'Reward','Selectable',84141,0,0),
(3092,5493,'Reward','Selectable',90288,0,0),
(3094,5493,'Reward','Selectable',175807,0,0),
(3098,5494,'Prereq','Race',15,0,0),
(3101,5494,'Reward','Experience',100,0,0),
(3099,5494,'Reward','Coin',92,0,0),
(3100,5494,'Reward','MaxCoin',102,0,0),
(3103,5495,'Reward','Experience',100,0,0),
(3102,5495,'Reward','Item',135376,0,0),
(3104,5496,'Reward','Experience',269,0,0),
(3105,5496,'Reward','Item',3975,0,0),
(3107,5498,'Reward','Experience',126,0,0),
(3109,5498,'Reward','Coin',18,0,0),
(4651,5498,'Reward','Selectable',178833,0,1),
(3108,5498,'Reward','Selectable',178834,0,1),
(3110,5498,'Reward','MaxCoin',22,0,0),
(3115,5499,'Prereq','AdvLevel',6,0,0),
(3112,5499,'Reward','Experience',100,0,0),
(3111,5499,'Reward','Item',20909,0,1),
(3113,5499,'Reward','Coin',22,0,0),
(3114,5499,'Reward','MaxCoin',28,0,0),
(3116,5500,'Reward','Experience',100,0,0),
(3117,5500,'Reward','Coin',22,0,0),
(3118,5500,'Reward','MaxCoin',26,0,0),
(3119,5501,'Reward','Experience',100,0,0),
(3120,5501,'Reward','Coin',22,0,0),
(3121,5501,'Reward','MaxCoin',33,0,0),
(3127,5502,'Prereq','AdvLevel',6,0,0),
(3122,5502,'Reward','Experience',130,0,0),
(3128,5502,'Reward','Coin',22,0,0),
(3125,5502,'Reward','Selectable',71094,0,0),
(3124,5502,'Reward','Selectable',71197,0,0),
(3123,5502,'Reward','Selectable',71198,0,0),
(3126,5502,'Reward','Selectable',71200,0,0),
(3129,5502,'Reward','MaxCoin',26,0,0),
(3136,5503,'Prereq','AdvLevel',6,0,0),
(3130,5503,'Reward','Experience',130,0,0),
(3137,5503,'Reward','Faction',45,155,0),
(3131,5503,'Reward','Coin',22,0,0),
(3135,5503,'Reward','Selectable',70607,0,0),
(3134,5503,'Reward','Selectable',70609,0,0),
(3133,5503,'Reward','Selectable',70612,0,0),
(3132,5503,'Reward','MaxCoin',30,0,0),
(3138,5504,'Reward','Experience',100,0,0),
(3139,5504,'Reward','Coin',22,0,0),
(3140,5504,'Reward','MaxCoin',28,0,0),
(3141,5505,'Reward','Experience',100,0,0),
(3142,5505,'Reward','Coin',11,0,0),
(3143,5505,'Reward','MaxCoin',14,0,0),
(3145,5506,'Reward','Experience',181,0,0),
(3150,5506,'Reward','Coin',100,0,0),
(3148,5506,'Reward','Selectable',143336,0,1),
(3149,5506,'Reward','Selectable',143337,0,1),
(3147,5506,'Reward','Selectable',143338,0,1),
(3151,5506,'Reward','MaxCoin',115,0,0),
(3152,5507,'Reward','Experience',100,0,0),
(3153,5507,'Reward','Coin',22,0,0),
(3154,5507,'Reward','MaxCoin',28,0,0),
(4592,5508,'Prereq','AdvLevel',7,0,0),
(3156,5508,'Reward','Experience',100,0,0),
(3157,5508,'Reward','Item',61547,0,1),
(3158,5508,'Reward','Coin',22,0,0),
(3159,5508,'Reward','MaxCoin',33,0,0),
(3160,5509,'Reward','Experience',572,0,0),
(3165,5509,'Reward','Coin',567,0,0),
(3162,5509,'Reward','Selectable',89247,0,1),
(3164,5509,'Reward','Selectable',89248,0,1),
(3163,5509,'Reward','Selectable',89249,0,1),
(3161,5509,'Reward','Selectable',89250,0,1),
(3166,5509,'Reward','MaxCoin',597,0,0),
(3167,5510,'Reward','Experience',128,0,0),
(3168,5510,'Reward','Coin',30,0,0),
(3169,5510,'Reward','MaxCoin',36,0,0),
(5407,5511,'Prereq','AdvLevel',35,0,0),
(3170,5511,'Reward','Experience',1527,0,0),
(3192,5512,'Reward','Experience',100,0,0),
(3191,5512,'Reward','Item',70954,0,1),
(3197,5514,'Prereq','Faction',1,11,0),
(3194,5514,'Reward','Experience',130,0,0),
(3193,5514,'Reward','Item',181075,0,1),
(3195,5514,'Reward','Coin',67,0,0),
(3196,5514,'Reward','MaxCoin',88,0,0),
(3202,5515,'Prereq','Faction',1,11,0),
(3198,5515,'Reward','Experience',100,0,0),
(3201,5515,'Reward','Item',136573,0,1),
(3199,5515,'Reward','Coin',100,0,0),
(3200,5515,'Reward','MaxCoin',115,0,0),
(3208,5516,'Prereq','Faction',1,11,0),
(3204,5516,'Prereq','AdvLevel',9,0,0),
(3205,5516,'Reward','Experience',135,0,0),
(3203,5516,'Reward','Item',189942,0,0),
(3206,5516,'Reward','Coin',102,0,0),
(3207,5516,'Reward','MaxCoin',135,0,0),
(3211,5517,'Prereq','Faction',1,11,0),
(3213,5517,'Reward','Experience',130,0,0),
(3212,5517,'Reward','Item',41352,0,1),
(3209,5517,'Reward','Coin',22,0,0),
(3210,5517,'Reward','MaxCoin',45,0,0),
(4906,5518,'Prereq','AdvLevel',11,0,0),
(3217,5518,'Reward','Experience',225,0,0),
(3216,5518,'Reward','Coin',144,0,0),
(4907,5518,'Reward','MaxCoin',168,0,0),
(3223,5520,'Reward','Experience',100,0,0),
(3224,5520,'Reward','Item',174493,0,0),
(3222,5520,'Reward','Coin',92,0,0),
(3238,5521,'Prereq','Faction',1,11,0),
(3230,5521,'Reward','Experience',100,0,0),
(3228,5521,'Reward','Coin',22,0,0),
(3229,5521,'Reward','MaxCoin',30,0,0),
(3232,5522,'Reward','Experience',223,0,0),
(3231,5522,'Reward','Coin',421,0,0),
(3233,5523,'Prereq','Quest',5521,0,0),
(3236,5523,'Reward','Experience',130,0,0),
(3237,5523,'Reward','Faction',45,243,0),
(3234,5523,'Reward','Coin',44,0,0),
(3235,5523,'Reward','MaxCoin',66,0,0),
(3240,5524,'Prereq','Faction',1,11,0),
(3241,5524,'Reward','Experience',100,0,0),
(3242,5524,'Reward','Item',37606,0,1),
(3243,5524,'Reward','Coin',44,0,0),
(3244,5524,'Reward','MaxCoin',74,0,0),
(3249,5525,'Prereq','Faction',1,11,0),
(3246,5525,'Reward','Experience',100,0,0),
(3245,5525,'Reward','Item',1060001,0,1),
(3247,5525,'Reward','Coin',22,0,0),
(3248,5525,'Reward','MaxCoin',30,0,0),
(3250,5526,'Prereq','Faction',1,11,0),
(3251,5526,'Reward','Experience',100,0,0),
(3252,5526,'Reward','Coin',43,0,0),
(3253,5526,'Reward','MaxCoin',86,0,0),
(3254,5527,'Prereq','Faction',1,11,0),
(3255,5527,'Reward','Experience',100,0,0),
(3256,5527,'Reward','Coin',44,0,0),
(3257,5527,'Reward','MaxCoin',74,0,0),
(3258,5528,'Reward','Experience',100,0,0),
(3264,5528,'Reward','Item',166410,0,1),
(3259,5528,'Reward','Coin',159,0,0),
(3265,5529,'Prereq','Faction',1,11,0),
(3266,5529,'Reward','Experience',100,0,0),
(3267,5529,'Reward','Coin',22,0,0),
(3268,5529,'Reward','MaxCoin',35,0,0),
(4932,5530,'Prereq','Quest',5528,0,0),
(3269,5530,'Reward','Experience',180,0,0),
(3271,5530,'Reward','Item',156994,0,1),
(3270,5530,'Reward','Coin',1018,0,0),
(3272,5531,'Prereq','Faction',1,11,0),
(3273,5531,'Reward','Experience',100,0,0),
(3276,5531,'Reward','Faction',25,243,0),
(3274,5531,'Reward','Coin',22,0,0),
(3275,5531,'Reward','MaxCoin',56,0,0),
(4521,5532,'Prereq','Faction',1,11,0),
(3280,5532,'Reward','Experience',100,0,0),
(3281,5532,'Reward','Coin',200,0,0),
(3277,5532,'Reward','Selectable',179296,0,1),
(3278,5532,'Reward','Selectable',179301,0,1),
(3279,5532,'Reward','Selectable',179302,0,1),
(3282,5532,'Reward','MaxCoin',300,0,0),
(3283,5533,'Prereq','Faction',1,11,0),
(3284,5533,'Prereq','AdvLevel',30,0,0),
(3286,5533,'Reward','Experience',688,0,0),
(3285,5533,'Reward','Item',8072,0,0),
(3287,5533,'Reward','Coin',12657,0,0),
(3290,5533,'Reward','Selectable',70153,0,0),
(3291,5533,'Reward','Selectable',70154,0,0),
(3289,5533,'Reward','Selectable',70155,0,0),
(3292,5533,'Reward','Selectable',70156,0,0),
(3288,5533,'Reward','MaxCoin',14097,0,0),
(3294,5534,'Prereq','Faction',1,11,0),
(3295,5534,'Reward','Experience',100,0,0),
(3296,5534,'Reward','Coin',33,0,0),
(3297,5534,'Reward','MaxCoin',54,0,0),
(3298,5535,'Prereq','Faction',1,11,0),
(3299,5535,'Reward','Experience',130,0,0),
(3302,5535,'Reward','Item',36331,0,1),
(3300,5535,'Reward','Coin',44,0,0),
(3301,5535,'Reward','MaxCoin',57,0,0),
(3306,5536,'Prereq','Faction',1,11,0),
(3303,5536,'Reward','Experience',100,0,0),
(3304,5536,'Reward','Coin',42,0,0),
(3305,5536,'Reward','MaxCoin',54,0,0),
(3307,5537,'Prereq','Faction',1,11,0),
(3308,5537,'Reward','Experience',130,0,0),
(3312,5537,'Reward','Coin',133,0,0),
(3309,5537,'Reward','Selectable',156864,0,1),
(3310,5537,'Reward','Selectable',156865,0,1),
(3311,5537,'Reward','Selectable',166412,0,1),
(3313,5537,'Reward','MaxCoin',142,0,0),
(3314,5538,'Prereq','Faction',1,11,0),
(3316,5538,'Reward','Experience',129,0,0),
(3315,5538,'Reward','Item',137140,0,1),
(3317,5538,'Reward','Coin',44,0,0),
(3318,5538,'Reward','MaxCoin',54,0,0),
(3319,5539,'Prereq','Faction',1,11,0),
(3327,5539,'Prereq','AdvLevel',9,0,0),
(3320,5539,'Reward','Experience',134,0,0),
(3321,5539,'Reward','Coin',122,0,0),
(3325,5539,'Reward','Selectable',143345,0,1),
(3323,5539,'Reward','Selectable',143346,0,1),
(3324,5539,'Reward','Selectable',143347,0,1),
(3322,5539,'Reward','MaxCoin',146,0,0),
(3329,5540,'Prereq','Faction',1,11,0),
(3330,5540,'Reward','Experience',100,0,0),
(3328,5540,'Reward','Item',37383,0,1),
(3331,5540,'Reward','Coin',26,0,0),
(3332,5540,'Reward','MaxCoin',48,0,0),
(3333,5541,'Prereq','Faction',1,11,0),
(3334,5541,'Reward','Experience',100,0,0),
(3335,5541,'Reward','Coin',44,0,0),
(3336,5541,'Reward','MaxCoin',68,0,0),
(3337,5542,'Prereq','Faction',1,11,0),
(3338,5542,'Reward','Experience',100,0,0),
(3339,5542,'Reward','Faction',25,155,0),
(3340,5542,'Reward','Coin',44,0,0),
(3341,5542,'Reward','MaxCoin',55,0,0),
(3342,5543,'Prereq','Faction',1,11,0),
(3345,5543,'Reward','Experience',133,0,0),
(3343,5543,'Reward','Coin',44,0,0),
(3346,5543,'Reward','Selectable',185359,0,1),
(3347,5543,'Reward','Selectable',185366,0,1),
(3348,5543,'Reward','Selectable',185368,0,1),
(3344,5543,'Reward','MaxCoin',56,0,0),
(3355,5544,'Prereq','Faction',1,11,0),
(3358,5544,'Reward','Experience',100,0,0),
(3365,5544,'Reward','Faction',25,135,0),
(3356,5544,'Reward','Coin',44,0,0),
(3357,5544,'Reward','MaxCoin',55,0,0),
(3349,5545,'Prereq','Faction',1,11,0),
(3350,5545,'Prereq','AdvLevel',10,0,0),
(3354,5545,'Reward','Faction',45,155,0),
(3353,5545,'Reward','Item',54858,0,1),
(3351,5545,'Reward','Coin',230,0,0),
(3352,5545,'Reward','MaxCoin',246,0,0),
(3359,5546,'Prereq','Faction',1,11,0),
(3360,5546,'Reward','Experience',100,0,0),
(3361,5546,'Reward','Coin',22,0,0),
(3362,5546,'Reward','MaxCoin',44,0,0),
(3363,5547,'Prereq','Faction',1,11,0),
(3364,5547,'Reward','Experience',100,0,0),
(4706,5547,'Reward','Coin',44,0,0),
(4707,5547,'Reward','MaxCoin',49,0,0),
(3366,5548,'Prereq','Faction',1,11,0),
(3367,5548,'Reward','Experience',100,0,0),
(3368,5548,'Reward','Coin',46,0,0),
(3369,5548,'Reward','MaxCoin',69,0,0),
(3370,5549,'Prereq','Faction',1,11,0),
(3371,5549,'Reward','Experience',130,0,0),
(3372,5549,'Reward','Coin',66,0,0),
(3375,5549,'Reward','Selectable',84564,0,0),
(3377,5549,'Reward','Selectable',84565,0,0),
(3376,5549,'Reward','Selectable',84566,0,0),
(3374,5549,'Reward','Selectable',84567,0,0),
(3373,5549,'Reward','MaxCoin',82,0,0),
(3378,5550,'Reward','Experience',136,0,0),
(3379,5550,'Reward','Item',75413,0,0),
(3380,5551,'Prereq','Quest',5550,0,0),
(3381,5551,'Reward','Experience',157,0,0),
(3382,5551,'Reward','Item',144093,0,0),
(3383,5552,'Prereq','Quest',5551,0,0),
(3384,5552,'Reward','Experience',178,0,0),
(3385,5552,'Reward','Item',51449,0,0),
(3386,5553,'Prereq','Quest',5552,0,0),
(3387,5553,'Reward','Experience',200,0,0),
(3388,5553,'Reward','Item',144094,0,0),
(3390,5554,'Prereq','Faction',1,11,0),
(3389,5554,'Reward','Experience',100,0,0),
(4699,5554,'Reward','Coin',89,0,0),
(4700,5554,'Reward','MaxCoin',1,0,0),
(3391,5555,'Prereq','Faction',1,11,0),
(3392,5555,'Reward','Experience',128,0,0),
(3393,5555,'Reward','Coin',22,0,0),
(3394,5555,'Reward','MaxCoin',35,0,0),
(3395,5556,'Prereq','Faction',1,11,0),
(3396,5556,'Reward','Experience',129,0,0),
(3397,5556,'Reward','Coin',22,0,0),
(3398,5556,'Reward','MaxCoin',40,0,0),
(3399,5557,'Prereq','Faction',1,11,0),
(3400,5557,'Reward','Experience',129,0,0),
(3403,5557,'Reward','Item',191129,0,1),
(3401,5557,'Reward','Coin',44,0,0),
(3402,5557,'Reward','MaxCoin',54,0,0),
(3405,5558,'Prereq','Faction',1,11,0),
(3404,5558,'Reward','Experience',128,0,0),
(3408,5558,'Reward','Faction',25,214,0),
(4702,5558,'Reward','Item',147423,0,1),
(3406,5558,'Reward','Coin',22,0,0),
(3407,5558,'Reward','MaxCoin',45,0,0),
(3409,5559,'Reward','Experience',100,0,0),
(3412,5559,'Reward','Item',183323,0,1),
(3410,5559,'Reward','Coin',210,0,0),
(3411,5559,'Reward','MaxCoin',234,0,0),
(3415,5560,'Reward','Experience',100,0,0),
(3419,5560,'Reward','Faction',85,214,0),
(3414,5560,'Reward','Item',188996,0,1),
(3413,5560,'Reward','Coin',92,0,0),
(3418,5560,'Reward','Selectable',143683,0,0),
(3417,5560,'Reward','Selectable',170104,0,0),
(3416,5560,'Reward','Selectable',174542,0,0),
(3421,5561,'Reward','Experience',100,0,0),
(3422,5561,'Reward','Faction',85,214,0),
(3420,5561,'Reward','Coin',267,0,0),
(3423,5562,'Prereq','Faction',1,11,0),
(3426,5562,'Reward','Experience',100,0,0),
(3424,5562,'Reward','Coin',67,0,0),
(3425,5562,'Reward','MaxCoin',75,0,0),
(3427,5563,'Prereq','Faction',1,11,0),
(3428,5563,'Reward','Experience',100,0,0),
(3431,5563,'Reward','Item',137604,0,1),
(3429,5563,'Reward','Coin',33,0,0),
(3430,5563,'Reward','MaxCoin',45,0,0),
(3432,5564,'Prereq','Faction',1,11,0),
(3433,5564,'Reward','Experience',100,0,0),
(3436,5564,'Reward','Item',61545,0,1),
(3434,5564,'Reward','Coin',89,0,0),
(3435,5564,'Reward','MaxCoin',101,0,0),
(3437,5565,'Prereq','Faction',1,11,0),
(3438,5565,'Reward','Experience',100,0,0),
(3441,5565,'Reward','Item',61390,0,1),
(3439,5565,'Reward','Coin',76,0,0),
(3440,5565,'Reward','MaxCoin',98,0,0),
(3445,5566,'Reward','Experience',1000,0,0),
(3446,5567,'Reward','Experience',1000,0,0),
(3447,5568,'Reward','Experience',1000,0,0),
(3449,5569,'Reward','Experience',1000,0,0),
(3458,5570,'Prereq','Faction',1,11,0),
(3459,5570,'Reward','Experience',130,0,0),
(3456,5570,'Reward','Coin',78,0,0),
(3457,5570,'Reward','MaxCoin',85,0,0),
(3460,5571,'Prereq','Faction',1,11,0),
(3461,5571,'Reward','Experience',100,0,0),
(3462,5571,'Reward','Item',145977,0,1),
(3463,5571,'Reward','Coin',45,0,0),
(3464,5571,'Reward','MaxCoin',55,0,0),
(3465,5572,'Reward','Experience',958,0,0),
(3466,5573,'Reward','Experience',1000,0,0),
(3467,5574,'Reward','Experience',1000,0,0),
(3468,5575,'Reward','Experience',1000,0,0),
(3469,5576,'Reward','Experience',1000,0,0),
(3484,5577,'Prereq','AdvLevel',45,0,0),
(3470,5577,'Reward','Experience',2327,0,0),
(3471,5577,'Reward','Item',13688,0,1),
(3472,5577,'Reward','Coin',151354,0,0),
(3473,5577,'Reward','MaxCoin',153689,0,0),
(3474,5579,'Reward','Experience',2327,0,0),
(3475,5579,'Reward','Item',135045,0,0),
(3478,5579,'Reward','Selectable',85427,0,0),
(3479,5579,'Reward','Selectable',85428,0,0),
(3481,5579,'Reward','Selectable',85429,0,0),
(3476,5579,'Reward','Selectable',85430,0,0),
(3480,5579,'Reward','Selectable',85431,0,0),
(3477,5579,'Reward','Selectable',85432,0,0),
(3486,5580,'Prereq','Faction',1,11,0),
(3487,5580,'Reward','Experience',100,0,0),
(3488,5580,'Reward','Item',36596,0,1),
(3489,5580,'Reward','Item',37561,0,1),
(3490,5580,'Reward','Coin',22,0,0),
(3491,5580,'Reward','MaxCoin',36,0,0),
(3492,5581,'Prereq','AdvLevel',10,0,0),
(3493,5581,'Reward','Experience',100,0,0),
(4703,5581,'Reward','Coin',68,0,0),
(4704,5581,'Reward','MaxCoin',84,0,0),
(3494,5582,'Reward','Experience',1205,0,0),
(3495,5582,'Reward','Item',21124,0,0),
(3497,5583,'Reward','Experience',1270,0,0),
(3498,5583,'Reward','Item',66083,0,0),
(3499,5584,'Reward','Experience',712,0,0),
(3500,5584,'Reward','Item',66032,0,0),
(3526,5585,'Prereq','Faction',1,11,0),
(3519,5585,'Reward','Experience',100,0,0),
(3520,5585,'Reward','Coin',27,0,0),
(3518,5585,'Reward','Selectable',152474,0,1),
(3517,5585,'Reward','Selectable',152475,0,1),
(3516,5585,'Reward','Selectable',152476,0,1),
(3521,5585,'Reward','MaxCoin',40,0,0),
(3525,5586,'Prereq','Faction',1,11,0),
(3522,5586,'Reward','Experience',100,0,0),
(3523,5586,'Reward','Coin',44,0,0),
(3524,5586,'Reward','MaxCoin',55,0,0),
(3528,5587,'Prereq','Faction',1,11,0),
(3527,5587,'Prereq','AdvLevel',21,0,0),
(3532,5587,'Reward','Experience',269,0,0),
(3529,5587,'Reward','Item',160650,0,1),
(3530,5587,'Reward','Coin',1391,0,0),
(3531,5587,'Reward','MaxCoin',1431,0,0),
(3587,5588,'Prereq','AdvLevel',20,0,0),
(3545,5588,'Prereq','Class',3,0,0),
(3544,5588,'Prereq','Class',4,0,0),
(3546,5588,'Prereq','Class',9,0,0),
(3547,5588,'Prereq','Class',10,0,0),
(3548,5588,'Prereq','Class',13,0,0),
(3764,5588,'Prereq','Class',14,0,0),
(3765,5588,'Prereq','Class',33,0,0),
(3766,5588,'Prereq','Class',34,0,0),
(3767,5588,'Prereq','Class',36,0,0),
(3768,5588,'Prereq','Class',37,0,0),
(3769,5588,'Prereq','Class',39,0,0),
(3770,5588,'Prereq','Class',40,0,0),
(3533,5588,'Reward','Experience',189,0,0),
(3535,5588,'Reward','Selectable',157824,0,1),
(3534,5588,'Reward','Selectable',186010,0,1),
(3558,5589,'Prereq','Quest',5588,0,0),
(3539,5589,'Prereq','Class',2,0,0),
(3540,5589,'Prereq','Class',8,0,0),
(3542,5589,'Prereq','Class',12,0,0),
(3543,5589,'Prereq','Class',18,0,0),
(3541,5589,'Prereq','Class',31,0,0),
(3536,5589,'Reward','Experience',189,0,0),
(3538,5589,'Reward','Selectable',157822,0,1),
(3537,5589,'Reward','Selectable',186008,0,1),
(3557,5590,'Prereq','Quest',5589,0,0),
(3552,5590,'Prereq','Class',2,0,0),
(3553,5590,'Prereq','Class',8,0,0),
(3554,5590,'Prereq','Class',12,0,0),
(3556,5590,'Prereq','Class',18,0,0),
(3555,5590,'Prereq','Class',31,0,0),
(3549,5590,'Reward','Experience',252,0,0),
(3551,5590,'Reward','Selectable',157821,0,1),
(3550,5590,'Reward','Selectable',186007,0,1),
(3560,5591,'Prereq','Quest',5590,0,0),
(3563,5591,'Prereq','Class',2,0,0),
(3564,5591,'Prereq','Class',8,0,0),
(3565,5591,'Prereq','Class',12,0,0),
(3567,5591,'Prereq','Class',18,0,0),
(3566,5591,'Prereq','Class',31,0,0),
(3559,5591,'Reward','Experience',296,0,0),
(3561,5591,'Reward','Selectable',157826,0,0),
(3562,5591,'Reward','Selectable',186012,0,0),
(3572,5592,'Prereq','Quest',5591,0,0),
(3573,5592,'Prereq','Class',2,0,0),
(3574,5592,'Prereq','Class',8,0,0),
(3575,5592,'Prereq','Class',12,0,0),
(3576,5592,'Prereq','Class',18,0,0),
(3577,5592,'Prereq','Class',31,0,0),
(3569,5592,'Reward','Experience',311,0,0),
(3571,5592,'Reward','Selectable',157825,0,0),
(3570,5592,'Reward','Selectable',186011,0,0),
(3581,5593,'Prereq','Quest',5592,0,0),
(3584,5593,'Prereq','AdvLevel',12,0,0),
(3582,5593,'Prereq','Class',2,0,0),
(3583,5593,'Prereq','Class',8,0,0),
(3585,5593,'Prereq','Class',18,0,0),
(3586,5593,'Prereq','Class',31,0,0),
(3578,5593,'Reward','Experience',327,0,0),
(3580,5593,'Reward','Selectable',157823,0,0),
(3579,5593,'Reward','Selectable',186009,0,0),
(3588,5594,'Reward','Experience',100,0,0),
(3589,5594,'Reward','Item',135219,0,1),
(3590,5594,'Reward','Coin',79,0,0),
(3591,5594,'Reward','MaxCoin',83,0,0),
(3596,5595,'Prereq','Faction',1,11,0),
(3593,5595,'Reward','Experience',100,0,0),
(3594,5595,'Reward','Coin',44,0,0),
(3595,5595,'Reward','MaxCoin',56,0,0),
(3600,5596,'Prereq','Faction',1,11,0),
(3597,5596,'Reward','Experience',100,0,0),
(3626,5596,'Reward','Faction',25,214,0),
(3598,5596,'Reward','Coin',22,0,0),
(3599,5596,'Reward','MaxCoin',24,0,0),
(3605,5597,'Prereq','Faction',1,11,0),
(3602,5597,'Reward','Experience',130,0,0),
(3601,5597,'Reward','Item',130929,0,1),
(3603,5597,'Reward','Coin',33,0,0),
(3604,5597,'Reward','MaxCoin',54,0,0),
(3628,5598,'Prereq','Faction',1,11,0),
(3606,5598,'Reward','Experience',100,0,0),
(3607,5598,'Reward','Coin',13,0,0),
(3608,5598,'Reward','MaxCoin',18,0,0),
(3609,5599,'Prereq','Faction',1,11,0),
(3610,5599,'Reward','Experience',100,0,0),
(3613,5599,'Reward','Item',61549,0,1),
(3611,5599,'Reward','Coin',11,0,0),
(3612,5599,'Reward','MaxCoin',18,0,0),
(3643,5600,'Prereq','Faction',1,11,0),
(3644,5600,'Reward','Experience',130,0,0),
(3650,5600,'Reward','Coin',55,0,0),
(3645,5600,'Reward','Selectable',75252,0,1),
(3646,5600,'Reward','Selectable',79837,0,1),
(3649,5600,'Reward','Selectable',85706,0,1),
(3651,5600,'Reward','MaxCoin',62,0,0),
(3652,5601,'Prereq','Faction',1,11,0),
(3653,5601,'Reward','Experience',130,0,0),
(3654,5601,'Reward','Coin',36,0,0),
(3655,5601,'Reward','MaxCoin',42,0,0),
(3656,5602,'Prereq','Faction',1,11,0),
(3657,5602,'Reward','Experience',128,0,0),
(3658,5602,'Reward','Coin',33,0,0),
(3659,5602,'Reward','MaxCoin',46,0,0),
(3660,5603,'Prereq','Faction',1,11,0),
(3666,5603,'Reward','Experience',100,0,0),
(3667,5603,'Reward','Coin',11,0,0),
(3665,5603,'Reward','Selectable',70996,0,1),
(3663,5603,'Reward','Selectable',70997,0,1),
(3664,5603,'Reward','Selectable',70998,0,1),
(3662,5603,'Reward','Selectable',70999,0,1),
(3661,5603,'Reward','Selectable',71000,0,1),
(3668,5603,'Reward','MaxCoin',14,0,0),
(3680,5604,'Prereq','Faction',1,11,0),
(3681,5604,'Reward','Experience',100,0,0),
(3682,5604,'Reward','Coin',33,0,0),
(3683,5604,'Reward','MaxCoin',42,0,0),
(3684,5605,'Prereq','Faction',1,11,0),
(3685,5605,'Reward','Experience',100,0,0),
(3686,5605,'Reward','Coin',16,0,0),
(3687,5605,'Reward','MaxCoin',22,0,0),
(3719,5606,'Prereq','Faction',1,11,0),
(3762,5606,'Prereq','AdvLevel',20,0,0),
(3760,5606,'Prereq','Class',6,0,0),
(3761,5606,'Prereq','Class',7,0,0),
(3723,5606,'Prereq','Class',16,0,0),
(3722,5606,'Prereq','Class',17,0,0),
(3720,5606,'Prereq','Class',19,0,0),
(3759,5606,'Prereq','Class',20,0,0),
(3724,5606,'Reward','Experience',252,0,0),
(3727,5606,'Reward','Selectable',138336,0,1),
(3725,5606,'Reward','Selectable',183320,0,1),
(3726,5606,'Reward','Selectable',186004,0,1),
(3714,5607,'Prereq','Faction',1,11,0),
(3713,5607,'Prereq','Quest',5606,0,0),
(3715,5607,'Reward','Experience',266,0,0),
(3718,5607,'Reward','Selectable',138334,0,1),
(3716,5607,'Reward','Selectable',183318,0,1),
(3717,5607,'Reward','Selectable',186002,0,1),
(3708,5608,'Prereq','Faction',1,11,0),
(3707,5608,'Prereq','Quest',5607,0,0),
(3712,5608,'Reward','Experience',281,0,0),
(3711,5608,'Reward','Selectable',138339,0,1),
(3709,5608,'Reward','Selectable',183317,0,1),
(3710,5608,'Reward','Selectable',186001,0,1),
(3701,5609,'Prereq','Faction',1,11,0),
(3702,5609,'Prereq','Quest',5608,0,0),
(3703,5609,'Reward','Experience',296,0,0),
(3706,5609,'Reward','Selectable',138338,0,1),
(3704,5609,'Reward','Selectable',183322,0,1),
(3705,5609,'Reward','Selectable',186006,0,1),
(3695,5610,'Prereq','Faction',1,11,0),
(3696,5610,'Prereq','Quest',5609,0,0),
(3697,5610,'Reward','Experience',311,0,0),
(3698,5610,'Reward','Selectable',138337,0,1),
(3700,5610,'Reward','Selectable',183321,0,1),
(3699,5610,'Reward','Selectable',186005,0,1),
(3689,5611,'Prereq','Faction',1,11,0),
(3694,5611,'Prereq','Quest',5610,0,0),
(3690,5611,'Reward','Experience',327,0,0),
(3693,5611,'Reward','Selectable',138335,0,1),
(3691,5611,'Reward','Selectable',183319,0,1),
(3692,5611,'Reward','Selectable',186003,0,1),
(3763,5612,'Prereq','Faction',1,11,0),
(3758,5612,'Prereq','AdvLevel',20,0,0),
(3750,5612,'Prereq','Class',23,0,0),
(3751,5612,'Prereq','Class',24,0,0),
(3752,5612,'Prereq','Class',26,0,0),
(3753,5612,'Prereq','Class',27,0,0),
(3754,5612,'Prereq','Class',29,0,0),
(3755,5612,'Prereq','Class',30,0,0),
(3756,5612,'Reward','Experience',252,0,0),
(3757,5612,'Reward','Item',179237,0,1),
(3744,5613,'Prereq','Faction',1,11,0),
(3745,5613,'Prereq','Quest',5612,0,0),
(3746,5613,'Reward','Experience',266,0,0),
(3747,5613,'Reward','Item',179236,0,1),
(3740,5614,'Prereq','Faction',1,11,0),
(3741,5614,'Prereq','Quest',5613,0,0),
(3742,5614,'Reward','Experience',281,0,0),
(3743,5614,'Reward','Item',179241,0,1),
(3736,5615,'Prereq','Faction',1,11,0),
(3737,5615,'Prereq','Quest',5614,0,0),
(3738,5615,'Reward','Experience',296,0,0),
(3739,5615,'Reward','Item',179240,0,1),
(3732,5616,'Prereq','Faction',1,11,0),
(3733,5616,'Prereq','Quest',5615,0,0),
(3734,5616,'Reward','Experience',311,0,0),
(3735,5616,'Reward','Item',179238,0,0),
(3728,5617,'Prereq','Faction',1,11,0),
(3729,5617,'Prereq','Quest',5616,0,0),
(3730,5617,'Reward','Experience',327,0,0),
(3731,5617,'Reward','Item',179239,0,1),
(3771,5618,'Prereq','AdvLevel',7,0,0),
(3772,5618,'Reward','Experience',100,0,0),
(3773,5618,'Reward','Selectable',72411,0,0),
(3774,5618,'Reward','Selectable',72412,0,0),
(3775,5618,'Reward','Selectable',72413,0,0),
(3776,5618,'Reward','Selectable',72414,0,0),
(3778,5619,'Reward','Experience',83,0,0),
(3779,5620,'Prereq','AdvLevel',15,0,0),
(3782,5620,'Reward','Experience',261,0,0),
(3783,5620,'Reward','Coin',1657,0,0),
(3781,5620,'Reward','Selectable',130027,0,0),
(3780,5620,'Reward','Selectable',143941,0,0),
(3784,5620,'Reward','MaxCoin',1962,0,0),
(3787,5621,'Prereq','AdvLevel',7,0,0),
(3788,5621,'Reward','Experience',126,0,0),
(3791,5621,'Reward','Item',153899,0,0),
(3789,5621,'Reward','Coin',55,0,0),
(3790,5621,'Reward','MaxCoin',65,0,0),
(3797,5622,'Prereq','Quest',5621,0,0),
(3792,5622,'Prereq','AdvLevel',10,0,0),
(3793,5622,'Reward','Experience',130,0,0),
(3796,5622,'Reward','Item',1130032,0,0),
(3794,5622,'Reward','Coin',25,0,0),
(3795,5622,'Reward','Coin',35,0,0),
(3798,5623,'Prereq','AdvLevel',8,0,0),
(3799,5623,'Reward','Experience',100,0,0),
(3800,5623,'Reward','Coin',22,0,0),
(3801,5623,'Reward','MaxCoin',32,0,0),
(3803,5624,'Prereq','Quest',5623,0,0),
(3802,5624,'Prereq','AdvLevel',9,0,0),
(3804,5624,'Reward','Experience',100,0,0),
(3805,5624,'Reward','Selectable',192139,0,0),
(3806,5624,'Reward','Selectable',192140,0,0),
(3807,5625,'Prereq','AdvLevel',7,0,0),
(3811,5625,'Reward','Experience',100,0,0),
(3808,5625,'Reward','Item',20909,0,0),
(3809,5625,'Reward','Coin',11,0,0),
(3810,5625,'Reward','MaxCoin',21,0,0),
(3813,5626,'Prereq','Quest',5625,0,0),
(3812,5626,'Prereq','AdvLevel',9,0,0),
(3817,5626,'Reward','Experience',100,0,0),
(3814,5626,'Reward','Item',37399,0,10),
(3815,5626,'Reward','Coin',11,0,0),
(3816,5626,'Reward','MaxCoin',21,0,0),
(3818,5627,'Prereq','AdvLevel',5,0,0),
(3819,5627,'Reward','Experience',100,0,0),
(3822,5627,'Reward','Item',36544,0,5),
(3820,5627,'Reward','Coin',11,0,0),
(3821,5627,'Reward','MaxCoin',21,0,0),
(3824,5628,'Prereq','Quest',5627,0,0),
(3823,5628,'Prereq','AdvLevel',5,0,0),
(3826,5628,'Reward','Experience',100,0,0),
(3825,5628,'Reward','Item',36544,0,3),
(3827,5628,'Reward','Coin',11,0,0),
(3828,5628,'Reward','MaxCoin',21,0,0),
(3829,5629,'Prereq','AdvLevel',5,0,0),
(3831,5629,'Reward','Experience',127,0,0),
(3830,5629,'Reward','Coin',56,0,0),
(3843,5629,'Reward','MaxCoin',66,0,0),
(3832,5630,'Prereq','AdvLevel',7,0,0),
(3835,5630,'Reward','Experience',100,0,0),
(3833,5630,'Reward','Coin',15,0,0),
(3834,5630,'Reward','MaxCoin',25,0,0),
(3837,5631,'Prereq','Quest',5630,0,0),
(3836,5631,'Prereq','AdvLevel',8,0,0),
(3838,5631,'Reward','Experience',130,0,0),
(3839,5631,'Reward','Coin',35,0,0),
(3840,5631,'Reward','MaxCoin',55,0,0),
(3845,5632,'Prereq','Race',12,0,0),
(3844,5632,'Reward','Experience',100,0,0),
(3846,5632,'Reward','Coin',110,0,0),
(3847,5632,'Reward','MaxCoin',130,0,0),
(3848,5633,'Prereq','Quest',5632,0,0),
(3971,5633,'Prereq','Race',12,0,0),
(3849,5633,'Reward','Experience',100,0,0),
(3864,5633,'Reward','Item',20620,0,0),
(3850,5633,'Reward','Coin',110,0,0),
(3851,5633,'Reward','MaxCoin',125,0,0),
(3852,5634,'Prereq','Quest',5633,0,0),
(3972,5634,'Prereq','Race',12,0,0),
(3853,5634,'Reward','Experience',100,0,0),
(3865,5634,'Reward','Item',37325,0,0),
(3854,5634,'Reward','Coin',110,0,0),
(3855,5634,'Reward','MaxCoin',125,0,0),
(3856,5635,'Prereq','Quest',5634,0,0),
(3973,5635,'Prereq','Race',12,0,0),
(3857,5635,'Reward','Experience',100,0,0),
(3866,5635,'Reward','Item',131783,0,0),
(3858,5635,'Reward','Coin',120,0,0),
(3859,5635,'Reward','MaxCoin',145,0,0),
(3860,5636,'Prereq','Quest',5635,0,0),
(3974,5636,'Prereq','Race',12,0,0),
(3861,5636,'Reward','Experience',100,0,0),
(3862,5636,'Reward','Coin',55,0,0),
(3863,5636,'Reward','MaxCoin',65,0,0),
(3867,5637,'Prereq','Race',14,0,0),
(3868,5637,'Reward','Experience',100,0,0),
(3872,5637,'Reward','Item',35406,0,2),
(3871,5637,'Reward','Item',35407,0,2),
(3869,5637,'Reward','Coin',95,0,0),
(3870,5637,'Reward','MaxCoin',105,0,0),
(3874,5638,'Reward','Experience',136,0,0),
(3875,5638,'Reward','Item',3313,0,3),
(3873,5638,'Reward','Coin',545,0,0),
(3876,5639,'Prereq','Quest',5637,0,0),
(3963,5639,'Prereq','Race',14,0,0),
(3877,5639,'Reward','Experience',100,0,0),
(3878,5639,'Reward','Coin',100,0,0),
(3880,5639,'Reward','Selectable',136946,0,0),
(3881,5639,'Reward','Selectable',136947,0,0),
(3882,5639,'Reward','Selectable',136948,0,0),
(3883,5639,'Reward','Selectable',136949,0,0),
(3879,5639,'Reward','MaxCoin',125,0,0),
(3884,5640,'Reward','Experience',227,0,0),
(3885,5640,'Reward','Selectable',135377,0,0),
(3886,5640,'Reward','Selectable',142856,0,0),
(3889,5640,'Reward','Selectable',157021,0,0),
(3887,5640,'Reward','Selectable',172767,0,0),
(3890,5641,'Prereq','Quest',5639,0,0),
(3964,5641,'Prereq','Race',14,0,0),
(3891,5641,'Reward','Experience',100,0,0),
(3894,5641,'Reward','Item',62160,0,0),
(3892,5641,'Reward','Coin',100,0,0),
(3893,5641,'Reward','MaxCoin',125,0,0),
(3895,5642,'Prereq','Quest',5641,0,0),
(3965,5642,'Prereq','Race',14,0,0),
(3896,5642,'Reward','Experience',100,0,0),
(3900,5642,'Reward','Item',21386,0,0),
(3899,5642,'Reward','Item',185510,0,0),
(3897,5642,'Reward','Coin',100,0,0),
(3898,5642,'Reward','MaxCoin',135,0,0),
(3966,5643,'Prereq','Race',14,0,0),
(3967,5643,'Prereq','AdvLevel',5642,0,0),
(3902,5643,'Reward','Experience',100,0,0),
(3903,5643,'Reward','Coin',65,0,0),
(3904,5643,'Reward','MaxCoin',85,0,0),
(3908,5644,'Prereq','Faction',1,11,0),
(3905,5644,'Reward','Experience',100,0,0),
(3909,5644,'Reward','Item',171176,0,1),
(3906,5644,'Reward','Coin',1113,0,0),
(3907,5644,'Reward','MaxCoin',1137,0,0),
(3910,5645,'Prereq','Race',14,0,0),
(3911,5645,'Reward','Experience',100,0,0),
(3912,5645,'Reward','Coin',100,0,0),
(3913,5645,'Reward','MaxCoin',125,0,0),
(3914,5646,'Prereq','Quest',5645,0,0),
(3968,5646,'Prereq','Race',14,0,0),
(3915,5646,'Reward','Experience',100,0,0),
(3916,5646,'Reward','Coin',116,0,0),
(3917,5646,'Reward','MaxCoin',135,0,0),
(3918,5647,'Prereq','Quest',5646,0,0),
(3969,5647,'Prereq','Race',14,0,0),
(3919,5647,'Reward','Experience',100,0,0),
(3920,5647,'Reward','Coin',116,0,0),
(3921,5647,'Reward','MaxCoin',135,0,0),
(3922,5648,'Prereq','Quest',5647,0,0),
(3970,5648,'Prereq','Race',14,0,0),
(3923,5648,'Reward','Experience',100,0,0),
(3924,5648,'Reward','Coin',100,0,0),
(3925,5648,'Reward','MaxCoin',125,0,0),
(5515,5649,'Prereq','Faction',1,12,0),
(3926,5649,'Prereq','AdvLevel',6,0,0),
(3927,5649,'Reward','Experience',100,0,0),
(3928,5649,'Reward','Coin',22,0,0),
(3931,5649,'Reward','Selectable',72671,0,1),
(5514,5649,'Reward','Selectable',170148,0,1),
(3929,5649,'Reward','MaxCoin',30,0,0),
(3932,5650,'Prereq','Faction',1,12,0),
(3933,5650,'Reward','Experience',100,0,0),
(3934,5650,'Reward','Coin',56,0,0),
(3935,5650,'Reward','MaxCoin',68,0,0),
(3936,5651,'Prereq','Faction',1,12,0),
(3937,5651,'Reward','Experience',100,0,0),
(3938,5651,'Reward','Coin',29,0,0),
(3939,5651,'Reward','MaxCoin',39,0,0),
(3940,5652,'Prereq','Faction',1,12,0),
(3941,5652,'Reward','Experience',85,0,0),
(3944,5652,'Reward','Item',20709,0,1),
(3942,5652,'Reward','Coin',6,0,0),
(3943,5652,'Reward','MaxCoin',12,0,0),
(3946,5653,'Prereq','Quest',5652,0,0),
(3945,5653,'Prereq','AdvLevel',5,0,0),
(3947,5653,'Reward','Experience',85,0,0),
(3950,5653,'Reward','Item',184799,0,0),
(3948,5653,'Reward','Coin',55,0,0),
(3949,5653,'Reward','MaxCoin',65,0,0),
(3951,5654,'Prereq','Faction',1,12,0),
(5519,5654,'Prereq','AdvLevel',6,0,0),
(3952,5654,'Reward','Experience',100,0,0),
(3953,5654,'Reward','Coin',32,0,0),
(3957,5654,'Reward','Selectable',54572,0,1),
(3956,5654,'Reward','Selectable',54574,0,1),
(3954,5654,'Reward','MaxCoin',39,0,0),
(3959,5655,'Prereq','Faction',1,12,0),
(3958,5655,'Prereq','Quest',5654,0,0),
(3960,5655,'Reward','Experience',125,0,0),
(3961,5655,'Reward','Coin',70,0,0),
(3962,5655,'Reward','MaxCoin',79,0,0),
(3976,5656,'Prereq','Faction',1,12,0),
(5525,5656,'Prereq','AdvLevel',6,0,0),
(3977,5656,'Reward','Experience',100,0,0),
(3975,5656,'Reward','Item',135589,0,1),
(3978,5656,'Reward','Coin',22,0,0),
(3979,5656,'Reward','MaxCoin',32,0,0),
(3980,5657,'Prereq','Quest',5656,0,0),
(3981,5657,'Prereq','AdvLevel',9,0,0),
(3982,5657,'Reward','Experience',100,0,0),
(3983,5657,'Reward','Coin',55,0,0),
(3984,5657,'Reward','MaxCoin',65,0,0),
(4047,5658,'Prereq','Quest',395,0,0),
(4048,5658,'Reward','Experience',100,0,0),
(5528,5659,'Prereq','Faction',1,12,0),
(4062,5659,'Prereq','AdvLevel',11,0,0),
(4056,5659,'Reward','Experience',257,0,0),
(4057,5659,'Reward','Coin',72,0,0),
(4061,5659,'Reward','Selectable',152401,0,1),
(4060,5659,'Reward','Selectable',152404,0,1),
(4059,5659,'Reward','Selectable',152406,0,1),
(4058,5659,'Reward','MaxCoin',83,0,0),
(5529,5660,'Prereq','Faction',1,12,0),
(4063,5660,'Prereq','AdvLevel',12,0,0),
(4065,5660,'Reward','Experience',179,0,0),
(4066,5660,'Reward','Coin',72,0,0),
(4068,5660,'Reward','Selectable',152398,0,1),
(4069,5660,'Reward','Selectable',152399,0,1),
(4070,5660,'Reward','Selectable',152400,0,1),
(4067,5660,'Reward','MaxCoin',79,0,0),
(5521,5661,'Prereq','Faction',1,12,0),
(4073,5661,'Reward','Experience',135,0,0),
(4074,5661,'Reward','Coin',22,0,0),
(4075,5661,'Reward','MaxCoin',33,0,0),
(4077,5662,'Prereq','Faction',1,12,0),
(4076,5662,'Prereq','Quest',5661,0,0),
(4078,5662,'Reward','Experience',135,0,0),
(4079,5662,'Reward','Coin',22,0,0),
(4080,5662,'Reward','MaxCoin',35,0,0),
(4081,5663,'Prereq','Faction',1,12,0),
(4082,5663,'Reward','Experience',100,0,0),
(4083,5663,'Reward','Coin',11,0,0),
(4084,5663,'Reward','MaxCoin',20,0,0),
(4085,5664,'Prereq','Faction',1,12,0),
(5523,5664,'Prereq','AdvLevel',6,0,0),
(4086,5664,'Reward','Experience',100,0,0),
(5524,5664,'Reward','Item',166399,0,1),
(4087,5664,'Reward','Coin',18,0,0),
(4088,5664,'Reward','MaxCoin',28,0,0),
(4090,5665,'Prereq','Faction',1,12,0),
(4091,5665,'Reward','Experience',124,0,0),
(5526,5665,'Reward','Coin',44,0,0),
(5527,5665,'Reward','MaxCoin',49,0,0),
(4092,5666,'Prereq','Faction',1,12,0),
(4093,5666,'Prereq','Quest',5665,0,0),
(4094,5666,'Reward','Experience',100,0,0),
(4095,5666,'Reward','Coin',44,0,0),
(4096,5666,'Reward','MaxCoin',49,0,0),
(4114,5667,'Prereq','Race',9,0,0),
(4097,5667,'Reward','Experience',85,0,0),
(4098,5667,'Reward','Coin',121,0,0),
(4099,5667,'Reward','MaxCoin',125,0,0),
(4100,5668,'Prereq','Quest',5667,0,0),
(4103,5668,'Reward','Experience',85,0,0),
(4101,5668,'Reward','Coin',116,0,0),
(4102,5668,'Reward','MaxCoin',145,0,0),
(4104,5669,'Prereq','Quest',5668,0,0),
(4105,5669,'Reward','Experience',85,0,0),
(4106,5669,'Reward','Coin',117,0,0),
(4107,5669,'Reward','MaxCoin',145,0,0),
(4109,5670,'Prereq','Experience',85,0,0),
(4108,5670,'Prereq','Quest',5669,0,0),
(4110,5671,'Prereq','Quest',5670,0,0),
(4111,5671,'Reward','Experience',100,0,0),
(4112,5671,'Reward','Coin',119,0,0),
(4113,5671,'Reward','MaxCoin',245,0,0),
(5409,5672,'Prereq','Faction',1,12,0),
(4115,5672,'Prereq','AdvLevel',5,0,0),
(4116,5672,'Reward','Experience',85,0,0),
(4117,5672,'Reward','Coin',22,0,0),
(4118,5672,'Reward','MaxCoin',35,0,0),
(5412,5673,'Prereq','Faction',1,12,0),
(4119,5673,'Prereq','Quest',5672,0,0),
(4120,5673,'Prereq','AdvLevel',6,0,0),
(4121,5673,'Reward','Experience',85,0,0),
(4124,5673,'Reward','Item',37368,0,5),
(4122,5673,'Reward','Coin',133,0,0),
(4123,5673,'Reward','MaxCoin',138,0,0),
(5414,5674,'Prereq','Faction',1,12,0),
(4125,5674,'Prereq','AdvLevel',4,0,0),
(4126,5674,'Reward','Experience',100,0,0),
(4127,5674,'Reward','Item',143790,0,1),
(5413,5674,'Reward','Coin',22,0,0),
(5423,5674,'Reward','MaxCoin',28,0,0),
(5411,5675,'Prereq','Faction',1,12,0),
(4128,5675,'Prereq','AdvLevel',15,0,0),
(4129,5675,'Reward','Experience',180,0,0),
(4133,5675,'Reward','Item',179265,0,1),
(4130,5675,'Reward','Coin',245,0,0),
(5428,5675,'Reward','Selectable',147216,0,1),
(4132,5675,'Reward','Selectable',147217,0,1),
(5427,5675,'Reward','Selectable',147218,0,1),
(4131,5675,'Reward','MaxCoin',368,0,0),
(4134,5676,'Prereq','Faction',1,12,0),
(4135,5676,'Reward','Experience',100,0,0),
(4136,5676,'Reward','Coin',33,0,0),
(4137,5676,'Reward','MaxCoin',39,0,0),
(4138,5677,'Prereq','Faction',1,12,0),
(4139,5677,'Prereq','Quest',5676,0,0),
(4140,5677,'Reward','Experience',100,0,0),
(4141,5677,'Reward','Coin',23,0,0),
(4142,5677,'Reward','MaxCoin',30,0,0),
(4144,5678,'Prereq','Faction',1,12,0),
(4145,5678,'Reward','Experience',100,0,0),
(5422,5678,'Reward','Coin',22,0,0),
(4146,5679,'Prereq','Quest',5678,0,0),
(4147,5679,'Reward','Experience',100,0,0),
(4148,5679,'Reward','Coin',22,0,0),
(4151,5679,'Reward','Selectable',140545,0,1),
(4150,5679,'Reward','Selectable',184840,0,1),
(4149,5679,'Reward','MaxCoin',35,0,0),
(5419,5680,'Prereq','Faction',1,12,0),
(4154,5680,'Prereq','Quest',5679,0,0),
(4155,5680,'Reward','Experience',100,0,0),
(4156,5680,'Reward','Coin',35,0,0),
(4159,5680,'Reward','Selectable',140542,0,1),
(4158,5680,'Reward','Selectable',184837,0,1),
(4157,5680,'Reward','MaxCoin',55,0,0),
(5416,5681,'Prereq','Faction',1,12,0),
(4160,5681,'Reward','Experience',100,0,0),
(4161,5681,'Reward','Coin',22,0,0),
(4164,5681,'Reward','Selectable',140544,0,1),
(4163,5681,'Reward','Selectable',184839,0,1),
(4162,5681,'Reward','MaxCoin',33,0,0),
(5410,5682,'Prereq','Faction',1,12,0),
(4167,5682,'Prereq','Quest',5681,0,0),
(4166,5682,'Prereq','AdvLevel',6,0,0),
(4168,5682,'Reward','Experience',100,0,0),
(4171,5682,'Reward','Item',135369,0,1),
(4169,5682,'Reward','Coin',133,0,0),
(4170,5682,'Reward','MaxCoin',155,0,0),
(4172,5683,'Prereq','Faction',1,12,0),
(4173,5683,'Reward','Experience',100,0,0),
(4176,5683,'Reward','Item',146120,0,0),
(4174,5683,'Reward','Coin',55,0,0),
(4175,5683,'Reward','MaxCoin',82,0,0),
(4177,5684,'Prereq','Faction',1,12,0),
(4178,5684,'Reward','Experience',100,0,0),
(4179,5684,'Reward','Coin',11,0,0),
(4182,5684,'Reward','Selectable',140543,0,1),
(4181,5684,'Reward','Selectable',184838,0,1),
(4180,5684,'Reward','MaxCoin',21,0,0),
(5415,5685,'Prereq','Faction',1,12,0),
(4184,5685,'Prereq','Quest',5684,0,0),
(4185,5685,'Reward','Experience',100,0,0),
(5421,5685,'Reward','Faction',25,102,0),
(4186,5685,'Reward','Item',161911,0,1),
(4196,5688,'Prereq','Faction',1,12,0),
(4197,5688,'Reward','Experience',100,0,0),
(4198,5688,'Reward','Coin',22,0,0),
(4199,5688,'Reward','MaxCoin',29,0,0),
(4201,5689,'Reward','Experience',318,0,0),
(4200,5689,'Reward','Item',66058,0,0),
(5549,5690,'Prereq','Faction',1,12,0),
(4202,5690,'Prereq','AdvLevel',6,0,0),
(4203,5690,'Reward','Experience',100,0,0),
(4204,5690,'Reward','Coin',33,0,0),
(4208,5690,'Reward','Selectable',140008,0,1),
(4207,5690,'Reward','Selectable',140010,0,1),
(4206,5690,'Reward','Selectable',140011,0,1),
(4205,5690,'Reward','MaxCoin',48,0,0),
(5548,5691,'Prereq','Faction',1,12,0),
(4209,5691,'Prereq','Quest',5690,0,0),
(4210,5691,'Prereq','AdvLevel',8,0,0),
(4211,5691,'Reward','Experience',130,0,0),
(4212,5691,'Reward','Coin',78,0,0),
(4214,5691,'Reward','Selectable',140009,0,1),
(4215,5691,'Reward','Selectable',140012,0,1),
(4216,5691,'Reward','Selectable',140013,0,1),
(4213,5691,'Reward','MaxCoin',96,0,0),
(5424,5692,'Prereq','Faction',1,12,0),
(4218,5692,'Reward','Experience',100,0,0),
(4221,5692,'Reward','Item',37563,0,5),
(5593,5692,'Reward','Item',158789,0,1),
(4219,5692,'Reward','Coin',25,0,0),
(4220,5692,'Reward','MaxCoin',32,0,0),
(5550,5693,'Prereq','Faction',1,12,0),
(4224,5693,'Prereq','Quest',5692,0,0),
(4225,5693,'Reward','Experience',100,0,0),
(4228,5693,'Reward','Item',158789,0,1),
(4226,5693,'Reward','Coin',22,0,0),
(4227,5693,'Reward','MaxCoin',31,0,0),
(4229,5694,'Prereq','Faction',1,12,0),
(4230,5694,'Reward','Experience',85,0,0),
(4233,5694,'Reward','Item',87652,0,1),
(4231,5694,'Reward','Coin',65,0,0),
(4232,5694,'Reward','MaxCoin',85,0,0),
(4234,5695,'Prereq','Faction',1,12,0),
(4237,5695,'Reward','Experience',100,0,0),
(4238,5695,'Reward','Item',37151,0,5),
(4235,5695,'Reward','Coin',125,0,0),
(4236,5695,'Reward','Coin',268,0,0),
(4240,5696,'Reward','Experience',146,0,0),
(4239,5696,'Reward','Item',88932,0,0),
(4242,5697,'Reward','Experience',146,0,0),
(4241,5697,'Reward','Item',84149,0,0),
(4243,5698,'Reward','Experience',146,0,0),
(4244,5698,'Reward','Item',167637,0,0),
(4245,5699,'Reward','Experience',146,0,0),
(4246,5699,'Reward','Item',181404,0,0),
(4247,5700,'Reward','Experience',146,0,0),
(4248,5700,'Reward','Item',155562,0,0),
(4249,5701,'Prereq','Faction',1,12,0),
(4250,5701,'Reward','Experience',100,0,0),
(4253,5701,'Reward','Item',137253,0,1),
(4251,5701,'Reward','Coin',22,0,0),
(4252,5701,'Reward','MaxCoin',27,0,0),
(4254,5702,'Prereq','Faction',1,12,0),
(4255,5702,'Prereq','Quest',5701,0,0),
(4256,5702,'Reward','Experience',100,0,0),
(4257,5702,'Reward','Coin',122,0,0),
(5559,5702,'Reward','Selectable',53579,0,1),
(4259,5702,'Reward','Selectable',53580,0,1),
(4258,5702,'Reward','MaxCoin',256,0,0),
(4260,5703,'Prereq','AdvLevel',5,0,0),
(4261,5703,'Reward','Experience',85,0,0),
(4264,5703,'Reward','Item',20935,0,0),
(4262,5703,'Reward','Coin',55,0,0),
(4263,5703,'Reward','MaxCoin',95,0,0),
(4265,5704,'Prereq','Faction',1,12,0),
(4266,5704,'Prereq','Quest',5703,0,0),
(4267,5704,'Reward','Experience',100,0,0),
(4269,5705,'Reward','Experience',310,0,0),
(4268,5705,'Reward','Item',61911,0,0),
(4270,5706,'Reward','Experience',318,0,0),
(4271,5706,'Reward','Item',21083,0,0),
(4272,5707,'Reward','Experience',100,0,0),
(4273,5707,'Reward','Coin',291,0,0),
(4274,5708,'Reward','Experience',100,0,0),
(4275,5708,'Reward','Coin',291,0,0),
(4278,5708,'Reward','Selectable',51352,0,0),
(4277,5708,'Reward','Selectable',79684,0,0),
(4276,5708,'Reward','Selectable',85942,0,0),
(4283,5709,'Reward','Experience',100,0,0),
(4284,5709,'Reward','Coin',291,0,0),
(4289,5709,'Reward','Selectable',88146,0,0),
(4286,5709,'Reward','Selectable',155557,0,0),
(4285,5709,'Reward','Selectable',170137,0,0),
(4290,5710,'Reward','Experience',100,0,0),
(4291,5710,'Reward','Coin',1713,0,0),
(4293,5710,'Reward','Selectable',55264,0,0),
(4294,5710,'Reward','Selectable',137501,0,0),
(4292,5710,'Reward','Selectable',140325,0,0),
(4295,5710,'Reward','Selectable',147121,0,0),
(5558,5711,'Prereq','Faction',1,12,0),
(4296,5711,'Prereq','AdvLevel',13,0,0),
(4297,5711,'Reward','Experience',250,0,0),
(4298,5711,'Reward','Coin',1743,0,0),
(4300,5711,'Reward','Selectable',136177,0,0),
(4302,5711,'Reward','Selectable',136178,0,0),
(4303,5711,'Reward','Selectable',185324,0,0),
(4299,5711,'Reward','MaxCoin',2538,0,0),
(4333,5713,'Reward','Experience',100,0,0),
(4335,5714,'Reward','Experience',850,0,0),
(4334,5714,'Reward','Coin',104,0,0),
(4937,5714,'Reward','MaxCoin',136,0,0),
(4337,5715,'Reward','Experience',100,0,0),
(4342,5715,'Reward','Item',134454,0,1),
(4338,5715,'Reward','Coin',158,0,0),
(4343,5716,'Reward','Experience',296,0,0),
(4344,5716,'Reward','Coin',1140,0,0),
(4603,5717,'Prereq','Faction',0,11,0),
(4496,5717,'Prereq','Race',0,0,0),
(4497,5717,'Prereq','Race',2,0,0),
(4498,5717,'Prereq','Race',3,0,0),
(4499,5717,'Prereq','Race',4,0,0),
(4500,5717,'Prereq','Race',5,0,0),
(4501,5717,'Prereq','Race',6,0,0),
(4502,5717,'Prereq','Race',7,0,0),
(4503,5717,'Prereq','Race',8,0,0),
(4504,5717,'Prereq','Race',9,0,0),
(4505,5717,'Prereq','Race',11,0,0),
(4506,5717,'Prereq','Race',15,0,0),
(4507,5717,'Prereq','Race',16,0,0),
(5325,5717,'Prereq','Race',19,0,0),
(4508,5717,'Prereq','Race',20,0,0),
(4510,5717,'Prereq','Class',1,0,0),
(4511,5717,'Prereq','Class',11,0,0),
(4512,5717,'Prereq','Class',21,0,0),
(4513,5717,'Prereq','Class',31,0,0),
(4358,5717,'Reward','Experience',50,0,0),
(4359,5718,'Reward','Experience',125,0,0),
(4617,5718,'Reward','Faction',-5000,12,0),
(4618,5718,'Reward','Faction',10000,11,0),
(4619,5718,'Reward','Item',171002,0,1),
(4620,5718,'Reward','Selectable',85474,0,1),
(4621,5718,'Reward','Selectable',85475,0,1),
(4622,5718,'Reward','Selectable',85476,0,1),
(4623,5718,'Reward','Selectable',85477,0,1),
(4360,5719,'Reward','Experience',125,0,0),
(4627,5719,'Reward','Faction',-5000,12,0),
(4626,5719,'Reward','Faction',10000,11,0),
(4582,5719,'Reward','Item',171002,0,1),
(4628,5719,'Reward','Selectable',85474,0,1),
(4629,5719,'Reward','Selectable',85475,0,1),
(4630,5719,'Reward','Selectable',85476,0,1),
(4631,5719,'Reward','Selectable',85477,0,1),
(4362,5720,'Reward','Experience',125,0,0),
(4633,5720,'Reward','Faction',-5000,12,0),
(4632,5720,'Reward','Faction',10000,11,0),
(4581,5720,'Reward','Item',171002,0,1),
(4634,5720,'Reward','Selectable',85474,0,1),
(4635,5720,'Reward','Selectable',85475,0,1),
(4636,5720,'Reward','Selectable',85476,0,1),
(4637,5720,'Reward','Selectable',85477,0,1),
(4361,5721,'Reward','Experience',125,0,0),
(4643,5721,'Reward','Faction',-5000,12,0),
(4642,5721,'Reward','Faction',10000,11,0),
(4579,5721,'Reward','Item',171002,0,1),
(4638,5721,'Reward','Selectable',85474,0,1),
(4639,5721,'Reward','Selectable',85475,0,1),
(4640,5721,'Reward','Selectable',85476,0,1),
(4641,5721,'Reward','Selectable',85477,0,1),
(4363,5722,'Reward','Experience',125,0,0),
(4645,5722,'Reward','Faction',-5000,12,0),
(4644,5722,'Reward','Faction',10000,11,0),
(4580,5722,'Reward','Item',171002,0,1),
(4646,5722,'Reward','Selectable',85474,0,1),
(4647,5722,'Reward','Selectable',85475,0,1),
(4648,5722,'Reward','Selectable',85476,0,1),
(4649,5722,'Reward','Selectable',85477,0,1),
(4364,5723,'Reward','Experience',125,0,0),
(4826,5723,'Reward','Faction',-5000,12,0),
(4830,5723,'Reward','Faction',10000,11,0),
(4827,5723,'Reward','Item',171002,0,1),
(4583,5723,'Reward','Selectable',85474,0,1),
(4828,5723,'Reward','Selectable',85475,0,1),
(4829,5723,'Reward','Selectable',85476,0,1),
(4831,5723,'Reward','Selectable',85477,0,1),
(4365,5724,'Reward','Experience',125,0,0),
(4366,5724,'Reward','Item',85855,0,1),
(4367,5725,'Reward','Experience',0,0,0),
(4386,5726,'Prereq','Class',1,0,0),
(4368,5726,'Reward','Experience',123,0,0),
(4370,5726,'Reward','Item',152755,0,1),
(4369,5726,'Reward','Coin',12,0,0),
(4385,5726,'Reward','MaxCoin',14,0,0),
(4382,5727,'Prereq','Class',11,0,0),
(4371,5727,'Reward','Experience',123,0,0),
(4373,5727,'Reward','Item',130120,0,1),
(4372,5727,'Reward','Coin',12,0,0),
(4381,5727,'Reward','Coin',14,0,0),
(4384,5728,'Prereq','Class',21,0,0),
(4374,5728,'Reward','Experience',123,0,0),
(4376,5728,'Reward','Item',132365,0,1),
(4375,5728,'Reward','Coin',12,0,0),
(4383,5728,'Reward','MaxCoin',14,0,0),
(4387,5729,'Prereq','Class',31,0,0),
(4377,5729,'Reward','Experience',123,0,0),
(4380,5729,'Reward','Item',158694,0,1),
(4378,5729,'Reward','Coin',55,0,0),
(4379,5729,'Reward','MaxCoin',63,0,0),
(4392,5730,'Prereq','Quest',5729,0,0),
(4388,5730,'Reward','Experience',100,0,0),
(4393,5731,'Prereq','Quest',5726,0,0),
(4389,5731,'Reward','Experience',100,0,0),
(4391,5732,'Prereq','Quest',5727,0,0),
(4390,5732,'Reward','Experience',100,0,0),
(4395,5733,'Prereq','Quest',5728,0,0),
(4394,5733,'Reward','Experience',100,0,0),
(4396,5734,'Prereq','Quest',5732,0,0),
(4397,5734,'Reward','Experience',100,0,0),
(4398,5734,'Reward','Coin',12,0,0),
(4403,5735,'Prereq','Quest',5731,0,0),
(4400,5735,'Reward','Experience',100,0,0),
(4401,5735,'Reward','Coin',12,0,0),
(4404,5736,'Prereq','Quest',5733,0,0),
(4405,5736,'Reward','Experience',100,0,0),
(4406,5736,'Reward','Coin',12,0,0),
(6063,5736,'Reward','MaxCoin',15,0,0),
(4408,5737,'Prereq','Quest',5730,0,0),
(4409,5737,'Reward','Experience',100,0,0),
(4410,5737,'Reward','Coin',14,0,0),
(4413,5738,'Prereq','Quest',5734,0,0),
(4412,5738,'Reward','Experience',123,0,0),
(4415,5738,'Reward','Item',130121,0,1),
(4414,5738,'Reward','Coin',16,0,0),
(4416,5739,'Prereq','Quest',5735,0,0),
(4417,5739,'Reward','Experience',123,0,0),
(4419,5739,'Reward','Item',152756,0,1),
(4418,5739,'Reward','Coin',16,0,0),
(4420,5740,'Prereq','Quest',5736,0,0),
(4421,5740,'Reward','Experience',123,0,0),
(4423,5740,'Reward','Item',132366,0,1),
(4422,5740,'Reward','Coin',16,0,0),
(4424,5741,'Prereq','Quest',5737,0,0),
(4425,5741,'Reward','Experience',123,0,0),
(4426,5741,'Reward','Item',158695,0,1),
(4427,5741,'Reward','Coin',16,0,0),
(4429,5742,'Prereq','Quest',5738,0,0),
(4428,5742,'Reward','Experience',123,0,0),
(4430,5742,'Reward','Item',130122,0,1),
(4431,5742,'Reward','Coin',26,0,0),
(4432,5743,'Prereq','Quest',5739,0,0),
(4435,5743,'Reward','Experience',123,0,0),
(4434,5743,'Reward','Item',152757,0,1),
(4433,5743,'Reward','Coin',26,0,0),
(4436,5744,'Prereq','Quest',5740,0,0),
(4437,5744,'Reward','Experience',123,0,0),
(4439,5744,'Reward','Item',132367,0,1),
(4438,5744,'Reward','Coin',26,0,0),
(4440,5745,'Prereq','Quest',5741,0,0),
(4441,5745,'Reward','Experience',123,0,0),
(4443,5745,'Reward','Item',158696,0,1),
(4442,5745,'Reward','Coin',26,0,0),
(4444,5746,'Reward','Experience',100,0,0),
(4445,5746,'Reward','Item',1130007,0,1),
(4446,5747,'Reward','Experience',100,0,0),
(4652,5747,'Reward','Coin',33,0,0),
(4447,5748,'Reward','Experience',125,0,0),
(4448,5748,'Reward','Item',150129,0,1),
(4449,5749,'Reward','Item',146142,0,1),
(4450,5749,'Reward','Coin',12,0,0),
(4455,5750,'Prereq','Quest',5742,0,0),
(4452,5750,'Reward','Experience',205,0,0),
(4454,5750,'Reward','Item',70033,0,1),
(4453,5750,'Reward','Coin',22,0,0),
(4459,5751,'Prereq','Quest',5743,0,0),
(4456,5751,'Reward','Experience',205,0,0),
(4458,5751,'Reward','Item',52296,0,1),
(4457,5751,'Reward','Coin',22,0,0),
(4461,5752,'Prereq','Quest',5744,0,0),
(4460,5752,'Reward','Experience',205,0,0),
(4462,5752,'Reward','Item',70611,0,1),
(4463,5752,'Reward','Coin',22,0,0),
(4464,5753,'Prereq','Quest',5745,0,0),
(4465,5753,'Reward','Experience',205,0,0),
(4467,5753,'Reward','Item',75524,0,1),
(4466,5753,'Reward','Coin',22,0,0),
(4469,5754,'Reward','Experience',100,0,0),
(4468,5754,'Reward','Item',136170,0,1),
(4470,5754,'Reward','Coin',72,0,0),
(4653,5754,'Reward','MaxCoin',76,0,0),
(4471,5755,'Reward','Experience',100,0,0),
(4472,5755,'Reward','Item',140253,0,1),
(4473,5755,'Reward','Coin',16,0,0),
(4475,5756,'Reward','Experience',126,0,0),
(4474,5756,'Reward','Item',137914,0,1),
(4476,5757,'Reward','Experience',100,0,0),
(4477,5757,'Reward','Item',136712,0,1),
(4604,5758,'Prereq','Faction',0,12,0),
(4481,5758,'Prereq','Race',0,0,0),
(4482,5758,'Prereq','Race',1,0,0),
(4483,5758,'Prereq','Race',3,0,0),
(4484,5758,'Prereq','Race',5,0,0),
(4485,5758,'Prereq','Race',6,0,0),
(4486,5758,'Prereq','Race',9,0,0),
(4487,5758,'Prereq','Race',10,0,0),
(4488,5758,'Prereq','Race',11,0,0),
(4489,5758,'Prereq','Race',12,0,0),
(4490,5758,'Prereq','Race',13,0,0),
(4509,5758,'Prereq','Race',14,0,0),
(4492,5758,'Prereq','Race',17,0,0),
(4493,5758,'Prereq','Race',18,0,0),
(4494,5758,'Prereq','Race',19,0,0),
(4495,5758,'Prereq','Race',20,0,0),
(4514,5758,'Prereq','Class',1,0,0),
(4515,5758,'Prereq','Class',11,0,0),
(4516,5758,'Prereq','Class',21,0,0),
(4517,5758,'Prereq','Class',31,0,0),
(4478,5758,'Reward','Experience',100,0,0),
(4524,5759,'Prereq','Faction',1,11,0),
(4529,5759,'Prereq','AdvLevel',6,0,0),
(4525,5759,'Reward','Experience',130,0,0),
(4526,5759,'Reward','Item',152459,0,1),
(4527,5759,'Reward','Coin',55,0,0),
(4528,5759,'Reward','MaxCoin',63,0,0),
(4625,5760,'Prereq','Quest',5717,0,0),
(4576,5760,'Prereq','Race',5,0,0),
(4575,5760,'Prereq','Race',7,0,0),
(4563,5760,'Reward','Experience',100,0,0),
(4568,5760,'Reward','Item',15407,0,1),
(4588,5761,'Prereq','Quest',5717,0,0),
(4585,5761,'Prereq','Race',6,0,0),
(4587,5761,'Prereq','Race',15,0,0),
(4586,5761,'Prereq','Race',16,0,0),
(4570,5761,'Reward','Experience',100,0,0),
(4569,5761,'Reward','Item',15407,0,1),
(4599,5762,'Prereq','Quest',5717,0,0),
(4600,5762,'Prereq','Race',3,0,0),
(4602,5762,'Prereq','Race',20,0,0),
(4555,5762,'Reward','Experience',100,0,0),
(4550,5762,'Reward','Item',15407,0,1),
(4595,5763,'Prereq','Quest',5717,0,0),
(4593,5763,'Prereq','Race',11,0,0),
(5327,5763,'Prereq','Race',19,0,0),
(4556,5763,'Reward','Experience',100,0,0),
(4549,5763,'Reward','Item',15407,0,1),
(4591,5764,'Prereq','Quest',5717,0,0),
(4589,5764,'Prereq','Race',0,0,0),
(4590,5764,'Prereq','Race',2,0,0),
(4562,5764,'Reward','Experience',100,0,0),
(4557,5764,'Reward','Item',15407,0,1),
(4598,5765,'Prereq','Quest',5717,0,0),
(4596,5765,'Prereq','Race',4,0,0),
(4597,5765,'Prereq','Race',8,0,0),
(4544,5765,'Reward','Experience',100,0,0),
(4624,5765,'Reward','Item',15407,0,1),
(5194,5766,'Prereq','Faction',30000,11,0),
(5193,5766,'Prereq','AdvLevel',7,0,0),
(4584,5766,'Reward','Experience',125,0,0),
(5195,5766,'Reward','Item',66558,0,1),
(4686,5767,'Prereq','Faction',1,11,0),
(4682,5767,'Prereq','AdvLevel',7,0,0),
(4683,5767,'Prereq','Class',21,0,0),
(4666,5767,'Reward','Experience',100,0,0),
(4667,5767,'Reward','Coin',44,0,0),
(4685,5768,'Prereq','Quest',5767,0,0),
(4668,5768,'Reward','Experience',100,0,0),
(4684,5768,'Reward','AdvLevel',8,0,0),
(4669,5768,'Reward','Coin',44,0,0),
(4689,5769,'Prereq','Quest',5768,0,0),
(4690,5769,'Prereq','AdvLevel',9,0,0),
(4697,5769,'Prereq','Class',21,0,0),
(4670,5769,'Reward','Experience',125,0,0),
(4693,5769,'Reward','Faction',5000,11,0),
(4673,5769,'Reward','Item',165683,0,1),
(4672,5769,'Reward','Item',165686,0,1),
(4671,5769,'Reward','Coin',100,0,0),
(4691,5770,'Prereq','Quest',5768,0,0),
(4692,5770,'Prereq','AdvLevel',9,0,0),
(4696,5770,'Prereq','Class',21,0,0),
(4675,5770,'Reward','Experience',125,0,0),
(4695,5770,'Reward','Faction',5000,11,0),
(4677,5770,'Reward','Item',165684,0,1),
(4674,5770,'Reward','Item',165687,0,1),
(4676,5770,'Reward','Coin',100,0,0),
(4688,5771,'Prereq','Quest',5768,0,0),
(4687,5771,'Prereq','AdvLevel',9,0,0),
(4698,5771,'Prereq','Class',21,0,0),
(4678,5771,'Reward','Experience',125,0,0),
(4694,5771,'Reward','Faction',5000,11,0),
(4680,5771,'Reward','Item',165682,0,1),
(4681,5771,'Reward','Item',165685,0,1),
(4679,5771,'Reward','Coin',100,0,0),
(4712,5772,'Prereq','Faction',1,11,0),
(4709,5772,'Prereq','AdvLevel',7,0,0),
(4708,5772,'Prereq','Class',11,0,0),
(4711,5772,'Reward','Experience',100,0,0),
(4710,5772,'Reward','Coin',44,0,0),
(4718,5773,'Prereq','Faction',1,11,0),
(4713,5773,'Prereq','Quest',5772,0,0),
(4715,5773,'Prereq','AdvLevel',8,0,0),
(4714,5773,'Prereq','Class',11,0,0),
(4717,5773,'Reward','Experience',100,0,0),
(4716,5773,'Reward','Coin',44,0,0),
(4721,5774,'Prereq','Faction',1,11,0),
(4735,5774,'Prereq','Quest',5773,0,0),
(4719,5774,'Prereq','AdvLevel',9,0,0),
(4720,5774,'Prereq','Class',11,0,0),
(4722,5774,'Reward','Experience',125,0,0),
(4725,5774,'Reward','Faction',5000,11,0),
(4724,5774,'Reward','Item',130937,0,1),
(4723,5774,'Reward','Item',130939,0,1),
(4726,5774,'Reward','Coin',100,0,0),
(4736,5775,'Prereq','Faction',1,11,0),
(4734,5775,'Prereq','Quest',5773,0,0),
(4728,5775,'Prereq','AdvLevel',9,0,0),
(4727,5775,'Prereq','Class',11,0,0),
(4729,5775,'Reward','Experience',125,0,0),
(4733,5775,'Reward','Faction',5000,11,0),
(4731,5775,'Reward','Item',130934,0,1),
(4732,5775,'Reward','Item',130936,0,1),
(4730,5775,'Reward','Coin',100,0,0),
(4741,5776,'Prereq','Faction',1,11,0),
(4740,5776,'Prereq','Quest',5773,0,0),
(4739,5776,'Prereq','AdvLevel',9,0,0),
(4737,5776,'Prereq','Class',11,0,0),
(4742,5776,'Reward','Experience',125,0,0),
(4745,5776,'Reward','Faction',5000,11,0),
(4744,5776,'Reward','Item',130935,0,1),
(4743,5776,'Reward','Item',130938,0,1),
(4746,5776,'Reward','Coin',100,0,0),
(4747,5782,'Prereq','Faction',1,11,0),
(4748,5782,'Prereq','AdvLevel',7,0,0),
(4749,5782,'Prereq','Class',31,0,0),
(4750,5782,'Reward','Experience',100,0,0),
(4751,5782,'Reward','Coin',44,0,0),
(4752,5783,'Prereq','Faction',1,11,0),
(4754,5783,'Prereq','Quest',5782,0,0),
(4755,5783,'Prereq','AdvLevel',8,0,0),
(4753,5783,'Prereq','Class',31,0,0),
(4756,5783,'Reward','Experience',100,0,0),
(4757,5783,'Reward','Coin',44,0,0),
(4759,5784,'Prereq','Faction',1,11,0),
(4762,5784,'Prereq','Quest',5783,0,0),
(4761,5784,'Prereq','AdvLevel',9,0,0),
(4758,5784,'Prereq','Class',31,0,0),
(4763,5784,'Reward','Experience',125,0,0),
(4764,5784,'Reward','Faction',5000,11,0),
(4766,5784,'Reward','Item',188465,0,1),
(4765,5784,'Reward','Item',188468,0,1),
(4767,5784,'Reward','Coin',100,0,0),
(4768,5785,'Prereq','Faction',1,11,0),
(4770,5785,'Prereq','Quest',5783,0,0),
(4769,5785,'Prereq','AdvLevel',9,0,0),
(4771,5785,'Prereq','Class',31,0,0),
(4772,5785,'Reward','Experience',125,0,0),
(4775,5785,'Reward','Faction',5000,11,0),
(4777,5785,'Reward','Item',188466,0,1),
(4776,5785,'Reward','Item',188469,0,1),
(4773,5785,'Reward','Coin',100,0,0),
(4778,5786,'Prereq','Faction',1,11,0),
(4781,5786,'Prereq','Quest',5783,0,0),
(4780,5786,'Prereq','AdvLevel',9,0,0),
(4779,5786,'Prereq','Class',31,0,0),
(4783,5786,'Reward','Experience',125,0,0),
(4784,5786,'Reward','Faction',5000,11,0),
(4786,5786,'Reward','Item',188467,0,1),
(4787,5786,'Reward','Item',188470,0,1),
(4785,5786,'Reward','Coin',100,0,0),
(4789,5787,'Prereq','Faction',1,11,0),
(4790,5787,'Prereq','AdvLevel',7,0,0),
(4788,5787,'Prereq','Class',1,0,0),
(4792,5787,'Reward','Experience',100,0,0),
(4791,5787,'Reward','Coin',44,0,0),
(4795,5788,'Prereq','Faction',1,11,0),
(4793,5788,'Prereq','Quest',5787,0,0),
(4796,5788,'Prereq','AdvLevel',8,0,0),
(4794,5788,'Prereq','Class',1,0,0),
(4798,5788,'Reward','Experience',100,0,0),
(4797,5788,'Reward','Coin',44,0,0),
(4811,5789,'Prereq','Faction',1,11,0),
(4800,5789,'Prereq','Quest',5788,0,0),
(4812,5789,'Prereq','AdvLevel',9,0,0),
(4810,5789,'Prereq','Class',1,0,0),
(4813,5789,'Reward','Experience',125,0,0),
(4815,5789,'Reward','Faction',5000,11,0),
(4816,5789,'Reward','Item',143299,0,1),
(4817,5789,'Reward','Item',143301,0,1),
(4814,5789,'Reward','Coin',100,0,0),
(4803,5790,'Prereq','Faction',1,11,0),
(4799,5790,'Prereq','Quest',5788,0,0),
(4808,5790,'Prereq','AdvLevel',9,0,0),
(4802,5790,'Prereq','Class',1,0,0),
(4809,5790,'Reward','Experience',125,0,0),
(4804,5790,'Reward','Faction',5000,11,0),
(4806,5790,'Reward','Item',143298,0,1),
(4805,5790,'Reward','Item',143300,0,1),
(4807,5790,'Reward','Coin',100,0,0),
(4818,5791,'Prereq','Faction',1,11,0),
(4801,5791,'Prereq','Quest',5788,0,0),
(4820,5791,'Prereq','AdvLevel',9,0,0),
(4819,5791,'Prereq','Class',1,0,0),
(4821,5791,'Reward','Experience',125,0,0),
(4823,5791,'Reward','Faction',5000,11,0),
(4825,5791,'Reward','Item',143302,0,1),
(4824,5791,'Reward','Item',143303,0,1),
(4822,5791,'Reward','Coin',100,0,0),
(4834,5792,'Prereq','Faction',1,0,11),
(4835,5792,'Reward','Experience',0,0,0),
(4836,5793,'Reward','Experience',163,0,0),
(4888,5794,'Prereq','AdvLevel',17,0,0),
(4845,5794,'Reward','Experience',900,0,0),
(4837,5794,'Reward','Coin',525,0,0),
(4908,5794,'Reward','MaxCoin',536,0,0),
(4847,5795,'Reward','Experience',121,0,0),
(4846,5795,'Reward','Coin',24,0,0),
(4861,5795,'Reward','Selectable',148373,0,0),
(4862,5795,'Reward','Selectable',154842,0,0),
(4857,5795,'Reward','Selectable',172503,0,0),
(4859,5795,'Reward','Selectable',175721,0,0),
(4860,5795,'Reward','Selectable',183331,0,0),
(4855,5796,'Reward','None',188650,0,0),
(4848,5796,'Reward','Experience',122,0,0),
(4849,5796,'Reward','Item',20832,0,0),
(4854,5796,'Reward','Selectable',136100,0,0),
(4852,5796,'Reward','Selectable',149232,0,0),
(4856,5796,'Reward','Selectable',164104,0,0),
(4851,5796,'Reward','Selectable',169075,0,0),
(4850,5796,'Reward','Selectable',181521,0,0),
(4853,5796,'Reward','Selectable',190927,0,0),
(4863,5797,'Reward','Experience',100,0,0),
(4864,5797,'Reward','Coin',100,0,0),
(4866,5799,'Reward','Experience',133,0,0),
(4865,5799,'Reward','Coin',210,0,0),
(4867,5800,'Prereq','Quest',573,0,0),
(4868,5800,'Reward','Item',2611,0,1),
(4869,5801,'Reward','Experience',133,0,0),
(4870,5801,'Reward','Coin',210,0,0),
(4871,5802,'Reward','Experience',133,0,0),
(4872,5802,'Reward','Coin',210,0,0),
(4874,5803,'Reward','Experience',237,0,0),
(4873,5803,'Reward','Item',55023,0,0),
(4875,5803,'Reward','Coin',1140,0,0),
(4877,5804,'Reward','Experience',850,0,0),
(4885,5804,'Reward','Item',174493,0,0),
(4876,5804,'Reward','Coin',29,0,0),
(4889,5805,'Reward','Experience',654,0,0),
(4890,5805,'Reward','Coin',3613,0,0),
(4892,5805,'Reward','Selectable',146378,0,0),
(4891,5805,'Reward','Selectable',146379,0,0),
(4894,5805,'Reward','Selectable',146380,0,0),
(4893,5805,'Reward','Selectable',146381,0,0),
(4896,5806,'Reward','Experience',227,0,0),
(4897,5806,'Reward','Item',20626,0,1),
(4895,5806,'Reward','Coin',300,0,0),
(4898,5806,'Reward','MaxCoin',314,0,0),
(4899,5807,'Reward','Item',3650,0,1),
(4994,5809,'Prereq','Quest',5331,0,0),
(4900,5809,'Reward','Experience',725,0,0),
(4901,5809,'Reward','Coin',15957,0,0),
(4903,5811,'Reward','Coin',110,0,0),
(4904,5811,'Reward','MaxCoin',122,0,0),
(4915,5812,'Prereq','Quest',5528,0,0),
(4917,5812,'Prereq','AdvLevel',13,0,0),
(4919,5812,'Reward','Experience',167,0,0),
(4916,5812,'Reward','Coin',145,0,0),
(4918,5812,'Reward','MaxCoin',204,0,0),
(4921,5813,'Reward','Experience',50,0,0),
(4923,5814,'Prereq','MaxAdvLevel',20,0,0),
(4922,5814,'Reward','Experience',118,0,0),
(4925,5815,'Reward','Experience',167,0,0),
(4924,5815,'Reward','Item',154374,0,1),
(4929,5816,'Reward','Experience',167,0,0),
(4927,5816,'Reward','Coin',122,0,0),
(4928,5816,'Reward','MaxCoin',154,0,0),
(4933,5817,'Reward','Experience',50,0,0),
(4943,5818,'Reward','Experience',275,0,0),
(4941,5818,'Reward','Coin',95,0,0),
(4942,5818,'Reward','MaxCoin',109,0,0),
(4946,5819,'Reward','Experience',295,0,0),
(4944,5819,'Reward','Coin',112,0,0),
(4945,5819,'Reward','MaxCoin',135,0,0),
(4949,5820,'Reward','Experience',250,0,0),
(4947,5820,'Reward','Coin',94,0,0),
(4948,5820,'Reward','MaxCoin',106,0,0),
(4952,5821,'Reward','Experience',220,0,0),
(4950,5821,'Reward','Coin',89,0,0),
(4951,5821,'Reward','MaxCoin',102,0,0),
(4938,5822,'Reward','Experience',275,0,0),
(4939,5822,'Reward','Coin',95,0,0),
(4940,5822,'Reward','MaxCoin',108,0,0),
(4955,5823,'Reward','Experience',230,0,0),
(4953,5823,'Reward','Coin',96,0,0),
(4954,5823,'Reward','MaxCoin',111,0,0),
(4958,5824,'Reward','Experience',360,0,0),
(4956,5824,'Reward','Coin',131,0,0),
(4957,5824,'Reward','MaxCoin',164,0,0),
(4961,5825,'Reward','Experience',240,0,0),
(4959,5825,'Reward','Coin',103,0,0),
(4960,5825,'Reward','MaxCoin',129,0,0),
(4962,5826,'Reward','Experience',330,0,0),
(4963,5826,'Reward','Coin',112,0,0),
(4964,5826,'Reward','MaxCoin',142,0,0),
(4967,5827,'Reward','Experience',400,0,0),
(4965,5827,'Reward','Coin',163,0,0),
(4966,5827,'Reward','MaxCoin',193,0,0),
(4936,5828,'Reward','Experience',850,0,0),
(4934,5828,'Reward','Coin',104,0,0),
(4935,5828,'Reward','MaxCoin',128,0,0),
(4969,5829,'Reward','Experience',220,0,0),
(4968,5829,'Reward','Coin',144,0,0),
(4970,5829,'Reward','MaxCoin',168,0,0),
(4972,5830,'Reward','Experience',100,0,0),
(4971,5830,'Reward','Item',88987,0,1),
(4974,5831,'Reward','Experience',100,0,0),
(4973,5831,'Reward','Item',50175,0,1),
(4976,5832,'Reward','Experience',125,0,0),
(4975,5832,'Reward','Item',164416,0,1),
(4977,5833,'Reward','Experience',146,0,0),
(4978,5833,'Reward','Coin',104,0,0),
(4979,5833,'Reward','MaxCoin',117,0,0),
(4980,5834,'Reward','Experience',100,0,0),
(4981,5835,'Reward','Experience',125,0,0),
(4983,5837,'Reward','Experience',100,0,0),
(4998,5837,'Reward','Item',60148,0,1),
(4982,5837,'Reward','Item',78993,0,1),
(4984,5838,'Reward','Experience',150,0,0),
(4985,5839,'Reward','Experience',144,0,0),
(4986,5840,'Reward','Experience',245,0,0),
(4988,5841,'Reward','Experience',100,0,0),
(4987,5841,'Reward','Item',135920,0,1),
(4989,5842,'Reward','Experience',136,0,0),
(4990,5842,'Reward','Coin',122,0,0),
(4991,5842,'Reward','MaxCoin',202,0,0),
(4996,5843,'Reward','Experience',125,0,0),
(4995,5843,'Reward','Item',63833,0,1),
(4997,5843,'Reward','Coin',369,0,0),
(5003,5844,'Reward','Experience',225,0,0),
(5002,5844,'Reward','Item',63756,0,1),
(5004,5844,'Reward','Coin',369,0,0),
(5007,5845,'Prereq','AdvLevel',10,0,0),
(5008,5845,'Prereq','Class',5,0,0),
(5055,5845,'Reward','Item',83345,0,2),
(5080,5845,'Reward','Item',112861,0,1),
(5079,5845,'Reward','Item',124514,0,1),
(5049,5845,'Reward','Item',143298,0,1),
(5050,5845,'Reward','Item',143300,0,1),
(5058,5845,'Reward','Item',191344,0,1),
(5059,5845,'Reward','Item',191345,0,1),
(5060,5845,'Reward','Item',191347,0,1),
(5057,5845,'Reward','Item',191349,0,1),
(5056,5845,'Reward','Item',191352,0,1),
(5061,5845,'Reward','Item',1130031,0,1),
(5081,5845,'Reward','Coin',1000,0,0),
(5012,5846,'Prereq','AdvLevel',10,0,0),
(5013,5846,'Prereq','Class',8,0,0),
(5085,5846,'Reward','Item',53224,0,1),
(5192,5846,'Reward','Item',121979,0,1),
(5093,5846,'Reward','Item',122694,0,1),
(5092,5846,'Reward','Item',124514,0,1),
(5083,5846,'Reward','Item',143299,0,1),
(5084,5846,'Reward','Item',143301,0,1),
(5091,5846,'Reward','Item',160882,0,1),
(5089,5846,'Reward','Item',160884,0,1),
(5086,5846,'Reward','Item',160886,0,1),
(5090,5846,'Reward','Item',160887,0,1),
(5087,5846,'Reward','Item',160889,0,1),
(5088,5846,'Reward','Item',160892,0,1),
(5125,5846,'Reward','Coin',1000,0,0),
(5027,5847,'Prereq','AdvLevel',10,0,0),
(5028,5847,'Prereq','Class',2,0,0),
(5179,5847,'Reward','Item',53223,0,1),
(5180,5847,'Reward','Item',83350,0,2),
(5190,5847,'Reward','Item',121979,0,1),
(5178,5847,'Reward','Item',143302,0,1),
(5177,5847,'Reward','Item',143303,0,1),
(5188,5847,'Reward','Item',160894,0,1),
(5185,5847,'Reward','Item',160896,0,1),
(5183,5847,'Reward','Item',160903,0,1),
(5186,5847,'Reward','Item',160905,0,1),
(5187,5847,'Reward','Item',160907,0,1),
(5184,5847,'Reward','Item',160911,0,1),
(5010,5848,'Prereq','AdvLevel',10,0,0),
(5011,5848,'Prereq','Class',12,0,0),
(5068,5848,'Reward','Item',53227,0,1),
(5076,5848,'Reward','Item',114569,0,1),
(5075,5848,'Reward','Item',120346,0,1),
(5065,5848,'Reward','Item',130937,0,1),
(5064,5848,'Reward','Item',130939,0,1),
(5074,5848,'Reward','Item',140326,0,1),
(5071,5848,'Reward','Item',140327,0,1),
(5072,5848,'Reward','Item',140330,0,1),
(5073,5848,'Reward','Item',140332,0,1),
(5070,5848,'Reward','Item',140334,0,1),
(5069,5848,'Reward','Item',140335,0,1),
(5082,5848,'Reward','Coin',1000,0,0),
(5005,5849,'Prereq','AdvLevel',10,0,0),
(5014,5849,'Prereq','Class',15,0,0),
(5096,5849,'Reward','Item',53227,0,1),
(5104,5849,'Reward','Item',104859,0,1),
(5103,5849,'Reward','Item',120346,0,1),
(5094,5849,'Reward','Item',130934,0,1),
(5095,5849,'Reward','Item',130936,0,1),
(5099,5849,'Reward','Item',191344,0,1),
(5100,5849,'Reward','Item',191345,0,1),
(5101,5849,'Reward','Item',191347,0,1),
(5098,5849,'Reward','Item',191349,0,1),
(5097,5849,'Reward','Item',191352,0,1),
(5102,5849,'Reward','Item',1130031,0,1),
(5126,5849,'Reward','Coin',1000,0,0),
(5021,5850,'Prereq','AdvLevel',10,0,0),
(5022,5850,'Prereq','Class',18,0,0),
(5146,5850,'Reward','Item',53226,0,1),
(5154,5850,'Reward','Item',104859,0,1),
(5153,5850,'Reward','Item',114569,0,1),
(5145,5850,'Reward','Item',130935,0,1),
(5143,5850,'Reward','Item',130938,0,1),
(5152,5850,'Reward','Item',140326,0,1),
(5149,5850,'Reward','Item',140327,0,1),
(5150,5850,'Reward','Item',140330,0,1),
(5151,5850,'Reward','Item',140332,0,1),
(5148,5850,'Reward','Item',140334,0,1),
(5147,5850,'Reward','Item',140335,0,1),
(5155,5850,'Reward','Coin',1000,0,0),
(5015,5851,'Prereq','AdvLevel',10,0,0),
(5016,5851,'Prereq','Class',25,0,0),
(5107,5851,'Reward','Item',53227,1,0),
(5115,5851,'Reward','Item',101083,1,0),
(5114,5851,'Reward','Item',121271,1,0),
(5108,5851,'Reward','Item',137497,1,0),
(5110,5851,'Reward','Item',137501,1,0),
(5111,5851,'Reward','Item',137504,1,0),
(5112,5851,'Reward','Item',137506,1,0),
(5109,5851,'Reward','Item',137515,1,0),
(5113,5851,'Reward','Item',137517,1,0),
(5106,5851,'Reward','Item',165682,1,0),
(5105,5851,'Reward','Item',165685,1,0),
(5127,5851,'Reward','Coin',1000,0,0),
(5023,5853,'Prereq','AdvLevel',10,0,0),
(5024,5853,'Prereq','Class',22,0,0),
(5158,5853,'Reward','Item',53226,0,1),
(5165,5853,'Reward','Item',113189,0,1),
(5166,5853,'Reward','Item',121271,0,1),
(5159,5853,'Reward','Item',137497,0,1),
(5161,5853,'Reward','Item',137501,0,1),
(5162,5853,'Reward','Item',137504,0,1),
(5163,5853,'Reward','Item',137506,0,1),
(5160,5853,'Reward','Item',137515,0,1),
(5164,5853,'Reward','Item',137517,0,1),
(5157,5853,'Reward','Item',165683,0,1),
(5156,5853,'Reward','Item',165686,0,1),
(5025,5854,'Prereq','AdvLevel',10,0,0),
(5026,5854,'Prereq','Class',28,0,0),
(5169,5854,'Reward','Item',53227,0,1),
(5182,5854,'Reward','Item',101083,0,1),
(5181,5854,'Reward','Item',113189,0,1),
(5170,5854,'Reward','Item',137497,0,1),
(5172,5854,'Reward','Item',137501,0,1),
(5173,5854,'Reward','Item',137504,0,1),
(5174,5854,'Reward','Item',137506,0,1),
(5171,5854,'Reward','Item',137515,0,1),
(5175,5854,'Reward','Item',137517,0,1),
(5168,5854,'Reward','Item',165684,0,1),
(5167,5854,'Reward','Item',165687,0,1),
(5176,5854,'Reward','Coin',1000,0,0),
(5006,5855,'Prereq','AdvLevel',10,0,0),
(5009,5855,'Prereq','Class',35,0,0),
(5078,5855,'Reward','Faction',120479,0,1),
(5041,5855,'Reward','Item',83309,0,1),
(5077,5855,'Reward','Item',117204,0,1),
(5042,5855,'Reward','Item',140326,0,1),
(5043,5855,'Reward','Item',140327,0,1),
(5044,5855,'Reward','Item',140330,0,1),
(5045,5855,'Reward','Item',140334,0,1),
(5046,5855,'Reward','Item',140335,0,1),
(5030,5855,'Reward','Item',188465,0,1),
(5029,5855,'Reward','Item',188468,0,1),
(5047,5855,'Reward','Item',191347,0,1),
(5048,5855,'Reward','Coin',10000,0,0),
(5017,5856,'Prereq','AdvLevel',10,0,0),
(5018,5856,'Prereq','Class',38,0,0),
(5118,5856,'Reward','Item',83305,0,1),
(5130,5856,'Reward','Item',100564,0,1),
(5131,5856,'Reward','Item',120479,0,1),
(5117,5856,'Reward','Item',188466,0,1),
(5116,5856,'Reward','Item',188469,0,1),
(5121,5856,'Reward','Item',191344,0,1),
(5122,5856,'Reward','Item',191345,0,1),
(5123,5856,'Reward','Item',191347,0,1),
(5120,5856,'Reward','Item',191349,0,1),
(5119,5856,'Reward','Item',191352,0,1),
(5124,5856,'Reward','Item',1130031,0,1),
(5128,5856,'Reward','Coin',1000,0,0),
(5019,5857,'Prereq','AdvLevel',10,0,0),
(5020,5857,'Prereq','Class',32,0,0),
(5134,5857,'Reward','Item',83305,0,1),
(5142,5857,'Reward','Item',100564,0,1),
(5141,5857,'Reward','Item',117204,0,1),
(5140,5857,'Reward','Item',140326,0,1),
(5137,5857,'Reward','Item',140327,0,1),
(5138,5857,'Reward','Item',140330,0,1),
(5139,5857,'Reward','Item',140332,0,1),
(5136,5857,'Reward','Item',140334,0,1),
(5135,5857,'Reward','Item',140335,0,1),
(5133,5857,'Reward','Item',188467,0,1),
(5132,5857,'Reward','Item',188470,0,1),
(5144,5857,'Reward','Coin',1000,0,0),
(5271,5859,'Prereq','Quest',5758,0,0),
(5273,5859,'Prereq','Race',3,0,0),
(5274,5859,'Prereq','Race',11,0,0),
(5272,5859,'Reward','Experience',100,0,0),
(5196,5859,'Reward','Item',14073,0,1),
(5266,5860,'Prereq','Quest',5758,0,0),
(5265,5860,'Prereq','Race',12,0,0),
(5264,5860,'Prereq','Race',14,0,0),
(5263,5860,'Reward','Experience',100,0,0),
(5200,5860,'Reward','Item',14073,0,1),
(5275,5861,'Prereq','Quest',5758,0,0),
(5277,5861,'Prereq','Race',6,0,0),
(5276,5861,'Prereq','Race',9,0,0),
(5278,5861,'Reward','Experience',100,0,0),
(5201,5861,'Reward','Item',14073,0,1),
(5260,5862,'Prereq','Quest',5758,0,0),
(5206,5862,'Prereq','Race',1,0,0),
(5256,5862,'Prereq','Race',17,0,0),
(5257,5862,'Prereq','Race',19,0,0),
(5207,5862,'Reward','Experience',100,0,0),
(5199,5862,'Reward','Item',14073,0,1),
(5270,5863,'Prereq','Quest',5758,0,0),
(5268,5863,'Prereq','Race',0,0,0),
(5269,5863,'Prereq','Race',10,0,0),
(5267,5863,'Reward','Experience',100,0,0),
(5198,5863,'Reward','Item',14073,0,1),
(5261,5864,'Prereq','Quest',5758,0,0),
(5258,5864,'Prereq','Race',5,0,0),
(5259,5864,'Prereq','Race',13,0,0),
(5262,5864,'Reward','Experience',100,0,0),
(5197,5864,'Reward','Item',14073,0,1),
(5204,5865,'Prereq','Faction',30000,12,0),
(5203,5865,'Prereq','AdvLevel',7,0,0),
(5205,5865,'Reward','Experience',125,0,0),
(5202,5865,'Reward','Item',66054,0,1),
(5216,5866,'Reward','Experience',125,0,0),
(5217,5866,'Reward','Faction',-5000,11,0),
(5218,5866,'Reward','Faction',10000,12,0),
(5219,5866,'Reward','Item',153893,0,1),
(5220,5866,'Reward','Selectable',78994,0,1),
(5221,5866,'Reward','Selectable',78995,0,1),
(5222,5866,'Reward','Selectable',78996,0,1),
(5223,5866,'Reward','Selectable',78997,0,1),
(5208,5867,'Reward','Experience',125,0,0),
(5209,5867,'Reward','Faction',-5000,11,0),
(5210,5867,'Reward','Faction',10000,12,0),
(5211,5867,'Reward','Item',153893,0,1),
(5214,5867,'Reward','Selectable',78994,0,1),
(5213,5867,'Reward','Selectable',78995,0,1),
(5215,5867,'Reward','Selectable',78996,0,1),
(5212,5867,'Reward','Selectable',78997,0,1),
(5224,5868,'Reward','Experience',125,0,0),
(5225,5868,'Reward','Faction',-5000,11,0),
(5226,5868,'Reward','Faction',10000,12,0),
(5227,5868,'Reward','Item',153893,0,1),
(5228,5868,'Reward','Selectable',78994,0,1),
(5229,5868,'Reward','Selectable',78995,0,1),
(5230,5868,'Reward','Selectable',78996,0,1),
(5231,5868,'Reward','Selectable',78997,0,1),
(5240,5869,'Reward','Experience',125,0,0),
(5241,5869,'Reward','Faction',-5000,11,0),
(5242,5869,'Reward','Faction',10000,12,0),
(5243,5869,'Reward','Item',153893,0,1),
(5244,5869,'Reward','Selectable',78994,0,1),
(5245,5869,'Reward','Selectable',78995,0,1),
(5246,5869,'Reward','Selectable',78996,0,1),
(5247,5869,'Reward','Selectable',78997,0,1),
(5232,5870,'Reward','Experience',125,0,0),
(5233,5870,'Reward','Faction',-5000,11,0),
(5234,5870,'Reward','Faction',10000,12,0),
(5235,5870,'Reward','Item',153893,0,1),
(5236,5870,'Reward','Selectable',78994,0,1),
(5237,5870,'Reward','Selectable',78995,0,1),
(5238,5870,'Reward','Selectable',78996,0,1),
(5239,5870,'Reward','Selectable',78997,0,1),
(5248,5871,'Reward','Experience',125,0,0),
(5249,5871,'Reward','Faction',-5000,11,0),
(5250,5871,'Reward','Faction',10000,12,0),
(5251,5871,'Reward','Item',153893,0,1),
(5252,5871,'Reward','Selectable',78994,0,1),
(5253,5871,'Reward','Selectable',78995,0,1),
(5254,5871,'Reward','Selectable',78996,0,1),
(5255,5871,'Reward','Selectable',78997,0,1),
(5279,5872,'Prereq','Faction',1,12,0),
(5280,5872,'Reward','Experience',100,0,0),
(5281,5872,'Reward','Coin',70,0,0),
(5282,5872,'Reward','MaxCoin',112,0,0),
(5434,5873,'Prereq','Faction',1,12,0),
(5435,5873,'Reward','Experience',100,0,0),
(5437,5873,'Reward','Selectable',73098,0,1),
(5439,5873,'Reward','Selectable',73099,0,1),
(5436,5873,'Reward','Selectable',73100,0,1),
(5438,5873,'Reward','Selectable',73101,0,1),
(5286,5874,'Prereq','Faction',1,12,0),
(5283,5874,'Reward','Experience',85,0,0),
(5431,5874,'Reward','Coin',6,0,0),
(5432,5874,'Reward','MaxCoin',8,0,0),
(5292,5876,'Prereq','Faction',1,12,0),
(5288,5876,'Reward','Experience',125,0,0),
(5290,5876,'Reward','Selectable',85137,0,1),
(5289,5876,'Reward','Selectable',133747,0,1),
(5319,5877,'Prereq','Faction',0,11,1),
(5294,5877,'Prereq','AdvLevel',8,0,0),
(5320,5877,'Prereq','MaxAdvLevel',9,0,0),
(5293,5877,'Prereq','Class',21,0,0),
(5317,5878,'Prereq','Faction',0,11,1),
(5296,5878,'Prereq','AdvLevel',8,0,0),
(5318,5878,'Prereq','MaxAdvLevel',9,0,0),
(5295,5878,'Prereq','Class',1,0,0),
(5321,5879,'Prereq','Faction',0,11,1),
(5298,5879,'Prereq','AdvLevel',8,0,0),
(5322,5879,'Prereq','MaxAdvLevel',9,0,0),
(5297,5879,'Prereq','Class',11,0,0),
(5324,5880,'Prereq','Faction',0,11,1),
(5300,5880,'Prereq','AdvLevel',8,0,0),
(5323,5880,'Prereq','MaxAdvLevel',9,0,0),
(5299,5880,'Prereq','Class',31,0,0),
(5314,5881,'Prereq','Faction',0,12,1),
(5301,5881,'Prereq','Quest',21,0,0),
(5302,5881,'Prereq','AdvLevel',8,0,0),
(5315,5881,'Prereq','MaxAdvLevel',9,0,0),
(5305,5882,'Prereq','Faction',0,12,1),
(5303,5882,'Prereq','AdvLevel',8,0,0),
(5313,5882,'Prereq','MaxAdvLevel',9,0,0),
(5304,5882,'Prereq','Class',1,0,0),
(5308,5883,'Prereq','Faction',0,12,1),
(5307,5883,'Prereq','AdvLevel',8,0,0),
(5316,5883,'Prereq','MaxAdvLevel',9,0,0),
(5306,5883,'Prereq','Class',11,0,0),
(5311,5884,'Prereq','Faction',0,12,1),
(5310,5884,'Prereq','AdvLevel',8,0,0),
(5312,5884,'Prereq','MaxAdvLevel',9,0,0),
(5309,5884,'Prereq','Class',31,0,0),
(5335,5885,'Reward','Experience',800,0,0),
(5336,5885,'Reward','Item',61803,0,1),
(5339,5886,'Reward','Experience',650,0,0),
(5338,5886,'Reward','Item',21439,0,1),
(5349,5887,'Reward','Experience',125,0,0),
(5352,5887,'Reward','Item',1060002,0,1),
(5351,5887,'Reward','Coin',88,0,0),
(5355,5887,'Reward','MaxCoin',94,0,0),
(5350,5888,'Reward','Experience',125,0,0),
(5353,5888,'Reward','Coin',120,0,0),
(5354,5888,'Reward','MaxCoin',132,0,0),
(5365,5889,'Prereq','Faction',15000,12,0),
(5359,5889,'Prereq','AdvLevel',14,0,0),
(5360,5889,'Prereq','MaxAdvLevel',17,0,0),
(5362,5890,'Prereq','Faction',15000,12,0),
(5358,5890,'Prereq','AdvLevel',14,0,0),
(5357,5890,'Prereq','MaxAdvLevel',17,0,0),
(5361,5890,'Reward','Experience',100,0,0),
(5363,5891,'Prereq','Quest',5890,0,0),
(5364,5891,'Reward','Experience',300,0,0),
(5368,5894,'Prereq','Faction',15000,11,0),
(5366,5894,'Prereq','AdvLevel',10,0,0),
(5367,5894,'Prereq','MaxAdvLevel',17,0,0),
(5369,5895,'Prereq','Quest',5894,0,0),
(5370,5895,'Prereq','MaxAdvLevel',17,0,0),
(5371,5896,'Prereq','Quest',5895,0,0),
(5403,5898,'Prereq','Faction',1,12,0),
(5372,5898,'Prereq','AdvLevel',7,0,0),
(5373,5898,'Prereq','Class',1,0,0),
(5404,5898,'Reward','Experience',175,0,0),
(5405,5898,'Reward','Coin',78,0,0),
(5406,5898,'Reward','MaxCoin',89,0,0),
(5374,5899,'Prereq','Quest',5898,0,0),
(5375,5900,'Prereq','Quest',5898,0,0),
(5376,5901,'Prereq','Quest',5898,0,0),
(5399,5902,'Prereq','Faction',1,12,0),
(5377,5902,'Prereq','AdvLevel',7,0,0),
(5378,5902,'Prereq','Class',21,0,0),
(5400,5902,'Reward','Experience',175,0,0),
(5401,5902,'Reward','Coin',78,0,0),
(5402,5902,'Reward','MaxCoin',89,0,1),
(5379,5903,'Prereq','Quest',5902,0,0),
(5380,5904,'Prereq','Quest',5902,0,0),
(5381,5905,'Prereq','Quest',5902,0,0),
(5395,5906,'Prereq','Faction',1,12,0),
(5383,5906,'Prereq','AdvLevel',7,0,0),
(5382,5906,'Prereq','Class',11,0,0),
(5396,5906,'Reward','Experience',175,0,0),
(5397,5906,'Reward','Coin',78,0,0),
(5398,5906,'Reward','MaxCoin',89,0,0),
(5384,5907,'Prereq','Quest',5906,0,0),
(5385,5908,'Prereq','Quest',5906,0,0),
(5386,5909,'Prereq','Quest',5906,0,0),
(5388,5910,'Prereq','AdvLevel',7,0,0),
(5387,5910,'Prereq','Class',31,0,0),
(5389,5911,'Prereq','Quest',5911,0,0),
(5390,5911,'Prereq','AdvLevel',8,0,0),
(5391,5912,'Prereq','Quest',5910,0,0),
(5392,5912,'Prereq','AdvLevel',8,0,0),
(5393,5913,'Prereq','Quest',5910,0,0),
(5394,5913,'Prereq','AdvLevel',8,0,0),
(5440,5915,'Prereq','Faction',1,12,0),
(5441,5915,'Reward','Experience',100,0,0),
(5442,5915,'Reward','Item',187226,0,1),
(5443,5915,'Reward','Coin',22,0,0),
(5444,5915,'Reward','MaxCoin',29,0,0),
(5445,5916,'Prereq','Faction',1,12,0),
(5446,5916,'Reward','Experience',100,0,0),
(5448,5916,'Reward','Faction',25,101,0),
(5447,5916,'Reward','Coin',22,0,0),
(5449,5916,'Reward','MaxCoin',27,0,0),
(5450,5917,'Prereq','Faction',1,12,0),
(5451,5917,'Reward','Experience',50,0,0),
(5452,5917,'Reward','Coin',22,0,0),
(5453,5917,'Reward','MaxCoin',27,0,0),
(5454,5918,'Prereq','Faction',1,12,0),
(5461,5918,'Prereq','AdvLevel',5,0,0),
(5455,5918,'Reward','Experience',125,0,0),
(5462,5918,'Reward','Coin',49,0,0),
(5456,5918,'Reward','Selectable',1070021,0,1),
(5457,5918,'Reward','Selectable',1070022,0,1),
(5458,5918,'Reward','Selectable',1070023,0,1),
(5459,5918,'Reward','Selectable',1070024,0,1),
(5460,5918,'Reward','Selectable',1070025,0,1),
(5463,5918,'Reward','MaxCoin',54,0,0),
(5464,5919,'Prereq','Faction',1,12,0),
(5465,5919,'Reward','Experience',100,0,0),
(5469,5919,'Reward','Item',37561,0,5),
(5466,5919,'Reward','Item',79436,0,1),
(5467,5919,'Reward','Coin',32,0,0),
(5468,5919,'Reward','MaxCoin',43,0,0),
(5470,5920,'Prereq','Faction',1,12,0),
(5477,5920,'Prereq','Quest',5876,0,0),
(5478,5920,'Prereq','AdvLevel',7,0,0),
(5471,5920,'Reward','Experience',100,0,0),
(5479,5921,'Prereq','Faction',1,12,0),
(5480,5921,'Reward','Experience',100,0,0),
(5482,5921,'Reward','Item',139672,0,1),
(5481,5921,'Reward','Coin',22,0,0),
(5483,5922,'Prereq','Faction',1,12,0),
(5484,5922,'Reward','Experience',100,0,0),
(5485,5922,'Reward','Coin',60,0,0),
(5486,5922,'Reward','MaxCoin',72,0,0),
(5487,5923,'Prereq','Faction',1,12,0),
(5508,5923,'Prereq','Quest',5922,0,0),
(5490,5923,'Reward','Experience',125,0,0),
(5488,5923,'Reward','Coin',66,0,0),
(5506,5923,'Reward','Selectable',1130035,0,1),
(5507,5923,'Reward','Selectable',1130036,0,1),
(5489,5923,'Reward','MaxCoin',74,0,0),
(5492,5924,'Prereq','Faction',1,12,0),
(5491,5924,'Reward','Experience',100,0,0),
(5494,5924,'Reward','Coin',48,0,0),
(5493,5924,'Reward','MaxCoin',58,0,0),
(5495,5925,'Prereq','Faction',1,12,0),
(5496,5925,'Reward','Experience',100,0,0),
(5498,5925,'Reward','Item',61409,0,1),
(5504,5925,'Reward','Coin',11,0,0),
(5500,5926,'Prereq','Faction',1,12,0),
(5499,5926,'Prereq','Quest',5925,0,0),
(5505,5926,'Prereq','AdvLevel',6,0,0),
(5501,5926,'Reward','Experience',100,0,0),
(5502,5926,'Reward','Item',20739,0,1),
(5503,5926,'Reward','Coin',22,0,0),
(5509,5927,'Reward','Experience',250,0,0),
(5510,5927,'Reward','Coin',30,0,0),
(5511,5927,'Reward','MaxCoin',46,0,0),
(5512,5928,'Reward','Experience',125,0,0),
(5542,5928,'Reward','Faction',25,104,0),
(5513,5928,'Reward','Coin',215,0,0),
(5522,5929,'Reward','Item',46435,0,1),
(5531,5933,'Prereq','Faction',1,12,0),
(5533,5933,'Reward','Experience',100,0,0),
(5532,5933,'Reward','Item',36679,0,5),
(5534,5933,'Reward','Coin',16,0,0),
(5535,5933,'Reward','MaxCoin',20,0,0),
(5536,5934,'Prereq','Faction',1,12,0),
(5537,5934,'Reward','Experience',100,0,0),
(5540,5934,'Reward','Item',36394,0,5),
(5538,5934,'Reward','Coin',19,0,0),
(5539,5934,'Reward','MaxCoin',24,0,0),
(5553,5935,'Prereq','Faction',1,12,0),
(5554,5935,'Prereq','Quest',5263,0,0),
(5555,5935,'Reward','Experience',100,0,0),
(5556,5935,'Reward','Coin',24,0,0),
(5557,5935,'Reward','MaxCoin',26,0,0),
(5560,5936,'Reward','Item',61789,0,1),
(5561,5937,'Prereq','Quest',5704,0,0),
(5562,5937,'Reward','Experience',100,0,0),
(5566,5937,'Reward','Item',2092,0,1),
(5563,5937,'Reward','Coin',26,0,0),
(5568,5937,'Reward','Selectable',5575,0,1),
(5567,5937,'Reward','Selectable',5628,0,1),
(5571,5938,'None','Item',27016,0,0),
(5572,5938,'None','Selectable',189036,0,0),
(5569,5938,'Reward','Experience',462,0,0),
(5570,5938,'Reward','Coin',6005,0,0),
(5573,5938,'Reward','Selectable',134524,0,0),
(5574,5938,'Reward','Selectable',187471,0,0),
(5575,5938,'Reward','Selectable',189005,0,0),
(5590,5940,'Reward','Experience',125,0,0),
(5591,5940,'Reward','Coin',40,0,0),
(5594,5942,'Prereq','Faction',1,11,0),
(5595,5942,'Reward','Faction',500,136,0),
(5596,5942,'Reward','Item',5036,0,1),
(5598,5944,'Reward','Experience',125,0,0),
(5600,5944,'Reward','Selectable',170157,0,1),
(5599,5944,'Reward','Selectable',185119,0,1),
(5604,5946,'Reward','Experience',100,0,0),
(5605,5946,'Reward','Item',60521,0,1),
(5606,5947,'Reward','Experience',131,0,0),
(5607,5948,'Reward','Experience',100,0,0),
(5608,5949,'Reward','Experience',100,0,0),
(5609,5950,'Reward','Experience',100,0,0),
(5610,5951,'Reward','Experience',129,0,0),
(5611,5951,'Reward','Selectable',167616,0,1),
(5612,5951,'Reward','Selectable',167617,0,1),
(5613,5952,'Reward','Experience',130,0,0),
(5614,5952,'Reward','Selectable',163774,0,1),
(5615,5952,'Reward','Selectable',163775,0,1),
(5618,5954,'Reward','Experience',100,0,0),
(5619,5954,'Reward','Item',20908,0,1),
(5620,5955,'Reward','Experience',100,0,0),
(5621,5956,'Reward','Experience',129,0,0),
(5622,5956,'Reward','Item',167613,0,1),
(5623,5957,'Reward','Experience',290,0,0),
(5624,5958,'Reward','Experience',120,0,0),
(5626,5958,'Reward','Selectable',136724,0,1),
(5625,5958,'Reward','Selectable',185315,0,1),
(5757,5958,'Reward','Selectable',1130037,0,1),
(5627,5959,'Reward','Experience',120,0,0),
(5628,5960,'Reward','Experience',130,0,0),
(5629,5960,'Reward','Item',179417,0,1),
(5630,5961,'Reward','Experience',120,0,0),
(5631,5961,'Reward','Item',164061,0,1),
(5760,5961,'Reward','Selectable',53230,0,1),
(5759,5961,'Reward','Selectable',53231,0,1),
(5761,5961,'Reward','Selectable',53232,0,1),
(5758,5961,'Reward','Selectable',53233,0,1),
(5632,5961,'Reward','Selectable',53234,0,1),
(5633,5962,'Reward','Experience',120,0,0),
(5644,5965,'Reward','Experience',250,0,0),
(5645,5965,'Reward','Coin',210,0,0),
(5638,5966,'Reward','Experience',390,0,0),
(5639,5966,'Reward','Coin',210,0,0),
(5640,5966,'Reward','Selectable',137683,0,1),
(5641,5966,'Reward','Selectable',138954,0,1),
(6056,5966,'Reward','Selectable',157840,0,1),
(5643,5966,'Reward','Selectable',158388,0,1),
(5647,5967,'Reward','Experience',409,0,0),
(5648,5967,'Reward','Coin',2613,0,0),
(5650,5967,'Reward','Selectable',79680,0,0),
(5651,5967,'Reward','Selectable',84187,0,0),
(5654,5969,'Reward','Experience',134,0,0),
(5656,5969,'Reward','Coin',447,0,0),
(5657,5971,'Reward','Experience',115,0,0),
(5658,5971,'Reward','Coin',150,0,0),
(5659,5972,'Reward','Experience',140,0,0),
(5660,5972,'Reward','Coin',150,0,0),
(5661,5973,'Reward','Experience',174,0,0),
(5662,5973,'Reward','Item',131028,0,1),
(5664,5974,'Reward','Experience',174,0,0),
(5666,5974,'Reward','Selectable',55035,0,1),
(5668,5975,'Reward','Experience',1527,0,0),
(5667,5975,'Reward','AdvLevel',35,0,0),
(5669,5976,'Reward','Experience',129,0,0),
(5673,5976,'Reward','Coin',150,0,0),
(5672,5976,'Reward','Selectable',50413,0,1),
(5670,5976,'Reward','Selectable',50414,0,1),
(6057,5976,'Reward','Selectable',50415,0,1),
(5671,5976,'Reward','Selectable',50416,0,1),
(5674,5977,'Reward','Experience',110,0,0),
(5676,5977,'Reward','Coin',150,0,0),
(5678,5978,'Reward','Experience',100,0,0),
(5677,5978,'Reward','Item',83795,0,1),
(5679,5978,'Reward','Coin',900,0,0),
(5680,5979,'Reward','Experience',288,0,0),
(5736,5979,'Reward','Coin',2200,0,0),
(5682,5981,'Reward','Experience',100,0,0),
(5683,5982,'Reward','Experience',100,0,0),
(5684,5983,'Reward','Experience',129,0,0),
(5685,5983,'Reward','Coin',150,0,0),
(5686,5984,'Reward','Experience',100,0,0),
(6058,5984,'Reward','Item',181183,0,1),
(5687,5985,'Reward','Experience',129,0,0),
(5688,5986,'Reward','Experience',120,0,0),
(5689,5987,'Reward','Experience',100,0,0),
(5690,5988,'Reward','Experience',127,0,0),
(5691,5989,'Reward','Experience',274,0,0),
(5692,5989,'Reward','Coin',2600,0,0),
(5693,5989,'Reward','Selectable',84382,0,1),
(5694,5989,'Reward','Selectable',84383,0,1),
(5695,5989,'Reward','Selectable',84384,0,1),
(5696,5989,'Reward','Selectable',84385,0,1),
(5697,5989,'Reward','Selectable',84386,0,1),
(5698,5990,'Reward','Experience',100,0,0),
(5699,5991,'Reward','Experience',100,0,0),
(5700,5992,'Reward','Experience',100,0,0),
(5701,5993,'Reward','Experience',172,0,0),
(5704,5994,'Reward','Experience',238,0,0),
(5702,5994,'Reward','Item',164545,0,1),
(5703,5994,'Reward','Coin',1300,0,0),
(5705,5995,'Reward','Experience',100,0,0),
(5706,5996,'Reward','Experience',130,0,0),
(5707,5997,'Reward','Experience',656,0,0),
(5708,5998,'Reward','Experience',100,0,0),
(5710,5998,'Reward','Item',164389,0,1),
(5709,5998,'Reward','Coin',1400,0,0),
(5711,5999,'Reward','Experience',133,0,0),
(5712,6000,'Reward','Experience',129,0,0),
(6059,6000,'Reward','Item',151663,0,1),
(5713,6001,'Reward','Experience',360,0,0),
(6060,6001,'Reward','Item',163983,0,1),
(5714,6002,'Reward','Experience',100,0,0),
(5715,6003,'Reward','Experience',100,0,0),
(5716,6004,'Reward','Experience',100,0,0),
(6062,6004,'Reward','Item',35735,0,5),
(6061,6004,'Reward','Coin',100,0,0),
(5717,6005,'Reward','Experience',175,0,0),
(5718,6005,'Reward','Coin',510,0,0),
(5719,6006,'Reward','Experience',175,0,0),
(5720,6006,'Reward','Coin',480,0,0),
(5721,6007,'Reward','Experience',177,0,0),
(5722,6007,'Reward','Item',70008,0,1),
(5723,6008,'Reward','Experience',178,0,0),
(5724,6008,'Reward','Coin',510,0,0),
(5725,6009,'Reward','Experience',260,0,0),
(5728,6009,'Reward','Item',72746,0,1),
(5726,6010,'Reward','Experience',360,0,0),
(5727,6010,'Reward','Coin',5400,0,0),
(5729,6011,'Reward','Experience',205,0,0),
(5730,6011,'Reward','Coin',2600,0,0),
(5731,6011,'Reward','Selectable',176446,0,1),
(5732,6011,'Reward','Selectable',176495,0,1),
(5733,6011,'Reward','Selectable',176496,0,1),
(5734,6012,'Reward','Experience',397,0,0),
(5735,6012,'Reward','Coin',80000,0,0),
(5737,6013,'Reward','Experience',100,0,0),
(5738,6013,'Reward','Coin',310,0,0),
(5739,6014,'Reward','Experience',246,0,0),
(5741,6014,'Reward','Selectable',139933,0,1),
(5740,6014,'Reward','Selectable',139944,0,1),
(5742,6015,'Reward','Experience',260,0,0),
(5744,6015,'Reward','Selectable',139931,0,1),
(5743,6015,'Reward','Selectable',139942,0,1),
(5745,6016,'Reward','Experience',274,0,0),
(5747,6016,'Reward','Selectable',139930,0,1),
(5746,6016,'Reward','Selectable',139941,0,1),
(5748,6017,'Reward','Experience',288,0,0),
(5750,6017,'Reward','Selectable',139935,0,1),
(5749,6017,'Reward','Selectable',139946,0,1),
(5751,6018,'Reward','Experience',303,0,0),
(5753,6018,'Reward','Selectable',139934,0,1),
(5752,6018,'Reward','Selectable',139945,0,1),
(5754,6019,'Reward','Experience',317,0,0),
(5756,6019,'Reward','Selectable',139932,0,1),
(5755,6019,'Reward','Selectable',139943,0,1),
(5762,6020,'Reward','Faction',500,214,0),
(5764,6021,'Reward','Faction',500,214,0),
(5766,6022,'Reward','Faction',500,214,0),
(5768,6023,'Reward','Faction',500,214,0),
(5770,6024,'Reward','Faction',500,214,0),
(5772,6025,'Reward','Faction',500,214,0),
(5774,6026,'Reward','Faction',500,214,0),
(5776,6027,'Reward','Faction',500,214,0),
(5778,6028,'Reward','Faction',500,214,0),
(5780,6029,'Reward','Faction',500,214,0),
(5782,6030,'Reward','Faction',500,214,0),
(5784,6031,'Reward','Faction',500,214,0),
(5786,6032,'Reward','Faction',500,214,0),
(5788,6033,'Reward','Faction',500,214,0),
(5790,6034,'Reward','Faction',500,214,0),
(5792,6035,'Reward','Faction',500,214,0),
(5794,6036,'Reward','Faction',500,214,0),
(5796,6037,'Reward','Faction',500,214,0),
(5798,6038,'Reward','Faction',500,214,0),
(5800,6039,'Reward','Faction',500,214,0),
(5803,6040,'Reward','Faction',500,214,0),
(5805,6041,'Reward','Faction',500,214,0),
(5807,6042,'Reward','Faction',500,214,0),
(5809,6043,'Reward','Faction',500,214,0),
(5811,6044,'Reward','Faction',500,214,0),
(5813,6045,'Reward','Faction',500,155,0),
(5814,6046,'Reward','Faction',500,155,0),
(5815,6047,'Reward','Faction',500,155,0),
(5816,6048,'Reward','Faction',500,155,0),
(5817,6049,'Reward','Faction',500,155,0),
(5818,6050,'Reward','Faction',500,155,0),
(5819,6051,'Reward','Faction',500,155,0),
(5820,6052,'Reward','Faction',500,155,0),
(5821,6053,'Reward','Faction',500,155,0),
(5822,6054,'Reward','Faction',500,155,0),
(5823,6055,'Reward','Faction',500,155,0),
(5824,6056,'Reward','Faction',500,155,0),
(5825,6057,'Reward','Faction',500,155,0),
(5826,6058,'Reward','Faction',500,155,0),
(5827,6059,'Reward','Faction',500,155,0),
(5828,6060,'Reward','Faction',500,155,0),
(5829,6061,'Reward','Faction',500,155,0),
(5830,6062,'Reward','Faction',500,155,0),
(5831,6063,'Reward','Faction',500,155,0),
(5832,6064,'Reward','Faction',500,155,0),
(5833,6065,'Reward','Faction',500,155,0),
(5834,6066,'Reward','Faction',500,155,0),
(5835,6067,'Reward','Faction',500,155,0),
(5836,6068,'Reward','Faction',500,155,0),
(5837,6069,'Reward','Faction',500,155,0),
(5838,6070,'Reward','Faction',500,155,0),
(5839,6071,'Reward','Faction',500,155,0),
(5840,6072,'Reward','Faction',500,155,0),
(5841,6073,'Reward','Faction',500,155,0),
(5842,6074,'Reward','Faction',500,155,0),
(5843,6075,'Reward','Faction',500,155,0),
(5844,6076,'Reward','Faction',500,155,0),
(5845,6077,'Reward','Faction',500,214,0),
(5846,6078,'Reward','Faction',500,214,0),
(5847,6079,'Reward','Faction',500,214,0),
(5848,6080,'Reward','Faction',500,214,0),
(5849,6081,'Reward','Faction',500,214,0),
(5850,6082,'Reward','Faction',500,214,0),
(5851,6083,'Reward','Faction',500,214,0),
(5852,6084,'Reward','Faction',500,136,0),
(5853,6085,'Reward','Experience',500,136,0),
(5854,6086,'Reward','Faction',500,136,0),
(5855,6087,'Reward','Faction',500,136,0),
(5856,6088,'Reward','Faction',500,136,0),
(5857,6089,'Reward','Faction',500,136,0),
(5858,6090,'Reward','Faction',500,136,0),
(5859,6091,'Reward','Faction',500,136,0),
(5860,6092,'Reward','Faction',500,136,0),
(5861,6093,'Reward','Faction',500,136,0),
(5862,6094,'Reward','Faction',500,136,0),
(5863,6095,'Reward','Faction',500,136,0),
(5864,6096,'Reward','Faction',500,136,0),
(5865,6097,'Reward','Faction',500,136,0),
(5866,6098,'Reward','Faction',500,136,0),
(5867,6099,'Reward','Faction',500,136,0),
(5868,6100,'Reward','Faction',500,136,0),
(5869,6101,'Reward','Faction',500,136,0),
(5870,6102,'Reward','Faction',500,136,0),
(5871,6103,'Reward','Faction',500,136,0),
(5872,6104,'Reward','Faction',500,136,0),
(5873,6105,'Reward','Faction',500,136,0),
(5874,6106,'Reward','Faction',500,136,0),
(5875,6107,'Reward','Faction',500,136,0),
(5876,6108,'Reward','Faction',500,136,0),
(5877,6109,'Reward','Faction',500,136,0),
(5878,6110,'Reward','Faction',500,136,0),
(5879,6111,'Reward','Faction',500,136,0),
(5880,6112,'Reward','Faction',500,136,0),
(5881,6113,'Reward','Faction',500,136,0),
(5882,6114,'Reward','Faction',500,136,0),
(5883,6115,'Reward','Faction',500,136,0),
(5884,6116,'Reward','Faction',500,243,0),
(5885,6117,'Reward','Faction',500,243,0),
(5886,6118,'Reward','Faction',500,243,0),
(5887,6119,'Reward','Faction',500,243,0),
(5888,6120,'Reward','Faction',500,243,0),
(5889,6121,'Reward','Faction',500,243,0),
(5890,6122,'Reward','Faction',500,243,0),
(5891,6123,'Reward','Faction',500,243,0),
(5892,6124,'Reward','Faction',500,243,0),
(5893,6125,'Reward','Faction',500,243,0),
(5894,6126,'Reward','Faction',500,243,0),
(5895,6127,'Reward','Faction',500,243,0),
(5896,6128,'Reward','Faction',500,243,0),
(5897,6129,'Reward','Faction',500,243,0),
(5898,6130,'Reward','Faction',500,243,0),
(5899,6131,'Reward','Faction',500,243,0),
(5900,6132,'Reward','Faction',500,243,0),
(5901,6133,'Reward','Faction',500,243,0),
(5902,6134,'Reward','Faction',500,243,0),
(5903,6135,'Reward','Faction',500,243,0),
(5904,6136,'Reward','Faction',500,243,0),
(5905,6137,'Reward','Faction',500,243,0),
(5906,6138,'Reward','Faction',500,243,0),
(5907,6139,'Reward','Faction',500,243,0),
(5908,6140,'Reward','Faction',500,243,0),
(5909,6141,'Reward','Faction',500,243,0),
(5910,6142,'Reward','Faction',500,243,0),
(5911,6143,'Reward','Faction',500,243,0),
(5912,6144,'Reward','Faction',500,243,0),
(5913,6145,'Reward','Faction',500,243,0),
(5914,6146,'Reward','Faction',500,243,0),
(5915,6147,'Reward','Faction',500,243,0),
(5916,6148,'Reward','Faction',500,102,0),
(5917,6149,'Reward','Faction',500,102,0),
(5918,6150,'Reward','Faction',500,102,0),
(5919,6151,'Reward','Faction',500,102,0),
(5920,6152,'Reward','Faction',500,102,0),
(5921,6153,'Reward','Faction',500,102,0),
(5922,6154,'Reward','Faction',500,102,0),
(5923,6155,'Reward','Faction',500,102,0),
(5924,6156,'Reward','Faction',500,102,0),
(5925,6157,'Reward','Faction',500,102,0),
(5926,6158,'Reward','Faction',500,102,0),
(5927,6159,'Reward','Faction',500,102,0),
(5928,6160,'Reward','Faction',500,102,0),
(5929,6161,'Reward','Faction',500,102,0),
(5930,6162,'Reward','Faction',500,102,0),
(5931,6163,'Reward','Faction',500,102,0),
(5932,6164,'Reward','Faction',500,102,0),
(5933,6165,'Reward','Faction',500,102,0),
(5934,6166,'Reward','Faction',500,102,0),
(5935,6167,'Reward','Faction',500,102,0),
(5936,6168,'Reward','Faction',500,102,0),
(5937,6169,'Reward','Faction',500,102,0),
(5938,6170,'Reward','Faction',500,102,0),
(5939,6171,'Reward','Faction',500,102,0),
(5940,6172,'Reward','Faction',500,102,0),
(5941,6173,'Reward','Faction',500,102,0),
(5942,6174,'Reward','Faction',500,102,0),
(5943,6175,'Reward','Faction',500,102,0),
(5944,6176,'Reward','Faction',500,102,0),
(5945,6177,'Reward','Faction',500,102,0),
(5946,6178,'Reward','Faction',500,102,0),
(5947,6179,'Reward','Faction',500,102,0),
(5948,6180,'Reward','Faction',500,102,0),
(5949,6181,'Reward','Faction',500,102,0),
(5950,6182,'Reward','Faction',500,102,0),
(5951,6183,'Reward','Faction',500,104,0),
(5952,6184,'Reward','Faction',500,104,0),
(5953,6185,'Reward','Faction',500,104,0),
(5954,6186,'Reward','Faction',500,104,0),
(5955,6187,'Reward','Faction',500,104,0),
(5956,6188,'Reward','Faction',500,104,0),
(5957,6189,'Reward','Faction',500,104,0),
(5958,6190,'Reward','Faction',500,104,0),
(5959,6191,'Reward','Faction',500,104,0),
(5960,6192,'Reward','Faction',500,104,0),
(5961,6193,'Reward','Faction',500,104,0),
(5962,6194,'Reward','Faction',500,104,0),
(5963,6195,'Reward','Faction',500,104,0),
(5964,6196,'Reward','Faction',500,104,0),
(5965,6197,'Reward','Faction',500,104,0),
(5966,6198,'Reward','Faction',500,104,0),
(5967,6199,'Reward','Faction',500,104,0),
(5968,6200,'Reward','Faction',500,104,0),
(5969,6201,'Reward','Faction',500,104,0),
(5970,6202,'Reward','Faction',500,104,0),
(5971,6203,'Reward','Faction',500,104,0),
(5972,6204,'Reward','Faction',500,104,0),
(5973,6205,'Reward','Faction',500,104,0),
(5974,6206,'Reward','Faction',500,104,0),
(5975,6207,'Reward','Faction',500,104,0),
(5976,6208,'Reward','Faction',500,104,0),
(5977,6209,'Reward','Faction',500,104,0),
(5978,6210,'Reward','Faction',500,104,0),
(5979,6211,'Reward','Faction',500,104,0),
(5980,6212,'Reward','Faction',500,104,0),
(5981,6213,'Reward','Faction',500,104,0),
(5982,6214,'Reward','Faction',500,104,0),
(5983,6215,'Reward','Faction',500,104,0),
(5984,6216,'Reward','Faction',500,104,0),
(5985,6217,'Reward','Faction',500,104,0),
(5986,6218,'Reward','Faction',500,105,0),
(5987,6219,'Reward','Faction',500,105,0),
(5988,6220,'Reward','Faction',500,105,0),
(5989,6221,'Reward','Faction',500,105,0),
(5990,6222,'Reward','Faction',500,105,0),
(5991,6223,'Reward','Faction',500,105,0),
(5992,6224,'Reward','Faction',500,105,0),
(5993,6225,'Reward','Faction',500,105,0),
(5994,6226,'Reward','Faction',500,105,0),
(5995,6227,'Reward','Faction',500,105,0),
(5996,6228,'Reward','Faction',500,105,0),
(5997,6229,'Reward','Faction',500,105,0),
(5998,6230,'Reward','Faction',500,105,0),
(5999,6231,'Reward','Faction',500,105,0),
(6000,6232,'Reward','Faction',500,105,0),
(6001,6233,'Reward','Faction',500,105,0),
(6002,6234,'Reward','Faction',500,105,0),
(6003,6235,'Reward','Faction',500,105,0),
(6004,6236,'Reward','Faction',500,105,0),
(6005,6237,'Reward','Faction',500,105,0),
(6006,6238,'Reward','Faction',500,105,0),
(6007,6239,'Reward','Faction',500,105,0),
(6008,6240,'Reward','Faction',500,105,0),
(6009,6241,'Reward','Faction',500,105,0),
(6010,6242,'Reward','Faction',500,105,0),
(6011,6243,'None','Faction',500,105,0),
(6012,6244,'Reward','Faction',500,105,0),
(6013,6245,'Reward','Faction',500,105,0),
(6014,6246,'Reward','Faction',500,105,0),
(6015,6247,'Reward','Faction',500,105,0),
(6016,6248,'Reward','Faction',500,105,0),
(6017,6249,'Reward','Faction',500,105,0),
(6018,6250,'Reward','Faction',500,105,0),
(6019,6251,'Reward','Faction',500,105,0),
(6020,6252,'Reward','Faction',500,105,0),
(6021,6253,'Reward','Faction',500,103,0),
(6022,6254,'Reward','Faction',500,103,0),
(6023,6255,'Reward','Faction',500,103,0),
(6024,6256,'Reward','Faction',500,103,0),
(6025,6257,'Reward','Faction',500,103,0),
(6026,6258,'Reward','Faction',500,103,0),
(6027,6259,'Reward','Faction',500,103,0),
(6028,6260,'Reward','Faction',500,103,0),
(6029,6261,'Reward','Faction',500,103,0),
(6030,6262,'Reward','Faction',500,103,0),
(6031,6263,'Reward','Faction',500,103,0),
(6032,6264,'Reward','Faction',500,103,0),
(6033,6265,'Reward','Faction',500,103,0),
(6034,6266,'Reward','Faction',500,103,0),
(6035,6267,'Reward','Faction',500,103,0),
(6036,6268,'Reward','Faction',500,103,0),
(6037,6269,'Reward','Faction',500,103,0),
(6038,6270,'Reward','Faction',500,103,0),
(6039,6271,'Reward','Faction',500,103,0),
(6040,6272,'Reward','Faction',500,103,0),
(6041,6273,'Reward','Faction',500,103,0),
(6042,6274,'Reward','Faction',500,103,0),
(6043,6275,'Reward','Faction',500,103,0),
(6044,6276,'Reward','Faction',500,103,0),
(6045,6277,'Reward','Faction',500,103,0),
(6046,6278,'Reward','Faction',500,103,0),
(6047,6279,'Reward','Faction',500,103,0),
(6048,6280,'Reward','Faction',500,103,0),
(6049,6281,'Reward','Faction',500,103,0),
(6050,6282,'Reward','Faction',500,103,0),
(6051,6283,'Reward','Faction',500,103,0),
(6052,6284,'Reward','Faction',500,103,0),
(6053,6285,'Reward','Faction',500,103,0),
(6054,6286,'Reward','Faction',500,103,0),
(6055,6287,'Reward','Faction',500,103,0);
