DROP TABLE IF EXISTS spawn;
CREATE TABLE spawn (
	id                   INTEGER PRIMARY KEY,
	name                 TEXT,
	sub_title            TEXT,
	prefix               TEXT NOT NULL DEFAULT '',
	suffix               TEXT NOT NULL DEFAULT '',
	last_name            TEXT NOT NULL DEFAULT '',
	race                 INTEGER NOT NULL DEFAULT 0,
	model_type           INTEGER NOT NULL DEFAULT 0,
	size                 INTEGER NOT NULL DEFAULT 32,
	size_offset          INTEGER NOT NULL DEFAULT 0,
	targetable           INTEGER NOT NULL DEFAULT 0,
	show_name            INTEGER NOT NULL DEFAULT 0,
	command_primary      INTEGER NOT NULL DEFAULT 0,
	command_secondary    INTEGER NOT NULL DEFAULT 0,
	visual_state         INTEGER NOT NULL DEFAULT 0,
	attackable           INTEGER NOT NULL DEFAULT 0,
	show_level           INTEGER NOT NULL DEFAULT 0,
	show_command_icon    INTEGER NOT NULL DEFAULT 0,
	display_hand_icon    INTEGER NOT NULL DEFAULT 0,
	faction_id           INTEGER NOT NULL DEFAULT 0,
	collision_radius     INTEGER NOT NULL DEFAULT 0,
	hp                   INTEGER NOT NULL DEFAULT 0,
	power                INTEGER NOT NULL DEFAULT 0,
	savagery             INTEGER NOT NULL DEFAULT 0,
	dissonance           INTEGER NOT NULL DEFAULT 0,
	merchant_id          INTEGER NOT NULL DEFAULT 0,
	transport_id         INTEGER NOT NULL DEFAULT 0,
	merchant_type        INTEGER NOT NULL DEFAULT 0,
	processed            INTEGER NOT NULL DEFAULT 0,
	expansion_flag       INTEGER NOT NULL DEFAULT 0,
	is_instanced_spawn   INTEGER NOT NULL DEFAULT 0,
	disable_sounds       INTEGER NOT NULL DEFAULT 0,
	merchant_min_level   INTEGER NOT NULL DEFAULT 0,
	merchant_max_level   INTEGER NOT NULL DEFAULT 0,
	holiday_flag         INTEGER NOT NULL DEFAULT 0,
	aaxp_rewards         INTEGER NOT NULL DEFAULT 0,
	loot_tier            INTEGER NOT NULL DEFAULT 0,
	loot_drop_type       INTEGER NOT NULL DEFAULT 0
);
CREATE INDEX idx_spawn_name ON spawn(name);
CREATE INDEX idx_spawn_command ON spawn(command_primary, command_secondary);
CREATE INDEX idx_spawn_misc ON spawn(faction_id, merchant_id, transport_id);

INSERT INTO spawn VALUES
(1,'Exquisite Chest',NULL,'','','',0,4015,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2,'Ornate Chest',NULL,'','','',0,5865,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3,'Small Chest',NULL,'','','',0,4034,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4,'Treasure Chest',NULL,'','','',0,5864,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5000,'Genekab','earthen avatar','','','',0,8303,3,0,1,1,11,0,10831,1,1,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5001,'Kenober','undead knight','','','',0,1521,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5002,'Jenarn','reptile warder','','','',0,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5003,'construct of order','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10000,'Training Dummy Level 10',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10001,'Training Dummy Level 20',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10002,'Training Dummy Level 30',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10003,'Training Dummy Level 40',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,1001,1001,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10004,'Training Dummy Level 50',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10005,'Epic Training Dummy',NULL,'','','',255,14008,50,0,1,1,0,0,0,1,1,0,0,0,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10006,'Training Dummy Level 100',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10007,'Training Dummy Level 90',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,2251,2251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10008,'Training Dummy Level 80',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,2001,2001,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10009,'Training Dummy Level 70',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,1751,1751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10010,'Training Dummy Level 60',NULL,'','','',255,4467,32,0,1,1,0,0,0,1,1,0,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10011,'Dramar','<Testing Champion>','Doorkeeper','the III','',255,10443,32,0,1,1,9,35,20139,0,0,0,0,0,70,1000,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10012,'Gazebo',NULL,'','','',255,21119,32,0,1,0,0,0,0,0,0,0,0,0,64,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10013,'barrels1',NULL,'','','',255,2021,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10014,'a counter',NULL,'','','',255,7615,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10015,'a gazebo',NULL,'','','',255,21119,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10016,'a bank vault',NULL,'','','',255,1512,32,0,1,0,14,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10017,'Valarian',NULL,'Lady',', the mount saleswoman','',255,10473,50,0,1,1,9,35,20139,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10018,'Mount',NULL,'','','',255,1805,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10019,'Testing Center',NULL,'','','',255,6603,32,0,1,1,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10020,'Mounts',NULL,'','','',255,13329,32,0,1,1,0,0,20138,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10021,'a druid ring',NULL,'','','',255,9237,66,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10022,'Banking and Mail',NULL,'','','',255,13329,32,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10023,'decor',NULL,'','','',255,9331,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10024,'a red tent',NULL,'','','',255,9334,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10025,'decor',NULL,'','','',255,9338,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10026,'a blue tent',NULL,'','','',255,9336,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10027,'wine1',NULL,'','','',255,9332,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10028,'bar',NULL,'','','',255,9329,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10029,'tile',NULL,'','','',255,11651,350,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10030,'temp',NULL,'','','',255,11654,5000,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10031,'white tile',NULL,'','','',255,17121,3800,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10032,'temp',NULL,'','','',255,11651,500,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10033,'Teleporter: Secret Place',NULL,'','','',255,25138,32,0,0,1,0,0,9733,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10034,'wall',NULL,'','','',255,17331,500,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10035,'wall',NULL,'','','',255,17331,500,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10036,'wall',NULL,'','','',255,17331,500,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10037,'whitetile',NULL,'','','',255,11651,500,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10038,'sumacdivider',NULL,'','','',255,17331,500,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10039,'Teleporter: GM Hall',NULL,'','','',255,25138,32,0,0,1,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10040,'Teleporter: GM Hall',NULL,'','','',255,25138,32,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10041,'Boat',NULL,'','','',255,1702,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10042,'honey',NULL,'','','',255,22426,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10043,'Griffon Tower',NULL,'','','',255,2500,32,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10044,'sumac divider',NULL,'','','',255,11440,35,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10045,'sumac divider',NULL,'','','',255,11440,35,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10046,'Armoire',NULL,'','','',255,10218,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10047,'Ironwood bed',NULL,'','','',255,24389,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10048,'a painting',NULL,'','','',255,1280,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10049,'curtains',NULL,'','','',255,19436,50,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10050,'curtains',NULL,'','','',255,19436,50,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10051,'curtains',NULL,'','','',255,19436,50,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10052,'Ironwood bed',NULL,'','','',255,24389,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10053,'Ironwood bed',NULL,'','','',255,24389,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10054,'sumac divider',NULL,'','','',255,11440,35,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10055,'sumac divider',NULL,'','','',255,11440,35,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10056,'sumac divider',NULL,'','','',255,11440,35,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10057,'Firiona Vie',NULL,'','','',255,23373,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10058,'Firiona Vie',NULL,'','','',255,23374,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10059,'a castle painting',NULL,'','','',255,1581,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10060,'paitning',NULL,'','','',255,23376,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10061,'paitning',NULL,'','','',255,23375,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10062,'leather sofa',NULL,'','','',255,24099,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10063,'clost',NULL,'','','',255,25132,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10064,'closet',NULL,'','','',255,25132,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10065,'carpet',NULL,'','','',255,25463,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10066,'Torch',NULL,'','','',255,18961,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10067,'Torch',NULL,'','','',255,18961,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10068,'Torch',NULL,'','','',255,18961,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10069,'Torch',NULL,'','','',255,18961,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10070,'Torch',NULL,'','','',255,18961,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10071,'1x2 sumac divider',NULL,'','','',255,17329,500,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10072,'Cage',NULL,'','','',255,21208,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10073,'Shame Cage',NULL,'','','',255,9407,32,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10074,'Shack',NULL,'','','',255,25134,50,0,1,0,0,0,2927,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10075,'Scooby',NULL,'','','',255,23822,32,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10076,'Punishment Station',NULL,'','','',255,25135,32,0,1,1,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10077,'staticobjects/chairs/cm_couch01_dark',NULL,'','','',255,11384,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10078,'playerstudio/houseitems/coffee_table',NULL,'','','',255,24452,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10079,'staticobjects/chairs/cm_couch01_dark',NULL,'','','',255,11384,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10080,'PORTAL',NULL,'','','',255,7008,20,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10081,'Jail',NULL,'','','',255,1528,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10082,'Door_Main',NULL,'','','',255,25659,92,0,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10083,'a mailbox','<The Norrathian Express>','','','',255,18955,32,0,0,0,29,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10084,'Door',NULL,'','','',255,25659,70,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10085,'Door',NULL,'','','',255,25659,70,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10086,'Drum',NULL,'','','',255,2468,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10087,'Invisible Bridge',NULL,'','','',255,4657,32,0,1,0,0,0,9733,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10088,'Quaint Bridge',NULL,'','','',255,21800,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10089,'Gnome Workshop',NULL,'','','',255,24760,72,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10090,'Spiral Staircase',NULL,'','','',255,24394,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10091,'Guide Freddums','<Guides of the Shattered Lands>','','','',255,68,40,0,1,1,9,1265,16863,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10092,'Boat2',NULL,'','','',255,7644,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(10093,'Important Notice Board',NULL,'','','',0,4067,32,0,0,1,440,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20000,'a Lteth Mas filcher','','','','',255,5019,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20001,'a Lteth Mas swindler','','','','',255,1384,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20002,'a Nisch Mas supplier','','','','',255,5019,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20003,'a Tesch Mas miner','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20004,'a Nisch Mas heretic','','','','',255,1384,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20005,'a Rosch Mas sycophant','','','','',255,4099,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20006,'a Rosch Mas malefactor','','','','',255,5019,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20007,'a Tesch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20008,'a nocturnal ambusher','','','','',255,2833,86,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20009,'a desolate Nisch Mas ','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20010,'a wretched Rosch Mas ','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20011,'a damned Tesch Mas','','','','',255,5124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20012,'a disembodied Nisch Mas','','','','',255,5124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20013,'an infernal Tesch Mas ','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20014,'a forsaken Lteth Mas','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20015,'a Zygomyd herbalist','','','','',255,5096,33,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20016,'a Zygomyd harvester','','','','',255,5096,33,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20017,'a Zygomyd cultivator','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20018,'a clacking scamperer','','','','',255,5020,60,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20019,'a sulphurous emission','','','','',255,3691,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20020,'a sedimentary trembler','','','','',255,2411,35,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20021,'a Garatch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20022,'a Zygomyd fermenter','','','','',255,5096,38,2,1,1,0,0,2074,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20023,'a sulphurous secretion','','','','',255,3691,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20024,'a dreadsnout glutton','','','','',255,5095,64,5,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20025,'a dreadsnout mangler','','','','',255,5095,38,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20026,'a reanimated Tesch Mas revenant','','','','',255,4732,32,0,1,1,11,0,504,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20027,'an arose Lteth Mas revenant','','','','',255,4732,32,0,1,1,11,0,504,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20028,'Xarer','An enlivened Rosch Mas revenant''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20029,'an awakened Nisch Mas revenant','','','','',255,4732,32,0,1,1,11,0,504,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20030,'an enlivened Rosch Mas revenant','','','','',255,4732,32,0,1,1,11,0,504,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20031,'an illusionary protector','','','','',255,3295,32,0,1,1,11,0,504,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20032,'Animator Mezmolar','','','','',255,4099,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20033,'Jabann','An enlivened Rosch Mas revenant''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20034,'a Zygomyd sentinel','','','','',255,5096,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20035,'a forgotten Tesch Mal','','','','',255,3723,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20036,'a dreadsnout mangler','','','','',255,5095,62,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20037,'a grim Lteth Mal','','','','',255,3723,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20038,'qst_unseenhand_crate_1',NULL,'','','',0,1393,28,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20039,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20040,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20041,'floor_brazier_gnoll',NULL,'','','',0,4926,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20042,'mushroom01_grp5',NULL,'','','',0,1740,31,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20043,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20044,'collapse_01',NULL,'','','',0,4734,40,0,1,1,0,0,0,0,0,0,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20045,'a frail wall',NULL,'','','',0,4746,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20046,'chessboard',NULL,'','','',0,4932,25,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20047,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20048,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20049,'an exploding barrel',NULL,'','','',0,5008,32,0,1,1,52,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20050,'a crumbling crate',NULL,'','','',0,1576,32,0,1,1,52,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20051,'nekf_mushroom_a_mature',NULL,'','','',0,1523,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20052,'a pale feeder',NULL,'','','',255,2930,59,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20053,'mushroom01_sk_green',NULL,'','','',0,1741,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20054,'nekf_mushroom_a_young',NULL,'','','',0,1524,30,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20055,'champion_woodpile',NULL,'','','',0,3346,29,0,1,1,0,0,491,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(20056,'split party exit teraporter',NULL,'','','',0,4923,32,0,1,1,45,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30000,'Tesch Mal youth','','','','',255,5019,22,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30001,'Garar Splitscar','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30002,'Seeress Bloodhackle','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30003,'Tesch Mal sentry','','','','',255,5019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30004,'Nisch Mal sentry','','','','',255,1384,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30005,'Nisch Mal youth','','','','',255,1384,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30006,'Guard Furscratch','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30007,'Rosch Mal youth','','','','',255,4099,20,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30008,'Lteth Mal sentry','','','','',255,5019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30009,'Rosch Mal sentry','','','','',255,5019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30010,'Khol Mudflank','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30011,'Tesch Mal elder','','','','',255,5019,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30012,'Guard Bloodpaw','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30013,'Lteth Mal elder','','','','',255,5019,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30014,'Flitch Earmite','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30015,'Nuro Blackbelly','','','','',255,5019,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30016,'Fral Fipfoot','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30017,'Sarchel the Storyteller','','','','',255,5019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30018,'an enraptured gnoll','','','','',255,3816,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30019,'a captivated gnoll','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30020,'an attentive gnoll','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30021,'Rosch Mal elder','','','','',255,5019,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30022,'Guard Grungepaw','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30023,'Guard Barkbile','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30024,'Flurgie Ebonshank','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30025,'Gumgullet','<Mercantile and Mender>','','','',255,5019,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30026,'Gomp Soilscratch','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30027,'Caroso Ebonshank','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30028,'Nisch Mal elder','','','','',255,5019,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30029,'Lteth Mal youth','','','','',255,5019,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30030,'Semren Whitesnout','','','','',255,5019,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30031,'Varf Flattail','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30032,'broken teraporter',NULL,'','','',0,4923,24,0,1,1,33,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30033,'dpo_invisible_cube',NULL,'','','',0,4657,22,0,1,1,0,0,12302,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30034,'gnoll_shrine1',NULL,'','','',0,3806,32,0,1,1,730,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30035,'gnoll_shrine2',NULL,'','','',0,3806,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30036,'gnoll_shrine4',NULL,'','','',0,3806,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30037,'gnoll_shrine3',NULL,'','','',0,3806,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30038,'splitpaw playground terraporter',NULL,'','','',0,4923,29,0,1,1,731,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30039,'group arena terraporter',NULL,'','','',0,4923,21,0,1,1,732,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30040,'champion terraporter',NULL,'','','',0,4923,16,0,1,1,733,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30041,'supplies terraporter',NULL,'','','',0,4923,32,0,1,1,597,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30042,'dc playground terraporter',NULL,'','','',0,4923,18,0,1,1,734,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30043,'solo arena terraporter',NULL,'','','',0,4923,32,0,1,1,732,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30044,'12 man raid terraporter',NULL,'','','',0,4923,22,0,1,1,735,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30045,'Crawler nest terraporter',NULL,'','','',0,4923,32,0,1,1,736,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(30046,'broken terraporter',NULL,'','','',0,4923,21,0,1,1,737,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(40000,'Bonesnapper','<Ancient Crustacean>','','','',255,211,92,0,1,1,745,0,0,0,0,1,0,0,25,1111,1111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(40001,'a beachcombing bubbler','','','','',255,211,57,0,1,1,11,0,0,1,1,1,0,1,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(40002,'crab cave to village',NULL,'','','',0,49,32,0,0,0,746,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50001,'a twisted root','','','','',255,274,32,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50002,'The Ancient Twisted Root','','','','',255,274,48,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50003,'a boulder elemental','','','','',255,153,11,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50004,'a fungusman','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50005,'a greater boulder elemental','','','','',255,153,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50006,'a greater fungusman','','','','',255,5096,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50007,'Xux''laio Master of the Fluttering Wing','<Champion of The Flock>','','','',255,50001,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50008,'a rock door',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50009,'(unnamed)',NULL,'','','',0,49,32,0,1,1,520,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50010,'chronicle egg, theer',NULL,'','','',0,1667,81,0,1,1,521,0,3849,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50011,'chronicle egg, flock',NULL,'','','',0,1667,81,0,1,1,521,0,3849,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(50012,'',NULL,'','','',0,49,32,0,1,1,522,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60001,'a skeletal warrior','<Guardian of the Codex>','','','',9,2937,32,0,1,1,11,0,1862,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60002,'Chel''Drak the Ancient Lord','<Guardian of the Codex>','','','',255,50002,51,0,1,1,11,0,0,1,1,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60003,'a strange serpent','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60004,'a monstrous serpent','','','','',255,277,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60005,'a shadowy acolyte','<Guardian of the Codex>','','','',255,3728,32,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60006,'a skeletal disruptor','<Guardian of the Codex>','','','',9,2937,51,0,1,1,11,0,1862,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60007,'a chaotic skeletal warrior','<Guardian of the Codex>','','','',9,2937,51,0,1,1,11,0,1862,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60008,'a shadowy sorcerer','<Guardian of the Codex>','','','',255,3728,32,0,1,1,11,0,2604,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60009,'a shadowy warrior','<Guardian of the Codex>','','','',255,3728,32,0,1,1,11,0,1625,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60010,'',NULL,'','','',0,4544,16,0,1,1,514,0,6849,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(60011,'past connect to exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70001,'a spellbender outcast','','','','',255,2838,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70002,'a vigilant terracotta buqu','','','','',255,6323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70003,'a forsaken priest','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70004,'a flame elemental','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70005,'a forsaken priest','','','','',255,2850,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70006,'a spellbender outcast','','','','',255,2851,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70007,'a dejected paladin','','','','',255,2839,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70008,'an uneasy Tanaanite','','','','',255,6310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70009,'a tentacled devourer','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70010,'Konobn','Empowered Xuun''vok the Death Reveler''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70011,'Empowered Xuun''vok the Death Reveler','','','','',255,50004,96,0,1,1,11,0,5973,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70012,'The Ancient Krangoris','','','','',255,284,176,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70013,'a terracotta weisuo','','','','',255,6321,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70014,'Jebaner','A spellbender outcast''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70015,'a congealed mortis','','','','',255,298,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70016,'a spellbender outcast','','','','',255,2852,32,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70017,'a congealed mortis','','','','',255,299,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70018,'a tormented summoner','','','','',255,2837,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70019,'a misplaced book','','','','',255,279,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70020,'a spellscorched researcher','','','','',255,2838,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70021,'Xoltis the Forgotten','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70022,'an animated tome','','','','',255,280,38,0,1,1,11,0,11191,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70023,'The Maniacal Savant','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70024,'a wind elemental','','','','',255,156,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70025,'a venomouse scavenger','','','','',255,231,35,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70026,'an orb of concentrated necromantic energy','','','','',255,2306,35,0,1,1,0,0,4341,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70027,'a mineral elemental','','','','',255,152,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70028,'a pool elemental','','','','',255,5771,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70029,'Zin''vra, the Portal Keeper','','','','',255,50006,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70030,'a disciple of knowledge','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70031,'a phantom inquirer','','','','',255,6309,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70032,'a disciple of knowledge','','','','',255,2849,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70033,'a disciple of knowledge','','','','',255,2849,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70034,'a disciple of knowledge','','','','',255,6310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70035,'Saphis Once-Blessed','','','','',255,2839,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70036,'a maven of wisdom','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70037,'a maven of wisdom','','','','',255,2838,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70038,'a disciple of knowledge','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70039,'a disciple of knowledge','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70040,'a dejected vicar','','','','',255,2850,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70041,'a maven of wisdom','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70042,'a shade scholar','','','','',255,2852,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70043,'a maven of wisdom','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70044,'a shade scholar','','','','',255,2837,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70045,'a Gunthak plunderer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70046,'a maven of wisdom','','','','',255,2852,32,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70047,'a neglected clay form','','','','',255,160,25,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70048,'a dejected vicar','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70049,'a reflecting acolyte','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70050,'The Vegetarian Troll','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70051,'a spectral cook','','','','',255,6310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70052,'a restless sculptor','','','','',255,6311,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70053,'The Master Sculptor','','','','',255,6308,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70054,'a shade scholar','','','','',255,2838,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70055,'First Mate Bilgebelly','','','','',14,106,35,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70056,'a vigilant terracotta buqu','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70057,'a contemplating seeker','','','','',255,6309,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70058,'a fallen paladin','','','','',255,2845,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70059,'a disavowed shadowknight','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70060,'Captain Starshroud','','','','',255,2849,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70061,'a patient eater','','','','',255,6309,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70062,'a pleading seeker','','','','',255,6311,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70063,'a Delirious Lyricist','','','','',255,2846,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70064,'Konn','A spellbender outcast''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70065,'Venomouse Queen','','','','',255,231,44,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70066,'Tornuk the Warweary','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70067,'a shade mentor','','','','',255,2837,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70068,'a plunder planner','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70069,'a spellscorched researcher','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70070,'a forgotten priest','','','','',255,2849,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70071,'Jobekn','Empowered Xuun''vok the Death Reveler''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70072,'Jarn','A spellbender outcast''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70073,'Jebekn','A spellbender outcast''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70074,'a maven of wisdom','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70075,'a maven of wisdom','','','','',255,6310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70076,'an expert sculptor','','','','',255,6312,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70077,'Bontis the Thoughtful','','','','',255,6308,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70078,'a reminiscing officer','','','','',255,2839,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70079,'Garab','A shade mentor''s aery hunter','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70080,'a shade mentor','','','','',255,2837,33,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70081,'Jabobtik','A spellbender outcast''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70082,'a venomouse breeder','','','','',255,231,35,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70083,'Jabtik','A spellbender outcast''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70084,'a spellbender outcast','','','','',255,2844,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70085,'Jeker','A spellbender outcast''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70086,'Zeker','A spellbender outcast''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70087,'a shade mentor','','','','',255,2850,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70088,'Haihaog''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70089,'Zarn','A spellbender outcast''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70090,'Gontik','Empowered Xuun''vok the Death Reveler''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70091,'a reflecting acolyte','','','','',255,2849,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70092,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70093,'door_01_b',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70094,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70095,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70096,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70097,'qey_blacksmith_hammer001',NULL,'','','',0,43,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70098,'qey_blacksmith_table001',NULL,'','','',0,46,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70099,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70100,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70101,'wood_plank03',NULL,'','','',0,5086,32,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70102,'floor_bookcase_human_stone02',NULL,'','','',0,3020,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70103,'floor_diode_any_sorcerer',NULL,'','','',0,2683,77,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70104,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,17,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70105,'floor_bookcase_human_stone01',NULL,'','','',0,2130,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70106,'floor_bookcase_human_preserves02',NULL,'','','',0,3018,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70107,'qst_galintos_stove_1',NULL,'','','',0,1423,32,0,1,1,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70108,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70109,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70110,'troll_candle_01',NULL,'','','',0,1614,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70111,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70112,'floor_crate_darkelf_wood02',NULL,'','','',0,2678,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70113,'a sealed door',NULL,'','','',0,6301,32,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70114,'skull_pile',NULL,'','','',0,4138,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70115,'altar_stone',NULL,'','','',0,3483,32,0,1,1,0,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70116,'dark_pot',NULL,'','','',0,4131,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70117,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70118,'statue_smoking_beast',NULL,'','','',0,2703,32,0,1,1,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70119,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70120,'floor_podium_any_chanting02',NULL,'','','',0,4453,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70121,'qst_unseenhand_kitchen_1',NULL,'','','',0,1399,32,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70122,'chinese vessel',NULL,'','','',0,50109,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70123,'bookcase',NULL,'','','',0,3020,32,0,1,1,508,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70124,'lion statue',NULL,'','','',0,50108,16,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70125,'eb_fount',NULL,'','','',0,4131,32,0,1,1,509,0,1862,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70126,'zone_to_mystic_lake',NULL,'','','',0,6302,57,0,1,1,510,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70127,'zone_to_adv04_dun_endless',NULL,'','','',0,2306,32,0,1,1,120,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70128,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70129,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70130,'bookcase',NULL,'','','',0,3021,32,0,1,1,6,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70131,'bookcase',NULL,'','','',0,2130,32,0,1,1,6,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(70132,'bookcase',NULL,'','','',0,3018,32,0,1,1,6,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90001,'Brother Fritzen','<Whistling Fists Clan>','','','',9,50097,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90002,'Guard Zhun-bao','<Wantia Defenders>','','','',255,50093,41,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90003,'a green hopper','','','','',255,224,9,3,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90004,'Guard Xian-lau','<Wantia Defenders>','','','',255,50087,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90005,'a verdant snake','','','','',255,213,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90006,'Hunra the Carver','','','','',255,50102,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90007,'a Gunthak plunderer','<Pirates of Gunthak>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90008,'a Gunthak ransacker','<Pirates of Gunthak>','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90009,'a Gunthak plunderer','<Pirates of Gunthak>','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90010,'a dead fisherman','','','','',255,50077,33,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90011,'a frenzied dasher','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90012,'a Mysticwood watcher','<The Mystic Guardians>','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90013,'an unfortunate merchant','','','','',255,50075,32,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90014,'a dead traveler','','','','',255,50102,32,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90015,'a Mysticvine guardian','<The Mystic Guardians>','','','',255,212,38,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90016,'a Mysticvine warden','<The Mystic Guardians>','','','',255,173,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90017,'a Gunthak poacher','<Pirates of Gunthak>','','','',10,104,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90018,'a bear corpse','','','','',255,198,32,0,1,1,0,0,228,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90019,'a tiger corpse','','','','',255,2415,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90020,'a Mysticwood defender','<The Mystic Guardians>','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90021,'Pirate Keelkrush','','','','',12,124,35,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90022,'Pirate Greenwhisker','','','','',14,105,35,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90023,'Glurglek the Blade','<Pirates of Gunthak>','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90024,'Alyra the Assassin','<Pirates of Gunthak>','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90025,'a Mysticwood protector','<The Mystic Guardians>','','','',255,2415,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90026,'a celestial serenity','<The Mystic Guardians>','','','',255,3710,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90027,'Captain Mord','<Pirates of Gunthak>','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90028,'a captured villager','','','','',255,50098,33,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90029,'a mauled Gunthak pirate','','','','',10,104,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90030,'a hungry bear','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90031,'High Priestess Aryelnia','<The Mystic Guardians>','','','',255,173,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90032,'a frenetic beaver','','','','',255,207,22,0,1,1,11,0,0,1,1,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90033,'Eddrelon the Wise','<The Mystic Guardians>','','','',255,212,64,0,1,1,9,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90034,'a crown beetle','','','','',255,223,103,4,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90035,'a shrine scavenger','','','','',255,5006,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90036,'Brother Jurak','<Whistling Fists Clan>','','','',9,50095,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90037,'a tomb protector','','','','',255,6317,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90038,'a dreadsnare scolopendra','','','','',255,257,73,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90039,'Shrine Guardian Riki-Oh','','','','',255,6392,48,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90040,'a tortured master','','','','',255,6312,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90041,'a corrupted master','','','','',255,6312,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90042,'Shrine Guardian Ken-Oh','','','','',255,6392,48,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90043,'The Overseer of Change','<Direvine Stalwart>','','','',255,274,134,0,1,1,491,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90044,'an abominable growth','','','','',255,274,73,2,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90045,'The Direstone Trampler','','','','',255,153,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90046,'an abhorrent growth','','','','',255,274,63,3,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90047,'a direvine miscreant','','','','',255,174,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90048,'an inimical eminence','','','','',255,273,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90049,'a tainted arachnid beast','','','','',255,243,87,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90050,'a tainted-wing prowler','','','','',255,2389,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90051,'Hands of Death','','','','',255,6312,41,0,1,1,11,0,168,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90052,'a fallen adventurer','','','','',9,1521,32,0,1,1,11,0,228,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90053,'a fallen pathfinder','','','','',9,1521,32,0,1,1,11,0,228,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90054,'a fallen explorer','','','','',9,1521,32,0,1,1,11,0,228,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90055,'a corrupted wolf','','','','',255,1374,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90056,'half-eaten remains','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90057,'an illusionary gnawer','','','','',255,3700,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90058,'a repelling waterburst','','','','',255,195,32,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90059,'a diseased vermin','','','','',255,233,6,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90060,'a rotten aggressor','','','','',255,140,35,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90061,'a loathsome avenger','','','','',9,2935,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90062,'a diseased tormentor','','','','',255,3736,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90063,'a bloated gloom','','','','',255,288,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90064,'a temple guardian','','','','',255,148,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90065,'Tentacle Emperor Gloomdoom','','','','',255,288,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90066,'a forgotten watchman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90067,'a forgotten soldier','','','','',9,4543,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90068,'a forgotten scout','','','','',9,4536,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90069,'a forgotten defender','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90070,'a forgotten defender','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90071,'a mystical entangler','','','','',255,2391,25,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90072,'a dragonbane terrapin','','','','',255,215,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90073,'a rotten ravager','','','','',255,3882,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90074,'a malignant shadowmist','','','','',255,3691,40,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90075,'Zeera the Thorned','','','','',255,174,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90076,'a venomspill froggor','','','','',255,237,112,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90077,'a direvine scourge','','','','',255,174,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90078,'The Sinister Sloth','','','','',255,2915,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90079,'Pirate Prince Prawn','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90080,'an ailing blister','','','','',255,2359,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90081,'a wind dancer spirit','','','','',255,3695,19,0,1,1,0,0,3849,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90082,'a sunken gloom','','','','',255,288,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90083,'a dead traveller','','','','',255,50105,32,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90084,'gravedirt01',NULL,'','','',0,2916,31,0,1,1,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90085,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90086,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90087,'barricade_long',NULL,'','','',0,1556,32,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90088,'barrel_small_light',NULL,'','','',0,1909,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90089,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90090,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90091,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90092,'Respawn Tent',NULL,'','','',0,12,30,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90093,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90094,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90095,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90096,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90097,'barricade_corner_left',NULL,'','','',0,1554,31,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90098,'barricade_corner_right',NULL,'','','',0,1555,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90099,'barricade_short',NULL,'','','',0,1557,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90100,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90101,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90102,'flour',NULL,'','','',0,3531,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90103,'flour',NULL,'','','',0,3532,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90104,'a wooden cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90105,'floor_barrel_human_weathered01',NULL,'','','',0,3306,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90106,'floor_barrel_human_weathered01',NULL,'','','',0,2944,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90107,'floor_barrel_human_weathered01',NULL,'','','',0,2943,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90108,'floor_barrel_human_weathered01',NULL,'','','',0,3307,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90109,'floor_barrel_human_weathered01',NULL,'','','',0,3308,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90110,'a thicket',NULL,'','','',0,4004,90,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90111,'a thicket',NULL,'','','',0,4003,149,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90112,'wind dancer escape02',NULL,'','','',0,2306,14,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90113,'a thicket',NULL,'','','',0,4002,137,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90114,'aoi, birdman entrance',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90115,'shrine_statue',NULL,'','','',0,6391,16,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90116,'bush',NULL,'','','',0,3908,85,0,1,1,497,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90117,'wind dancer escape01',NULL,'','','',0,2306,14,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90118,'wind dancer escape03',NULL,'','','',0,2306,14,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90119,'barnyard_dead_dog',NULL,'','','',0,2371,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90120,'gravedirt02',NULL,'','','',0,2917,35,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90121,'grey_tent_large01',NULL,'','','',0,2816,32,0,1,1,0,0,0,0,0,0,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90122,'wind dancer escape04',NULL,'','','',0,2306,13,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90123,'Village of Shin',NULL,'','','',0,49,32,0,0,0,492,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90124,'Village of Shin',NULL,'','','',0,49,32,0,0,0,492,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90125,'cage, wind dancer main',NULL,'','','',0,1933,23,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90126,'cage, wind dancer02',NULL,'','','',0,1933,22,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90127,'Xux''laio''s Roost',NULL,'','','',0,49,32,0,0,0,493,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90128,'Sepulcher of Zan Fi',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90129,'Sepulcher of Zan Fi',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90130,'cage, wind dancer01',NULL,'','','',0,1933,22,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90131,'cage, wind dancer03',NULL,'','','',0,1933,23,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90132,'The Forsaken City',NULL,'','','',0,49,32,0,0,0,498,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90133,'cage, wind dancer04',NULL,'','','',0,1933,22,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90134,'pirate firepit',NULL,'','','',0,3344,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90135,'',NULL,'','','',0,4544,16,0,1,1,514,0,6849,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90136,'fallen kindling',NULL,'','','',0,3925,6,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90137,'tuft of beaver fur',NULL,'','','',0,2244,22,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(90138,'fresh-water barnacle',NULL,'','','',0,9460,48,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100000,'a shore fish','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100001,'Captain Ingrid','<Far Seas Trading Company>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100002,'Ensign Geredo','<Far Seas Trading Company>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100003,'Unatsa Nize','<Banker>','','','',6,79,32,0,1,1,14,9,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100004,'Helmsman Durago','<Far Seas Trading Company>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100005,'Navigator N''Turex','<Far Seas Trading Company>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100006,'Affrem','<a hillrunner>','','','',255,9033,32,0,0,0,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100007,'Barbo','<a palomino>','','','',255,9032,32,0,0,0,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100008,'Ulgofar Wisme','','','','',13,61,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,100282,0,0,0,0,0,0,0,0,0,0,0,0),
(100009,'Rai Faela Nurwin','<Crafting Tools Exchange>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100010,'Fence Viama Brewmar','<Far Seas Qeynos Market Broker>','','','',0,111,32,0,1,1,20,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100011,'Fence Sharren','<Far Seas Freeport Market Broker>','','','',11,100,32,0,1,1,20,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100012,'Madria Varas','<Far Seas Trading Company Supply Liaison>','','','',6,79,41,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100013,'Blacksmith Grazi','<Mender>','','','',10,103,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(100014,'Aras Nurwin','','','','',9,50105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100015,'Merchant Kaleb Farbring','<Importer and Exporter>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,100283,0,0,0,0,0,0,0,0,0,0,0,0),
(100016,'Koros Splinterlimb','<Far Seas Trading Company Supply Division Merchant>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,10154,0,0,0,0,0,0,0,0,0,0,0,0),
(100017,'Darwan Grogswyllr','<Bartender>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100018,'Kaisha Swifteasel','<Far Seas Supply Requisition Foreman>','','','',15,1443,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100019,'Jess','<a unicorn>','','','',255,9114,32,0,0,0,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100020,'Secriat','<an appaloosa>','','','',255,9031,32,0,0,0,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100021,'Garn D''Tayn','<Far Seas Trading Company>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100022,'Argan Farsdell','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100023,'Yu-wei Nurwin','','','','',255,50104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100024,'Lao-pang Nurwin','','','','',255,50072,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100025,'Guard Jai-pei Huang','<Wantia Defenders>','','','',255,50013,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100026,'Spark Augren','<Mad Scientist>','','','',255,50008,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100027,'Sadami Ishigoki','','','','',9,50069,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100028,'Herbalist Xiao ','<Herbalist>','','','',255,50068,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100029,'Xin-xu Augren','','','','',255,50069,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100030,'Socks','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100031,'Stewie','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100032,'Rind','','','','',255,272,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100033,'Higglesworth','','','','',255,271,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100034,'Albert','','','','',255,272,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100035,'Guard Ji-nan Chiu','<Wantia Defenders>','','','',255,50016,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100036,'a sand crab','','','','',255,211,9,3,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100037,'Chopper','','','','',255,272,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100038,'Babbet','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100039,'Oinklet','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100040,'Wilbury','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100041,'Max','','','','',255,306,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100042,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100043,'Dhae Lao, the Relic Keeper','<Tower of the Four Winds Sentinel>','','','',255,50102,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100044,'Sensei Kozon','<Whistling Fists Clan>','','','',9,50097,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100045,'Lu Sywaka','<Master of the Third Circle>','','','',255,50095,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100046,'Master Luris','<Ashen Order>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100047,'Disciple Varlox','<Swifttail Caste>','','','',10,1574,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100048,'Brother Niles','<Clan Historian>','','','',255,50102,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100049,'Brother Dhar','<Whistling Fists Clan>','','','',255,50097,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100050,'Brother Pang','<Whistling Fists Clan>','','','',255,50101,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100051,'Brother Lycabe','<Whistling Fists Clan>','','','',255,50098,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100052,'Brother Csendren','<Whistling Fists Clan>','','','',255,50096,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100053,'Brother Kohat','<Whistling Fists Clan>','','','',255,50096,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100054,'Master Long Shan','<Whistling Fists Clan>','','','',255,50070,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100055,'Zhen Mei','<He Who Walked from the Water>','','','',9,50074,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100056,'Sister Shoren','<Silent Fist Clan>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100057,'Brother Pharad','<Whistling Fists Clan>','','','',255,50095,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100058,'Brother Huang Mantian','<Patron of the Ancient Masters>','','','',9,50095,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100059,'Brother Lika','<Whistling Fists Clan>','','','',255,50097,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100060,'Brother Chid','<Whistling Fists Clan>','','','',255,50099,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100061,'Brother Gired','<Whistling Fists Clan>','','','',255,50096,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100062,'Meledi Augren','','','','',255,50065,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100063,'Kun Augren','','','','',255,50101,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100064,'Chief Ko-ma Nurwin','','','','',255,50075,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100065,'Xao Nurwin','<Master Baker>','','','',255,50076,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100066,'Tai Nurwin','','','','',255,50104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100067,'Li Nurwin','','','','',255,50081,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100068,'Qho Augren','','','','',255,50067,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100069,'Qi Nurwin','','','','',255,50064,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100070,'De-zhen Nurwin','','','','',255,50077,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100071,'Kuabu the Songkeeper','<Whistling Fists Clan>','','','',255,50104,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100072,'Chun Ventur','','','','',255,50083,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100073,'Ping Ventur','','','','',255,50105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100074,'Jai-la Ventur','','','','',255,50083,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100075,'Arellia Augren','','','','',255,50083,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100076,'Dan-sho Augren','','','','',255,50102,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100077,'Gai Ge Ventur','','','','',255,50066,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100078,'Ryu Nurwin','','','','',255,50099,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100079,'Mei Ling Ventur','','','','',255,50083,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100080,'Mei-mei Ventur','','','','',255,50083,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100081,'Lurina Ventur','','','','',9,50082,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100082,'Farmer Bai-lu Akaru','','','','',255,50071,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100083,'Farmer Nong Edeko','','','','',255,50072,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100084,'a pack pony','','','','',255,9531,19,0,0,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100085,'Lian Augren','','','','',9,50082,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100086,'Tumao Ventur','','','','',255,50075,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100087,'Ken Ventur','','','','',255,50096,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100088,'Jaana','','','','',255,304,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100089,'Guard Lu Zhang','<Wantia Defenders>','','','',255,50016,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100090,'Farmer Ai-mi Fan','','','','',255,50076,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100091,'Farmer Zhu-lian Bang','','','','',255,50075,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100092,'Brother Nocten','<Whistling Fists Clan>','','','',255,50096,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100093,'Brother Kendri','<Whistling Fists Clan>','','','',255,50096,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100094,'Farmer Huo-yuan Nesden','','','','',255,50071,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100095,'Farmer Idek Pa-shong','','','','',255,50073,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100096,'Si Nurwin','','','','',255,50064,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100097,'Terai Augren','','','','',9,50099,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100098,'Hu Mi','','','','',255,50103,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100099,'Guard Ko-ren Chiu','<Wantia Defenders>','','','',255,50016,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100100,'Hen Augren','','','','',255,50066,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100101,'Ling Ventur','','','','',255,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100102,'Sherai Nurwin','','','','',9,50082,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100103,'Choo Nurwin','','','','',255,50008,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100104,'Shang-yu Nurwin','','','','',255,50100,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100105,'Sai-keng Nurwin','','','','',255,50105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100106,'Zhen-hao Nurwin','','','','',255,50075,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100107,'Guard Captain Urtai','<Wantia Defenders>','','','',255,50092,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100108,'Lai-fu Nurwin','','','','',255,50099,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100109,'Wai Mi','','','','',255,50101,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100110,'Mei Gua-Ren','','','','',255,50083,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100111,'Yen-Su Nurwin','','','','',255,50098,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100112,'Swill','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100113,'Tubbles','','','','',255,272,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100114,'Grinder','','','','',255,272,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100115,'Muddy','','','','',255,271,16,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100116,'Xur-hei Nurwin','<Naturalist>','','','',255,50068,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100117,'Kim Nurwin','','','','',255,50082,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100118,'Bu Hao','','','','',255,50098,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100119,'Racemaster Swinson','<Racing Wagers>','','','',9,4990,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100120,'Vartik','Fantin''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100121,'widget_ventur_plumbum',NULL,'','','',0,49,32,0,1,1,411,0,0,0,0,0,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100122,'widget_pickled_pomegranate',NULL,'','','',0,49,32,0,1,1,412,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100123,'widget_ventur_grip_silk',NULL,'','','',0,49,32,0,1,1,413,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100124,'widget_ventur_fabric_bolt',NULL,'','','',0,49,32,0,1,1,413,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100125,'widget_ulgofar_object04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100126,'widget_ventur_turtle_shell',NULL,'','','',0,49,32,0,1,1,414,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100127,'widget_squid_ink',NULL,'','','',0,49,32,0,1,1,412,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100128,'widget_ulgofar_object03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100129,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100130,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100131,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100132,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100133,'widget_ulgofar_object06',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100134,'widget_ulgofar_object08',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100135,'widget_nurwin_wax',NULL,'','','',0,49,32,0,1,1,478,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100136,'widget_ulgofar_object07',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100137,'widget_ulgofar_object01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100138,'widget_stuck_ants',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100139,'widget_ventur_lacquered_scabbard',NULL,'','','',0,49,32,0,1,1,479,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100140,'widget_ulgofar_object02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100141,'widget_ulgofar_object09',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100142,'widget_sage_tubers',NULL,'','','',0,49,32,0,1,1,412,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100143,'widget_ulgofar_object05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100144,'widget_sage_mulberry2',NULL,'','','',0,49,32,0,1,1,480,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100145,'widget_fabric_dye01',NULL,'','','',0,49,32,0,1,1,412,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100146,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100147,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100148,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100149,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100150,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100151,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100152,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100153,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100154,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100155,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100156,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100157,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100158,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100159,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100160,'widget_tradeskill_task_rice1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1288,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100161,'widget_tradeskill_task_rice10',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,634,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100162,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100163,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100164,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100165,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100166,'widget_tradeskill_task_rice9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,491,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100167,'widget_tradeskill_task_rice7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,732,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100168,'widget_tradeskill_task_rice5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,589,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100169,'widget_tradeskill_task_rice8',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,673,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100170,'widget_tradeskill_task_rice6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,689,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100171,'widget_tradeskill_task_rice4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,920,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100172,'widget_tradeskill_task_rice3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,971,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100173,'widget_tradeskill_task_rice2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1065,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100174,'widget_ulgofar_object10',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100175,'widget_ventur_flax_plant',NULL,'','','',0,49,32,0,1,1,494,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100176,'widget_ventur_flax_plant2',NULL,'','','',0,49,32,0,1,1,494,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100177,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100178,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100179,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100180,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100181,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100182,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100183,'widget_sage_mulberry1',NULL,'','','',0,49,32,0,1,1,480,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100184,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,0,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100185,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100186,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100187,'Barrel',NULL,'','','',0,2563,32,0,1,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100188,'Sacks of Flour',NULL,'','','',0,1474,32,0,1,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100189,'woven basket',NULL,'','','',0,11817,32,0,1,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100190,'floor_chair_human_fancy01',NULL,'','','',0,2131,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100191,'floor_beaker_human_lab02',NULL,'','','',0,3407,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100192,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100193,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100194,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100195,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100196,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100197,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100198,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100199,'ornate linen rug',NULL,'','','',0,3530,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100200,'commonlandsmap01',NULL,'','','',0,1404,9,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100201,'floor_bookcase_human_preserves02',NULL,'','','',0,3018,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100202,'floor_egg_human_crystal01',NULL,'','','',0,3417,16,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100203,'floor_bookcase_human_plain01',NULL,'','','',0,2128,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100204,'qeynos plain single bar counter',NULL,'','','',0,8102,32,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100205,'Flowers',NULL,'','','',0,1738,31,0,1,1,402,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100206,'fabric roll',NULL,'','','',0,11669,23,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100207,'fabric roll',NULL,'','','',0,11667,23,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100208,'maj''dul inkwell',NULL,'','','',0,8637,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100209,'floor_bookcase_human_ornate02',NULL,'','','',0,2127,32,0,0,0,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100210,'rug',NULL,'','','',0,3211,32,0,0,0,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100211,'pearl floor lamp',NULL,'','','',0,2153,32,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100212,'floor_candleholder_human_ornate03',NULL,'','','',0,3443,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100213,'floor_table_human_ornate02',NULL,'','','',0,2115,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100214,'floor_bookcase_human_preserves01',NULL,'','','',0,3017,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100215,'qst_galintos_globe_1',NULL,'','','',0,1416,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100216,'green unrest couch',NULL,'','','',0,8329,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100217,'ornate globe',NULL,'','','',0,7261,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100218,'floor_crucible_human_lab02',NULL,'','','',0,3409,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100219,'floor_table_human_lab02',NULL,'','','',0,3425,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100220,'floor_distillery_human_lab03',NULL,'','','',0,3415,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100221,'antonican_fence_piece02',NULL,'','','',0,4718,32,0,0,0,0,0,0,0,0,0,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100222,'antonican_fence_piece04',NULL,'','','',0,4720,32,0,0,0,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100223,'floor_distillery_human_lab01',NULL,'','','',0,3413,32,0,0,0,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100224,'wind dancer escape08',NULL,'','','',0,2306,12,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100225,'wind dancer escape05',NULL,'','','',0,2306,15,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100226,'wind dancer escape07',NULL,'','','',0,2306,10,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100227,'wind dancer escape06',NULL,'','','',0,2306,15,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100228,'Roll of Fabric',NULL,'','','',0,11668,32,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100229,'Roll of Fabric',NULL,'','','',0,11666,0,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100230,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(100231,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100232,'far_seas_work_order_table',NULL,'','','',0,2776,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100233,'supply cupboard',NULL,'','','',0,2149,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100234,'recipe book',NULL,'','','',0,3032,32,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100235,'far_seas_work_order_table',NULL,'','','',0,2776,32,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100236,'sign_post',NULL,'','','',0,19,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100237,'cage, wind dancer08',NULL,'','','',0,1933,22,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100238,'book, bird man of mara',NULL,'','','',0,2451,3,0,1,1,0,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100239,'cage, wind dancer05',NULL,'','','',0,1933,23,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100240,'widget_dried_fruit',NULL,'','','',0,49,32,0,1,1,412,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100241,'zone_to_obj7',NULL,'','','',0,3215,32,0,1,1,482,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100242,'zone_to_obj6',NULL,'','','',0,3216,34,0,1,1,483,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100243,'zone_to_obj3',NULL,'','','',0,3551,41,0,1,1,484,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100244,'zone_to_obj4',NULL,'','','',0,3552,47,0,1,1,485,0,0,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100245,'zone_to_obj1',NULL,'','','',0,3214,32,0,1,1,486,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100246,'trans to tower cave',NULL,'','','',0,50107,32,0,1,1,487,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100247,'zone_to_obj5',NULL,'','','',0,3549,39,0,1,1,488,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100248,'zone_to_obj2',NULL,'','','',0,3550,41,0,1,1,489,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100249,'cage, wind dancer07',NULL,'','','',0,1933,15,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100250,'cage, wind dancer06',NULL,'','','',0,1933,22,0,1,1,481,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100251,'to lake',NULL,'','','',0,49,32,0,0,0,495,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100252,'trans to crab_cave',NULL,'','','',0,49,32,0,0,0,496,0,0,0,0,1,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100253,'letter_tso',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100254,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1022,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100255,'Translocator Sprires',NULL,'','','',0,2306,48,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100256,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100257,'pearl oyster',NULL,'','','',0,3966,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100258,'clam',NULL,'','','',0,3965,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(100259,'crate',NULL,'','','',255,11037,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120000,'Aether Racing Referee','<The Flying Freebooters>','','','',5,121,41,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,8448,0,0,0),
(120001,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(120002,'npc_unnamed_1','','','','',255,7215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120003,'a scarecrow','','','','',255,261,36,5,1,1,0,0,0,1,1,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120005,'Maiden''s Grace','','','','',0,7941,32,0,1,1,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120006,'artifact adder 2','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120007,'Relana Everglade','<Tunarian Alliance>','','','',15,113,32,3,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120008,'a timber wolf','','','','',255,216,21,1,1,1,11,0,0,1,1,1,0,1,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120009,'an overland woodcutter','','','','',9,132,32,0,1,1,11,0,11420,1,1,1,0,0,32,450,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120010,'Centurion Grimbold Steadirt','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120011,'a young brown bear','','','','',255,198,25,0,1,1,11,0,0,1,1,1,0,1,36,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120012,'an overland miner','','','','',2,109,32,0,1,1,11,0,11420,1,1,1,0,0,18,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120013,'a Darkpaw youth','','','','',255,3816,23,1,1,1,11,0,0,1,1,1,0,122,32,795,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120014,'a grizzled badger','','','','',255,267,19,0,1,1,11,0,0,1,1,1,0,0,10,750,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120015,'a Darkpaw mystic','','','','',255,3816,22,1,1,1,11,0,0,1,1,1,0,122,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120016,'Curys Kasin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(120017,'artifact adder 3','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120018,'Oracle Ulinara','','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120019,'Oracle Liandrin','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120020,'Protector Emerson','','','','',9,134,31,2,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120022,'Scholar Al''Quylar','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120023,'Guard Thompson','','','','',9,134,30,2,1,1,13,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120024,'Oracle Ednar','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120025,'Protector Swithin','','','','',9,134,31,3,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120026,'Protector Hawes','','','','',9,134,31,3,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120027,'Protector Wickham','','','','',9,134,32,3,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120028,'a granitescale basilisk','','','','',255,190,28,0,1,1,11,0,0,1,1,1,0,1,8,1930,475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120029,'a red tailed hawk','','','','',255,2358,41,0,1,1,11,0,0,1,1,1,0,0,17,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120030,'a thicket lizard','','','','',255,190,22,0,1,1,11,0,0,1,1,1,0,1,8,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120031,'a kingsnake','','','','',255,213,79,3,1,1,11,0,0,1,1,1,0,0,8,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120032,'a Coldwind octopus','','','','',255,210,36,4,1,1,11,0,0,1,1,1,0,1,32,765,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120033,'a sea turtle','','','','',255,218,47,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120034,'a griffin tamer','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120035,'Swift Feather','','','','',255,225,41,0,1,1,0,0,11191,0,0,1,0,0,40,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120036,'Darathar','','','','',255,4496,112,0,1,1,11,0,0,1,1,1,0,1,80,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120037,'a slain inhabitant','','','','',9,1481,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120038,'a Deathfist mercenary','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120039,'a Deathfist vanguard','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120040,'a dire wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120041,'a Deathfist tracker','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120042,'a drakota broodling','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120043,'a broodling protector','','','','',255,238,59,7,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120045,'a protective broodling','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120046,'Er''aithe the Broodmother','','','','',255,238,112,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120047,'a Deathfist mercenary','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120048,'Rawg, Traitor of Zek','','','','',20,5027,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120049,'a Deathfist mercenary','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120050,'Guardian of Darathar','','','','',255,310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120051,'a Deathfist mercenary captain','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120052,'a Deathfist mercenary prophet','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120053,'a Deathfist mercenary squad leader','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120054,'artifact adder 1','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120056,'a distressed merchant','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120057,'key_unique312','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120058,'a gratified merchant','','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,226,226,0,0,402037,0,0,0,0,0,0,0,0,0,0,0,0),
(120059,'a disturbed corpse','','','','',255,2852,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120060,'a pig','','','','',255,271,28,6,1,1,0,0,0,1,1,1,0,0,17,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120061,'a cow','','','','',255,2456,29,4,1,1,0,0,0,1,1,1,0,0,35,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120063,'Gol M''Tun','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120064,'a sparrow-hawk','','','','',255,260,25,3,1,1,11,0,0,1,1,1,0,0,17,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120065,'a Darkpaw pup','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120066,'a moat rat','','','','',255,196,37,8,1,1,11,0,0,1,1,1,0,0,12,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120067,'a klicnik mite','','','','',255,221,36,6,1,1,11,0,0,1,1,1,0,1,8,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120068,'a lowland viper','','','','',255,213,47,8,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120069,'Captain Eitoa','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120070,'Lambton','<Guard>','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,34,22500,6400,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(120071,'Guard Camden','','','','',9,134,34,3,1,1,11,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120072,'a viper den','','','','',255,2378,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120073,'Guard Jarvis','','','','',9,134,32,3,1,1,11,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120074,'a rat nest','','','','',255,2400,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120075,'a noxious viper','','','','',255,213,73,0,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120076,'a traitorous farmer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,450,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120077,'a witherstraw scarecrow','','','','',255,261,35,3,1,1,11,0,0,1,1,1,0,0,32,1205,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120078,'Farmer Walcott','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120079,'a Coldwind perch','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120081,'a Coldwind barracuda','','','','',255,194,47,3,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120083,'Knight-Lieutenant Alesso','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120084,'a Coldwind manta ray','','','','',255,219,44,3,1,1,11,0,0,1,1,1,0,0,9,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120085,'a Coldwind octopus','','','','',255,210,43,6,1,1,11,0,0,1,1,1,0,1,32,765,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120086,'Merchant Duffy','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,9193,0,0,0,0,0,0,0,0,0,0,0,0),
(120087,'Merchant Flores','<Merchant>','','','',9,134,29,3,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,9194,0,0,0,0,0,0,0,0,0,0,0,0),
(120088,'Guard Coffrey','','','','',9,134,29,2,1,1,11,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120089,'Ritter','<Guard>','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,34,24500,6400,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(120090,'a pond glider','','','','',255,277,52,4,1,1,11,0,0,1,1,1,0,0,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120091,'Mouser','','','','',255,225,41,0,1,1,0,0,11191,0,0,1,0,0,40,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120092,'a Sabertooth runt','','','','',255,1384,23,1,1,1,11,0,0,1,1,1,0,122,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120093,'a coldwind pike','','','','',255,194,41,6,1,1,11,0,0,1,1,1,0,0,8,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120094,'a coldwind pike','','','','',255,194,40,6,1,1,11,0,0,1,1,1,0,1,8,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120095,'a grouping of seaweed','','','','',9,2437,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120096,'a coldwind pike','','','','',255,194,41,6,1,1,11,0,0,1,1,1,0,0,8,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120097,'Corporal Peckett','','','','',9,134,32,2,1,1,9,0,0,0,0,1,0,0,32,22500,6400,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(120098,'Ghil Ventur','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,1048576,0,0,0,0,0,0,0,0),
(120099,'Merchant Novak','<General Goods>','','McClenture','',9,132,31,2,1,1,10,1265,0,0,0,1,0,0,17,16,16,0,0,9209,0,0,0,0,0,0,0,0,0,0,0,0),
(120101,'Harbormaster Larra','<Harbormaster>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120104,'a Giantslayer messenger','','','','',0,112,32,0,1,1,0,0,228,0,0,1,0,0,34,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120105,'a kodiak','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,1,36,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120106,'an enraged wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,1,32,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120107,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,1,32,7850,1640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120109,'a Sabertooth darkstrider','','','','',255,1384,28,4,1,1,11,0,0,1,1,1,0,122,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120111,'Rusty Sails','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120112,'Noa Sails','','','','',6,78,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120113,'a Deathfist marauder','','','','',20,5022,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120114,'a Deathfist marauder','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120115,'Gawar the Bad','','','','',20,5021,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120117,'Bra''ak the Reptile','','','','',255,3816,24,0,1,1,11,0,0,1,1,1,0,1,32,800,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120118,'a darkclaw crab','','','','',255,211,28,0,1,1,11,0,0,1,1,1,0,0,25,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120119,'a giant bear','','','','',255,198,48,0,1,1,11,0,0,1,1,1,0,1,36,1440,425,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120120,'Rotclaw','','','','',255,233,64,0,1,1,11,0,0,1,1,1,0,1,12,810,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120121,'an earthcrawler','','','','',255,257,57,0,1,1,11,0,0,1,1,1,0,0,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120122,'a gnoll camp','','','','',255,2467,32,0,1,0,35,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120123,'a Sabertooth neophyte','','','','',255,1384,23,1,1,1,11,0,0,1,1,1,0,122,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120125,'a locked treasure chest','','','','',9,3078,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120126,'a Caltorsis knight','','','','',255,140,31,3,1,1,11,0,0,1,1,1,0,1,36,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120127,'a Caltorsis magi','','','','',9,1521,31,3,1,1,11,0,0,1,1,1,0,1,36,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120128,'a bloodsaber seditionist','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,1,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120129,'Stephen Pikefist','','','','',9,134,32,0,1,1,9,0,13056,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120130,'Ol'' One Eye','','','','',255,194,64,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120131,'a Caltorsis cleric','','','','',255,2852,32,0,1,1,11,0,6193,1,1,1,0,1,32,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120132,'Merle Trevine','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120134,'a windstalker fisherman','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,2675,675,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120136,'a lake trout','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120137,'a Windstalker citizen','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,1700,540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120138,'Professor Heribert','','','','',9,134,32,0,1,1,9,0,11422,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120139,'a wandering minstrel','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120140,'a giant kodiak','','','','',255,198,44,0,1,1,11,0,0,1,1,1,0,1,36,1830,475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120141,'a hulking stalker','','','','',255,216,35,0,1,1,11,0,0,1,1,1,0,1,32,1930,470,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120142,'a thorn briar','','','','',255,274,57,3,1,1,11,0,0,1,1,1,0,0,64,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120143,'a spark of growth','','','','',255,273,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120144,'Isdemus Hamest','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120145,'a Windstalker citizen','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,1650,540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120146,'Mayor Woodbridge','','','','',9,134,32,0,1,1,11,9515,0,1,1,1,0,0,32,3585,1010,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120149,'Lanice','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,16220,0,0,0,0,0,0,0,0,0,0,0,0),
(120150,'Riason Hanagom','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,1904,0,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120151,'Nevisie Amonrae','','','','',15,5070,28,3,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120152,'an antonican grove caretaker','','','','',15,113,28,2,1,1,9,0,0,0,0,1,0,0,28,6320,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120153,'Cantile Digglefiz','','','','',5,122,38,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120154,'Innkeeper Naroob','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120155,'Henry Maxwell Denalis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0),
(120157,'an earth burrower','','','','',255,257,63,3,1,1,11,0,0,1,1,1,0,0,32,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120159,'Breeza Harmet','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120160,'a Windstalker constable','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,2550,725,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120161,'a highwayman','','','','',6,79,31,3,1,1,11,0,0,1,1,1,0,1,30,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120162,'a highwayman','','','','',0,111,31,3,1,1,11,0,0,1,1,1,0,1,34,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120163,'Blarton Blumble','','','','',7,108,32,0,1,1,9,0,540,0,0,1,0,0,17,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120166,'Angelina McQuibble','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120167,'Lina','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,16240,0,0,0,0,0,0,0,0,0,0,0,0),
(120168,'Yoru the Old','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120171,'a highwayman','','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,1,32,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120173,'Velric Torch','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120174,'a giant bat','','','','',255,239,60,3,1,1,11,0,0,1,1,1,0,0,8,1040,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120175,'Sentry Crawln','','','','',9,134,31,2,1,1,9,0,0,1,1,1,0,11,32,19605,5685,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120176,'a mutated rat','','','','',255,231,41,0,1,1,11,0,0,1,1,1,0,1,12,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120177,'Holly Windstalker','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,1,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120178,'a thistle viper','','','','',255,213,86,3,1,1,11,0,0,1,1,1,0,1,8,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120179,'a stonejaw lizard','','','','',255,190,25,0,1,1,11,0,0,1,1,1,0,1,8,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120180,'a tainted wolf','','','','',255,1374,22,0,1,1,11,0,0,1,1,1,0,1,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120182,'a Dark Coven conjuror','','','','',9,134,30,3,1,1,11,0,0,1,1,1,0,1,32,975,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120183,'Sentry Maurice','','','','',9,134,34,3,1,1,9,0,0,1,1,1,0,11,32,19605,5685,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120184,'a Sabertooth battler','','','','',255,3816,31,2,1,1,11,0,0,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120185,'a Windstalker lumberjack','','','','',9,23908,32,0,1,1,11,0,11420,1,1,1,0,0,32,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120186,'a restless Caltorsite','','','','',255,140,31,3,1,1,11,0,0,1,1,1,0,1,36,1105,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120187,'a dale snake','','','','',255,213,70,0,1,1,11,0,0,1,1,1,0,0,8,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120188,'a crimson falcon','','','','',255,2358,38,0,1,1,11,0,0,1,1,1,0,0,17,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120189,'a beaded lizard','','','','',255,190,19,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120190,'Magnon Baelvurn','<Slayer of Gnolls>','','','',2,1482,28,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120191,'a tidewalker goliath','','','','',255,155,48,0,1,1,11,0,0,1,1,1,0,0,89,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120193,'a Coldwind octopus','','','','',255,210,36,4,1,1,11,0,0,1,1,1,0,1,32,765,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120194,'a Coldwind octopus','','','','',255,210,36,4,1,1,11,0,0,1,1,1,0,1,32,765,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120195,'a pile of rubbish','','','','',9,1537,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120196,'a Cavemaw grub hunter','','','','',255,3816,24,0,1,1,11,0,0,1,1,1,0,1,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120197,'Hwal Rucksif','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120198,'Lord Kylar','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120199,'Watchman Loxley','','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,32,24500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120200,'Lord Quinn Clothspinner','','','','',9,134,31,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120201,'Merchant Cooper','<Merchant>','','','',9,134,31,2,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(120202,'Watchman Haggerty','','','','',9,134,31,2,1,1,11,0,0,1,1,1,0,0,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120203,'a Darkpaw shaman','','','','',255,3816,29,2,1,1,11,0,0,1,1,1,0,122,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120204,'Knight Grel Stoneshearer','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120205,'Rathford','<Qeynosian Officer>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120206,'Sentry Oates','','','','',9,134,31,3,1,1,9,11,0,1,1,1,0,214,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120207,'a lowland gecko','','','','',255,190,16,0,1,1,11,0,0,1,1,1,0,1,8,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120210,'a wandering bat','','','','',255,239,23,4,1,1,11,0,0,1,1,1,0,0,17,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120211,'a klicnik scurrier','','','','',255,221,53,3,1,1,11,0,0,1,1,1,0,1,8,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120212,'a Darkpaw soldier','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120213,'a lowland badger','','','','',255,267,15,3,1,1,11,0,0,1,1,1,0,0,10,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120214,'Blat Berisen','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(120215,'Quallium','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120216,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120217,'baby monkey','','','','',255,5006,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120218,'The Sage of Ages','','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120220,'a griffon tamer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120223,'a ghast beetle','','','','',255,222,32,0,1,1,11,0,0,1,1,1,0,0,8,1165,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120224,'a blue widow spider','','','','',255,243,25,0,1,1,11,0,0,1,1,1,0,1,10,1165,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120225,'Priest of Discord','','','','',9,134,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,30358,0,0,0,0,0,0,0,0,0,0,0,0),
(120226,'Sparrow Cogcarrier','','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120237,'a restless Caltorsite','','','','',255,140,32,3,1,1,11,0,0,1,1,1,0,1,36,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120238,'a focus of decay','','','','',9,2370,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120239,'a restless Caltorsite','','','','',255,140,31,3,1,1,11,0,0,1,1,1,0,1,36,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120240,'Jimbo','<The NEW Steel Warriors>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(120242,'Historian Rotpaw','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120243,'a tidewalker behemoth','','','','',255,155,64,0,1,1,11,0,0,1,1,1,0,0,89,3080,905,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120244,'a Caltorsis backripper','','','','',255,2852,32,0,1,1,11,0,6193,1,1,1,0,1,32,615,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120245,'a Caltorsis protector','','','','',255,2852,32,0,1,1,11,0,6193,1,1,1,0,1,32,615,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120246,'a Caltorsis watchman','','','','',9,1521,31,6,1,1,11,0,0,1,1,1,0,1,36,615,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120247,'Advisor Pandrus','','','','',255,140,41,0,1,1,11,0,1592,1,1,1,0,1,36,6920,1675,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120251,'a Darkpaw mongrel','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120252,'a Darkpaw war leader','','','','',255,3814,33,0,1,1,11,0,0,1,1,1,0,122,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120253,'a klicnik warrior','','','','',255,221,53,8,1,1,11,0,0,1,1,1,0,1,8,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120257,'a bear cub','','','','',255,198,16,1,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120258,'a large moat rat','','','','',255,196,51,3,1,1,11,0,0,1,1,1,0,0,12,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120261,'a sogbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,795,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120262,'a spongiform zombie','','','','',255,301,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120263,'a false widow spider','','','','',255,205,25,0,1,1,11,0,0,1,1,1,0,0,10,1325,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120264,'Captian Antillin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120265,'a glade deer','','','','',255,206,28,3,1,1,11,0,0,1,1,1,0,0,38,450,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120266,'a young timber wolf','','','','',255,216,19,0,1,1,11,0,0,1,1,1,0,1,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120267,'Jenkins','<Qeynosian Officer>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120268,'Nault','<Guard>','','','',9,134,31,3,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120269,'Soldier Selennia','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120270,'Sentry Deegan','','','','',9,134,33,3,1,1,9,0,0,1,1,1,0,11,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120271,'Sentry Secord','','','','',9,134,31,2,1,1,9,0,0,1,1,1,0,0,32,24500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120272,'Selinda Whispersong','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120273,'Sentry Innis','','','','',9,134,29,2,1,1,9,0,0,1,1,1,0,11,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120274,'Sentry Briar','','','','',9,134,31,2,1,1,9,0,0,1,1,1,0,11,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120275,'Lieutenant Fenwill','','','','',9,134,31,2,1,1,9,0,0,0,0,1,0,0,32,22500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120276,'Soldier Pellenos','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120277,'a rabid bat','','','','',255,239,35,0,1,1,11,0,0,1,1,1,0,36,17,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120278,'Kinamer Galemaul','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120280,'Matsy Rollingpin','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120281,'Haddek Vimki','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120283,'Sighard Sayer','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120284,'Edwards','<Weaponsmith>','','','',9,132,31,3,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,31985,0,0,0,0,0,0,0,0,0,0,0,0),
(120285,'Quigley','<Provisioner>','','','',9,132,31,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,31986,0,0,0,0,0,0,0,0,0,0,0,0),
(120286,'Addison','<Armorsmith>','','','',9,134,32,3,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,31987,0,0,0,0,0,0,0,0,0,0,0,0),
(120287,'Dury Buntan','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(120288,'Guard Hubbard','','','','',9,134,31,3,1,1,13,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120289,'Tanen Danos','<Bowyer>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100370,0,0,0,0,0,0,0,0,0,0,0,0),
(120290,'a Cavemaw tunneler','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,1700,540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120291,'a Cavemaw tamer','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,1,32,1700,540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120292,'an earth rumbler','','','','',255,2411,19,0,1,1,11,0,0,1,1,1,0,0,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120293,'a feral timber wolf','','','','',255,216,28,0,1,1,11,0,0,1,1,1,0,1,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120294,'a young kodiak','','','','',255,198,25,0,1,1,11,0,0,1,1,1,0,1,36,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120295,'a timberclaw gnoll','','','','',255,3816,27,0,1,1,11,0,0,1,1,1,0,1,32,765,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120296,'a timberclaw gnoll','','','','',255,1384,27,0,1,1,11,0,0,1,1,1,0,1,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120297,'a sonic shrieker','','','','',255,239,41,0,1,1,11,0,0,1,1,1,0,0,17,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120298,'Ghost of Vhalen','','','','',255,2846,32,0,1,1,11,0,0,1,1,1,0,0,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120299,'Timothus Yelrow','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120300,'a Sabertooth rune caster','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,1105,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120304,'a gnoll defender','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120305,'Sentry Elmsley','','','','',9,134,30,2,1,1,9,11,0,1,1,1,0,214,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120306,'a blight oak','','','','',255,274,44,3,1,1,11,0,0,1,1,1,0,0,64,2110,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120308,'Knight Morte Winghammer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120310,'a Darkpaw brute','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120311,'Animator Z''Apha','','','','',255,1384,24,0,1,1,11,0,0,1,1,1,0,1,32,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120312,'a haze kodiak','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,1,36,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120313,'Break Neck','','','','',255,225,41,0,1,1,0,0,11191,0,0,1,0,0,40,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120314,'Knight Grelda Stoneshearer','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120315,'Barstan Rheyble','<Officer of Supplies>','','','',2,1482,28,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,32017,0,0,0,0,0,0,0,0,0,0,0,0),
(120316,'Bulvar Rakgam','<Destroyer of Gnolls>','','','',0,112,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120317,'Perinius Abatro','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120318,'Guard Aldritch','','','','',9,134,31,3,1,1,13,0,0,1,1,1,0,0,34,6505,1475,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(120319,'Sir Hegel Hammerheart','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120320,'a defiled squire','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120321,'a defiled squire','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120322,'Sergeant Tillin','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120324,'Voser','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120325,'a fallen knight','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120333,'a Dark Coven witch','','','','',9,132,31,3,1,1,11,0,0,1,1,1,0,1,32,975,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120337,'a field shrike','','','','',255,260,41,0,1,1,11,0,0,1,1,1,0,0,17,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120340,'a dankfur gnoll','','','','',255,3816,24,0,1,1,11,0,0,1,1,1,0,1,32,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120341,'Gerd Noale','','','','',2,1480,32,0,1,1,0,0,0,0,0,1,0,0,18,751,751,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120345,'Snekf Blacksmelter','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,751,751,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120346,'Kagin Oathsmasher','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120347,'Seamus Rockpounder','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,751,751,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120350,'Kebker','','','','',255,3294,9,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120354,'Avatar of Below','<Planar Manifestation>','','','',255,6716,76,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120355,'a Darkpaw pack leader','','','','',255,3815,25,1,1,1,11,0,0,1,1,1,0,122,32,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120356,'The Two-toed Rat','','','','',255,196,60,0,1,1,11,0,0,1,1,1,0,0,12,405,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120361,'a Darkpaw lookout','','','','',255,1384,25,0,1,1,11,0,0,1,1,1,0,122,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120362,'a Darkpaw rotstuffer','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120363,'a Darkpaw animator','','','','',255,3816,30,2,1,1,11,0,0,1,1,1,0,122,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120364,'Animator Rotpaw','','','','',255,4099,32,0,1,1,11,0,0,1,1,1,0,1,32,4330,1255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120366,'Darmen Sproutmore','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120367,'a klicnik warrior','','','','',255,221,57,3,1,1,11,0,0,1,1,1,0,1,8,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120368,'Hucklethin Gorsefoot','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120371,'a klicnik worker','','','','',255,221,49,3,1,1,11,0,0,1,1,1,0,1,8,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120372,'a klicnik prince','','','','',255,221,67,3,1,1,11,0,0,1,1,1,0,1,8,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120376,'a Sabertooth elder','','','','',255,3816,33,0,1,1,11,0,0,1,1,1,0,122,32,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120377,'Revyl Kylar','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120378,'a Sabertooth captor','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120379,'a Sabertooth captor','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120380,'a Sabertooth tormentor','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120384,'a Necrosis auger','','','','',255,145,31,3,1,1,11,0,0,1,1,1,0,1,35,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120385,'a Necrosis shrew','','','','',255,145,35,3,1,1,11,0,0,1,1,1,0,1,35,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120386,'Lord Rison','','','','',255,140,31,3,1,1,11,0,0,1,1,1,0,1,36,5595,1570,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120392,'a Bloodsaber agent','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120394,'Graalwen','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120395,'a Sabertooth camp guard','','','','',255,1384,24,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120396,'Jayl''Krik','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120397,'a Sabertooth spear guard','','','','',255,1384,24,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120398,'Geddard','<General Goods>','','','',9,134,31,2,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,32210,0,0,0,0,0,0,0,0,0,0,0,0),
(120399,'Lord Bennet','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120400,'Captain Beltho','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120401,'Dworn Soulforge','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120402,'Vishra','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120403,'Rikantus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120404,'a mucus zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120405,'a small skeletal brat','','','','',9,1521,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120406,'a bloated skeleton','','','','',9,139,32,0,1,1,11,0,0,1,1,0,0,0,36,350,350,0,0,0,0,0,0,261888,0,0,0,0,0,0,0,0),
(120407,'The Darkpaw Fanglord','','','','',255,3815,38,0,1,1,11,0,0,1,1,1,0,122,32,6040,1160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120408,'a forest warden','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,1660,530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120409,'an Antonican stag','','','','',255,2414,52,3,1,1,11,0,0,1,1,1,0,0,38,1720,530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120410,'Dancer','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120411,'Soldier Homrie','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120412,'Sentry Dunstan','','','','',9,134,31,3,1,1,9,0,0,1,1,1,0,214,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120413,'Sentry Alden','','','','',9,134,32,3,1,1,9,0,0,1,1,1,0,214,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120414,'Ignar Steadirt','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120415,'a pond beaver','','','','',255,207,20,3,1,1,11,0,0,1,1,1,0,0,49,795,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120416,'Sarkin Searfang','','','','',255,4099,28,0,1,1,11,0,0,1,1,1,0,122,32,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120417,'a sand covered crab','','','','',255,211,22,0,1,1,11,0,0,1,1,1,0,0,25,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120418,'Yuri','','','','',13,68,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120419,'Tark Searfang','','','','',255,4099,25,0,1,1,11,0,0,1,1,1,0,122,32,1510,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120420,'a dankfur gnoll','','','','',255,3816,24,0,1,1,11,0,0,1,1,1,0,1,32,655,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120421,'a Coldwind Lunker','','','','',255,194,75,0,1,1,11,0,0,1,1,1,0,1,8,2380,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120423,'an oar grappler','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120424,'a Sabertooth sentinel','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,122,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120425,'a Sabertooth champion','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120426,'a Sabertooth Hero','','','','',255,3814,44,0,1,1,11,0,0,1,1,1,0,122,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120427,'a Sabertooth mongrel','','','','',255,1384,34,0,1,1,11,0,0,1,1,1,0,122,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120429,'a Sabertooth shaman','','','','',255,3816,34,0,1,1,11,0,0,1,1,1,0,122,32,890,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120430,'a Sabertooth champion','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,122,32,620,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120431,'Squire Kivan','','','','',9,134,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120432,'Sir Jeager','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120433,'Qalento','','','','',255,6846,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120437,'a Darkpaw brigand','','','','',255,1384,28,6,1,1,11,0,0,1,1,1,0,122,32,465,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120438,'Tactician Mengs','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120439,'a slain guard','<Qeynos Guard>','','','',9,134,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120441,'a Darkpaw tribal elder','','','','',255,3814,28,0,1,1,11,0,0,1,1,1,0,122,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120446,'Corporal Batton','','','','',9,134,29,3,1,1,9,0,0,0,0,1,0,0,32,22500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120449,'a risen protector','','','','',255,140,27,3,1,1,11,0,0,1,1,1,0,1,36,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120450,'a decaying skeleton','','','','',9,1521,23,3,1,1,11,0,0,1,1,1,0,1,36,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120451,'a sand lurker','','','','',255,1346,32,3,1,1,11,0,0,1,1,1,0,1,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120452,'The Klicnik Queen','','','','',255,221,102,0,1,1,11,0,0,1,1,1,0,1,8,2615,805,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120453,'King Klicnik','','','','',255,221,89,0,1,1,11,0,0,1,1,1,0,1,8,2535,805,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120456,'a mausoleum protector','','','','',255,160,32,0,1,1,11,0,0,1,1,1,0,1,35,1500,465,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120457,'Guard Chaffey','','','','',9,134,31,2,1,1,0,0,228,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120458,'Sir Dinzzie','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120464,'a bloodsaber seditionist','','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,1,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120465,'Kearney','<The NEW Steel Warriors>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(120466,'Dala Plateheart','','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120471,'a den mother','','','','',255,198,35,0,1,1,11,0,0,1,1,1,0,0,36,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120472,'a grime covered savage','','','','',0,112,28,2,1,1,11,0,0,1,1,1,0,1,34,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120473,'a haze kodiak cub','','','','',255,198,19,0,1,1,11,0,0,1,1,1,0,1,36,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120475,'a root strangler','','','','',255,274,57,0,1,1,11,0,0,1,1,1,0,1,64,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120476,'a Gate Caller scion','<Teleportation to the Overrealm>','','','',3,1595,32,0,1,1,9,0,0,0,0,1,0,0,34,901,901,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(120478,'an Unkempt harbinger','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,975,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120482,'Mister Jumtum','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120486,'Viragos, Assassin of the Hand','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120489,'Guard Waters','','','','',9,134,30,1,1,1,0,0,228,0,0,1,0,0,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120490,'Guard Laughton','','','','',9,134,31,2,1,1,0,0,228,0,0,1,0,0,34,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120492,'a tamed rumbler','','','','',255,2413,21,3,1,1,11,0,0,1,1,1,0,1,32,675,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120493,'a cistern worm','','','','',255,284,59,3,1,1,11,0,0,1,1,1,0,1,38,2550,725,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120494,'a Cavemaw rock melter','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,1700,540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120495,'The Windstalker Rumbler','','','','',255,2411,64,0,1,1,11,0,0,1,1,1,0,1,32,62417,30000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120496,'a cistern worm pupa','','','','',255,284,25,3,1,1,11,0,0,1,1,1,0,1,38,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120508,'Franco','','','','',9,6846,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120509,'Chipido','','','','',9,6846,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120510,'Eenekie Blazdine','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120511,'Dillan Bolefreg','','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120512,'Abram Calvern','<Shieldsmith>','','','',9,134,28,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,32578,0,0,0,0,0,0,0,0,0,0,0,0),
(120513,'an ancient octopus','','','','',255,210,56,8,1,1,11,0,0,1,1,1,0,1,32,4480,1260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120522,'Priest of the Plaguebringer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,4330,1260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120523,'a plaguebringer acolyte','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120525,'Larissa Barone','','','','',9,132,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120531,'a Sabertooth Pack Lord','','','','',255,3815,38,0,1,1,11,0,0,1,1,1,0,122,32,4300,1219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120535,'a sodden skeleton','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120539,'a driftwood defiler','','','','',255,274,22,0,1,1,11,0,0,1,1,1,0,1,64,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120544,'a plaguebringer acolyte','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120545,'a plaguebringer acolyte','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120546,'a plaguebringer acolyte','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120547,'a drakota adept','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,1,20,3500,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120548,'Anguis','','','','',255,238,102,0,1,1,11,0,0,1,1,1,0,1,20,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120556,'Disimbal Slytharn','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120567,'Note','','','','',255,5006,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120571,'a Malevolent Viper','','','','',255,213,80,0,1,1,11,0,0,1,1,1,0,1,8,540,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120606,'psychomalleable ice','','','','',255,311,32,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120610,'a Coldwind King Crab','','','','',255,211,38,0,1,1,11,0,0,1,1,1,0,1,25,2215,735,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120616,'Lady Faideth','','','','',9,132,31,2,1,1,11,0,0,1,1,1,0,1,32,5595,1570,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120631,'a crazed gnoll','','','','',255,3816,33,0,1,1,11,0,0,1,1,1,0,1,32,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120655,'a Bloodsaber Corruptor','','','','',9,132,33,0,1,1,11,0,0,1,1,1,0,1,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120669,'a stone rumbler','','','','',255,2411,44,0,1,1,11,0,0,1,1,1,0,1,32,4025,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120672,'a coldwind crewman','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120673,'a coldwind gunner','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120674,'a coldwind medic','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,890,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120687,'Stoneclaw','','','','',255,211,35,0,1,1,11,0,0,1,1,1,0,1,25,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120719,'a construction laborer','','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120752,'a tent','','','','',9,2467,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120782,'Zarla Vinlo','<Bandit Leader>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120804,'The Darkpaw Fanglord','','','','',255,3815,38,0,1,1,11,0,0,1,1,1,0,122,32,6040,1160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120842,'Galzar Dankfur','<Troublemaker>','','','',255,4099,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120848,'Ponchy Shorttoe','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(120858,'a Cavemaw sentinel','','','','',255,1384,33,0,1,1,11,0,0,1,1,1,0,1,32,1500,465,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120859,'Dockmaster Wilson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120860,'Guard Kaplan','','','','',9,134,33,0,1,1,13,0,0,1,1,1,0,11,32,19605,5685,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120861,'Director Jasmine','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120868,'an Antonican forester','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120869,'an Antonican forester','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120873,'a foci of decay','','','','',9,2370,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120875,'Blackbark','','','','',255,274,64,0,1,1,11,0,0,1,1,1,0,1,64,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120886,'lockbox',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120887,'widget_starwisp_flour',NULL,'','','',0,49,32,0,1,1,630,0,0,0,0,1,1,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120888,'quest_trigger_scorn_shame_irisor',NULL,'','','',0,49,32,0,0,0,265,0,0,0,0,1,1,0,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120889,'quest_tartons_wheel_beza',NULL,'','','',0,49,32,0,0,0,631,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120890,'bookcase_windstalker',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,1,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120891,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120892,'quest_froglok_south_guard_tower',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,710,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120893,'ale_keg',NULL,'','','',0,49,32,0,0,0,1037,0,0,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120894,'quest_heritage_fbss_ale_keg',NULL,'','','',0,49,32,0,0,0,1038,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120895,'widget_bowl_map',NULL,'','','',0,49,32,0,1,0,1370,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120896,'quest_blarton_bait',NULL,'','','',0,49,32,0,0,0,1039,0,0,0,0,1,1,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120897,'widget_torch_three_covenglade',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120898,'3a_witch_cauldron',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120899,'widget_torch_two_covenglade',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120900,'tome_mastery_gnoll_widget',NULL,'','','',0,49,32,0,0,0,186,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120901,'hunters_manifest',NULL,'','','',0,49,32,0,0,0,1385,0,0,0,0,1,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120902,'',NULL,'','','',0,49,32,0,0,0,1041,0,0,0,0,1,1,0,758,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120903,'',NULL,'','','',0,49,32,0,0,0,1046,0,0,0,0,1,1,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120904,'',NULL,'','','',0,49,32,0,0,0,1047,0,0,0,0,1,1,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120905,'',NULL,'','','',0,49,32,0,0,0,1048,0,0,0,0,1,1,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120906,'liftrock',NULL,'','','',0,49,32,0,0,0,1049,0,0,0,0,1,1,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120907,'quest_binding_fire_widget',NULL,'','','',0,49,32,0,0,0,285,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120908,'horse_hay',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120909,'widget_torch_one_covenglade',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120910,'',NULL,'','','',0,49,32,0,0,0,1034,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120911,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1037,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120912,'gravedirt01',NULL,'','','',0,2916,31,0,0,1,5,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120913,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120915,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120916,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120917,'qey_blacksmith_table001',NULL,'','','',0,46,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120918,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120919,'qey_blacksmith_bellows001',NULL,'','','',0,42,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120920,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120921,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120922,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120923,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120924,'qst_unseenhand_table_2',NULL,'','','',0,1402,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120925,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120926,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120927,'floor_mug_human_ornate01',NULL,'','','',0,3381,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120928,'white_candle',NULL,'','','',0,3451,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(120929,'floor_mug_human_plain01',NULL,'','','',0,3382,29,0,1,0,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120930,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,0,0,0,0,0,0,1,1,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120931,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,0,0,0,0,0,0,1,1,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120932,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120934,'solusek ro history',NULL,'','','',0,3030,19,0,0,0,58,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120935,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120936,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,0,0,61,0,0,0,0,1,1,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120937,'goblin_tent02',NULL,'','','',0,1545,29,0,1,1,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120938,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120939,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120940,'solusek ro brazier',NULL,'','','',0,1619,48,0,1,1,149,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120941,'bedroll',NULL,'','','',0,1997,20,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120942,'cooking pot',NULL,'','','',0,2692,32,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120943,'rope',NULL,'','','',0,3574,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120944,'weaponrack03',NULL,'','','',0,4651,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120945,'fprt_tables_scribedesk01 ',NULL,'','','',0,1517,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120946,'Academy Door',NULL,'','','',0,3738,47,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120947,'egg_ice_01',NULL,'','','',0,1667,192,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120948,'Right Draconic Door',NULL,'','','',0,3738,57,0,1,1,167,0,511,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120949,'Left Draconic Door',NULL,'','','',0,3738,78,0,1,1,167,0,511,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120950,'training_dummy',NULL,'','','',0,1558,36,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120951,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,61,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120952,'teleportation cube',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120953,'void_object_1',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120954,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120955,'crate',NULL,'','','',0,3146,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120956,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120957,'quest_gnomish_treasure_23',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120958,'quest_gnomish_treasure_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120959,'quest_gnomish_treasure_30',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120960,'quest_gnomish_treasure_29',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120961,'quest_gnomish_treasure_28',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120962,'quest_gnomish_treasure_08',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120963,'quest_gnomish_treasure_18',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120964,'quest_gnomish_treasure_17',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120965,'a large scroll',NULL,'','','',0,2544,6,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120966,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120967,'qst_galintos_stove_1',NULL,'','','',0,1423,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120968,'qey_boulder02',NULL,'','','',0,1725,32,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120969,'quest_gnomish_treasure_10',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120970,'gnoll_burrowpile01',NULL,'','','',0,18749,32,0,1,1,0,0,0,0,0,0,0,0,172,0,0,0,0,0,0,0,0,261632,0,0,0,0,0,0,0,0),
(120971,'quest_gnomish_treasure_13',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120972,'quest_gnomish_treasure_14',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120973,'fur_lined_gloves_down_hay',NULL,'','','',0,1848,32,0,1,1,354,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120974,'quest_gnomish_treasure_16',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120975,'librarian_desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120976,'zone_to_guildhall_tier3',NULL,'','','',0,18956,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120977,'poppies',NULL,'','','',0,48,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120978,'Firepit',NULL,'','','',0,2019,50,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120979,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120980,'goblin_cage01',NULL,'','','',0,1528,21,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120981,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,0,0,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120982,'large tent',NULL,'','','',0,4912,31,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120983,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(120984,'flour',NULL,'','','',0,3531,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120985,'flour',NULL,'','','',0,3532,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120986,'a wooden cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120987,'pillow_green',NULL,'','','',0,2751,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120988,'large tent',NULL,'','','',0,4911,24,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120989,'quest_gnomish_treasure_15',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120990,'quest_gnomish_treasure_12',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120991,'quest_gnomish_treasure_00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120992,'quest_gnomish_treasure_26',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120993,'quest_gnomish_treasure_27',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120994,'quest_gnomish_treasure_06',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120995,'Exp03 Antonica Sorcerer Rune',NULL,'','','',0,4180,32,0,1,1,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120996,'exp03_table_carving_rings',NULL,'','','',0,2306,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120997,'binding_aqueduct_object',NULL,'','','',0,1513,54,0,1,1,629,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120998,'binding_aqueduct',NULL,'','','',0,1541,34,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(120999,'A Gnoll Tent',NULL,'','','',0,4606,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121000,'A Gnoll Tent',NULL,'','','',0,2467,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121001,'fishing_pole_00',NULL,'','','',0,5745,31,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121002,'bedroll',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121003,'quest_gnomish_treasure_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121004,'quest_gnomish_treasure_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121005,'gnoll_tent',NULL,'','','',0,2467,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121006,'zone_to_guildhall_tier3',NULL,'','','',0,16,32,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121007,'an unstable pocket',NULL,'','','',0,10513,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121008,'goblin_tent01',NULL,'','','',0,1544,32,0,1,1,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121009,'quest_gnomish_treasure_11',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121010,'quest_gnomish_treasure_24',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121011,'quest_gnomish_treasure_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121012,'quest_gnomish_treasure_25',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121013,'quest_gnomish_treasure_07',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121014,'quest_gnomish_treasure_09',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121015,'quest_gnomish_treasure_05',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121016,'quest_gnomish_treasure_19',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121017,'quest_gnomish_treasure_21',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121018,'quest_gnomish_treasure_22',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121019,'quest_gnomish_treasure_20',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121020,'freshgrave_00',NULL,'','','',0,2916,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121021,'goblin_flag01',NULL,'','','',0,1530,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121022,'Jolina Fairfeather''s Gravestone',NULL,'','','',0,5791,22,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121024,'gnoll_dirt_pile',NULL,'','','',0,2501,32,0,1,1,162,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121027,'warrior_cap_quest_widget',NULL,'','','',0,1489,32,0,1,1,1036,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121028,'bag',NULL,'','','',0,4186,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121029,'rotstuff scarecrow',NULL,'','','',0,1918,38,0,1,1,61,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121030,'Crucible table with smoke',NULL,'','','',0,1672,32,0,0,0,61,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121031,'enchanted_quiverstraw_hay',NULL,'','','',0,1848,32,0,0,0,61,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121032,'bedroll',NULL,'','','',0,1998,31,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121033,'evernight cemetery tree',NULL,'','','',0,1460,60,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121035,'rikantus fire ring',NULL,'','','',0,2222,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121036,'rikantus tent',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121038,'cooking pot',NULL,'','','',0,2691,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121039,'crate',NULL,'','','',0,1949,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121040,'staff',NULL,'','','',0,2426,64,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121041,'dock_wood',NULL,'','','',0,5086,24,0,1,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121042,'dock_wood',NULL,'','','',0,4676,24,0,1,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121043,'dock_support',NULL,'','','',0,21,64,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121044,'lantern',NULL,'','','',0,2072,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121045,'qst_scp_gnoll_stone_of_graw',NULL,'','','',0,2055,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121046,'qst_glowing_rune',NULL,'','','',0,2306,2,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121048,'nbhum_branches_leafy_d',NULL,'','','',0,1623,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121049,'fprt_flowers_purple',NULL,'','','',0,1622,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121050,'qey_scribe_village06_door01',NULL,'','','',0,2528,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121051,'gnoll supplies',NULL,'','','',0,1393,35,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121052,'Statue of Marr',NULL,'','','',0,1368,32,0,1,1,626,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121053,'a sphere of shadow',NULL,'','','',0,4139,128,0,0,0,45,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121054,'an ark of power',NULL,'','','',0,4136,25,0,1,0,45,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121055,'a conjuring cauldron',NULL,'','','',0,4130,35,0,0,0,45,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121056,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(121057,'Flying Race Beacon 01',NULL,'','','',0,15265,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121058,'Flying Race Beacon 01',NULL,'','','',0,15270,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121059,'Flying Race Beacon 02',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121060,'Flying Race Beacon 03',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121061,'Flying Race Beacon 04',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121062,'Flying Race Beacon 05',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121063,'Flying Race Beacon 06',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121064,'Flying Race Beacon 07',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121065,'Flying Race Beacon 08',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121066,'Flying Race Beacon 09',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121067,'Flying Race Beacon 10',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121068,'Flying Race Beacon 11',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121069,'Flying Race Beacon 12',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121070,'Flying Race Beacon 13',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121071,'Flying Race Beacon 14',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121072,'Flying Race Beacon 15',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121073,'Flying Race Beacon 16',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121074,'Flying Race Beacon 17',NULL,'','','',0,15266,32,0,0,0,0,0,23058,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121075,'Flying Race Beacon 18',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121076,'Flying Race Beacon 19',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121077,'Flying Race Beacon 20',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121078,'Flying Race Beacon 21',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121079,'Flying Race Beacon 22',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121080,'Flying Race Beacon 23',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121081,'Flying Race Beacon 24',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121082,'Flying Race Beacon 25',NULL,'','','',0,15266,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121083,'Flying Race Finish Line',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121084,'Flying Race Finish Line',NULL,'','','',0,15272,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121085,'flying_race_teleport_pad',NULL,'','','',0,15380,32,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121086,'Flying Race Score Board',NULL,'','','',0,15259,32,0,1,1,0,0,0,0,0,1,0,0,285,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121087,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(121088,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121089,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121090,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121091,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121092,'wanted poster',NULL,'','','',0,3655,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121095,'The Ulteranis',NULL,'','','',0,1513,64,0,1,1,45,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121096,'Translocator Spires',NULL,'','','',0,2306,96,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121097,'Sabotage_sabotage/freeport_1_x7_1',NULL,'','','',0,1848,32,0,1,0,296,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121098,'sign_to_thundering_steppes_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121099,'sign_to_north_qeynos_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121100,'sign_the_long_way_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121101,'zone_to_qey_north',NULL,'','','',0,49,32,0,0,0,1003,0,0,0,0,1,0,0,517,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121102,'Sabotage_sabotage/freeport_1_x10_1',NULL,'','','',0,3156,32,0,1,1,296,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121103,'Sabotage_sabotage/freeport_1_x9_2',NULL,'','','',0,3155,32,0,1,1,355,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121104,'Sabotage_sabotage/freeport_1_x2_1',NULL,'','','',0,4617,32,0,1,1,296,0,0,0,0,1,1,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121105,'Sabotage_sabotage/freeport_1_x4_1',NULL,'','','',0,3348,32,0,1,1,228,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121106,'Sabotage_sabotage/freeport_1_x5_1',NULL,'','','',0,4606,32,0,0,0,356,0,0,0,0,1,1,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121107,'Sabotage_sabotage/freeport_1_x6_1',NULL,'','','',0,4608,22,0,1,1,357,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121110,'The Shattered Vale',NULL,'','','',0,49,32,0,1,1,386,0,0,0,0,1,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121111,'sign_to_thundering_steppes_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121112,'sign_to_qeynos_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121113,'sign_northward_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121114,'quest_froglok_lizardman_hideout',NULL,'','','',0,49,32,0,1,1,597,0,0,0,0,1,0,0,351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121115,'qst_gnomish_antonica_finder',NULL,'','','',0,4456,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121117,'windstalker cliff statue',NULL,'','','',0,1987,32,0,1,1,135,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121118,'mi_creature_entrance',NULL,'','','',0,1987,66,0,1,1,632,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121119,'sign_grave_of_holly_windstalker_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121120,'sign_to_thundering_steppes_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121121,'sign_to_qeynos_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121122,'quest_binding_tree',NULL,'','','',0,49,32,0,1,1,633,0,0,0,0,1,1,0,1135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121123,'sign_to_qeynos_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121124,'mi_aqueduct_entrance01',NULL,'','','',0,38,48,0,1,1,634,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121125,'sign_to_qeynos_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121127,'sign_to_thundering_steppes_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121128,'sign_to_the_black_glade_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121129,'sign_to_south_qeynos_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121130,'zone_to_qey_adv04_bog_traitor',NULL,'','','',0,49,32,0,1,1,363,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121131,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(121132,'zone_to_windstalker_sepulchre',NULL,'','','',0,49,32,0,1,1,1002,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121134,'Translocator Sprires',NULL,'','','',0,2306,48,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,50,0,0,0,0,1,0,0,0,0,0,0),
(121135,'sign_to_thundering_steppes_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121136,'sign_to_south_qeynos_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121137,'sign_to_north_qeynos_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121138,'Sabotage_sabotage/freeport_1_x9_1',NULL,'','','',0,3157,32,0,1,1,755,0,0,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121139,'qst_bell_of_vhalen',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121140,'sign_to_thundering_steppes_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121141,'under bridge killroy',NULL,'','','',0,1985,66,0,1,1,135,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121142,'sign_to_qeynos_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121143,'sign_to_thundering_steppes_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121144,'sign_to_qeynos_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121145,'gravestone01',NULL,'','','',0,1549,32,0,1,1,440,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121146,'sign_to_thundering_steppes_7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121147,'sign_to_qeynos_7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121148,'sign_the_long_way_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121149,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0),
(121151,'teleporter_to_bar',NULL,'','','',0,2306,32,0,1,1,45,0,14721,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121152,'sign_to_qeynos_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121153,'to_blackburrow_log',NULL,'','','',0,49,32,0,1,1,1050,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121154,'zone_to_blackburrow_door',NULL,'','','',0,49,32,0,1,1,1050,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121155,'zone_to_blackburrow_water',NULL,'','','',0,49,32,0,1,1,1050,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121156,'zone_to_steppes_cave_right',NULL,'','','',0,49,32,0,1,1,1010,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121157,'zone_to_steppes_cave_left',NULL,'','','',0,49,32,0,1,1,1010,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121158,'to_stormhold_main_entrance',NULL,'','','',0,49,32,0,0,0,1051,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121159,'zone_to_qey_south',NULL,'','','',0,49,32,0,1,1,757,0,0,0,0,1,0,0,437,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121160,'Imperiled Druid Ring',NULL,'','','',0,1724,31,0,1,1,799,0,0,0,0,1,1,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121161,'zone_to_boat_06p_hold_of_prexus_00',NULL,'','','',0,4644,32,0,1,1,45,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121162,'zone_to_antonica_catacomb01',NULL,'','','',0,1489,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121163,'zone_to_steppes_road_right',NULL,'','','',0,49,32,0,1,1,1010,0,0,0,0,1,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121164,'zone_to_steppes_road_left',NULL,'','','',0,49,32,0,1,1,1010,0,0,0,0,1,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121165,'to_stormhold_secret_ent',NULL,'','','',0,49,32,0,1,1,1051,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121166,'zone_to_live_enchanted_grotto05',NULL,'','','',0,10329,48,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121167,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121170,'wind felled tree',NULL,'','','',0,3925,23,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121172,'sandwashed rock',NULL,'','','',0,2265,41,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121173,'plains shrubbery',NULL,'','','',0,4075,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121175,'shoal of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121177,'Jester''s garden',NULL,'','','',0,9564,24,0,1,1,2,0,2142,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(121179,'salty tear',NULL,'','','',0,1738,33,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121180,'grub-rich soil',NULL,'','','',0,2916,27,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121181,'pure water',NULL,'','','',0,2306,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121182,'a flower of hope',NULL,'','','',0,1738,25,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121183,'a shiny object',NULL,'','','',0,2244,32,0,1,1,1283,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121184,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121185,'Maiden''s Grace','','','','',0,7941,32,0,0,0,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121186,'artifact adder 2','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121187,'Relana Everglade','<Tunarian Alliance>','','','',15,113,32,3,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121197,'artifact adder 3','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121200,'Protector Emerson','','','','',9,134,31,2,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121201,'Scholar Al''Quylar','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121202,'Thompson','<Guard>','','','',9,134,31,2,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121204,'Protector Swithin','','','','',9,134,31,3,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121205,'Protector Hawes','','','','',9,134,31,3,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121206,'Protector Wickham','','','','',9,134,32,3,1,1,0,0,0,0,0,1,0,0,34,22500,6400,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121213,'a griffin tamer','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121214,'Swift Feather','','','','',255,225,41,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121215,'artifact adder 1','','','','',0,4479,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121216,'a Deepwater researcher','<Deepwater Circle>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121217,'Vargbend Cogwinder','<Ekroosik''s Replicators>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,256,0,0,0),
(121228,'Guard Lambton','','','','',9,134,30,3,1,1,11,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(121231,'Jarvis','<Guard>','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121232,'a rat nest','','','','',255,2400,32,0,1,0,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121239,'Cru Naseto','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121244,'Coffrey','<Guard>','','','',9,134,31,2,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(121245,'Guard Ritter','','','','',9,18214,31,3,1,1,11,0,0,1,1,1,0,11,34,9195,2075,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(121247,'Mouser','','','','',255,225,41,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121251,'a grouping of seaweed','','','','',9,2437,80,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121256,'Taskmaster Lynette','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121257,'Harbormaster Larra','<Harbormaster>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121259,'a Giantslayer messenger','','','','',0,112,32,0,1,1,0,0,228,0,0,1,0,0,34,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121270,'a locked treasure chest','','','','',9,3078,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121274,'Stephen Pikefist','','','','',9,134,32,0,1,1,9,0,13056,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121277,'Merle Trevine','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121278,'Bobby McQuibble','','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121280,'a highwayman campfire','','','','',9,4144,38,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121288,'Isdemus Hamest','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121291,'Conall Lancebreaker','','','','',0,1467,32,0,1,1,9,0,11422,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121292,'Old Man McQuibble','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121295,'Nevisie Amonrae','','','','',15,5070,28,3,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121298,'Innkeeper Naroob','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,16227,0,0,0,0,0,0,0,0,0,0,0,0),
(121299,'Henry Maxwell Denalis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0),
(121300,'a rotstuffed scarecrow','','','','',255,261,39,7,1,1,11,0,0,1,1,1,0,0,32,1910,615,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121302,'Daryann Stormrider','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,260096,0,0,0,0,0,0,0,0),
(121308,'Licha','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,241,241,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0),
(121309,'Hartok Woolyman','','','','',0,1700,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121312,'Yoru the Old','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121334,'a pile of rubbish','','','','',9,1537,32,0,1,0,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121338,'Watchman Loxley','','','','',9,23908,32,3,1,1,11,0,0,1,1,1,0,11,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121341,'Watchman Haggerty','','','','',9,134,31,2,1,1,11,0,0,1,1,1,0,0,32,24500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121348,'Sentry Geddis','','','','',9,18214,33,3,1,1,9,0,0,1,1,1,0,214,32,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121356,'Sparrow Cogcarrier','','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121358,'a focus of decay','','','','',9,2370,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121360,'Jimbo','<The NEW Steel Warriors>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121361,'Dolph','<The NEW Steel Warriors>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(121376,'Jenkins','<Qeynosian Officer>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121377,'Nault','<Guard>','','','',9,134,31,3,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121378,'Soldier Selennia','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121379,'Sentry Deegan','','','','',9,134,32,3,1,1,9,0,0,1,1,1,0,0,32,24500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121380,'Sentry Secord','','','','',9,134,32,2,1,1,9,0,0,1,1,1,0,11,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121381,'Selinda Whispersong','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121382,'Sentry Innis','','','','',9,134,31,2,1,1,9,0,0,1,1,1,0,0,32,24500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121383,'Sentry Briar','','','','',9,134,31,2,1,1,9,0,0,1,1,1,0,0,32,24500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121384,'Lieutenant Fenwill','','','','',9,134,31,2,1,1,9,0,0,0,0,1,0,0,32,22500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121385,'Soldier Pellenos','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121388,'Landwyn Velamir','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121391,'Aroof Wolfchaser','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121397,'a Qeynosian Guard','<Guard>','','','',9,18214,31,3,1,1,13,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121413,'Sentry Acton','','','','',9,134,32,3,1,1,9,0,0,0,0,1,0,0,32,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121429,'Sentry Smythe','','','','',9,134,32,3,1,1,9,0,0,1,1,1,0,11,32,6504,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121435,'Tyllia Navar','<Hunter of Gnolls>','','','',6,79,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121442,'a larvae infested carcass','','','','',9,2372,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121447,'Revyl Kylar','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121452,'a Necrosis conscript','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,1,35,1290,425,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121458,'Graalwen','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121460,'Jayl''Krik','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121482,'a dankfur dock warden','','','','',255,1384,32,0,1,1,1045,0,0,1,1,1,0,1,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121488,'Grolven Chiptooth','','','','',255,3815,38,0,1,1,11,0,0,1,1,1,0,122,32,7175,1720,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0),
(121492,'Qalento','','','','',255,6846,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121494,'Tactician Mengs','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121504,'Sir Dinzzie','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121505,'Kearney','<The NEW Steel Warriors>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121511,'Renux the Undying','','','','',255,140,41,0,1,1,11,0,0,1,1,1,0,1,36,2535,805,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121512,'Guard Waters','','','','',9,134,31,2,1,1,0,0,228,0,0,1,0,0,32,22500,6400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121513,'Guard Laughton','','','','',9,134,31,2,1,1,0,0,228,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121526,'Larissa Barone','','','','',9,132,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121529,'Disimbal Slytharn','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121532,'a baby owlbear','','','','',255,270,6,0,1,1,0,0,0,0,0,1,0,0,36,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121534,'Lucy Lovewing','<Erollisi Day Promoter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121535,'Taith McJarun','<Deepwater Circle>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,262016,0,0,0,0,0,0,0,0),
(121537,'an ironbelly rabbit','','','','',255,23709,32,0,0,0,1261,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0),
(121538,'Farmer Gerrit','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121540,'Outrider Lidsey','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121543,'Farmer Helver','','','','',9,134,32,0,1,1,9,0,10831,0,0,1,0,0,32,16,16,0,0,0,0,0,0,1114108,0,0,0,0,0,0,0,0),
(121546,'Goldie Hammerfall','<Erollisi Day - Hearts a''Flutter Contest>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121547,'David Torchsong','<Disciple of Love>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121548,'a large Coldwind perch','','','','',255,204,41,0,1,1,11,0,0,1,1,1,0,0,8,550,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121564,'a Hart of the Grove','','','','',255,2414,32,3,1,1,11,0,0,1,1,1,0,0,38,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121571,'lockbox_quest',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121572,'widget_starwisp_flour',NULL,'','','',0,49,32,0,0,0,630,0,0,0,0,1,1,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121573,'quest_trigger_scorn_shame_irisor',NULL,'','','',0,49,32,0,0,0,265,0,0,0,0,1,1,0,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121574,'quest_tartons_wheel_beza',NULL,'','','',0,49,32,0,0,0,631,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121575,'bookcase_windstalker',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121576,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121577,'ale_keg',NULL,'','','',0,49,32,0,0,0,1037,0,0,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121578,'quest_heritage_fbss_ale_keg',NULL,'','','',0,49,32,0,0,0,1038,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121579,'widget_bowl_map',NULL,'','','',0,49,32,0,0,0,1370,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121581,'widget_torch_three_covenglade',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121582,'3a_witch_cauldron',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121583,'widget_torch_two_covenglade',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121584,'tome_mastery_gnoll_widget',NULL,'','','',0,49,32,0,0,0,186,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121585,'hunters_manifest',NULL,'','','',0,49,32,0,0,0,1385,0,0,0,0,1,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121586,'',NULL,'','','',0,49,32,0,0,0,1041,0,0,0,0,1,1,0,758,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121587,'',NULL,'','','',0,49,32,0,0,0,1046,0,0,0,0,1,1,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121588,'',NULL,'','','',0,49,32,0,0,0,1047,0,0,0,0,1,1,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121589,'',NULL,'','','',0,49,32,0,0,0,1048,0,0,0,0,1,1,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121590,'liftrock',NULL,'','','',0,49,32,0,0,0,1049,0,0,0,0,1,1,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121591,'quest_binding_fire_widget',NULL,'','','',0,49,32,0,0,0,285,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121592,'horse_hay',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121593,'widget_torch_one_covenglade',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121594,'',NULL,'','','',0,49,32,0,0,0,1034,0,0,0,0,1,1,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121595,'gravedirt01',NULL,'','','',0,2916,31,0,0,0,5,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121596,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121597,'hay_1',NULL,'','','',0,1848,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121598,'qey_blacksmith_table001',NULL,'','','',0,46,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121599,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121600,'qey_blacksmith_bellows001',NULL,'','','',0,42,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121601,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121602,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121603,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121604,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121605,'qst_unseenhand_table_2',NULL,'','','',0,1402,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121606,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121607,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121608,'white_candle',NULL,'','','',0,3451,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121609,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,0,0,0,0,0,0,1,1,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121610,'rolled sleeping sack',NULL,'','','',0,1407,32,0,1,0,0,0,0,0,0,1,1,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121611,'spell_effect_flames',NULL,'','','',0,2306,160,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121613,'solusek ro history',NULL,'','','',0,3030,19,0,0,0,58,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121614,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121615,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,0,1,61,0,0,0,0,1,1,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121616,'goblin_tent02',NULL,'','','',0,1545,29,0,0,0,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121617,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121618,'rock01',NULL,'','','',0,1550,128,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121619,'solusek ro brazier',NULL,'','','',0,1619,48,0,0,0,149,0,0,0,0,1,1,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121620,'bedroll',NULL,'','','',0,1997,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121621,'cooking pot',NULL,'','','',0,2692,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121622,'rope',NULL,'','','',0,3574,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121623,'weaponrack03',NULL,'','','',0,4651,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121624,'fprt_tables_scribedesk01 ',NULL,'','','',0,1517,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121625,'training_dummy',NULL,'','','',0,1558,36,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121627,'teleportation cube',NULL,'','','',0,6159,32,0,0,0,0,0,0,0,0,1,1,0,32,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(121628,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121629,'crate',NULL,'','','',0,3146,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121630,'qey_boulder03',NULL,'','','',0,1725,40,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121631,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121632,'quest_gnomish_treasure_23',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121633,'quest_gnomish_treasure_04',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121634,'quest_gnomish_treasure_30',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121635,'quest_gnomish_treasure_29',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121636,'quest_gnomish_treasure_28',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121637,'quest_gnomish_treasure_08',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121638,'quest_gnomish_treasure_18',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121639,'quest_gnomish_treasure_17',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121640,'a large scroll',NULL,'','','',0,2544,6,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121641,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121642,'qst_galintos_stove_1',NULL,'','','',0,1423,32,0,0,0,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121643,'three purple roses',NULL,'','','',0,7138,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121644,'three red roses',NULL,'','','',0,7145,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121645,'quest_gnomish_treasure_10',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121646,'gnoll_burrowpile01',NULL,'','','',0,18749,32,0,1,1,0,0,0,0,0,0,0,0,172,0,0,0,0,0,0,0,0,261632,0,0,0,0,0,0,0,0),
(121647,'quest_gnomish_treasure_13',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121648,'quest_gnomish_treasure_14',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121649,'fur_lined_gloves_down_hay',NULL,'','','',0,1848,32,0,0,0,354,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121650,'quest_gnomish_treasure_16',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121651,'librarian_desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121652,'zone_to_guildhall_tier3',NULL,'','','',0,18956,16,0,0,0,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,1024,0,0,0,0,0,0,0,0),
(121653,'poppies',NULL,'','','',0,48,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121654,'Firepit',NULL,'','','',0,2019,31,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121655,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121656,'goblin_cage01',NULL,'','','',0,1528,21,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121657,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,0,0,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121658,'large tent',NULL,'','','',0,4912,31,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121659,'flour',NULL,'','','',0,3531,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121660,'flour',NULL,'','','',0,3532,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121661,'pillow_green',NULL,'','','',0,2751,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121662,'large tent',NULL,'','','',0,4911,24,0,0,0,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121663,'quest_gnomish_treasure_15',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121664,'quest_gnomish_treasure_12',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121665,'quest_gnomish_treasure_00',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121666,'quest_gnomish_treasure_26',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121667,'quest_gnomish_treasure_27',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121668,'quest_gnomish_treasure_06',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121669,'Exp03 Antonica Sorcerer Rune',NULL,'','','',0,4180,32,0,0,0,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121670,'exp03_table_carving_rings',NULL,'','','',0,2306,32,0,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121671,'binding_aqueduct_object',NULL,'','','',0,1513,54,0,0,0,629,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121672,'binding_aqueduct',NULL,'','','',0,1541,34,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121673,'A Gnoll Fire',NULL,'','','',0,4606,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121674,'A Gnoll Tent',NULL,'','','',0,2467,32,0,0,0,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121675,'fishing_pole_00',NULL,'','','',0,5745,31,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121676,'bedroll',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121677,'quest_gnomish_treasure_01',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121678,'quest_gnomish_treasure_02',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121679,'gnoll_tent',NULL,'','','',0,2467,32,0,0,0,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121680,'goblin_tent01',NULL,'','','',0,1544,32,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121681,'quest_gnomish_treasure_11',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121682,'quest_gnomish_treasure_24',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121683,'quest_gnomish_treasure_03',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121684,'quest_gnomish_treasure_25',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121685,'quest_gnomish_treasure_07',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121686,'quest_gnomish_treasure_05',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121687,'quest_gnomish_treasure_19',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121688,'quest_gnomish_treasure_21',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121689,'quest_gnomish_treasure_22',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121690,'quest_gnomish_treasure_20',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121691,'goblin_flag01',NULL,'','','',0,1530,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121692,'strongbox inside caltorsis',NULL,'','','',0,1936,22,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121693,'gnoll_dirt_pile',NULL,'','','',0,2501,32,0,0,0,162,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121694,'flowers for Landwyns love',NULL,'','','',0,1738,32,0,0,0,1035,0,0,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121695,'warrior_cap_quest_widget',NULL,'','','',0,1489,32,0,0,0,1036,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121696,'bag',NULL,'','','',0,4186,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121697,'rotstuff scarecrow',NULL,'','','',0,1918,38,0,0,0,61,0,0,0,0,1,1,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121698,'Crucible table with smoke',NULL,'','','',0,1672,32,0,0,0,61,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121699,'enchanted_quiverstraw_hay',NULL,'','','',0,1848,32,0,0,0,61,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121700,'bedroll',NULL,'','','',0,1998,31,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121701,'evernight cemetery gravestones',NULL,'','','',0,2377,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121702,'rikantus magic chest',NULL,'','','',0,2657,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121703,'rikantus fire ring',NULL,'','','',0,2222,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121704,'rikantus tent',NULL,'','','',0,2293,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121705,'gnoll_boat',NULL,'','','',0,4644,32,0,0,0,61,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121706,'cooking pot',NULL,'','','',0,2691,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121707,'crate',NULL,'','','',0,1949,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121708,'staff',NULL,'','','',0,2426,64,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121709,'dock_wood',NULL,'','','',0,5086,24,0,1,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121710,'dock_wood',NULL,'','','',0,4676,24,0,0,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121711,'dock_support',NULL,'','','',0,21,64,0,1,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121712,'lantern',NULL,'','','',0,2072,32,0,1,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121713,'qst_scp_gnoll_stone_of_graw',NULL,'','','',0,2055,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121714,'qst_glowing_rune',NULL,'','','',0,2306,2,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121715,'lost tombtone of dynne',NULL,'','','',0,2919,31,0,0,0,61,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121716,'nbhum_branches_leafy_d',NULL,'','','',0,1623,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121717,'fprt_flowers_purple',NULL,'','','',0,1622,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121718,'qey_scribe_village06_door01',NULL,'','','',0,2528,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121719,'gnoll supplies',NULL,'','','',0,1393,35,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121720,'Statue of Marr',NULL,'','','',0,1368,32,0,0,0,626,0,0,0,0,1,1,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121721,'Frosted Marble Statue of the Sisterhood',NULL,'','','',0,9598,51,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121722,'three pink roses',NULL,'','','',0,7132,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121723,'one white rose',NULL,'','','',0,7149,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121724,'three multi roses',NULL,'','','',0,7126,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121725,'',NULL,'','','',0,3925,32,0,0,0,1041,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121726,'mistmoore_manor_man_pillow01',NULL,'','','',0,11788,8,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121727,'erollisi_stainedglass_shardlove02',NULL,'','','',0,20879,12,0,0,0,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121728,'station_fancy_shelf_gold',NULL,'','','',0,16636,20,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121729,'erollisi_candles_redwhite',NULL,'','','',0,12310,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121730,'a sacred urn',NULL,'','','',0,4142,32,0,0,0,45,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121731,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,262128,0,0,0,0,0,0,0,0),
(121732,'lottery sign',NULL,'','','',0,1552,31,0,0,0,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121733,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121734,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,0,80,0,144,0,0,1,1,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(121735,'wanted poster',NULL,'','','',0,3655,32,0,0,0,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121736,'zone_to_antonica_epic02_firemyst_1',NULL,'','','',0,49,32,0,0,0,150,0,0,0,0,1,0,0,171,0,0,0,0,0,33007,0,0,0,0,0,0,0,0,0,0,0),
(121737,'zone_to_antonica_epic02_firemyst_0',NULL,'','','',0,49,32,0,0,0,150,0,0,0,0,1,0,0,171,0,0,0,0,0,33007,0,0,0,0,0,0,0,0,0,0,0),
(121738,'The Ulteranis',NULL,'','','',0,1513,64,0,0,1,45,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121739,'portal_to_obelisk',NULL,'','','',0,2306,70,0,0,0,308,0,2565,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121740,'Sabotage_sabotage/freeport_1_x7_1',NULL,'','','',0,1848,32,0,0,0,296,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121741,'sign_to_thundering_steppes_2',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121742,'sign_to_north_qeynos_1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121743,'sign_the_long_way_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121744,'Sabotage_sabotage/freeport_1_x10_1',NULL,'','','',0,3156,32,0,0,0,296,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121745,'Sabotage_sabotage/freeport_1_x9_2',NULL,'','','',0,3155,32,0,0,0,355,0,0,0,0,1,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121746,'Sabotage_sabotage/freeport_1_x2_1',NULL,'','','',0,4617,32,0,0,0,296,0,0,0,0,1,1,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121747,'Sabotage_sabotage/freeport_1_x4_1',NULL,'','','',0,3348,32,0,0,0,228,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121748,'Sabotage_sabotage/freeport_1_x5_1',NULL,'','','',0,4606,32,0,0,0,356,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121749,'Sabotage_sabotage/freeport_1_x6_1',NULL,'','','',0,4608,22,0,0,0,357,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121750,'mariner_bell_city_travel_qeynos',NULL,'','','',0,18956,16,0,0,0,358,0,0,0,0,1,0,0,32,0,0,0,0,0,49,0,0,262080,0,0,0,0,0,0,0,0),
(121751,'mi_pirate_hideout',NULL,'','','',0,2512,32,0,0,0,359,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121752,'sign_to_thundering_steppes_3',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121753,'sign_to_qeynos_1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121754,'sign_northward_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121755,'quest_froglok_lizardman_hideout',NULL,'','','',0,49,32,0,0,0,597,0,0,0,0,1,0,0,351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121756,'qst_gnomish_antonica_finder',NULL,'','','',0,4456,32,0,0,0,0,0,0,0,0,1,1,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121757,'quest_gnomish_digger',NULL,'','','',0,2821,32,0,1,1,0,0,0,0,0,1,1,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121758,'windstalker cliff statue',NULL,'','','',0,1987,32,0,0,0,135,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121759,'mi_creature_entrance',NULL,'','','',0,1987,66,0,0,0,632,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121760,'sign_grave_of_holly_windstalker_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121761,'sign_to_thundering_steppes_4',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121762,'sign_to_qeynos_2',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121763,'quest_binding_tree',NULL,'','','',0,49,32,0,0,0,633,0,0,0,0,0,0,0,1135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121764,'sign_to_qeynos_3',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121765,'mi_aqueduct_entrance01',NULL,'','','',0,38,48,0,0,0,634,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121766,'sign_to_qeynos_4',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121767,'sign_to_thundering_steppes_1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121768,'sign_to_the_black_glade_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121769,'sign_to_south_qeynos_1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121770,'zone_to_windstalker_sepulchre',NULL,'','','',0,49,32,0,0,0,1002,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121771,'sign_to_thundering_steppes_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121772,'sign_to_south_qeynos_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121773,'Sabotage_sabotage/freeport_1_x9_1',NULL,'','','',0,3157,32,0,0,0,755,0,0,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121774,'qst_bell_of_vhalen',NULL,'','','',0,49,32,0,0,0,9514,0,0,0,0,1,1,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121775,'sign_to_thundering_steppes_5',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121776,'under bridge killroy',NULL,'','','',0,1985,66,0,0,0,135,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121777,'sign_to_qeynos_5',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121778,'sign_to_thundering_steppes_6',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121779,'sign_to_qeynos_6',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121780,'gravestone01',NULL,'','','',0,1549,32,0,0,0,440,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121781,'sign_to_thundering_steppes_7',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121782,'sign_to_qeynos_7',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121783,'sign_the_long_way_1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121784,'sign_to_qeynos_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121785,'to_blackburrow_log',NULL,'','','',0,49,32,0,0,0,1050,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121786,'zone_to_blackburrow_door',NULL,'','','',0,49,32,0,0,0,1050,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121787,'zone_to_steppes_cave_right',NULL,'','','',0,49,32,0,0,0,1010,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121788,'zone_to_steppes_cave_left',NULL,'','','',0,49,32,0,0,0,1010,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121789,'zone_to_boat_06p_hold_of_prexus_00',NULL,'','','',0,4644,32,0,0,0,45,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121790,'zone_to_antonica_catacomb01',NULL,'','','',0,1489,32,0,0,0,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121791,'zone_to_steppes_road_right',NULL,'','','',0,49,32,0,0,0,1010,0,0,0,0,1,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121792,'zone_to_steppes_road_left',NULL,'','','',0,49,32,0,0,0,1010,0,0,0,0,1,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121793,'to_stormhold_secret_ent',NULL,'','','',0,49,32,0,0,0,1051,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121794,'To the Blackburrow Tunnels',NULL,'','','',0,18749,32,0,0,0,0,0,0,0,0,0,0,0,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121795,'erollisi_scrolls',NULL,'','','',0,9727,20,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121796,'perfume_bottle',NULL,'','','',0,8088,23,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121797,'sign_to_north_qeynos_0',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121798,'antonica_erollisi_race_teleport_pad',NULL,'','','',0,2684,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0),
(121799,'flying_race_start_pad',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121800,'Top Hearts a''Flutter Scores',NULL,'','','',0,10673,22,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121801,'zone_to_qey_south',NULL,'','','',0,49,32,0,0,0,757,0,0,0,0,1,0,0,437,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121804,'plains roots',NULL,'','','',0,1727,37,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121806,'callous ore',NULL,'','','',0,3956,28,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121809,'critter den',NULL,'','','',0,4002,62,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121816,'a brigand leader',NULL,'','','',255,132,32,0,1,1,11,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121817,'A mysterious entrance',NULL,'','','',255,13,32,0,1,1,45,0,19517,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121818,'farm_gate_01',NULL,'','','',255,4718,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,261888,0,0,0,0,0,0,0,0),
(121819,'farm_gate_02',NULL,'','','',255,4719,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,261888,0,0,0,0,0,0,0,0),
(121820,'gate1',NULL,'','','',255,4720,30,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121821,'emblem',NULL,'','','',255,14368,32,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121822,'farm_pole',NULL,'','','',255,30,40,0,0,0,0,0,11651,0,0,0,0,0,0,0,0,0,0,0,0,0,0,261888,0,0,0,0,0,0,0,0),
(121823,'flag',NULL,'','','',255,23496,64,0,1,0,0,0,11651,0,0,0,0,0,0,0,0,0,0,0,0,0,0,261888,0,0,0,0,0,0,0,0),
(121824,'platform',NULL,'','','',255,2500,32,0,1,1,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121825,'a Forge',NULL,'','','',255,1859,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121826,'Jek Starlighter',NULL,'','','',0,134,32,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121827,'The Grand Prankster','<Planar Manifestation>','','','',0,7282,112,0,1,1,9,0,0,0,0,1,0,0,43,1,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(121828,'Knight-Lieutenant Alesso','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,1051,1051,0,0,0,0,0,0,1081336,0,0,0,0,0,0,0,0),
(121829,'Aglaemantis the Coldwind Terror  ','','','','',255,210,110,6,1,1,11,0,0,1,1,1,0,1,32,3990,1140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121830,'a Deepwater Lurker','','','','',255,1346,35,3,1,1,11,0,0,1,1,1,0,1,32,2860,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121831,'Tower Test',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121833,'a Darkpaw rune caster','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,1105,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121837,'a lean to',NULL,'','','',0,2020,55,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121838,'a grime covered savage test','','','','',0,111,28,3,1,1,11,0,11420,1,1,1,0,1,34,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121839,'a grime covered savage','','','','',0,112,28,3,1,1,11,0,11420,1,1,1,0,1,34,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121840,'a grime covered savage','','','','',0,112,28,3,1,1,11,0,11420,1,1,1,0,1,34,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121841,'ObeliskSpawn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121842,'a shadowed servitor','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,1,36,7850,1640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121843,'Mayor Woodbridge','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,2725,840,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121844,'Mayor Spawn Object',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121845,'a Sabertooth warlock','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121846,'Captain Gaebrail','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,4190,1140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121847,'Chief Keizall','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,3990,1140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121848,'nourished garden',NULL,'','','',0,3951,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121849,'a timeworn sogbone','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,1145,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121850,'an Ancient Sogbone','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,2735,835,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121851,'a Sodden Stalker','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,4815,1420,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121852,'Murder Beetle',NULL,'','','',0,222,32,0,1,1,0,0,0,1,1,1,0,35,0,1000000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121853,'Giidib of the First Circle','','','','',4,76,32,0,1,1,0,0,0,1,1,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121854,'Giidib','','','','',4,76,32,0,1,1,0,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121855,'Spirit of Giidib','','','','',4,76,32,0,1,1,0,0,496,0,1,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121856,'froglokcube',NULL,'','','',255,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121857,'Ruined Spires',NULL,'','','',0,4427,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121858,'a highwayman','','','','',255,2306,30,3,0,0,11,0,0,0,0,0,0,0,0,1180,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121859,'Highwayman Ambush!',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121860,'Highwayman Ambush Counter',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121861,'a piles of bones',NULL,'','','',0,2430,62,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121862,'a dead gnoll',NULL,'','','',0,3814,32,2,0,0,0,0,228,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121863,'Green Wisp',NULL,'','','',0,1622,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121864,'garden soil',NULL,'','','',0,2916,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121865,'Overgrown Shrub',NULL,'','','',0,4075,30,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121866,'10m_FireLight',NULL,'','','',0,5748,32,0,1,1,0,0,3120,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121867,'BurningFire_invisible_cube',NULL,'','','',0,2306,14,0,0,0,0,0,492,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121868,'a curious bowl',NULL,'','','',0,5791,22,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121869,'quest_rune_windstalker',NULL,'','','',0,4644,32,0,0,0,9518,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121870,'Blackburrow Skull',NULL,'','','',0,1384,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121871,'quest_Revenge_of_the_Kodiaks',NULL,'','','',0,1737,17,0,0,0,210,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121872,'quest_Bug_Squashing',NULL,'','','',0,8635,60,0,0,0,61,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121873,'Shady Swashbuckler XVII','< EMU Qeynos Citizenship Fast-Track >','','','',9,134,32,0,1,1,10,9,0,0,0,1,0,0,32,601,601,0,0,402047,0,0,0,0,0,0,0,0,0,0,0,0),
(121874,'EMU Chest of Class Certificates','< EMU Class Fast-Track >','','','',9,2654,40,0,0,1,10,0,0,0,0,1,0,0,32,601,601,0,0,402048,0,0,0,0,0,0,0,0,0,0,0,0),
(121875,'a decrepit row boat',NULL,'','','',0,4644,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121876,'a decrepit barrel',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121877,'a lean to',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121880,'EMU Merchant Wingus','<EMU Ability Hawker>','','','',9,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,145,65,0,0,402028,0,0,0,0,0,0,0,0,0,0,0,0),
(121881,'EMU Merchant Dingus','<EMU Loot Peddler>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,145,65,0,0,402029,0,0,0,0,0,0,0,0,0,0,0,0),
(121882,'a smashed barrel',NULL,'','','',0,1428,45,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(121883,'EMU ''Found Curiosities'' Test Merchant','< EMU Quest Drop Tester >','','','',9,2654,40,0,0,1,10,0,0,0,0,1,0,0,32,601,601,0,0,703538,0,0,0,0,0,0,0,0,0,0,0,0),
(140000,'a charred oak','','','','',255,308,48,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140001,'Sentry Bofon','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140002,'a tainted glade deer','','','','',255,3803,22,3,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140003,'Sentry Thort','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140004,'Sentry Falthur','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140005,'Brother Bolerg','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140006,'Sir Whurar Darcal','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140007,'Sir Thothur Dorarr','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140008,'Kalceta','','','','',255,65535,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140009,'Brother Morrim','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140010,'Brother Gimeft','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140011,'Sentry Delain','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140012,'Sentry Yurur','','','','',2,110,32,0,1,1,0,0,496,1,1,0,0,1,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140013,'a Blightwind follower','','','','',9,3735,32,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140014,'a Blightwind reviver','','','','',9,2935,32,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140015,'a defiled wolf','','','','',255,3882,12,6,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140016,'a scorched oak','','','','',255,308,64,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140017,'a defiled wolf','','','','',255,3882,32,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140019,'a Blightwind necromancer','','','','',255,236,44,0,1,1,11,0,0,1,1,1,0,1,32,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140024,'an eye of the witch',NULL,'','','',0,2306,11,0,1,1,0,0,1412,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140025,'zone_to_antonica_0',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140026,'zone_to_antonica_1',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140027,'stonecrest ore',NULL,'','','',0,3957,37,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140028,'mesquite catch weed',NULL,'','','',0,1731,25,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140029,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140030,'wind swept stones',NULL,'','','',0,2378,13,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140031,'dry land shrubbery',NULL,'','','',0,4078,39,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(140032,'felled dry land arbor',NULL,'','','',0,3948,38,0,1,1,8,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150000,'a defiled squire','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150001,'Archaeologist Elurad','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150002,'Sir Valinayle','','','','',255,2864,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150003,'a defiled sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,100,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150004,'a small life leech','','','','',255,298,27,3,1,1,11,0,0,1,1,1,0,1,32,2427,1298,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150005,'a life leech','','','','',255,298,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150006,'Tumarinan the Scion of Suffering','','','','',255,298,134,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150007,'a life leech','','','','',255,298,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150008,'Defiled Lord Byron','','','','',9,4557,35,0,1,1,11,0,0,1,1,1,0,0,36,6856,2366,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150009,'Quartermaster Berlon','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150010,'a defiled knight','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,6321,2100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150012,'a defiled torrent','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150013,'a skeleton archer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150015,'a defiled squire','','','','',9,1521,25,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150016,'a defiled tempest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150017,'a defiled storm lord','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150018,'a defiled lancer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150020,'a defiled crusader','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150021,'a feign zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150022,'Runethar Hanest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150023,'a tunneling zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150024,'a caveroot horror','','','','',255,274,32,0,1,1,11,0,0,1,1,1,0,1,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150025,'a gelatinous cube','','','','',255,175,15,3,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150028,'a zombie knight','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150029,'a ghoul canite','','','','',255,140,31,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150030,'a defiled jailor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150032,'a horde knight','','','','',9,1521,33,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150033,'The Corpse Hunter','','','','',255,159,32,0,1,1,11,0,0,1,1,1,0,1,37,10112,3050,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150034,'a deranged tormentor','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150035,'an anguished prisoner','','','','',9,1521,30,3,1,1,11,0,0,1,1,1,0,0,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150036,'a bone blood soldier','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150037,'a Gydak minion','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150038,'a bone blood lookout','','','','',255,145,28,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150039,'a fanatic inquisitor','','','','',9,1521,31,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150040,'a defiled cavalier','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150042,'a dirt crawler','','','','',255,257,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150043,'a bone blood imp','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150044,'a bone blood arcanist','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150045,'a rot zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150046,'a boneblood fisherman','','','','',255,145,28,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150047,'Watcher of the Horde','','','','',255,236,44,0,1,1,11,0,0,1,1,1,0,1,32,4569,1565,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150048,'a defiled keeper','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150049,'a fetid goo','','','','',255,299,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150050,'a sealed strongbox','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150051,'a dust crawler','','','','',255,257,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150052,'a defiled protector','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150053,'Guard Captain Hess','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,9481,5485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150054,'a guardian writ','','','','',255,280,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150055,'Archiovianix the Scion of Darkness','','','','',255,298,128,0,1,1,11,0,0,1,1,1,0,0,32,8053,3757,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150057,'The Orator','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,10245,4140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150058,'a fascinated prisoner','','','','',9,1521,27,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150059,'a blackblood ooze','','','','',255,298,34,2,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150060,'a scorched skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150061,'a defiled bishop','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150063,'a scrounging zombie','','','','',255,140,26,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150066,'a zombie handmaiden','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150067,'a crazed kohlrat ','','','','',255,231,22,0,1,1,11,0,0,1,1,1,0,1,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150068,'a cornered kohlrat','','','','',255,231,22,0,1,1,11,0,0,1,1,1,0,1,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150069,'Book of Tactics','','','','',255,280,80,0,1,1,440,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150070,'a ghoul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150071,'a wandering ghoul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,4408,1500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150072,'Blacksmith Brigg','','','','',255,140,22,0,1,1,11,0,0,1,1,1,0,1,36,6321,2086,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150073,'a defiled locksmith','','','','',255,140,22,0,1,1,11,0,0,1,1,1,0,0,36,3083,1500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150074,'a defiled squall','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150075,'a defiled priest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150076,'a defiled knight','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150077,'a defiled acolyte','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150078,'Defiled Lord Reinhold','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150079,'Veker','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150080,'a defiled crusader','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150081,'Sentry Maxillian','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,5899,3850,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150082,'Tarr Stoneaxe','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150083,'a dirt crawler','','','','',255,257,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150085,'Marksman Trainer Quintos','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,8560,3011,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150086,'Battlepriest Greyhorn','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,9643,3524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150089,'a sand storm','','','','',255,154,6,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150090,'The Maw','','','','',255,1458,1,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150091,'a blackblood salamander','','','','',255,310,5,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150094,'a Gydak elite','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150095,'a Gydak minion','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150096,'Lord Gydak','','','','',255,106,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150101,'an ice storm','','','','',255,311,32,0,1,1,11,0,0,1,1,1,0,0,32,4433,1200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150102,'A Treatise on Conjuration','','','','',255,283,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150104,'a mimic','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150105,'A Chest Terror','','','','',255,226,35,0,1,1,11,0,0,1,1,1,0,1,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150108,'a defiled locksmith','','','','',255,140,24,8,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150109,'an oozing fungus','','','','',255,209,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150110,'a defiled blacksmith','','','','',255,140,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150111,'Defiled Lord Dyana','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150112,'Defiled Lord Steingrove','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150113,'A Hulking Salamander','','','','',255,310,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150114,'a Gydak minion','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150115,'a Gydak minion','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150116,'Jerzeel Brishan','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150117,'Watch Captain Gylar','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150121,'a fire storm','','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,32,6358,2550,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150122,'Milked''s spiked trap','','','','',255,2399,16,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150123,'door_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150124,'door_entry_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150125,'FixedDoor3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150126,'door_event_0',NULL,'','','',0,49,32,0,1,1,1363,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150127,'door_entry_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150128,'FixedDoor2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150129,'FixedDoor4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150130,'FixedDoor6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150131,'door_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150132,'FixedDoor8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150133,'FixedDoor10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150134,'FixedDoor12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150135,'FixedDoor14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150136,'door_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150137,'FixedDoor16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150138,'FixedDoor18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150139,'FixedDoor24',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150140,'FixedDoor28',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150142,'FixedDoor20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150144,'FixedDoor34',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150145,'FixedDoor36',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150146,'door_09',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150148,'door_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150149,'door_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150150,'FixedDoor22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150151,'FixedDoor38',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150152,'FixedDoor40',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150153,'FixedDoor42',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150154,'JailDoor1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150155,'JailDoor2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150156,'door_07',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150157,'door_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150158,'FixedDoor46',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150159,'JailDoor3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150161,'door_08',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150162,'FixedDoor47',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150163,'FixedDoor49',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150164,'FixedDoor51',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150165,'FixedDoor54',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150166,'THEFUCK',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150168,'QSTEventDoor',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150169,'QstCubborb1Dupe',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150170,'BattlePriestChest',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150172,'qstkeychestdupe',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150175,'Qstkeychest2dupe',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150176,'QstKeychest7',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150177,'QstKeychest8',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150178,'widget_layspear',NULL,'','','',0,49,32,0,1,1,626,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150179,'GiantBlobQstStarterDupe',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150180,'Basement Exit',NULL,'','','',0,49,32,0,0,0,61,45,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150181,'QstGlobe',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150182,'QstKeychest9Dupe',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150183,'QstKeychest6_1',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150184,'QstKeyChest6Dupe',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150185,'QstWardrobe',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150186,'widget_lightning_chest',NULL,'','','',0,49,32,0,1,1,9496,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150187,'widget_qst_virtue_belt',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150188,'tome_mastery_skeleton_widget',NULL,'','','',0,49,32,0,1,1,805,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150189,'QstWidgetFuckKnows2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150190,'QstWidgetFuckKnows3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150191,'QstBookCase',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150192,'QstWidgetFuckKnows4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150193,'quest_tome_of_thunder',NULL,'','','',0,49,32,0,1,1,594,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150194,'FutureContentWidget',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150195,'quest_vessel_of_storms',NULL,'','','',0,49,32,0,1,1,1078,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150197,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150200,'RIP Aradune',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150201,'stormhold key',NULL,'','','',0,2071,1,0,1,1,1060,0,0,0,0,0,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150202,'Tainted_Souls_of_StormholdQst',NULL,'','','',0,1854,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150203,'qst_valinayle_bones',NULL,'','','',0,2987,32,0,1,1,1061,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150204,'draconic_widget04',NULL,'','','',0,4164,31,0,0,0,57,0,0,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150206,'stormhold_door',NULL,'','','',0,1881,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150207,'01_door_to_outside',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150208,'zone_to_befallen_epic01',NULL,'','','',0,49,32,0,0,0,1063,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150209,'widget_event_lionhead_1',NULL,'','','',0,49,32,0,1,1,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150210,'widget_event_lionhead_0',NULL,'','','',0,49,32,0,1,1,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150211,'widget_event_lionhead_3',NULL,'','','',0,49,32,0,1,1,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150212,'widget_event_lionhead_2',NULL,'','','',0,49,32,0,1,1,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150213,'library_tunnel01',NULL,'','','',0,49,32,0,1,1,1065,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150214,'library_tunnel02',NULL,'','','',0,49,32,0,1,1,1065,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150215,'kilroy_ironmaiden_perm',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150216,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150217,'a defiled servant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150218,'Archaeologist Elurad','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150219,'Sir Valinayle','','','','',255,2864,32,0,1,1,9,0,0,0,0,1,0,0,32,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150221,'a small life leech','','','','',255,298,28,3,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150222,'a life leech','','','','',255,298,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150223,'Tumarinan the Scion of Suffering','','','','',255,298,200,0,1,1,11,0,0,1,1,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150224,'a life leech','','','','',255,298,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150226,'Quartermaster Berlon','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150227,'a defiled knight','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150228,'Locksmith Jarl','','','','',255,140,16,0,1,1,11,0,0,1,1,1,0,0,36,3376,1238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150229,'a defiled torrent','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150230,'a skeleton archer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150231,'Battlepriest Alexandria','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,14616,3410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150232,'a defiled squire','','','','',9,1521,25,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150233,'a defiled tempest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150234,'a defiled storm lord','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150235,'a defiled lancer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150236,'a defiled crusader','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150237,'a feign zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150238,'a tunneling zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150240,'a gelatinous cube','','','','',255,175,15,3,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150241,'a condensed mist','','','','',255,209,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150242,'Qelinatias the Scion of Pain','','','','',255,298,128,0,1,1,11,0,0,1,1,1,0,1,32,8803,3988,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150243,'a zombie knight','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150244,'a ghoul canite','','','','',255,140,31,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150245,'a defiled jailor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150246,'a horde knight','','','','',9,1521,33,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150247,'The Corpse Hunter','','','','',255,159,32,0,1,1,11,0,0,1,1,1,0,1,37,10112,3050,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150248,'a deranged tormentor','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150249,'an anguished prisoner','','','','',9,1521,23,3,1,1,11,0,0,1,1,1,0,0,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150251,'a Gydak minion','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150253,'a fanatic inquisitor','','','','',9,1521,31,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150254,'a defiled cavalier','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150256,'a dirt crawler','','','','',255,257,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150259,'a rot zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150261,'Watcher of the Horde','','','','',255,236,44,0,1,1,11,0,0,1,1,1,0,1,32,4569,1565,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150262,'a defiled keeper','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150263,'a fetid goo','','','','',255,299,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150264,'a sealed strongbox','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150265,'a dust crawler','','','','',255,257,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150266,'a defiled protector','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150268,'a guardian writ','','','','',255,280,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150270,'a crazed ghoul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150271,'The Orator','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,10245,4140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150272,'a fascinated prisoner','','','','',9,1521,27,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150274,'a scorched skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150276,'Lord Androus','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,9248,5317,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150277,'a scrounging zombie','','','','',255,140,26,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150278,'Hephinntari the Scion of Destruction','','','','',255,298,144,0,1,1,11,0,0,1,1,1,0,1,32,8052,3659,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150279,'a crushed librarian','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150280,'a zombie handmaiden','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150283,'Book of Tactics','','','','',255,280,80,0,1,1,440,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150284,'a ghoul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150285,'a wandering ghoul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150287,'a defiled locksmith','','','','',255,140,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150288,'a defiled squall','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150289,'a defiled priest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150290,'a defiled knight','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150292,'Tarr Stoneaxe','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150293,'The Char Fiend','','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,32,5409,1870,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150295,'a sand storm','','','','',255,154,6,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150296,'The Maelstrom','','','','',255,1458,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150298,'a mimic','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150300,'Defiled Lord Steingrove','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150301,'A Hulking Salamander','','','','',255,310,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150302,'a water storm','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,32,4540,1300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150304,'Defiled Lord Penwright','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150305,'Magnimaclus','','','','',255,153,25,0,1,1,11,0,0,1,1,1,0,0,89,13818,4230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150324,'FixedDoor26',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150326,'FixedDoor33',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150330,'FixedDoor30',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150343,'JailDoor4',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150350,'qstkeychest4',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150351,'QSTEventDoor',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150352,'QstCubborb1',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150354,'qstkeychest5',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150355,'qstkeychest',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150356,'Qstkeychest3',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150357,'FixedDoor44',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150358,'qstkeychest2',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150360,'qstkeychest8dupe',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150361,'widget_layspear',NULL,'','','',0,49,32,0,0,0,626,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150362,'Unearthed_ScionQst',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150364,'QstGlobeDupe',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150365,'QstKeychest9',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150367,'QstKeychest6',NULL,'','','',0,49,32,0,0,0,9496,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150370,'widget_qst_virtue_belt',NULL,'','','',0,49,32,0,0,0,186,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150372,'QstWidgetFuckKnows1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150373,'QstWidgetFuckKnows5',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150374,'QstWidgetFuckKnows7',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150375,'QstWidgetFuckKnows6',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150376,'quest_tome_of_thunder',NULL,'','','',0,3035,32,0,0,0,594,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150377,'quest_vessel_of_storms',NULL,'','','',0,49,32,0,0,0,1078,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150378,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150380,'stormhold key',NULL,'','','',0,2071,1,0,0,0,1060,0,0,0,0,0,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150381,'Tainted_Souls_of_StormholdQst',NULL,'','','',0,1854,32,0,0,0,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150382,'qst_valinayle_bones',NULL,'','','',0,2987,32,0,0,0,1061,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150383,'draconic_widget04',NULL,'','','',0,4164,31,0,0,0,57,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150384,'bone_bladed_claymore',NULL,'','','',0,2541,48,0,0,0,1062,0,2601,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150385,'stormhold_door',NULL,'','','',0,1881,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150386,'widget_event_lionhead_1',NULL,'','','',0,49,32,0,0,0,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150387,'widget_event_lionhead_0',NULL,'','','',0,49,32,0,0,0,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150388,'widget_event_lionhead_3',NULL,'','','',0,49,32,0,0,0,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150389,'widget_event_lionhead_2',NULL,'','','',0,49,32,0,0,0,1064,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150390,'kilroy_ironmaiden_perm',NULL,'','','',0,49,32,0,0,0,135,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(150391,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(160001,'a stormlord spirit','','','','',255,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(160002,'a restless stormlord','','','','',255,140,32,0,1,1,11,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(160003,'a sarcophagus',NULL,'','','',0,1368,32,0,1,1,1079,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(160004,'coffin',NULL,'','','',0,1367,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(160005,'ghoulbane_object',NULL,'','','',0,1458,32,0,1,1,1080,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(160006,'zone_to_befallen',NULL,'','','',0,49,32,0,0,0,1051,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170001,'a ridge rat','','','','',255,196,16,0,1,1,11,0,0,1,1,1,0,0,12,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170002,'a Sabertooth pup','','','','',255,3816,22,0,1,1,11,0,0,1,1,1,0,122,32,1205,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170003,'a Sabertooth brewery guard','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170004,'a scrawny Sabertooth','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,122,32,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170005,'a blightfang hatchling','','','','',255,244,25,3,1,1,11,0,0,1,1,1,0,1,10,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170006,'a blightfang broodtender','','','','',255,244,58,4,1,1,11,0,0,1,1,1,0,1,10,1290,410,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170007,'a dead gnoll','','','','',255,1384,35,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170008,'a razorgill','','','','',255,204,16,0,1,1,11,0,0,1,1,1,0,1,8,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170009,'a cliff falcon','','','','',255,260,28,0,1,1,0,0,0,0,0,1,0,0,17,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170010,'a Sabertooth miner','','','','',255,1384,31,3,1,1,11,0,11420,1,1,1,0,122,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170011,'Splitpaw Scout','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,122,32,8663,3540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170012,'Geologist Fribden','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170013,'Assistant Wilabus','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170014,'a patrolling Sabertooth','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170015,'a terrapede','','','','',255,258,38,0,1,1,11,0,0,1,1,1,0,1,32,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170016,'a crag rat','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,680,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170017,'a burly Sabertooth','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,980,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170018,'a Sabertooth lookout','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,122,32,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170019,'a Sabertooth diviner','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,122,32,945,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170020,'a blightfang spider','','','','',255,244,44,3,1,1,11,0,0,1,1,1,0,1,10,1180,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170021,'a giant lasher','','','','',255,213,89,0,1,1,11,0,0,1,1,1,0,1,8,1040,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170022,'a Sabertooth guard','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,122,32,1325,405,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170023,'a Sabertooth angler','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,122,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170024,'a fierce razorgill','','','','',255,204,19,0,1,1,11,0,0,1,1,1,0,1,8,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170025,'a dark lasher','','','','',255,213,64,0,1,1,11,0,0,1,1,1,0,1,8,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170026,'a Sabertooth chanter','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,2460,725,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170027,'Fishfang the Angler','','','','',255,3815,35,0,1,1,11,0,0,1,1,1,0,122,32,1845,610,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170028,'Overseer Thix','','','','',255,3814,35,0,1,1,11,0,0,1,1,1,0,122,32,1845,510,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170029,'a Sabertooth excavator','','','','',255,1384,34,1,1,1,11,0,0,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170030,'a training spearfisher','','','','',255,1384,32,0,1,1,11,0,11420,1,1,1,0,122,32,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170031,'a Sabertooth spearfisher','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,980,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170032,'a Sabertooth sentry','','','','',255,1384,38,0,1,1,11,0,0,1,1,1,0,122,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170033,'a stalwart Sabertooth','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170034,'a crimson constrictor','','','','',255,213,44,0,1,1,11,0,0,1,1,1,0,0,8,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170035,'a Sabertooth brewmaster','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170037,'Queen Blightfang','','','','',255,244,128,0,1,1,11,0,0,1,1,1,0,1,10,5035,1210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170038,'Crugybar the Rock','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,122,32,2725,840,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170039,'a stockpile protector','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170040,'a hoard watcher','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170041,'a Sabertooth elite guard','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170042,'a Sabertooth oracle','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,630,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170043,'a Sabertooth tactician','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,675,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170044,'a Sabertooth commander','','','','',255,1384,41,0,1,1,11,0,0,1,1,1,0,122,32,675,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170045,'a cave shimmer','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170046,'Captain Ghurox','','','','',255,3815,38,0,1,1,11,0,0,1,1,1,0,122,32,3585,1010,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170050,'Nantglas the Cold','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,2385,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170051,'a Sabertooth Howler','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,122,32,2513,1030,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170056,'Captain Fraxz','','','','',255,3815,38,0,1,1,11,0,0,1,1,1,0,122,32,2385,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170057,'a Sabertooth Hero','','','','',255,3814,41,0,1,1,11,0,0,1,1,1,0,122,32,2725,840,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170061,'quest_heritage_dwb_stout_keg',NULL,'','','',0,49,32,0,1,1,1058,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170062,'quest_keyed_chest_bronze',NULL,'','','',0,49,32,0,1,1,1059,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170063,'wtf',NULL,'','','',0,49,32,0,1,1,1059,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170064,'an orcish key',NULL,'','','',0,49,32,0,1,1,450,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170065,'quest_keyed_chest_steel',NULL,'','','',0,49,32,0,1,1,1059,0,0,0,0,1,1,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170066,'quest_keyed_chest_silver',NULL,'','','',0,49,32,0,1,1,151,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170070,'widget_gnoll_brew',NULL,'','','',0,1434,32,0,0,0,1368,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170071,'gnoll ark',NULL,'','','',0,3806,23,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170072,'Translocator Sprires',NULL,'','','',0,2306,48,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170073,'zone_to_antonica_door',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170074,'zone_to_antonica_water',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170075,'zone_to_antonica_log',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170076,'killroy_stone_1',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170077,'killroy_stone_0',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170078,'web_explorerspost',NULL,'','','',0,2876,38,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170079,'event_blackburrow_stout',NULL,'','','',0,3185,22,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170080,'killroy_stone_2',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170081,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170082,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(170083,'a Sabertooth Champion',NULL,'','','',255,3815,32,0,1,1,11,0,0,1,1,1,0,122,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170084,'High Shaman Grixx',NULL,'','','',255,4099,38,0,1,1,11,0,0,1,1,1,0,122,32,3585,1010,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170085,'Overseer Wuoler',NULL,'','','',255,3814,34,0,1,1,11,0,0,1,1,1,0,122,32,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170086,'Bucky',NULL,'','','',0,3814,40,0,1,1,11,0,0,1,1,1,0,1,0,3190,910,0,0,0,0,0,0,0,0,0,0,0,0,100,0,0),
(170087,'a Sabertooth elite guard','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170088,'Instructor Gnarth','','','','',255,3816,39,0,1,1,11,0,0,1,1,1,0,122,32,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170089,'a Sabertooth miner','','','','',255,1384,31,3,1,1,11,0,11420,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170090,'a Sabertooth excavator','','','','',255,1384,34,1,1,1,11,0,0,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170091,'a burly Sabertooth','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170092,'a Sabertooth Firebrand','','','','',255,4099,41,0,1,1,11,0,0,1,1,1,0,122,32,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170093,'a burly Sabertooth','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170094,'a Sabertooth diviner','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,122,32,765,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170095,'a stalwart Sabertooth','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170096,'a stockpile protector','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170097,'a Sabertooth tactician','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170098,'a Sabertooth Spiritcaller','','','','',255,4099,48,0,1,1,11,0,0,1,1,1,0,122,32,2725,840,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170099,'a Sabertooth chanter','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,630,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170100,'a stalwart Sabertooth','','','','',255,3816,38,0,1,1,11,0,0,1,1,1,0,122,32,675,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(170101,'zone_to_antonica_water',NULL,'','','',0,4933,30,0,0,0,362,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180001,'Seamist Fairy Yasinta','','','','',255,164,12,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180002,'Seamist Fairy Faellia','','','','',255,164,12,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180003,'Seamist Fairy Apatia','','','','',255,164,12,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180004,'Ensign Larkin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180005,'Crewman Blezab','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180006,'Captain Corrigan','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180007,'Anchorman Zeego','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180008,'Chief Sanders','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180009,'a foulmist zerger','','','','',255,1346,19,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180010,'a foulmist tempest','','','','',255,1346,19,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180011,'a foulmist oracle','','','','',255,1346,19,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180012,'a foulmist shadewalker','','','','',255,1346,20,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180013,'a nightwretch sentinel','','','','',255,181,22,2,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180014,'a nightwretch soother','','','','',255,181,22,3,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180015,'a sarkezzein','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180016,'a sarkezzein','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(180017,'Lord Zaavan','','','','',255,1585,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190000,'a Windrider maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190001,'a Galebreaker maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190002,'a Skyshield maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190003,'a Cloudsong maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190004,'Rath''Adran','','','','',3,1597,33,1,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190005,'Sky Marshal Brynhild','','','','',255,182,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190006,'a frost fright','','','','',9,2365,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190007,'Rath''Adran','','','','',255,238,80,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190008,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190009,'card_table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190010,'nautical_journal',NULL,'','','',0,3030,14,0,1,1,578,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(190011,'steering_wheel',NULL,'','','',0,1957,32,0,1,1,578,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200000,'Bdorn Alehammer','<Elefa''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200001,'Slaughtergrott the Vigilant','','','','',12,123,32,0,1,1,9,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200002,'an undying Rallosian soldier','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200003,'an undying Rallosian magi','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200004,'an undying Rallosian priest','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200005,'a Rallosian Captain','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(200006,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220000,'Master Chief Gearspanner','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220001,'Greedu the Cabin Boy','','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220002,'Blendrap the Engineer','','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220003,'Smith the Cook','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220004,'Bosun Patches','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220005,'Kabaner','Rinso''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220006,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220007,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220008,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220009,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220010,'fprt_hood_table_small01',NULL,'','','',0,1516,23,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220011,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220012,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220013,'a box of supplies',NULL,'','','',0,1393,28,0,1,1,990,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220014,'gnomish_heating_device',NULL,'','','',0,5209,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220015,'Gnome Tome',NULL,'','','',0,3031,32,0,1,1,534,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220016,'quest_gnomish_telescope',NULL,'','','',0,2613,32,0,1,1,991,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220017,'gnomish_heating_device',NULL,'','','',0,5210,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220018,'Cap''ns Logs',NULL,'','','',0,3027,31,0,1,1,992,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220019,'gnomish_heating_device',NULL,'','','',0,5211,32,0,1,1,993,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(220020,'zone_to_holdofprexus_grimgadget',NULL,'','','',0,4499,32,0,1,1,994,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(221051,'a decrepit barrel',NULL,'','','',0,2941,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240000,'Engineer Ximmix Wobblecog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240001,'Rusty Sails','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240002,'Noa Sails','','','','',6,78,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240003,'Captain Abella Coranis','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240004,'a Deathfist marauder','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240005,'a Deathfist marauder','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240006,'a Deathfist marauder','','','','',20,5022,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240007,'a grappling harpoon','','','','',9,2395,64,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240008,'a Deathfist harpooner','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240009,'a Deathfist harpooner','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240010,'a Deathfist marauder','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240011,'a Deathfist marauder','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240012,'Gawar the Bad','','','','',20,5021,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(240013,'Captain Bloodstain','','','','',20,5027,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270000,'Captain Varlos',NULL,'','','',9,134,35,0,1,1,9,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270001,'Ingrid',NULL,'','','',8,135,32,0,1,1,9,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270002,'Waulon',NULL,'','','',2,110,32,0,1,1,9,0,0,0,0,0,0,0,18,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270003,'Helmsman Nyles',NULL,'','','',9,144,32,0,1,0,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270004,'Geredo',NULL,'','','',5,121,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270005,'Valik',NULL,'','','',11,101,32,0,1,1,9,0,0,0,0,0,0,0,38,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270006,'Anikra',NULL,'','','',6,79,32,0,1,1,9,0,0,0,0,0,0,0,30,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270007,'Merchant Vim','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,751,751,0,0,42056,0,0,0,0,0,0,0,0,0,0,0,0),
(270008,'a goblin',NULL,'','','',255,145,36,0,1,1,0,0,0,1,0,0,0,0,35,25,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270009,'a rat',NULL,'','','',255,196,20,0,1,1,0,0,0,0,0,1,0,0,12,20,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270010,'a treasure chest',NULL,'','','',255,4016,32,0,1,1,16,0,11903,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270011,'cage_collision',NULL,'','','',255,2451,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270012,'a treasuer chest',NULL,'','','',255,4016,32,0,1,0,0,0,0,0,0,0,0,0,0,51,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(270013,'tutorial drake',NULL,'','','',255,18,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280001,'a spinechiller broodling','','','','',255,205,44,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280002,'a spinechiller spider','','','','',255,205,50,3,1,1,11,0,0,1,1,1,0,1,10,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280003,'a spinechiller spider','','','','',255,205,48,3,1,1,11,0,0,1,1,1,0,1,10,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280004,'a Tae Ew justicar','','','','',255,1637,38,3,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280005,'a putrid mass','','','','',255,298,65,2,1,1,11,0,0,1,1,1,0,1,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280006,'a Tae Ew hunter','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280007,'a Tae Ew gatherer','','','','',255,1637,38,3,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280008,'a Tae Ew defender','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280009,'a Tae Ew herald','','','','',255,1637,38,3,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280010,'Zealot Fahid','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280011,'Nemar Gadgetglow','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280012,'a Tae Ew protector','','','','',255,1638,41,3,1,1,11,0,0,1,1,1,0,1,35,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280013,'a putrid mass','','','','',255,298,67,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280014,'a clay golem','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,1,35,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280015,'a small clay golem','','','','',255,160,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280016,'a small clay golem','','','','',255,160,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280017,'Zoorg the Reanimator','','','','',255,247,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280018,'a noxious mass','','','','',255,298,70,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280019,'a glare lord','','','','',255,247,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280020,'a noxious mass','','','','',255,298,70,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280021,'a Thulian zealot','','','','',255,1637,42,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280022,'a Thulian dreadfiend','','','','',255,177,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280023,'Garanab','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280024,'a Thulian terrorfiend','','','','',255,178,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280025,'a Thulian fanatic','','','','',255,1638,43,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280026,'a spinechiller broodling','','','','',255,205,44,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280027,'a Thulian proselyte','','','','',255,1637,43,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280028,'Zeker','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280029,'a Thulian torturer','','','','',255,1638,46,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280030,'a Thulian lifestealer','','','','',255,1637,46,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280031,'a Thulian bloodcaller','','','','',255,1637,46,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280032,'Tzugaax the Torturer','','','','',255,1638,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280033,'Xabarer','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280034,'Gabann','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280035,'Jarantik','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280036,'a Thulian frightfiend','','','','',255,176,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280037,'Gabaner','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280038,'Hukulan the Despoiler','','','','',255,1637,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280039,'Gobann','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280040,'Xobtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280041,'Venekor','','','','',255,1628,57,0,1,1,11,0,0,1,1,1,0,1,272,850000,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280042,'a spinechiller broodtender','','','','',255,205,49,3,1,1,11,0,0,1,1,1,0,1,10,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280043,'a spinechiller broodtender','','','','',255,205,50,3,1,1,11,0,0,1,1,1,0,1,10,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280044,'Kaber','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280045,'Gobeker','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280046,'Zasn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280047,'a Tae Ew warder','','','','',255,1637,42,3,1,1,11,0,0,1,1,1,0,1,35,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280048,'Xilarga the Tae Ew Champion','','','','',255,1638,54,0,1,1,11,0,0,1,1,1,0,1,35,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280049,'a Tae Ew judicator','','','','',255,1638,42,3,1,1,11,0,0,1,1,1,0,1,35,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280050,'Karn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280051,'Kelteez the Covetous','','','','',255,176,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280052,'an ancient cadaver','','','','',255,140,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280053,'Zonartik','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280054,'Zosekn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280055,'Ux Uval','','','','',255,140,41,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280056,'a glare lord','','','','',255,247,46,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280057,'Leneker','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280058,'Jasekn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280059,'a poison elemental','','','','',255,273,48,0,1,1,11,0,0,1,1,1,0,1,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280060,'Zaseker','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280061,'a poison elemental','','','','',255,273,48,0,1,1,11,0,0,1,1,1,0,1,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280062,'a glare lord','','','','',255,247,46,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280063,'Kaxor the Cenobite','','','','',255,1637,48,0,1,1,11,0,0,1,1,1,0,1,35,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280064,'Kobarer','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280065,'Gebarab','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280066,'Kanab','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280067,'Zibarer','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280068,'Libekn','A Thulian terrorfiend''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280069,'Jasober','A Thulian terrorfiend''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280070,'Xiggalg the Fearfiend','','','','',255,176,80,0,1,1,11,0,0,1,1,1,0,1,32,811,811,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280071,'Kibn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280072,'a swirling ooze','','','','',255,299,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280073,'Goneker','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280074,'Kibobtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280075,'Xabartik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280076,'Jabn','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280077,'Vontik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280078,'Vaber','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280079,'Zenarn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280080,'Gabarn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280081,'Ganer','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280082,'Lord Yaelerf','','','','',255,247,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280083,'Jekn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280084,'Jaber','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280085,'Laner','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280086,'a glare lord','','','','',255,247,40,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280087,'Karober','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280088,'Xosobtik','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280089,'Gebarn','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280090,'Vebtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280091,'Kasartik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280092,'Jaraner','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280093,'Gann','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280094,'Jasober','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280095,'Zaber','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280096,'Karartik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280097,'Karer','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280098,'Voneker','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280099,'Vonartik','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280100,'Losann','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280101,'Keeper Leearc','','','','',255,247,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280102,'Xenab','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280103,'Jobtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280104,'Gabober','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280105,'Zantik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280106,'Xarn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280107,'Jabn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280108,'Kenartik','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280109,'Gabarer','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280110,'Jann','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280111,'Goseker','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280112,'Xibtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280113,'Genartik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280114,'Konantik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280115,'Jararn','A Thulian terrorfiend''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280116,'Vibobtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280117,'Jobn','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280118,'Jebann','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280119,'Zaranab','A Thulian terrorfiend''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280120,'Geber','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280121,'Gabtik','A Thulian lifestealer''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280122,'qst_ct_head_2',NULL,'','','',0,49,32,0,1,1,197,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280123,'transport_door_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280124,'widget_leather_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280125,'transport_door_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280126,'widget_small_urn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280127,'widget_cazic_brazier',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280128,'transport_door_05',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280129,'transport_door_06',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280130,'transport_door_03',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280131,'transport_door_04',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280132,'widget_skull_candle',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280133,'quest_basin_of_barakur',NULL,'','','',0,49,32,0,1,1,198,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280134,'transport_door_11',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280135,'transport_door_12',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280136,'transport_door_13',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280137,'widget_operating_tools',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280138,'transport_door_09',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280139,'transport_door_08',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280140,'transport_door_07',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280141,'widget_skull_pile',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280142,'transport_door_10',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280143,'tome_mastery_lizardman_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280144,'transport_door_16',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280145,'widget_half_skull',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280146,'transport_door_15',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280147,'transport_door_14',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280148,'quest_tome_amyg_form',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280149,'widget_book_shelf',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280150,'widget_shattered_jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280151,'transport_door_17',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280152,'transport_door_29',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280153,'transport_door_20',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280154,'transport_door_19',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280155,'transport_door_18',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280156,'transport_door_27',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280157,'widget_black_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280158,'transport_door_22',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280159,'transport_door_21',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280160,'transport_door_23',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280161,'transport_door_28',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280162,'transport_door_29',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280163,'transport_door_25',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280164,'transport_door_24',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280165,'transport_door_26',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280166,'qst_ct_head',NULL,'','','',0,49,32,0,1,1,197,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280167,'quest_tome_avatarfear',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280169,'qst_ct_eyes',NULL,'','','',0,2306,26,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280170,'Idol of Fright',NULL,'','','',0,1987,9,0,1,1,192,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280171,'draconic_widget16',NULL,'','','',0,4177,32,0,0,0,57,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280172,'draconic_widget18',NULL,'','','',0,4189,18,0,0,0,57,0,0,0,0,1,1,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280173,'Idol of Terror',NULL,'','','',0,1987,9,0,1,1,193,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280174,'quest_cazic_tiki_04',NULL,'','','',0,1620,32,0,1,1,194,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280175,'Idol of Fear',NULL,'','','',0,1987,9,0,1,1,195,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280176,'quest_cazic_tiki_02',NULL,'','','',0,1620,32,0,1,1,194,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280177,'draconic_widget17',NULL,'','','',0,4172,28,0,0,0,124,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280178,'quest_cazic_tiki_03',NULL,'','','',0,1620,32,0,1,1,194,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280179,'Idol of Dread',NULL,'','','',0,1987,9,0,1,1,196,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280180,'quest_cazic_tiki_01',NULL,'','','',0,1620,32,0,1,1,194,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280181,'zone_to_ferroott',NULL,'','','',0,49,32,0,0,0,199,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280182,'kilroy_skull',NULL,'','','',0,2432,35,0,1,1,135,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280183,'instance_zone_teleporter_00',NULL,'','','',0,49,32,0,0,0,200,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(280184,'instance_zone_teleporter_01',NULL,'','','',0,49,32,0,0,0,200,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290001,'XXXXXXXX''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290002,'an elder Thulian bloodcaller','','','','',255,1637,44,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290003,'an elite Thulian torturer','','','','',255,1638,47,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290004,'Overlord Um Nix','','','','',255,1638,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290005,'an elder Thulian lifestealer','','','','',255,1637,43,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290006,'an elite Thulian fanatic','','','','',255,1638,48,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290007,'an elder Thulian proselyte','','','','',255,1637,47,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290008,'an elder Thulian zealot','','','','',255,1637,47,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290009,'Jontik','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290010,'Kartik','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290011,'Kobtik','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290012,'Xabekn','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290013,'Jantik','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290014,'Larer','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290015,'Xarab','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290016,'Gabober','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290017,'Xeker','An elder Thulian lifestealer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290018,'Voneker','An ancient Thulian terrorfiend''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290019,'an ancient Thulian dreadfiend','','','','',255,177,79,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290020,'an ancient Thulian terrorfiend','','','','',255,178,80,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290021,'an ancient Thulian frightfiend','','','','',255,176,79,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290022,'Losekn','An ancient Thulian terrorfiend''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290023,'Loneker','An ancient Thulian terrorfiend''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290024,'Fright','','','','',255,160,96,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290026,'spell_effect_10',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290027,'spell_effect_09',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290028,'spell_effect_08',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290029,'spell_effect_07',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290030,'spell_effect_06',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290031,'troll_tiki_00',NULL,'','','',0,1620,32,0,1,1,61,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290032,'spell_effect_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290033,'spell_effect_00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290034,'troll_tiki_01',NULL,'','','',0,1620,32,0,1,1,61,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290035,'spell_effect_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290036,'spell_effect_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290037,'troll_tiki_03',NULL,'','','',0,1620,32,0,1,1,61,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290038,'spell_effect_05',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290039,'spell_effect_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290040,'troll_tiki_02',NULL,'','','',0,1620,32,0,1,1,61,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290041,'zone_to_cazicthule_01',NULL,'','','',0,49,32,0,0,0,203,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(290042,'zone_to_cazicthule_01',NULL,'','','',0,49,32,0,1,1,203,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310000,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310001,'a Bloodskull grunt','','','','',255,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310002,'a Bloodskull mauler','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310003,'a Bloodskull thug','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310004,'a Bloodskull mage','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310005,'a Bloodskull lieutenant','','','','',255,5023,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310006,'a Bloodskull archer','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310007,'an orc strategy runner','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310008,'a Bloodskull spotter','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310009,'a Bloodskull sentry','','','','',255,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310010,'a Bloodskull zealot','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310011,'a cow','','','','',255,259,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310012,'a pig','','','','',255,271,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310013,'a ram','','','','',255,2336,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310014,'a horse','','','','',255,6846,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310015,'an orc butcher','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310016,'Legionnaire Kruk','','','','',255,5024,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310017,'a Bloodskull sentry','','','','',255,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310018,'an orc strategy runner','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310019,'an orc cook','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310020,'an orc provisioner','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310021,'an orc stable guard','','','','',255,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310022,'an orc miner','','','','',255,5022,32,0,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310023,'an orc miner','','','','',255,5108,32,0,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310024,'Commander Gorzok','','','','',255,5024,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310025,'a Bloodskull emissary','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310026,'an exiled mercenary','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310027,'Chief Surveyor Remolus','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310028,'a Bloodskull sentry','','','','',255,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310029,'a razortooth blender','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310030,'a razortooth harbinger','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310031,'Zealot Vukor','','','','',255,5108,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310032,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310033,'barricade_long',NULL,'','','',0,1556,32,0,0,0,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310034,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310035,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310036,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310037,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310038,'weaponrack03',NULL,'','','',0,4651,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310039,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310040,'barricade_short',NULL,'','','',0,1557,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310041,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310042,'mess sergeant cooking crate',NULL,'','','',0,2060,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310043,'mess sergeant cooking cask',NULL,'','','',0,2943,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310044,'goblin_broken_cage01',NULL,'','','',0,1526,21,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310045,'goblin_cage01',NULL,'','','',0,1528,21,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310046,'mess sergeant cooking pot01',NULL,'','','',0,4606,45,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310047,'orc large tent',NULL,'','','',0,2379,32,0,0,0,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310048,'hanging_meat01',NULL,'','','',0,1533,16,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310049,'zone_to_commonlands02',NULL,'','','',0,49,32,0,1,1,1250,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310050,'zone_to_commonlands01',NULL,'','','',0,49,32,0,0,0,1131,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(310051,'alarm_bells',NULL,'','','',0,16,47,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320000,'skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320001,'a death silk spider','','','','',255,205,9,6,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320002,'a deathbone','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320003,'a death silk spider','','','','',255,205,9,6,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320004,'Jeroel the famished','','','','',9,4535,38,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320005,'Rotbone','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320006,'a deathrot','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320007,'rotbones skeleton','','','','',9,1521,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320008,'Death Marrow','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320009,'a fleshrot','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320010,'gore covered skeleton','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320011,'Decaying Slough','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320012,'a deathsilk spider','','','','',255,205,48,5,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320013,'fresh covered skeleton','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320014,'Zarvonn''s creation','','','','',255,161,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320015,'Zarvonn','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320016,'Benas','Conjura''s tellurian soldier','','','',255,2462,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320017,'Karn','Keela''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320018,'Keela''s swarm of rats','','','','',255,196,22,8,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320022,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,0,0,9467,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320023,'',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320024,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320025,'stonecrest ore',NULL,'','','',0,3957,37,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320026,'mesquite catch weed',NULL,'','','',0,1731,25,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320027,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320028,'wind swept stones',NULL,'','','',0,2378,13,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320029,'felled desert arbor',NULL,'','','',0,3948,36,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(320030,'desert shrubbery',NULL,'','','',0,4075,35,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330000,'a Blackshield brute','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,150,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330001,'a Blackshield assassin','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,150,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330002,'a Blackshield cleric','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,150,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330003,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,25,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(330004,'a griffin tamer','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330007,'a damaged cart','','','','',0,2242,33,0,0,0,0,0,0,0,0,0,0,0,58,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330008,'Overlord''s Edge','','','','',0,7940,32,0,1,1,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330009,'Guard D''za','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330010,'a pig','','','','',255,271,27,6,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330012,'Ocranis Lucena','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330013,'Guard Petronax','','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330014,'Gerun Pontian','<Militia Gate Patrol>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330015,'Mooshga','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330016,'Guard Vindex','','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330017,'Nethet','','','','',13,69,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330018,'Guard Asellio','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330019,'Importer Strathcona','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330021,'a small emerald beetle','','','','',255,208,92,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330022,'a speckled rattler','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330023,'a thresh bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330024,'a banded armadillo','','','','',255,220,28,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330025,'a massive emerald beetle','','','','',255,208,224,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330026,'Lieutenant Cillian','','','','',3,119,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330027,'a carrion hound','','','','',255,278,32,0,1,1,11,0,0,1,1,1,0,1,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330028,'a burly armadillo','','','','',255,220,48,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330030,'a carrion hound pup','','','','',255,278,25,0,1,1,11,0,0,1,1,1,0,1,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330032,'a young vulrich','','','','',255,189,25,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330033,'a spectral defender','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330034,'a ghostly orc','','','','',20,3734,32,0,1,1,11,0,496,1,1,1,0,1,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330035,'Sian D''ior','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330036,'Guard Ari ','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330037,'Scout Nonius','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330038,'Scout Calvus','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330039,'Gil McMartin','','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330040,'a molting scorpion','','','','',255,251,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330041,'a hulking fire beetle','','','','',255,221,240,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330042,'a monitor lizard','','','','',255,201,25,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330043,'a giant spider','','','','',255,244,118,0,1,1,11,0,0,1,1,1,0,1,10,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330044,'a dregs sneak','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330045,'Riki','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330046,'Ferink','','','','',13,67,32,0,1,1,9,0,0,0,0,1,0,0,19,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330047,'Kadek','','','','',13,65,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330048,'a small bluegill','','','','',255,204,15,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330049,'a small pike','','','','',255,194,22,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330050,'a dregs scout','','','','',13,71,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330051,'ZaZa Lenska','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330052,'Rootka','','','','',13,55,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330053,'Zaikik','','','','',13,71,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330054,'Mnemir','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330055,'a kerran brigand','','','','',11,92,31,3,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330056,'Entui','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330057,'a kerran rogue','','','','',11,94,31,3,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330058,'Nosno','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330059,'Maharai','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330060,'Keerah','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330061,'Leldwana','','','','',11,95,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330062,'Jaharin','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330063,'Amoora','','','','',11,94,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330064,'a scourge rat','','','','',255,233,25,3,1,1,11,0,0,1,1,1,0,1,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330065,'a monitor behemoth','','','','',255,201,44,3,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330067,'Seepscale','','','','',255,199,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330068,'a Bloodskull messenger','','','','',20,5108,48,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330069,'a fallen blackguard','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330070,'a stone beetle','','','','',255,2361,150,1,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330071,'a stone snake','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330072,'a fallen apostle','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330073,'Sir Groktog','','','','',4,3792,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330074,'a fallen defender','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330075,'a fallen champion','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330076,'High Priest of Val`Marr','','','','',9,1521,51,0,1,1,11,0,0,1,1,1,0,1,36,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330078,'a plains hunter','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330079,'a fierce carrion hound','','','','',255,278,41,0,1,1,11,0,0,1,1,1,0,1,21,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330080,'Gutgnasher','','','','',255,278,54,0,1,1,11,0,0,1,1,1,0,1,21,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330081,'a fallen diplomat','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330082,'a fallen disciple','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330083,'a fallen guardian','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330084,'a carrion hawk','','','','',255,2358,41,0,1,1,11,0,0,1,1,1,0,1,17,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330085,'a Dervish go-between','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,116,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330086,'a savanna lioness','','','','',255,1372,38,3,1,1,11,0,0,1,1,1,0,1,35,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330087,'a giant vulrich','','','','',255,189,65,3,1,1,11,0,0,1,1,1,0,1,37,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330088,'Rama''nai','','','','',255,303,64,0,1,1,11,0,0,1,1,1,0,1,35,4620,1360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330089,'an earthen tumbler','','','','',255,155,22,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330090,'an earthen rumbler','','','','',255,152,44,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330092,'a Dervish cutthroat','','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,116,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330094,'a Dervish thaumaturge','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,116,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330095,'a Dervish heretic','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,116,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330097,'Frund the Big Grin','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330098,'a Dervish zealot','','','','',10,104,32,0,1,1,11,0,0,1,1,1,0,116,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330100,'a Dervish ruffian','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,116,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330101,'a Dervish outlander','','','','',6,132,38,0,1,1,11,0,0,1,1,1,0,116,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330102,'a Dervish assassin','','','','',12,123,38,0,1,1,11,0,0,1,1,1,0,116,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330105,'a Dervish thug','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,116,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330108,'a sandstone giant','','','','',255,154,54,0,1,1,11,0,0,1,1,1,0,1,89,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330109,'a Dervish craftsman','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,116,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330110,'Commander Ralio','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330113,'A Tortured Maid','','','','',255,2933,32,0,1,1,11,0,0,1,1,1,0,1,32,3825,1090,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330114,'Overseer Melicinn','<Academy of Arcane Science>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330115,'Assistant D`Verin','','','','',1,116,28,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330116,'a tortured soul','','','','',255,2933,32,0,1,1,11,0,0,1,1,1,0,1,32,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330117,'a savanna lion','','','','',255,303,51,0,1,1,11,0,0,1,1,1,0,1,35,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330118,'a strangely stitched zombie','','','','',255,161,36,0,1,1,11,0,0,1,1,1,0,0,35,1770,540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330119,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330120,'a rock lion','','','','',255,303,51,0,1,1,11,0,0,1,1,1,0,1,35,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330121,'Orc Chaser','','','','',255,225,41,0,1,0,0,0,11191,0,0,1,0,0,40,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330122,'Amulius Ramio','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330123,'a Bloodskull warrior','','','','',20,5022,33,4,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330124,'Commander Du''Nar','','','','',20,5023,41,0,1,1,11,0,0,1,1,1,0,0,36,4300,1210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330125,'a Bloodskull lumberjack','','','','',20,5022,32,0,1,1,11,0,11420,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330126,'an orc runner','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330128,'a grunt of Ree','','','','',17,5021,32,0,1,1,11,0,0,1,1,1,0,121,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330129,'an advanced scout of Ree','','','','',20,5021,32,0,1,1,11,0,0,1,1,1,0,121,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330130,'a rock lion cub','','','','',255,1372,18,3,1,1,11,0,0,1,1,1,0,1,35,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330131,'a rock lioness','','','','',255,1372,36,3,1,1,11,0,0,1,1,1,0,1,35,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330132,'a roekillik digger','','','','',13,66,21,0,1,1,11,0,13113,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330133,'Surveyor Menak','','','','',13,56,24,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330134,'a badlands tradesman','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330136,'Durio Caepio','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330137,'Orwen Neovra','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330138,'Galla Lentula','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330139,'Gierasa Kulnovich','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330140,'a rhinoceros','','','','',255,266,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330141,'an elephant','','','','',255,264,47,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330142,'an elephant calf','','','','',255,264,21,2,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330143,'a savannah kudu','','','','',255,206,35,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330144,'Shady','<dubious bargains and guild deals>','','','',13,63,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330145,'Harbormaster D''Vey','<Harbormaster>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330146,'a sand crab','','','','',255,211,15,3,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330147,'a sea turtle','','','','',255,218,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330148,'a dock laborer','','','','',10,1574,32,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330149,'Brandus Levine','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330150,'a young silt shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330151,'Cargomaster Libertius','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330152,'a duststinger','','','','',255,293,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330153,'Heron Cogcarrier','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330154,'a raider of Gunthak','','','','',255,140,27,5,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330155,'a pirate of Gunthak','','','','',255,140,27,5,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330156,'a cleric of Gunthak','','','','',255,140,27,5,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330157,'a locked treasure chest','','','','',9,3078,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330158,'a fallen orc','','','','',9,139,31,3,1,1,11,0,0,1,1,1,0,1,36,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330159,'a mith deer','','','','',255,5759,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330160,'a digger wasp','','','','',255,276,63,3,1,1,11,0,0,1,1,1,0,1,11,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330161,'a grove wisp','','','','',255,273,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330162,'a giant grove wisp','','','','',255,273,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330163,'a moon wisp','','','','',255,273,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330164,'a black wolf','','','','',255,1374,32,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330165,'an arbor wasp','','','','',255,276,60,3,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330166,'Gustfeather','','','','',255,225,64,0,1,1,11,0,0,1,1,1,0,1,40,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330167,'Guard N''Garen','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330168,'Fisherman Safiya','','','','',11,92,28,0,1,1,9,0,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330169,'Guard N''Ican','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330170,'Guard Pascentius','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330171,'Janus Fieri','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330172,'a seagull','','','','',255,2335,16,0,1,1,0,0,0,0,0,1,0,0,8,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330173,'V''tal Narin','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330174,'Merchant William','<Armorsmith>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,16161,0,0,0,0,0,0,0,0,0,0,0,0),
(330175,'Cannix Silverflame','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330176,'Guard Trimalchio','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330177,'Inquisitor Irizan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330178,'Captain Vertas','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330179,'Madam Vi','','','','',9,132,32,0,1,1,9,0,1569,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330180,'Arconicus','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330181,'Guard Laurio','','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330182,'Guard Viridix','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330183,'Kason Withershadow','','','','',7,4986,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330184,'Captain Feralis','<Freeport Militia Commander>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330185,'Impelia Abettus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330186,'Guard Navera','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330187,'Gimble Cognoggin','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330188,'Dalar R''taan','','','','',9,1599,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330191,'a rotting cadaver','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330192,'a cow','','','','',255,259,28,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330193,'a twitching cadaver','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330194,'a spark of growth','','','','',255,273,38,0,1,1,0,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330195,'Blat Berisen','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330196,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330197,'Arzachel','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330198,'Squire Hadley','<Order of Marr''s Fist>','','','',255,9036,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330199,'Tecera Valnos','<Destroyer of Orcs>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330200,'Friar Arlam Va''orr ','<Order of Marr''s Fist>','','','',255,9036,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330201,'Shadow Swoop','','','','',255,225,41,0,1,1,0,0,11191,0,0,1,0,0,40,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330202,'a Bloodskull tamer','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330203,'a war elephant','','','','',255,264,48,3,1,1,11,0,0,1,1,1,0,1,44,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330204,'a Bloodskull soldier','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330206,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330207,'a Thexian excavator','','','','',1,115,32,0,1,1,11,0,2811,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330208,'a Thexian dragoon','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330209,'a griffon tamer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330210,'a ghast beetle','','','','',255,222,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330211,'a Shin`Ree avenger','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330212,'a blue widow spider','','','','',255,243,25,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330213,'Tiff Squeelunkle','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330214,'Ventar T''Kal','<Slayer of Orcs>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330215,'Ronam Olansk','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330216,'a parched nomad','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330218,'a runner of Ree','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,121,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330219,'Kregnok Legbreaker','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330221,'Ugam','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330224,'Charapace','','','','',255,221,240,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330225,'Pythus','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330226,'Master of the Hunt','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330227,'Thrumplate','','','','',255,220,44,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330228,'a fallen orc lieutenant','','','','',9,139,38,2,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330229,'a ghostly orc messenger','','','','',19,5602,32,0,1,1,11,0,496,1,1,1,0,1,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330230,'Watcher Daenso','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330231,'a fallen captain','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330232,'a brittle skeleton','','','','',9,138,32,0,1,1,11,0,0,1,1,1,0,1,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330233,'Graverobber','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330234,'a scrub rat','','','','',255,196,41,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330235,'Executioner Selindi','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330236,'a lost soul','','','','',255,2933,32,0,1,1,11,0,0,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330237,'Guard Pokul','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330238,'Watcher Ommo','<Freeport Militia>','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330239,'Guard Senna','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330240,'Karmen the Swindler','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,406,406,0,0,30278,0,0,0,0,0,0,0,0,0,0,0,0),
(330241,'Jerimiah Halstetter','<Weaponsmith>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,376,376,0,0,100349,0,0,0,0,0,0,0,0,0,0,0,0),
(330242,'Halcien','','','','',9,6846,32,0,1,1,0,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330243,'Captain Ista','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330244,'Sergeant Borus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330245,'Master Jaedra','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330246,'Rainus Canton','<Hunter of Orcs>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330248,'Ohrgran Foulgore','','','','',19,5024,32,0,1,1,11,0,0,1,1,1,0,1,36,2985,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330249,'a Bloodskull priest','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330251,'Guard Bellicus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330252,'Guard Calog','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330253,'Merchant Valary','<Weaponsmith>','','','',0,111,28,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,30292,0,0,0,0,0,0,0,0,0,0,0,0),
(330254,'Gubta','<Mender>','','','',12,123,32,0,1,1,12,9,0,0,0,1,0,0,34,301,301,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(330255,'Grandma Twirlwhizzer','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330256,'Guard Quintix','<Guard>','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330257,'Anders Blackhammer','','','','',9,134,32,0,1,1,9,0,0,0,1,1,0,0,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330258,'Rilkrik','<Crossroads Supplies Officer>','','','',13,60,28,0,1,1,10,0,0,0,0,1,0,0,19,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330259,'Merchant Edmond','<Provisioner>','','','',6,78,35,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,30298,0,0,0,0,0,0,0,0,0,0,0,0),
(330260,'Taskmaster''s Assistant Koz''ma','','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330261,'J.P. Feterman','','','','',2,110,32,0,1,1,9,0,11500,0,0,1,0,0,18,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330262,'Guard Fimi','<Guard>','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330263,'a silt shark','','','','',255,242,47,2,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330264,'Captain Gaer','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,1,36,4680,1360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330265,'a Bloodskull mystic','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330266,'Captain Ogof','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,0,36,4680,1360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330267,'a farmer','','','','',9,134,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330268,'a Bloodskull orc','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330269,'a putrid cadaver','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330270,'Lucretias Domna','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330271,'a dusty cadaver','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330272,'Drammer Quickblade','','','','',1,115,28,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330273,'a bull rhinoceros','','','','',255,266,63,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330274,'a plains elephant','','','','',255,264,46,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330275,'The Underwurm','','','','',255,197,160,0,1,1,11,0,0,1,1,1,0,1,32,3825,1090,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330276,'a mere guardian','','','','',255,154,54,0,1,1,11,0,0,1,1,1,0,1,89,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330277,'Reetusk','','','','',255,264,58,2,1,1,11,0,0,1,1,1,0,1,44,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330278,'Engineer Klaaska','','','','',13,66,24,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330279,'Captain Garglass','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,1104,350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330280,'a Blackshield smuggler','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,150,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330281,'Jereth Blackshield','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330282,'Emra Shadydeal','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330283,'a Blackshield dockhand','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,150,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330284,'a Blackshield recruit','','','','',13,65,32,0,1,1,9,0,0,0,0,1,0,150,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330285,'Nikora','','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,19,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330286,'a Blackshield dock officer','','','','',13,65,32,0,1,1,9,0,0,0,0,1,0,150,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330287,'Crush Beak','','','','',255,225,41,0,1,1,0,0,11191,0,0,1,0,0,40,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330288,'a Bloodskull scout','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330289,'a Bloodskull mason','','','','',19,5022,32,0,1,1,11,0,11420,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330291,'Kraofla','','','','',4,4942,32,0,1,1,11,0,0,1,1,1,0,1,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330295,'a Bloodskull negotiator','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330296,'a mysterious contact','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330297,'Priest of Discord','','','','',9,134,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330298,'Beta Bhaast the Collector','<Battleground Gear Vendor>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330300,'Tower Guardian','','','','',9,3581,22,0,1,1,11,0,20476,1,1,1,0,0,38,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330301,'Tower Guardian','','','','',9,3581,22,0,1,1,11,0,20477,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330302,'Tower Guardian','','','','',9,3581,22,0,1,1,0,0,20480,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330303,'Tower Guardian','','','','',9,3581,22,0,1,1,11,0,20478,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330304,'a baby viper','','','','',255,213,44,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330305,'a savage carrion hound','','','','',255,278,44,0,1,1,11,0,0,1,1,1,0,1,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330306,'a Qeynosian scout','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330307,'a Qeynosian protector','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330308,'a Blackshield thug','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,150,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330315,'a huntsman','','','','',6,79,31,3,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330316,'Lightbringer Wisp','','','','',255,273,73,0,1,1,11,0,0,1,1,1,0,0,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330317,'a savanna deer','','','','',255,5759,33,5,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330323,'a Bloodskull tower guard','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330324,'Commander Grik''Sna','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,1,36,4300,1210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330325,'Lieutenant Vrah''Kna','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,0,36,4620,1360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330326,'an orc emissary','','','','',19,5023,32,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330327,'a Bloodskull extractor','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330328,'Wounded Scout','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330329,'a fallen crusader','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,1,36,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330330,'Lady Anyanka Polevshi','','','','',255,2845,32,0,1,1,11,0,6193,1,1,1,0,1,32,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330331,'Marcus','<General Goods>','','','',13,69,32,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,30437,0,0,0,0,0,0,0,0,0,0,0,0),
(330332,'a silt eater','','','','',255,2412,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330333,'General Vhar''Taug','','','','',19,5027,48,0,1,1,11,0,0,1,1,1,0,0,36,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330334,'a twistroot spectre','','','','',255,3702,80,0,1,1,11,0,0,1,1,1,0,1,64,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330335,'a Bloodskull shaman','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330336,'Vurog Ma''gar','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330337,'Jyrok the Stone','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330338,'Arnisu Tobian','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330339,'a phantasm of Odox','','','','',255,1585,80,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330343,'a bull elephant','','','','',255,265,51,3,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330344,'a drakota adjutant','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,1,20,4800,2500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330345,'Ladon','','','','',255,238,96,0,1,1,11,0,0,1,1,1,0,1,20,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330346,'a drakota adept','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,1,20,4800,2500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330347,'a Festering Cadaver','','','','',255,140,48,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330349,'Grizzlefang','','','','',255,303,48,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330352,'a dervish negotiator','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,116,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330354,'Kivas Levine','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330355,'Brackencoat','','','','',255,1374,38,0,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330356,'a vile mercenary','','','','',5,122,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330357,'a bloodthirsty mercenary','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330358,'an earthcrafted guardian','','','','',255,155,32,0,1,1,11,0,228,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330359,'a rogue diabolist','','','','',8,135,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330360,'an earthcrafted champion','','','','',255,155,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330361,'an earthcrafted guardian','','','','',255,155,32,0,1,1,11,0,228,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330362,'a rogue soothsayer','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330363,'a voidcrafted minion','','','','',255,1370,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330364,'a rogue magician','','','','',2,109,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330365,'a perennial charmer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330366,'an aqueous assistant','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330367,'an aqueous aide','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330368,'a perennial marauder','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330369,'an aqueous protector','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330370,'a perennial champion','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330371,'a perennial ruffian','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330372,'a tortured defender','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330373,'a perennial defender','','','','',9,290,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330374,'a perennial abbot','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330375,'a voidcrafted savant','','','','',255,1370,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330376,'a rogue diviner','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330377,'a voidcrafted vassal','','','','',255,1370,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330378,'an apprentice magus','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330379,'a tortured mercenary','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330381,'a tortured dragoon','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330382,'a tortured thaumaturge','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330383,'a Rogue Vizier','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330384,'a rogue thaumaturge','','','','',11,97,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330385,'a rogue diviner','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330386,'a hopeless mercenary','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330387,'a deranged mercenary','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330388,'a derelict mercenary','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330389,'Archmagus Naerius D''Lyle','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330390,'Magus Geofry Marus','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330393,'a perennial deacon','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330394,'Tundis N`oxyle','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330398,'Bufftest''s wolf pack','','','','',255,1374,17,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330400,'An Overcharged Emanation','','','','',255,273,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330401,'Skullhammer','','','','',255,189,96,0,1,1,11,0,0,1,1,1,0,1,37,25000,15000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330402,'Nerl Vannis','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330403,'a Militia guard','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,5,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330404,'Lucanic Knight Initiate','','','','',9,134,35,0,1,1,11,0,0,1,1,1,0,5,32,4620,1360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330405,'Spirit of Raegnir','','','','',19,5021,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330406,'a rhinoceros calf','','','','',255,266,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330407,'a marrow sapper','','','','',255,210,41,1,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330408,'a marrow sapper','','','','',255,210,39,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330409,'Captain Surestout','','','','',255,140,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330411,'Renial Foefur','','','','',11,101,40,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330412,'a vulrich','','','','',255,189,32,2,1,1,11,0,0,1,1,1,0,1,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330413,'a fledgling vulrich','','','','',255,189,19,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330418,'The Ancient Twistroot','','','','',255,3702,96,0,1,1,11,0,0,1,1,1,0,1,64,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330421,'A Berserk Golem','','','','',255,160,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330424,'Onevsone','','','','',255,6825,9,0,1,1,0,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330431,'Twienel Marcannum','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330442,'Passerby','','','','',255,10356,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330449,'Griffon Defender','','','','',255,7742,16,0,1,1,11,0,0,1,1,1,0,0,40,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330487,'Iamadragon','','','','',255,5096,9,0,1,1,0,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330506,'a spongiform zombie','','','','',255,301,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330507,'a false widow spider','','','','',255,205,25,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330508,'a Gate Caller scion','<Teleportation to the Overrealm>','','','',3,1593,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330509,'a construction laborer','','','','',6,18954,32,0,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330523,'Beans','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330524,'Frank','','','','',255,5096,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330547,'D''za','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330548,'Petronax','<Guard>','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330568,'a freshwater crab','','','','',255,211,19,3,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330583,'Xrinchel','','','','',255,245,128,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330589,'Cinnamon','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330590,'Clove','','','','',255,6538,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330608,'Lucky','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330615,'Ironman','','','','',255,7465,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330616,'a badlands viper','','','','',255,213,44,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330619,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330620,'dark seepage','','','','',255,296,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330621,'Void Tempest','','','','',255,8264,62,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330626,'dark horror','','','','',255,240,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330629,'a young savanna deer','','','','',255,5759,25,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330630,'a savanna deer fawn','','','','',255,5759,19,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330637,'Guard N''Ican','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330638,'Guard Pascentius','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330640,'Guard Laurio','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330641,'Guard Trimalchio','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330644,'Impelia Abettus','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330645,'Guard Navera','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330646,'XXXXX','','','','',0,255,0,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330648,'a seagull','','','','',0,255,0,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330650,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',0,255,0,0,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330652,'Guard Viridix','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330654,'Arconicus','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330656,'Captain Vertas','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330661,'Guard N''Garen','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330663,'an arbor wasp','','','','',0,64,0,0,1,1,11,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330669,'a griffon tamer','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330670,'Crush Beak','','','','',0,255,0,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330674,'Guard Fimi','<Guard>','','','',0,255,0,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330687,'Zaikik','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330711,'Nosno','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330725,'Keerah','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330750,'a courier','','','','',0,64,0,0,1,1,11,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330751,'Dafdamer','','','','',0,255,49152,0,1,1,0,0,20552,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330753,'Reetusk','','','','',0,255,0,0,1,1,11,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330757,'Lucretias Domna','','','','',0,255,0,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330759,'Drammer Quickblade','','','','',0,255,0,0,1,1,11,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330776,'an Arcane Science apprentice','','','','',3,1592,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330777,'an Arcane Science Teleportation Scholar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330778,'a Freeport Militia enforcer','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330779,'a structure builder','','','','',13,63,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330780,'Sergeant Gorak','<Freeport Militia>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330782,'a Freeport Militia swordarm','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330783,'a Freeport Militia enforcer','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330784,'Chief Engineer Bairgen','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330785,'Lord Razon Blayze','<Lucanic Knight>','','','',9,134,35,0,1,1,0,0,0,0,0,1,0,0,32,1126,1126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330791,'BoatWidget',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330792,'quest_wheel_of_vaniki',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330793,'widget_widget_giggling_orc_x1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330794,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330795,'quest_wisk_shack_trigger',NULL,'','','',0,49,32,0,1,1,292,0,0,0,0,0,0,0,327,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330796,'',NULL,'','','',0,49,32,0,1,1,293,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330797,'derv_treasure_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330798,'derv_treasure_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330799,'',NULL,'','','',0,49,32,0,1,1,621,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330800,'',NULL,'','','',0,49,32,0,1,1,626,0,0,0,0,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330801,'quest_mourned_statue_lightstone',NULL,'','','',0,49,32,0,0,0,627,0,0,0,0,1,1,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330802,'tome_mastery_orc_widget',NULL,'','','',0,49,32,0,0,0,628,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330803,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330804,'quest_vaniki_barrel',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330805,'qst_exiletoneriak_x4_ale2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330806,'qst_exiletoneriak_x4_ale',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330807,'qst_exiletoneriak_x4_ale4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330808,'qst_exiletoneriak_x4_ale3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330809,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330810,'quest_tartons_wheel_azia',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330811,'quest_fire_ring_trigger',NULL,'','','',0,49,32,0,1,1,970,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330812,'quest_forgotten_statue_lightstone',NULL,'','','',0,49,32,0,0,0,627,0,0,0,0,1,1,0,399,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330813,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330814,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330815,'derv_treasure_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330816,'widget_waterlogged_barrel',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330817,'wall_axe_widget',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330818,'(unnamed)',NULL,'','','',0,49,32,0,1,0,626,0,0,0,0,0,0,0,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330819,'unknown',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330820,'wall_widget',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330821,'wood_pile_widget',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330822,'stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330824,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330825,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330826,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330827,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330828,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330829,'floor_tent_human_open01',NULL,'','','',0,4617,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330830,'barricade_long',NULL,'','','',0,1556,32,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330831,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330832,'barrel_small_light',NULL,'','','',0,1909,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330833,'Leanto',NULL,'','','',0,5157,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330834,'floor_barrel_any_ornate01',NULL,'','','',0,2563,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330835,'fprt_crate_large_militaryboarded01',NULL,'','','',0,6263,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330836,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330837,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330838,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330839,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330840,'spell_effect_flames',NULL,'','','',0,2306,160,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330842,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330845,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330846,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330847,'solusek ro brazier',NULL,'','','',0,1619,48,0,0,0,149,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330848,'card_table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330849,'teleportation cube',NULL,'','','',0,6159,32,0,0,0,88,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330850,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330851,'quest_gnomish_treasure_23',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330852,'binding_fire',NULL,'','','',0,2019,32,0,1,1,285,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330853,'quest_gnomish_treasure_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330854,'quest_gnomish_treasure_30',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330855,'some very old bottles',NULL,'','','',0,2617,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330856,'an old vial',NULL,'','','',0,2622,31,0,0,0,287,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330857,'quest_gnomish_treasure_29',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330858,'quest_gnomish_treasure_28',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330859,'quest_gnomish_treasure_08',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330860,'quest_gnomish_treasure_18',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330861,'Scroll of Froglok Flesh',NULL,'','','',0,3549,32,0,1,1,288,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330862,'Ogre Remains',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330863,'quest_gnomish_treasure_17',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330864,'crate of weapons',NULL,'','','',255,16501,38,0,1,1,289,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330865,'derv_orders',NULL,'','','',0,1404,22,0,0,0,290,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330866,'barricade_corner_left',NULL,'','','',0,1554,31,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330867,'barricade_corner_right',NULL,'','','',0,1555,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330868,'barricade_short',NULL,'','','',0,1557,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330869,'quest_gnomish_treasure_10',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330870,'quest_gnomish_treasure_13',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330871,'quest_gnomish_treasure_14',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330872,'quest_gnomish_treasure_16',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330873,'fallen_blackguard_mineral_00',NULL,'','','',0,2378,32,0,0,0,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330874,'fallen_blackguard_mineral_02',NULL,'','','',0,2378,32,0,0,0,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330875,'wall_to_tradeskill_mission',NULL,'','','',0,9420,58,0,1,1,0,0,0,0,0,0,0,0,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330876,'treasure_chest',NULL,'','','',0,2902,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330877,'large tent',NULL,'','','',0,4912,31,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330878,'qey_crystal_globe',NULL,'','','',0,1513,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330879,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330880,'Orc Tent',NULL,'','','',0,2379,32,0,1,0,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330881,'ext01_hom_tent01',NULL,'','','',0,4617,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330882,'ext01_hom_fire_ring',NULL,'','','',0,2019,52,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330883,'ext01_hom_tent02',NULL,'','','',0,4616,32,0,1,1,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330884,'quest_gnomish_treasure_15',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330885,'a damaged cart',NULL,'','','',0,2209,31,0,0,0,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330886,'quest_gnomish_treasure_12',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330887,'qst_scp_ree_orders',NULL,'','','',0,2902,32,0,0,0,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330888,'zone_to_commonlands_guildhall_tier3',NULL,'','','',0,16,32,0,1,0,0,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330889,'pillow_blue',NULL,'','','',0,2750,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330890,'quest_gnomish_treasure_00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330891,'quest_gnomish_treasure_26',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330892,'quest_gnomish_treasure_27',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330893,'quest_gnomish_treasure_06',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330894,'Exp03 Commonlands Sorcerer Rune',NULL,'','','',0,4180,32,0,1,1,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330895,'quest_gnomish_treasure_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330896,'quest_gnomish_treasure_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330897,'Statue of William Taros - No Shield',NULL,'','','',0,9190,38,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330898,'fprt_crate_small_military01',NULL,'','','',0,6264,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330899,'fallen_blackguard_mineral_01',NULL,'','','',0,2378,32,0,0,0,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330900,'Valorian Bloom',NULL,'','','',0,10325,19,0,1,1,0,0,1902,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330901,'canopic jar laying',NULL,'','','',0,2873,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330902,'canopic jar large',NULL,'','','',0,2872,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330903,'an unstable pocket',NULL,'','','',0,10513,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330904,'a stack of books',NULL,'','','',0,3037,32,0,1,1,955,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330905,'quest_gnomish_treasure_11',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330906,'32418',NULL,'','','',0,4926,32,0,1,1,0,0,1910,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330907,'quest_gnomish_treasure_24',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330908,'quest_gnomish_treasure_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330909,'quest_gnomish_treasure_25',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330910,'bloodskull supplies',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330911,'orc_torch',NULL,'','','',0,4140,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330912,'orc_chest',NULL,'','','',0,1571,32,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330913,'quest_gnomish_treasure_07',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330914,'quest_gnomish_treasure_09',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330915,'qst_scp_ree_shipment',NULL,'','','',0,1393,32,0,1,1,968,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330916,'quest_gnomish_treasure_05',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330917,'orc_siege_tower_explosion',NULL,'','','',0,2306,150,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330918,'orc_siege_tower',NULL,'','','',0,2306,32,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330919,'orc_siege_tower',NULL,'','','',0,2374,32,0,0,0,0,0,0,0,0,0,0,0,284,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330920,'Brosha the Brokenhearted',NULL,'','','',255,105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330921,'12345',NULL,'','','',0,13436,64,0,1,1,0,0,0,0,0,0,0,0,792,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330923,'an empty smuggling crate',NULL,'','','',0,3157,32,0,0,0,969,0,0,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330924,'a crate''s indentation',NULL,'','','',0,7656,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330925,'quest_gnomish_treasure_19',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330927,'scp_orc_ghost_blade',NULL,'','','',0,2902,32,0,1,1,162,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330928,'quest_gnomish_treasure_21',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330929,'quest_gnomish_treasure_22',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330930,'quest_gnomish_treasure_20',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330931,'fallen_blackguard_mineral_03',NULL,'','','',0,2378,32,0,0,0,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330932,'supply cache',NULL,'','','',0,1393,17,0,1,0,936,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330933,'a smuggling crate',NULL,'','','',0,3157,32,0,1,1,987,0,0,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330934,'a hastily built scarecrow',NULL,'','','',0,261,32,0,1,1,988,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330935,'freshgrave_00',NULL,'','','',0,2916,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330936,'a skull shrine',NULL,'','','',0,4138,57,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330938,'Frenzy Root',NULL,'','','',0,1727,14,0,1,1,1000,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330939,'SW Undeath Sentry',NULL,'','','',0,3252,32,0,1,0,0,0,6193,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330940,'SE Undeath Sentry',NULL,'','','',0,3252,32,0,1,0,0,0,6193,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330941,'W Undeath Sentry',NULL,'','','',0,3252,32,0,1,0,0,0,6193,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330942,'E Undeath Sentry',NULL,'','','',0,3252,32,0,1,1,0,0,6193,0,0,1,1,0,23,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(330943,'NE Undeath Sentry',NULL,'','','',0,3252,32,0,0,0,0,0,6193,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(330944,'NW Undeath Sentry',NULL,'','','',0,3252,32,0,1,0,0,0,6193,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331022,'void_storm_fx',NULL,'','','',0,2306,32,0,0,0,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331023,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(331024,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331025,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331026,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331027,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(331028,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(331029,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331030,'wanted poster',NULL,'','','',0,3655,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331031,'zone_to_fprt_west',NULL,'','','',0,49,32,0,0,0,294,0,0,0,0,1,0,0,580,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331032,'fprt_gate_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331033,'Sabotage_sabotage/qeynos_1_x2_1',NULL,'','','',0,2265,80,0,1,1,295,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331034,'Sabotage_sabotage/qeynos_1_x5_1',NULL,'','','',0,4644,32,0,1,1,296,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331035,'quest_binding_towerclimb',NULL,'','','',0,4995,41,0,1,1,297,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331036,'Sabotage_sabotage/qeynos_1_x9_1',NULL,'','','',0,4655,32,0,1,1,228,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331037,'sign_to_freeport03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331038,'sign_to_crossroads03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331039,'Sabotage_sabotage/qeynos_1_x3_2',NULL,'','','',0,3077,32,0,1,1,298,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331040,'Sabotage_sabotage/qeynos_1_x10_1',NULL,'','','',0,3537,32,0,1,1,299,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331041,'Sabotage_sabotage/qeynos_1_x4_1',NULL,'','','',0,3153,32,0,1,1,16,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331042,'Sabotage_sabotage/qeynos_1_x7_1',NULL,'','','',0,3346,32,0,1,1,296,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331043,'Kadek''s Mailbox',NULL,'','','',0,4709,32,0,1,1,300,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331044,'Rootka''s Mailbox',NULL,'','','',0,4709,32,0,1,1,300,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331045,'Zaikik''s Mailbox',NULL,'','','',0,4709,32,0,1,0,300,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331046,'Mnemir''s Mailbox',NULL,'','','',0,4709,32,0,1,1,300,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331047,'Entui''s Mailbox',NULL,'','','',0,4709,32,0,1,0,300,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331048,'Maharai''s Mailbox',NULL,'','','',0,4709,32,0,1,1,300,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331049,'Sabotage_sabotage/qeynos_1_x8_2',NULL,'','','',0,3157,32,0,1,1,301,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331050,'Leldwana''s Mailbox',NULL,'','','',0,4709,32,0,1,1,300,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331051,'fprt_poppies_a',NULL,'','','',0,48,32,0,1,1,135,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331052,'Sabotage_sabotage/qeynos_1_x6_1',NULL,'','','',0,4643,32,0,1,1,302,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331053,'fish_01',NULL,'','','',0,1666,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331054,'portal_to_obelisk',NULL,'','','',0,2306,70,0,1,1,308,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331055,'fprt_sewer01_gears01',NULL,'','','',0,1578,32,0,1,1,135,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331056,'mi_tower_easy',NULL,'','','',0,1549,53,0,1,1,387,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331057,'zone_to_cmmn_epic02_mage',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331058,'rock01',NULL,'','','',0,1550,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331059,'zone_to_cmmn_epic01_orc02',NULL,'','','',0,49,32,0,1,1,395,0,0,0,0,1,0,0,107,0,0,0,0,0,33001,0,0,0,0,1,0,0,0,0,0,0),
(331060,'zone_to_cmmn_epic01_orc02',NULL,'','','',0,49,32,0,1,1,395,0,0,0,0,1,0,0,105,0,0,0,0,0,33001,0,0,0,0,1,0,0,0,0,0,0),
(331061,'zone_to_shipyard_cove',NULL,'','','',0,9419,56,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331062,'Tomb of the Imprisoned',NULL,'','','',0,49,32,0,1,1,622,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331063,'sign_to_darklight_wood',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331064,'sign_to_commonlands',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331065,'sign_to_nektulos04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331066,'sign_to_crossroads04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331067,'flight_cloud_large_1_to_medium_1',NULL,'','','',0,16,32,0,1,1,65,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331068,'jumjum_jar_01',NULL,'','','',0,1434,32,0,1,1,135,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331069,'qst_gnomish_antonica_finder',NULL,'','','',0,4456,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331070,'quest_gnomish_digger',NULL,'','','',0,2821,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331071,'zone_to_boat_06p_hold_of_prexus_01',NULL,'','','',0,4644,31,0,1,1,45,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331072,'sign_to_nektulos05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331073,'signbruh',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331074,'sign_pillar_freeport',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331075,'Zone_To_Caverns_Afflicted',NULL,'','','',0,49,32,0,1,1,759,0,0,0,0,1,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331076,'Zone_to_Necrotic_Asylum',NULL,'','','',0,49,32,0,1,1,763,0,0,0,0,1,0,0,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331077,'Zone_to_Halls_Forsaken',NULL,'','','',0,49,32,0,1,1,764,0,0,0,0,1,0,0,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331078,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(331079,'zone_to_wailingcaves',NULL,'','','',0,49,32,0,1,1,956,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331080,'zone_to_fprt_west',NULL,'','','',0,49,32,0,0,0,931,0,0,0,0,1,0,0,549,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331081,'Sabotage_sabotage/qeynos_1_x3_1',NULL,'','','',0,3336,32,0,1,1,37,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331082,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,135,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331083,'',NULL,'','','',0,49,32,0,1,1,949,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331084,'Sabotage_sabotage/qeynos_1_x8_1',NULL,'','','',0,2028,32,0,1,1,755,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331085,'human_skeleton_bones',NULL,'','','',0,1847,32,0,1,1,135,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331086,'mi_coffin_entrance_easy',NULL,'','','',0,49,32,0,1,1,967,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331087,'zone_to_fprt_sewer02_gobblerocks_hideout',NULL,'','','',0,1489,32,0,0,0,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331088,'',NULL,'','','',0,49,32,0,1,1,923,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331089,'sewer_grate_01',NULL,'','','',0,1489,32,0,1,1,135,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331090,'sign_to_freeport04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331091,'sign_orcsign_wailingcaves',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331092,'skeleton_explorerpost',NULL,'','','',0,2431,32,0,1,1,135,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331093,'zone_commonlands_to_nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331094,'staff_explorerpost',NULL,'','','',0,4468,32,0,1,1,135,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331095,'mi_crypt_entrance_hard',NULL,'','','',0,1347,32,0,1,1,972,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331096,'a fractured stone',NULL,'','','',0,2922,202,0,1,1,973,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331097,'',NULL,'','','',0,49,32,0,1,1,974,0,0,0,0,0,0,0,486,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331098,'gravestone01',NULL,'','','',0,1549,32,0,1,1,135,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331099,'rock',NULL,'','','',0,1550,32,0,1,1,67,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331100,'zone_to_fallengate02',NULL,'','','',0,49,32,0,0,0,453,0,0,0,0,1,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331101,'zone_to_fallengate01',NULL,'','','',0,49,32,0,0,0,453,0,0,0,0,1,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331102,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(331103,'mariners_bell',NULL,'','','',0,16,32,0,1,1,927,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331104,'Zone to Graveyard',NULL,'','','',0,49,32,0,1,1,949,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331105,'Zone to Sprawl',NULL,'','','',0,49,32,0,1,1,923,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331106,'portal_to_kylong_plains',NULL,'','','',0,2306,48,0,1,1,1033,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331107,'Zone to Valley of the Rogue Magi',NULL,'','','',0,49,32,0,1,1,974,0,0,0,0,0,0,0,486,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331108,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331111,'band of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331112,'binding_firelog',NULL,'','','',0,4676,8,0,1,1,2,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331113,'cloven ore',NULL,'','','',0,3955,31,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331114,'wind felled tree',NULL,'','','',0,3929,31,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331115,'critter den',NULL,'','','',0,4003,54,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331116,'oasis shrubbery',NULL,'','','',0,4078,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331117,'wind swept rock',NULL,'','','',0,2265,46,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331118,'desert roots',NULL,'','','',0,1727,26,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331120,'The Lore of Fauna: The Behemoth',NULL,'','','',0,3322,32,0,1,1,6,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331121,'Jester''s garden',NULL,'','','',0,9564,24,0,1,1,2,0,2142,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331122,'pomegranate fruit',NULL,'','','',0,13575,4,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331123,'Frenzy Root',NULL,'','','',0,1727,10,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331124,'a riverbank mushroom',NULL,'','','',0,4550,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331125,'a newly empty smuggling crate',NULL,'','','',0,3157,32,0,1,1,2,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331126,'Bloodskull orders',NULL,'','','',0,3552,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331127,'disturbed soil',NULL,'','','',0,2916,14,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331128,'blood-stained finger bones',NULL,'','','',0,2430,19,0,1,0,1283,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331129,'Terra Thud',NULL,'','','',255,154,32,0,1,1,0,0,0,1,1,0,0,1,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331130,'Brad  -Aradune- McQuaid',NULL,'','','',255,12808,100,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331131,'airship',NULL,'','','',255,9721,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331132,'Smedley',NULL,'Big Mad',', Killer of Worlds','',255,18979,32,0,1,1,11,0,16967,1,1,1,0,0,32,26,100000000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331133,'Mooshga',NULL,'','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331134,'Master of the Hunt',NULL,'','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,32,626,626,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331135,'Nethet',NULL,'','','',13,69,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331136,'The Windbreaker',NULL,'','','',255,9721,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331137,'Sack-Grain 3',NULL,'','','',255,3537,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331139,'Marinae Laesear',NULL,'','','',255,135,32,0,1,1,9,0,0,0,0,0,0,35,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331140,'spawn_kraofla_SearchForTheMissing',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331141,'spawn_kraofla_AFesteringProblem',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331142,'froglokcube',NULL,'','','',255,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331143,'10m_FireLight',NULL,'','','',0,5748,32,0,1,1,0,0,3120,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331144,'Matthias Siegemaker','<Acolyte of the Grand Inquisitor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331145,'Shady Swashbuckler XVII','< EMU Freeport Citizenship Fast-Track >','','','',9,134,32,0,1,1,10,9,0,0,0,1,0,0,32,601,601,0,0,703539,0,0,0,0,0,0,0,0,0,0,0,0),
(331146,'a small dung beetle','','','','',255,208,92,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331147,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,2097151,0,0,0,0,0,0,0,0),
(331148,'a thumping banded armadillo','','','','',255,220,48,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331149,'A Fierce Banded Armadillo ','','','','',255,220,48,0,1,1,11,0,0,1,1,1,0,0,16,1470,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331150,'a plains elephant calf','','','','',255,264,22,3,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331151,'a Bloodskull pawn','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331152,'a Bloodskull scout','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331154,'a sidewinder','','','','',255,213,60,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331155,'a baby rattler','','','','',255,213,44,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331156,'a dune cobra','','','','',255,213,44,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331157,'a Bloodskull elite','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331158,'Big Rock',NULL,'','','',0,4721,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,131040,0,0,0,0,0,0,0,0),
(331159,'a Shin`Ree pawn','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331160,'a dung beetle','','','','',255,208,150,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331161,'a sand monitor hatchling','','','','',255,201,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331162,'a noxious scorpion','','','','',255,250,47,3,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331163,'Stonetusk','','','','',255,265,60,3,1,1,11,0,0,1,1,1,0,1,44,9000,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331164,'a giant vulrich','','','','',255,189,65,3,1,1,11,0,0,1,1,1,0,1,37,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331165,'Pride Mistress','','','','',255,1372,42,3,1,1,11,0,0,1,1,1,0,1,35,1990,610,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331166,'an Elder Lion','','','','',255,303,51,0,1,1,11,0,0,1,1,1,0,1,35,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331167,'a savanna lion cub','','','','',255,1372,20,3,1,1,11,0,0,1,1,1,0,1,35,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331168,'a digger wasp soldier','','','','',255,276,68,3,1,1,11,0,0,1,1,1,0,1,11,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331169,'a carrion beetle','','','','',255,208,100,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331170,'a badlands nomad','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331171,'a sandstone titan','','','','',255,154,65,0,1,1,11,0,0,1,1,1,0,1,89,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331172,'Kizdean Gix','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,32,3270,1005,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331173,'Marcus Warklar','','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,116,30,45000,22000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331174,'a sand monitor','','','','',255,201,35,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331175,'a tidecrawler','','','','',255,210,36,2,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331176,'a tidecrawler seer','','','','',255,210,36,2,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331177,'a tidecrawler oracle','','','','',255,210,36,2,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331178,'a young mith deer','','','','',255,5759,28,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331179,'a bay sifter','','','','',255,194,40,3,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331180,'a drowned dragoon','','','','',9,138,32,2,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331181,'a drowned acolyte','','','','',9,1521,32,2,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331182,'a drowned priest','','','','',9,2935,32,2,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331183,'a razortail barracuda','','','','',255,194,47,3,1,1,11,0,0,1,1,1,0,1,8,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331184,'Vrok Bloodfist','','','','',20,5023,41,0,1,1,11,0,0,1,1,1,0,0,36,4300,1210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331185,'Becce Geil','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,116,32,4300,1210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331186,'Captain T''Karne','','','','',9,138,32,2,1,1,11,0,0,1,1,1,0,1,36,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(331187,'nourished garden',NULL,'','','',0,3951,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340003,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340004,'a trained griffin','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340005,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,17,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(340013,'a scar wurm','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340015,'an untamed spirit','','','','',255,2837,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340016,'a miner','<Hate''s Envy Miner>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340017,'a commoner','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340018,'Danya Halfmoon','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340019,'Guard Donidas','','','','',9,134,32,0,1,1,9,0,0,0,0,0,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340020,'Guard Tiboen','','','','',9,134,32,0,1,1,9,0,0,0,0,0,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340021,'Sselnyl Do''Zyth','<Mayor>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340022,'Sir Jaron Var','<Lucanic Knight>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340023,'a Sablevein crumbler','','','','',255,14003,9,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340026,'Trainer Chalcice Z''Zyl''Zarin','<Knowledge of Repairs and Banking>','','','',17,6486,32,0,1,1,9,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340027,'Jhana Do''Zyth','','','','',1,116,30,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340028,'Gultrin Y''Oussiryn','<Banker>','','','',1,115,32,0,1,1,14,9,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340029,'Rizdyn V''Texiurden','<Blacksmith>','','','',1,115,32,0,1,1,12,9,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340030,'Verex N''Za','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340031,'Trainer Yasna V''Vath','<Keeper of Magical and Martial Knowledge>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340032,'Marla K''Stane','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340033,'Iymstra Do''Vethiervs','<Combat Arts and Spells>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340034,'Trainer Zaktar D''Zhe''Virae','<Harvesting and Collections>','','','',17,6487,32,0,1,1,9,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340035,'Dalvos D''Nar','<Mender>','','','',1,115,32,0,1,1,12,9,0,0,0,1,0,0,28,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(340036,'Ilphaste X''Vueund','<General Goods>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,16,16,0,0,11355,0,0,0,0,0,0,0,0,0,0,0,0),
(340037,'Gulerd H''Melund','<Containers & Ammunition>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340038,'Pellandra D''Xatyl','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340039,'a Sablevein Rockbiter','','','','',255,14003,25,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340044,'Trainer Mourndril K''Tekenzin','<Know Your Fate>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340045,'Grant','<The Brotherhood>','','','',12,4994,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340046,'Dugg','<The Brotherhood>','','','',0,5037,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340047,'Shaan','<The Brotherhood>','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340048,'Nat''han','<The Brotherhood>','','','',1,4966,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340049,'Karea','<The Brotherhood>','','','',15,5069,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340050,'Trainer Laebryn D''Tekenar','<Know Your Enemy>','','','',1,116,32,0,1,1,9,0,0,0,0,0,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340051,'an inebriated miner','<Hate''s Envy Miner>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340052,'Server Meras','','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340053,'a Sablevein destroyer','','','','',255,14003,32,0,1,1,0,0,0,0,0,1,0,0,112,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340054,'a dusk prowler','','','','',255,216,26,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340055,'a Sablevein pulverizer','','','','',255,14003,15,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340056,'Tymm','<The Brotherhood>','','','',1,4966,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340057,'Sliverfang','<dusk prowler alpha>','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340058,'a wellspring den mother','','','','',255,198,38,3,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340059,'a stout cadaver','','','','',255,140,19,3,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340060,'a fallen ranger','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340061,'a wellspring cub','','','','',255,198,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340062,'a Sablevein digger','','','','',255,14003,14,8,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340063,'Trainer Drisace Do''Arkenarn','<Recognizing Opportunities>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340064,'Ginwyss D''Arkenett','<Dread Guard>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340066,'Calnozz J''Melvirr','<Logistics>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340067,'Saldis Oro','','','','',255,2837,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340068,'a Sablevein stonewalker','','','','',255,153,20,5,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340069,'The Thexian Occultist','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340070,'Quardrin Y''Kenund','<Thexian Desecrator>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340071,'Trainer Durven K''Xyth','<Expert in Physical Attributes>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340072,'Jargos Z''Vaduis','<Mender>','','','',1,115,32,0,1,1,12,9,0,0,0,1,0,0,26,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(340074,'Trainer Kelvyll J''Xarae','<Know Your Inventory and Equipment>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340075,'Laexyra Y''Barriath','<Dread Guard>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340076,'Ilmtar D''Viervs','<Quartermaster>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340077,'Aunthrae','<Ilmtar''s Assistant>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340078,'Phaerdriira Z''Zea''Val','<Neriak Contact>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340079,'Drizas N''Ryt','<Neriak Contact>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340084,'a moldering soldier','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340085,'a purulent defender','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340086,'Sergeant J''Narus','','','','',9,4541,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340087,'Xosobn','Kronryn N''Xytyl''s servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340088,'Kronryn N''Xytyl','<Thexian Cabalist>','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340089,'Altonafein T''Aleanneld','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340091,'a somber screecher','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340092,'a stygian screecher','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340093,'Echobreath','','','','',255,2833,48,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340094,'a docile slitherer','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340095,'a razormaw','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340096,'Dirzdia T''Zauvirr','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340097,'an agitated slitherer','','','','',255,234,32,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340098,'a fractured medic','','','','',9,4538,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340099,'a gnawed plunderer','','','','',9,4540,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340100,'a fractured lyricist','','','','',9,4536,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340101,'a warped wispling','','','','',255,7230,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340102,'Mikeal Oostafa','<Teleport Trainer>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340104,'a splintered backstabber','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340105,'a splintered flamecaller','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340107,'Stormpaw','','','','',255,198,48,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340108,'a Sableflame outrider','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340109,'a Sableflame fanatic','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340111,'a Sableflame watcher','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340112,'a rotbeak','','','','',255,6910,19,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340113,'Vilebeak','','','','',255,6910,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340114,'a Nerian drake','','','','',255,238,19,0,1,1,11,0,0,1,1,1,0,0,96,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340115,'a dead rotbeak','','','','',255,6910,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340116,'Lieutenant Verlaer','','','','',9,134,32,0,1,1,13,1262,0,1,1,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340117,'Guard Frenthis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340118,'Guard Varthun','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340119,'Guard Larcaic','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340120,'Donthus Faeric','<Mender and General Goods Merchant>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340121,'a shimmering wispling','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340123,'Guard Jenson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340124,'a Sableflame scryer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340125,'a Sableflame incanter','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340126,'a Sableflame adherent','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340127,'a Sableflame cauterizer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340128,'Alerica the Flamecaller','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340129,'Ephram Firebrand','','','','',9,134,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340131,'Traev Woodbridge','<Portals Trainer>','','','',15,19016,32,0,1,1,10,1265,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340132,'a mutilated deer','','','','',255,3803,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340140,'a darkspark','','','','',255,7230,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340142,'a commoner','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340143,'Vicaonar K''Xaar','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340144,'Larxena D''Ziett','<Dread Guard>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340145,'Vornlin B''Vytyl','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340146,'Madam Victra','<Fortune Teller>','','','',13,59,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340147,'Geldax Xalylharil','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340148,'Milton Flunknuttle','<Owlbear Hatchling Salesman>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340149,'a Sullian protector','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340150,'a Sullian voidcaller','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340151,'a Sullian deacon','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340152,'a Sullian deceiver','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340153,'Searscale','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340154,'Alakzaer T''Aleett','<Vornlin''s Assistant>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340155,'a T''Rethir sapper','','','','',255,4632,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340156,'a T''Rethir mesmerist','','','','',255,4634,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340157,'a T''Rethir poet','','','','',255,4637,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340158,'a Nerian minion','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340159,'a T''Rethir battlemaster','','','','',255,4636,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340160,'a T''Rethir priest','','','','',255,4637,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340161,'a T''Rethir corpsecaller','','','','',255,4632,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340162,'a T''Rethir thinblood','','','','',255,8658,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340165,'a ghoulish Nerian','','','','',255,14044,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340166,'Valessha T''Vir','','','','',255,8657,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340170,'Unlara Valarin','','','','',3,1593,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340171,'Maelixia','','','','',255,181,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340172,'a captive fanatic','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340173,'Belarshalee Do''Torlyl','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340174,'Torbus Filnow','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340175,'Szinimar the Shamed','<Mender and Armor Merchant>','','','',6,78,32,0,1,1,12,9,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340176,'Quild K''Aleate','<General Goods>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340177,'Phyrace J''Despath','<Linguist>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340180,'Welvdan D''Hunndar','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340185,'Miriam Will','<Dread Guard>','','','',1,116,25,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340226,'Udiyitas X''Kilrae','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340235,'Dirzmur''ss S''Vueval','<Dread Guard>','','','',1,116,32,0,1,1,35,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340236,'Bergd Z''Zsiep','<Dread Guard>','','','',1,115,32,0,1,1,35,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340237,'Olorrae T''Zviiryn','<Dread Guard>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340265,'a miner','<Hate''s Envy Miner>','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340313,'Nilton T''Vythiett','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340363,'Reverend Valac','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340365,'Inxyra K''Tyhaflor','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340382,'Durinid De''Ozirae','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340388,'An Untamed Soul','','','','',255,2838,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340426,'a baby stonechest gorilla','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340441,'Ginryne X''Treval','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340471,'Seneschal Vorilon','','','','',255,4634,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340485,'Wruzdinn R''Zsindar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340496,'Ardulxena X''Godezin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340513,'Jarril Do''Xyliervs','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340521,'Beltel X''Sxhiduis','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340578,'Alaunyraen T''Vythiett','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340700,'spider_egg_10376386',NULL,'','','',0,49,32,0,1,1,1230,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340702,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340703,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340704,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,0,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340706,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340707,'snow balls',NULL,'','','',0,5957,32,0,0,0,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340708,'candycane',NULL,'','','',0,5983,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340709,'presents01',NULL,'','','',0,5968,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340710,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340711,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340712,'presents01',NULL,'','','',0,5972,26,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340713,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340714,'presents01',NULL,'','','',0,5970,22,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340715,'dpo_present03_big',NULL,'','','',0,7077,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340716,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,0,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340717,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340718,'presents01',NULL,'','','',0,5971,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340719,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340720,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340721,'dpo_holiday_cookie_plate02',NULL,'','','',0,7969,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340722,'presents01',NULL,'','','',0,5969,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340723,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340724,'candles1',NULL,'','','',0,5961,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340725,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340726,'dpo_present03_medium',NULL,'','','',0,7078,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340727,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340728,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,0,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340729,'candycane',NULL,'','','',0,5984,44,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340730,'dpo_holiday_cookie_plate01',NULL,'','','',0,7968,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340731,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340732,'candycane',NULL,'','','',0,7950,11,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340733,'candycane',NULL,'','','',0,7951,14,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340735,'candycane',NULL,'','','',0,7949,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340736,'gravestone01',NULL,'','','',0,1549,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340737,'gravestone09',NULL,'','','',0,2924,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340738,'candles_group01',NULL,'','','',0,3449,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340739,'gravestone05',NULL,'','','',0,2920,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340740,'jackolantern02',NULL,'','','',0,5786,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340741,'jackolantern03',NULL,'','','',0,5787,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340742,'jackolantern01',NULL,'','','',0,5785,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340743,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340744,'orc skull',NULL,'','','',0,2998,41,0,0,0,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340745,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340746,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340747,'invisible_cube_rift_particle',NULL,'','','',0,2306,22,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340748,'wellspring_remains_toss',NULL,'','','',0,6313,14,0,1,1,1311,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340749,'love_potion_cauldron',NULL,'','','',0,1845,32,0,1,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340750,'wolf pup',NULL,'','','',0,1374,6,0,1,1,459,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340751,'',NULL,'','','',0,7209,31,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340752,'wall_floor_3_shadow_oak',NULL,'','','',0,7237,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340753,'wall_floor_2_shadow_oak',NULL,'','','',0,7237,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340754,'wall_ground_floor_tower_of_bone',NULL,'','','',0,7238,32,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340755,'skeleton_mastery',NULL,'','','',0,2126,32,0,1,1,0,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340756,'carthens_spellbook',NULL,'','','',0,3322,32,0,0,0,64,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340757,'carthens_table',NULL,'','','',0,1553,35,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340758,'floor_crate_darkelf_wood01',NULL,'','','',0,2677,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340759,'Lady Luck',NULL,'','','',255,5234,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340760,'widget_rift_pebble',NULL,'','','',0,14045,9,0,1,1,860,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340761,'widget_rift_boulder',NULL,'','','',0,4729,19,0,1,1,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340762,'Vicx',NULL,'','','',255,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340775,'Frizwat Plitzwaddle',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340777,'werewolf_mastery',NULL,'','','',0,3322,16,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340778,'Thexian_Camp_Object',NULL,'','','',0,4465,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340779,'(unnamed)',NULL,'','','',0,7209,31,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340780,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340782,'tcg_druid_portal',NULL,'','','',0,2306,48,0,0,0,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340783,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340784,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340785,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(340786,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340787,'smith_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340788,'militia_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340789,'bank_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340790,'Sign for Make a Wish Kid',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340791,'spells_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340792,'town_hall_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340793,'bar_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340794,'thexian sarcophagai - remains dragoon general',NULL,'','','',0,49,32,0,1,1,1310,0,0,0,0,1,1,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340795,'Darklight Portal',NULL,'','','',0,7008,32,0,1,1,460,0,0,0,0,0,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340796,'zone_to_prince_01',NULL,'','','',0,49,32,0,1,1,461,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340797,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,1,1,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340798,'zone_to_live_enchanted_grotto03',NULL,'','','',0,10329,48,0,0,0,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340799,'qst_wanted_poster',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340800,'Soltrin''s corpse',NULL,'','','',0,115,32,0,1,1,1164,0,228,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340801,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340802,'unkempt nest',NULL,'','','',0,4003,30,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340803,'uncovered stone',NULL,'','','',0,3955,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340804,'dense rock',NULL,'','','',0,2265,24,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340806,'unnatural garden',NULL,'','','',0,4078,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340807,'unearthed ore',NULL,'','','',0,1725,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340808,'felled wood',NULL,'','','',0,3931,30,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340809,'knotted roots',NULL,'','','',0,1734,38,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340810,'heavy stone',NULL,'','','',0,1550,13,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340811,'creature den',NULL,'','','',0,3997,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340822,'searing trout',NULL,'','','',0,4157,17,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340824,'seared char',NULL,'','','',0,4157,23,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340825,'Smoldering trout',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340827,'twisted roots',NULL,'','','',0,1727,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340828,'tainted garden',NULL,'','','',0,4075,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340830,'dark fir',NULL,'','','',0,3925,29,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340840,'Jester''s garden',NULL,'','','',0,9564,24,0,1,1,2,0,2142,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340843,'a stunspore mushroom',NULL,'','','',0,4550,32,0,1,1,1256,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340844,'Malkaen Weed',NULL,'','','',0,1671,20,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340848,'a strange plant',NULL,'','','',0,1738,32,0,0,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340850,'screecher dung',NULL,'','','',0,3917,5,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340856,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340857,'a trained griffin','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340859,'Reverend Valac','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340862,'a miner','<Hate''s Envy Miner>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340863,'a commoner','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340867,'Sselnyl Do''Zyth','<Mayor>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340871,'Jhana Do''Zyth','','','','',1,116,30,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340903,'Dhaund Z''Kilndar','<Containers & Ammunition>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340935,'Razorfang','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340937,'a Sableflame outrider','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340939,'a Sableflame herald','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340955,'a Sableflame cauterizer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340958,'Clearshine','','','','',255,273,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340959,'a draconfly','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340960,'a slimy mulcher','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340961,'a Nightmarsh sentinel','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340962,'a Nightmarsh defender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340963,'a Nightmarsh naturist','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340964,'an infected deer','','','','',255,3803,16,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340965,'Lieutenant D''Vythival','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340974,'a Sullian protector','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340975,'a Sullian voidcaller','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340976,'a Sullian deacon','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340977,'a Sullian deceiver','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340992,'Gulgar the Usurper','','','','',255,232,160,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340993,'den mother','','','','',255,1374,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(340994,'a frothing snarler','','','','',255,1374,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341003,'Gaussnitra V''Kilana','<Dread Guard>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341004,'Malyl N''Vazin','<Dread Guard>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341006,'a sludge beetle','','','','',255,208,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341007,'an adolescent snarler','','','','',255,1374,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341008,'a slavering pup','','','','',255,1374,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341009,'a young kodiak','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341010,'a Nightmarsh sporepatcher','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341011,'The Nightmarsh Nightmare','','','','',255,5096,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341013,'a Briarstone watchman','','','','',9,4540,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341014,'a Briarstone slayer','','','','',9,4562,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341015,'a Briarstone initiate','','','','',9,4536,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341016,'Thadus Flintwrit','','','','',2,1483,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341017,'a Thexian reaver','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341018,'Direpaw The Mangler','','','','',255,1374,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341019,'a docile kodiak','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341020,'Dark Brambleton','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341022,'Ren N''Torval','<Provisioner>','','','',1,116,38,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341023,'Ghaunatar Trearn','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341024,'Atalika','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341025,'Har K''Vizin','<Mender>','','','',1,115,38,0,1,1,12,9,0,0,0,1,0,0,26,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(341026,'Nemain','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341027,'N''Fyre Guardian','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341028,'a creaking defender','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341029,'a Thexian voidshaper','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341030,'a Thexian confessor','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341031,'a Thexian deathknight','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341032,'Overseer V''thex','','','','',1,115,48,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341033,'a splintered tender','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341034,'a Briarstone bloodsipper','','','','',9,4535,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341035,'enraged dwarven Briarstone','','','','',9,4543,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341036,'a Briarstone ancient','','','','',9,4535,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341037,'Taril V''lenial','','','','',9,4558,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341038,'a poisonous spinner','','','','',255,245,38,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341039,'Zerilia','','','','',255,245,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341040,'a bristly spinner','','','','',255,244,38,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341041,'a voracious spinner','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341042,'Sarkha The Ravenous','','','','',255,244,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341043,'a lumbering crawler','','','','',255,208,137,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341046,'Kerand D''Gamd','<Poison Master>','','','',1,4966,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341050,'a pure spirit','','','','',255,7249,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341051,'the wurm mother','','','','',255,197,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341054,'a Nightmarsh shroomling','','','','',255,5096,6,3,1,1,1165,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341075,'a captive cub','','','','',255,198,12,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341089,'Kendahr the Outfitter','<Neriak Legion Outfitter>','','','',1,115,38,0,1,1,12,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341108,'Ininidia T''Xeep','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341112,'Hatchmyr Do''Claddth','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341125,'Li''Neerafay N''Vzhiana','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341139,'Laerae X''Oziflor','<Dread Guard>','','','',1,116,32,0,1,1,35,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341140,'Callochar D''Barritlar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341165,'he_door_07',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341166,'he_door_06',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341167,'he_door_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341168,'he_door_08',NULL,'','','',0,49,32,0,1,0,45,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341169,'he_door_04',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341170,'he_door_03',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341171,'he_door_02',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341172,'he_door_01',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341173,'tower_of_bone_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341174,'shadow_oak_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341175,'tower_of_bone_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341176,'tower_of_bone_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341177,'spider_egg',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341211,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,0,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341213,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341217,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341218,'invisible_cube_rift_particle',NULL,'','','',0,2306,22,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341219,'wellspring_remains_toss',NULL,'','','',0,6313,14,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341220,'love_potion_cauldron',NULL,'','','',0,1845,32,0,1,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341221,'wolf pup',NULL,'','','',0,1374,6,0,1,1,459,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341222,'The_Shadow_Oak_harvestable_twig',NULL,'','','',0,7209,31,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341223,'skeleton_mastery',NULL,'','','',0,2126,32,0,1,1,0,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341224,'carthens_spellbook',NULL,'','','',0,3322,32,0,1,1,64,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341225,'carthens_table',NULL,'','','',0,1553,35,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341226,'widget_rift_pebble',NULL,'','','',0,14045,9,0,1,1,860,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341227,'widget_rift_boulder',NULL,'','','',0,4729,19,0,1,1,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341228,'Thexian_Camp_Object',NULL,'','','',0,4465,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341232,'Translocator Spires',NULL,'','','',0,2306,96,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341235,'bank_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341239,'bar_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341242,'lucky wolf paw recipe',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341243,'sack of coal',NULL,'','','',0,8750,48,0,1,1,0,0,0,0,0,1,1,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341244,'Soltrin''s corpse',NULL,'','','',0,115,32,0,1,1,1164,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341245,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341255,'a discarded weapon',NULL,'','','',0,2264,45,0,1,1,1256,0,16903,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341263,'discarded wood',NULL,'','','',0,3346,34,0,1,1,1256,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341266,'Warpfont rock sample',NULL,'','','',0,6903,22,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341269,'Harrowglade rock sample',NULL,'','','',0,6902,30,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341272,'fiery ore',NULL,'','','',0,6893,25,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341274,'a blood-scrawled note',NULL,'','','',0,5261,32,0,1,1,2,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341275,'a deer carcass',NULL,'','','',0,206,16,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341277,'a Nerian knot tree',NULL,'','','',0,7208,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341278,'Belia root',NULL,'','','',0,1726,20,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341279,'crumbled stonework',NULL,'','','',0,2265,32,0,1,1,2,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341280,'rocky mound',NULL,'','','',0,2501,32,0,1,1,2,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341281,'gnarled vines',NULL,'','','',0,1727,25,0,1,1,2,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341283,'Sablevein rubble',NULL,'','','',0,3917,21,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341284,'soldier''s trinket',NULL,'','','',0,7656,21,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341285,'Soltrin''s corpse',NULL,'','','',0,115,32,0,0,1,1164,0,228,0,0,0,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341286,'a baby snake',NULL,'','','',0,213,5,0,1,1,1256,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341287,'a tortured spirit',NULL,'','','',0,7249,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(341288,'Innoruuk',NULL,'','','',255,6717,40,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350000,'a Deathfist sentinel','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350001,'a Deathfist siege operator','','','','',19,5021,33,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350002,'a Deathfist archer','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350003,'a Herald of Zek','','','','',19,5108,35,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350004,'a Deathfist soothsayer','','','','',19,5108,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350005,'a Deathfist priest','','','','',19,5108,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350006,'High Priest Kuzbak','<Herald of Zek>','','','',19,5108,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350007,'Agtak','','','','',19,112,38,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350008,'a Deathfist warrior','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350009,'Torth Korgus','','','','',19,5107,35,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350010,'Prince Valtoris','','','','',19,5023,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350011,'a Deathfist bloodguard','','','','',19,5024,40,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350012,'a human prisoner','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350013,'a Deathfist traitor','','','','',19,5021,35,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350014,'Wulbir Wight','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350015,'Vuzak the Traitor','','','','',19,5021,35,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350016,'Grassblade','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350017,'Prince Gluntok','','','','',19,5023,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350018,'The Sludge Cleaner','','','','',255,175,57,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350019,'Chief Torturer Goortz','','','','',19,5027,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350020,'a Deathfist traitor','','','','',19,5021,36,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350021,'a Deathfist traitor','','','','',19,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350022,'a Deathfist siege operator','','','','',19,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350023,'a Deathfist siege operator','','','','',19,5021,36,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350024,'Rinis Nightsong','<Enslaved Assistant>','','','',15,1486,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350025,'Alchemist Yallessul','','','','',3,119,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350026,'Infiltrator Stryjin','','','','',15,1488,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350027,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350028,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350030,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350031,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350032,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350033,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350034,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350035,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350036,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350037,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350038,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350039,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350040,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350041,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350042,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350043,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350044,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350045,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350046,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350047,'well_rope_up',NULL,'','','',0,49,32,0,0,0,1149,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350048,'qst_freeboard_bones',NULL,'','','',0,49,32,0,1,1,1150,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350049,'door_courtyard_tower_6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350050,'door_interior_bunkhouse_right_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350051,'door_arena_emperor_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350052,'door_arena_emperor_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350053,'door_courtyard_tower_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350054,'door_interior_bunkhouse_right_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350055,'door_interior_bunkhouse_left_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350056,'door_interior_bunkhouse_left_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350057,'door_arena_waiting_room',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350058,'door_arena_lower',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350059,'quest_hatch_tower',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350060,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350061,'door_courtyard_tower_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350062,'door_jail_cell_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350063,'door_jail_cell_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350064,'door_jail_cell_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350065,'door_jail_cell_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350066,'door_courtyard_tower_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350067,'door_interior_lower_quarters_main',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350068,'door_interior_elevator',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350069,'door_interior_armory',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350070,'door_basement_vault',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350071,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350072,'door_courtyard_tower_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350073,'door_gatehouse_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350074,'door_gatehouse_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350075,'door_courtyard_tower_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350076,'West Orc Lift',NULL,'','','',0,49,32,0,1,1,1151,0,0,0,0,1,0,0,269,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350077,'widget_examine_bookcase',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350078,'East Orc Lift',NULL,'','','',0,49,32,0,1,1,1151,0,0,0,0,1,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350079,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350080,'orcish_throne',NULL,'','','',0,1435,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350081,'catapult_NW',NULL,'','','',0,7184,41,0,1,1,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350082,'Stein of D''Vinn',NULL,'','','',0,1400,48,0,1,1,1144,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350083,'arena_event_gong',NULL,'','','',0,6474,14,0,1,1,1145,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350084,'Censer of Oracles',NULL,'','','',0,7224,32,0,1,1,1146,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350085,'Chest in the Vault. Belongs to the Pawns',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350086,'Chest in the Vault. Belongs to the Centurion guards',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350087,'Chest in the Vault. Belongs to the Legionnaire guards',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350088,'Chest in the Vault. Belongs to the Emperor',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350089,'bones_with_scroll',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350090,'The Urn of Darish',NULL,'','','',0,1947,25,0,1,1,1147,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350091,'Taskmaster Phalange Chimes',NULL,'','','',0,2159,19,0,1,1,1148,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350092,'Agtak''s Chest',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350093,'Chest in the Vault. Belongs to the Praetorian guards',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350094,'catapult_NE',NULL,'','','',0,7184,41,0,1,1,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350095,'Blood Iron Forge',NULL,'','','',0,7203,32,0,1,1,4,0,0,0,0,1,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350096,'Chest in the Forge House',NULL,'','','',0,2102,24,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350097,'catapult_SW',NULL,'','','',0,7184,41,0,1,1,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350098,'catapult_S1',NULL,'','','',0,7184,51,0,1,1,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350099,'vuzak_quest_trigger_dpo',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350100,'Derreg Banning''s Runed Chest',NULL,'','','',0,1936,32,0,1,1,61,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350101,'catapult_SE',NULL,'','','',0,7184,41,0,1,1,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350102,'zone_to_orcishwastes_b',NULL,'','','',0,49,32,0,0,0,925,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350103,'zone_to_orcishwastes_a',NULL,'','','',0,49,32,0,0,0,925,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350104,'Zone to Orcish: Main Gate',NULL,'','','',0,49,32,0,1,1,408,0,0,0,0,1,0,0,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350105,'a Deathfist sentinel','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350106,'a Deathfist siege operator','','','','',19,5021,34,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350107,'a Deathfist archer','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350108,'a Herald of Zek','','','','',19,5108,35,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350109,'a Deathfist soothsayer','','','','',19,5108,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350110,'a Deathfist priest','','','','',19,5108,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350111,'High Priest Kuzbak','<Herald of Zek>','','','',19,5108,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350112,'Agtak','','','','',19,112,38,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350113,'a Deathfist warrior','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350114,'Torth Korgus','','','','',19,5107,35,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350115,'Prince Valtoris','','','','',19,5023,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350116,'a Deathfist bloodguard','','','','',19,5024,41,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350117,'a human prisoner','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350118,'a Deathfist traitor','','','','',19,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350119,'Wulbir Wight','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350120,'Vuzak the Traitor','','','','',19,5021,35,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350121,'Grassblade','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350122,'Prince Gluntok','','','','',19,5023,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350123,'Chief Torturer Goortz','','','','',19,5027,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350124,'a Deathfist traitor','','','','',19,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350125,'a Deathfist siege operator','','','','',19,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350126,'a Deathfist siege operator','','','','',19,5021,35,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350127,'Rinis Nightsong','<Enslaved Assistant>','','','',15,1486,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350128,'Alchemist Yallessul','','','','',3,119,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350129,'Infiltrator Stryjin','','','','',15,1488,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350131,'Assistant Alchemist Zurkum','','','','',21,5108,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350132,'Provisioner Mala''ka','','','','',21,5021,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350133,'Butcher Agul''a','','','','',21,5023,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350134,'a Deathfist defender','','','','',21,5108,34,0,1,1,11,0,0,1,1,1,0,0,36,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350135,'Blademaster Gromgak','<Master-at-Arms>','','','',21,5026,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350136,'Emperor Fyst','<Deathfist Clan Warlord>','','','',21,137,44,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350137,'Arena Champion Kraz''k','','','','',21,141,48,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350138,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350139,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350140,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350141,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350142,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350143,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350144,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350145,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350146,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350147,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350148,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350149,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350150,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350151,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350152,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350153,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350154,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350155,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350156,'qst_freeboard_bones',NULL,'','','',0,49,32,0,0,0,1150,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350157,'door_courtyard_tower_6',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350158,'door_arena_emperor_right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350159,'door_arena_emperor_left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350160,'door_courtyard_tower_5',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350161,'door_interior_bunkhouse_right_1',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350162,'door_arena_waiting_room',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350163,'door_arena_lower',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350164,'quest_hatch_tower',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350165,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350166,'door_courtyard_tower_1',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350167,'door_jail_cell_3',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350168,'door_jail_cell_2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350169,'door_jail_cell_1',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350170,'door_jail_cell_0',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350171,'door_courtyard_tower_2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350172,'door_interior_lower_quarters_main',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350173,'door_interior_elevator',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350174,'door_interior_armory',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350175,'door_basement_vault',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350176,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350177,'door_courtyard_tower_4',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350178,'door_gatehouse_1',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350179,'door_gatehouse_0',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350180,'door_courtyard_tower_3',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350181,'West Orc Lift',NULL,'','','',0,49,32,0,0,0,1151,0,0,0,0,1,0,0,269,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350182,'widget_examine_bookcase',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350183,'East Orc Lift',NULL,'','','',0,49,32,0,0,0,1151,0,0,0,0,1,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350184,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350185,'orcish_throne',NULL,'','','',0,1435,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350186,'catapult_NW',NULL,'','','',0,7184,41,0,0,0,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350187,'arena_event_gong',NULL,'','','',0,6474,14,0,0,0,1145,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350188,'Chest in the Vault. Belongs to the Pawns',NULL,'','','',0,2102,32,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350189,'Chest in the Vault. Belongs to the Centurion guards',NULL,'','','',0,2102,32,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350190,'Chest in the Vault. Belongs to the Legionnaire guards',NULL,'','','',0,2102,32,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350191,'Chest in the Vault. Belongs to the Emperor',NULL,'','','',0,2102,32,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350192,'bones_with_scroll',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350193,'Agtak''s Chest',NULL,'','','',0,2102,32,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350194,'Chest in the Vault. Belongs to the Praetorian guards',NULL,'','','',0,2102,32,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350195,'catapult_NE',NULL,'','','',0,7184,41,0,0,0,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350196,'Blood Iron Forge',NULL,'','','',0,7203,32,0,1,1,4,0,0,0,0,1,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350197,'Chest in the Forge House',NULL,'','','',0,2102,24,0,0,0,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350198,'catapult_SW',NULL,'','','',0,7184,41,0,0,0,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350199,'catapult_S1',NULL,'','','',0,7184,51,0,0,0,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350200,'vuzak_quest_trigger_dpo',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350201,'Derreg Banning''s Runed Chest',NULL,'','','',0,1936,32,0,0,0,61,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350202,'catapult_SE',NULL,'','','',0,7184,41,0,0,0,1143,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350203,'Emperor Fyst''s Birdcage',NULL,'','','',0,1493,27,0,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(350204,'invisible_wall',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360000,'a bloodthirsty onlooker','','','','',255,5019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360001,'an enthralled spectator','','','','',255,5019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360002,'a chittering screecher','','','','',255,239,6,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360003,'an arena regular','','','','',255,3814,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360004,'Fip Slytail','','','','',255,5019,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360005,'a cavern shark','','','','',255,242,64,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360006,'a cavern lurker','','','','',255,285,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360007,'a frenzied cavern lizard','','','','',255,199,41,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360008,'a ravenous tunnel feeder','','','','',255,5020,80,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360009,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360010,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360011,'chessboard',NULL,'','','',0,4932,25,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360012,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360013,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360014,'gnoll_champion_chair',NULL,'','','',0,4935,32,0,1,1,742,0,1855,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360015,'zone_to_sundered_hub',NULL,'','','',0,49,32,0,1,1,280,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(360016,'foreshadow exit terraporter',NULL,'','','',0,4923,32,0,1,1,45,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380001,'a Stone Hive worker','','','','',255,276,46,2,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380002,'a stone hive guardian','','','','',255,276,64,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380003,'a stone hive aggressor','','','','',255,276,70,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380004,'a bixie protector','','','','',255,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380005,'a bixie overseer','','','','',255,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380006,'a stone hive sentinel','','','','',255,276,80,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380007,'a stone hive enforcer','','','','',255,276,96,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380008,'a deep hive worker','','','','',255,217,56,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380009,'a young hive bee','','','','',255,217,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380010,'a stone hive nursemaid','','','','',255,1711,25,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380011,'a stone hive servant','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380012,'a seelie guest','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380013,'a seelie guest','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380014,'a bixie lieutenant','','','','',255,1710,38,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380015,'a royal seelie consort','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380016,'a royal seelie handmaiden','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380017,'a refinery worker','','','','',255,217,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380018,'The Refinery Overseer','','','','',255,1710,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380019,'a bixie sentry','','','','',255,1710,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380020,'The Buzzer Bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380021,'a bixie venomguard','','','','',255,1710,64,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380022,'a bixie retainer','','','','',255,1710,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380023,'a deep hive guardian','','','','',255,276,96,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380024,'a royal bixie partisan','','','','',255,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380025,'a royal bixie sentinel','','','','',255,1710,64,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380026,'a royal bixie vizier','','','','',255,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380027,'Queen Zynixia','','','','',255,150,80,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380028,'a royal bixie herald','','','','',255,1711,64,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380029,'a royal bixie confidant','','','','',255,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380030,'a seelie observer','','','','',255,164,19,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380031,'a bixie diviner','','','','',255,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380032,'a bixie socialite','','','','',255,1711,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380033,'The Bixie Diviner','','','','',255,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380034,'an apprentice diviner','','','','',255,1711,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380035,'widget_hanging_lamp',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380036,'widget_wall_lamp',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380037,'tome_mastery_bixie_widget',NULL,'','','',0,49,32,0,0,0,564,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380038,'widget_bixie_couch',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380039,'quest_heritage_hc_kegtap',NULL,'','','',0,49,32,0,1,1,565,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380040,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380041,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380042,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380043,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380044,'widget_diamond_ring',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380045,'widget_big_flower',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380047,'zone_to_rivervale_b',NULL,'','','',0,49,32,0,1,1,268,0,0,0,0,1,0,0,378,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380048,'zone_to_rivervale_a',NULL,'','','',0,49,32,0,1,1,268,0,0,0,0,1,0,0,329,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(380049,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390000,'a horse','','','','',255,6846,37,6,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390002,'a Runnyeye mender','','','','',255,145,36,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390003,'a Runnyeye warlock','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,115,35,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390004,'a defiled miner','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390005,'a defiled miner','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390006,'a Runnyeye mercenary','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390007,'a Crazed Miner','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390008,'a corrupted miner','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390009,'a fear feeder','','','','',255,243,76,0,1,1,11,0,0,1,1,1,0,1,10,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390010,'Shaydra the Wicked','','','','',255,243,160,0,1,1,11,0,0,1,1,1,0,1,10,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390011,'a fright feeder','','','','',255,243,54,0,1,1,11,0,0,1,1,1,0,1,10,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390012,'a roekillik miner','','','','',13,72,21,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390013,'a lamia charmer','','','','',255,1378,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390015,'a giant sand snapper','','','','',255,215,134,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390016,'a lamia carver','','','','',255,1378,28,0,1,1,11,0,0,1,1,1,0,113,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390017,'a lamia temptress','','','','',255,1378,28,0,1,1,11,0,0,1,1,1,0,113,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390018,'a Runnyeye medic','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390019,'element of water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390020,'a tainted glider','','','','',255,255,160,0,1,1,11,0,0,1,1,1,0,1,9,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390021,'a giant spearfish','','','','',255,241,102,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390024,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390025,'a seagull','','','','',255,2335,25,0,1,1,0,0,0,0,0,1,0,0,8,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390027,'a void observer','','','','',255,247,64,0,1,1,11,0,0,1,1,1,0,1,35,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390028,'a Runnyeye brawler','','','','',255,145,36,3,1,1,11,0,0,1,1,1,0,115,35,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390029,'a Runnyeye warmonger','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390030,'a gnarled creeper','','','','',255,274,102,0,1,1,11,0,0,1,1,1,0,1,64,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390031,'a void watcher','','','','',255,247,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390032,'a muckfin','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,1,8,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390033,'a large valetail trout','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,1,8,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390034,'Zuugu','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,115,35,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390036,'a Seamist warden','','','','',255,164,43,2,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390037,'a Seamist maiden','','','','',255,164,38,3,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390038,'a Defender of Growth','<Paladin of Tunare>','','','',8,136,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390039,'a Seamist warden','','','','',255,164,44,2,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390040,'a Seamist warden','','','','',255,164,44,3,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390041,'a grove badger','','','','',255,267,22,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390043,'a Seamist maiden','','','','',255,164,38,3,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390044,'a Seamist warden','','','','',255,164,44,2,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390045,'a Seamist maiden','','','','',255,164,38,3,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390046,'a spearfish','','','','',255,241,64,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390047,'an ocean glider','','','','',255,253,112,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390048,'a Mistcaller mischiefmaker','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390049,'a Seamist maiden','','','','',255,164,38,3,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390050,'High Warden Tessla','','','','',255,164,57,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390051,'a valetail trout','','','','',255,194,35,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390052,'an oakstrider ancient','','','','',255,212,167,5,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390053,'a sand snapper','','','','',255,215,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390055,'a fleetfin shark','','','','',255,242,41,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390057,'a Seamist sylph','','','','',255,164,33,1,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390058,'a Seamist fairy','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390059,'a Seamist sylph','','','','',255,164,33,1,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390060,'a Seamist fairy','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390061,'a Seamist sylph','','','','',255,164,33,1,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390062,'a young grove badger','','','','',255,267,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390063,'a Seamist sprite','','','','',255,164,25,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390064,'a salt snapper','','','','',255,215,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390065,'a very mischievous maiden','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,1,48,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390066,'a Seamist fairy','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390068,'an oakstrider sapling','','','','',255,212,63,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390069,'a klakrok drone','','','','',255,208,128,0,1,1,11,0,0,1,1,1,0,1,8,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390071,'a vanished explorer','','','','',255,2848,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390072,'a klakrok soldier','','','','',255,208,224,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390073,'a vanished trader','','','','',255,2847,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390074,'a noxious klakrok','','','','',255,208,128,0,1,1,11,0,0,1,1,1,0,0,8,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390075,'a mischievous maiden','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390077,'a klakrok hatchling','','','','',255,208,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390078,'Gubbo Chaley','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390080,'Zherran Tzizzink','<Field Investigator>','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390081,'Tobel Patadash','<Prophet of Bristlebane>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390082,'The Curious Augur','','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390083,'Hobs Fleetfoot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390084,'a weakened wasp','','','','',255,276,128,0,1,1,11,0,0,1,1,1,0,1,11,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390085,'Deputy Nettlebrine','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390086,'Nerri Crowtoe','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,114,17,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390087,'Augin Drodo','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390088,'Ashe Boderra','','','','',7,108,35,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390089,'Roselia Goldencrust','<Pie Maker>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390090,'Hoppert Barbinsteel','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390091,'Biddy Bobick','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390092,'a lancer wasp','','','','',255,276,80,0,1,1,11,0,0,1,1,1,0,1,11,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390093,'an unruly impaler','','','','',255,276,128,0,1,1,11,0,0,1,1,1,0,1,11,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390094,'Garby Gingham Gigglegibber','<Profit of Bristlebane>','','','',255,4126,25,0,1,1,9,0,0,0,0,1,0,0,35,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390095,'Nebble Greenthumb','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,114,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390096,'Turl Jumkeg','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,114,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390097,'Kelbri Mossborn','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390098,'Gimble Featherfinger','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,114,17,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390099,'Lana Guzzlesea','<General Goods>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,7199,0,0,0,0,0,0,0,0,0,0,0,0),
(390100,'Breldig Guzzlesea','','','','',7,108,32,0,1,1,9,0,0,0,1,1,0,114,17,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390101,'Captain Screewoggins','<Skipper of the Capsized Klicknik>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390102,'D''Niz','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390103,'a briarpaw','','','','',255,198,44,0,1,1,11,0,0,1,1,1,0,1,36,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390104,'a briarpaw cub','','','','',255,198,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390105,'an impaler wasp','','','','',255,276,128,0,1,1,11,0,0,1,1,1,0,1,11,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390106,'a Mistcaller siren','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390107,'Leelav Yekl','','','','',5,121,32,0,1,1,9,0,0,0,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390108,'Sir Tatters','','','','',255,261,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390109,'an elusive hatecrawler','','','','',255,243,76,0,1,1,11,0,0,1,1,1,0,1,10,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390110,'an unseasoned briarpaw','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390111,'Seher Beanbrewer','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390112,'Burnspear','','','','',255,276,169,0,1,1,11,0,0,1,1,1,0,1,11,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390113,'Chaplain Graveguzzle','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390114,'Deputy Fuzgrout','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,114,17,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390115,'a fog grimmin whelp','','','','',255,1346,25,0,1,1,11,0,0,1,1,1,0,1,35,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390116,'Banoo Corest','','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390117,'Bellendis Tempestcall','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390118,'a feral lasher','','','','',255,231,57,0,1,1,11,0,0,1,1,1,0,1,12,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390119,'Camfred','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390120,'Deputy Jumbelly','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390121,'an enraged lasher','','','','',255,231,76,0,1,1,11,0,0,1,1,1,0,1,12,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390122,'a suffering lasher','','','','',255,231,51,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390123,'a bloodthirsty lasher','','','','',255,231,55,1,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390124,'a fog grimmin watcher','','','','',255,1346,35,0,1,1,11,0,0,1,1,1,0,1,35,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390125,'a ferocious lasher','','','','',255,231,96,0,1,1,11,0,0,1,1,1,0,1,12,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390126,'a defiled villager','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,1,17,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390127,'a defiled villager','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390128,'a fog grimmin','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,1,35,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390129,'Deputy Shiretrod','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,114,17,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390130,'Captain Gullyshank','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390131,'Deputy Tipple','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390132,'a defiled villager','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,1,17,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390133,'a defiled villager','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390135,'a defiled villager','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390136,'a threatening commoner','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390137,'Chieftain Mermok','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,35,38614,7100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390138,'a seed of obscurity','','','','',255,296,48,0,1,1,11,0,0,1,1,1,0,1,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390139,'a seed of darkness','','','','',255,296,64,0,1,1,11,0,0,1,1,1,0,1,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390141,'a mudclaw crab','','','','',255,211,51,3,1,1,11,0,0,1,1,1,0,1,25,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390144,'a withering villager','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390145,'a withering villager','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390146,'Deputy Crookfellow','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,114,17,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390147,'Deputy Blumble','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390148,'a withering villager','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390149,'Dobbins Fallvale','<Old Bog Mountain Unit>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390150,'a twisted creeper','','','','',255,274,80,0,1,1,11,0,0,1,1,1,0,1,64,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390151,'a Runnyeye scout','','','','',255,145,26,1,1,1,11,0,0,1,1,1,0,115,35,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390152,'a demented Runnyeye medic','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390154,'a Runnyeye seer','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390155,'Wuugu','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390156,'Deputy Bumblefoot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,114,17,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390158,'The Sludge Creep','','','','',255,284,160,0,1,1,11,0,0,1,1,1,0,115,36,47281,7300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390159,'a distressed merchant','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390160,'a Darkflight savage','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,113,48,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390161,'a Darkflight hag','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,113,48,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390162,'Muugu','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390163,'a Darkflight advisor','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390164,'a Darkflight hellion','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390165,'a Darkflight initiate','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390166,'Chomper','','','','',255,204,128,0,1,1,11,0,0,1,1,1,0,1,8,41059,7100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390167,'a void shriller','','','','',255,193,96,0,1,1,11,0,0,1,1,1,0,1,8,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390168,'Deputy Surlip','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,114,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390169,'a void shrieker','','','','',255,193,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390170,'Deputy Stoutgut','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390171,'Deputy Huckfar','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390172,'a great briarpaw','','','','',255,198,54,0,1,1,11,0,0,1,1,1,0,1,36,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390173,'Deputy Guzzlesea','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390174,'a roekillik digger','','','','',13,66,21,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390175,'a roekillik excavator','','','','',13,72,21,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390176,'a lamia deathsinger','','','','',255,1378,38,3,1,1,11,0,0,1,1,1,0,1,32,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390177,'a lamia thrasher','','','','',255,1378,36,1,1,1,11,0,0,1,1,1,0,1,32,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390178,'Mutton','','','','',255,216,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390179,'Briarclaw','','','','',255,198,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390181,'Sarma Singebellows','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390182,'Deputy Farweed','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390183,'Deputy Kegie','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390184,'Deputy Wicksnip','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390190,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,1,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390193,'a warped nymph','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,1,32,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390194,'a distorted nymph','','','','',255,174,38,0,1,1,11,0,0,1,1,1,0,1,32,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390195,'a twisted nymph','','','','',255,174,38,0,1,1,11,0,0,1,1,1,0,1,32,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390196,'a nightblood hatecaller','','','','',255,1585,48,0,1,1,11,0,0,1,1,1,0,1,32,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390200,'Treedin Merrythorn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390201,'a thicket deer','','','','',255,206,20,8,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390203,'a shoal serpent','','','','',255,197,59,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390204,'a nightblood scourge','','','','',255,1585,38,0,1,1,11,0,0,1,1,1,0,1,32,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390205,'a nightblood cleaver','','','','',255,1585,48,0,1,1,11,0,0,1,1,1,0,1,32,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390206,'a shadowed servitor','','','','',255,243,76,0,1,1,11,0,0,1,1,1,0,1,10,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390207,'a mini trotter','','','','',255,6845,16,0,1,1,577,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390208,'Oxford','','','','',255,6845,16,0,1,1,577,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390209,'Tilly Tagglefoot','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,113,17,20386,6085,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390210,'Jubbs Tagglefoot','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390211,'Lula Tagglefoot','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,113,17,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390212,'a harvest horror','','','','',255,261,41,0,1,1,11,0,0,1,1,1,0,1,32,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390213,'Cooper','','','','',255,6845,16,0,1,1,577,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390214,'Foomby Slopdigger','','','','',255,145,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390215,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390216,'a Tunarian quartermaster','<Crafting Fuels>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390217,'Tunarian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390224,'a Seamist fairy','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390228,'an oakstrider','','','','',255,212,104,5,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390229,'a Seamist warden','','','','',255,164,43,2,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390231,'Captain Suresail','','','','',255,2846,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390233,'a dead fairy','','','','',255,164,44,2,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390234,'General Bloodburn','','','','',255,1585,64,0,1,1,11,0,0,1,1,1,0,1,32,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390235,'Cragshell','','','','',255,211,128,0,1,1,11,0,0,1,1,1,0,1,25,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390236,'Miner Mudfoot','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390237,'Miner Gurgin','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390238,'Miner Carefree','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390239,'Lo''volonus','','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390240,'Apesheit','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390243,'a withering villager','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390247,'Overseer Ix','','','','',255,247,160,0,1,1,11,0,0,1,1,1,0,1,35,100000,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390255,'Scorpupine','','','','',255,231,118,0,1,1,11,0,0,1,1,1,0,1,12,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390258,'N`Kzak the Unnatural','','','','',255,1585,73,0,1,1,11,0,0,1,1,1,0,1,32,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390263,'Grassgalor','','','','',255,7323,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390264,'Quellithulian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390272,'Booboo','','','','',255,8869,9,3,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390273,'an Arcane Science apprentice','','','','',3,1592,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390275,'An unnatural storm','','','','',255,8264,48,0,1,1,0,0,16893,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390290,'a hungry nibbler','','','','',255,204,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390323,'The Jum Jum Thief','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390371,'Grix','','','','',255,145,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390376,'widget_wheel_barrow',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390377,'widget_tammin_page_01',NULL,'','','',0,49,32,0,1,1,142,0,0,0,0,1,1,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390378,'widget_downpour_page_05',NULL,'','','',0,49,32,0,1,1,142,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390379,'widget_fauna_lz_page_11',NULL,'','','',0,49,32,0,1,1,209,0,0,0,0,1,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390380,'widget_hummingbird02_page_11',NULL,'','','',0,49,32,0,1,1,209,0,0,0,0,1,1,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390381,'widget_fauna_lz_page_10',NULL,'','','',0,49,32,0,1,1,209,0,0,0,0,1,1,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390382,'widget_gremius_page_07',NULL,'','','',0,49,32,0,1,1,210,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390383,'widget_gremius_page_06',NULL,'','','',0,49,32,0,1,1,254,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390384,'widget_area_map',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390385,'tome_mastery_siren_widget',NULL,'','','',0,49,32,0,1,1,255,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390386,'01_dockhouse_door_outside',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390387,'widget_tammin_page_09',NULL,'','','',0,49,32,0,1,1,256,0,0,0,0,1,1,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390388,'widget_water_rubble',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390389,'01_wall_tower_door_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390390,'widget_darnalithenis_page_11',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390391,'tome_mastery_goblin_widget',NULL,'','','',0,49,32,0,0,0,258,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390392,'widget_tammin_page_08',NULL,'','','',0,49,32,0,1,1,142,0,0,0,0,1,1,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390393,'widget_fauna_ak_page_05',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390394,'widget_canvas_sack',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390395,'widget_fire_wood',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390396,'01_wall_tower_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390397,'01_granary_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390398,'01_granary_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390399,'01_wall_tower_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390400,'01_wall_tower_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390401,'widget_darnalithenis_page_02',NULL,'','','',0,49,32,0,1,1,259,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390402,'widget_downpour_page_04',NULL,'','','',0,49,32,0,1,1,260,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390403,'widget_chimney_pipe',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390404,'01_wall_tower_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390405,'01_wall_tower_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390406,'widget_hummingbird02_page_08',NULL,'','','',0,49,32,0,1,1,261,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390407,'widget_book_shelf',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390408,'widget_hummingbird01_page_05',NULL,'','','',0,49,32,0,1,1,262,0,0,0,0,1,1,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390409,'qst_map_doc_01',NULL,'','','',0,49,32,0,1,0,263,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390410,'qst_design_doc_01',NULL,'','','',0,49,32,0,1,0,264,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390411,'01_mill_upper_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390412,'01_mill_lower_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390413,'01_mill_lower_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390414,'01_mill_lower_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390415,'widget_hummingbird01_page_03',NULL,'','','',0,49,32,0,1,1,265,0,0,0,0,1,1,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390416,'widget_fish_barrel',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390417,'',NULL,'','','',0,49,32,0,1,1,562,0,0,0,0,1,1,0,1337,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390418,'widget_calm_page_07',NULL,'','','',0,49,32,0,1,1,265,0,0,0,0,1,1,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390419,'widget_thrown_bench',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390420,'widget_the_wall_page_04',NULL,'','','',0,49,32,0,1,1,127,0,0,0,0,1,1,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390421,'01_eye_tower',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390422,'widget_tammin_page_04',NULL,'','','',0,49,32,0,1,1,261,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390423,'qst_map_doc_02',NULL,'','','',0,49,32,0,1,1,263,0,0,0,0,1,1,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390424,'widget_calm_page_03',NULL,'','','',0,49,32,0,1,1,265,0,0,0,0,1,1,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390425,'widget_jum_barrel',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390426,'widget_grey_rock',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390427,'01_farm_house_inside_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390428,'01_farm_house_inside_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390429,'01_farm_house_outside',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390430,'01_farm_barn_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390431,'01_farm_barn_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390432,'widget_the_wall_page_10',NULL,'','','',0,49,32,0,1,1,899,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390436,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390437,'flat_brown_goldtrim_01',NULL,'','','',0,1453,31,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390438,'floor_bread_human_french01',NULL,'','','',0,3359,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390439,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390441,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390443,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,0,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390444,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390445,'exp07 druid ring - stage 3',NULL,'','','',0,13709,32,0,0,0,0,0,0,0,0,0,0,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390446,'the grave of a fellowship hero',NULL,'','','',0,3351,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390447,'card_table',NULL,'','','',0,2040,32,0,1,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390448,'floor_pan_any_frying01',NULL,'','','',0,2689,34,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390449,'teleportation cube',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390450,'void_object_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390451,'stump01',NULL,'','','',0,1551,5,0,0,0,0,0,0,0,0,0,0,0,367,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390452,'octopus_chest',NULL,'','','',0,3079,32,0,1,0,251,0,0,0,0,0,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390453,'Bristlebane Altar',NULL,'','','',0,7603,32,0,1,0,34,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390454,'Luc Alechaser',NULL,'','','',255,78,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390455,'freshly baked pie',NULL,'','','',0,3388,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390456,'floor_stove_human_kitchen02',NULL,'','','',0,3405,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390457,'a bumblethorn rose bush',NULL,'','','',0,48,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390458,'Esdros'' camp fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390459,'a haybail, Camfreds01',NULL,'','','',0,1848,22,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390460,'a haybail, Camfreds',NULL,'','','',0,1848,23,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390461,'quest_kegiex2_barrel',NULL,'','','',0,2870,32,0,0,0,252,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390462,'a barnacled chest',NULL,'','','',0,2187,32,0,1,0,33,0,0,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390463,'the bucket head of squire rustbucket',NULL,'','','',0,2188,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390464,'the post body of squire rustbucket',NULL,'','','',0,1530,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390465,'a Runnyeye junk barrel',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390466,'Lockerbox of Chaplain Graveguzzle, lost',NULL,'','','',0,3075,32,0,1,0,61,0,0,0,0,1,1,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390467,'Tinmizer''s Astounding Frost Disruptor',NULL,'','','',0,3252,48,0,0,0,211,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390468,'trotter_haybail',NULL,'','','',0,1848,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390469,'darkcleanse_gravestone_00',NULL,'','','',0,2924,32,0,1,0,415,0,0,0,0,0,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390470,'an eldritch stone desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390471,'Vul''Myr Druzaic Shrine',NULL,'','','',0,1704,32,0,1,0,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390472,'a lamia chest',NULL,'','','',0,2657,31,0,1,0,33,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390473,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390474,'false bristlebane altar candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390475,'false bristlebane altar middle',NULL,'','','',0,2223,16,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390477,'false bristlebane altar base',NULL,'','','',0,2060,35,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390478,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(390479,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390480,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(390481,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(390482,'Gobland Trail Guide',NULL,'','','',0,1854,45,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390483,'a spider mound',NULL,'','','',0,2916,32,0,1,1,45,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390484,'a barrel of Lendel''s Grand Lager',NULL,'','','',0,2022,32,0,1,1,211,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390485,'totem_killroy',NULL,'','','',0,2223,32,0,1,1,135,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390486,'zone_to_runnyeye',NULL,'','','',0,49,32,0,0,0,212,0,0,0,0,1,0,0,222,0,0,0,0,0,33003,0,0,0,0,0,0,0,0,0,0,0),
(390487,'South Mist Trail Guide',NULL,'','','',0,1854,45,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390488,'zone_to_grenthials_den',NULL,'','','',0,1550,57,0,0,0,266,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390489,'shard_recovery_enchanted_mini01',NULL,'','','',0,2025,32,0,1,1,45,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390490,'zone_to_liveevent_hideout',NULL,'','','',0,13,41,0,0,0,267,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390491,'jumjumjar_killroy',NULL,'','','',0,1434,32,0,1,1,135,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390492,'West Shire Trail Guide',NULL,'','','',0,1854,45,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390493,'mino_hero_brew',NULL,'','','',0,1941,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390494,'bogbottom mill notice',NULL,'','','',0,6657,51,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390495,'zone_to_rivervale',NULL,'','','',0,49,32,0,0,0,268,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390496,'portal_to_obelisk',NULL,'','','',0,2306,70,0,1,1,308,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390497,'a moss covered mound',NULL,'','','',0,2916,32,0,1,1,45,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390498,'Fay Shire Trail Guide',NULL,'','','',0,1854,45,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390499,'chair_killroy',NULL,'','','',0,1907,32,0,1,1,135,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390501,'zone_to_live_enchanted_grotto02',NULL,'','','',0,10329,48,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390502,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390503,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390504,'velvety roots',NULL,'','','',0,1726,36,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390505,'animal den',NULL,'','','',0,3996,48,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390506,'throng of fish',NULL,'','','',0,4158,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390507,'throng of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390508,'wretched arbor',NULL,'','','',0,3932,19,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390509,'rhythmic stone',NULL,'','','',0,2210,53,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390510,'residual ore',NULL,'','','',0,3957,26,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390511,'throng of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390512,'mystical natural garden',NULL,'','','',0,4076,20,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390513,'a magilith',NULL,'','','',0,2210,22,0,1,1,1,0,144,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390514,'a massive magilith',NULL,'','','',0,2210,38,0,1,1,1,0,144,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390515,'a mega-magilith',NULL,'','','',0,2210,64,0,1,1,1,0,144,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390516,'Baz''Tarog the Corruptor',NULL,'','','',255,1585,64,0,1,1,11,0,0,1,1,0,0,113,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390517,'A Countess of Pain',NULL,'','','',255,181,83,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390518,'A Fleetfin Seeker',NULL,'','','',255,242,52,0,1,1,11,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390519,'A Grove Burrower',NULL,'','','',255,267,32,0,1,1,11,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390520,'Lodo Bightn',NULL,'','','',7,108,32,0,1,1,11,0,0,1,1,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390521,'Seamus Longtoe',NULL,'','','',255,108,32,0,1,1,11,0,0,1,1,0,0,0,32,1076,1076,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390522,'Viceclaw',NULL,'','','',255,211,138,0,1,1,11,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390523,'A Savage Serpent',NULL,'','','',255,197,34,0,1,1,11,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390524,'Oodan the Tranquil',NULL,'','','',255,2842,42,0,1,1,11,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390526,'Jimminy Jimjum','<Bartender>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100355,0,0,0,0,0,0,0,0,0,120,0,0),
(390527,'Grix',NULL,'','','',255,145,32,0,1,1,844,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390528,'Gigglegibber Hunt Master','<Master of the Hunt>','','','',0,145,20,0,1,1,9,0,0,0,0,1,0,0,20,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(390529,'Talk Test Quest Fairy','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400001,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400002,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400003,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400004,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400005,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400006,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400007,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400008,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400009,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400010,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400011,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(400012,'rock01',NULL,'','','',0,1550,32,0,0,0,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410000,'a horse','','','','',255,6846,31,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410001,'an ancient frostfin','','','','',255,242,229,8,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410002,'Ginnie Stonestoe','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410003,'a primal frostfin','','','','',255,242,106,8,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410004,'Marta Terrilon','','','','',0,1464,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410005,'Master T''Lys','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410006,'Brahnagan MacLahnan','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410007,'Ned Swellswaker','<Banker>','','','',0,112,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410008,'a primal frostfin','','','','',255,242,121,6,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410009,'Jin Ventur','','','','',255,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410010,'Mai Ventur','','','','',255,50064,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410011,'Li Ning Ventur','','','','',9,50082,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410012,'Fishmonger Udolpho','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410013,'Newlyn Icebreaker','<Mender>','','','',0,1464,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(410014,'Burm Grunthor','','','','',9,112,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410015,'an ancient frostfin','','','','',255,242,213,5,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410016,'artifact adder 2','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410017,'artifact adder 3','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410018,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410019,'artifact adder 1','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410020,'a distressed merchant','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410021,'artifact adder 4','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410022,'a disturbed corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410023,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410024,'Aubrak','<The Preposterous>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410025,'an icy shiver','','','','',9,2934,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410026,'Abel Haleborn','','','','',0,1467,32,0,1,1,9,0,11183,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410027,'a Windrider maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,107,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410028,'an arctic wyrm','','','','',255,1376,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410029,'Ubrak the Fierce','','','','',255,158,73,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410030,'a Galebreaker maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,107,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410031,'a Skyshield maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,107,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410032,'a bighorn dasher','','','','',255,2336,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410033,'a bighorn sheep','','','','',255,2336,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410034,'a Cloudsong maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,107,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410035,'a wooly silk slinger','','','','',255,246,80,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410036,'a wooly spider','','','','',255,246,79,5,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410037,'Connor Farquharson','','','','',0,112,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410038,'Chiara Oscura','<Scribe>','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410039,'Mundug Stonefist','','','','',12,124,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410040,'Lucretia Nasin','<The Coalition of Tradesfolke>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410041,'a northern stag','','','','',255,2414,54,3,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410042,'a dead Frosthorn','','','','',255,158,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410043,'Chief Scholar Lakewind','<Warden of the Eternal Prism>','','','',0,1471,41,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410044,'a snow leopard','','','','',255,3706,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410045,'a Frosthorn shadowgore','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410046,'a Frosthorn vindicator','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410047,'a dead maiden','','','','',255,182,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410048,'an arctic behemoth','','','','',255,1376,140,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410049,'an unresponsive barbarian','','','','',0,112,32,0,1,1,416,0,228,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410050,'an ice wolf','','','','',255,3711,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410051,'an ice walker','','','','',255,200,31,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410052,'an arctic monitor','','','','',255,200,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410053,'a Frosthorn stormcaller','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410054,'an ice growler','','','','',255,3711,21,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410055,'a fire pit','','','','',255,2019,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410056,'Snowflake','','','','',255,2835,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410057,'an ice wolf pup','','','','',255,3711,10,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410058,'an arctic hatchling','','','','',255,1376,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410059,'The Brood Mother','','','','',255,1376,176,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410060,'Haijakt','','','','',0,1471,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410061,'an alpha ice wolf','','','','',255,3711,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410062,'a snow talon hawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410063,'a young ice wolf','','','','',255,3711,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410064,'a Bitterwind pioneer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410065,'a Bitterwind explorer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410066,'a Bitterwind pioneer','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410067,'a Bitterwind firestarter','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410068,'Thyr Stormhammer','','','','',0,1467,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410069,'Thala Rohquilin','','','','',0,1463,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410070,'Sarissa Icechyld','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410071,'Emery Seastrider','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410072,'Fiderik Nalot','<Resource Surveyor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410073,'Faythwen Summerglade','<Protector of the Pines>','','','',15,1444,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410074,'Dovan Farfall','','','','',6,78,35,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410075,'Seth McMannus','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410076,'a Kromise lookout','','','','',255,1429,63,2,1,1,11,0,0,1,1,1,0,106,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410077,'a glacial construct','','','','',255,2553,112,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410078,'an ice fright','','','','',9,2934,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410079,'a northern great stag','','','','',255,2414,70,3,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410080,'a Numbfoot hunter','','','','',255,151,95,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410081,'Kaira L''or','<Explorer>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410082,'a primal frostfin','','','','',255,242,96,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410084,'Daelic Coldbrow','','','','',0,2836,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410085,'a resonating echo','','','','',255,273,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410086,'Undertow','','','','',255,210,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410087,'a glacier bear cub','','','','',255,3836,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410088,'a glacier bear','','','','',255,3836,52,4,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410089,'a frozen gale','','','','',255,311,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410090,'a Kromise guard','','','','',255,1429,63,3,1,1,11,0,0,1,1,1,0,106,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410091,'The Spirit of Arctic Doom','','','','',9,3654,48,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410092,'Gudrun','<Keeper of the Shard>','','','',255,1429,63,1,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410093,'a tundra terror','','','','',255,2555,56,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410094,'Idona','','','','',255,182,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410095,'Trapper Stu Wart','','','','',6,78,28,0,1,1,9,0,2809,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410096,'Aislei Yolwynon','<Druid of the World Tree>','','','',15,114,32,0,1,1,9,0,12236,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410097,'Berviel Yolwynon','<Druid of the World Tree>','','','',15,1441,32,0,1,1,9,0,12236,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410098,'Baldus Stormhammer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410099,'Becka Snowsworn','','','','',0,1464,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410100,'a Bloodthirsty Leopard','','','','',255,3706,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410101,'Shaman Snowfell','','','','',255,151,80,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410102,'a Kromise hermit','','','','',255,1429,63,2,1,1,11,0,0,1,1,1,0,106,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410103,'Chieftain Iceburn','','','','',255,151,105,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410104,'The Seraph of the Stags','','','','',255,156,144,0,1,1,11,0,0,1,1,1,0,0,89,523094,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410105,'The Spirit of Frigid Pine','','','','',255,274,64,0,1,1,9,0,1494,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410106,'a wooly mammoth calf','','','','',255,3804,47,3,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410107,'a Galebreaker pilgrim','','','','',255,182,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410108,'a Galebreaker pilgrim','','','','',255,182,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410109,'a frozen tempest','','','','',255,311,85,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410110,'a frozen tempest','','','','',255,311,96,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410111,'a Galebreaker pilgrim','','','','',255,182,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410112,'a wooly mammoth','','','','',255,3804,63,3,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410113,'Myhrna McMarrin','','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410114,'a Galebreaker pilgrim','','','','',255,182,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410115,'Faddar Waldgrave','','','','',0,1468,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410116,'The Spirit of Wintry Mist','','','','',255,2416,64,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410117,'Areth Windvell','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410118,'Inon McCoven','','','','',0,112,25,0,1,1,9,0,540,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410119,'Seamus McCoven','','','','',0,112,35,0,1,1,9,0,2809,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410120,'a Frozen Cyclone','','','','',255,311,116,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410121,'The Ghost of Tundra Jack','','','','',255,2836,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410122,'Iceberg','','','','',255,3836,73,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410123,'Rainscour','','','','',255,1346,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410124,'Arnbjorg','<Keeper of the Shard>','','','',255,1429,63,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410125,'an icegill whelp','','','','',255,3884,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410126,'a shady merchant','<General Goods>','','','',13,64,32,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,100372,0,0,0,0,0,0,0,0,0,0,0,0),
(410127,'a Tidal Flux','','','','',255,195,128,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410128,'Grymalkin','Edwina''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410129,'an icegill lurker','','','','',255,3884,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410130,'an icegill angler','','','','',255,3884,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410131,'an icegill oracle','','','','',255,3884,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410132,'an icegill shifter','','','','',255,3884,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410133,'an icegill fisher','','','','',255,3884,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410134,'a prehistoric frostfin','','','','',255,242,259,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410135,'a frigid turbulence','','','','',255,195,83,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410136,'a prehistoric frostfin','','','','',255,242,236,8,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410137,'a sunken Halasian','','','','',255,2836,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410138,'a prehistoric frostfin','','','','',255,242,252,4,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410139,'a frigid current','','','','',255,195,78,5,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410140,'The Spirit of Polar Lights','','','','',255,3295,96,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410141,'Gbadamosi','<Follower of Tarew Marr>','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410142,'Valanduram Bartanen','<Follower of Povar>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410143,'Lianashanai  Nadeau','<Follower of E''ci>','','','',16,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410144,'a frigid current','','','','',255,195,59,5,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410145,'a frigid turbulence','','','','',255,195,59,5,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410146,'Krindal','','','','',255,4014,32,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410147,'Loseker','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410148,'an ancient glacier bear','','','','',255,3836,67,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410149,'a Frosthorn executioner','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410150,'a Frosthorn nightgore','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410151,'a Frosthorn executioner','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410152,'a disturbed corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410153,'an ancient frostfin','','','','',255,242,239,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410154,'Dreadwake','','','','',255,242,272,0,1,1,11,0,0,1,1,1,0,0,62,300000,150000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410155,'Enforcement Officer Lueax','','','','',255,3884,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410156,'Adjutant Zeephax','','','','',255,3884,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410157,'Enforcement Officer Hueax','','','','',255,3884,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410158,'King Zatan','','','','',255,3884,80,0,1,1,11,0,0,1,1,1,0,0,35,300000,250000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410159,'an Enraged Frosthorn','','','','',255,158,48,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410160,'a Congregation of Screams','','','','',255,3646,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410161,'a tempest inducer','','','','',255,309,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410162,'Kabeker','','','','',255,308,57,0,1,1,11,0,0,1,1,1,0,0,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410163,'The Kra`thuk','','','','',255,2555,128,0,1,1,11,0,0,1,1,1,0,0,32,500000,250000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410165,'widget_snow_pile',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410166,'',NULL,'','','',0,49,32,0,1,1,914,0,0,0,0,0,0,0,787,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410167,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410168,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410169,'tent',NULL,'','','',0,12193,31,0,1,1,0,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410170,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410172,'Xass''s Forge',NULL,'','','',0,3318,32,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410173,'Xass''s Forge',NULL,'','','',0,3319,19,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410174,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410175,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410176,'exp06 spire - complete',NULL,'','','',0,52103,32,0,1,0,0,0,0,0,0,0,0,0,1593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410177,'Nedbryn''s crate',NULL,'','','',0,3148,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410178,'widget_brown_book',NULL,'','','',0,1453,31,0,1,1,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410179,'S''lbiti Fern',NULL,'','','',0,1736,8,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410180,'crate',NULL,'','','',0,3147,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410181,'widget_big_crate',NULL,'','','',0,1393,5,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410182,'Bones of an apprentice on an expedition',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410183,'fish bucket',NULL,'','','',0,6654,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410184,'void_object_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410185,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410186,'sugar beet',NULL,'','','',0,7208,16,0,1,1,0,0,1494,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410187,'snowtear cabbage',NULL,'','','',0,4076,16,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410188,'widget_forgotten_gravestone',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410189,'Random Crate',NULL,'','','',0,1949,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410190,'Random Crate',NULL,'','','',0,1951,31,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410191,'Firepit',NULL,'','','',0,5318,31,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410192,'Firepit',NULL,'','','',0,2019,31,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410193,'Box of Prism Shards',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410194,'iofer stalk',NULL,'','','',0,1738,16,0,1,1,0,0,1494,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410195,'vellium plaque to the icen doorway',NULL,'','','',0,2684,15,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410196,'Northland Lilac',NULL,'','','',0,1622,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410197,'poison bucket',NULL,'','','',0,2073,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410198,'widget_old_scroll2',NULL,'','','',0,2544,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410199,'Frosthorn Treasure Chest',NULL,'','','',0,3075,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410200,'Vox Daisy',NULL,'','','',0,1738,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410201,'darkcleanse_gravestone_02',NULL,'','','',0,2924,32,0,1,1,415,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410202,'gravedirt02',NULL,'','','',0,7093,41,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410203,'fprt_tombstonea001',NULL,'','','',0,4817,31,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410204,'Gravestone of Tundra Jack',NULL,'','','',0,2921,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410205,'Gravestone of Shamus Felligan',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410206,'Gravestone of MacYee the Magnificent',NULL,'','','',0,2922,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410207,'Gravestone of Lysbith McNaff',NULL,'','','',0,2923,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410208,'Gravestone of Dun McDowell',NULL,'','','',0,2925,32,0,1,1,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410209,'Frigid Poppy',NULL,'','','',0,1622,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410210,'Bones of an yeoman on an expedition',NULL,'','','',0,2369,32,0,1,1,61,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410211,'sunken provision chest of an expedition',NULL,'','','',0,2029,31,0,1,1,61,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410212,'lettuce',NULL,'','','',0,4076,22,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410213,'iofer bundle',NULL,'','','',0,1848,9,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410214,'Stu Wart''s Trap',NULL,'','','',0,2559,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410215,'widget_old_scroll1',NULL,'','','',0,2544,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410216,'widget_boat_steeringwheel',NULL,'','','',0,1957,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410217,'a goblish weapon rack',NULL,'','','',255,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410218,'a brimming fish basket',NULL,'','','',255,6654,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410219,'an icegill goblin fish cage one',NULL,'','','',0,3038,32,0,1,1,61,0,0,0,0,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410220,'an icegill goblin fish cage two',NULL,'','','',0,3038,32,0,1,1,61,0,0,0,0,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410221,'an icegill goblin fish cage four',NULL,'','','',0,3038,31,0,1,1,61,0,0,0,0,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410222,'widget_water_barrel',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410223,'an icegill goblin fish cage three',NULL,'','','',0,3038,32,0,1,1,61,0,0,0,0,1,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410224,'a snowcreature',NULL,'','','',255,7040,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(410225,'Gem of the Rose',NULL,'','','',0,3162,32,0,1,1,1032,0,0,0,0,1,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410226,'troglodyte poison jar',NULL,'','','',0,1434,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410227,'troglodyte idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410228,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(410229,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410230,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(410231,'Gates of Bliss',NULL,'','','',0,11191,9,0,1,1,120,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410232,'hide barrel, troglodytes',NULL,'','','',0,5008,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410233,'hide barrel, leopard pelts',NULL,'','','',0,5008,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410234,'hide barrel, strengthened leather pelts',NULL,'','','',0,5008,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410235,'hide barrel, northern stags',NULL,'','','',0,5008,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410236,'Miragul''s Phylactery',NULL,'','','',0,49,32,0,1,1,381,0,0,0,0,1,0,0,189,0,0,0,0,0,33004,0,0,0,0,0,0,0,0,0,0,0),
(410237,'to_spiritual_pocket',NULL,'','','',0,6559,32,0,1,1,382,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410238,'zone_to_everfrost_epic01_menagerie_right',NULL,'','','',0,49,32,0,1,1,383,0,0,0,0,1,0,0,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410239,'zone_to_everfrost_epic01_menagerie_left',NULL,'','','',0,49,32,0,1,1,383,0,0,0,0,1,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410240,'The Forbidden Sepulcher',NULL,'','','',0,4997,26,0,1,1,417,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410241,'',NULL,'','','',0,49,32,0,1,1,417,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410242,'zone_to_everfrost_epic02_icespire',NULL,'','','',0,49,32,0,1,1,635,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410243,'urn_kilroy',NULL,'','','',0,1855,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410244,'sword_kilroy',NULL,'','','',0,1458,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410245,'dead_dog_kilroy',NULL,'','','',0,2371,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410246,'zone_to_permafrost',NULL,'','','',0,49,32,0,0,0,518,0,0,0,0,1,0,0,465,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410247,'skeleton_kilroy',NULL,'','','',0,2431,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410248,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1042,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410249,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410250,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410251,'clamor of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410252,'ice crystal',NULL,'','','',0,1910,192,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410253,'frostfin scale',NULL,'','','',0,3160,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410254,'animal den',NULL,'','','',0,4002,103,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410255,'frigid ore',NULL,'','','',0,3955,31,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410256,'glacial shrubbery',NULL,'','','',0,4078,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410257,'wintry roots',NULL,'','','',0,1728,31,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410258,'corroded arbor',NULL,'','','',0,3938,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410259,'blizzard stone',NULL,'','','',0,3915,49,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410260,'Red Shard',NULL,'','','',0,3419,24,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410261,'clamor of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410262,'White Shard',NULL,'','','',0,3418,24,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410263,'clamor of fish',NULL,'','','',0,4158,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410264,'Blue Shard',NULL,'','','',0,3418,24,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410265,'Green Shard',NULL,'','','',0,3417,24,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410266,'debris of the Gwenavyne',NULL,'','','',0,3921,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410267,'a living snow flurry',NULL,'','','',255,311,84,0,1,1,11,0,0,1,1,1,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(410268,'a Frosthorn minotaur','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420000,'a golem guardian','','','','',255,2553,112,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420001,'a lingering essence','','','','',255,3646,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420002,'Sulon McMoor','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420003,'a remnant of Miragul','','','','',255,3646,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420004,'quest_tartons_wheel_jaka',NULL,'','','',0,49,32,0,1,1,637,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420005,'scrying_cube',NULL,'','','',0,49,32,0,1,1,636,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420006,'scrying_door_left',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420007,'scrying_door_right',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420008,'bedroom_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420009,'bedroom_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420010,'summoning_door_right',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420011,'summoning_door_left',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420012,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420013,'internal_summoning_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420014,'summoning_room_effects',NULL,'','','',0,2306,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420015,'scrying_cube_effects',NULL,'','','',0,2306,85,0,1,1,636,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420016,'trapped chest',NULL,'','','',0,15,48,0,1,1,16,0,1494,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420017,'scroll chest',NULL,'','','',0,15,48,0,1,1,16,0,1494,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420019,'scrying_cube_book',NULL,'','','',0,49,32,0,1,1,638,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420020,'to_everfrost_left',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(420021,'to_everfrost_right',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450000,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450001,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450002,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450003,'Grabby Gigglegibber','<Treat Trader>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450004,'a Nights of the Dead merchant','','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450005,'Skeer Deekat','<Gigglegibber Goblin-ish>','','','',11,97,16,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450006,'Reverend Valac','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450007,'Kivrin Feirling','<Hospitality>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450008,'Scout Elrohir','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450009,'Grimbold Eyefire','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450010,'Annette Windsong','<Portals Trainer>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,262136,0,0,0,0,0,0,0,0),
(450011,'Kray Swiftmore','<Projectiles Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,9140,0,0,0,0,0,0,0,0,0,0,0,0),
(450012,'Rantus Harbinger','<Teleport Trainer>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,262136,0,0,0,0,0,0,0,0),
(450013,'Lissa Caulwain','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450014,'Lowell','','','','',6,108,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450015,'Tam Icecrusher','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450016,'Cuhtrah','<Mender>','','','',12,124,32,0,1,1,12,9,0,0,0,1,0,0,43,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(450017,'Logan','<Black Market>','','','',4,3788,32,0,1,1,20,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450018,'Guss','<Vault Assessor>','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450019,'Keguhei Taroon','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450020,'Otus','<Vault Assessor>','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450021,'Norma','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450022,'Larn Kapstoe','<Provisioner>','','','',11,101,32,0,1,1,10,1265,0,0,0,1,0,0,38,0,0,0,0,9151,0,0,0,0,0,0,0,0,0,0,0,0),
(450023,'Murla Ripeberry','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450024,'Jinzool Ironworker','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450025,'Jervay D''Mavru','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450026,'Errani Fallenleaf','<Guild Cloak Designer>','','','',15,113,32,0,1,1,24,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450027,'Historian Andrews','<Guild Registrar>','','','',9,134,32,0,1,1,25,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450028,'Quartermaster Malkin','<City Quartermaster>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450029,'Tzalin Zhree','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450030,'Fizzbang Coghandler','<Crafting Trainer>','','','',9,121,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450031,'Ayleen Rilee','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450032,'Jaurl Simetral','<Brotherhood of Trade Supplies>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450033,'Sanice Castavon','<Rush Orders>','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450034,'Tabatha Woncroft','<Work Orders>','','','',9,116,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450035,'Ragil','<Brotherhood of Trade Supplies>','','','',12,123,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450036,'Meglese Legarl','<Brotherhood of Trade Supplies>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450037,'Kit Breanut','<Tradeskill Career Counsellor>','','','',11,95,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450038,'Giznik Scozbang','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450039,'Glok','<Shiny Seeker>','','','',255,3812,22,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450040,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450041,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450042,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450043,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450044,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450045,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450046,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450047,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,1,1,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,262016,0,0,0,0,0,0,0,0),
(450048,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450049,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450050,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450051,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450052,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450053,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450054,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450055,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450056,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450057,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450058,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450059,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450060,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450061,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450062,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450063,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(450064,'sign_post',NULL,'','','',0,1714,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450065,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450066,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450067,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450068,'Steppes',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450069,'Tradeskill02',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450070,'Merchants',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450071,'Nektulos',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450072,'zone_to_steppes',NULL,'','','',0,1489,32,0,0,0,352,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450073,'zone_to_nektulos',NULL,'','','',0,1489,32,0,0,0,353,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(450074,'zone_to_sinking_sands',NULL,'','','',0,5264,32,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460000,'Barakah','','','','',255,4916,32,0,1,1,0,0,11567,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460001,'Siyamak','','','','',255,4897,32,0,1,1,0,0,11567,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460002,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460003,'a Sha''ir','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460004,'a Maj''Dul citizen','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460005,'a pit fighter','','','','',255,162,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460006,'a Truth preceptor apprentice','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460007,'a pit fighter','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460008,'a Tears grifter','<Court of Tears Agent>','','','',255,4917,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460009,'a Maj''Dul citizen','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460010,'a Blades guard','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460011,'a Truth guard','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460012,'a Maj''Dul citizen','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460013,'a pit fighter','','','','',255,4945,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460014,'a Dervin thief','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460015,'a heat crazed prophet','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460016,'Glory','','','','',255,171,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460017,'Power','','','','',20,5022,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460018,'Champion Korza','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460019,'a Maj''Dul outcast','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460020,'a poor beggar','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460021,'','','','','',255,4897,3,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460022,'Halin Bassan','<Old Bog Mountain Unit>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460023,'a street rat thief','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460024,'a Blades tower captain','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460025,'a Blades jailor','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460026,'a Blades Historian','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460027,'a Maj''Dul citizen','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460028,'a Maj''Dul citizen','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460029,'a Blades patrolman','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460030,'an excited gambler','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460031,'a Maj''Dul citizen','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460032,'an excited gambler','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460033,'an excited gambler','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460034,'an excited gambler','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460035,'a Maj''Dul citizen','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460036,'a Blades trainee','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460037,'General Cabaar','','','','',255,4999,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460038,'Sumixum the Arena Master','','','','',255,4922,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460039,'a Coin guard','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460040,'an excited gambler','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460041,'an excited gambler','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460042,'a Sha''ir Messenger','','','','',255,5010,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460043,'Captain Aziz','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460044,'an excited gambler','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460045,'a citizen of Maj''Dul','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460046,'Zahr Shabao','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460047,'Aquim','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460048,'Antiquitor Kantus Mor''Tael','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460049,'Fezi','','','','',9,134,25,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460050,'an outcast of Maj''Dul','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460051,'Baruuq','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460052,'Copier Fuazi','','','','',255,4917,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460053,'Nazheem','','','','',255,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460054,'a Dervin thug','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460055,'Ukaskis the Trader','<Dealer in Rarities>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460056,'Gaazahl the Merchant','<General Goods>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460057,'a monkey','','','','',255,5006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460058,'Captain Fayiz','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460059,'an elephant','','','','',255,264,38,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460060,'a Maj''Dul merchant','<Alchemist>','','','',255,4922,32,0,1,1,10,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460061,'a fire spitter','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460062,'Seeker Abdeef','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460063,'a Maj''Dul merchant','<Jeweler>','','','',255,4922,32,0,1,1,10,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460064,'Scholar Al''Shir','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460065,'Al-abu the Agile','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460066,'a skygazer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460067,'a camel','','','','',255,5606,44,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460068,'Taria Truomen','','','','',255,5263,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460069,'a cobra','','','','',255,4661,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460070,'a snake charmer','','','','',255,4917,32,0,1,1,11,0,3693,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460071,'Antiquitor Kantus Mor''Tael','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460072,'Planetologist Ahkar','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460073,'a Maj''Dul merchant','<Armorsmith>','','','',255,4917,32,0,1,1,10,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460074,'a poor merchant','<Weapons and Shields>','','','',255,4927,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460075,'a Maj''Dul merchant','<Tailor>','','','',255,4917,32,0,1,1,10,1265,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460076,'a Maj''Dul merchant','<General Goods>','','','',255,4927,32,0,1,1,10,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460077,'Dervin Denizen','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460078,'a Maj''Dul citizen','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460079,'Captain Yuleed','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460080,'Dervin Denizen','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460081,'a beggar','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460082,'Darzi Sendoa','','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460083,'a Coin patrolman','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460084,'Ahzeem the Bartermaster','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460085,'Delmodi','<Weaponsmith Supplies>','','','',255,5262,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460086,'Maqeed','<Tailor Supplies>','','','',255,5263,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460087,'a Terrorantula thug','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460088,'a Truth jailor','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460089,'Mender Ahman','<Mender>','','','',255,4917,32,0,1,1,12,9,0,1,1,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(460090,'Shan','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460091,'Ashmilla','<Woodworker Supplies>','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460092,'a Truth tower captain','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460093,'a hired bodyguard','','','','',255,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460094,'a bartering merchant','','','','',255,5263,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460095,'a Coin tower captain','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460096,'a Coin jailor','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460097,'an excited gambler','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460098,'a seared scorpion','','','','',255,250,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460099,'Preceptor Jazeel','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460100,'Jayashri','','','','',9,5263,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460101,'Rockbop the Mangler','','','','',255,151,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460102,'a well kept elephant','','','','',255,264,32,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460103,'a fortune teller','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460104,'a fortune teller','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460105,'a Coin bodyguard','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460106,'Zeke Two Tone','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460107,'an affluent citizen','','','','',255,5262,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460108,'an affluent citizen','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460109,'an affluent citizen','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460110,'an affluent citizen','','','','',255,5262,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460111,'an affluent citizen','','','','',255,5263,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460112,'an affluent citizen','','','','',255,5262,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460113,'a fortune teller','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460114,'a Saracen fan','','','','',255,4917,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460115,'a cheering fan','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460116,'a cheering fan','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460117,'a cheering fan','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460118,'a cheering fan','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460119,'a cheering fan','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460120,'a cheering fan','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460121,'a cheering fan','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460122,'a champion pit fighter','','','','',255,151,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460123,'Preceptor Kamal','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460124,'Camel Dealer Ha''kal','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460125,'Kwi''the Il''zhe','','','','',255,4922,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460126,'an outcast of Maj''Dul','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460127,'Abil Fariq, the monkey handler','','','','',255,4922,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460128,'Perdition','','','','',255,5249,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460129,'Chim-chim','','','','',255,5006,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460130,'a bartering merchant','','','','',255,5262,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460131,'a bartering merchant','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460132,'a bartering merchant','','','','',255,5262,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460133,'Te''Toa the terrible','','','','',0,1467,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460134,'Barter Lord Tum Jal''Daris','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460135,'Barter Lord Feth Ardala','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460136,'Dalia','<Tradeskill Fuel>','','','',255,5263,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460137,'Koorba','<Tradeskill Recipes>','','','',255,5262,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460138,'a bartering merchant','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460139,'Gulan of the horizon','','','','',255,50066,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460140,'Alim','<Storyteller of the Clouds>','','','',255,5262,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460141,'Ana-asha','<Armorsmith Supplies>','','','',255,5263,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460142,'Eorim','<Alchemist Supplies>','','','',255,5262,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460143,'an affluent citizen','','','','',255,5262,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460144,'Aldywar','<Provisioner Supplies>','','','',255,5262,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460145,'Terefala','<Jeweler Supplies>','','','',255,5263,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460146,'Lumia','<Carpenter Supplies>','','','',255,5263,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460147,'a bartering merchant','','','','',255,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460148,'Alamadi','<Sage Supplies>','','','',255,5262,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460149,'a palace sweeper','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460150,'widget_night_of_dead_page_08',NULL,'','','',0,49,32,0,1,1,334,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460151,'widget_arena_tales_page_15',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460152,'widget_selected_poems_page_20',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460153,'gate_left_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460154,'widget_selected_poems_page_08',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460155,'widget_night_of_dead_page_15',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460156,'widget_selected_poems_page_11',NULL,'','','',0,49,32,0,1,1,687,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460157,'widget_second_wife_book',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460158,'widget_selected_poems_page_19',NULL,'','','',0,49,32,0,1,1,687,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460159,'gate_right_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460160,'widget_night_of_dead_page_10',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460161,'widget_desert_oasis_page_16',NULL,'','','',0,49,32,0,1,1,687,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460162,'widget_night_of_dead_book',NULL,'','','',0,49,32,0,1,1,252,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460163,'widget_night_of_dead_page_13',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460164,'widget_arena_tales_page_12',NULL,'','','',0,49,32,0,1,1,687,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460165,'widget_second_wife_page_07',NULL,'','','',0,49,32,0,1,1,252,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460166,'widget_second_wife_page_05',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460167,'widget_second_wife_page_12',NULL,'','','',0,49,32,0,1,1,687,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460168,'widget_second_wife_page_10',NULL,'','','',0,49,32,0,1,1,334,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460169,'widget_arena_tales_page_05',NULL,'','','',0,49,32,0,1,1,695,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460170,'widget_desert_oasis_page_20',NULL,'','','',0,49,32,0,1,1,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460171,'widget_desert_oasis_page_22',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460172,'invis_wall',NULL,'','','',0,4544,24,0,1,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460173,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460174,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460175,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460176,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460177,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460178,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460179,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460180,'tower_banner_blades',NULL,'','','',0,5212,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460181,'tower_banner_truth',NULL,'','','',0,5215,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460182,'tower_banner_coin',NULL,'','','',0,5214,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460183,'snake_basket',NULL,'','','',0,5148,32,0,1,1,331,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460184,'widget_player_housing_2r01b',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460185,'widget_player_housing_3r02',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460186,'Peacock Club Doors',NULL,'','','',0,4544,7,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460187,'puzzle_cube',NULL,'','','',0,4456,9,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460188,'saracen_note',NULL,'','','',0,5261,32,0,1,1,332,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460189,'lower_left_page',NULL,'','','',0,5261,32,0,1,1,333,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460190,'widget_player_housing_1r01',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460191,'upper_right_page',NULL,'','','',0,5261,32,0,1,1,335,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460192,'altar of clouds',NULL,'','','',0,7760,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460193,'Taria''s Mandolin',NULL,'','','',0,5188,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460194,'widget_player_housing_2r01',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460195,'widget_player_housing_2r02',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460196,'upper_left_page',NULL,'','','',0,5261,32,0,1,1,693,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460197,'lower_right_page',NULL,'','','',0,5261,32,0,1,1,694,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460198,'widget_player_housing_1r02',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460199,'widget_player_housing_3r01',NULL,'','','',0,5454,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460200,'dpo_storyteller_effects',NULL,'','','',0,2306,54,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460201,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460202,'the Peacock Club mailbox',NULL,'','','',0,4709,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460203,'Lifire Ewer',NULL,'','','',0,2145,32,0,1,1,336,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460204,'door_to_peacock_club',NULL,'','','',0,5454,14,0,0,0,337,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460205,'door_to_palace_truth_banner',NULL,'','','',0,5642,32,0,1,1,338,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460206,'zone_to_truth_palace',NULL,'','','',0,49,32,0,0,0,339,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460207,'door_to_majdul_mini_instances',NULL,'','','',0,5454,16,0,1,1,46,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460208,'door_to_saracen_hideout',NULL,'','','',0,5454,16,0,1,1,46,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460209,'zone_to_court_of_tears',NULL,'','','',0,49,32,0,0,0,340,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460210,'door_to_informant_dharr_house',NULL,'','','',0,5454,21,0,1,1,46,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460211,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460212,'zone_to_arena01',NULL,'','','',0,49,32,0,1,1,66,0,0,0,0,1,0,0,455,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460213,'The Court of the Blades',NULL,'','','',0,49,32,0,0,0,341,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460214,'the Scent of Aros''Thalinor',NULL,'','','',0,2614,32,0,1,1,342,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460215,'the Book of Odyllus',NULL,'','','',0,2600,32,0,1,1,61,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460216,'the Box of Bones',NULL,'','','',0,2101,32,0,1,1,0,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460217,'''King''s Tomb Tavern'' painting',NULL,'','','',0,2561,32,0,1,1,343,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460218,'crate_jaldaris',NULL,'','','',0,5149,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460219,'rooftop streetrat mat killroy',NULL,'','','',0,5171,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460220,'library book killroy',NULL,'','','',0,3323,32,0,1,1,135,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460221,'Urn of Al''Hadid',NULL,'','','',0,3123,32,0,1,1,688,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460222,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,0,0,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460223,'zone_to_majdul_library',NULL,'','','',0,49,32,0,0,0,690,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460224,'zone_to_tower_of_the_moon',NULL,'','','',0,49,32,0,0,0,691,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460225,'rooftop barrel killroy',NULL,'','','',0,5324,32,0,1,1,135,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460226,'the Rod of the Ruhk',NULL,'','','',0,4468,32,0,1,1,696,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460227,'door_to_palace_blades_banner',NULL,'','','',0,5642,32,0,1,1,697,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460228,'zone_to_arena02_01',NULL,'','','',0,49,32,0,1,1,698,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460229,'zone_to_arena02_02',NULL,'','','',0,49,32,0,1,1,698,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460230,'door_to_nobleman_house',NULL,'','','',0,5454,16,0,1,1,699,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460231,'door_to_asadel_house',NULL,'','','',0,5454,16,0,1,1,46,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460232,'zone_to_court_of_the_coin',NULL,'','','',0,49,32,0,0,0,700,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460233,'door_to_palace_coin_banner',NULL,'','','',0,5454,32,0,1,1,701,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460234,'Box of Tupperwuzzle',NULL,'','','',0,4439,32,0,1,1,702,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460235,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(460236,'a red pillow',NULL,'','','',0,5238,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530000,'Blue Idol','','','','',255,4463,48,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530001,'Red Idol','','','','',255,4464,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530002,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530003,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530004,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530005,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530006,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530007,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530008,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530009,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530010,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530011,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530012,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530013,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530014,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530015,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530016,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530017,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530018,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530019,'arena_2m2mramp_block01',NULL,'','','',0,5586,32,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530020,'A healing potion',NULL,'','','',0,5448,24,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530021,'arena_2m2mramp_block01',NULL,'','','',0,5595,33,0,1,1,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530022,'arena_2m2mramp_block01',NULL,'','','',0,5584,32,0,1,1,0,0,0,0,0,0,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530023,'force_wall01',NULL,'','','',0,4544,32,0,1,1,0,0,3443,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530024,'arena_2m2mramp_block01',NULL,'','','',0,5585,32,0,1,1,0,0,0,0,0,0,0,0,306,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530025,'heal_small',NULL,'','','',0,5449,24,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530026,'arena_2m2mramp_block01',NULL,'','','',0,5580,32,0,1,1,0,0,0,0,0,0,0,0,350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530027,'arena_2m2mramp_block01',NULL,'','','',0,5582,43,0,1,1,0,0,0,0,0,0,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530028,'heal_large',NULL,'','','',0,5452,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530029,'(unnamed)',NULL,'','','',0,5453,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530030,'(unnamed)',NULL,'','','',0,5740,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530031,'arena_2m2mramp_block01',NULL,'','','',0,5583,22,0,1,1,0,0,0,0,0,0,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530032,'arena_2m2mramp_block01',NULL,'','','',0,5587,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530033,'(unnamed)',NULL,'','','',0,5688,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530034,'arena_2m2mramp_block01',NULL,'','','',0,5594,48,0,1,1,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530035,'(unnamed)',NULL,'','','',0,5692,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530036,'(unnamed)',NULL,'','','',0,5695,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530037,'(unnamed)',NULL,'','','',0,5450,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530038,'(unnamed)',NULL,'','','',0,5689,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(530039,'(unnamed)',NULL,'','','',0,5700,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580000,'Apprentice Bookbinder','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580001,'Jaestin Chaldean','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580002,'Abnar the Bookbinder','<Collector>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580003,'The Court of the Blades consul','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580004,'The Court of the Coin consul','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580005,'Steward of the Vizier','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580006,'The Court of Truth consul','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580007,'widget_harpy_mastery_book',NULL,'','','',0,49,32,0,1,1,687,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580008,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580009,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580010,'truth_faction_book_1',NULL,'','','',0,2595,17,0,1,1,692,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580011,'a bookworm',NULL,'','','',255,284,4,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(580012,'zone_to_majdul',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610001,'a Steelslave watcher','','','','',255,5023,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610002,'a Steelslave mauler','','','','',255,5024,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610003,'a Steelslave cook','','','','',20,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610004,'a Deathfist sentinel','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610005,'a Deathfist brute','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610006,'a Steelslave vanquisher','','','','',255,5027,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610007,'a Steelslave toiler','','','','',20,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610008,'a Marrowjaw howler','','','','',255,278,49,8,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610009,'a Deathfist scalper','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610010,'a Steelslave watcher','','','','',255,5024,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610011,'a Deathfist butcher','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610012,'a Scornfeather stormcaller','','','','',255,5219,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610013,'a Scornfeather skychaser','','','','',255,5219,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610014,'Kaiin''s pyromancy','','','','',255,5597,30,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610015,'Kaiin''s aqueous horde','','','','',255,2391,25,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610016,'Rouras','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610017,'Rouras','Helly''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610018,'a Steelslave enforcer','','','','',255,5108,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610019,'Stonegorger','','','','',12,124,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610020,'a Spiritbound shaman','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610021,'Rujark Cleft Commander','','','','',19,5026,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610022,'a Steelslave crafter','','','','',19,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610023,'Azhahkar the Gatecaller','','','','',255,5025,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610024,'a Marrowjaw howler','','','','',255,278,39,1,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610025,'The Overseer','','','','',255,5025,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610026,'a Deathfist sentinel','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610027,'a Steelslave packmaster','','','','',255,5024,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610028,'a Crushbone shadowcaster','','','','',19,5108,32,0,1,1,11,0,11852,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610029,'a Crushbone reaver','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610030,'a Steelslave laborer','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610031,'a Spiritbound mystic','','','','',255,5107,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610032,'Far Seer Vokkal','','','','',255,5107,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610033,'a Crushbone caller','','','','',19,5108,32,0,1,1,11,0,11852,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610034,'a Captive Coin laborer','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610035,'a Captive Coin Trademaster','','','','',255,5022,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610036,'a Dervish trader','','','','',255,4927,32,0,1,1,11,0,11851,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610037,'a Marrowjaw cackler','','','','',255,278,57,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610038,'a Steelslave ambusher','','','','',255,5022,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610039,'Crimson Cackler','','','','',255,278,41,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610040,'Warlord Tcholak','','','','',255,5026,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610041,'a Deathfist battleguard','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610042,'Helly''s Forge of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610043,'Scout Fariq','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610044,'a Deathfist sentinel','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610045,'Bonesy','Vladdrakul''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610046,'Vladdrakul''s stench of the grave','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610047,'Vladdrakul''s blighted pack','','','','',255,3882,28,4,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610048,'Scout Karida','','','','',255,4927,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610049,'a Steelslave vanquisher','','','','',255,5026,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610050,'a Spiritbound apothecary','','','','',255,5107,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610051,'a carrion ooze','','','','',255,209,64,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610052,'a carrion ooze','','','','',255,209,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610053,'Daoa','','','','',2,1484,32,0,1,1,9,0,11856,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610054,'Scout Afif','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610055,'Gorakhul the Annihilator','','','','',255,5108,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610056,'Queen Marrowjaw','','','','',255,278,64,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610057,'a Marrowjaw consort','','','','',255,278,48,4,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610058,'a blademaster initiate','','','','',255,5023,35,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610059,'Lakkh','<The Drunk>','','','',255,5022,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610060,'Watcher of Valor','','','','',255,5025,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610061,'Blademaster Thul','','','','',255,5026,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610062,'a Deathfist enforcer','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610063,'a Deathfist savage','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610064,'a Steelslave taskmaster','','','','',19,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610065,'Rouras','Helly''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610066,'Jibartik','Phaergalla''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610067,'Overlord Korkakth','','','','',255,5027,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610068,'Vasartik','Phaergalla''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610069,'Labartik','Phaergalla''s pet gazer','','','',255,5918,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610070,'Dreckskoeter','Mello''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610071,'Janer','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610072,'a Deathfist warlord','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610073,'a Crushbone arcane master','','','','',19,5108,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610074,'a Steelslave captain','','','','',255,5027,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610075,'Zosarn','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610076,'Advisor Nazgoth','','','','',255,5107,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610077,'an unseen sentry','','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610078,'Watcher of Ferocity','','','','',255,5025,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610079,'a Crushbone invoker','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610080,'a Crushbone necrolyte','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610081,'Zibanab','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610082,'Shanrazad','','','','',255,5233,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610083,'Adept Shrakt','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610084,'Jibantik','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610085,'a Crushbone ravager','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610086,'a Rujarkian slave','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610087,'Lanab','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610088,'Goneker','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610089,'a Rujarkian slave','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610090,'Adept Nihx','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610091,'Adept Gak','','','','',255,5108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610092,'a Thrall of Nihx','','','','',255,5135,55,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610093,'Rak''jallar','<The Rujarkian Champion>','','','',255,5027,48,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610094,'Rakurjahl the Warbringer','','','','',255,5022,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610095,'a Thrall of Nihx','','','','',255,140,57,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610096,'Kiber','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610097,'a Blackened thrall','','','','',9,2935,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610098,'Ambassador Vuzur the Blackened','<Crushbone Ambassador>','','','',255,5026,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610099,'a Rujarkian slave','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610100,'a Rujarkian slave','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610101,'Zirp the Delusional','','','','',255,4990,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610102,'The Prison Warden','','','','',19,5023,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610103,'Gehrig','','','','',255,108,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610104,'Jibaner','Kaiin''s wisp','','','',255,273,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610105,'Kobeker','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610106,'Lenarer','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610107,'Xenantik','Kaiin''s siren','','','',255,180,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610108,'Genarn','Kaiin''s water elemancer','','','',255,195,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610109,'Scout Mina','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610110,'Gekn','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610111,'Ganer','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610112,'a captured sand raptor','','','','',255,5237,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610113,'a minotaur prisoner','','','','',255,159,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610114,'Gonarer','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610115,'a cyclopean prisoner','','','','',255,5016,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610116,'Jobarer','A Crushbone necrolyte''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610117,'Jonartik','Kaiin''s water elemancer','','','',255,195,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610118,'Shortbus','Relmut''s dreadnought','','','',255,4545,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610119,'Shortbus','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610120,'Gararn','Eburovic''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610121,'Kebantik','Kalani''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610122,'Zartik','Minion of Thule','','','',255,1638,12,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610123,'widget_cleft_dweller_book',NULL,'','','',0,49,32,0,1,1,388,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610124,'l2_22_door_treasure_room_1',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610125,'l3_05_door_deathfist_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610126,'l1_01_door_gate_of_valor',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610127,'widget_rujarkian_warrior_page_03',NULL,'','','',0,49,32,0,1,1,1249,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610128,'Clefts of Rujark Lift - Lower Level',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,581,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610129,'transport_elevator_upper_switch_bottom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610130,'Clefts of Rujark Lift - Upper Level',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610131,'widget_cleft_dweller_page_11',NULL,'','','',0,49,32,0,1,1,1249,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610132,'transport_elevator_upper_switch_top',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610133,'widget_cleft_dweller_page_07',NULL,'','','',0,49,32,0,1,1,1249,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610134,'transport_elevator_lower_switch_bottom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610135,'widget_rujarkian_warrior_page_15',NULL,'','','',0,49,32,0,1,1,388,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610136,'transport_elevator_lower_switch_top',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610137,'widget_cleft_dweller_page_14',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610138,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610139,'widget_rujarkian_warrior_page_12',NULL,'','','',0,49,32,0,1,1,1249,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610140,'l2_22_treasure_chest_warlord_tcholak',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610141,'l2_22_treasure_chest_rakurjahl',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610142,'l2_22_treasure_chest_overlord',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610143,'l2_22_treasure_chest_gatecaller',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610144,'l2_22_treasure_chest_rakjallar',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610145,'l2_22_treasure_chest_gorakhul',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610146,'l2_22_treasure_chest_nazgoth',NULL,'','','',0,49,32,0,1,1,1253,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610147,'l3_21_door_rujark_throne_room',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610148,'l3_16_door_rujark_general_chamber',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610149,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610150,'widget_rujarkian_warrior_page_05',NULL,'','','',0,49,32,0,1,1,388,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610151,'door_prison_widget_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610152,'l1_10_door_prison_1',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610153,'l1_10_door_prison_2',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610154,'l1_12_door_prison_3',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610155,'l1_12_door_prison_2',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610156,'l1_12_door_prison_1',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610157,'l1_12_door_prison_4',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610158,'l1_12_door_prison_5',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610159,'l1_12_door_prison_6',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610161,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610162,'Plain large bucket',NULL,'','','',0,1663,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610164,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610165,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610166,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610167,'cr_bucket_orc_full_meat',NULL,'','','',0,5165,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610168,'drv_keg_small01',NULL,'','','',0,5324,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610169,'dpo_dead_monkey',NULL,'','','',0,5006,32,0,1,1,0,0,228,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610170,'drv_kegstand_double01',NULL,'','','',0,5327,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610171,'cr_meat_hanger_orc',NULL,'','','',0,5166,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610172,'drv_keg_large01',NULL,'','','',0,5323,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610173,'drv_lashingboard',NULL,'','','',0,5221,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610174,'Crushbone Binding Circle',NULL,'','','',0,2684,51,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610175,'Crushbone Adept Circle',NULL,'','','',0,2682,64,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610176,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610177,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610178,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610179,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610180,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610181,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610182,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610183,'l3_02_door_scornfeather_roost',NULL,'','','',0,49,32,0,0,0,391,0,0,0,0,1,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610184,'l2_16_door_to_vault_of_dust',NULL,'','','',0,49,32,0,1,1,392,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610185,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610186,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610187,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610188,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610189,'kilroy_beetle_shell',NULL,'','','',0,5676,95,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610190,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610191,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610192,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610193,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610194,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610195,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610196,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610197,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610198,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610199,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610200,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610201,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610202,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610203,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610204,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610205,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610206,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610207,'Rujark Invasion Plans',NULL,'','','',0,3497,96,0,1,1,33,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610208,'Rujark War Map',NULL,'','','',0,1404,32,0,1,1,33,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610209,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610210,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610211,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610212,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610213,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610214,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610215,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610216,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610217,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610218,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610219,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610220,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610221,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610222,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610223,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610224,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610225,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610226,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610227,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610228,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610229,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610230,'kilroy_clay_rock',NULL,'','','',0,4674,16,0,1,1,135,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610231,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610232,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610233,'kilroy_clay_rock',NULL,'','','',0,3323,32,0,1,1,135,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610234,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610235,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610236,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610237,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610238,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610239,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610240,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610241,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610242,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610243,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610244,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610245,'kilroy_tablet',NULL,'','','',0,5409,63,0,1,1,135,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610246,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610247,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610248,'red_qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610249,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610250,'kilroy_giant_skull',NULL,'','','',0,2997,63,0,1,1,135,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610251,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610252,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610253,'qst_crystal_widget_01',NULL,'','','',0,49,32,0,1,1,390,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(610254,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620000,'a Sulite tjat','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620001,'an Anuk'' Sul chancellor','','','','',255,5130,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620002,'a Faro'' Nuk hyas','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620003,'an Anaz Mal veilguard','','','','',255,4732,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620004,'a channel shifter','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620005,'a statue warden','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620006,'an Anaz Mal runemage','','','','',255,4732,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620007,'an eye of Baru'' Sal','','','','',255,3710,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620008,'an Anaz Mal trueblade','','','','',255,4732,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620009,'a sodden arenea','','','','',255,4534,192,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620010,'an eternal preserver','','','','',255,5003,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620011,'an Anaz Mal vicar','','','','',255,4732,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620012,'a ruined gargoyle','','','','',255,1370,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620013,'a Rin'' Dal sage','','','','',255,5130,40,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620014,'a Rin'' Dal alchemist','','','','',255,5130,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620015,'a Rin'' Dal citizen','','','','',255,5130,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620016,'an Anuk'' Sul decar','','','','',255,5130,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620017,'a protector of Tirik','','','','',255,5135,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620018,'a Sulite luna','','','','',255,5130,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620019,'a Faro'' Nuk veteran','','','','',255,5130,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620020,'a vassal of offering','','','','',255,5133,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620021,'Urzyd the Undying','','','','',255,3707,320,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620022,'a Dervish excavator','','','','',255,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620023,'a Dervish tomb raider','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620024,'an Anaz Mal gravehowler','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620025,'an Anaz Mal deceiver','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620026,'Vasann','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620027,'an Anaz Mal necroseer','','','','',255,5196,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620028,'Xabarer','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620029,'an Anaz Mal impurifier','','','','',255,5196,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620030,'a channel assassin','','','','',255,4660,102,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620031,'Varin N''Mar','','','','',1,115,32,0,1,1,9,0,11256,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620032,'a channel prowler','','','','',255,3696,52,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620033,'the Steward of Fyr''Un','','','','',255,5001,32,0,1,1,9,0,3119,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620034,'an Ara'' Dal herald','','','','',255,5135,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620035,'an Ara'' Dal peasant','','','','',255,5135,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620036,'an Anaz Mal excavator','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620037,'a residence sentry','','','','',255,5003,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620038,'Libn','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620039,'a Fyr''Un sentry','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620040,'an Ara'' Dal metallurgist','','','','',255,5135,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620041,'Kantik','Jaro Baru'' Bah''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620042,'Jaro Baru'' Bah','','','','',255,5138,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620043,'a residence prowler','','','','',255,3696,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620044,'an eternal falcon','','','','',255,3695,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620045,'Groundskeeper Nerus','','','','',255,5139,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620046,'Zarekn','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620047,'an Anaz Mal apostle','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620048,'an Anaz Mal advocate','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620049,'a Faro'' Nuk conscript','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620050,'an Anaz Mal vassal','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620051,'a Sul'' Dal herbalist','','','','',255,5135,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620052,'a Sul'' Dal merchant','','','','',255,5135,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620053,'an Anuk'' Sul delegate','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620054,'a market enforcer','','','','',255,5001,52,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620055,'a Sul'' Dal scribe','','','','',255,5135,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620056,'a Sulite curate','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620057,'a commerce sentinel','','','','',255,5000,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620058,'an Anaz Mal sycophant','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620059,'a corpse','','','','',9,134,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620060,'Jinja the Swift','','','','',255,5006,28,0,1,1,33,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620061,'an Anuk'' Sul maven','','','','',255,5135,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620062,'a Sulite prelate','','','','',255,5135,39,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620063,'a Faro'' Nuk adjutant','','','','',255,5135,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620064,'a serpent of immortality','','','','',255,4660,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620065,'Aeonesse','','','','',255,4660,224,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620066,'stoneware fragments',NULL,'','','',0,49,32,0,1,1,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620067,'stoneware fragments',NULL,'','','',0,49,32,0,1,1,705,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620068,'stoneware fragments',NULL,'','','',0,49,32,0,1,1,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620069,'widget_anaz_mal_page_09',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620070,'stoneware fragments',NULL,'','','',0,49,32,0,1,1,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620071,'stoneware fragments',NULL,'','','',0,49,32,0,1,1,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620072,'orc skull',NULL,'','','',0,2998,41,0,1,1,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620073,'statue_spinner_door',NULL,'','','',0,5085,32,0,1,1,0,0,0,0,0,0,0,0,1007,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620074,'statue_whirlwind_effect',NULL,'','','',0,2306,462,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620075,'snake_tongue_temple',NULL,'','','',0,2306,84,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620076,'',NULL,'','','',0,4657,15,0,1,1,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620077,'Invisible Blessing',NULL,'','','',0,2306,113,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620078,'a rubble basher',NULL,'','','',255,3731,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620079,'a rubble render',NULL,'','','',255,3731,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620080,'oily_wall_torch',NULL,'','','',0,3196,41,0,1,1,703,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620081,'Tome of the Vessel',NULL,'','','',0,2596,32,0,1,1,704,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620082,'a shield stuck in a grave',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620083,'a dagger stuck in a grave',NULL,'','','',0,5129,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620084,'zone_to_sinking_sands',NULL,'','','',0,49,32,0,0,0,421,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620085,'qst_ash_urn04',NULL,'','','',0,49,32,0,1,1,706,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620086,'kilroy_staff',NULL,'','','',0,5121,43,0,1,1,135,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620087,'doorsign_baru_sal',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620088,'zone_to_exp01_dun_silent_city',NULL,'','','',0,49,32,0,0,0,435,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620089,'qst_ash_urn05',NULL,'','','',0,49,32,0,1,1,706,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620090,'qst_ash_urn02',NULL,'','','',0,49,32,0,1,1,706,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620091,'doorsign_the_embalmer',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620092,'qst_censer_of_multan',NULL,'','','',0,49,32,0,1,1,707,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620093,'qst_censer_of_vohk',NULL,'','','',0,49,32,0,1,1,707,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620094,'doorsign_yaith_shadowhowler',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620095,'qst_ash_urn01',NULL,'','','',0,49,32,0,1,1,706,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620096,'qst_ash_urn03',NULL,'','','',0,49,32,0,1,1,706,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620097,'qst_atm_tumek_un',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620098,'a switch of Qey''Nuf, second',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620099,'',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620100,'a hidden compartment, Pool of Zoda''Ka',NULL,'','','',0,1489,12,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620101,'doorsign_offering_pad',NULL,'','','',0,4544,23,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620102,'qst_censer_of_orus_dal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620103,'a switch of Hak''Pyz, second',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620104,'a switch of Qey''Nuf, third',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620105,'kilroy_bow',NULL,'','','',0,4469,42,0,1,1,135,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620106,'a switch of Qey''Nuf, fourth',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620107,'Orosu Tablet',NULL,'','','',0,5409,44,0,1,1,708,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620108,'a hidden compartment, Pool of Zoda''Ra',NULL,'','','',0,1489,11,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620109,'a switch of Hak''Pyz, third',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620110,'a switch of Hak''Pyz, fourth',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620111,'Vessel for Siyamak quest in Maj''dul',NULL,'','','',0,5220,32,0,1,1,709,0,2814,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620112,'a switch of Hak''Pyz, first',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620113,'kilroy_vase',NULL,'','','',0,5368,46,0,1,1,135,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620114,'a switch of Qey''Nuf, first',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620115,'doorsign_phenos_the_explorer',NULL,'','','',0,4544,28,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620116,'a bucket of spoiled meat',NULL,'','','',0,5165,32,0,1,1,710,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620117,'spoiled pot of soup',NULL,'','','',0,3398,32,0,1,1,710,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620118,'a hidden compartment, Pool of Cul''Anan',NULL,'','','',0,1489,11,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620119,'spoiled bottle of wine',NULL,'','','',0,4604,32,0,1,1,710,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620120,'doorsign_barubah_family',NULL,'','','',0,4544,30,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620121,'petroleum_wall',NULL,'','','',0,4544,63,0,1,1,0,0,1861,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620122,'spoiled peacock eggs',NULL,'','','',0,5200,32,0,1,1,710,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620123,'a switch of Du''Mutef, second',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620124,'a switch of Du''Mutef, sixth',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620125,'a switch of Du''Mutef, fourth',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620126,'spoiled crock of cheese',NULL,'','','',0,4436,19,0,1,1,710,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620127,'a switch of Du''Mutef, third',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620128,'qst_atm_of_orusun',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620129,'doorsign_anutep_family',NULL,'','','',0,4544,30,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620130,'the Serpent Harp',NULL,'','','',0,2162,48,0,1,1,61,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620131,'a switch of Du''Mutef, fifth',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620132,'the Staff of ''Un',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620133,'the Staff of Valas',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620134,'an invisible cube, corpse actor',NULL,'','','',0,2306,141,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620135,'a hidden compartment, Pool of Anu''Ish',NULL,'','','',0,1489,11,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620136,'kilroy_scroll',NULL,'','','',0,3218,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620137,'the Staff of Orus',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620138,'a switch of Im''Sekt, third',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620139,'the Staff of Kan',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620140,'the Staff of Sul',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620141,'the Staff of ''Adh',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620142,'qst_atm_of_pharun',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620143,'kilroy_cauldron',NULL,'','','',0,4436,32,0,1,1,135,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620144,'the Staff of ''Sek',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620145,'the Staff of Nief',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620146,'a switch of Im''Sekt, second',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620147,'the Staff of Fyr',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620148,'the Staff of Phar',NULL,'','','',0,4468,32,0,1,1,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620149,'a switch of Im''Sekt, first',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620150,'a switch of Du''Mutef, first',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620151,'the Ruins of the Great Directory',NULL,'','','',0,5409,162,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620152,'kilroy_potion',NULL,'','','',0,3098,75,0,1,1,135,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620153,'a Brethren gravesite',NULL,'','','',0,2917,135,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620154,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620155,'an ancient chalice',NULL,'','','',0,5244,96,0,1,1,2,0,3341,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620156,'a Sulite tjat','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620157,'an Anuk'' Sul chancellor','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620158,'a Faro'' Nuk hyas','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620159,'an Anaz Mal veilguard','','','','',255,4732,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620160,'a channel shifter','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620161,'a statue warden','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620162,'an Anaz Mal runemage','','','','',255,4732,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620163,'an eye of Baru'' Sal','','','','',255,3710,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620164,'an Anaz Mal trueblade','','','','',255,4732,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620165,'a sodden arenea','','','','',255,4534,192,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620166,'an eternal preserver','','','','',255,5003,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620167,'an Anaz Mal vicar','','','','',255,4732,43,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620168,'a ruined gargoyle','','','','',255,1370,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620169,'a Rin'' Dal sage','','','','',255,5130,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620170,'a Rin'' Dal alchemist','','','','',255,5130,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620171,'a Rin'' Dal citizen','','','','',255,5130,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620172,'an Anuk'' Sul decar','','','','',255,5130,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620173,'a protector of Tirik','','','','',255,5135,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620174,'a Sulite luna','','','','',255,5130,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620175,'a Faro'' Nuk veteran','','','','',255,5130,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620176,'a vassal of offering','','','','',255,5133,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620177,'a Dervish excavator','','','','',255,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620178,'a Dervish tomb raider','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620179,'an Anaz Mal gravehowler','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620180,'an Anaz Mal deceiver','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620181,'an Anaz Mal necroseer','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620182,'an Anaz Mal impurifier','','','','',255,5196,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620183,'a channel assassin','','','','',255,4660,102,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620184,'Varin N''Mar','','','','',1,115,32,0,1,1,9,0,11256,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620185,'a channel prowler','','','','',255,3696,52,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620186,'the Steward of Fyr''Un','','','','',255,5001,32,0,1,1,9,0,3119,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620187,'an Ara'' Dal herald','','','','',255,5135,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620188,'an Ara'' Dal peasant','','','','',255,5135,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620189,'an Anaz Mal excavator','','','','',255,5196,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620190,'a residence sentry','','','','',255,5003,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620191,'a Fyr''Un sentry','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620192,'an Ara'' Dal metallurgist','','','','',255,5135,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620193,'a residence prowler','','','','',255,3696,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620194,'an eternal falcon','','','','',255,3695,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620195,'an Anaz Mal apostle','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620196,'an Anaz Mal advocate','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620197,'a Faro'' Nuk conscript','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620198,'an Anaz Mal vassal','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620199,'a Sul'' Dal herbalist','','','','',255,5135,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620200,'a Sul'' Dal merchant','','','','',255,5135,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620201,'an Anuk'' Sul delegate','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620202,'a market enforcer','','','','',255,5001,52,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620203,'a Sul'' Dal scribe','','','','',255,5135,27,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620204,'a Sulite curate','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620205,'a commerce sentinel','','','','',255,5000,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620206,'an Anaz Mal sycophant','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620207,'a corpse','','','','',9,134,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620208,'Jinja the Swift','','','','',255,5006,28,0,1,1,33,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620209,'an Anuk'' Sul maven','','','','',255,5135,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620210,'a Sulite prelate','','','','',255,5135,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620211,'a Faro'' Nuk adjutant','','','','',255,5135,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620212,'a serpent of immortality','','','','',255,4660,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620214,'a Rubble Ravager','','','','',255,3731,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620215,'Mujad the Voyager','','','','',255,5262,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620216,'Gobanab','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620217,'Lobobtik','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620218,'Kann','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620219,'The Mental Mason','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620220,'Garober','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620221,'Xiber','An Anaz Mal necroseer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620222,'Rezo Anu'' Tep','','','','',255,5139,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620223,'Kahil Baldoras','','','','',255,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620224,'a sentinel of Anu''ish','','','','',255,5135,32,0,1,0,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620225,'Hakfsa Ka''lin','','','','',255,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620226,'zombie Fadid','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620227,'a sentinel of Anu''ish','','','','',255,5135,32,0,1,0,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620228,'stoneware fragments',NULL,'','','',0,49,32,0,0,0,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620229,'stoneware fragments',NULL,'','','',0,49,32,0,0,0,705,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620230,'stoneware fragments',NULL,'','','',0,49,32,0,0,0,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620231,'widget_anaz_mal_page_09',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620232,'stoneware fragments',NULL,'','','',0,49,32,0,0,0,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620233,'stoneware fragments',NULL,'','','',0,49,32,0,0,0,705,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620234,'widget_anaz_mal_page_08',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620235,'orc skull',NULL,'','','',0,2998,41,0,0,0,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620236,'snake_tongue_temple',NULL,'','','',0,2306,84,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620237,'',NULL,'','','',0,4657,15,0,0,0,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620238,'Invisible Blessing',NULL,'','','',0,2306,113,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620239,'a rubble basher',NULL,'','','',255,3731,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620240,'a rubble render',NULL,'','','',255,3731,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620241,'Tome of the Vessel',NULL,'','','',0,2596,32,0,0,0,704,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620242,'a shield stuck in a grave',NULL,'','','',0,4714,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620243,'a dagger stuck in a grave',NULL,'','','',0,5129,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620244,'qst_ash_urn04',NULL,'','','',0,49,32,0,0,0,706,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620245,'kilroy_staff',NULL,'','','',0,5121,43,0,0,0,135,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620246,'doorsign_baru_sal',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620247,'qst_ash_urn05',NULL,'','','',0,49,32,0,0,0,706,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620248,'qst_ash_urn02',NULL,'','','',0,49,32,0,0,0,706,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620249,'doorsign_the_embalmer',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620250,'qst_censer_of_multan',NULL,'','','',0,49,32,0,0,0,707,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620251,'qst_censer_of_vohk',NULL,'','','',0,49,32,0,0,0,707,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620252,'doorsign_yaith_shadowhowler',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620253,'qst_ash_urn01',NULL,'','','',0,49,32,0,0,0,706,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620254,'qst_ash_urn03',NULL,'','','',0,49,32,0,0,0,706,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620255,'qst_atm_tumek_un',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620256,'a switch of Qey''Nuf, second',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620257,'',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620258,'a hidden compartment, Pool of Zoda''Ka',NULL,'','','',0,1489,12,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620259,'doorsign_offering_pad',NULL,'','','',0,4544,23,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620260,'qst_censer_of_orus_dal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620261,'a switch of Hak''Pyz, second',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620262,'a switch of Qey''Nuf, third',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620263,'kilroy_bow',NULL,'','','',0,4469,42,0,0,0,135,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620264,'a switch of Qey''Nuf, fourth',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620265,'Orosu Tablet',NULL,'','','',0,5409,44,0,0,0,708,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620266,'a hidden compartment, Pool of Zoda''Ra',NULL,'','','',0,1489,11,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620267,'a switch of Hak''Pyz, third',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620268,'a switch of Hak''Pyz, fourth',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620269,'Vessel for Siyamak quest in Maj''dul',NULL,'','','',0,5220,32,0,0,0,709,0,2814,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620270,'a switch of Hak''Pyz, first',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620271,'kilroy_vase',NULL,'','','',0,5368,46,0,0,0,135,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620272,'a switch of Qey''Nuf, first',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620273,'doorsign_phenos_the_explorer',NULL,'','','',0,4544,28,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620274,'a bucket of spoiled meat',NULL,'','','',0,5165,32,0,0,0,710,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620275,'spoiled pot of soup',NULL,'','','',0,3398,32,0,0,0,710,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620276,'a hidden compartment, Pool of Cul''Anan',NULL,'','','',0,1489,11,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620277,'spoiled bottle of wine',NULL,'','','',0,4604,32,0,0,0,710,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620278,'doorsign_barubah_family',NULL,'','','',0,4544,30,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620279,'petroleum_wall',NULL,'','','',0,4544,63,0,0,0,0,0,1861,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620280,'spoiled peacock eggs',NULL,'','','',0,5200,32,0,0,0,710,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620281,'a switch of Du''Mutef, second',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620282,'a switch of Du''Mutef, sixth',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620283,'a switch of Du''Mutef, fourth',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620284,'spoiled crock of cheese',NULL,'','','',0,4436,19,0,0,0,710,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620285,'a switch of Du''Mutef, third',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620286,'qst_atm_of_orusun',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620287,'doorsign_anutep_family',NULL,'','','',0,4544,30,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620288,'the Serpent Harp',NULL,'','','',0,2162,48,0,0,0,61,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620289,'a switch of Du''Mutef, fifth',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620290,'the Staff of ''Un',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620291,'the Staff of Valas',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620292,'an invisible cube, corpse actor',NULL,'','','',0,2306,141,0,0,0,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620293,'a hidden compartment, Pool of Anu''Ish',NULL,'','','',0,1489,11,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620294,'kilroy_scroll',NULL,'','','',0,3218,32,0,0,0,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620295,'the Staff of Orus',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620296,'a switch of Im''Sekt, third',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620297,'the Staff of Kan',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620298,'the Staff of Sul',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620299,'the Staff of ''Adh',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620300,'qst_atm_of_pharun',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620301,'kilroy_cauldron',NULL,'','','',0,4436,32,0,0,0,135,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620302,'the Staff of ''Sek',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620303,'the Staff of Nief',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620304,'a switch of Im''Sekt, second',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620305,'the Staff of Fyr',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620306,'the Staff of Phar',NULL,'','','',0,4468,32,0,0,0,711,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620307,'a switch of Im''Sekt, first',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620308,'a switch of Du''Mutef, first',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620309,'the Ruins of the Great Directory',NULL,'','','',0,5409,162,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620310,'kilroy_potion',NULL,'','','',0,3098,75,0,0,0,135,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620311,'a Brethren gravesite',NULL,'','','',0,2917,135,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620312,'spoiled pot of coffee',NULL,'','','',0,3392,32,0,0,0,710,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620313,'a switch of Im''Sekt, fourth',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620314,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(620315,'an ancient chalice',NULL,'','','',0,5244,96,0,0,0,2,0,3341,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630000,'Siyamak of the Night','','','','',255,5005,38,0,1,1,0,0,0,0,0,1,0,0,80,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630001,'Barakah of the Day','','','','',255,5004,38,0,1,1,0,0,0,0,0,1,0,0,80,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630002,'Servant of Sky','','','','',255,4033,57,0,1,1,0,0,0,0,0,1,0,0,32,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630003,'Invisible Moon','','','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630004,'Invisible Sun','','','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630005,'zone_to_shimmering_citadel','','','','',0,5127,32,0,0,0,0,0,0,0,0,1,0,0,151,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(630006,'Celestial Flare','','','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640000,'Fred','Child of Karana','','','',255,195,16,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640001,'a grand palace guardian','','','','',255,5216,64,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640002,'a palace guardian','','','','',255,3295,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640003,'an ungranted wish','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640004,'an ungranted wish','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640005,'an Uruvan guard','','','','',255,5233,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640006,'a prized possession','','','','',255,5135,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640007,'a high palace guardian','','','','',255,5216,64,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640008,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640009,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640010,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640011,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640012,'Silks''s wolf pack','','','','',255,216,20,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640013,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640014,'Truge','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640015,'a prized possession','','','','',255,149,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640016,'a captive poet','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640017,'a prized possession','','','','',255,162,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640018,'a prized possession','','','','',255,274,32,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640019,'The Djinn Master','','','','',255,5686,32,0,1,1,9,0,0,0,0,1,0,0,32,1006,1006,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640020,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640021,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640022,'an enchanted novel','','','','',255,281,40,8,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640023,'Arash Abbas','','','','',255,5233,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640024,'a treasured artist','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640025,'an Uruvan guard','','','','',255,5233,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640026,'a Creature of Beauty','','','','',255,173,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640027,'a Creature of Terror','','','','',255,1585,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640028,'a emerald scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640029,'a emerald scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640030,'a Unique Form','','','','',255,151,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640031,'An Uruvan Protector','','','','',255,5233,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640032,'Keeper of Silence','','','','',255,5233,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640033,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640034,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640035,'Silks''s wolf pack','','','','',255,1374,10,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640036,'a cyclops statue','','','','',255,5186,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640037,'Aysor the Mighty','','','','',255,5119,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640038,'Silks''s Healing Grove','','','','',255,1624,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640039,'Aysor''s eye','','','','',255,247,12,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640040,'a emerald scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640041,'a emerald scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640042,'a emerald scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640043,'a emerald scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640044,'a glimmering cobra','','','','',255,4711,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640045,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640046,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640047,'a sapphire scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640048,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640049,'a ruby scarab','','','','',255,4531,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640050,'Nhjela the Mad Poet','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640051,'Silks''s Faerie Ally','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640052,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640053,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640054,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640055,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640056,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640057,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640058,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640059,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640060,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640061,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640062,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640063,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640064,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640065,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640066,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640067,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640068,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640069,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640070,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640071,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640072,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640073,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640074,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640075,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640076,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640077,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640078,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640079,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640080,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640081,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640082,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640083,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640084,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640085,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640086,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640087,'widget_djinn_poetry_page_08',NULL,'','','',0,49,32,0,1,1,334,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640088,'f2_03_brass_stand_small_03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640089,'f2_03_plat_stand_small_02',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640090,'f2_03_brass_stand_small_04',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640091,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640092,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640093,'f2_03_steel_stand_small_02',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640094,'f2_03_steel_stand_small_03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640095,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640096,'f2_03_brass_stand_small_02',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640097,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640098,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640099,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640100,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640101,'f2_03_brass_stand_small_05',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640102,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640103,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640104,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640105,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640106,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640107,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640108,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640109,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640110,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640111,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640112,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640113,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640114,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640115,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640116,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640117,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640118,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640119,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640120,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640121,'f2_03_brass_stand_small_01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640122,'f2_03_brass_stand_small_09',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640123,'f2_03_brass_stand_small_08',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640124,'f2_03_steel_stand_small_05',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640125,'widget_djinn_poetry_page_04',NULL,'','','',0,49,32,0,1,1,92,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640126,'widget_djinn_poetry_page_11',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640127,'f2_03_plat_stand_small_04',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640128,'widget_djinn_poetry_page_05',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640129,'f2_03_brass_stand_small_07',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640130,'f2_03_steel_stand_small_04',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640131,'f2_03_brass_stand_small_06',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640132,'f2_03_plat_stand_small_03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640133,'widget_majdul_poem_book',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640134,'widget_djinn_poetry_page_12',NULL,'','','',0,49,32,0,1,1,92,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640135,'widget_djinn_poetry_page_10',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640136,'f2_03_steel_stand_small_01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640137,'f2_03_plat_stand_small_01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640141,'a small brass statue',NULL,'','','',0,5017,7,0,1,1,52,0,0,0,0,1,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640142,'djin_mirror',NULL,'','','',0,5645,32,0,1,1,1201,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640143,'djin_mirror',NULL,'','','',0,5646,32,0,1,1,0,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640144,'djin_mirror',NULL,'','','',0,5648,21,0,1,1,0,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640145,'card_table',NULL,'','','',0,4639,32,0,1,1,33,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640146,'a small steel statue',NULL,'','','',0,5018,6,0,1,1,52,0,0,0,0,1,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640147,'a small plat statue',NULL,'','','',0,5016,6,0,1,1,52,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640148,'card_table',NULL,'','','',0,1883,96,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640149,'red_globe',NULL,'','','',0,4733,96,0,1,1,33,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640150,'Leave the Poets Palace',NULL,'','','',0,5643,24,0,0,0,529,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(640151,'vessel of music',NULL,'','','',0,5321,25,0,1,1,0,0,2794,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650000,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650001,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650002,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650003,'an Uruvan djinn','','','','',255,5233,65,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650004,'an Uruvan djinn','','','','',255,5233,64,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650005,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650006,'Star Shimmer','','','','',255,273,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650007,'an Aravu watchmistress','','','','',255,5230,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650008,'a silent bones troubador','','','','',255,4542,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650009,'a shimmering wisp','','','','',255,273,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650010,'a N''Eoum shriller','','','','',255,5001,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650011,'an Aravu watchmistress','','','','',255,5230,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650012,'a silent bones dirge','','','','',255,4542,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650013,'a Kaentrik troubador','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650014,'a Kaentrik dirge','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650015,'an Aravu naga','','','','',255,5229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650016,'a shimmering wisp','','','','',255,273,62,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650017,'Fred','Child of Karana','','','',255,195,16,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650018,'The Caretaker','','','','',255,5235,41,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650019,'an Uruvan djinn','','','','',255,5233,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650020,'an Urivan djinn','','','','',255,5233,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650021,'widget_alyarrah_poetry_page_16',NULL,'','','',0,49,32,0,1,1,403,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650022,'widget_poetry_history_page_10',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650023,'door_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650024,'',NULL,'','','',0,49,32,0,1,1,528,0,0,0,0,1,0,0,581,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650025,'',NULL,'','','',0,49,32,0,1,1,528,0,0,0,0,1,0,0,573,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650026,'',NULL,'','','',0,49,32,0,1,1,528,0,0,0,0,1,0,0,622,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650027,'',NULL,'','','',0,49,32,0,1,1,528,0,0,0,0,1,0,0,606,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650028,'Muse Object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650029,'poppies',NULL,'','','',0,48,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650030,'telepoerter mirror base',NULL,'','','',0,4895,32,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650031,'Flowers',NULL,'','','',0,1738,31,0,1,1,402,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650032,'Fireflies',NULL,'','','',0,4898,22,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650033,'a small pillar',NULL,'','','',0,2904,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650034,'shard_recovery_steppes_mini01',NULL,'','','',0,2025,32,0,1,1,45,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650035,'zone_to_pillars_of_flame',NULL,'','','',0,5647,32,0,0,0,401,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650037,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650038,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650039,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650040,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650041,'an Uruvan djinn','','','','',255,5233,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650042,'an Uruvan djinn','','','','',255,5233,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650043,'an undead Aravu','','','','',255,5231,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650044,'an Aravu watchmistress','','','','',255,5230,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650045,'a silent bones troubador','','','','',255,4542,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650046,'a shimmering wisp','','','','',255,273,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650047,'a N''Eoum shriller','','','','',255,5001,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650048,'an Aravu watchmistress','','','','',255,5230,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650049,'a silent bones dirge','','','','',255,4542,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650050,'a Kaentrik troubador','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650051,'a Kaentrik dirge','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650052,'an Aravu naga','','','','',255,5229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650053,'a shimmering wisp','','','','',255,273,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650054,'The Caretaker','','','','',255,5235,41,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650055,'an Uruvan djinn','','','','',255,5233,64,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650056,'a shimmering guardian','','','','',255,5685,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650057,'an Uruvan djinn','','','','',255,5233,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650058,'a wandering monkey','','','','',255,5006,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650059,'A Living Monument','','','','',255,5216,80,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650060,'Sun Shimmer','','','','',255,273,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650061,'a wandering Uruvan','','','','',255,5233,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650062,'reclusive treasure','','','','',255,2914,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650063,'a clockwork cobra','','','','',255,4662,104,0,1,1,1284,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650064,'a small clockwork cobra','','','','',255,4662,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650065,'a small clockwork cobra','','','','',255,4662,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650066,'a malformed wish','','','','',255,209,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650067,'a malformed wish','','','','',255,209,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650068,'a malformed wish','','','','',255,209,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650069,'a malformed wish','','','','',255,209,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650070,'a small clockwork cobra','','','','',255,4662,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650071,'Moon Shimmer','','','','',255,273,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650072,'The Guardian of Quiescence','','','','',255,5233,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650073,'Gabarab','The Muse''s tellurian myrmidon','','','',255,152,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650074,'The Mute Bard','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650075,'The Muse','','','','',255,5236,38,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650076,'Scriptorium Keeper Samir','','','','',255,5191,96,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650077,'The Librarian','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650078,'Scriptorium Assistant Amro','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650079,'Kedar the Curator','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650080,'widget_alyarrah_poetry_page_16',NULL,'','','',0,49,32,0,0,0,403,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650081,'widget_poetry_history_page_10',NULL,'','','',0,49,32,0,0,0,186,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650082,'door_00',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650083,'widget_alyarrah_poetry_book',NULL,'','','',0,49,32,0,0,0,55,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650084,'widget_poetry_history_page_12',NULL,'','','',0,49,32,0,0,0,404,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650085,'widget_poetry_history_page_11',NULL,'','','',0,49,32,0,0,0,160,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650086,'widget_alyarrah_poetry_page_14',NULL,'','','',0,49,32,0,0,0,55,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650087,'widget_alyarrah_poetry_page_08',NULL,'','','',0,49,32,0,0,0,55,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650088,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,581,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650089,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,573,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650090,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,622,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650091,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,606,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650092,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,712,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650093,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,1298,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650094,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,871,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650095,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,429,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650096,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,824,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650097,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650098,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,908,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650099,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,757,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650100,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,856,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650101,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,823,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650102,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,793,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650103,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,1132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650104,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,599,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650105,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,494,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650106,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,950,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650107,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,1174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650108,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650109,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,1010,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650110,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,817,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650111,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,560,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650112,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,776,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650113,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,546,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650114,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,871,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650115,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,823,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650116,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,429,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650117,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,956,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650118,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,754,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650119,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,994,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650120,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,823,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650121,'',NULL,'','','',0,49,32,0,0,0,528,0,0,0,0,1,0,0,793,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650122,'',NULL,'','','',0,49,32,0,0,0,1285,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650123,'',NULL,'','','',0,49,32,0,0,0,1286,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650124,'gravestone01',NULL,'','','',0,1549,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650125,'Muse Object',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650126,'drv_urn_small02',NULL,'','','',0,5228,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650127,'barricade_short',NULL,'','','',0,1557,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650128,'poppies',NULL,'','','',0,48,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650129,'telepoerter mirror base',NULL,'','','',0,4895,32,0,0,0,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650130,'Flowers',NULL,'','','',0,1738,31,0,0,0,402,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650131,'Fireflies',NULL,'','','',0,4898,22,0,0,0,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650132,'sc_podium_nosphinx_small01',NULL,'','','',0,5355,9,0,0,0,0,0,0,0,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650133,'an enchanted lift',NULL,'','','',0,5248,31,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650134,'drv_pillow_seat02',NULL,'','','',0,5346,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650135,'drv_pillow_seat01',NULL,'','','',0,5345,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650136,'a small pillar',NULL,'','','',0,2904,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650137,'a pile of books',NULL,'','','',0,3028,32,0,0,0,52,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650138,'a stack of books',NULL,'','','',0,2595,32,0,0,0,52,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650139,'a pile of papers',NULL,'','','',0,3548,32,0,0,0,52,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650140,'shard_recovery_steppes_mini01',NULL,'','','',0,2025,32,0,0,0,45,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650142,'Enter the Poet''s Palace',NULL,'','','',0,5644,32,0,0,0,529,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650143,'Enter the Master''s Prism',NULL,'','','',0,5455,50,0,0,0,1287,0,0,0,0,1,0,0,559,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650144,'zone_to_shimmering_citadel',NULL,'','','',0,5127,32,0,0,0,401,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(650145,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660000,'a young menagerie elephant','','','','',255,264,54,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660001,'a djinn menagerie handler','','','','',255,5233,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660002,'a menagerie monkey','','','','',255,5006,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660003,'Personno','','','','',255,5233,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660004,'Amarrah','','','','',255,5234,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660005,'a menagerie guardian','','','','',255,303,45,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660006,'blue pillow',NULL,'','','',0,5446,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660007,'group pillows',NULL,'','','',0,5225,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660008,'water basin',NULL,'','','',0,5242,106,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660009,'stool',NULL,'','','',0,5297,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660010,'artist_table',NULL,'','','',0,5447,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660011,'scroll rack',NULL,'','','',0,5397,32,0,1,1,0,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660012,'red pillow',NULL,'','','',0,5336,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660013,'incense lamp',NULL,'','','',0,5319,32,0,1,1,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660014,'vase',NULL,'','','',0,5438,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660015,'gold vase',NULL,'','','',0,5240,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660016,'bedside table',NULL,'','','',0,5398,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660017,'bed',NULL,'','','',0,5285,32,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660018,'chair',NULL,'','','',0,5300,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660019,'floating table',NULL,'','','',0,5399,32,0,1,1,0,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660020,'potted plant',NULL,'','','',0,5356,7,0,1,1,0,0,0,0,0,0,0,0,487,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660021,'door',NULL,'','','',0,5284,31,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(660022,'preorder_zone_home',NULL,'','','',0,5284,31,0,1,1,45,0,0,0,0,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680000,'a Sulite tjat','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680001,'an Anuk'' Sul chancellor','','','','',255,5130,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680002,'a Sulite arbiter','','','','',255,5133,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680003,'a Faro'' Nuk mercenary','','','','',255,5134,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680004,'a Faro'' Nuk hyas','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680005,'a dead explorer','','','','',255,4535,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680006,'a sodden arenea','','','','',255,4534,128,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680007,'a guardian stalker','','','','',255,2912,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680008,'an Anuk'' Sul augur','','','','',255,5133,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680009,'a Faro'' Nuk tower guard','','','','',255,5134,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680010,'a channel technician','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680011,'Curator Mogruff','','','','',255,5196,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680012,'a consul of war','','','','',255,5002,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680013,'a channel cleanser','','','','',255,209,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680014,'a Blackfang savage','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680015,'an emissary of war','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680016,'a Blackfang warder','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680017,'a Blackfang ambusher','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680018,'a Blackfang harbinger','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680019,'a twisted arbor','','','','',255,3707,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680020,'a Faro'' Nuk legionnaire','','','','',255,5130,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680021,'a tome of medicine','','','','',255,279,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680022,'a tome of combat arts','','','','',255,282,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680023,'a Sulite devotee','','','','',255,5130,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680024,'a tome of wizardry','','','','',255,281,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680025,'a tome of coercion','','','','',255,280,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680026,'an Anuk'' Sul visionary','','','','',255,5130,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680027,'a fiendish weedling','','','','',255,274,32,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680028,'Explorer Punja','','','','',255,4999,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680029,'an eternal buzzard','','','','',255,3695,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680030,'a tome of evasion','','','','',255,283,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680031,'a recoil sentinel','','','','',255,2897,73,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680032,'a consul of knowledge','','','','',255,5000,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680033,'a Blackfang curator','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680034,'a temple defender','','','','',255,162,160,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680035,'The Enigma of Ice','','','','',255,283,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680036,'The Enigma of Fire','','','','',255,283,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680037,'a Blackfang captain','','','','',255,5196,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680038,'a surveyor mummy','','','','',255,5196,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680039,'Cartographer Vuladis','','','','',255,5135,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680040,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680041,'a Blackfang extractor','','','','',255,5196,83,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680042,'a repulser sentinel','','','','',255,2897,96,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680043,'a Faro'' Nuk vindicator','','','','',255,5134,74,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680044,'an Anuk'' Sul medium','','','','',255,5133,74,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680045,'a Sulite pundit','','','','',255,5133,76,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680046,'Spiregaze','','','','',255,3695,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680047,'a royal prowler','','','','',255,2913,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680048,'a temple defender','','','','',255,162,192,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680049,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680050,'a temple protector','','','','',255,162,192,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680051,'a fountain keeper','','','','',255,5000,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680052,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680053,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680054,'a repulser sentinel','','','','',255,2897,118,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680055,'General Feyt','','','','',255,5196,105,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680056,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680057,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680058,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680059,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680060,'a consul of life','','','','',255,5000,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680061,'a consul of death','','','','',255,5001,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680062,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680063,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680064,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680065,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680066,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680067,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680068,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680069,'an aqueous serpent','','','','',255,4661,320,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680070,'an aqueous serpent','','','','',255,4661,256,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680071,'widget_silent_city_page_12',NULL,'','','',0,49,32,0,1,1,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680072,'widget_silent_city_page_10',NULL,'','','',0,49,32,0,1,1,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680073,'ceremonial_weaponrack',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680074,'widget_silent_city_page_09',NULL,'','','',0,49,32,0,1,1,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680075,'hollow_tree06',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,395,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680076,'hollow_tree01',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680077,'hollow_tree02',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680078,'hollow_tree04',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,395,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680079,'hollow_tree03',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,396,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680080,'hollow_tree05',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680081,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680082,'the Gate of the Sun',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680083,'the Serpent of Rhoen'' Fyr, aoi object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680084,'invisible object, drop rune of arbo',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680085,'the Bath of Bloodshed',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680086,'the Pool of Purity',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680087,'goo_spawner_effect',NULL,'','','',0,2306,233,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680088,'the Mouth of Arms',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680089,'the Mouth of Rile',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680090,'an explorer''s explosives barrel',NULL,'','','',0,5286,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680091,'an explorer''s explosives crate',NULL,'','','',0,5149,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680092,'goo_spawner_effect_2',NULL,'','','',0,2306,142,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680093,'the Serpent of Ah'' Rahn',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680094,'goo_spawner_effect_3',NULL,'','','',0,2306,167,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680095,'zone_to_sinking_sands',NULL,'','','',0,49,32,0,0,0,421,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680096,'a raised block',NULL,'','','',0,5680,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680097,'an explorer''s scroll',NULL,'','','',0,3549,46,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680098,'kilroy_bell',NULL,'','','',0,2978,2,0,1,1,135,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680099,'kilroy_shield',NULL,'','','',0,4714,32,0,1,1,135,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680100,'a tower chest',NULL,'','','',0,5310,32,0,1,1,61,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680101,'kilroy_bell',NULL,'','','',0,3103,13,0,1,1,135,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680102,'an explorer''s journal02',NULL,'','','',0,3323,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680103,'words of the war diplomat',NULL,'','','',0,5408,32,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680104,'an explorer''s journal',NULL,'','','',0,3323,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680105,'words of the chancellor',NULL,'','','',0,5408,32,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680106,'zone_to_living_tombs',NULL,'','','',0,49,32,0,0,0,420,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680107,'kilroy_fire',NULL,'','','',0,2306,19,0,1,1,135,0,1773,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680108,'fire_wall',NULL,'','','',0,4544,48,0,1,1,33,0,3120,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680109,'ice_wall',NULL,'','','',0,4544,43,0,1,1,33,0,1495,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680110,'atm_of_arbo_un',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680111,'kilroy_ice',NULL,'','','',0,2306,19,0,1,1,135,0,1492,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680112,'kilroy_book',NULL,'','','',0,3033,32,0,1,1,135,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680113,'Monolith of Rhoen',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680114,'kilroy_eggs',NULL,'','','',0,5200,92,0,1,1,135,0,496,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680115,'Monolith of Fett',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680116,'Monolith of Zul',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680117,'kilroy_staff',NULL,'','','',0,4468,32,0,1,1,135,0,1862,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680118,'zone_to_epic_temple',NULL,'','','',0,49,32,0,0,0,817,0,0,0,0,1,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680119,'Monolith of Adu',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680120,'Monolith of Yuex',NULL,'','','',0,5408,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680121,'symbol_yellow',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680122,'symbol_white',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680123,'symbol_red',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680124,'symbol_purple',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680125,'symbol_pink',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680126,'symbol_orange',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680127,'symbol_green',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680128,'symbol_blue',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680129,'symbol_black',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680130,'spectre_oop_starter',NULL,'','','',0,5265,96,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680131,'Monolith of Luna',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680132,'Monolith of Paro',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680133,'Monolith of Myr',NULL,'','','',0,5408,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680134,'Monolith of Uzu',NULL,'','','',0,5408,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680135,'a Sulite tjat','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680136,'an Anuk'' Sul chancellor','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680137,'a Sulite arbiter','','','','',255,5133,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680138,'a Faro'' Nuk mercenary','','','','',255,5134,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680139,'a Faro'' Nuk hyas','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680140,'a dead explorer','','','','',255,4535,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680141,'a sodden arenea','','','','',255,4534,128,0,1,1,11,0,1862,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680142,'a guardian stalker','','','','',255,2912,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680143,'an Anuk'' Sul augur','','','','',255,5133,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680144,'a Faro'' Nuk tower guard','','','','',255,5134,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680145,'a channel technician','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680146,'a consul of war','','','','',255,5002,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680147,'a channel cleanser','','','','',255,209,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680148,'a Blackfang savage','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680149,'an emissary of war','','','','',255,5002,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680150,'a Blackfang warder','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680151,'a Blackfang ambusher','','','','',255,5196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680152,'a twisted arbor','','','','',255,3707,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680153,'a Faro'' Nuk legionnaire','','','','',255,5130,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680154,'a tome of combat arts','','','','',255,282,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680155,'a Sulite devotee','','','','',255,5130,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680156,'a tome of wizardry','','','','',255,281,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680157,'an Anuk'' Sul visionary','','','','',255,5130,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680158,'a tome of evasion','','','','',255,283,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680159,'The Enigma of Fire','','','','',255,283,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680161,'Warclaw','','','','',255,2913,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680162,'widget_silent_city_page_12',NULL,'','','',0,49,32,0,0,0,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680163,'widget_silent_city_page_10',NULL,'','','',0,49,32,0,0,0,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680164,'ceremonial_weaponrack',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680165,'widget_silent_city_page_09',NULL,'','','',0,49,32,0,0,0,695,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680166,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680167,'the Gate of the Sun',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680168,'the Serpent of Rhoen'' Fyr, aoi object',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680169,'invisible object, drop rune of arbo',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680170,'the Bath of Bloodshed',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680171,'the Pool of Purity',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680172,'goo_spawner_effect',NULL,'','','',0,2306,233,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680173,'the Mouth of Arms',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680174,'the Mouth of Rile',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680175,'an explorer''s explosives barrel',NULL,'','','',0,5286,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680176,'an explorer''s explosives crate',NULL,'','','',0,5149,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680177,'goo_spawner_effect_2',NULL,'','','',0,2306,142,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680178,'the Serpent of Ah'' Rahn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680179,'goo_spawner_effect_3',NULL,'','','',0,2306,167,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680180,'a raised block',NULL,'','','',0,5680,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680181,'an explorer''s scroll',NULL,'','','',0,3549,46,0,0,0,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680182,'kilroy_bell',NULL,'','','',0,2978,2,0,0,0,135,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680183,'kilroy_shield',NULL,'','','',0,4714,32,0,0,0,135,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680184,'a tower chest',NULL,'','','',0,5310,32,0,0,0,61,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680185,'kilroy_bell',NULL,'','','',0,3103,13,0,0,0,135,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680186,'an explorer''s journal02',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680187,'words of the war diplomat',NULL,'','','',0,5408,32,0,0,0,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680188,'an explorer''s journal',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680189,'words of the chancellor',NULL,'','','',0,5408,32,0,0,0,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(680190,'kilroy_fire',NULL,'','','',0,2306,19,0,0,0,135,0,1773,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690000,'an Anashite shadowblade','','','','',255,5196,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690001,'an Anashite thaumaturge','','','','',255,5196,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690002,'an Anashite mystic','','','','',255,5195,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690003,'an Anashite augur','','','','',255,5195,48,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690004,'an Anashite mystic','','','','',255,5196,46,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690005,'an Anashite aegis','','','','',255,5195,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690006,'an Anashite guardian','','','','',255,5196,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690007,'a minion of the Ewer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690008,'a minion of the Ewer','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690009,'Captain Graul Anashite','','','','',255,5123,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690010,'a Anashite Devoted','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690011,'a Anashite Loyalist','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690012,'a massive stone door',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690013,'a massive stone door',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690014,'the waters of the Fyr''Un',NULL,'','','',0,49,32,0,1,1,818,0,0,0,0,0,0,0,1175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690015,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690016,'waterfall',NULL,'','','',0,5683,32,0,1,1,0,0,0,0,0,0,0,0,557,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690017,'Ewer of Sul''Dae',NULL,'','','',0,5682,32,0,1,1,0,0,0,0,0,0,0,0,347,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690018,'the Inner Temple, aoi object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690019,'poison gas trap',NULL,'','','',0,2306,87,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690020,'Godking Anuk',NULL,'','','',0,5618,46,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690021,'dpo_invisible_cube',NULL,'','','',0,4544,62,0,1,1,0,0,4557,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690022,'purple_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690023,'blue_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690024,'green_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690025,'orange_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690026,'yellow_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690027,'pink_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690028,'black_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690029,'white_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690030,'red_rune',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(690031,'zone_to_silent_city',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700000,'Barakah','','','','',255,4916,32,0,1,1,0,0,11567,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700001,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700002,'an Ashen Disciple','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700003,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700004,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700005,'an Ashen Disciple instructor','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700006,'an Ashen Order monk','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700007,'an Ashen Order master','','','','',9,134,33,1,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700008,'Chronicler Lao','<Ashen Order Historian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700009,'Zhao Wu','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700010,'Master Kiri','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700011,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700012,'a Sandscrawler shamanite','','','','',255,5190,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700013,'a Sandscrawler bandit','','','','',255,5218,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700014,'a Sandscrawler trooper','','','','',255,5218,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700015,'a rat','','','','',255,196,6,3,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700016,'a Sandscrawler diviner','','','','',255,5190,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700017,'an Ashen Order elite','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700018,'Siu Chun, Mother of the Night','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700019,'Fat Piu, Father of the Day','','','','',9,134,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700020,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700021,'a dust torrent','','','','',255,5596,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700022,'Chief Char''Nik','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700023,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700024,'Siyamak','','','','',255,4897,32,0,1,1,0,0,11567,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700025,'quest_assassin_dagger','','','','',0,5129,32,0,1,1,312,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700026,'a searing scorpion','','','','',255,4532,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700027,'a sunfeather falcon','','','','',255,260,34,2,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700028,'a Sandfury visionary','','','','',255,5119,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700029,'a Sandfury brute','','','','',255,5120,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700030,'a Sandfury elder','','','','',255,5120,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700031,'a flame torrent','','','','',255,5597,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700032,'a Sandfury elder','','','','',255,5119,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700033,'Arbos Sendoa','','','','',255,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700034,'an armored searing scorpion','','','','',255,4532,43,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700035,'a flame torrent','','','','',255,5597,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700036,'a Sandfury protector','','','','',255,5120,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700037,'a Sandfury apostle','','','','',255,5119,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700038,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700039,'Scarei the Scornfeather','','','','',255,5219,80,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700040,'Walheed Raffini','<Maj''Dul Citizens>','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700041,'a Naruem sister seer','','','','',255,5229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700042,'a Naruem flame fiend','','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700043,'a Naruem sister soldier','','','','',255,5229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700044,'Qadira the Naga','','','','',255,5230,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700045,'a stunning selkie','','','','',255,180,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700046,'a radiant selkie','','','','',255,180,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700047,'a Naruem flame fiend','','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700048,'a deep sea turtle','','','','',255,218,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700049,'a sand shark','','','','',255,242,112,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700050,'a large blanketfish','','','','',255,219,105,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700051,'a pointed marlin','','','','',255,241,96,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700052,'a sand pike','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700053,'a sea pike','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700054,'a blanketfish','','','','',255,219,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700055,'a silt shark','','','','',255,242,112,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700056,'Master Ko','<Ashen Disciple>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700057,'Master Akuno Beslin','<Ashen Order>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700058,'a torrid raptor','','','','',255,5237,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700059,'a flame tornado','','','','',255,5597,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700060,'a flame tornado','','','','',255,5597,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700061,'widget_naga_mastery_book',NULL,'','','',0,49,32,0,1,1,92,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700062,'widget_desert_beasts_page_06',NULL,'','','',0,49,32,0,1,1,93,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700063,'',NULL,'','','',0,49,32,0,1,1,94,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700064,'',NULL,'','','',0,49,32,0,1,1,94,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700065,'',NULL,'','','',0,49,32,0,1,1,94,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700066,'03_object_event_03',NULL,'','','',0,49,32,0,1,1,313,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700067,'03_object_event_00',NULL,'','','',0,49,32,0,1,1,313,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700068,'widget_djinn_mastery_book',NULL,'','','',0,49,32,0,1,1,92,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700069,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700070,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700071,'base_faction_coin_barrel',NULL,'','','',0,5289,32,0,1,1,91,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700072,'cr_straw_mat_worn01',NULL,'','','',0,5170,19,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700073,'drv_urn_small01',NULL,'','','',0,5227,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700074,'drv_urn_small02',NULL,'','','',0,5228,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700075,'drv_urn_large01',NULL,'','','',0,5437,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700076,'cr_straw_mat_worn02',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700077,'pf_nest_harpy01',NULL,'','','',0,5201,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700078,'pf_falconeggs_mixed',NULL,'','','',0,5199,76,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700079,'reverse_carpet_tnarev',NULL,'','','',0,1369,32,0,1,1,1206,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700080,'drv_pillow_seat_worn02',NULL,'','','',0,5349,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700081,'drv_pillow_seat_worn01',NULL,'','','',0,5348,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700082,'pf_tent_monk01',NULL,'','','',0,5159,32,0,1,1,0,0,0,0,0,0,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700083,'sabertooth_corpse',NULL,'','','',0,5249,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700084,'Zone to Halls of Discipline',NULL,'','','',0,49,32,0,0,0,95,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700085,'door_to_ancients_table',NULL,'','','',0,5454,32,0,0,0,314,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700086,'Zeke''s Diary',NULL,'','','',0,3034,32,0,1,1,399,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700087,'Zeke''s Broken Harp',NULL,'','','',0,5280,32,0,1,1,400,0,1855,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700088,'zone_to_shimmering_citadel',NULL,'','','',0,5643,19,0,0,0,401,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700089,'Cazel Entrance',NULL,'','','',0,49,32,0,0,0,1254,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700090,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700091,'luminous stone',NULL,'','','',0,3916,75,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700092,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700093,'a cluster of eggs',NULL,'','','',0,5199,32,0,1,1,2,0,491,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700094,'red rock',NULL,'','','',0,5146,9,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700095,'shriveled roots',NULL,'','','',0,1730,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700096,'cluster of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700097,'withered shrubbery',NULL,'','','',0,4078,36,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700098,'cluster of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700099,'a meditation mat',NULL,'','','',0,5279,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700100,'an Ashen Disciple','','','','',9,132,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700101,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700102,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700103,'an Ashen Disciple instructor','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700104,'an Ashen Order monk','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700105,'an Ashen Order master','','','','',9,134,33,1,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700106,'Chronicler Lao','<Ashen Order Historian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700107,'Zhao Wu','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700108,'Master Kiri','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700109,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700110,'a Sandscrawler shamanite','','','','',255,5190,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700111,'a Sandscrawler bandit','','','','',255,5218,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700112,'a Sandscrawler trooper','','','','',255,5218,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700113,'a rat','','','','',255,196,6,3,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700114,'a Sandscrawler diviner','','','','',255,5190,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700115,'an Ashen Order elite','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700116,'Siu Chun, Mother of the Night','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700117,'Fat Piu, Father of the Day','','','','',9,134,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700118,'a Sandscrawler miner','','','','',255,5190,25,0,1,1,11,0,13113,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700119,'a dust torrent','','','','',255,5596,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700120,'quest_assassin_dagger','','','','',0,5129,32,0,0,0,312,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700121,'a searing scorpion','','','','',255,4532,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700122,'a sunfeather falcon','','','','',255,260,35,3,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700123,'a Sandfury visionary','','','','',255,5119,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700124,'a Sandfury brute','','','','',255,5120,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700125,'a Sandfury elder','','','','',255,5120,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700126,'a flame torrent','','','','',255,5597,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700127,'a Sandfury elder','','','','',255,5119,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700128,'Arbos Sendoa','','','','',255,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700129,'an armored searing scorpion','','','','',255,4532,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700130,'a flame torrent','','','','',255,5597,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700131,'a Blades guard','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700132,'Scarei the Scornfeather','','','','',255,5219,80,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700133,'Walheed Raffini','<Maj''Dul Citizens>','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700134,'a Naruem sister seer','','','','',255,5229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700135,'a Naruem flame fiend','','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700136,'a Naruem sister soldier','','','','',255,5229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700137,'Qadira the Naga','','','','',255,5230,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700138,'a stunning selkie','','','','',255,180,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700139,'a radiant selkie','','','','',255,180,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700140,'a Naruem flame fiend','','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700141,'a deep sea turtle','','','','',255,218,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700142,'a sand shark','','','','',255,242,112,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700143,'a large blanketfish','','','','',255,219,105,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700144,'a pointed marlin','','','','',255,241,96,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700145,'a sand pike','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700146,'a sea pike','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700147,'a blanketfish','','','','',255,219,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700148,'a nomadic carpet keeper','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700149,'a camel','','','','',255,5606,44,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700150,'a silt shark','','','','',255,242,112,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700151,'Master Ko','<Ashen Disciple>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700152,'Master Akuno Beslin','<Ashen Order>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700153,'a torrid raptor','','','','',255,5237,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700154,'a flame tornado','','','','',255,5597,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700155,'a flame tornado','','','','',255,5597,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700156,'Durgan the Brute','','','','',255,5118,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700157,'Snaptail','','','','',255,251,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700158,'an Ortallian sentry','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700159,'Wayn Umberlin','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700160,'Jack Theardium','<Guard>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700161,'an Ortallian citizen','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700162,'a snake','','','','',255,4661,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700163,'Yinderis the Snake Charmer','','','','',13,67,32,0,1,1,9,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700164,'a Swiftrider mercenary','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700165,'a horse','','','','',255,6852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700166,'Hegrim','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700167,'Disciple Shula','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700168,'Captain Nyelash','','','','',15,113,35,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700169,'Peddler Jaiter','<Tailor>','','','',9,134,28,0,1,1,9,1265,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700170,'Stablehand Poppy','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700171,'Babbles','','','','',255,2335,16,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700172,'Lucas','<Bartender>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700173,'Baker Brandie','<Provisioner>','','','',9,132,28,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700174,'Peddler Nerin','<General Goods>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700175,'Peddler Orrin','<Armorsmith>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700176,'a mangy dog','','','','',255,278,32,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700177,'Olrant Missuien','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700178,'Grunthik','<Mender>','','','',2,110,32,0,1,1,9,9,0,1,1,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(700179,'a mangy cat','','','','',255,305,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700180,'Hergla the Wretch','','','','',14,105,28,0,1,1,9,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700181,'Assistant Landria','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700182,'Mandrik Mellows','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700184,'Peddler Fulndar','<Provisioner>','','','',9,134,35,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700185,'Nutaf','','','','',255,265,38,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700186,'Theria','','','','',255,264,38,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700187,'Thontik','','','','',255,265,44,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700188,'an Ortallian sentry','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700189,'Sergeant Tuskin','','','','',0,1467,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700190,'Peddler Yearis','<Alchemist>','','','',9,132,28,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700191,'Captain Sterling','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700192,'Lieutenant Masts','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700193,'Feylin Marlows','<Guard>','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700194,'Derk Dietrik','<Guard>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700195,'a sunstrider gazelle','','','','',255,206,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700196,'Peddler Otis','<Weaponsmith>','','','',9,134,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700197,'a bewitching inamorata','','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700198,'Raissa the Insightful','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700199,'Cherise the Sensible','','','','',9,132,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700200,'Thomasa the Wise','','','','',9,134,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700201,'Graeae the Astute','','','','',9,134,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700202,'Mac Vanderbeak','<Guard>','','','',9,134,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700203,'Hal Amberstead','<Guard>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700204,'a sandstalker sabertooth','','','','',255,5249,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700205,'a Sandscrawler hunter','','','','',255,5218,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700206,'Lady Andriath','','','','',9,135,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700207,'Fai Long','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700208,'an elder sunstrider gazelle','','','','',255,206,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700209,'a Sandscrawler marauder','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700210,'a Sandscrawler soldier','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700211,'The Ghost of Omren','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700212,'a Sandscrawler shamaner','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700213,'a Sandscrawler diabolist','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700214,'a Sandscrawler defender','','','','',255,5218,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700215,'a Sandscrawler shaman','','','','',255,5190,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700216,'Captain Ihmin','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700217,'a Sandscrawler raider','','','','',255,5218,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700218,'a Sandscrawler excavator','','','','',255,5190,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700219,'a Sandscrawler excavator','','','','',255,5190,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700220,'a Sandscrawler sorcerer','','','','',255,5190,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700221,'a Sandscrawler excavator','','','','',255,5190,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700222,'a Sandscrawler excavator','','','','',255,5190,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700223,'Shu Fang Qi','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700224,'a Windsister raider','','','','',255,5219,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700225,'Cong Zi','','','','',9,134,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700226,'Shing Ho','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700227,'a fierce piranha','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700228,'a bloodthirsty piranha','','','','',255,204,112,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700229,'a Windsister jaggedfeather','','','','',255,5219,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700230,'a Windsister dustfeather','','','','',255,5219,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700231,'Chi Ho, Cousin of the Sky','','','','',9,134,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700232,'Shen Rai','','','','',6,78,32,0,1,1,9,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700233,'Hadil Windsister','','','','',255,5219,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700234,'a flame twister','','','','',255,5597,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700235,'an Ashen diplomat','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700236,'Master Irudan Ortai','<Ashen Disciple>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700237,'a Windsister razorfeather','','','','',255,5219,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700238,'a Windsister stormfeather','','','','',255,5219,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700239,'Guerrilla Lorkil','','','','',255,5218,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700240,'a flame twister','','','','',255,5597,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700241,'a sunvenom cobra','','','','',255,4661,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700242,'a flame twister','','','','',255,5597,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700243,'a flame twister','','','','',255,5597,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700244,'Ruqayya the Harpy','','','','',255,5219,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700245,'a golden sunfeather falcon','','','','',255,260,38,3,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700246,'a petulant crocuta','','','','',255,278,41,3,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700247,'a desert lunatic','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700248,'a desert lunatic','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700249,'a desert prophet','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700250,'a petulant crocuta','','','','',255,278,40,2,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700251,'a dazzling selkie','','','','',255,180,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700252,'a resplendent selkie ','','','','',255,180,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700253,'a Char''Gin citizen','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700254,'a Char''Gin fisherman','','','','',9,134,31,3,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700255,'a Char''Gin sentry','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700256,'a Char''Gin watcher','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700257,'Greybeard','<Mender>','','','',2,110,35,0,1,1,9,9,0,1,1,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(700258,'Master Windul','<Tailor>','','','',9,134,32,0,1,1,9,1265,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700259,'Saisira','<General Goods>','','','',9,132,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700260,'Mashett','<Bowyer>','','','',9,132,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700261,'a Char''Gin lookout','','','','',9,132,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700262,'Hummad','<Bartender>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700263,'Siraj al Din','','','','',9,4999,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700264,'Beenfar','<Provisioner>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700265,'Vralii','<Weaponsmith>','','','',9,132,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700266,'Tavit','<Armorsmith>','','','',9,134,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700267,'Merchant Breeze','<General Goods>','','','',9,132,32,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700268,'Aalic','<Shieldsmith>','','','',9,134,35,0,1,1,9,1265,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700269,'a flame tornado','','','','',255,5597,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700270,'a dead camel','','','','',255,5607,53,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700271,'a victim','','','','',255,4922,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700272,'a Kromtorr raider corpse','','','','',255,4742,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700273,'a desert prophet','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700274,'a gilded sunfeather falcon','','','','',255,260,41,3,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700275,'a great sandstalker sabertooth','','','','',255,5249,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700276,'a Kromtorr soldier','','','','',255,4741,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700277,'a parched desert prophet','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700278,'a parched desert lunatic','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700279,'a parched desert lunatic','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700280,'a parched desert prophet','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700281,'a parched desert prophet','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700282,'a parched desert lunatic','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700283,'a parched desert lunatic','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700284,'Jiao Li Rong','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700285,'a Kromtorr magi','','','','',255,4919,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700286,'a Kromtorr archmagi','','','','',255,4919,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700287,'a flame tornado','','','','',255,5597,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700288,'Cinderpelt','','','','',255,5249,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700289,'Brigand Bug''Tug','','','','',255,5218,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700290,'a dusty tornado','','','','',255,5634,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700291,'a Sandscrawler summoner','','','','',255,5190,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700292,'a dusty tornado','','','','',255,5634,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700293,'a sunstrider gazelle fawn','','','','',255,206,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700294,'the goblin Warclerk','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700295,'Oracle of Embre''sha','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700296,'a sandstalker ridge prowler','','','','',255,5249,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700297,'a Sandscrawler diplomat','','','','',255,5218,30,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700298,'a Steelcrown battleguard','','','','',255,5024,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700299,'a Steelcrown harasser','','','','',255,5023,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700300,'a Kromtorr lieutenant','','','','',255,4740,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700301,'Ament','','','','',255,5237,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700302,'The Ghost of Ishti','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700303,'a Kromtorr diplomat','','','','',255,4919,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700304,'Old Master Kakaru','','','','',255,5108,38,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700305,'Ahkarem of the Desert','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700306,'a lesser djinn','','','','',255,5233,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700307,'a djinn pillar sentinel','','','','',255,5233,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700308,'a djinn pillar sweeper','','','','',255,5233,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700309,'Tan''ke Rei, the Pillar Guardian','','','','',255,5233,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700310,'a djinn pillar keeper','','','','',255,5233,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700311,'a djinn pillar keeper','','','','',255,5233,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700312,'Captain Kamt','','','','',255,4740,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700313,'a luminous selkie','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700314,'a luminous selkie','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700315,'a rock pile','','','','',255,152,102,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700316,'Maluvea the Witch','','','','',255,5219,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700317,'a Char''Gin shepherd','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700318,'Admiral Marcus','','','','',9,4990,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700319,'a ferocious sand shark','','','','',255,242,144,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700320,'swarming piranha','','','','',255,204,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700321,'a sheep','','','','',255,2336,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700322,'Thauz the Exiled','','','','',255,5027,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700323,'Jin Li','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700324,'Afaf Rabi''ah','','','','',9,4999,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700325,'The Guardian of Eldonis','','','','',255,148,64,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700326,'widget_naga_mastery_book',NULL,'','','',0,49,32,0,0,0,92,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700327,'widget_desert_beasts_page_06',NULL,'','','',0,49,32,0,0,0,93,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700328,'',NULL,'','','',0,49,32,0,0,0,94,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700329,'',NULL,'','','',0,49,32,0,0,0,94,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700330,'',NULL,'','','',0,49,32,0,0,0,94,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700331,'03_object_event_03',NULL,'','','',0,49,32,0,0,0,313,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700332,'03_object_event_00',NULL,'','','',0,49,32,0,0,0,313,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700333,'widget_djinn_mastery_book',NULL,'','','',0,49,32,0,0,0,92,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700334,'widget_trinni_abroad_page_08',NULL,'','','',0,49,32,0,0,0,93,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700335,'widget_desert_beasts_page_15',NULL,'','','',0,49,32,0,0,0,1278,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700336,'03_object_event_02',NULL,'','','',0,49,32,0,0,0,313,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700337,'03_object_event_01',NULL,'','','',0,49,32,0,0,0,313,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700338,'widget_trinni_abroad_page_07',NULL,'','','',0,49,32,0,0,0,1196,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700339,'',NULL,'','','',0,49,32,0,0,0,94,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700340,'',NULL,'','','',0,49,32,0,0,0,94,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700341,'widget_desert_beasts_page_09',NULL,'','','',0,49,32,0,0,0,1198,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700342,'widget_desert_beasts_page_05',NULL,'','','',0,49,32,0,0,0,257,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700343,'widget_sandscrawler_laws_page_08',NULL,'','','',0,49,32,0,0,0,257,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700344,'widget_desert_beasts_page_13',NULL,'','','',0,49,32,0,0,0,1279,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700345,'widget_harpy_time_page_14',NULL,'','','',0,49,32,0,0,0,793,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700346,'widget_harpy_time_page_10',NULL,'','','',0,49,32,0,0,0,445,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700347,'widget_harpy_time_book',NULL,'','','',0,49,32,0,0,0,93,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700348,'widget_trinni_abroad_page_12',NULL,'','','',0,49,32,0,0,0,92,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700349,'widget_trinni_abroad_book',NULL,'','','',0,49,32,0,0,0,93,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700350,'widget_trinni_abroad_page_13',NULL,'','','',0,49,32,0,0,0,92,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700351,'widget_harpy_time_page_11',NULL,'','','',0,49,32,0,0,0,265,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700352,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700353,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,0,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700354,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700355,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700356,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700357,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700358,'spell_effect_flames',NULL,'','','',0,2306,160,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700359,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700360,'base_faction_coin_barrel',NULL,'','','',0,5289,32,0,0,0,91,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700361,'pf_rock_medium04',NULL,'','','',0,5094,48,0,0,0,0,0,0,0,0,0,0,0,446,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700362,'speared skeleton',NULL,'','','',0,2370,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700363,'bones_scattered_01',NULL,'','','',0,2367,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700364,'bones_scattered_00',NULL,'','','',0,2366,31,0,0,0,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700365,'seated skeleton',NULL,'','','',0,2431,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700366,'human skull bashed 02',NULL,'','','',0,3000,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700367,'iksar skull 02',NULL,'','','',0,2997,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700368,'iksar skull 01',NULL,'','','',0,2996,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700369,'cr_straw_mat_worn01',NULL,'','','',0,5170,19,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700370,'orc skull',NULL,'','','',0,2998,41,0,0,0,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700371,'Muse Object',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700372,'drv_urn_small01',NULL,'','','',0,5227,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700373,'drv_urn_small02',NULL,'','','',0,5228,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700374,'drv_urn_large02',NULL,'','','',0,5226,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700375,'drv_stool_wicker_plain01',NULL,'','','',0,5256,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700376,'drv_urn_large01',NULL,'','','',0,5437,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700377,'cr_straw_mat_worn02',NULL,'','','',0,5171,32,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700378,'drv_barrels_group03',NULL,'','','',0,5291,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700379,'drv_barrels_group01',NULL,'','','',0,5289,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700380,'human skulls in a row',NULL,'','','',0,3001,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700381,'sign_post',NULL,'','','',0,1714,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700382,'cr_bucket_orc_full_meat',NULL,'','','',0,5165,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700383,'cr_meat_hanger_orc',NULL,'','','',0,5166,32,0,0,0,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700384,'drv_keg_large01',NULL,'','','',0,5323,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700385,'skeletons',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700386,'cr_orc_rubbishpile02',NULL,'','','',0,5173,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700387,'cr_orc_rubbishpile01',NULL,'','','',0,5172,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700388,'ss_flora_cacti_round01',NULL,'','','',0,5152,70,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700389,'ss_flora_cacti_med01',NULL,'','','',0,5150,41,0,0,0,0,0,0,0,0,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700390,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700391,'pf_rock_medium04',NULL,'','','',0,5090,22,0,0,0,0,0,0,0,0,0,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700392,'ss_flora_cacti_multi01',NULL,'','','',0,5151,32,0,0,0,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700393,'pf_nest_harpy01',NULL,'','','',0,5201,32,0,0,0,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700394,'pf_falconeggs_mixed',NULL,'','','',0,5199,76,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700395,'pf_falconeggs_broken',NULL,'','','',0,5198,80,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700396,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,0,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700397,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,0,0,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700398,'drv_tent_merchant_red',NULL,'','','',0,5157,25,0,0,0,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700399,'drv_barrel_small01',NULL,'','','',0,5288,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700400,'bones_scattered_02',NULL,'','','',0,2987,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700401,'cr_stool_orc_wood01',NULL,'','','',0,5167,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700402,'a wooden cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700403,'fishing_pole_00',NULL,'','','',0,5745,31,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700404,'floor_boat_human_fishing01',NULL,'','','',0,4644,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700405,'goblin_flag01',NULL,'','','',0,1530,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700406,'halfling_candle_log01',NULL,'','','',0,1608,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700407,'goblin_rubble03',NULL,'','','',0,1537,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700408,'goblin_rubble02',NULL,'','','',0,1536,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700409,'cr_signal_fire',NULL,'','','',0,5169,32,0,0,0,0,0,0,0,0,0,0,0,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700410,'reverse_carpet_tnarev',NULL,'','','',0,1369,32,0,0,0,1206,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700411,'drv_pillow_seat_worn02',NULL,'','','',0,5349,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700412,'drv_pillow_seat_worn01',NULL,'','','',0,5348,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700413,'pf_tent_monk01',NULL,'','','',0,5159,32,0,0,0,0,0,0,0,0,0,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700414,'sabertooth_corpse',NULL,'','','',0,5249,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700415,'carpet_tents',NULL,'','','',0,1369,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700416,'cube_bandits_spawn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700417,'quest_akuno_mat',NULL,'','','',0,5171,32,0,0,0,1277,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700418,'cube_goblin_spawn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700419,'drv_vase_plain01',NULL,'','','',0,5372,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700420,'drv_vase_brokenpieces_group01',NULL,'','','',0,5363,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700421,'drv_vase_brokenpieces_group04',NULL,'','','',0,5366,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700422,'drv_bench_wicker_plain01',NULL,'','','',0,5302,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700423,'reverse_carpet_stinging_isle',NULL,'','','',0,1369,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700424,'cr_firepit_orc01',NULL,'','','',0,5742,32,0,0,0,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700425,'drv_barrels_group02',NULL,'','','',0,5290,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700426,'cr_tool_orc_forge_anvil',NULL,'','','',0,5436,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700427,'drv_tent_merchant_orange',NULL,'','','',0,5156,32,0,0,0,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700428,'pf_rocks_gnollboulders_painted01',NULL,'','','',0,5375,16,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700429,'a covered cart',NULL,'','','',0,1906,32,0,0,0,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700430,'drv_tapestry_apparatus01',NULL,'','','',0,5418,32,0,0,0,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700431,'drv_tapestry_4m_brasstrim_beige01_swinging',NULL,'','','',0,5411,32,0,0,0,0,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700432,'cube_harpies_spawn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700433,'cube_cats_spawn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700434,'cube_madmen_spawn',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700435,'drv_vase_ornate02',NULL,'','','',0,5369,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700436,'drv_vase_brokenpieces_group03',NULL,'','','',0,5365,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700437,'drv_vase_brokenpieces_group05',NULL,'','','',0,5367,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700438,'drv_vase_broken02',NULL,'','','',0,5362,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700439,'reverse_carpet_prophets_peak',NULL,'','','',0,1369,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700440,'drv_vase_brokenpieces_group02',NULL,'','','',0,5364,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700441,'drv_vase_ornate01',NULL,'','','',0,5368,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700442,'drv_barrel_large01',NULL,'','','',0,5286,31,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700443,'cr_firepit_orc01',NULL,'','','',0,5168,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700444,'pf_goblin_barricade_long01',NULL,'','','',0,5429,32,0,0,0,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700445,'cr_lightsource_orc_torch_ornate01',NULL,'','','',0,5330,32,0,0,0,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700446,'pf_goblin_barricade_long01',NULL,'','','',0,5294,28,0,0,0,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700447,'cr_firepit_orc01',NULL,'','','',0,5741,32,0,0,0,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700448,'drv_barrel_large01',NULL,'','','',0,5743,32,0,0,0,0,0,0,0,0,0,0,0,1029,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700449,'cr_animal_hide_rug',NULL,'','','',0,5377,31,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700450,'reverse_carpet_giants_field',NULL,'','','',0,1369,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700451,'A Sun-bleached Book',NULL,'','','',0,3033,32,0,0,0,805,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700452,'a tomb',NULL,'','','',0,1347,32,0,0,0,330,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700453,'drv_tent_merchant_blue',NULL,'','','',0,5155,28,0,0,0,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700454,'a submerged tomb',NULL,'','','',0,1347,32,0,0,0,330,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700455,'the Guardian of Eldonis, aoi object',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700456,'Zone to Halls of Discipline',NULL,'','','',0,49,32,0,0,0,95,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700457,'goblin_flag02',NULL,'','','',0,1531,32,0,0,0,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700458,'Zeke''s Diary',NULL,'','','',0,3034,32,0,0,0,399,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700459,'Zeke''s Broken Harp',NULL,'','','',0,5280,32,0,0,0,400,0,1855,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700461,'Cazel Entrance',NULL,'','','',0,49,32,0,0,0,1254,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700462,'sign_swiftrider_to_the searing_gorge',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700463,'sign_swiftrider_to_sinking_sands',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700464,'sign_swiftrider_to_remnants_of_the_lifire',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700465,'zone_to_nabil_cave',NULL,'','','',0,5090,32,0,0,0,46,0,0,0,0,0,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700466,'Mojo Alarm Sentry',NULL,'','','',0,4454,64,0,0,0,1280,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700467,'a large scroll',NULL,'','','',0,2544,12,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700468,'sign_up',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700469,'sign_down',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700470,'a damaged cart',NULL,'','','',0,2242,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700471,'door_to_clefts_of_rujark',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700472,'',NULL,'','','',0,5127,19,0,0,0,45,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700473,'quest_selkie_gong',NULL,'','','',0,2977,32,0,0,0,1281,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700474,'harpy_nests',NULL,'','','',0,5201,16,0,0,0,439,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700475,'rod of rathe shattering',NULL,'','','',0,5121,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700476,'rock of eldonis',NULL,'','','',0,1668,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700477,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700478,'luminous stone',NULL,'','','',0,3916,75,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700479,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700480,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700481,'a cluster of eggs',NULL,'','','',0,5199,32,0,0,0,2,0,491,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700482,'red rock',NULL,'','','',0,5146,9,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700483,'shriveled roots',NULL,'','','',0,1730,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700484,'cluster of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700485,'withered shrubbery',NULL,'','','',0,4078,36,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700486,'cluster of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700487,'a meditation mat',NULL,'','','',0,5279,32,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(700488,'fallen branch',NULL,'','','',0,3938,25,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710000,'Rouras','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710001,'Rouras','Helly''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710002,'Rouras','Helly''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710003,'a sandfang razorclaw','','','','',255,5685,56,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710004,'a Dunefury brawler','','','','',255,5119,75,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710005,'a sandfang prowler','','','','',255,5684,56,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710006,'a Dunefury bandit','','','','',255,5186,53,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710007,'a sandfang stalker','','','','',255,5685,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710008,'Votar','','','','',255,5016,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710009,'a Dunefury mystic','','','','',255,5182,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710010,'Shotar','','','','',255,5182,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710011,'Rarantar','','','','',255,5120,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710012,'a sand giant assassin','','','','',255,4741,75,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710013,'Fotar','','','','',255,5016,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710014,'Yotar','','','','',255,5016,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710015,'a Dunefury brawler','','','','',255,5177,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710016,'Helly''s Forge of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710017,'Darantar the Tamer','','','','',255,5118,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710018,'Fang','','','','',255,5684,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710019,'Gorefang','','','','',255,4745,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710020,'Venom Tail','','','','',255,4532,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710021,'Cazel the Mad','','','','',255,4742,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710022,'Darantar the Revived','','','','',255,5118,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710023,'Rarantar the Revived','','','','',255,5120,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(710025,'Sinking Sands',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720001,'Pillar of Air','','','','',255,4139,160,0,1,1,96,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720002,'Pillar of Earth','','','','',255,4139,160,0,1,1,96,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720003,'Pillar of Water','','','','',255,4139,160,0,1,1,96,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720004,'Brother Jhand','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720005,'Pillar of Flame','','','','',255,4139,160,0,1,1,96,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720006,'a naga slayer','','','','',255,5229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720007,'a naga elder','','','','',255,5229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720008,'a naga gladiator','','','','',255,5229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720009,'a naga destroyer','','','','',255,5229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720010,'Brother Jhand''s Vase','','','','',9,4564,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720012,'pf_rock_medium04',NULL,'','','',0,5094,48,0,1,1,0,0,0,0,0,0,0,0,446,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720013,'pf_rock_medium05',NULL,'','','',0,5090,55,0,1,1,0,0,0,0,0,0,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(720014,'zone_to_pillars_of_flame',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730000,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730001,'The Skystrider','','','','',0,9446,32,0,1,1,0,0,0,0,0,0,0,0,2989,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730002,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730003,'a Samiel buccaneer','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730004,'a blue ring octopus','','','','',255,210,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730005,'a wandering pike','','','','',255,194,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730006,'a saltwater crocodile','','','','',255,4745,29,4,1,1,11,0,0,1,1,1,0,1,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730007,'a Samiel corsair','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730008,'a Samiel outcast','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730009,'a Samiel pirate','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730010,'a Samiel outlaw','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730011,'a frenzied whale shark','','','','',255,242,144,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730012,'a barbed swordfish','','','','',255,241,96,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730013,'a virulent red piranha','','','','',255,204,96,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730014,'a deepwater crocodile','','','','',255,4745,36,4,1,1,11,0,0,1,1,1,0,1,32,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730015,'a reclusive stingray','','','','',255,219,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730016,'a whale shark','','','','',255,242,112,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730017,'a red piranha','','','','',255,204,96,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730018,'a Samiel plunderer','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730019,'a deepwater caiman','','','','',255,4745,25,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730020,'Captain Shoreflow','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730021,'Khalhan al-Azhar','','','','',255,5233,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730022,'a Blades guard','','','','',9,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730023,'an Anaz Mal diviner','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730024,'Muleek Mahaja','<Hizites>','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730025,'an Anaz Mal scrapper','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730026,'a Faro'' Nuk soldier','','','','',255,5135,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730027,'a nomadic carpet keeper','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730028,'a dustwhip scorpion','','','','',255,4532,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730029,'an Anaz Mal coercer','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730030,'an Anaz Mal mauler','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730031,'an Anaz Mal scavenger','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730032,'a Sulite bishop','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730033,'an Anaz Mal suppressor','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730034,'an Anaz Mal soothsayer','','','','',255,5195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730035,'an Alliz Raef Ew scout','','','','',255,4621,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730036,'an Alliz Raef Ew seer','','','','',255,4622,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730037,'an Alliz Raef Ew defender','','','','',255,4623,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730038,'a shade prowler','','','','',255,2415,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730039,'Hatar','','','','',255,4741,48,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730040,'a Rujarkian raider','','','','',20,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730041,'a Rujarkian raider','','','','',20,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730042,'a plated digger','','','','',255,220,42,4,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730043,'Vanesta Leaftraveler','<Trading Liaison>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730044,'a sand scarab','','','','',255,4531,44,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730045,'an asp','','','','',255,213,95,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730046,'Barusha the Tradesman','<General Goods>','','','',9,134,35,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730047,'Duke','','','','',255,5606,44,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730048,'a dune spiderling','','','','',255,4534,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730049,'Camel Trainer Jabiri','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730050,'Kamar','','','','',255,2415,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730051,'a monkey','','','','',255,5006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730052,'a dervish animal trainer','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730053,'a dervish croc hunter','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730054,'Aliyyah the Embalmer','','','','',255,4927,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730055,'Jumba','','','','',255,264,48,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730056,'a dervish worker','','','','',255,4917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730057,'a dervish silk spinner','','','','',255,4917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730058,'a dervish trader','','','','',255,4917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730059,'a sinister ghoul','','','','',255,4672,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730060,'a Sulite tjat','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730061,'an Anuk'' Sul chancellor','','','','',255,5130,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730062,'a Sulite arbiter','','','','',255,5133,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730063,'a Faro'' Nuk mercenary','','','','',255,5134,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730064,'a skeletal cobra','','','','',255,4660,95,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730065,'a shrouded pulverizer','','','','',255,183,64,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730066,'a Sul'' Dal foci','','','','',255,4536,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730067,'a Sul'' Dal bladefury','','','','',255,4537,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730068,'a Sul'' Dal infiltrator','','','','',255,4542,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730069,'a dry bones skeleton','','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730070,'a lesser mummy','','','','',255,5135,27,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730071,'a mummy','','','','',255,5135,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730072,'an unliving tracker','','','','',255,4543,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730073,'an unliving vision seeker','','','','',255,4535,27,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730074,'a sea splash','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730075,'a dune spider','','','','',255,4534,118,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730076,'an exiled Kromtorr','','','','',255,4739,70,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730077,'a Sul'' Dal friar','','','','',255,4538,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730078,'an unliving soldier','','','','',255,4541,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730079,'Apprentice Neemari','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730080,'a dust devil','','','','',255,5596,160,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730081,'an unliving trooper','','','','',255,4541,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730082,'a sentinel of Anuk','','','','',255,5003,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730083,'a phantasmal ray','','','','',255,3698,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730084,'an unliving lookout','','','','',255,4543,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730085,'an unliving augur','','','','',255,4538,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730086,'an unliving theurgist','','','','',255,4535,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730087,'a ghastly barracuda','','','','',255,3685,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730088,'a dervish corpse','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730089,'a crypt mummy','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730090,'a shriveled mummy','','','','',255,5135,30,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730091,'an Alliz Raef Ew lookout','','','','',255,4621,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730092,'an ancient caiman','','','','',255,4745,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730093,'an Alliz Raef Ew champion','','','','',255,4623,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730094,'an Alliz Raef Ew shaman','','','','',255,4622,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730095,'Kerakta the guide','','','','',255,4621,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730096,'an Amal''an camel herder','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730097,'a captive merchant','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730098,'an Amal''an camel','','','','',255,5607,44,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730099,'a dust devil','','','','',255,5596,96,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730100,'an exiled Kromtorr','','','','',255,4920,70,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730101,'an Anaz Mal carcass','','','','',9,4732,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730102,'a dervish cutthroat','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730103,'Fasha the Alchemist','','','','',255,4927,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730104,'Trader Hazin','','','','',9,134,35,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730105,'a dervish thug','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730106,'a Baldoras hunter','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730107,'swarming piranha','','','','',255,204,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730108,'an Anuk'' Sul advocate','','','','',255,5135,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730109,'a desert raptor','','','','',255,5237,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730110,'a desert tarantula','','','','',255,244,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730111,'a dune tarantula','','','','',255,244,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730112,'a dune scarab','','','','',255,4531,284,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730113,'a dune scarab','','','','',255,4531,276,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730114,'a dune scarab','','','','',255,4531,302,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730115,'a ghoul','','','','',255,4672,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730116,'a dune scarab','','','','',255,4531,299,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730117,'a dune scarab','','','','',255,4531,287,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730118,'a toxic cobra','','','','',255,4661,95,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730119,'a skittish scarab','','','','',255,4531,259,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730120,'a dune scarab','','','','',255,4531,294,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730121,'a dune scarab','','','','',255,4531,283,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730122,'a crocodile hatchling','','','','',255,4745,9,0,1,1,11,0,0,1,1,1,0,1,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730123,'Stissa, Emissary of the Speaker','<Transport to Velious>','','','',255,14265,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730124,'an othmir escort','','','','',255,14261,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730125,'Kallon Ebbtide','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730126,'Ghassan the Trader','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730127,'Thara Bashirah','','','','',255,4927,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730128,'Mahir Lu''ay','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730129,'Hadoth Al''Uzza','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730130,'a caiman','','','','',255,4745,20,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730131,'Captain Amruq','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730132,'Reyth','','','','',255,4661,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730133,'Snakecharmer Koreshi','','','','',255,4927,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730134,'Honest Ali','<General Goods>','','','',255,4922,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100100,0,0,0,0,0,0,0,0,0,0,0,0),
(730135,'Kalligah','<Warder of Shalih Mar>','','','',255,2415,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730136,'Shalih Mar','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730137,'Taj As''ad','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730138,'Dreadswarm','','','','',255,4531,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730139,'a sand turtle','','','','',255,218,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730140,'a young red piranha','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730141,'a dervish beachcomber','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730142,'a Faro'' Nuk hyas','','','','',255,5130,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730143,'an Anuk'' Sul augur','','','','',255,5133,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730144,'Plumetor Dul''Sadma','<Prophet of Anashti Sul>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730145,'a desert madman','','','','',255,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730146,'a burdened Rujarkian raider','','','','',19,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730147,'a decrepit ghoul','','','','',255,4672,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730148,'Raj','','','','',255,264,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730149,'Dura','','','','',255,264,19,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730150,'a glyphskull skeleton','','','','',255,4543,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730151,'an escaped Rujarkian pitfighter','','','','',19,4945,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730152,'El''khazi, Purveyor of Fine Carpets','','','','',255,4922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730153,'Numair','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730154,'Fahad Nuhayd','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730155,'Naji Uday','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730156,'a shady dervish merchant','','','','',255,4917,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730157,'Jaza','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730158,'a dune scarab','','','','',255,4531,301,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730159,'a dune scarab','','','','',255,4531,303,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730160,'Balarra','<PVP Writs>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730161,'a bull crocodile','','','','',255,4745,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730162,'a dune scarab','','','','',255,4531,279,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730163,'a dune scarab','','','','',255,4531,287,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730164,'a desert lunatic','','','','',255,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730165,'a dune scarab','','','','',255,4531,282,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730166,'a dune scarab','','','','',255,4531,297,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730167,'a fresh catch','','','','',255,4745,39,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730168,'a fresh catch','','','','',255,4745,16,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730169,'a skittish scarab','','','','',255,4531,248,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730170,'a dune scarab','','','','',255,4531,281,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730171,'a dune scarab','','','','',255,4531,287,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730172,'an expedition leader','','','','',255,4999,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730173,'hatched spiderling','','','','',255,205,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730174,'a dune scarab','','','','',255,4531,280,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730175,'a dune scarab','','','','',255,4531,286,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730176,'a dune scarab','','','','',255,4531,292,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730177,'a dune scarab','','','','',255,4531,303,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730178,'a dune scarab','','','','',255,4531,289,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730179,'a skittish scarab','','','','',255,4531,264,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730180,'a dune scarab','','','','',255,4531,293,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730181,'a dune scarab','','','','',255,4531,280,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730182,'Vanesta Leaftraveller','<Trading Liaison>','','','',6,79,32,0,1,1,9,0,1498,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730183,'a skittish scarab','','','','',255,4531,264,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730184,'a dune scarab','','','','',255,4531,302,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730185,'a dune scarab','','','','',255,4531,281,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730186,'a dune scarab','','','','',255,4531,280,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730187,'a dune scarab','','','','',255,4531,287,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730188,'a dune scarab','','','','',255,4531,273,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730189,'a dune scarab','','','','',255,4531,278,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730190,'a dune scarab','','','','',255,4531,292,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730191,'a dune scarab','','','','',255,4531,303,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730192,'Portablebuff','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730193,'Someoneonevone','Chuggster''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730194,'Arby','Vykar''s grim thulian','','','',255,3654,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730195,'Adebisi','Vykar''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730196,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730197,'Oawfulmean','Oawful''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730198,'a spectre','','','','',255,5002,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730199,'a Samiel outfitter','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730200,'a Samiel negotiator','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730201,'a Samiel pillager','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730202,'a Samiel marauder','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730203,'a coastal caller','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730204,'a loot lurch','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730205,'a dune scarab','','','','',255,4531,298,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730206,'a dune scarab','','','','',255,4531,293,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730207,'a dune scarab','','','','',255,4531,282,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730208,'a dune scarab','','','','',255,4531,285,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730209,'a desert maniac','','','','',255,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730210,'a dune scarab','','','','',255,4531,277,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730211,'a shrouded pounder','','','','',255,183,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730212,'a dune scarab','','','','',255,4531,303,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730213,'a distressed merchant','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730214,'a dune scarab','','','','',255,4531,289,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730215,'a dune scarab','','','','',255,4531,287,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730216,'a dunestrider camel','','','','',255,5635,44,0,1,1,1191,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730217,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730218,'a dune scarab','','','','',255,4531,285,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730219,'a dune scarab','','','','',255,4531,294,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730220,'an Alliz Raef Ew prophet','','','','',255,4622,41,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730221,'an Alliz Raef Ew zealot','','','','',255,4623,37,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730222,'Jinnae','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730223,'an unliving healer','','','','',255,4538,27,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730224,'an Ortallian treasure hunter','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730225,'Meathooks','','','','',255,5237,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730226,'a half-eaten giant','','','','',255,4741,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730227,'a half-eaten gnoll','','','','',255,5195,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730228,'a sun-baked skeleton','','','','',255,1521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730229,'Harshaa','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730230,'Jackdaniels','Vesuvo''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730231,'a dune scarab','','','','',255,4531,293,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730232,'a dune scarab','','','','',255,4531,301,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730233,'a dune scarab','','','','',255,4531,292,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730234,'a dune scarab','','','','',255,4531,279,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730235,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730236,'a dune scarab','','','','',255,4531,285,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730237,'Xilla Beetlebinder','','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100101,0,0,0,0,0,0,0,0,0,0,0,0),
(730238,'Scout Irfam','','','','',255,4917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730239,'Kujo','Zandul''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730240,'Gobartik','Quester''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730241,'Qsmell','Minion of Thule','','','',255,1638,12,0,1,1,9,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730242,'Garry','Minion of Thule','','','',255,1638,12,0,1,1,9,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730243,'Fodder','Juejuebees''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730244,'a dune scarab','','','','',255,4531,277,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730245,'Captain Faaman','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730246,'a dune scarab','','','','',255,4531,296,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730247,'Werd','Mayhemx''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730248,'a red piranha guardian','','','','',255,204,105,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730249,'Freepcreep','Drexx''s igneous apprentice','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730250,'Thegiantfatmidgetboy','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730251,'Alyka','Alyka''s Personae Duplicate','','','',9,6486,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730252,'a Rujarkian highwayman','','','','',19,5021,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730253,'a dune scarab','','','','',255,4531,295,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730254,'Rashad','','','','',255,4917,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730255,'a Rujarkian protector','','','','',19,5107,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730256,'a Rujarkian brute','','','','',19,5022,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730257,'a dune scarab','','','','',255,4531,299,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730258,'a dune scarab','','','','',255,4531,301,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730259,'a dune scarab','','','','',255,4531,276,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730260,'a Rujarkian spiritist','','','','',19,5108,29,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730261,'a Rujarkian highwayman','','','','',19,5021,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730262,'a dune scarab','','','','',255,4531,273,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730263,'a dune scarab','','','','',255,4531,295,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730264,'Jabober','Quester''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730265,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730266,'a bull crocodile','','','','',255,4745,53,2,1,1,11,0,0,1,1,1,0,1,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730267,'a dune scarab','','','','',255,4531,277,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730268,'a dune scarab','','','','',255,4531,275,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730269,'a dune scarab','','','','',255,4531,299,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730270,'a dune scarab','','','','',255,4531,280,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730271,'a dune scarab','','','','',255,4531,285,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730272,'Trudge Smashboot','','','','',19,5026,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730273,'an exiled Sha''ir','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730274,'a Rujarkian highwayman leader','','','','',19,5025,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730275,'a Rujarkian pit guard','','','','',19,5025,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730276,'a Rujarkian gambler','','','','',19,4945,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730277,'a pit bouncer','','','','',19,5023,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730278,'a Rujarkian mender','','','','',19,5107,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730279,'a Rujarkian collaborator','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730280,'a pit trainer','','','','',19,5022,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730281,'an awaiting pit fighter','','','','',19,5026,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730282,'a Rujarkian spectator','','','','',19,4945,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730283,'a dervish pit regulator','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730284,'a pit trainer','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730285,'an awaiting pit fighter','','','','',255,4927,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730286,'a dervish pit fighter','','','','',255,4927,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730287,'a dervish spectator','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730288,'a Rujarkian pit fighter','','','','',19,5026,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730289,'a Rujarkian spectator','','','','',19,5021,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730290,'a Rujarkian spectator','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730291,'a Raj''Dur camel','','','','',255,5606,44,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730292,'a dervish spectator','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730293,'a Hafasal camel herder','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730294,'Khabu the Fish','','','','',255,4922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730295,'an Alliz Raef Ew slaver','','','','',255,4622,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730296,'an Alliz Raef Ew raider','','','','',255,4623,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730297,'a Baldoras camel','','','','',255,5635,44,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730298,'a Baldoras seer','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730299,'a Baldoras camel herder','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730300,'a dustwhip hatchling','','','','',255,4532,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730301,'a Sandscrawler thief','','','','',255,5190,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730302,'a Sandscrawler magus','','','','',255,5218,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730303,'a Sandscrawler grunt','','','','',255,5190,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730304,'a Sandscrawler mender','','','','',255,5218,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730305,'a great white ravager','','','','',255,242,208,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730306,'The Weeping Hermit','','','','',255,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730307,'a deepwater strangler','','','','',255,210,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730308,'a restless pike','','','','',255,194,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730309,'a forlorn specter','','','','',255,5001,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730310,'Qwih Gelim','','','','',255,4917,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730311,'Wannaonevone','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730312,'Vobtik','Quester''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730313,'Laner','Icibauv''s aery hunter','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730314,'Hawkeye','Emmybear''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730315,'Jaseker','Whiteorchid''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730316,'Fitz','Fitztemble''s Personae Shift','','','',9,121,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730317,'a dune scarab','','','','',255,4531,289,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730318,'a dune scarab','','','','',255,4531,303,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730319,'a dune scarab','','','','',255,4531,274,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730320,'a dune scarab','','','','',255,4531,302,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730321,'a dune scarab','','','','',255,4531,279,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730322,'a dune scarab','','','','',255,4531,282,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730323,'a dune scarab','','','','',255,4531,277,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730324,'a dune scarab','','','','',255,4531,280,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730325,'a dune scarab','','','','',255,4531,297,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730326,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730327,'a dune scarab','','','','',255,4531,283,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730328,'a dune scarab','','','','',255,4531,300,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730329,'a dune scarab','','','','',255,4531,275,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730330,'a dune scarab','','','','',255,4531,280,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730331,'a dune scarab','','','','',255,4531,281,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730332,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730333,'a dune scarab','','','','',255,4531,290,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730334,'a Rujarkian sentinel','','','','',19,4945,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730335,'Broog the Banished','','','','',255,4919,102,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730336,'a dune scarab','','','','',255,4531,284,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730337,'a dune scarab','','','','',255,4531,273,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730338,'an Alliz Raef Ew knight','','','','',255,4621,39,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730339,'an Alliz Raef Ew oracle','','','','',255,4622,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730340,'Kastik','Jofe''s tellurian myrmidon','','','',255,8303,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730341,'a sea spray','','','','',255,195,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730342,'Jofe''s pyrotechnic','','','','',255,3645,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730343,'a Sul'' Dal axefury','','','','',255,5139,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730344,'a sea foam','','','','',255,195,39,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730345,'The Geyser of Anuk','','','','',255,195,105,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730346,'a dust devil','','','','',255,5596,256,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730347,'widget_dragon_legends_page_05',NULL,'','','',0,49,32,0,1,1,324,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730348,'widget_tirazzah_page_10',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730349,'widget_dragon_legends_page_06',NULL,'','','',0,49,32,0,1,1,388,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730350,'widget_desert_serpent_13',NULL,'','','',0,49,32,0,1,1,437,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730351,'widget_tirazzah_page_07',NULL,'','','',0,49,32,0,1,1,111,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730352,'widget_desert_serpent_12',NULL,'','','',0,49,32,0,1,1,274,0,0,0,0,1,0,0,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730353,'widget_tirazzah_book',NULL,'','','',0,49,32,0,1,1,274,0,0,0,0,1,0,0,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730354,'prophet_altar',NULL,'','','',0,49,32,0,1,1,1194,0,0,0,0,0,0,0,351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730355,'widget_cyclops_mastery_book',NULL,'','','',0,49,32,0,1,1,1195,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730356,'widget_dragon_legends_page_03',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730357,'widget_tirazzah_page_16',NULL,'','','',0,49,32,0,1,1,1196,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730358,'widget_tirazzah_page_14',NULL,'','','',0,49,32,0,1,1,1197,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730359,'widget_desert_serpent_14',NULL,'','','',0,49,32,0,1,1,1198,0,0,0,0,1,0,0,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730361,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730362,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730363,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730364,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730365,'wood_plank',NULL,'','','',0,4676,31,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730366,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730367,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730369,'base_faction_coin_barrel',NULL,'','','',0,5289,32,0,1,1,91,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730370,'lodizal',NULL,'','','',0,13847,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730371,'Respawn Tent',NULL,'','','',0,1723,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730372,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730373,'base_faction_taj_asad_xt1_evidence',NULL,'','','',0,1393,32,0,1,1,322,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730374,'cr_straw_mat_worn01',NULL,'','','',0,5170,19,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730375,'longsword_uncommon',NULL,'','','',0,1458,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730376,'orc skull',NULL,'','','',0,2998,41,0,1,1,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730377,'ss_rocks_group01',NULL,'','','',0,5106,16,0,1,1,0,0,0,0,0,0,0,0,442,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730378,'scp_numair_x3_crate_1',NULL,'','','',0,1393,32,0,1,1,322,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730379,'Muse Object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730380,'cr_meat_hanger_orc',NULL,'','','',0,5166,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730381,'reverse_carpet_twin_tears',NULL,'','','',0,1369,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730382,'large tent',NULL,'','','',0,4912,31,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730383,'ss_rocks_group01',NULL,'','','',0,5105,1,0,1,1,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730384,'a corral fence, section',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730385,'a dunestrider camel corral, back',NULL,'','','',0,4717,31,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730386,'scp_second_x2_crypt_1',NULL,'','','',0,1347,32,0,1,1,436,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730387,'scp_second_x1_bones_1',NULL,'','','',0,1847,32,0,1,1,543,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730388,'scp_second_x1_bones_3',NULL,'','','',0,1847,32,0,1,1,543,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730389,'carpet_docks',NULL,'','','',0,1369,32,0,1,0,0,0,1907,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730390,'a canoe',NULL,'','','',0,1904,48,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730391,'Altar of Anashti Sul',NULL,'','','',0,9411,32,0,0,0,34,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730392,'El''khazim''s Carpet',NULL,'','','',0,1369,32,0,1,1,1107,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730394,'scp_second_x1_bones_2',NULL,'','','',0,1847,32,0,1,1,543,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730395,'a succulent',NULL,'','','',0,5152,34,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730396,'reverse_carpet_onerock_isle',NULL,'','','',0,1369,32,0,1,1,1190,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730397,'e3_zone_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730398,'a strong wind',NULL,'','','',0,2306,64,0,1,1,1192,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730399,'ss_dunebeetle_carapace01',NULL,'','','',0,5676,227,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730404,'cr_signal_fire',NULL,'','','',0,5169,32,0,1,1,0,0,0,0,0,0,0,0,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730405,'cube_rujarkian_soldier_06',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730406,'cube_rujarkian_soldier_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730407,'cube_rujarkian_soldier_05',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730408,'cube_rujarkian_soldier_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730409,'cube_rujarkian_soldier_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730410,'nightblooming desert rose',NULL,'','','',255,1738,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730411,'reverse_carpet_undercity_arena',NULL,'','','',0,1369,32,0,1,1,1190,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730412,'quest_sphinx_rock',NULL,'','','',0,5088,22,0,1,1,1193,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730413,'a rusted and broken cage, Dalgin''s Demise',NULL,'','','',0,1526,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730414,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(730415,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730416,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730417,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(730418,'kilroy_chest',NULL,'','','',0,2654,35,0,1,1,135,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730419,'Lamp of al''Azhar',NULL,'','','',0,5319,32,0,1,1,61,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730420,'zone_to_pirate_boat_qst',NULL,'','','',0,1497,32,0,1,1,325,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730421,'an ebbnut',NULL,'','','',0,3956,16,0,1,1,326,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730422,'evidence of Wad''dah, map scroll',NULL,'','','',0,3217,32,0,1,1,419,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730423,'evidence of Wad''dah, wine bottle',NULL,'','','',0,4604,32,0,1,1,419,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730424,'kilroy_urn',NULL,'','','',0,5220,32,0,1,1,135,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730425,'evidence of Wad''dah, drum',NULL,'','','',0,2092,32,0,1,1,419,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730426,'zone_to_exp01_dun_living_tombs',NULL,'','','',0,49,32,0,0,0,420,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730427,'evidence of Wad''dah, calligraphy set',NULL,'','','',0,3500,32,0,1,1,419,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730428,'flag_rujarkian_raiders',NULL,'','','',0,5675,32,0,1,1,422,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730429,'zone_to_exp01_rgn_sinking_sands_epic01_lockjaw_dorns_cache',NULL,'','','',0,1489,24,0,0,0,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730430,'the skeleton of ganish',NULL,'','','',0,1847,32,0,1,1,61,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730431,'ancient caryatid',NULL,'','','',0,2904,16,0,1,1,433,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730432,'portal_to_sabarons_palace',NULL,'','','',0,5319,32,0,0,0,434,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730433,'zone_to_exp01_dun_silent_city',NULL,'','','',0,49,32,0,0,0,435,0,0,0,0,1,0,0,131,0,0,0,0,0,33009,0,0,0,0,0,0,0,0,0,0,0),
(730434,'a Ward of Dissolution',NULL,'','','',0,3482,32,0,1,1,438,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730435,'ancient tablet',NULL,'','','',0,1549,32,0,1,1,433,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730436,'crocodile_nests',NULL,'','','',0,2400,43,0,1,1,439,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730437,'kilroy_dagger',NULL,'','','',0,1860,32,0,1,1,135,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730438,'a Ward of Ethernere',NULL,'','','',0,3482,32,0,1,1,438,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730439,'kilroy_painted_rocks',NULL,'','','',0,5375,9,0,1,1,135,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730440,'the Deathknell Pyre',NULL,'','','',0,4926,32,0,1,1,61,0,0,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730441,'a secret note from Wad''dah Haz''iz',NULL,'','','',0,3552,84,0,1,1,440,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730442,'widget_zone_to_sanctorium',NULL,'','','',0,49,32,0,0,0,441,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730443,'the Baldoras family notes',NULL,'','','',0,3217,18,0,1,1,61,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730444,'evidence of Wad''dah, pad',NULL,'','','',0,3323,32,0,1,1,419,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730445,'a Ward of Demise',NULL,'','','',0,3482,32,0,1,1,438,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730446,'zone_to_exp01_rgn_sinking_sands_epic01_lockjaw',NULL,'','','',0,49,32,0,0,0,544,0,0,0,0,1,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730447,'crate_jaldaris_sands',NULL,'','','',0,5149,32,0,1,1,579,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730448,'portal_to_kylong_plains',NULL,'','','',0,2306,48,0,0,0,1033,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730449,'Tinmizer''s corcodile trap, one',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730450,'Tinmizer''s corcodile trap, two',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730451,'a grotto tombstone, Grotto Gandin',NULL,'','','',0,3351,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730452,'Tinmizer''s corcodile trap, three',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730453,'crate_manifest_error',NULL,'','','',0,5677,32,0,1,1,1199,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730454,'crate, Far Sands cargo',NULL,'','','',0,2679,32,0,1,1,289,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730455,'a Ward of Ruin',NULL,'','','',0,3482,32,0,1,1,438,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730456,'the skeleton of kaldara',NULL,'','','',0,1847,32,0,1,1,61,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730457,'a Ward of Necrosis',NULL,'','','',0,3482,32,0,1,1,438,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730458,'kilroy_dead_dog',NULL,'','','',0,2371,47,0,1,1,135,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730459,'Tinmizer''s corcodile trap, five',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730460,'Tinmizer''s corcodile trap, four',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730461,'Tinmizer''s corcodile trap, six',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730462,'Tinmizer''s corcodile trap, seven',NULL,'','','',0,2682,32,0,1,1,878,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730463,'a Ward of Oblivion',NULL,'','','',0,3482,32,0,1,1,438,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730464,'kilroy_stein',NULL,'','','',0,4715,32,0,1,1,135,0,0,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730465,'goblin_cage01',NULL,'','','',0,1528,32,0,1,1,1200,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730466,'kilroy_scorpion_eggs',NULL,'','','',0,5174,111,0,1,1,135,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730467,'a graveyard',NULL,'','','',0,2377,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730468,'evidence of Wad''dah, sketchbook',NULL,'','','',0,3322,32,0,1,1,419,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730469,'zone_to_exp01_dun_living_tombs',NULL,'','','',0,49,32,0,1,1,420,0,0,0,0,1,0,0,465,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730470,'kilroy_cactus',NULL,'','','',0,5152,18,0,1,1,135,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730471,'kilroy_skeleton',NULL,'','','',0,1847,32,0,1,1,135,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730472,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730473,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730474,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730475,'clutch of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730476,'sun bleached roots',NULL,'','','',0,1731,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730477,'arid timber',NULL,'','','',0,3938,40,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730478,'parched shrubbery',NULL,'','','',0,4078,26,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730479,'sand scoured stone',NULL,'','','',0,3916,73,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730480,'eroded ore',NULL,'','','',0,3957,10,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730481,'a lost cargo crate',NULL,'','','',0,5679,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730482,'Terrorantula','','','','',255,5627,150,0,1,1,0,0,0,1,1,1,0,0,115,1100000,961,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730483,'a saltwater crocodile','','','','',255,13847,26,4,1,1,11,0,0,1,1,1,0,0,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730484,'Lozidal','','','','',255,218,500,0,1,1,11,0,0,1,1,1,0,0,250,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730485,'Fasul',NULL,'','','',45,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730486,'an oasis bandit',NULL,'','','',0,79,32,0,1,1,11,0,0,1,1,1,0,1,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730487,'an osasis bandit',NULL,'','','',0,78,32,0,1,1,11,0,0,1,1,0,0,1,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(730488,'an osasis bandit',NULL,'','','',0,78,32,0,1,1,11,0,0,1,1,0,0,1,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740000,'Rouras','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740001,'Helly''s Forge of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740002,'Rouras','Helly''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740003,'a Dustwatch defender','','','','',255,5026,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740004,'a Dustwatch caretaker','','','','',255,5108,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740005,'a Dustwatch sentinel','','','','',255,5026,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740006,'a Dustbound hero','','','','',255,160,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740007,'a Steelslave champion spirit','','','','',19,5027,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740008,'Custodian of the Dust','','','','',255,5026,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740009,'an animated cobra','','','','',255,4660,160,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740010,'a pit cobra','','','','',255,4661,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740011,'a crimson serpent','','','','',255,234,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740012,'a bleached serpent','','','','',255,227,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740013,'an animated cobra','','','','',255,4660,160,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740014,'Keeper of the Bones','','','','',255,5022,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740015,'an animated cobra','','','','',255,4660,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740017,'Plain large bucket',NULL,'','','',0,1663,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740019,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740020,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740021,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740022,'Vace Ornate Face',NULL,'','','',0,1665,31,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740023,'orc skull',NULL,'','','',0,2998,41,0,1,1,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740024,'ss_rocks_group01',NULL,'','','',0,5106,16,0,1,1,0,0,0,0,0,0,0,0,442,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740025,'human skulls in a row',NULL,'','','',0,3001,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740026,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740027,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740028,'ss_rocks_group01',NULL,'','','',0,5105,1,0,1,1,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740029,'clefts_int2_door_frsme_dead01',NULL,'','','',0,5593,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740030,'dpo_preserved_orc',NULL,'','','',0,5022,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740031,'floor_bucket_human_wood01',NULL,'','','',0,3110,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740032,'floor_bottle_human_preservation01',NULL,'','','',0,3099,32,0,1,1,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740033,'floor_bottle_human_preservation02',NULL,'','','',0,3100,32,0,1,1,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740034,'floor_tools_any_torture02',NULL,'','','',0,3234,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740035,'floor_bottle_human_preservation03',NULL,'','','',0,3101,32,0,1,1,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740036,'floor_vase01_any_capped01',NULL,'','','',0,2670,48,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740037,'floor_vase01_any_capped04',NULL,'','','',0,2673,48,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740038,'floor_vase01_any_capped03',NULL,'','','',0,2672,44,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740039,'floor_vase01_any_capped02',NULL,'','','',0,2671,41,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740040,'dpo_dead_bone_cobra',NULL,'','','',0,4660,164,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(740041,'To the Clefts of Rujark',NULL,'','','',0,5592,32,0,1,1,393,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750000,'a flayed Doomwing Legionaire','','','','',255,6017,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750001,'a crumbling Doomwing enforcer','','','','',255,5993,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750002,'a Doomwing dracomagus carcass','','','','',255,6017,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750003,'a cadaverous Doomwing dragoon','','','','',255,6017,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750004,'a fleshstripped Blackscale precursor','','','','',255,5993,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750005,'a deathless gazer','','','','',255,5770,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750006,'a rotting swoop serpent','','','','',255,6003,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750007,'a decomposing basilisk','','','','',255,6033,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750008,'a Fleshstripped bowman','','','','',255,5993,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750009,'a decomposing Blackscale chaplain','','','','',255,5993,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750010,'a cadaverous Doomwing dragoon','','','','',255,6017,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750011,'a flayed Doomwing Legionaire','','','','',255,6017,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750012,'a fleshstripped Blackscale precursor','','','','',255,5993,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750013,'a deathless gazer','','','','',255,5770,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750014,'a carrion worm','','','','',255,2413,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750015,'Yitzik the Hurler','','','','',255,6017,104,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750016,'a Doomwing dracomagus carcass','','','','',255,6017,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750017,'a writhing corpuscle','','','','',255,209,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750018,'a putrified Doomwing','','','','',255,6017,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750019,'a book minion','','','','',255,280,62,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750020,'Fitzpitzle','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750021,'a Blackscale servitor','','','','',255,5993,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750022,'coagulated gore','','','','',255,209,320,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750023,'worms trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750024,'Fire breath',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750025,'right tower trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750026,'left tower trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750027,'right bridge trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750028,'right reartower trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750029,'Skull blocker',NULL,'','','',0,6058,61,0,1,1,0,0,0,0,0,0,0,0,419,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750030,'left bridge trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750031,'left reartower trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750032,'fire_front01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750033,'fire_front01',NULL,'','','',0,4500,61,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(750034,'To Bonemire',NULL,'','','',0,49,32,0,1,1,834,0,0,0,0,1,0,0,274,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760000,'a dragonspawn whelp','','','','',255,238,31,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760001,'Abok''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760002,'Abok''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760003,'Abok''s thug','','','','',13,53,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760004,'a Quellithulian abomination','','','','',255,5863,96,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760005,'a Doomwing soldier','<Doomwing Legion>','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760006,'a Doomwing invoker','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760007,'a Doomwing infiltrator','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760008,'a Doomwing raider','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760009,'Doom Guard Tammuz','<Doomwing Legion>','','','',255,6014,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760010,'a Doomwing destroyer','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760011,'a formless abomination spawn','','','','',255,209,93,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760012,'a formless abomination spawn','','','','',255,209,107,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760013,'a dragonmarked ritualist','<Quellithulian Enclave>','','','',255,5059,35,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760014,'a Doomwing whelp','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760015,'a dragonmarked thaumaturge','<Quellithulian Enclave>','','','',255,5059,35,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760016,'a dragonmarked cenobite','<Quellithulian Enclave>','','','',255,5065,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760017,'a Doomwing Skarize centurion','<Doomwing Legion>','','','',255,6014,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760018,'a Doomwing biopsist','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760019,'a morbid puppet','<a Doomwing transmutilator''s pet>','','','',255,161,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760020,'a Doomwing transmutilator','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760021,'a Doomwing dragonspawn','','','','',255,238,40,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760022,'Raluvh','<Hooluk Prisoner>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760023,'Jin''tiz the Cataloguer','<Doomwing Legion>','','','',255,6016,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760024,'Ishtaran the Skarize','','','','',255,6015,87,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760025,'Doom Guard Vimock','<Doomwing Legion>','','','',255,6015,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760026,'Sothis','','','','',255,5915,32,0,1,1,11,0,0,1,1,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760027,'a Doomwing Skarize berserker','<Doomwing Legion>','','','',255,6014,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760028,'Katalkana','<Doomwing Legion Steward>','','','',255,136,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760029,'Doom Lord Septimus','<Doomwing Legion>','','','',255,5947,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760030,'an animated Skarize warrior','','','','',255,6017,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760031,'06_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760032,'06_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760033,'03_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760034,'03_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760035,'10_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760036,'07_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760037,'10_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760038,'07_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760039,'12_door_2_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760040,'12_door_2_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760041,'10_door_2_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760042,'12_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760043,'12_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760044,'10_door_2_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760045,'12_door_3_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760046,'12_door_3_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760047,'qst_turadramin_tome',NULL,'','','',0,49,32,0,1,1,826,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760048,'16_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760049,'16_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760050,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760051,'human_skull_pile',NULL,'','','',0,4138,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760052,'hf_chest_reliquary_bones01',NULL,'','','',0,6075,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760053,'hf_door01',NULL,'','','',0,6042,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760054,'los_jail_cell_piece01',NULL,'','','',0,5929,38,0,1,1,430,0,1302,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760055,'hf_book_single01',NULL,'','','',0,5880,37,0,1,1,534,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760056,'floor_bottle_any_fermentation01',NULL,'','','',0,2605,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760057,'door_rookery_right',NULL,'','','',0,6043,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760058,'door_rookery_left',NULL,'','','',0,6042,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760059,'Drake Whelp Egg',NULL,'','','',0,6044,65,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760060,'a prismatic lexicon',NULL,'','','',0,5881,32,0,1,1,431,0,6044,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760061,'orb_to_the_bonemire_from_lower_hof',NULL,'','','',0,6079,32,0,1,1,45,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760062,'The Book of Trials',NULL,'','','',0,5881,10,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760063,'atrium flame, an''oa',NULL,'','','',0,6168,32,0,1,1,61,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760064,'atrium flame, ona',NULL,'','','',0,6168,32,0,1,1,61,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760065,'atrium flame, na''ar',NULL,'','','',0,6168,32,0,1,1,61,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760066,'atrium flame, yarna',NULL,'','','',0,6168,32,0,1,1,0,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760067,'glass_vial001_rusty',NULL,'','','',0,5948,64,0,1,1,827,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760068,'01_door_to_bonemire',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760069,'floor_bottle_darkelf_bar03',NULL,'','','',0,2609,64,0,1,1,828,0,2772,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760070,'floor_stand_human_egg04',NULL,'','','',0,6045,73,0,1,1,829,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760071,'floor_distillery_human_kitchen01',NULL,'','','',0,3412,64,0,1,1,830,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760072,'guardroom_door_key',NULL,'','','',0,2071,5,0,1,1,831,0,3750,0,0,1,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760073,'inanimate droag mummy',NULL,'','','',0,6017,70,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760074,'floor_bottle_darkelf_bar02',NULL,'','','',0,2608,64,0,1,1,832,0,2772,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760075,'invis_wall',NULL,'','','',0,4544,32,0,1,1,0,0,1302,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(760076,'Bubbling Cauldron',NULL,'','','',0,4606,32,0,1,1,833,0,0,0,0,1,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770000,'a Blackscale guardian','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770001,'a Blackscale aegis','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770002,'a Blackscale stalker','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770003,'a Blackscale bonetalker','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770004,'a Blackscale shadowpriest','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770005,'a Blackscale dreadknight','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770006,'a Blackscale shadowmind','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770007,'a Blackscale darkrain','','','','',255,6016,41,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770008,'a Blackscale shadowspeaker','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770009,'a Blackscale darkflame','','','','',255,6016,41,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770010,'a Blackscale stalker','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770011,'a Blackscale Guardian','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770012,'a Blackscale Razorwing','','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770013,'a Blackscale Guardian','','','','',255,6016,41,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770014,'Gobekn','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770015,'Xobeker','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770016,'Kantik','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770017,'Konaner','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770018,'Jabann','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770019,'Ziber','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770020,'a Blackscale Plague Bearer','','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770021,'Lonann','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770022,'a Blackscale Guardian','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770023,'Leker','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770024,'Jabtik','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770025,'Jenartik','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770026,'Zonarn','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770027,'a Blackscale Guardian','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770028,'Vann','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770029,'Kobtik','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770030,'Turadramin','','','','',255,5955,144,0,1,1,0,0,496,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770031,'Oranti the Rizen','','','','',255,6017,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770032,'Karobn','A Blackscale bonetalker''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770033,'a Blackscale Firebrand','','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770034,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(770035,'zone_to_realm_of_night',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780000,'a Vornerous spiritscythe','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780001,'a Vornerous defender','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780002,'a Vornerous drone','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780003,'a Vornerous guard','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780004,'a Vornerous bloodscythe','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780005,'a Vornerous bloodscythe','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780006,'a Vornerous defender','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780007,'Xasantik','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780008,'a Vornerous bonescythe','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780009,'a Vornerous mystic','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780010,'Gasaner','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780011,'Volume I','','','','',255,280,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780012,'a Vornerous spellscythe','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780013,'a Vornerous high guard','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780014,'Volume III','','','','',255,280,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780015,'Volume VII','','','','',255,283,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780016,'a Vornerous loyalist','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780017,'a Vornerous high guard','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780018,'Volume II','','','','',255,283,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780019,'a Vornerous high guard','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780020,'a Vornerous high guard','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780021,'Koneker','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780022,'Volume IV','','','','',255,280,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780023,'Kobartik','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780024,'Kosartik','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780025,'Gentik','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780026,'Volume VI','','','','',255,279,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780027,'a Vornerous guard','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780028,'Volume V','','','','',255,283,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780029,'Jobobtik','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780030,'a Vornerous guard','','','','',255,5757,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780031,'Volume VIII','','','','',255,279,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780032,'Gonobab','A Vornerous bonescythe''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780033,'Volume IX','','','','',255,279,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780034,'Volume X','','','','',255,281,96,0,1,1,11,0,3679,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(780035,'Zone to the Bonemire',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790000,'a Scaleborn warrior','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790001,'a Scaleborn sentry','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790002,'a Scaleborn soulclencher','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790003,'a Scaleborn harbinger','','','','',255,5947,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790004,'an enflamed sentinel','','','','',255,3294,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790005,'a subjugated attendant','','','','',4,4953,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790006,'a herald of Dar','','','','',255,6016,41,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790007,'Emissary Kvikz','','','','',13,55,28,0,1,1,9,0,221,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790008,'a Scaleborn reaver','','','','',255,6015,40,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790009,'Exarch Trulnariz','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790010,'a silent sentinel','','','','',255,3636,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790011,'a tormented wraith','','','','',255,2915,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790012,'a Scaleborn banisher','','','','',255,5947,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790013,'a Scaleborn acolyte','','','','',255,6016,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790014,'a Scaleborn soulrender','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790015,'a ritual sacrifice','','','','',255,4936,32,0,1,1,11,0,2188,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790016,'a proven Scaleborn reaver','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790017,'a Scaleborn acolyte','','','','',255,5947,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790018,'a furywing protector','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790019,'a watchful spiritualist','','','','',255,6016,40,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790020,'a recovering soulclencher','','','','',255,6015,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790021,'an idol','','','','',9,1987,22,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790022,'an eternal aegis','','','','',255,169,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790023,'Remnants of Spirit','','','','',255,2915,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790024,'Portal Guard Graliz','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790025,'a Scaleborn warrior','','','','',255,6015,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790026,'a Scaleborn warrior','','','','',255,6015,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790027,'a Scaleborn magus','','','','',255,6016,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790028,'a watchful aegis','','','','',255,169,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790029,'an alert Scaleborn sentry','','','','',255,6015,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790030,'Rites of the Scaleborn','','','','',9,5941,19,0,1,1,0,0,3441,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790031,'a Scaleborn ritualist','','','','',255,6016,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790032,'a Scaleborn banisher','','','','',255,5947,43,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790033,'a watchful custodian','','','','',255,169,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790034,'an Awakened spiritualist','','','','',255,5947,42,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790035,'Orate Bozar','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790036,'a Scaleborn theurgist','','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790037,'Talonlord Kayzon','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790038,'a summoned intellect','','','','',255,3710,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790039,'Zorv the Soulsnarer','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790040,'Thorn','','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790041,'a Scaleborn blasphemer','','','','',255,5947,45,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790042,'Gribbly the Gallant','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790043,'a Guktan captive','','','','',255,4939,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790044,'an Awakened cellkeeper','','','','',255,6015,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790045,'a talonlord bladehand','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790046,'a Scaleborn trainer','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790047,'a Scaleborn benedictor','','','','',255,5947,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790048,'an alert Scaleborn reaver','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790049,'an inert sentinel','','','','',255,3636,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790050,'a talonlord bladehand trainer','','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790051,'a sentinel builder','','','','',255,6014,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790052,'Scorchprow the Builder','','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790053,'a newly created sentinel','','','','',255,3636,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790054,'Sslan''yiz the Animator','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790055,'Xhorroz','','','','',255,176,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790056,'Overseer of Recovery','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790057,'a giant eternal aegis','','','','',255,169,35,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790058,'Koturah','','','','',255,238,60,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790059,'a Scaleborn worshipper','','','','',255,6016,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790060,'a Scaleborn worshipper','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790061,'a furywing drakota','','','','',255,238,57,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790062,'a particle of energis','','','','',255,3710,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790063,'a hungry gorg','','','','',255,5862,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790064,'a Scaleborn diviner','','','','',255,6016,40,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790065,'Oracle Tuunza','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790066,'an acidic cube mass','','','','',255,175,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790067,'a damaged spirit','','','','',255,2915,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790068,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790069,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790070,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790071,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790072,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790073,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790074,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790075,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790076,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790077,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790078,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790079,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790080,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790081,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790082,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790083,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790084,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790085,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790086,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790087,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790088,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790089,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790090,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790091,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790092,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790093,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790094,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790095,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790096,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790097,'raid_r101_dragondoor_room05_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790098,'raid_r101_dragondoor_room05_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790099,'raid_r101_dragondoor_room05_03',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790100,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790101,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790102,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790103,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790104,'raid_r101_dragondoor_room05_04',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790105,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790106,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790107,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790108,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790109,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790110,'widget_teachings_of_master_wu_book',NULL,'','','',0,49,32,0,1,1,111,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790111,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790112,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790113,'',NULL,'','','',0,49,32,0,1,1,589,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790114,'',NULL,'','','',0,49,32,0,1,1,589,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790115,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790116,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790117,'',NULL,'','','',255,2306,8,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790118,'los_jail_cell_piece01',NULL,'','','',0,5929,38,0,1,1,430,0,1302,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790119,'lava spout',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790120,'invisible trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790121,'los_jail_cell_piece_door01',NULL,'','','',0,5929,57,0,1,1,61,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790122,'skull severed shade',NULL,'','','',0,2999,32,0,1,1,586,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790123,'ready_room_dpo_cube_01',NULL,'','','',0,2306,32,0,1,1,587,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790124,'an ancient draconic forge',NULL,'','','',0,1859,25,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790125,'oratorium_listening_crystal_04',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790126,'oratorium_listening_crystal_02',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790127,'ready_room_dpo_cube_02',NULL,'','','',0,2306,32,0,1,1,587,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790128,'barracks_listening_crystal_02',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790129,'ready_room_dpo_cube_03',NULL,'','','',0,2306,32,0,1,1,587,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790130,'ready_room_dpo_cube_04',NULL,'','','',0,2306,32,0,1,1,587,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790131,'listening_crystal_placed',NULL,'','','',0,2681,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790132,'barracks_listening_crystal_01',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790133,'barracks_listening_crystal_04',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790134,'barracks_listening_crystal_03',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790135,'oratorium_listening_crystal_03',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790136,'oratorium_listening_crystal_01',NULL,'','','',0,2681,32,0,1,1,538,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790137,'trap_release_09h',NULL,'','','',0,5894,32,0,1,1,467,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790138,'quest_weaponrack',NULL,'','','',0,1534,32,0,1,1,588,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790139,'fountain_room_dpo_cube_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790140,'fountain_room_dpo_cube_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790141,'fountain_room_dpo_cube_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790142,'fountain_room_dpo_cube_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790143,'tome_chant_of_exarchs',NULL,'','','',0,49,32,0,1,1,590,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790144,'a hidden image, chapter 1',NULL,'','','',0,2306,69,0,1,1,0,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790145,'wraith_crystals02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790146,'a hidden image, chapter 2',NULL,'','','',0,2306,32,0,1,1,591,0,1907,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790147,'wraith_crystals03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790148,'wraith_crystals04',NULL,'','','',0,49,32,0,1,1,592,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790149,'a hidden image, chapter 5',NULL,'','','',0,2306,58,0,1,1,591,0,1907,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790150,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790151,'dpo_djn_mirror_translocation01',NULL,'','','',0,6056,32,0,1,1,593,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790152,'zone_to_tenebrous_tangle_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790153,'zone_to_tenebrous_tangle',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790154,'odd markings, claymore slots',NULL,'','','',0,2306,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790155,'a hidden image, chapter 3',NULL,'','','',0,2306,40,0,1,1,591,0,1907,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790156,'a hidden image, chapter 4',NULL,'','','',0,2306,64,0,1,1,591,0,1907,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790157,'a tome of scaleborn tactics, volume 7',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790158,'an apparition chest, priest',NULL,'','','',0,5865,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790159,'the golem eye chest',NULL,'','','',0,5865,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790160,'Yore Flame of Verineth socket',NULL,'','','',0,6168,32,0,1,1,61,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790161,'The Book of Sacrifice',NULL,'','','',0,5881,18,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790162,'a tome of scaleborn tactics, volume 1',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790163,'gold dragon idol, secret vault',NULL,'','','',0,2306,82,0,1,1,595,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790164,'the eternal eye chest',NULL,'','','',0,5865,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790165,'zeixshi-kar_statue_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790166,'a tome of scaleborn tactics, volume 5',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790167,'a tome of scaleborn tactics, volume 3',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790168,'a tome of scaleborn tactics, volume 4',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790169,'widget_ritual_bowl02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790170,'widget_ritual_bowl06',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790171,'a tome of scaleborn tactics, volume 6',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790172,'widget_ritual_bowl04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790173,'widget_ritual_bowl01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790174,'widget_ritual_bowl05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790175,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790176,'Pool of Spirits',NULL,'','','',0,4657,113,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790177,'a tome of scaleborn tactics, volume 2',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790178,'the locked chest',NULL,'','','',0,4015,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790179,'pool of animatus''unx',NULL,'','','',0,2306,36,0,1,1,61,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790180,'a tome of scaleborn tactics, volume 8',NULL,'','','',0,3322,32,0,1,1,594,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790181,'tome of scaleborn tactics',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790182,'pool of animatus''dox',NULL,'','','',0,2306,34,0,1,1,61,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790183,'the Anvil of Animatus',NULL,'','','',0,3316,32,0,1,1,61,0,3246,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790184,'orate ceremonial rack',NULL,'','','',0,4651,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790185,'the lockless chest',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790186,'a white dragon switch, 02',NULL,'','','',0,4456,55,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790187,'a blue dragon switch, 02',NULL,'','','',0,4456,54,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790188,'a blue dragon switch, 01',NULL,'','','',0,4456,54,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790189,'the dragon column',NULL,'','','',0,2306,55,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790190,'a dragon pillar, nw',NULL,'','','',0,2306,41,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790191,'the Scaleborn vault',NULL,'','','',0,4657,23,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790192,'a dragon pillar, ne',NULL,'','','',0,2306,40,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790193,'a white dragon switch, 01',NULL,'','','',0,4456,53,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790194,'a red dragon switch, 03',NULL,'','','',0,4456,53,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790195,'a red dragon switch, 01',NULL,'','','',0,4456,54,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790196,'a dragon pillar, sw',NULL,'','','',0,2306,40,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790197,'a blue dragon switch, 04',NULL,'','','',0,4456,57,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790198,'a blue dragon switch, 03',NULL,'','','',0,4456,53,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790199,'a dragon pillar, se',NULL,'','','',0,2306,39,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790200,'a red dragon switch, 04',NULL,'','','',0,4456,54,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790201,'a red dragon switch, 02',NULL,'','','',0,4456,51,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790202,'a black dragon switch, 03',NULL,'','','',0,4456,54,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790203,'a black dragon switch, 02',NULL,'','','',0,4456,54,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790204,'a white dragon switch, 03',NULL,'','','',0,4456,56,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790205,'a black dragon switch, 04',NULL,'','','',0,4456,56,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790206,'a black dragon switch, 01',NULL,'','','',0,4456,53,0,1,1,596,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790207,'the divining egg chest',NULL,'','','',0,5865,32,0,1,1,61,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(790208,'a ceremonial darslayer',NULL,'','','',0,5991,41,0,1,1,2,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800001,'a guardian of secrets','<Guardians of the Hoard>','','','',255,160,52,8,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800002,'a sentinel of sight','<Guardians of the Hoard>','','','',255,160,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800003,'a sentry of the hoard','<Guardians of the Hoard>','','','',255,160,54,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800004,'an exultant seer','<Guardians of the Hoard>','','','',255,148,38,6,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800005,'a sentry of seeing','<Guardians of the Hoard>','','','',255,162,54,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800006,'a triumphant visionary','<Guardians of the Hoard>','','','',255,148,25,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800007,'a constructed man-at-arms','<Guardians of the Hoard>','','','',255,160,51,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800008,'Pain','<Guardians of the Hoard>','','','',255,1638,102,0,1,1,35,0,4141,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800009,'The Enforcer of Captivity','<Guardians of the Hoard>','','','',255,162,57,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800010,'The Overlord of Captivity','<Guardians of the Hoard>','','','',255,2899,76,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800011,'a mistbound enforcer','<Guardians of the Hoard>','','','',255,3636,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800012,'a mistbound sentry','<Guardians of the Hoard>','','','',255,3636,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800013,'a mistbound vindicator','<Guardians of the Hoard>','','','',255,3636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800014,'Venekor','','','','',255,1628,67,0,1,1,0,0,0,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800015,'a mistbound concordat','<Guardians of the Hoard>','','','',255,3636,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800016,'a shadowy construct','<Guardians of the Hoard>','','','',255,5771,48,0,1,1,35,0,3119,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800017,'a mistbound sentry','<Guardians of the Hoard>','','','',255,3636,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800018,'a mystbound seer','<Guardians of the Hoard>','','','',255,3636,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800019,'a mistbound prelate','<Guardians of the Hoard>','','','',255,3636,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800020,'Suffering','<Guardians of the Hoard>','','','',255,170,108,0,1,1,35,0,4141,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800021,'A Charged Presence','','','','',255,240,67,0,1,1,35,0,3632,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800022,'The Elemental Warder','<Guardians of the Hoard>','','','',255,3636,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800023,'an insidious reward','<Minion of Munzok>','','','',255,226,44,0,1,1,35,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800024,'O''zkat the Avenger','<Minion of Munzok>','','','',255,1585,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800025,'a nefarious reward','<Minion of Munzok>','','','',255,226,57,0,1,1,35,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800026,'a nefarious wonder','<Guardians of the Hoard>','','','',255,5771,60,0,1,1,35,0,3119,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800027,'A Shadowy Presence','','','','',255,240,67,0,1,1,35,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800028,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800029,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800030,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800031,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800032,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800033,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800034,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800035,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800036,'an archaic door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800037,'an archaic door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800038,'an archaic door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800039,'an archaic door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800040,'an archaic door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800041,'los_jail_cell_piece_door01',NULL,'','','',0,5929,57,0,1,1,61,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800042,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,32,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800043,'ls_minion_weapons_armorstand01',NULL,'','','',0,6236,32,0,1,1,33,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800044,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,31,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800045,'zone_to_tenebrous_tangle2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800046,'zone_to_tenebrous_tangle',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800047,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,32,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800048,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,31,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800049,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,31,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800050,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,32,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800051,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,31,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800052,'sos_dragoneggs_broken_blue',NULL,'','','',0,6088,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800053,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,31,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(800054,'hf_decoration_scrimshawfang_wall01',NULL,'','','',0,5897,32,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810000,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810001,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810002,'a Thulian fear-devourer','','','','',255,177,70,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810003,'Protector of Fear','','','','',255,176,92,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810004,'Vilucidae the Priest of Thule','<Lord of the Lyceum>','','','',255,176,150,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810005,'a Thulian fear-guard','','','','',255,148,64,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810006,'a Thulian fright-knight','','','','',255,177,70,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810007,'a guardian of the sanctum','','','','',255,176,86,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810008,'an essence protector','','','','',255,176,92,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810009,'Essence of Fear','<Guardian of the Gate>','','','',255,3717,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810010,'a tireless fear-touched minion','','','','',255,5993,77,7,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810011,'a tireless fear-touched trainer','','','','',255,5993,78,6,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810012,'a gasping fleshrender','','','','',255,6017,80,6,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810013,'a tireless fear-touched assistant','','','','',255,5993,83,3,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810014,'a fear-tainted feaster','','','','',255,5993,80,5,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810015,'a Thulian fear-keeper','','','','',255,177,69,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810016,'an Eye of Thule','','','','',255,247,60,5,1,1,11,0,2104,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810017,'a fearling tot','','','','',255,5863,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810018,'Gnorbl the Playful','','','','',255,5918,150,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810019,'a newly-converted droag','','','','',255,5993,78,7,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810020,'Gnillaw the Demented','<High Proselytizer>','','','',255,176,135,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810021,'Gnorbl the Playful''s fearling friend','','','','',255,5863,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810022,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810023,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810024,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810025,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810026,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810027,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810028,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810029,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810030,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810031,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810032,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810033,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810034,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810035,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810036,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810037,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810038,'entry_room_orb1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810039,'entry_room_orb4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810040,'zone_to_tenebrous_02',NULL,'','','',0,49,32,0,1,1,526,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810041,'zone_to_tenebrous_01',NULL,'','','',0,49,32,0,1,1,526,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810042,'sign_essence_holder',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,489,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810043,'The Stance of Terror',NULL,'','','',0,5886,32,0,1,1,511,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810044,'The Stance of Fright',NULL,'','','',0,5886,32,0,1,1,511,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810045,'entry_room_orb3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810046,'entry_room_orb2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810047,'sign_war_rug',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810048,'sign_mystical_light_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810049,'sign_prayer_bowl',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810050,'sign_broken_eggshells',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810051,'The Stance of Dread',NULL,'','','',0,5886,32,0,1,1,511,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810052,'sign_feast_table',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810053,'sign_mystical_light_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810054,'sign_mystical_light_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810055,'sign_mystical_light_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810056,'The Stance of Thule',NULL,'','','',0,5886,32,0,1,1,511,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810057,'sign_green_dragon',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810058,'sign_gold_dragon',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(810059,'a fear flower',NULL,'','','',0,1678,19,0,1,1,527,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820000,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820001,'XXXXXX','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820002,'XXXXXX','XXXXX''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820003,'a Blacktalon palace guard','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820004,'a Blacktalon watcher','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820005,'an ethereal idol','','','','',9,5941,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820006,'a Blacktalon disciple','','','','',255,5939,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820007,'Peysel''s Ring of Fire','','','','',255,4500,112,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820008,'a Blacktalon coadjutant','','','','',255,5907,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820009,'a Blacktalon savant','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820010,'a Blacktalon follower','','','','',255,5940,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820011,'a Blacktalon palace knight','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820012,'a flying guillotine','','','','',255,230,64,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820013,'a metalwork sentinel','','','','',255,4711,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820014,'Tiny','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820015,'a palace sentinel','','','','',255,230,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820016,'a menacing droplet','','','','',255,296,31,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820017,'a sinister fluidity','','','','',255,195,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820018,'a Blacktalon initiate','','','','',255,5939,31,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820019,'a Blacktalon partisan','','','','',255,5939,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820020,'a Bloodscale high priest','','','','',255,6016,54,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820021,'a Bloodscale shadowslayer','','','','',255,6014,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820022,'a Bloodscale enforcer','','','','',255,6015,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820023,'a Blacktalon caretaker','','','','',255,5940,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820024,'an Advisor''s assistant','','','','',255,5939,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820025,'a Blacktalon caretaker','','','','',255,5940,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820026,'a Naar''Yora scholar','','','','',255,5001,78,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820027,'a Blacktalon palace knight','','','','',255,5907,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820028,'a Naar''Yora scholar','','','','',255,5001,80,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820029,'a Bloodscale counselor','','','','',255,6016,53,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820030,'a fiery occlusion','','','','',255,3716,34,1,1,1,11,0,0,1,1,1,0,0,32,1036,1036,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820031,'Grand','Grand''s tellurian champion','','','',255,5862,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820032,'a diabolic pet guardian','','','','',255,5193,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820033,'a Blacktalon vanquisher','','','','',255,5907,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820034,'a Skylord regent','','','','',255,5910,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820035,'a merciless pet guardian','','','','',255,5193,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820036,'a ferocious pet guardian','','','','',255,5193,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820037,'Enmity of Narr''Yora','','','','',255,156,284,0,1,1,11,0,0,1,1,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820038,'a shimmering repulsor','','','','',255,273,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820039,'Kazoc','Kazoc''s dreadnought','','','',255,4545,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820040,'an Ironfang striker','','','','',255,4662,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820041,'a Naar''Yora defender','','','','',255,5001,79,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820042,'a Naar''Yora defender','','','','',255,5001,78,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820043,'a Naar''Yora philosopher','','','','',255,5001,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820044,'a temperamental tome','','','','',255,281,48,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820045,'Grand','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820046,'a fiendish Naar''Yora defender','','','','',255,5001,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820047,'Brakzar the Meat Cleaver','','','','',255,5947,66,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820048,'Warden Skalarr','','','','',255,6015,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820049,'A Blacktalon palace knight''s nefarious sacrament','','','','',9,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820050,'a Bloodscale invoker','','','','',255,6016,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820051,'an animated barricade','','','','',255,307,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820052,'a Bloodscale enforcer','','','','',255,6015,53,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820053,'a Bloodscale conjuror','','','','',255,6016,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820054,'Alpha','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820055,'Gosekab','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820056,'Mrowl''s attack hawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820057,'Kazoc''s blighted horde','','','','',255,5095,24,3,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820058,'a Bloodscale dreadknight','','','','',255,6015,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820059,'a Blacktalon crafter','','','','',255,5939,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820060,'a Blacktalon taskmaster','','','','',255,5910,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820061,'a Bloodscale overseer','','','','',255,6016,56,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820062,'Grand''s aqueous horde','','','','',255,2391,25,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820063,'A fiendish Naar''Yora defender''s nefarious sacrament','','','','',9,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820064,'Glitter','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820065,'Jabarer','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820066,'a Blacktalon attendant','','','','',255,5940,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820067,'Lobeker','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820068,'Skoucail''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820069,'Yrena''s wolf ally','','','','',255,216,20,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820070,'Aaryonar the Watcher','','','','',255,6011,32,0,1,1,9,0,0,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820071,'',NULL,'','','',0,49,32,0,1,1,1237,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820072,'',NULL,'','','',0,49,32,0,1,1,1238,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820073,'qst_gem_nest012',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820074,'',NULL,'','','',0,49,32,0,1,1,1240,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820075,'',NULL,'','','',0,49,32,0,1,1,1241,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820076,'qst_gem_nest019',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820077,'qst_gem_nest05',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820078,'qst_incubator_1',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820079,'qst_incubator_3',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820080,'qst_hatchery_eggs',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820081,'qst_incubator_5',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820082,'qst_gem_nest017',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820083,'qst_gem_nest04',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820084,'qst_hatchery_eggs',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820085,'qst_gem_nest020',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820086,'qst_gem_nest07',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820087,'qst_incubator_4',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820088,'qst_gem_nest010',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820089,'qst_hatchery_eggs',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820090,'qst_gem_nest018',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820091,'qst_incubator_2',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820092,'qst_gem_nest06',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820093,'qst_gem_nest011',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820094,'qst_gem_nest02',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820095,'qst_gem_nest016',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820096,'qst_gem_nest013',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820097,'qst_gem_nest03',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820098,'qst_gem_nest01',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820099,'qst_gem_nest014',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820100,'qst_gem_nest015',NULL,'','','',0,49,32,0,1,1,1239,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820103,'floor_books_any_mixed05',NULL,'','','',0,2595,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820104,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820105,'',NULL,'','','',0,5952,32,0,1,1,0,0,0,0,0,0,0,0,381,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820106,'los_jail_cell_piece01',NULL,'','','',0,5929,38,0,1,1,430,0,1302,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820107,'qst_culture_x4_start',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820108,'invisible wall, aeristok south wall',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820109,'invisible wall, aeristok north wall',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820110,'invisible wall, aeristok ladder wall',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820111,'qst_culture_x2_start',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820112,'qst_might_x2_restart',NULL,'','','',0,2595,32,0,1,1,55,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820113,'hf_decoration_scrimshawfang_floor02',NULL,'','','',0,5896,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820114,'second circle of naar''yora',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820115,'butcher table',NULL,'','','',0,2041,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820116,'invisible wall, aeristok upstairs wall',NULL,'','','',0,4544,48,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820117,'mount of aaryonar',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820118,'hf_decoration_scrimshawfang_floor01',NULL,'','','',0,5895,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820119,'qst_starter_might_x3',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820120,'zone_to_barren_sky',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820121,'the Salutations Tome',NULL,'','','',0,3322,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820122,'qst_statue_2_andan',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820123,'base of east spiroc wing',NULL,'','','',0,2306,199,0,1,1,1243,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820124,'qst_statue_1_varenok',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820125,'an empty glass jug',NULL,'','','',0,2605,32,0,1,1,1244,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820126,'base of west spiroc wing',NULL,'','','',0,2306,170,0,1,1,1243,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820127,'chest of the four winds',NULL,'','','',0,5865,32,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820128,'a hidden foyer vault',NULL,'','','',0,2306,78,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820129,'qst_treasure_urn',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820130,'qst_maiden_armor01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820131,'qst_maiden_armor02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820132,'qst_statue_3_aeristok',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820133,'qst_statue_5_kruekil',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820134,'statue of aeristok',NULL,'','','',0,2306,136,0,1,1,1245,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820135,'qst_maiden_armor06',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820136,'qst_maiden_armor03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820137,'qst_maiden_armor05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820138,'The Book of Power',NULL,'','','',0,5886,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820139,'qst_empty_urn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820140,'qst_statue_6_vethros',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820141,'qst_maiden_armor04',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820142,'the Tome of Aaryonar',NULL,'','','',0,5881,32,0,1,1,61,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820143,'bust of eyes',NULL,'','','',0,6001,19,0,1,1,1245,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820144,'qst_statue_8_cheyruk',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820145,'qst_statue_9_inkarun',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820146,'the astral binder',NULL,'','','',0,2306,30,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820147,'qst_statue_7_matal',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820148,'qst_statue_4_ampoel',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820149,'qst_bookshelf_of_arcana',NULL,'','','',0,49,32,0,1,1,1246,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820150,'qst_bookshelf_of_harmony',NULL,'','','',0,49,32,0,1,1,1246,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820151,'qst_bookshelf_of_war',NULL,'','','',0,49,32,0,1,1,1246,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820152,'qst_bookshelf_of_death',NULL,'','','',0,49,32,0,1,1,1246,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820153,'qst_statue_10_maersol',NULL,'','','',0,49,32,0,1,1,1242,0,0,0,0,0,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820154,'qst_locksmith_workbench',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820155,'a locksmith manual',NULL,'','','',0,2306,20,0,1,1,1247,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820156,'an aviak statue',NULL,'','','',0,2306,162,0,1,1,1248,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820157,'bust of aaryonar',NULL,'','','',0,6001,24,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820158,'a banner of the Flock, one',NULL,'','','',0,2306,52,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820159,'a banner of the Flock, two',NULL,'','','',0,2306,42,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820160,'a banner of the Flock, three',NULL,'','','',0,2306,43,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820161,'a stack of books',NULL,'','','',0,3026,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820162,'a stack of books',NULL,'','','',0,3027,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820163,'a shiny key',NULL,'','','',0,2244,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(820164,'a loose scroll',NULL,'','','',0,3549,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830000,'Jartik','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830001,'a Quellithulian archivist','','','','',255,1598,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830002,'a Quellithulian ritualist','','','','',255,1600,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830003,'a Quellithulian sentry','','','','',255,1602,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830004,'a Quellithulian elementalist','','','','',255,1598,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830005,'a Quellithulian researcher','','','','',255,1602,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830006,'a Bloodscale sentry','','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830007,'a Bloodscale elite guard','','','','',255,6015,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830008,'a Bloodscale scout','','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830009,'a Quellithulian elite guard','','','','',255,1604,35,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830010,'a Bloodscale vault sentry','','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830011,'a Bloodscale vault sentry','','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830012,'a Bloodscale overseer','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830013,'a Quellithulian student of teleportation','','','','',255,1603,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830014,'a Bloodscale royal guard','','','','',255,6015,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830015,'The Arcane Librarian','','','','',255,1606,35,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830016,'a Quellithulian scholar','','','','',255,1593,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830017,'a Quellithulian scholar','','','','',255,1597,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830018,'XXXXX''s Forge of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830019,'a Quellithulian scholar','','','','',255,1596,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830020,'a Quellithulian scholar','','','','',255,1591,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830021,'XXXXXX','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830022,'XXXXXX','XXXXX''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830023,'a Bloodscale informer','','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830024,'a Quellithulian portal mage','','','','',255,1601,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830025,'Vonartik','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830026,'Kabeker','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830027,'The Messenger of El''Arad','','','','',3,1598,35,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830028,'Losekn','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830029,'Jeker','Kaiin''s wisp','','','',255,273,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830030,'Xekn','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830031,'Korgo the Vault Keeper','<Bloodscale Commander>','','','',255,6015,124,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830032,'Kaiin''s aqueous horde','','','','',255,2391,25,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830033,'Kaiin''s pyromancy','','','','',255,5597,32,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830034,'f2_widget_teleporter_down',NULL,'','','',0,49,32,0,1,1,239,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830035,'f2_widget_teleporter_up',NULL,'','','',0,49,32,0,1,1,240,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830036,'qst_teleport_tome',NULL,'','','',0,49,32,0,1,1,1232,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830037,'f3_widget_teleporter_exit',NULL,'','','',0,49,32,0,1,1,1233,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830041,'an oil painting of a claymore ',NULL,'','','',0,2194,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830042,'Winged Glory',NULL,'','','',0,4328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830043,'Nagafen Lord of Flame',NULL,'','','',0,4415,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830044,'Slaying Redwind and a Pint of Ale',NULL,'','','',0,4334,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830045,'Lair of Icy Doom',NULL,'','','',0,4335,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830046,'Daughter of the Void',NULL,'','','',0,4417,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830047,'a fine landscape painting',NULL,'','','',0,2203,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830048,'Might of Oggok',NULL,'','','',0,4333,70,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830049,'Night on Neriak',NULL,'','','',0,4332,71,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830050,'teleportation_rune1',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830051,'Towering Cold',NULL,'','','',0,4321,79,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830052,'Skeletal Barrier',NULL,'','','',0,4323,79,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830053,'Opposition',NULL,'','','',0,4319,71,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830054,'Death''s Touch',NULL,'','','',0,4327,77,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830055,'Forgotten Foe',NULL,'','','',0,4322,74,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830056,'Sanctuary',NULL,'','','',0,4326,70,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830057,'Estate of Unrest',NULL,'','','',0,4339,62,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830058,'The Remains of Guk',NULL,'','','',0,4336,62,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830059,'Tower of the Foci',NULL,'','','',0,4359,79,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830060,'static_portal_effect_NO_SCRIPT',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830061,'Dwarven Might',NULL,'','','',0,4353,31,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830062,'teleportation_rune3',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830063,'teleportation_rune2',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830064,'teleportation_rune12',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830065,'Before the Fall',NULL,'','','',0,4331,73,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830066,'Hidden in the Mists',NULL,'','','',0,4330,80,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830067,'The Great Divide',NULL,'','','',0,4350,53,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830068,'teleportation_rune5',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830069,'teleportation_rune9',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830070,'teleportation_rune7',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830071,'teleportation_rune8',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830072,'teleportation_rune6',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830073,'teleportation_rune10',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830074,'teleportation_rune4',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830075,'messenger_port_effect_object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830076,'portal_effect_object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830077,'teleportation_rune13',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830078,'teleportation_rune11',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830079,'teleportation_rune14',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830080,'teleportation_rune15',NULL,'','','',0,3033,16,0,1,1,1231,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(830081,'To The Barren Sky',NULL,'','','',0,49,32,0,0,0,1234,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840000,'Foshia''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840001,'Foshia''s protoflame','','','','',255,2360,37,5,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840002,'Varn','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840003,'a Vultak vanquisher','','','','',255,5953,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840004,'an invading Vultak','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840005,'a ransacking Vultak','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840006,'a searching Vultak','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840007,'Hoo''Loh','','','','',255,5911,32,0,1,1,795,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840008,'Kit Oo''Loh','<Hooluk Sage>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840009,'a scouring Vultak','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840010,'a Vultak patroller','','','','',255,5953,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840011,'a Vultak guard','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840012,'a besieged Hooluk assistant','','','','',255,5911,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840013,'a besieged Hooluk historian','','','','',255,5911,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840014,'a beleaguered Hooluk guard','','','','',255,6041,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840015,'a Vultak guard','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840016,'a Vultak highguard','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840017,'a Vultak guard','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840018,'Taskmaster Rezhirz','','','','',255,5953,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840019,'a gilded guardian','','','','',255,5992,112,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840020,'a Vultak arrogator','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840021,'a Vultak arrogator','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840022,'a Vultak mystic','','','','',255,5927,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840023,'Jaseker','Councilor Zhardiz''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840024,'a frantic Vultak searcher','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840025,'Councilor Zhardiz','','','','',255,5927,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840026,'a rampaging gorg','','','','',255,5862,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840027,'a rummaging Vultak aggressor','','','','',255,5927,32,0,1,1,11,0,540,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840028,'a ransacking Vultak aggressor','','','','',255,5927,32,0,1,1,11,0,540,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840029,'a Vultak aggressor','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840030,'Chamberlain X''Haviz','<Vultak Incursion Leader>','','','',255,5945,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840031,'Kettleleader Ghrizhaw','','','','',255,5953,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840032,'Aggressor Khranz','','','','',255,5953,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840033,'Nutty','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840034,'Switch','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840035,'Jasn','Chamberlain X''Haviz''s Consumed Spirits','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840037,'',NULL,'','','',0,5952,32,0,1,1,0,0,0,0,0,0,0,0,381,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840038,'a magical Hooluk loom',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840039,'a magical Hooluk workbench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840040,'',NULL,'','','',0,49,32,0,1,1,796,0,0,0,0,0,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(840041,'zone_to_exp02_rgn_realm_of_dawn',NULL,'','','',0,6038,32,0,0,0,797,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850001,'Ritnoc Flyfeather','','','','',255,5910,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850002,'a Strifewing ambusher','','','','',255,5953,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850003,'a Strifewing hunter','','','','',255,5953,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850004,'a Strifewing convert','','','','',255,5927,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850005,'Puddin Tain','','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850006,'a Strifewing hunter','','','','',255,5953,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850007,'a Strifewing fanatic','','','','',255,5927,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850008,'a Strifewing brute','','','','',255,5953,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850009,'Silverbeak','<Elemental Alchemist>','','','',255,6041,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850010,'Graywind the Elder','','','','',255,6041,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850011,'Creakbeak the Elder','','','','',255,6041,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850012,'a Windgazer lookout','','','','',255,5911,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850013,'Polly','<Retired Teacher>','','','',255,5911,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850014,'a Windgazer recluse','','','','',255,6041,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850015,'a Whisperwind mystic','','','','',255,164,28,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850016,'a Windgazer refugee','','','','',255,6041,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850017,'a ridgestone guardian','','','','',255,162,67,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850018,'Broker Thraci','<Imported Goods Broker>','','','',255,6040,33,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850019,'Drevious','<Banker>','','','',255,5911,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850020,'a Windgazer lookout','','','','',255,5911,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850021,'a ridgestone defender','','','','',255,2462,66,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850022,'Skelka Obelu','','','','',255,5911,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850023,'Quexmos Pololdu','','','','',255,5911,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850024,'Sir Hobble','<Knight>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850025,'Gaer Torrent','<Hooluk High Guard>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850026,'Arejo Cloudbreach','<Hooluk Elder>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850027,'Merchant Thryst','<General Goods>','','','',255,6041,36,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100217,0,0,0,0,0,0,0,0,0,0,0,0),
(850028,'Turk Whooyip','<Language Instructor>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850029,'Samuss Uwori','','','','',255,5911,36,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850030,'Fuzzmin the Lost','<Squire>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850031,'Mender Hooskelu','','','','',255,6040,35,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850032,'a ridgestone defender','','','','',255,162,65,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850033,'Thlexian','Thlexian''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850034,'Penny Dreadful','<Mathematician>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100218,0,0,0,0,0,0,0,0,0,0,0,0),
(850035,'a ferocious whirlwind','','','','',255,5634,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850036,'a ridgestone trampler','','','','',255,155,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850037,'a ridgestone sentinel','','','','',255,2462,66,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850038,'widget_aviak_mastery',NULL,'','','',0,49,32,0,1,1,792,0,0,0,0,1,0,0,259,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850039,'widget_aversion_page_07',NULL,'','','',0,49,32,0,1,1,793,0,0,0,0,1,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850040,'widget_fledglings_page_08',NULL,'','','',0,49,32,0,1,1,274,0,0,0,0,1,0,0,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850041,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850042,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850043,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850044,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850045,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850046,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850047,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850048,'Plain large bucket',NULL,'','','',0,1663,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850049,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850050,'floor_egg_human_crystal01',NULL,'','','',0,3417,16,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850051,'cloudpuff 02 update cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850052,'hooluk_listening_staff',NULL,'','','',0,2426,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850053,'flight_path_isle01_a',NULL,'','','',0,2306,32,0,1,1,319,0,11172,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850054,'floor_bottle_any_fermentation01',NULL,'','','',0,2605,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850055,'floor_potionbottle_any_small04',NULL,'','','',0,2626,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850056,'floor_potionbottle_any_small03',NULL,'','','',0,2625,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850057,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850058,'Ascent of the Awakened',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850059,'zone_to_nest',NULL,'','','',0,49,32,0,0,0,794,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850060,'zone_to_norrath',NULL,'','','',0,49,32,0,0,1,88,0,0,0,0,1,1,0,188,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(850061,'zone_to_norrath',NULL,'','','',0,49,32,0,1,1,1186,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850062,'qst_penny_dreadful_x1',NULL,'','','',0,5768,31,0,1,1,413,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850063,'qst_penny_dreadful_x1_plat',NULL,'','','',0,2658,32,0,1,1,413,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850064,'qst_penny_dreadful_x1_gold',NULL,'','','',0,5766,32,0,1,1,413,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850065,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850066,'dustwood arbor',NULL,'','','',0,3938,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850067,'barren stone',NULL,'','','',0,3914,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850068,'sand burrowed ore',NULL,'','','',0,3957,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850069,'dryland brush',NULL,'','','',0,4075,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850070,'arid roots',NULL,'','','',0,1733,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850071,'cactusarii zephryi',NULL,'','','',0,4075,30,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850072,'Ritnoc Flyfeather','','','','',255,5910,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850073,'a Strifewing ambusher','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850074,'a Strifewing hunter','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850075,'a Strifewing convert','','','','',255,5927,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850076,'a Strifewing hunter','','','','',255,5953,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850077,'a Strifewing fanatic','','','','',255,5927,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850078,'a Strifewing brute','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850079,'Silverbeak','<Elemental Alchemist>','','','',255,6041,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850080,'Graywind the Elder','','','','',255,6041,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850081,'Creakbeak the Elder','','','','',255,6041,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850082,'a Windgazer lookout','','','','',255,5911,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850083,'Polly','<Retired Teacher>','','','',255,5911,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850084,'a Windgazer recluse','','','','',255,6041,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850085,'a Whisperwind mystic','','','','',255,164,28,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850086,'a Windgazer refugee','','','','',255,6041,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850087,'a ridgestone guardian','','','','',255,162,66,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850088,'Broker Thraci','<Imported Goods Broker>','','','',255,6040,34,1,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850089,'Drevious','<Banker>','','','',255,5911,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850090,'a Windgazer lookout','','','','',255,5911,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850091,'a ridgestone defender','','','','',255,2462,66,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850092,'Skelka Obelu','','','','',255,5911,34,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850093,'Quexmos Pololdu','','','','',255,5911,36,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850094,'Hoo''Loh','','','','',255,5911,36,4,1,1,795,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850095,'Jabber Longwind','','','','',255,6041,34,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850096,'Sir Hobble','<Knight>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850097,'Gaer Torrent','<Hooluk High Guard>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850098,'Arejo Cloudbreach','<Hooluk Elder>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850100,'Turk Whooyip','<Language Instructor>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850101,'Samuss Uwori','','','','',255,5911,37,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850102,'Fuzzmin the Lost','<Squire>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850105,'a ferocious whirlwind','','','','',255,5634,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850106,'a ridgestone trampler','','','','',255,155,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850107,'a Quellithulian sentry','','','','',255,1602,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850109,'Avatar of Solusek Ro','<The Burning Prince>','','','',255,21370,105,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850110,'The Ridgestone Titan','','','','',255,12542,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850111,'Hoot''el Latti','<Collector>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850112,'Folun Draftglider','','','','',255,6040,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850113,'Duf''hee Stormtalon','','','','',255,5911,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850114,'Minnikin Folnor','<L.O.S.T. Seeker>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850115,'Criggle Cloudpuff','<Relic Hunter>','','','',16,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850119,'a dryeye vehemence','','','','',255,247,31,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850120,'a dryeye entangler','','','','',255,5918,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850121,'a cloudmist walker','','','','',255,3646,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850122,'a nebulous haze','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850123,'The Ghastly Overcast','','','','',255,5987,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850124,'a dryeye fiend','','','','',255,5918,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850125,'The Sinister Stare','','','','',255,5918,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850126,'Arcanist Nazoor','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850127,'Murbert Fontwiss','<L.O.S.T. Naturalist>','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850128,'Skyraider Bloodwing','','','','',255,5953,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850129,'a Strifewing renegade','','','','',255,5953,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850130,'a Strifewing renegade','','','','',255,5953,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850131,'a Strifewing shaman','','','','',255,5927,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850132,'a Strifewing battler','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850133,'Xoseker','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850134,'a Strifewing saboteur','','','','',255,5953,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850135,'a Strifewing heretic','','','','',255,5927,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850136,'a Strifewing battler','','','','',255,5953,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850137,'a Strifewing marauder','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850138,'Jabarer','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850139,'a Strifewing ravager','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850140,'Gibann','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850141,'a Strifewing agitator','','','','',255,5953,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850142,'a Strifewing agitator','','','','',255,5953,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850143,'Lord Bloodgaze the Savage','','','','',255,5945,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850144,'a Blacktalon spotter','','','','',255,5907,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850145,'a Blacktalon sentry','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850146,'a Blacktalon spotter','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850147,'a Strifewing ransacker','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850148,'a dryland scavenger','','','','',255,278,40,5,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850149,'a Strifewing prowler','','','','',255,5953,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850150,'a dustwind drifter','','','','',255,277,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850151,'a dead vultak','','','','',255,5927,38,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850152,'a Blacktalon flanker','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850153,'a Blacktalon conscript','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850154,'a dead aviak','','','','',255,5939,38,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850155,'a Blacktalon curate','','','','',255,5939,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850156,'a Blacktalon adherent','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850157,'a Blacktalon grunt','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850158,'a mudstone ooze','','','','',255,297,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850159,'a thornspine prowler','','','','',255,5862,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850160,'a Blacktalon guardian','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850161,'a scout eagle','','','','',255,260,31,2,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850162,'a crystalline burrower','','','','',255,2555,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850163,'a Blacktalon soldier','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850164,'a Blacktalon scout','','','','',255,5907,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850165,'a Blacktalon harbinger','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850166,'a Blacktalon enchanter','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850167,'a Blacktalon soldier','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850168,'a Blacktalon laborer','','','','',255,5939,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850169,'a Blacktalon skyknight','','','','',255,5910,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850170,'a Blacktalon trainee','','','','',255,5907,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850171,'a Blacktalon champion','','','','',255,5910,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850172,'a Blacktalon veteran','','','','',255,5910,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850173,'Skymarshall Stormfeather','','','','',255,5908,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850174,'a Blacktalon enforcer','','','','',255,5910,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850175,'Rear Captain Gallentbeak','','','','',255,5910,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850178,'a preying Strifewing','','','','',255,5953,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850179,'a Strifewing ravager','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850180,'Kasn','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850181,'Labantik','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850182,'Keker','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850183,'Janer','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850184,'Gibartik','A Strifewing heretic''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850185,'Fonwick Lumkin','<L.O.S.T. Searcher>','','','',5,122,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850186,'Nerdar''s Steam Bot','','','','',255,6670,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850187,'a Strifewing poacher','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850188,'a Strifewing stalker','','','','',255,5953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850189,'a dustwind shimmer','','','','',255,273,135,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850190,'a dustwind shimmer','','','','',255,273,118,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850191,'Ahnjun Sprywing','','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850192,'a Strifewing plunderer','','','','',255,5953,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850193,'Flitter Feathertoe','','','','',255,5953,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850194,'Yarly','','','','',255,6040,37,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850195,'Orly','','','','',255,6041,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850196,'an ancient statue','','','','',8,135,19,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850197,'Ohzo Dreadful','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850198,'a Windgazer portal guard','','','','',255,6040,34,2,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850199,'Elder Cloudsight','','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850201,'Constance Cloudpuff','','','','',16,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850202,'a young dryland scavenger','','','','',255,278,31,3,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850203,'a vicious dryland scavenger','','','','',255,278,47,2,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850204,'Muckpaw the Gnawer','','','','',255,278,54,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850205,'Frigui Togginscog','<L.O.S.T. Explorer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850206,'a Blacktalon observer','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850207,'a Blacktalon visionary','','','','',255,5939,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850208,'a Blacktalon defender','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850209,'a Blacktalon observer','','','','',255,5910,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850210,'Nerdar Gerpen','<L.O.S.T. Researcher>','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850211,'a Blacktalon wing clipper','','','','',255,5907,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850212,'a Blacktalon guard','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850213,'a wing clipper apprentice','','','','',255,5907,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850214,'a Blacktalon vindicator','','','','',255,5910,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850215,'a vultak prisoner','','','','',255,5953,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850216,'a vultak prisoner','','','','',255,5953,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850217,'Chirok Starwhisper','<A Hooluk Prisoner>','','','',255,5911,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850218,'','','','','',9,5929,70,0,1,0,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850219,'a vultak prisoner','','','','',255,5953,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850220,'High Guard Mavaerick','','','','',255,6041,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850221,'Wings of War','','','','',255,238,192,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850222,'a warscale decimator','','','','',255,238,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850223,'a starving warscale drake','','','','',255,238,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850224,'a Bloodscale eradicator','','','','',255,6014,54,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850225,'a vultak prisoner','','','','',255,5927,36,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850226,'a Bloodscale doomslayer','','','','',255,6014,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850227,'a warscale minion','','','','',255,238,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850228,'a Bloodscale handler','','','','',255,6014,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850229,'a Bloodscale diabolist','','','','',255,6016,49,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850230,'a Bloodscale shadowscout','','','','',255,6014,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850231,'a Warscale ravager','','','','',255,238,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850232,'a Windgazer portal watcher','','','','',255,6040,37,1,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850233,'a Bloodscale zealot','','','','',255,6016,49,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850234,'a warscale neonate','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850235,'a Bloodscale breeder','','','','',255,5947,53,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850236,'a stonescale rumbler','','','','',255,2412,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850237,'a Bloodscale breeder','','','','',255,5947,53,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850238,'a thornspine devourer','','','','',255,5862,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850239,'a drifting cloudmist','','','','',255,3710,119,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850240,'Drakemaster Rommtok','','','','',255,6015,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850241,'a drifting cloudmist','','','','',255,3710,135,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850242,'Konarr the Despoiler','','','','',255,5953,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850243,'a Strifewing adherent','','','','',255,5927,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850244,'a Strifewing disciple','','','','',255,5927,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850245,'Grimmfeather the Deceiver','','','','',255,5945,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850246,'a preying Strifewing','','','','',255,5953,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850247,'widget_aviak_mastery',NULL,'','','',0,49,32,0,0,0,792,0,0,0,0,1,0,0,259,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850248,'widget_aversion_page_07',NULL,'','','',0,49,32,0,0,0,793,0,0,0,0,1,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850249,'widget_fledglings_page_08',NULL,'','','',0,49,32,0,0,0,274,0,0,0,0,1,0,0,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850250,'SC Zone to Treasury of Claw 02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850251,'widget_fledglings_page_14',NULL,'','','',0,49,32,0,0,0,274,0,0,0,0,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850252,'widget_trainer_page_02',NULL,'','','',0,49,32,0,0,0,274,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850253,'widget_trainer_page_01',NULL,'','','',0,49,32,0,0,0,274,0,0,0,0,0,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850254,'BI Zone to Treasury of Claw 03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850255,'widget_trainer_page_14',NULL,'','','',0,49,32,0,0,0,404,0,0,0,0,0,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850256,'ID Zone to Treasury of Claw 01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850257,'dragon_eggs_3',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850258,'dragon_eggs_6',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850259,'dragon_eggs_1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850260,'dragon_eggs_4',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850261,'dragon_eggs_2',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850262,'dragon_eggs_5',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850263,'widget_aversion_page_05',NULL,'','','',0,49,32,0,0,0,274,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850264,'realm_of_dawn_moving_platform_a1',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,477,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850265,'moving_platform_a1_switch_01',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850266,'moving_platform_a1_switch_02',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850267,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850268,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850269,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850270,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850271,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850272,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850273,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850274,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850275,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850276,'Plain large bucket',NULL,'','','',0,1663,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850277,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850278,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850279,'floor_egg_human_crystal01',NULL,'','','',0,3417,16,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850280,'fiend statue',NULL,'','','',0,4462,6,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850281,'soldier statue',NULL,'','','',0,4463,4,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850282,'cloudpuff 02 update cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850283,'hooluk_listening_staff',NULL,'','','',0,2426,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850284,'flight_path_isle01_a',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850285,'orc skull',NULL,'','','',0,2998,41,0,0,0,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850286,'los_jail_cell_piece01',NULL,'','','',0,5929,38,0,0,0,430,0,1302,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850287,'floor_bottle_any_fermentation01',NULL,'','','',0,2605,32,0,0,0,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850288,'floor_potionbottle_any_small04',NULL,'','','',0,2626,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850289,'floor_potionbottle_any_small03',NULL,'','','',0,2625,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850290,'topaz orb sculpture',NULL,'','','',0,12406,32,0,0,0,0,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850291,'cloudpuff 05 update water',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850292,'scp_minerals_to_destroy',NULL,'','','',0,1668,21,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850293,'mining_cart',NULL,'','','',0,2243,41,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850294,'soctoro bait',NULL,'','','',0,2371,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850295,'scrimshawfang',NULL,'','','',0,5895,64,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850296,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850297,'zone_to_norrath',NULL,'','','',0,49,32,0,1,1,88,0,0,0,0,1,0,0,188,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(850298,'qst_penny_dreadful_x1',NULL,'','','',0,5768,31,0,0,0,413,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850299,'qst_penny_dreadful_x1_plat',NULL,'','','',0,2658,32,0,0,0,413,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850300,'qst_penny_dreadful_x1_gold',NULL,'','','',0,5766,32,0,0,0,413,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850301,'epic_grapling_hook',NULL,'','','',0,3580,93,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850302,'zone_to_tenebrous_tangle',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850303,'The Vaults of El''Arad',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850304,'zone_to_bonemire',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850305,'zone_to_palace_of_awakened',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850306,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850307,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850308,'dustwood arbor',NULL,'','','',0,3938,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850309,'barren stone',NULL,'','','',0,3914,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850310,'sand burrowed ore',NULL,'','','',0,3957,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850311,'dryland brush',NULL,'','','',0,4075,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850312,'arid roots',NULL,'','','',0,1733,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850313,'cactusarii zephryi',NULL,'','','',0,4075,30,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850314,'trapped wind essence',NULL,'','','',0,4610,32,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850315,'sand crawler den',NULL,'','','',0,3985,48,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850316,'a pipe reed',NULL,'','','',0,1737,12,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850317,'crowd of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850318,'a diamondjaw crawler nest',NULL,'','','',0,3955,19,0,0,0,3,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850319,'a mature egg',NULL,'','','',0,14417,47,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850320,'Prince Kulkak the Ruthless','','','','',255,5945,41,0,1,1,0,0,0,0,0,1,0,0,32,1141,1141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850321,'Prince Strixus the Wise','','','','',255,6041,38,0,1,1,0,0,0,0,0,1,0,0,32,1141,1141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(850322,'Prince Urbaniok the Just','','','','',255,5908,48,0,1,1,0,0,0,0,0,1,0,0,32,1141,1141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870001,'an expedition archivist','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870002,'a Doomwing warrior','<Doomwing Legion>','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870003,'a Doomwing agent','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870004,'a Doomwing marauder','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870005,'a Doomwing lookout','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,517,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870006,'a Doomwing marauder','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870007,'a nocturnal hunter','','','','',255,239,61,7,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870008,'an ashengaze basilisk','','','','',255,5862,61,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870009,'a nocturnal hunter','','','','',255,239,72,1,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870010,'a wasteland strider','','','','',255,243,87,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870011,'a muck abomination','','','','',255,5863,139,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870012,'an ashengaze basilisk','','','','',255,5862,48,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870013,'a draconic homunculi','','','','',255,1371,20,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870014,'a Doomwing dracomagus','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870015,'a Doomwing excavator','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870016,'Xalazalag','<Quellithulian Emissary>','','','',3,5065,41,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870017,'a wasteland strider','','','','',255,243,105,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870018,'a fetidthorn horror','','','','',255,6146,59,7,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870019,'a Vornerus prowler','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870020,'a fetidthorn horror','','','','',255,6146,49,1,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870021,'a Vornerus hiveward','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870022,'a Doomwing marauder','<Doomwing Legion>','','','',255,5947,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870023,'an exiled droag','','','','',255,6015,49,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870024,'a Doomwing excavator','<Doomwing Legion>','','','',255,5947,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870025,'a Doomwing agent','<Doomwing Legion>','','','',255,6014,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870026,'a Doomwing warrior','<Doomwing Legion>','','','',255,6015,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870027,'The Reclaimer Manikin','','','','',255,6146,73,0,1,1,11,0,2774,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870028,'The Vornerus Tyrant','','','','',255,5858,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870029,'a Vornerus stalker','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870030,'a Vornerus screamer','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870031,'a Vornerus defender','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870032,'a Vornerus drone','','','','',255,4531,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870033,'a Vornerus hivesister','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870034,'Shissa the Ashweaver','','','','',255,5020,128,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870035,'Gingus','','','','',5,121,32,0,1,1,9,0,228,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870036,'a muck abomination','','','','',255,5863,117,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870037,'an ashengaze basilisk','','','','',255,5862,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870038,'Franky','<Overrealms Travel Agency>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870039,'an ambushed gnome','<Tinkerer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870040,'a Doomwing ambusher','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870041,'Brock Shrillburst','<Chief Engineer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870042,'Elly Nerwick','<Surgeon>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870043,'Carager Ranztock','<Ak''Anon Observer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870044,'Bihmar Finklestar','<Guard>','','','',5,121,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870045,'Cloud Keeper Shekani','','','','',255,6041,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870046,'Nepther''tum','','','','',255,6041,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870047,'Garwinkle','<Mender>','','','',5,121,32,0,1,1,12,9,0,0,0,1,0,0,16,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(870048,'Dur Gravehand','<Guard>','','','',5,121,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870049,'Ark Hopmadger','<Airship Technician>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870050,'Ellywig Sprocketbaker','<Drednever Faction Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870051,'Gimdimble Fizzwoddle','<Tinkerer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870052,'Olfzig Klemtwiss','<Cook>','','','',2,5047,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870053,'Duvawocket','<General Goods>','','','',5,4971,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870054,'Vegnit Snogwit','<First Mate>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870055,'Weneb Tacklenogg','<Naturalist>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870056,'Vlar Warflame','<Guard>','','','',2,5044,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870057,'Grizzfazzle Coggrease','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870058,'Captain Dabner Drednever','','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870059,'Giddy Sprysprocket','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870060,'Arbiter Selek','','','','',255,5947,45,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870061,'a dead drednever scout','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870062,'a Humator defender','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870063,'a swarmer drone','','','','',255,4531,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870064,'a Humator stalker','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870065,'a Humator swarmer','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870066,'a corpse flame','','','','',255,3710,64,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870067,'a Humator ambusher','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870068,'a Humator director','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870069,'a monolithic phylactery','','','','',255,3688,256,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870070,'Bomkin Flickernuk','<Researcher>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870071,'Wapcap Fizzcut','<Guard>','','','',5,4972,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870072,'Piiglii Snogwit','<Guard>','','','',5,4972,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870073,'Cloud Keeper Zaggisi','','','','',255,6041,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870074,'Wedgly Hammertik','<Airship Technician>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870075,'Jimtun Rubbleyew','<Drednever Lieutenant>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870076,'The Humator Harridan','','','','',255,5859,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870077,'a Humator hivesister','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870078,'a Humator drone','','','','',255,4531,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870079,'a Humator hivemind','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870080,'a Humator hiveward','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870081,'The Acrid Mother','','','','',255,5858,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870082,'a corpse candle','','','','',255,3710,64,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870083,'a cacotoxic abomination','','','','',255,5863,127,8,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870084,'a Blackscale precursor','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870085,'a Humator colonizer drone','','','','',255,4531,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870086,'a Humator eggbearer','','','','',255,4531,56,3,1,1,11,0,1497,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870087,'a Humator colonizer','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870088,'a Blackscale guardian','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870089,'The King of Balefires','','','','',255,2897,64,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870090,'Gekn','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870091,'a cacotoxic abomination','','','','',255,5863,114,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870092,'a cacotoxic abomination','','','','',255,5863,138,2,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870093,'a Blackscale chaplain','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870094,'a Blackscale dracomancer','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870095,'Gabaner','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870096,'Libaner','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870097,'Snoz Cranklekug','<Airship Technician>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870098,'Dagat Bruckenhead','<Guard>','','','',2,5044,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870099,'Gophy Pebblenub','<Researcher>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870100,'Keedbit Wonhoney','<Guard>','','','',5,4972,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870101,'Deebs Beaklut','<Drednever Lieutenant>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870102,'Varn','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870103,'Garn','Dracomancer Vandalix''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870104,'Dracomancer Vandalix','<Doomwing Legion>','','','',255,6016,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870105,'a deathless monitor','','','','',255,5770,33,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870106,'Haraghur the Deathless','','','','',255,5769,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870107,'Nimni Gobbledot ','<Researcher>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870108,'Pipsy Knoggleruf','<Airship Technician>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870109,'Quogtay Yolkberk ','<Guard>','','','',5,4971,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870110,'Hanny Puddlezap','<Drednever Lieutenant>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870111,'Shibtih Ringlis','<Guard>','','','',5,4971,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870112,'a soul feaster','','','','',255,2915,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870113,'an undying warrior','','','','',255,5993,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870114,'an undying marauder','','','','',255,5993,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870115,'a fetidthorn wraith','','','','',255,3702,93,4,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870116,'The Carnovingian','','','','',255,2915,80,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870117,'an undying dracomagus','','','','',255,6017,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870118,'a carrion mandrake','','','','',255,3702,83,0,1,1,11,0,2771,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870119,'Akharu the Remembrancer','<Doomwing Legion>','','','',255,6015,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870120,'an untamed drake','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870121,'Tiaz''tar','','','','',255,238,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870122,'Bashir the Dracologist','<Doomwing Legion>','','','',255,6016,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870123,'a Quellithulian theurgist','<Quellithulian Enclave>','','','',255,5060,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870124,'a Quellithulian occultist','<Quellithulian Enclave>','','','',255,5060,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870125,'a Quellithulian abomination','','','','',255,5863,96,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870126,'Ancient Unbound Abomination','','','','',255,5863,256,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870127,'a Quellithulian cenobite','<Quellithulian Enclave>','','','',255,5059,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870128,'a Doomwing dragonspawn','<Doomwing Legion>','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870129,'Yazid','','','','',255,6041,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870130,'Alkfoz Puddlezap','<Airship Technician>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870131,'Hogpin Fubberfin','<Researcher>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870132,'Sappy Tonguebok','<Guard>','','','',5,4972,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870133,'Molfy Sniptooth','<Guard>','','','',5,4972,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870134,'Deegli Bubbowus','<Drednever Lieutenant>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870135,'Azimuta','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870136,'a lesser earthen manifestation','','','','',255,154,22,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870137,'Drukin Tellfizz','<Archaeologist>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870138,'an earthen manifestation','','','','',255,154,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870139,'a fallen explorer','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870140,'Gloom','','','','',255,239,86,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870141,'The Hierodule','','','','',255,5856,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870142,'Pin Swishtick','<Paleontologist>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870143,'Kiglin Clobbernoks','<Guard>','','','',5,4972,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870144,'Bigsly Spindlewop','<Airship Technician>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870145,'Minxy Fonwiggle','<Drednever Lieutenant>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870146,'Zastik Togginscog','<L.O.S.T. Explorer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870147,'Nab''Kurgal','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870148,'Zahur','','','','',255,5911,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870149,'Sumugun','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870150,'Zook Firebin','<Drednever Expedition>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870151,'Cloud Keeper Ur''Atum','','','','',255,6041,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870152,'Latrahasis','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870153,'Aetryol Monsoon','','','','',255,6041,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870154,'01_transport_elevator_1',NULL,'','','',0,49,32,0,1,1,820,0,0,0,0,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870155,'widget_generations_page_01',NULL,'','','',0,49,32,0,1,1,821,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870156,'widget_exp02_qst_drednever_vedgit_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870157,'widget_ravasect_mastery',NULL,'','','',0,49,32,0,1,1,536,0,0,0,0,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870158,'01_transport_elevator_4',NULL,'','','',0,49,32,0,1,1,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870159,'01_transport_elevator_3',NULL,'','','',0,49,32,0,1,1,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870160,'01_transport_elevator_2',NULL,'','','',0,49,32,0,1,1,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870161,'widget_generations_page_02',NULL,'','','',0,49,32,0,1,1,821,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870162,'widget_exp02_qst_drednever_bomkin_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870163,'widget_exp02_qst_drednever_bomkin_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870164,'widget_exp02_qst_drednever_bomkin_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870165,'widget_exp02_qst_drednever_bomkin_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870166,'widget_big_bang_page_06',NULL,'','','',0,49,32,0,1,1,822,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870167,'qst_droag_ravasect_book',NULL,'','','',0,49,32,0,1,1,64,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870168,'qst_droag_corpse_candle_book',NULL,'','','',0,49,32,0,1,1,64,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870169,'widget_big_bang_page_09',NULL,'','','',0,49,32,0,1,1,274,0,0,0,0,1,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870170,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870171,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870172,'quest_heritage_gnome_tools',NULL,'','','',0,49,32,0,1,1,823,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870173,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870174,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870175,'widget_exp02_qst_drednever_pin_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870176,'widget_exp02_qst_drednever_pin_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870177,'widget_exp02_qst_drednever_pin_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,324,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870178,'widget_exp02_qst_drednever_pin_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,424,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870179,'widget_exp02_qst_drednever_pin_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,520,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870180,'04_transport_elevator_1',NULL,'','','',0,49,32,0,1,1,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870181,'gravedirt01',NULL,'','','',0,2916,31,0,1,1,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870182,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870183,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870184,'sproket_cluster',NULL,'','','',0,5211,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870185,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870186,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870187,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870188,'cog_table',NULL,'','','',0,5209,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870189,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870190,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870191,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870192,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870193,'floor_desk_gnome_wood01',NULL,'','','',0,3585,39,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870194,'floor_table_gnome_round',NULL,'','','',0,2064,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870195,'floor_table_gnome_plain01',NULL,'','','',0,2037,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870196,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870197,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870198,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870199,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870200,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870201,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870202,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870203,'gravedirt02',NULL,'','','',0,2916,62,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870204,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870205,'hf_chest_reliquary_bones01',NULL,'','','',0,6075,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870206,'a fallen airship part',NULL,'','','',0,6618,32,0,1,1,0,0,0,0,0,0,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870207,'glass_vial001_rusty',NULL,'','','',0,5948,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870208,'crank_machine',NULL,'','','',0,5210,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870209,'mini_tabular_crystal',NULL,'','','',0,6186,20,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870210,'mini_drusy_crystal',NULL,'','','',0,6186,21,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870211,'floor_bottle_any_fermentation01',NULL,'','','',0,2605,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870212,'Wasteland Strider Egg',NULL,'','','',0,6044,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870213,'flight_path_island1',NULL,'','','',0,2306,32,0,1,1,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870214,'dpo_dead_basilisk',NULL,'','','',0,5862,61,0,1,1,0,0,228,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870215,'a fallen airship part',NULL,'','','',0,10561,32,0,1,1,0,0,0,0,0,0,0,0,287,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870216,'hf_chest_reliquary_bones02',NULL,'','','',0,6076,64,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870217,'flight_path_island2',NULL,'','','',0,2306,32,0,1,1,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870218,'a fallen airship part',NULL,'','','',0,13404,32,0,1,1,0,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870219,'a fallen airship parts',NULL,'','','',0,13407,32,0,1,1,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870220,'a fallen airship part',NULL,'','','',0,13403,32,0,1,1,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870221,'flight_path_island3',NULL,'','','',0,2306,32,0,1,1,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870222,'rn_bones_dragon_verte01',NULL,'','','',0,6059,32,0,1,1,0,0,0,0,0,0,0,0,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870223,'a fallen airship part',NULL,'','','',0,13400,32,0,1,1,0,0,0,0,0,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870224,'flight_path_island4',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870225,'a fallen airship part',NULL,'','','',0,10622,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870226,'a fallen airship part',NULL,'','','',0,13393,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870227,'a fallen airship part',NULL,'','','',0,10555,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870228,'a fallen airship part',NULL,'','','',0,3178,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870229,'a fallen airship part',NULL,'','','',0,6089,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870230,'a fallen airship part',NULL,'','','',0,6332,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870231,'flight_path_halls_of_fate',NULL,'','','',0,2306,32,0,1,1,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870232,'a fallen airship part',NULL,'','','',0,6333,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870233,'hf_tools_excavation_pick',NULL,'','','',0,5892,5,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870234,'hf_tools_excavation_hammer',NULL,'','','',0,5891,9,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870235,'hf_tools_excavation_drill',NULL,'','','',0,5889,19,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870236,'rn_bones_dragon01',NULL,'','','',0,5899,32,0,1,1,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870237,'drukin_climbing_rock',NULL,'','','',0,3956,32,0,1,1,819,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870238,'a fallen explorer',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870239,'draconian_skeleton',NULL,'','','',0,5993,32,0,1,1,0,0,228,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870240,'mini_elestial_crystal',NULL,'','','',0,6186,44,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870241,'mini_rutilated_crystal',NULL,'','','',0,6186,16,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870242,'gear_single',NULL,'','','',0,6089,232,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870243,'flight_path_island5',NULL,'','','',0,2306,32,0,1,1,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870244,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870245,'orb_to_lower_halls_of_fate',NULL,'','','',0,6079,32,0,1,1,45,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870246,'zone_to_halls_of_fate',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870247,'zone_to_norrath',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(870248,'quest_relic_chest_pit',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870249,'zone_to_den_of_the_devourer',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870250,'transfibulater_launch_lug',NULL,'','','',0,6089,48,0,1,1,56,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870251,'hf_chest_reliquary_bones02',NULL,'','','',0,6076,32,0,1,1,33,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870252,'drednever_memorial_stone',NULL,'','','',0,5791,42,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870253,'mysterious_box',NULL,'','','',0,4456,148,0,1,1,824,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870254,'zone_to_blackscale_sepulcher',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870255,'zone_to_deathtoll',NULL,'','','',0,49,32,0,1,1,825,0,0,0,0,1,0,0,378,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870256,'zone_to_tenebrous_tangle',NULL,'','','',0,49,32,0,1,1,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870257,'drusy crystal',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870258,'zone_to_barren_sky',NULL,'','','',0,49,32,0,1,1,88,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870259,'elestial crystal',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870260,'rutilated crystal',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870261,'tabular crystal',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870262,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870263,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870264,'fetidthorn spore',NULL,'','','',0,6024,39,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870265,'osseous lumber',NULL,'','','',0,3930,41,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870266,'scrub thistle',NULL,'','','',0,4075,35,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870267,'burrow',NULL,'','','',0,3970,69,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870268,'weathered geode',NULL,'','','',0,3916,85,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870269,'dustworn ore',NULL,'','','',0,3956,54,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870270,'dusk roots',NULL,'','','',0,1734,33,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870271,'a loose dragon vertebra',NULL,'','','',0,6059,3,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870272,'an expedition archivist','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870273,'a Doomwing warrior','<Doomwing Legion>','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870274,'a Doomwing agent','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870275,'a Doomwing marauder','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870276,'a Doomwing lookout','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,517,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870277,'a Doomwing marauder','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870278,'a nocturnal hunter','','','','',255,239,62,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870279,'an ashengaze basilisk','','','','',255,5862,61,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870280,'a nocturnal hunter','','','','',255,239,72,1,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870281,'a wasteland strider','','','','',255,243,88,7,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870282,'a muck abomination','','','','',255,5863,132,7,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870283,'an ashengaze basilisk','','','','',255,5862,48,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870284,'a draconic homunculi','','','','',255,1371,20,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870285,'a Doomwing dracomagus','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870286,'a Doomwing excavator','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870287,'Xalazalag','<Quellithulian Emissary>','','','',3,5065,41,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870288,'a wasteland strider','','','','',255,243,104,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870289,'a fetidthorn horror','','','','',255,6146,59,8,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870290,'a Vornerus prowler','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870291,'a fetidthorn horror','','','','',255,6146,49,1,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870292,'a Vornerus hiveward','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870293,'an exiled droag','','','','',255,6015,49,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870294,'a Doomwing excavator','<Doomwing Legion>','','','',255,5947,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870295,'The Reclaimer Manikin','','','','',255,6146,73,0,1,1,11,0,2774,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870296,'The Vornerus Tyrant','','','','',255,5858,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870297,'a Vornerus stalker','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870298,'a Vornerus screamer','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870299,'a Vornerus defender','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870300,'a Vornerus drone','','','','',255,4531,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870301,'a Vornerus hivesister','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870302,'Shissa the Ashweaver','','','','',255,5020,128,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870303,'Gingus','','','','',5,121,32,0,1,1,9,0,228,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870304,'an ashengaze basilisk','','','','',255,5862,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870305,'Brock Shrillburst','<Chief Engineer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870306,'Elly Nerwick','<Surgeon>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870307,'Carager Ranztock','<Ak''Anon Observer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870308,'Bihmar Finklestar','<Guard>','','','',5,121,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870309,'Cloud Keeper Shekani','','','','',255,6041,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870310,'Nepther''tum','','','','',255,6041,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870311,'Garwinkle','<Mender>','','','',5,121,32,0,1,1,12,9,0,0,0,1,0,0,16,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(870312,'Dur Gravehand','<Guard>','','','',5,121,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870313,'Ark Hopmadger','<Airship Technician>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870314,'Ellywig Sprocketbaker','<Drednever Faction Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870315,'Gimdimble Fizzwoddle','<Tinkerer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870316,'Olfzig Klemtwiss','<Cook>','','','',2,5047,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870317,'Duvawocket','<General Goods>','','','',5,4971,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870318,'Weneb Tacklenogg','<Naturalist>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870319,'Vlar Warflame','<Guard>','','','',2,5044,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870320,'Grizzfazzle Coggrease','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870321,'Captain Dabner Drednever','','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870322,'Giddy Sprysprocket','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870323,'a Humator defender','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870324,'a swarmer drone','','','','',255,4531,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870325,'a Humator stalker','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870326,'a Humator swarmer','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870327,'a corpse flame','','','','',255,3710,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870328,'a Humator ambusher','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870329,'a Humator director','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870330,'a monolithic phylactery','','','','',255,3688,256,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870331,'Cloud Keeper Zaggisi','','','','',255,6041,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870332,'Wedgly Hammertik','<Airship Technician>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870333,'Jimtun Rubbleyew','<Drednever Lieutenant>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870334,'The Humator Harridan','','','','',255,5859,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870335,'a Humator hivesister','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870336,'a Humator drone','','','','',255,4531,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870337,'a Humator hivemind','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870338,'a Humator hiveward','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870339,'The Acrid Mother','','','','',255,5858,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870340,'a corpse candle','','','','',255,3710,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870341,'a cacotoxic abomination','','','','',255,5863,127,8,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870342,'a Blackscale precursor','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870343,'a Humator colonizer drone','','','','',255,4531,46,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870344,'a Humator eggbearer','','','','',255,4531,54,6,1,1,11,0,1497,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870345,'a Humator colonizer','','','','',255,5856,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870346,'a Blackscale guardian','','','','',255,5993,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870347,'The King of Balefires','','','','',255,2897,64,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870348,'a cacotoxic abomination','','','','',255,5863,115,1,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870349,'a cacotoxic abomination','','','','',255,5863,138,2,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870350,'a Blackscale chaplain','','','','',255,6017,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870351,'a Blackscale dracomancer','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870352,'Dracomancer Vandalix','<Doomwing Legion>','','','',255,6016,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870353,'a deathless monitor','','','','',255,5770,32,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870354,'Haraghur the Deathless','','','','',255,5769,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870355,'Quogtay Yolkberk ','<Guard>','','','',5,4971,32,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870356,'Hanny Puddlezap','<Drednever Lieutenant>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870357,'a soul feaster','','','','',255,2915,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870358,'an undying warrior','','','','',255,5993,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870359,'an undying marauder','','','','',255,5993,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870360,'a fetidthorn wraith','','','','',255,3702,93,4,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870361,'The Carnovingian','','','','',255,2915,80,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870362,'an undying dracomagus','','','','',255,6017,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870363,'a carrion mandrake','','','','',255,3702,83,0,1,1,11,0,2771,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870364,'Akharu the Remembrancer','<Doomwing Legion>','','','',255,6015,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870365,'an untamed drake','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870366,'Bashir the Dracologist','<Doomwing Legion>','','','',255,6016,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870367,'a Quellithulian theurgist','<Quellithulian Enclave>','','','',255,5060,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870368,'a Quellithulian occultist','<Quellithulian Enclave>','','','',255,5060,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870369,'a Quellithulian abomination','','','','',255,5863,96,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870370,'Ancient Unbound Abomination','','','','',255,5863,256,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870371,'a Quellithulian cenobite','<Quellithulian Enclave>','','','',255,5059,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870372,'a Doomwing dragonspawn','<Doomwing Legion>','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870373,'Yazid','','','','',255,6041,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870374,'Azimuta','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870375,'a lesser earthen manifestation','','','','',255,154,22,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870376,'Drukin Tellfizz','<Archaeologist>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870377,'an earthen manifestation','','','','',255,154,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870378,'Gloom','','','','',255,239,82,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870379,'The Hierodule','','','','',255,5856,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870380,'Bigsly Spindlewop','<Airship Technician>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870381,'Minxy Fonwiggle','<Drednever Lieutenant>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870382,'Zastik Togginscog','<L.O.S.T. Explorer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870383,'Nab''Kurgal','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870384,'Zahur','','','','',255,5911,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870385,'Sumugun','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870386,'Zook Firebin','<Drednever Expedition>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870387,'Cloud Keeper Ur''Atum','','','','',255,6041,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870388,'Latrahasis','','','','',255,6040,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870389,'Aetryol Monsoon','','','','',255,6041,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870391,'The Mutagenic Outcast','','','','',255,5858,108,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870392,'Jobantik','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870393,'Kabeker','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870394,'Spawn of Humator','','','','',255,4531,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870395,'Veker','Dracomancer Vandalix''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870396,'Garartik','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870397,'Vanab','A Blackscale dracomancer''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870398,'01_transport_elevator_1',NULL,'','','',0,49,32,0,0,0,820,0,0,0,0,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870399,'widget_generations_page_01',NULL,'','','',0,49,32,0,0,0,821,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870400,'widget_exp02_qst_drednever_vedgit_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870401,'widget_ravasect_mastery',NULL,'','','',0,49,32,0,0,0,536,0,0,0,0,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870402,'01_transport_elevator_4',NULL,'','','',0,49,32,0,0,0,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870403,'01_transport_elevator_3',NULL,'','','',0,49,32,0,0,0,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870404,'01_transport_elevator_2',NULL,'','','',0,49,32,0,0,0,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870405,'widget_generations_page_02',NULL,'','','',0,49,32,0,0,0,821,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870406,'widget_exp02_qst_drednever_bomkin_04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870407,'widget_exp02_qst_drednever_bomkin_03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870408,'widget_exp02_qst_drednever_bomkin_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870409,'widget_exp02_qst_drednever_bomkin_02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870410,'widget_big_bang_page_06',NULL,'','','',0,49,32,0,0,0,822,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870411,'qst_droag_ravasect_book',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870412,'qst_droag_corpse_candle_book',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870413,'widget_big_bang_page_09',NULL,'','','',0,49,32,0,0,0,274,0,0,0,0,1,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870414,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870415,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870416,'quest_heritage_gnome_tools',NULL,'','','',0,49,32,0,0,0,823,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870417,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870418,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870419,'widget_exp02_qst_drednever_pin_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870420,'widget_exp02_qst_drednever_pin_04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870421,'widget_exp02_qst_drednever_pin_05',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,324,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870422,'widget_exp02_qst_drednever_pin_02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,424,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870423,'widget_exp02_qst_drednever_pin_03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,520,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870424,'04_transport_elevator_1',NULL,'','','',0,49,32,0,0,0,820,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870425,'gravedirt01',NULL,'','','',0,2916,31,0,0,0,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870426,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870427,'sproket_cluster',NULL,'','','',0,5211,32,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870428,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870429,'grey_tent_small01',NULL,'','','',0,2817,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870430,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870431,'cog_table',NULL,'','','',0,5209,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870432,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870433,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870434,'gnomish_heating_device',NULL,'','','',0,3252,16,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870435,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870436,'floor_desk_gnome_wood01',NULL,'','','',0,3585,39,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870437,'floor_table_gnome_round',NULL,'','','',0,2064,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870438,'floor_table_gnome_plain01',NULL,'','','',0,2037,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870439,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870440,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870441,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870442,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870443,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870444,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870445,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870446,'gravedirt02',NULL,'','','',0,2916,62,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870447,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,0,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870448,'hf_chest_reliquary_bones01',NULL,'','','',0,6075,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870449,'a fallen airship part',NULL,'','','',0,6618,32,0,0,0,0,0,0,0,0,0,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870450,'glass_vial001_rusty',NULL,'','','',0,5948,32,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870451,'crank_machine',NULL,'','','',0,5210,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870452,'mini_tabular_crystal',NULL,'','','',0,6186,20,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870453,'mini_drusy_crystal',NULL,'','','',0,6186,21,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870454,'floor_bottle_any_fermentation01',NULL,'','','',0,2605,32,0,0,0,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870455,'Wasteland Strider Egg',NULL,'','','',0,6044,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870456,'flight_path_island1',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870457,'dpo_dead_basilisk',NULL,'','','',0,5862,61,0,0,0,0,0,228,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870458,'a fallen airship part',NULL,'','','',0,10561,32,0,0,0,0,0,0,0,0,0,0,0,287,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870459,'hf_chest_reliquary_bones02',NULL,'','','',0,6076,64,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870460,'flight_path_island2',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870461,'a fallen airship part',NULL,'','','',0,13404,32,0,0,0,0,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870462,'a fallen airship parts',NULL,'','','',0,13407,32,0,0,0,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870463,'a fallen airship part',NULL,'','','',0,13403,32,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870464,'flight_path_island3',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870465,'rn_bones_dragon_verte01',NULL,'','','',0,6059,32,0,0,0,0,0,0,0,0,0,0,0,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870466,'a fallen airship part',NULL,'','','',0,13400,32,0,0,0,0,0,0,0,0,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870467,'flight_path_island4',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870468,'a fallen airship part',NULL,'','','',0,10622,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870469,'a fallen airship part',NULL,'','','',0,13393,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870470,'a fallen airship part',NULL,'','','',0,10555,32,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870471,'a fallen airship part',NULL,'','','',0,3178,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870472,'a fallen airship part',NULL,'','','',0,6089,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870473,'a fallen airship part',NULL,'','','',0,6332,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870474,'flight_path_halls_of_fate',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870475,'a fallen airship part',NULL,'','','',0,6333,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870476,'hf_tools_excavation_pick',NULL,'','','',0,5892,5,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870477,'hf_tools_excavation_hammer',NULL,'','','',0,5891,9,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870478,'hf_tools_excavation_drill',NULL,'','','',0,5889,19,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870479,'rn_bones_dragon01',NULL,'','','',0,5899,32,0,0,0,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870480,'drukin_climbing_rock',NULL,'','','',0,3956,32,0,0,0,819,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870481,'draconian_skeleton',NULL,'','','',0,5993,32,0,0,0,0,0,228,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870482,'mini_elestial_crystal',NULL,'','','',0,6186,44,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870483,'mini_rutilated_crystal',NULL,'','','',0,6186,16,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870484,'gear_single',NULL,'','','',0,6089,232,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870485,'flight_path_island5',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870486,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870487,'orb_to_lower_halls_of_fate',NULL,'','','',0,6079,32,0,0,0,45,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870488,'zone_to_norrath',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870489,'quest_relic_chest_pit',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870490,'transfibulater_launch_lug',NULL,'','','',0,6089,48,0,0,0,56,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870491,'hf_chest_reliquary_bones02',NULL,'','','',0,6076,32,0,0,0,33,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870492,'drednever_memorial_stone',NULL,'','','',0,5791,42,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870493,'mysterious_box',NULL,'','','',0,4456,148,0,0,0,824,0,0,0,0,1,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870494,'zone_to_deathtoll',NULL,'','','',0,49,32,0,0,0,825,0,0,0,0,1,0,0,378,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870495,'zone_to_tenebrous_tangle',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870496,'drusy crystal',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870497,'zone_to_barren_sky',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870498,'elestial crystal',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870499,'rutilated crystal',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870500,'tabular crystal',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870501,'orb_to_fabled_dungeons',NULL,'','','',0,6079,32,0,0,0,1273,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870502,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870503,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870504,'fetidthorn spore',NULL,'','','',0,6024,39,0,0,0,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870505,'osseous lumber',NULL,'','','',0,3930,41,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870506,'scrub thistle',NULL,'','','',0,4075,35,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870507,'burrow',NULL,'','','',0,3970,69,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870508,'weathered geode',NULL,'','','',0,3916,85,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870509,'dustworn ore',NULL,'','','',0,3956,54,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870510,'dusk roots',NULL,'','','',0,1734,33,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870511,'a loose dragon vertebra',NULL,'','','',0,6059,3,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870512,'The Umbral Keeper','','','','',255,6017,104,0,1,1,0,0,0,1,1,1,0,0,32,1156,1156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870513,'Shade of Ghazi','','','','',255,5917,32,0,1,1,0,0,6193,0,0,1,0,0,272,1171,1171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870514,'The Barbed Duke','','','','',255,240,80,0,1,1,0,0,0,1,1,1,0,0,32,1156,1156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870515,'Bearer of Gore','','','','',255,5995,64,0,1,1,0,0,0,1,1,1,0,0,8,1156,1156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870516,'Bearer of the Carpus','','','','',255,156,80,0,1,1,0,0,0,1,1,1,0,0,89,1156,1156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870517,'Bearer of the Crux','','','','',255,5770,144,0,1,1,0,0,0,1,1,1,0,0,32,1156,1156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(870518,'The Ravaging Maw','','','','',255,5863,192,0,1,1,0,0,0,1,1,1,0,0,30,1156,1156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880001,'a summoned frightling','','','','',255,5863,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880002,'a deadly bloodbloom','','','','',255,5946,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880003,'a Thulian dreadknight','','','','',255,178,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880004,'a corpse','','','','',9,132,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880005,'Zhivaz Ne''pasdar','<Scout of the Dar Brood>','','','',255,6014,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880006,'a storm cell','','','','',255,296,35,3,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880007,'Thunderclap','','','','',255,296,44,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880008,'a torpid bloodbloom','','','','',255,5946,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880009,'a Scaleborn warrior','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880010,'Tempest','','','','',255,296,48,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880011,'a skywatch reaver honorguard','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880012,'The Skywatcher','','','','',255,6016,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880013,'a guardian of secrets','<Guardians of the Hoard>','','','',255,160,52,8,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880014,'Drizzler','','','','',255,296,41,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880015,'a jumper','','','','',255,224,16,0,1,1,530,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880016,'a Scaleborn sentry','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880017,'a devout reaver','','','','',255,6015,38,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880018,'Reaver Vurnaz','','','','',255,6015,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880019,'a hewn stone drake','','','','',255,238,32,0,1,1,11,0,4141,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880020,'The Soundless Guardian','','','','',255,238,41,0,1,1,0,0,4141,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880021,'a captive froglok surgeon','','','','',255,3790,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880022,'a sentinel bladehand','','','','',255,6015,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880023,'a wounded Reet knight','','','','',4,3787,32,0,1,1,9,0,540,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880024,'a Freeport emissary','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880025,'Pip Fuzzletwig','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880026,'Kinloch Skry''mir','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880027,'Highkeep','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880028,'Jabber Longwind','','','','',255,6041,34,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880029,'a swoop serpent','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880030,'an ethereal yellow jacket','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880031,'a Scaleborn sentry','','','','',255,6015,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880032,'a tanglefly','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880033,'a captive froglok armorer','','','','',255,3792,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880034,'Bilgeron Cogsworth IV','<L.O.S.T. Explorer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880035,'Grumglub','','','','',4,3790,31,1,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880036,'an old man','<Weaponsmith Master>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880037,'Pebbles','Peanutts''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880038,'a vigilant froglok paladin','','','','',255,76,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880039,'Sherman','Bandder''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880040,'a freed froglok armorer','','','','',255,3792,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880041,'Ackroh','Falbren''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880042,'Gosobtik','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880043,'widget_trinni_aloft_page_04',NULL,'','','',0,49,32,0,1,1,210,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880044,'widget_drakota_mastery',NULL,'','','',0,49,32,0,1,1,531,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880045,'worship_dragon_glow',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880046,'widget_awakened_page_08',NULL,'','','',0,49,32,0,1,1,536,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880047,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880048,'Flight Cloud',NULL,'','','',0,2306,32,0,1,1,9,0,11172,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880049,'Xaldrian Resh',NULL,'','','',255,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880050,'a draconic idol',NULL,'','','',0,5941,22,0,1,1,228,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880051,'invisible trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880052,'flight_cloud_small_3_to_medium_2',NULL,'','','',0,2306,64,0,1,1,1075,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880053,'zone_to_lyceum_of_abhorrence_01',NULL,'','','',0,49,32,0,1,1,525,0,0,0,0,1,0,0,279,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880054,'zone_to_lyceum_of_abhorrence_02',NULL,'','','',0,49,32,0,1,1,525,0,0,0,0,1,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880055,'skeleton of Sunwalker',NULL,'','','',0,2370,36,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880056,'final four sacred stones',NULL,'','','',0,4663,16,0,1,1,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880057,'',NULL,'','','',0,49,32,0,1,1,532,0,0,0,0,1,0,0,274,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880058,'',NULL,'','','',0,49,32,0,1,1,532,0,0,0,0,1,0,0,283,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880059,'zone_to_epic01_halls_of_the_seeing_02',NULL,'','','',0,49,32,0,1,1,533,0,0,0,0,1,0,0,288,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880060,'zone_to_epic01_halls_of_the_seeing_01',NULL,'','','',0,49,32,0,1,1,533,0,0,0,0,1,0,0,299,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880061,'a message chest',NULL,'','','',0,6075,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880062,'a tasty basket, bloodbloom lettuce',NULL,'','','',0,6187,32,0,1,1,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880063,'a tasty basket, serpents',NULL,'','','',0,6187,32,0,1,1,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880064,'zone_to_norrath',NULL,'','','',0,49,32,0,1,1,1076,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880065,'a tasty basket, yellow jacket',NULL,'','','',0,6187,32,0,1,1,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880066,'a diving sign',NULL,'','','',0,4655,32,0,1,1,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880067,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880068,'twilight gem',NULL,'','','',0,3915,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880069,'twisted wood',NULL,'','','',0,3945,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880070,'school of flying fish',NULL,'','','',0,4158,25,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880071,'trip roots',NULL,'','','',0,1729,19,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880072,'a summoned frightling','','','','',255,5863,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880073,'a deadly bloodbloom','','','','',255,5946,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880074,'a Thulian dreadknight','','','','',255,178,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880075,'a corpse','','','','',9,132,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880076,'Zhivaz Ne''pasdar','<Scout of the Dar Brood>','','','',255,6014,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880077,'a storm cell','','','','',255,296,35,3,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880078,'Thunderclap','','','','',255,296,44,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880079,'a torpid bloodbloom','','','','',255,5946,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880080,'a Scaleborn warrior','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880081,'Tempest','','','','',255,296,48,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880082,'a skywatch reaver honorguard','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880083,'The Skywatcher','','','','',255,6016,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880084,'a guardian of secrets','<Guardians of the Hoard>','','','',255,160,52,8,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880085,'Drizzler','','','','',255,296,41,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880086,'a jumper','','','','',255,224,16,0,1,1,530,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880087,'a Scaleborn sentry','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880088,'a devout reaver','','','','',255,6015,39,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880089,'Reaver Vurnaz','','','','',255,6015,40,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880090,'a hewn stone drake','','','','',255,238,32,0,1,1,11,0,4141,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880091,'The Soundless Guardian','','','','',255,238,41,0,1,1,0,0,4141,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880092,'a captive froglok surgeon','','','','',255,3790,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880093,'a sentinel bladehand','','','','',255,6015,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880094,'a wounded Reet knight','','','','',4,3787,32,0,1,1,9,0,540,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880095,'Kalligah','<Warder of Shalih Mar>','','','',255,2415,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880096,'Shalih Mar','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880097,'a Freeport emissary','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880098,'Pip Fuzzletwig','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880099,'Kinloch Skry''mir','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880100,'Highkeep','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880101,'Jabber Longwind','','','','',255,6041,34,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880102,'a swoop serpent','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880103,'an ethereal yellow jacket','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880104,'a Scaleborn sentry','','','','',255,6015,40,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880105,'a tanglefly','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880106,'a captive froglok armorer','','','','',255,3792,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880107,'Grumglub','','','','',4,3790,30,2,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880108,'an old man','<Weaponsmith Master>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880109,'a vigilant froglok paladin','','','','',255,76,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880110,'Valya Forestborn','<Qeynos Ambassador>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880111,'Krysyth L''Tavel','<Freeport Ambassador>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880113,'Armorer Gunbog','','','','',4,3792,31,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880114,'a froglok wizard','','','','',255,3788,33,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880115,'a pondering froglok wizard','','','','',255,1430,29,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880116,'Acris Gryllus','<Banker>','','','',255,3787,30,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880117,'Minyo Viridis','<General Merchant and Mender>','','','',255,3789,34,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,100215,0,0,0,0,0,0,0,0,0,0,0,0),
(880118,'Lady Erillis','','','','',4,4940,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880119,'Archaeologian Tydis','','','','',4,1431,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880120,'a contemplating froglok templar','','','','',255,4936,29,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880121,'a vigilant froglok alchemist','','','','',255,4944,29,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880122,'Tayil N''Velex','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880123,'a twilight gorg','','','','',255,5862,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880124,'Spearhead','','','','',9,1468,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880125,'Dancer','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880126,'Murrar Shar','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880127,'Norrathian Enquirer Correspondent','','','','',6,134,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880128,'Surgeon Kweezil','','','','',4,3790,33,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880129,'a Scaleborn stonesetter','','','','',255,6014,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880130,'a captive froglok archaeologian','','','','',255,1431,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880131,'a stonesetter overseer','','','','',255,6014,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880132,'a Strifewing raptor','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880133,'a Strifewing raptor','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880134,'Buz''zard','','','','',255,5953,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880135,'a vultak raptor','','','','',255,5953,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880136,'a Strifewing raptor','','','','',255,5927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880137,'Car''rion','','','','',255,5927,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880138,'Gosobn','A Strifewing raptor''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880139,'Kontik','A Strifewing raptor''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880140,'Gonn','A Strifewing raptor''s diseased zombie','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880141,'a Thulian terrorlord','','','','',255,177,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880142,'a portal of coalesced fear','','','','',255,3687,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880143,'Sinephobis','<Priest of Fear>','','','',255,176,80,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880144,'Zyivt''koz of the Portals','','','','',255,176,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880145,'a savage wyrm','','','','',255,310,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880146,'a Scaleborn breed observer','','','','',255,6016,40,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880147,'Spykrachis','','','','',255,310,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880148,'a Scaleborn breeder','','','','',255,6016,43,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880149,'an azure drake','','','','',255,238,41,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880150,'a squalburst drake','','','','',255,238,41,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880151,'Raxi Ananta ','','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880152,'a Scaleborn breed observer','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880153,'Darga Fleetpaw','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880154,'Ferwah Shieldwall','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880155,'an azure drakeling','','','','',255,238,16,2,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880156,'a wind komodo','','','','',255,15645,32,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880157,'a Gloompall breezebender','','','','',255,181,41,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880158,'a Gloompall gustbreaker','','','','',255,181,41,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880159,'Bingles Multicrank','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880160,'a wicked gazer','','','','',255,5918,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880161,'a vicious gazer','','','','',255,5918,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880162,'a Gloompall windscratcher','','','','',255,181,41,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880163,'a cloudyeye detector','','','','',255,247,12,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880164,'a gazer constrainer','','','','',255,5918,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880165,'a cloudyeye surveyor','','','','',255,247,12,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880166,'a cloudyeye gawker','','','','',255,247,12,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880167,'a goblin chef','','','','',255,145,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880168,'a ravenous gazer','','','','',255,5918,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880169,'an overlook laborer','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880170,'an overlook guard','','','','',6,136,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880171,'Chans Ellin','<Fuel Merchant>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100216,0,0,0,0,0,0,0,0,0,0,0,0),
(880172,'Shio Laugerwithe','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880173,'Captain Velgre','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880174,'Raakil Shiningheart','','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880177,'a Vornerus manaweaver','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880178,'a Vornerus intruder','','','','',255,5860,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880179,'a Vornerus spellspinner','','','','',255,5859,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880180,'Hive Colonizer','','','','',255,5858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880181,'a bee serf worker','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880182,'a bzzt bixie defender','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880183,'a bzzt bixie worker','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880184,'a bzzt bixie attendant','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880185,'a bzzt bixie hatchling','','','','',255,150,16,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880186,'a bzzt bixie courtier','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880187,'Championess Pollenica','','','','',255,150,38,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880188,'a bzzt bixie soldier','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880189,'a bzzt bixie soldier','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880190,'a bzzt bixie stinger','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880191,'a bzzt bixie stinger','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880192,'Lekab','Queen Bazzt Bzzt the 200th''s aery hunter','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880193,'Queen Bazzt Bzzt the 200th','','','','',255,150,70,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880194,'a hulking gorg','','','','',255,5862,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880195,'a territorial gorg','','','','',255,5862,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880196,'Grubgullet','','','','',255,5862,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880198,'a Scaleborn breeder','','','','',255,6015,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880199,'a Scaleborn breed director','','','','',255,6015,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880200,'a thundermaw drake','','','','',255,238,38,3,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880201,'a clutch guardian drake','','','','',255,238,41,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880202,'The Broodmatron','','','','',255,238,41,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880203,'The Beeholder','','','','',255,5918,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880204,'Breeder Nurzon','','','','',255,6015,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880205,'a Gloompall witch','','','','',255,181,41,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880206,'a Scaleborn ambusher','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880207,'widget_trinni_aloft_page_04',NULL,'','','',0,49,32,0,0,0,210,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880208,'widget_drakota_mastery',NULL,'','','',0,49,32,0,0,0,531,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880209,'worship_dragon_glow',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880210,'widget_awakened_page_08',NULL,'','','',0,49,32,0,0,0,536,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880211,'widget_trinni_aloft_page_05',NULL,'','','',0,49,32,0,0,0,531,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880212,'widget_trinni_aloft_book',NULL,'','','',0,49,32,0,0,0,536,0,0,0,0,1,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880213,'widget_waterfalls_page_07',NULL,'','','',0,49,32,0,0,0,536,0,0,0,0,1,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880214,'widget_trinni_aloft_page_10',NULL,'','','',0,49,32,0,0,0,536,0,0,0,0,1,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880215,'widget_waterfalls_page_03',NULL,'','','',0,49,32,0,0,0,536,0,0,0,0,1,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880216,'widget_droag_mastery',NULL,'','','',0,49,32,0,0,0,531,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880217,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880218,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO `spawn` VALUES
(880219,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880220,'floor_barrel_any_ornate01',NULL,'','','',0,2563,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880221,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880222,'basket',NULL,'','','',0,11815,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880223,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880224,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880225,'gnomish_heating_device',NULL,'','','',0,3252,16,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880226,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880227,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880228,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880229,'Plain large bucket',NULL,'','','',0,1663,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880231,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880232,'Sewing Table & Mannequin',NULL,'','','',0,7179,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880233,'flight_cloud_medium_2_to_medium_1',NULL,'','','',0,2306,32,0,0,0,319,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880234,'glass_vial001_rusty',NULL,'','','',0,5948,32,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880235,'a draconic idol',NULL,'','','',0,5941,22,0,1,0,228,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880236,'invisible trigger',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880237,'a campfire cookout',NULL,'','','',0,1547,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880238,'dn_tent_red',NULL,'','','',0,6010,32,0,0,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880239,'flight_cloud_small_3_to_medium_2',NULL,'','','',0,2306,64,0,0,0,1075,0,11172,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880240,'floor_bucket_orc_ore01',NULL,'','','',0,4650,18,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880241,'beehive02',NULL,'','','',0,5923,74,0,0,0,1160,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880242,'ls_chest_metal01',NULL,'','','',0,5888,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880243,'a lean to',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880244,'a campfire ring',NULL,'','','',0,2222,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880245,'flight_cloud_large_1_to_small_2',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880246,'Namojix  Ajende',NULL,'','','',255,79,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880247,'flight_cloud_small_2_to_large_1',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880248,'draconic bones',NULL,'','','',0,5899,22,0,0,0,228,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880249,'ls_dragoneggs_unbroken',NULL,'','','',0,6032,32,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880250,'sky pirates plank',NULL,'','','',0,5086,28,0,0,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880251,'a petrified draconic egg',NULL,'','','',0,6045,32,0,0,0,228,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880252,'ls_dragoneggs_broken',NULL,'','','',0,6030,32,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880253,'ls_dragoneggs_mixed',NULL,'','','',0,6031,32,0,0,0,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880254,'ls_statue_dragon_bust01',NULL,'','','',0,5941,32,0,0,0,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880255,'flight_cloud_medium_4_to_small_3',NULL,'','','',0,2306,32,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880256,'Kalz Spikewing',NULL,'','','',255,5947,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880257,'flight_cloud_medium_1_to_large_1',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880258,'Brewing Pot',NULL,'','','',0,1845,32,0,1,0,4,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880259,'flight_cloud_small_1_to_medium_3',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880260,'Penelope Fudwinkle',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880261,'Cobbzig Fudwinkle',NULL,'','','',255,108,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880262,'flight_cloud_medium_3_to_small_1',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880263,'flight_cloud_large_1_to_small_1',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880264,'flight_cloud_large_1_to_medium_1',NULL,'','','',0,2306,64,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880265,'flight_cloud_small_3_to_medium_4',NULL,'','','',0,2306,32,0,0,0,319,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880266,'droag stone',NULL,'','','',0,12362,32,0,0,0,0,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880267,'droag tablet',NULL,'','','',0,12360,32,0,0,0,0,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880268,'komodo eggs',NULL,'','','',0,12429,16,0,0,0,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880269,'komodo nest',NULL,'','','',0,2400,31,0,0,0,0,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880270,'docile wind komodo',NULL,'','','',0,15638,32,0,0,0,0,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880271,'skeleton of Sunwalker',NULL,'','','',0,2370,36,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880272,'final four sacred stones',NULL,'','','',0,4663,16,0,0,0,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880273,'a message chest',NULL,'','','',0,6075,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880274,'a tasty basket, bloodbloom lettuce',NULL,'','','',0,6187,32,0,0,0,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880275,'a tasty basket, serpents',NULL,'','','',0,6187,32,0,0,0,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880276,'a tasty basket, yellow jacket',NULL,'','','',0,6187,32,0,0,0,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880277,'a diving sign',NULL,'','','',0,4655,32,0,0,0,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880278,'a tasty basket, tanglefly',NULL,'','','',0,6187,32,0,0,0,537,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880279,'a war chest',NULL,'','','',0,2187,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880280,'an artifact crate',NULL,'','','',0,3146,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880281,'a medicinal humidor',NULL,'','','',0,5767,16,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880282,'loose brick for a spiroc idol',NULL,'','','',0,2306,32,0,0,0,1266,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880283,'spiroc temple chest',NULL,'','','',0,6075,40,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880284,'loose brick for of a spiroc idol',NULL,'','','',0,2306,32,0,0,0,1266,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880285,'zone_to_barrensky',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880286,'an spiroc idol, ormot',NULL,'','','',0,3481,7,0,0,0,1267,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880287,'berdkaij hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880288,'skwid hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880289,'sign at the plank',NULL,'','','',0,4655,32,0,0,0,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880290,'scroll on the plank',NULL,'','','',0,3550,32,0,0,0,61,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880291,'a stone bench',NULL,'','','',0,2306,32,0,0,0,1269,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880292,'bludshot hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880293,'zone_to_bonemire',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880294,'antheel hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880295,'steengstung hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880296,'zone_to_sanctum_of_the_scaleborn',NULL,'','','',0,49,32,0,0,0,1270,0,0,0,0,1,0,0,279,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880297,'zone_to_sanctum_of_the_scaleborn_02',NULL,'','','',0,49,32,0,0,0,1270,0,0,0,0,1,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880298,'dyveeng hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880299,'the scaleborn pyramid tablet',NULL,'','','',0,4915,33,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880300,'a ruined pillar',NULL,'','','',0,2306,53,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880301,'zone_to_norrath',NULL,'','','',0,49,32,0,0,0,88,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880302,'a strongbox',NULL,'','','',0,2902,25,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880303,'smawlskail hydeeng hol',NULL,'','','',0,2021,67,0,0,0,1268,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880304,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880305,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880306,'twilight gem',NULL,'','','',0,3915,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880307,'twisted wood',NULL,'','','',0,3945,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880308,'school of flying fish',NULL,'','','',0,4158,25,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880309,'trip roots',NULL,'','','',0,1729,19,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880310,'firmament stone',NULL,'','','',0,1668,19,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880311,'tangled nest',NULL,'','','',0,4002,35,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880312,'breeze leaf foliage',NULL,'','','',0,4077,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(880313,'Hurricanus the Patriarch','','','','',255,238,134,0,1,1,0,0,0,1,1,1,0,0,20,1171,1171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890001,'Rethilhi Z''Szemi','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890002,'Orimei X''Jtheble','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890003,'Khavizh D''Khranez','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890004,'Rzhexi V''Vethivar','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890005,'Zsivzha Z''Vythinez','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890006,'Krixi J''Rhime','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890007,'Hzavzha V''Ingzsi','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890008,'Vynek B''Xylizsi','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890009,'Szemer R''Tazinez','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890010,'Kzezsi V''Khraver','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890011,'Jrepoz X''Vezivar','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890012,'Zeavzha V''Vethivzha','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890013,'Rzhevar Z''Axilhi','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890014,'Zikin S''Vuela','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890015,'Rzhelhi K''Irible','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890016,'Kriver N''Vinilhi','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890017,'Valhi T''Sxhiver','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890018,'Xymi J''Ozipoz','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890019,'Xaxi V''Krelhi','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890020,'Athela T''Dreble','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890021,'Zsinez B''Dhvapoz','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890022,'Drexi X''Kthekin','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890023,'Rhiver S''Vethible','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890024,'Qhozsi V''Dzhonek','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890025,'Zeble Z''Sxhipoz','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890026,'Vymi K''Dhimer','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890027,'Khraker J''Khravizh','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890028,'Deris L''Ibantcci','<Pianist of the Court>','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890029,'Tyhawer V''Vela','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890030,'Athevar V''Vythimei','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890031,'Axinez J''Oxame','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890032,'Krizsi T''Venek','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890033,'Zyxi X''Zavar','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890034,'Izhala D''Jrelhi','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890035,'Athemi N''Jzikin','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890036,'Rzhenek V''Rhiwer','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890037,'Vethizsi N''Dfami','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890038,'Tyhaque V''Tyrizsi','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890039,'Zela Z''Trepoz','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890040,'Tyhanek B''Drelhi','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890041,'Rhiker V''Sxhivizh','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890042,'Rethinez B''Oxarez','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890043,'Zealhi V''Devar','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890044,'Kriwer B''Kvhique','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890045,'Xapoz N''Arible','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890046,'Veme V''Oxanek','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890047,'Rhikin V''Setimi','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890048,'Qhemer D''Jthemei','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890049,'Jthewer K''Qhovizh','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890050,'Vyzsi K''Jthever','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890051,'Oripoz B''Dila','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890052,'Ozilhi X''Krizsi','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890053,'Ixhxi X''Jrepoz','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890054,'Qhover H''Khable','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890055,'Vethinez D''Qhovar','','','','',255,6611,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890056,'Trenez K''Kthamer','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890057,'Xinez D''Tyrivizh','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890058,'Khraver D''Xaver','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890059,'Zsimi X''Jrame','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890060,'a leering gargoyle','','','','',255,2895,72,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890061,'a watching gargoyle','','','','',255,2895,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890062,'Sxhivar J''Kthaxi','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890063,'Avame V''Qharez','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890064,'Taziwer V''Tyriver','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890065,'Szerez T''Izhala','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890066,'Vzhiker X''Zeanez','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890067,'Vanquisher B''Riareos','<Mistmoore''s Crusader>','','','',255,6612,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890068,'Vethiwer X''Kriker','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890069,'Vythique V''Ingxi','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890070,'Texivar D''Ingvzha','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890071,'Dhime T''Xaque','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890072,'Jylevizh N''Vininez','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890073,'Qhepoz K''Xevar','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890074,'a warding gargoyle','','','','',255,2895,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890075,'Tyhalhi K''Dzhovizh','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890076,'Setiver D''Dzhonek','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890077,'Ixhla H''Ixamei','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890078,'Maestro Kerberos','<Maestro of the Cathedral>','','','',255,6612,73,0,1,1,11,0,3789,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890079,'a watchful Mistmoore protector','','','','',255,3647,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890080,'Vuepoz Z''Hramer','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890081,'Hranek R''Rhinek','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890082,'an Elder Mistmoore sage','','','','',255,6491,38,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890083,'Setiwer Z''Izhanek','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890084,'Dfazsi V''Jrevar','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890085,'Zaker D''Qhazsi','','','','',255,6612,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890086,'Dhvala N''Kremei','','','','',255,6611,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890087,'Jreker D''Zaxi','','','','',255,6612,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890088,'Verez B''Hzanez','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890089,'Szekin Z''Vivar','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890090,'Hrala D''Xyble','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890091,'Sxhimi T''Szelhi','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890092,'a vigilant Mistmoore guardian','','','','',255,3647,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890093,'Kremi K''Hrazsi','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890094,'Zerame J''Dfala','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890095,'Xipoz K''Tyhavzha','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890096,'Zeble D''Zeble','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890097,'Ixaver R''Trewer','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890098,'Rxonez V''Zemer','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890099,'Ozique Y''Krimei','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890100,'Rxolhi K''Athela','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890101,'Irikin T''Hzavar','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890102,'Setilhi X''Zixi','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890103,'Vavzha X''Setila','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890104,'Kremer V''Dhvanez','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890105,'Avala K''Zvimer','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890106,'a Somborn dignitary','','','','',9,132,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890107,'Dhivar K''Tyrinek','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890108,'Nzhela H''Orinez','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890109,'Tyrila H''Sxhimi','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890110,'Vzhila J''Qhapoz','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890111,'Khrapoz H''Vueker','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890112,'Xizsi D''Jylekin','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890113,'Kvhinez X''Tazizsi','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890114,'Rxovar K''Jthemer','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890115,'Avavar X''Drewer','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890116,'Zimer T''Vythinek','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890117,'Ingzsi K''Krixi','','','','',255,6611,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890118,'Vzhivar B''Nzheble','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890119,'Dhvanek V''Vzhinez','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890120,'Rethimi X''Aximei','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890121,'Izhaver K''Nzhemer','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890122,'Irila T''Hralhi','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890123,'Kthaver N''Sxhila','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890124,'Vevar Z''Athevar','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890125,'Cherista''s Guardian','','','','',255,2895,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890126,'an honored lord','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890127,'Axible Z''Sxhimi','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890128,'Zvimer Z''Jylezsi','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890129,'Zivzha T''Vezsi','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890130,'Veziver T''Jzipoz','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890131,'Hraker Z''Dhizsi','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890132,'Arimer J''Vzhimei','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890133,'Xyker Z''Nzheble','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890134,'Irible T''Xela','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890135,'Hravar Z''Setivzha','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890136,'a Somborn defender','','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890137,'Avala X''Drewer','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890138,'Trexi J''Zsiker','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890139,'Xylikin K''Vethila','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890140,'Kvhible T''Dfami','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890141,'Avamer Y''Drenez','','','','',255,6612,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890142,'Zique B''Izhanez','','','','',255,6611,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890143,'Sxhinez Z''Zvizsi','','','','',255,6612,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890144,'Axible J''Khramei','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890145,'Venek X''Vzhimi','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890146,'Vyver K''Sxhivar','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890147,'Zizsi D''Vevzha','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890148,'Dzhokin T''Zvilhi','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890149,'Vimi K''Vavar','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890150,'Axiker X''Jravizh','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890151,'Dwixi V''Dzhokin','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890152,'Hralhi J''Vzhivar','','','','',255,6612,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890153,'Rhizsi X''Rxola','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890154,'Dzhola J''Trenez','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890155,'Vuevizh N''Qhome','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890156,'Zeramei V''Zikin','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890157,'Vythimi V''Khrawer','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890158,'Arimei T''Hzaxi','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890159,'Dever H''Jzique','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890160,'Avame Y''Oxaver','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890161,'Vikomt D''Raethe','<Count of Somborn>','','','',255,6490,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890162,'Axinez K''Dfavzha','','','','',255,6611,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890163,'a swarm of bats','','','','',255,2306,44,0,1,1,0,0,3631,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890164,'Dhvaker K''Xylimei','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890165,'Szezsi R''Hzaver','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890166,'Vikin X''Nzhenez','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890167,'Vikin T''Devizh','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890168,'Vakin V''Orilhi','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890169,'Ingme D''Ariwer','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890170,'Xiver T''Athexi','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890171,'Tazime X''Khapoz','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890172,'Trela X''Qhawer','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890173,'Izhaque X''Ixaver','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890174,'Dhvavar X''Xable','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890175,'Jremi V''Dzhover','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890176,'Ixable V''Jrenek','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890177,'Rhiker V''Kreker','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890178,'Komornik Syncall','<Butler of Mistmoore>','','','',255,6491,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890179,'Khrawer D''Xique','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890180,'Krenez N''Athever','','','','',255,6612,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890181,'Axilhi V''Ixhvizh','','','','',255,6611,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890182,'Dilhi J''Vevizh','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890183,'Xila J''Zeable','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890184,'Sxhivar Z''Xyliwer','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890185,'Vezinek T''Ixamei','','','','',255,6611,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890186,'Vuenez X''Avavar','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890187,'a gypsy performer','','','','',9,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890188,'Irinek X''Khravzha','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890189,'Axixi X''Vinimer','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890190,'Rethinek J''Zynez','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890191,'Dekin S''Dhirez','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890192,'Treme V''Viker','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890193,'Devar J''Vexi','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890194,'the Huntmaster''s lackey','','','','',255,6491,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890195,'a gypsy musician','','','','',9,5263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890196,'a lupine blackpaw','','','','',255,6859,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890197,'Ferox','<The Master''s Favorite Pet>','','','',255,1371,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890198,'Kvhinek D''Setikin','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890199,'Dzhome J''Xaker','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890200,'Rzhewer Z''Krivzha','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890201,'Jremi V''Rzhevizh','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890202,'Tyrizsi K''Ximei','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890203,'Texipoz V''Tazizsi','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890204,'Dhvamer X''Vimer','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890205,'an ancient Mistmoore guardian','','','','',255,2895,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890206,'Treker D''Xyvzha','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890207,'Zanez J''Vezinez','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890208,'Deque K''Vueme','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890209,'Axivizh S''Xynez','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890210,'a warding gargoyle','','','','',255,2895,56,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890211,'Dhimei V''Krevzha','','','','',255,6491,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890212,'Dzhonek X''Arilhi','','','','',255,6521,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890213,'Nzheble V''Zerala','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890214,'Orizsi S''Dhvable','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890215,'Jthemei T''Jrawer','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890216,'Dzhozsi T''Nzhelhi','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890217,'Atheble X''Vaker','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890218,'Rethixi T''Vevzha','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890219,'Kthepoz D''Sxhime','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890220,'Iriver Z''Hraxi','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890221,'Xyver B''Jzizsi','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890222,'Zeravizh X''Jzirez','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890223,'Szevar K''Nhirez','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890224,'Krelhi J''Sxhivizh','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890225,'Rxokin X''Vywer','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890226,'Irivzha B''Krimi','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890227,'Nhizsi J''Hzavar','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890228,'Vivzha X''Dhinez','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890229,'a jeering gargoyle','','','','',255,2895,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890230,'Ingrez Z''Ozible','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890231,'Kvhivzha Z''Athelhi','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890232,'Zeralhi J''Xapoz','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890233,'Vethixi V''Zeraxi','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890234,'Dikin X''Rhilhi','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890235,'Dzholhi R''Vzhiker','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890236,'Qhemei H''Vyble','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890237,'Vzhiker B''Deque','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890238,'Dhirez Z''Kthamer','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890239,'Krevar H''Trevizh','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890240,'Mayong Mistmoore','','','','',255,6537,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890241,'Dhiker Z''Kvhivar','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890242,'Xavar K''Khavar','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890243,'Vueble V''Ariwer','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890244,'Kthevar Z''Szenez','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890245,'Rxoque K''Khavar','','','','',255,6612,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890246,'Vanek V''Dhique','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890247,'Devar X''Qhonek','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890248,'Kreker Z''Vikin','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890249,'Jziver N''Setikin','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890250,'Qhevizh T''Rhiver','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890251,'Xivar T''Rzhezsi','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890252,'Devar V''Texizsi','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890253,'Athemer T''Ariver','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890254,'Varez D''Oxavizh','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890255,'Drekin S''Trelhi','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890256,'Dwimer T''Xavzha','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890257,'Sxhizsi D''Diwer','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890258,'Orila Y''Kvhiwer','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890259,'Qhomi Y''Ozixi','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890260,'Ixhvizh V''Krevar','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890261,'Vilhi K''Setinek','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890262,'Qhezsi V''Krilhi','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890263,'Vyker Z''Jrame','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890264,'Zemei X''Jzimi','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890265,'a Mistmoore pianist','','','','',255,6521,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890266,'Kremi N''Tyrinek','','','','',255,6611,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890267,'Vethiver D''Setipoz','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890268,'Ixanek N''Nhixi','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890269,'Ariker Z''Qhevizh','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890270,'Ixhkin T''Kthami','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890271,'Athemer J''Szepoz','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890272,'Sxhivar D''Xyxi','','','','',255,6612,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890273,'Qhovzha N''Axivar','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890274,'Szerez S''Rhiwer','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890275,'Hzaver K''Drekin','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890276,'Dzhorez V''Khrarez','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890277,'Jrapoz N''Dhvala','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890278,'Hramei X''Kzeme','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890279,'Kthanek J''Zeramei','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890280,'Ingmer D''Zeravzha','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890281,'Sxhinez V''Zyxi','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890282,'Veble Z''Jylenek','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890283,'Drenek T''Zvinez','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890284,'Jzimi Z''Xylique','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890285,'Xyble T''Xezsi','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890286,'Xyvizh X''Xazsi','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890287,'Axinez T''Rhivizh','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890288,'Athela Z''Zapoz','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890289,'Qhable X''Vavizh','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890290,'Kvhirez D''Zinek','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890291,'a Mistmoore vanquisher','','','','',255,6612,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890292,'Ingvizh S''Dremi','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890293,'Arible V''Teximi','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890294,'Vzhivar B''Qhekin','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890295,'Dzhovar T''Xylimi','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890296,'Qhamei D''Zekin','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890297,'Dfaver K''Vzhimei','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890298,'Jravar V''Kzemer','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890299,'Zeranez Z''Ixhnez','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890300,'Aximer V''Avaque','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890301,'Kvhila N''Vinila','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890302,'Zeramer T''Trewer','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890303,'Xylinek K''Dfaker','','','','',255,6520,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890304,'Rxower T''Kzevizh','','','','',255,6491,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890305,'Zykin V''Zevizh','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890306,'Trevzha D''Szevizh','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890307,'Irivizh V''Zikin','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890308,'Drepoz T''Xyxi','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890309,'Hrapoz K''Ozime','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890310,'Zivar Z''Jramei','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890311,'Kthever D''Vymei','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890312,'Ozixi X''Kzeme','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890313,'Dwizsi Y''Zvirez','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890314,'Drenez X''Qhoker','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890315,'Tyhalhi H''Tremei','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890316,'Zevizh D''Nzheble','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890317,'Jranez Z''Dhvala','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890318,'Orivar T''Texivar','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890319,'Hranez X''Xexi','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890320,'Rethinez K''Drewer','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890321,'Zexi K''Deme','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890322,'Divzha D''Jrami','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890323,'Avakin Y''Jrapoz','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890324,'Trenek X''Sxhiwer','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890325,'Avanez N''Vuezsi','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890326,'Dhinez D''Zarez','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890327,'Zsimei Z''Atheker','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890328,'Vyver Z''Krerez','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890329,'Jrevar D''Qhewer','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890330,'Irixi V''Trela','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890331,'Qhaque B''Dfavar','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890332,'Izhamei K''Sxhible','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890333,'Kzekin Z''Kthela','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890334,'Hrala H''Ixhvzha','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890335,'Ixhmi J''Krimi','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890336,'Rzhelhi N''Jralhi','','','','',255,6491,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890337,'Rzhevar K''Nzhemer','','','','',255,6521,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890338,'Zerame J''Teximi','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890339,'Zable D''Oziver','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890340,'Zsipoz D''Irimi','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890341,'Zevzha X''Rzhexi','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890342,'Izharez J''Jzinez','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890343,'Zelhi K''Jrever','','','','',255,6612,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890344,'Dzhovzha X''Arizsi','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890345,'Deker X''Ingla','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890346,'Xyker K''Texinek','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890347,'Xylimer X''Tazirez','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890348,'Dixi V''Vivar','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890349,'Hrable B''Irivizh','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890350,'Dwiver R''Dfavar','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890351,'Zvinez Z''Setizsi','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890352,'Zavar X''Nhixi','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890353,'Vzhivar Z''Qhovar','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890354,'Xikin S''Dzhovar','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890355,'Dimei B''Ingble','','','','',255,6611,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890356,'Dhimi Z''Jzible','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890357,'Ixhker V''Jremer','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890358,'Drelhi D''Dinek','','','','',255,6612,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890359,'Vueker J''Kzevzha','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890360,'Kzelhi K''Jylemei','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890361,'Ozipoz H''Vixi','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890362,'Szeker R''Vezique','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890363,'Xique B''Vzhixi','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890364,'Orirez Z''Zsinez','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890365,'Kzepoz J''Viniver','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890366,'Kthemer K''Dzhomer','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890367,'Vymer D''Ariwer','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890368,'Zilhi V''Zyvizh','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890369,'Tyrizsi K''Vyvizh','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890370,'Tyhamei X''Dzhonek','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890371,'Krizsi B''Khavar','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890372,'Zealhi J''Jzible','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890373,'Kthelhi D''Zyxi','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890374,'Tyrible Z''Zeakin','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890375,'Tyhavzha B''Vuevar','','','','',255,6611,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890376,'Axinez T''Vexi','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890377,'Dreque Z''Dfavar','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890378,'Xezsi Y''Khravar','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890379,'Vethinek T''Kthami','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890380,'Irinek D''Denez','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890381,'Dzhover K''Kvhipoz','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890382,'Dhvalhi V''Irizsi','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890383,'Hrapoz J''Divar','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890384,'Vavar K''Kvhixi','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890385,'Xyzsi K''Kthazsi','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890386,'Vinivizh Z''Ixakin','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890387,'Xyvar R''Ingque','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890388,'Jthemer X''Vinixi','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890389,'Vuever T''Jranez','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890390,'Vaker S''Vethivar','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890391,'Szepoz Z''Jrami','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890392,'Dhvavar D''Kthanek','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890393,'Setivizh V''Taziver','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890394,'Vame V''Hzawer','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890395,'Arinek J''Ingla','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890396,'Krekin J''Irixi','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890397,'Xible B''Qhaxi','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890398,'Rethinek D''Iripoz','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890399,'Kthavizh V''Axible','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890400,'Khramer Y''Jthenez','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890401,'Vyxi Z''Tazizsi','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890402,'Xewer V''Zsirez','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890403,'Zviver J''Oriwer','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890404,'Xyvar Z''Vaker','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890405,'Nzhewer Y''Xamer','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890406,'Kthawer D''Hzapoz','','','','',255,6612,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890407,'Graf Koban','<Lord of the Plains>','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890408,'Zsilhi T''Dhible','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890409,'Kzemer V''Zexi','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890410,'Dwikin V''Rxome','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890411,'Vapoz V''Xylipoz','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890412,'Jzizsi H''Kvhivizh','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890413,'Dremi H''Nzhemer','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890414,'Drekin Z''Demi','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890415,'Kthevzha J''Ixavizh','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890416,'Khraver T''Orinez','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890417,'Jremer B''Athepoz','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890418,'Khalhi N''Rhinek','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890419,'Dewer V''Vuela','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890420,'Xyrez Z''Vawer','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890421,'Vinirez N''Dfavizh','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890422,'Jthevar K''Szela','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890423,'Sxhizsi Z''Diwer','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890424,'Vythirez V''Texizsi','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890425,'Ingvizh D''Vinivar','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890426,'Dwible R''Tyhame','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890427,'Texiwer K''Nhiker','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890428,'Rxoble V''Rzheme','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890429,'Kthever S''Zvinek','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890430,'Dwible T''Dzholhi','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890431,'Vuenek V''Setivzha','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890432,'Xemer V''Jrenez','','','','',255,6611,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890433,'Kthaker J''Hramei','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890434,'Zawer V''Ozikin','','','','',255,6611,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890435,'Zala K''Nzheker','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890436,'Devar B''Venez','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890437,'Khaker K''Szemi','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890438,'Jyleble T''Hzarez','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890439,'Nzhexi V''Trelhi','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890440,'Nhiver N''Vuenek','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890441,'Vavar Y''Vythiker','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890442,'Divzha V''Vzhikin','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890443,'Rzhevar T''Ixhnek','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890444,'Avame X''Jremer','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890445,'Dhinek T''Vivar','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890446,'a grinning protector','','','','',255,2895,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890447,'Kthaker T''Dhimer','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890448,'Krivzha V''Tyrivar','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890449,'Rhivizh T''Zerable','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890450,'Qhomi T''Devar','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890451,'Vaker V''Vythikin','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890452,'Zeravar K''Vezikin','','','','',255,6612,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890453,'Vami D''Zymei','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890454,'Irivar Y''Szenek','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890455,'Vuemei Z''Khame','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890456,'Devizh T''Ozirez','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890457,'Ixhque S''Rethinek','','','','',255,4634,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890458,'Vzhinez H''Dwirez','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890459,'Jzivar V''Kzela','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890460,'Dwinez J''Rhimei','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890461,'Tyriver K''Rzhever','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890462,'Vzhirez Z''Ixavar','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890463,'Jylekin V''Zela','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890464,'Dizsi V''Jzinek','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890465,'Krivzha Z''Trevzha','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890466,'Qhoble X''Nzhever','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890467,'Zvikin X''Xami','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890468,'Hraker K''Setimi','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890469,'Jreker Z''Jrekin','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890470,'Dzhopoz R''Ixanek','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890471,'Avaxi H''Kthalhi','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890472,'Devizh K''Rxome','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890473,'Zvila Z''Xemei','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890474,'Zible Z''Vethime','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890475,'Ixakin J''Zsimer','<Wealthy Voevoda>','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890476,'Xilhi N''Ozimer','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890477,'Nzhepoz D''Kreble','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890478,'Sxhiker R''Arinek','','','','',255,6612,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890479,'Zyver Z''Vyble','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890480,'Devzha Z''Orique','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890481,'Ozivizh S''Ixhvar','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890482,'Krivar X''Zsila','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890483,'Zeraker N''Szekin','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890484,'Athevar T''Xypoz','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890485,'Vuela T''Xela','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890486,'Orizsi N''Vezixi','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890487,'Kzenek X''Jramer','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890488,'Hrame V''Drekin','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890489,'Szemi N''Szekin','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890490,'Ixavzha J''Rzhenez','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890491,'Avalhi D''Rethilhi','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890492,'Zvimi T''Athemei','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890493,'Nhimi K''Rxomi','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890494,'Jrapoz V''Xyver','','','','',255,6612,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890495,'Sxhimei H''Kthanez','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890496,'Vethirez J''Tyrinez','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890497,'Izhamer Z''Xaxi','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890498,'Zvila Z''Vuewer','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890499,'Ixhnek T''Xymer','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890500,'Zarez R''Vewer','','','','',255,4634,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890501,'Sxhimei K''Tyhable','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890502,'Kthaker K''Dime','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890503,'Ozipoz Y''Treble','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890504,'Qhela Z''Setikin','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890505,'Dhvaxi T''Jtheme','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890506,'Rethikin K''Jylever','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890507,'Zimei B''Trepoz','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890508,'Verez N''Izhamei','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890509,'Dhvawer V''Dwiwer','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890510,'Rxomei R''Krever','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890511,'Qhonez B''Rxomer','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890512,'Zsivzha K''Sxhimer','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890513,'Zynez D''Ingvar','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890514,'Dzhorez Z''Vethizsi','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890515,'Dfable V''Drela','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890516,'Xywer T''Zerami','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890517,'Zivzha D''Vzhime','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890518,'Vaxi D''Arilhi','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890519,'Denez D''Vinirez','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890520,'Arixi Z''Zeavar','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890521,'Veble H''Trerez','','','','',255,6611,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890522,'Zsilhi Z''Vythinez','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890523,'Rzhepoz B''Tazikin','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890524,'Dhvalhi H''Zevzha','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890525,'Krevzha N''Jrazsi','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890526,'Xylivar T''Vinivar','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890527,'Athever T''Ixhnez','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890528,'Ozivar Z''Qhaker','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890529,'Vzhimei Z''Divar','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890530,'Kthaker D''Xyliker','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890531,'Zimei Y''Ingmei','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890532,'Zeaque B''Trerez','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890533,'Arique T''Trexi','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890534,'Setiver H''Zemer','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890535,'Kthapoz Z''Khravzha','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890536,'Rxoxi T''Xexi','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890537,'Xyliver Y''Jthepoz','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890538,'The Cloaked Dhampyre','<The Shadowed One>','','','',255,4634,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890539,'Rzhemi D''Ixhker','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890540,'Zvivzha V''Viker','','','','',255,6612,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890541,'Dhiwer X''Atherez','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890542,'Ktheble Y''Jrame','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890543,'Ixavzha V''Kzeble','','','','',255,6611,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890544,'Kthaxi V''Athemei','','','','',255,6611,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890545,'Verez D''Taziver','','','','',255,6611,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890546,'Dzhovar D''Ozinez','','','','',255,6612,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890547,'Jranez Y''Kzepoz','','','','',255,6611,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890548,'Vavzha V''Jrenez','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890549,'Rethipoz D''Sxhilhi','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890550,'Qhovar H''Vzhiver','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890551,'Zsiker H''Orikin','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890552,'Dhible Z''Iriver','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890553,'Tyhami V''Xaver','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890554,'Dremi Z''Zeable','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890555,'Jrami J''Zaker','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890556,'Trekin K''Jramer','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890557,'Trenez S''Jranek','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890558,'Orinek T''Zsivar','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890559,'a subservient gargoyle','','','','',255,2895,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890560,'Rhible V''Nhinez','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890561,'Setique Y''Nzheque','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890562,'Rhivizh Z''Vinivar','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890563,'Nzheble Y''Khrawer','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890564,'Setiwer V''Dzhovizh','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890565,'Ozimei T''Trevar','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890566,'Arimer B''Izhamer','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890567,'Vzhiver J''Vuever','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890568,'Dhvaker X''Kzenez','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890569,'Jreker X''Xypoz','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890570,'Xylizsi J''Kthavzha','','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890571,'Hzazsi K''Dwinek','','','','',255,6521,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890572,'Xirez Z''Vypoz','','','','',255,6612,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890573,'Setiker B''Athevzha','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890574,'Rethime K''Qhanek','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890575,'Vinique B''Drewer','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890576,'Tyriver B''Inglhi','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890577,'Kvhiwer V''Axixi','','','','',255,6490,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890578,'Xylinek V''Jylevzha','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890579,'Rhilhi V''Drezsi','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890580,'the Huntmaster''s lackey','','','','',255,6491,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890581,'Kvhipoz K''Vaque','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890582,'Zvixi B''Vzhinez','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890583,'Khranez S''Zimer','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890584,'Zerami K''Irixi','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890585,'Dwivar R''Vzhiker','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890586,'Tyrila Z''Setixi','','','','',255,6490,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890587,'Zeanez V''Xyme','','','','',255,6490,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890588,'Texixi J''Orinez','','','','',255,6612,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890589,'a trained dire wolf','','','','',255,1374,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890590,'the Huntmaster''s pack-leader','','','','',255,1374,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890591,'the Huntmaster','<Mistmoore Pack-Lord>','','','',255,6612,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890592,'the Huntmaster''s ravisher','','','','',255,6859,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890593,'Dhvame V''Drelhi','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890594,'Nhivzha Z''Xemi','','','','',255,6491,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890595,'Qhavar K''Zeakin','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890596,'Khazsi J''Arixi','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890597,'Rhivar X''Kthavar','','','','',255,6491,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890598,'Inglhi D''Vueker','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890599,'Dzhokin T''Zvinez','','','','',255,6491,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890600,'Jyleque K''Jthemi','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890601,'Oxavar X''Qhemer','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890602,'Rzhenek D''Drevar','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890603,'Jyleker J''Ozirez','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890604,'Ingnek K''Vethimi','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890605,'Setikin N''Kvhiwer','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890606,'Szenek V''Jylevar','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890607,'Dwiker N''Xezsi','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890608,'Vyzsi K''Jrarez','','','','',255,6611,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890609,'Xekin X''Zemer','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890610,'Dhvala X''Kthemer','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890611,'Dfaver J''Rethimi','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890612,'Zeanek B''Divar','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890613,'Rxovizh Z''Hzaver','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890614,'Devar S''Rzhewer','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890615,'Divka Issis','<Maid of Mistmoore>','','','',255,6520,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890616,'Dhvaker X''Kzela','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890617,'Tyrila V''Sxhique','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890618,'Dela Y''Kreme','','','','',255,6521,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890619,'Oxaver N''Qhazsi','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890620,'Xylinek T''Avakin','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890621,'Ixame Z''Zaque','','','','',255,6521,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890622,'Guardian of the Bath','','','','',255,2895,112,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890623,'a watchful Mistmoore protector','','','','',255,3647,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890624,'Vavar S''Dhvakin','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890625,'Taziver V''Rhinek','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890626,'Dible J''Kriker','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890627,'Ixamer T''Khramer','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890628,'Tyhawer V''Vethique','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890629,'Krivar V''Nhinez','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890630,'Vezilhi J''Tyrimei','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890631,'Ozime T''Rxome','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890632,'Drekin T''Xylinek','','','','',255,6520,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890633,'Drenek Z''Dhime','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890634,'Qhovar K''Divizh','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890635,'Rhiker Z''Irivar','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890636,'Drekin N''Rhiker','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890637,'Dreme T''Rethime','','','','',255,6491,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890638,'Vynez X''Kriwer','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890639,'Qhemei D''Zeame','','','','',255,6520,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890640,'Dhimi V''Dhvable','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890641,'Rxoxi X''Jylepoz','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890642,'Iriwer X''Kriker','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890643,'Vethible T''Tyrikin','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890644,'Atheme D''Zvivar','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890645,'Krevizh D''Jrexi','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890646,'Vythiker Z''Krixi','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890647,'Qhamer H''Zyver','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890648,'Sxhizsi K''Zixi','','','','',255,6490,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890649,'Jzible K''Vavizh','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890650,'a cell rat','','','','',255,196,12,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890651,'Xevar H''Vezipoz','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890652,'a leering gargoyle','','','','',255,2895,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890653,'Georg Davissi','<Mistmoore Jailor>','','','',9,134,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890654,'Hzala B''Xevizh','','','','',255,4634,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890655,'a captured elf','','','','',255,6711,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890656,'a myrdal captive','','','','',1,6528,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890657,'Jzinek Z''Tyrizsi','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890658,'Zimer D''Jzipoz','','','','',255,4632,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890659,'a Mistmoore thaumaturge','','','','',255,6521,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890660,'Dhvaque V''Tazime','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890661,'Rxomei H''Khaque','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890662,'Jylever X''Tazimei','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890663,'Setime D''Dwila','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890664,'Avapoz N''Krever','','','','',255,4634,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890665,'Avaker D''Xynek','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890666,'Orizsi V''Jrenez','','','','',255,6611,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890667,'Xakin T''Kthavzha','','','','',255,4634,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890668,'Ixarez D''Xenek','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890669,'Xivzha T''Setivar','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890670,'Aximei T''Jrawer','','','','',255,4631,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890671,'Sxhilhi J''Nhique','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890672,'Rxokin Z''Setixi','','','','',255,6490,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890673,'Jrela T''Zekin','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890674,'Kvhivizh V''Vuemei','','','','',255,6491,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890675,'Qhavar R''Dfala','','','','',255,6521,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890676,'Zymi Z''Jrawer','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890677,'Kthevizh Z''Vethila','','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890678,'Zynek T''Vezirez','','','','',255,6521,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890679,'Kthala D''Khaxi','','','','',255,6521,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890680,'Viniwer N''Dhvakin','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890681,'Tazivar J''Rethirez','','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890682,'Kzevizh D''Krila','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890683,'Vimer S''Ingmer','','','','',255,6491,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890684,'Szeme Z''Jylewer','','','','',255,6520,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890685,'Aximi J''Vivar','','','','',255,6520,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890686,'quest_loft_thoth_table',NULL,'','','',0,49,32,0,1,1,105,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890687,'quest_loft_thoth_cabinet',NULL,'','','',0,49,32,0,1,1,106,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890688,'waterway_sliding_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890689,'secretroom_sliding_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890690,'tome_dogs_of_war',NULL,'','','',0,49,32,0,1,1,107,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890691,'tome_zebuxoruk_prophecies',NULL,'','','',0,49,32,0,1,1,108,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890692,'tome_tacticians_armor',NULL,'','','',0,49,32,0,1,1,109,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890693,'202_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890694,'202_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890695,'103_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890696,'103_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890697,'205_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890698,'205_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890699,'107_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890700,'107_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890701,'018_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890702,'002_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890703,'002_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890704,'016_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890705,'016_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890706,'009_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890707,'019_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890708,'200_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890709,'200_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890710,'100_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890711,'100_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890712,'tome_symbols_of_ages_past',NULL,'','','',0,49,32,0,1,1,110,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890713,'quest_loft_baelsqui_book',NULL,'','','',0,49,32,0,1,1,111,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890714,'quest_loft_baelsqui_desk',NULL,'','','',0,49,32,0,1,1,105,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890715,'quest_loft_graf_table',NULL,'','','',0,49,32,0,1,1,105,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890716,'quest_loft_graf_trunk',NULL,'','','',0,49,32,0,1,1,106,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890717,'011_jail_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890718,'011_jail_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890719,'011_jail_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890720,'011_jail_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890721,'011_jail_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890722,'013_jail_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890723,'013_jail_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890724,'013_jail_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890725,'013_jail_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890726,'013_jail_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890727,'quest_loft_brand_01_caitiff_papers',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890728,'qst_widget_dresser',NULL,'','','',0,49,32,0,1,1,658,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890729,'quest_loft_torturer_scroll',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890730,'quest_loft_thaumaturge_journal',NULL,'','','',0,49,32,0,1,1,659,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890731,'quest_loft_manacled_bones',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890732,'dpo_invisible_cube',NULL,'','','',0,2451,16,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890733,'waterway_door_release',NULL,'','','',0,6914,32,0,1,1,103,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890734,'secretroom_door_release',NULL,'','','',0,6915,32,0,1,1,104,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890735,'floor_diode_any_sorcerer',NULL,'','','',0,2683,77,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890736,'cm_coffin_stone01',NULL,'','','',0,7010,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890737,'floor_diode_any_enchanter',NULL,'','','',0,2682,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890738,'Invisible slave release object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890739,'Chest of Zanne',NULL,'','','',0,6504,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890740,'The Skull of Rastin',NULL,'','','',0,2871,12,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890741,'zone_to_castle_epic01',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890742,'zone_to_loping_plains_right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,297,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890743,'zone_to_loping_plains_left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,297,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890744,'zone_to_mistmoore_catacombs',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890745,'89 case',NULL,'','','',0,5981,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(890746,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900001,'a Mistmoore blood drinker','','','','',255,6612,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900002,'a Mistmoore courtesan','','','','',255,6520,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900003,'a blood colossus','','','','',255,5987,112,0,1,1,11,0,3380,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900004,'a sanctum chaperone','','','','',255,6526,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900005,'','','','','',255,2895,40,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900006,'a dark vampire','<Research Assistant>','','','',255,4632,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900007,'V''Tekla K''Zalk','<Research Coordinator>','','','',255,4632,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900008,'D''Lizta Viswin','<Loremaster>','','','',255,6490,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900009,'Enynti','<Elite Mistmoore Guard>','','','',255,2895,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900010,'D''Lizta Cheroon','<Master of Legends>','','','',255,6491,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900011,'Vonab','V''Tekla K''Zalk''s shadowblade','','','',255,6491,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900012,'Tactician''s Armor','','','','',255,3295,89,0,1,1,0,0,2604,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900013,'Mayong Mistmoore','','','','',255,6537,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900014,'a vampiric protector','<Mistmoore Personal Guard>','','','',255,6491,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900015,'a greater werewolf','<Beast of War>','','','',255,6290,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900016,'door1_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900017,'door2_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900018,'door1_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900019,'door3_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900020,'door4_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900021,'door5_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900022,'door0_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900023,'door7_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900024,'door10_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900025,'door6_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900026,'door8_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900027,'door8_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900028,'door9_single',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900029,'cm_coffin_stone01',NULL,'','','',0,7010,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900030,'gargoyle_statue',NULL,'','','',0,2895,48,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900031,'cm_coffin_mistmoore01',NULL,'','','',0,7009,44,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900032,'cm_pedestal_coffin_mistmoore01',NULL,'','','',0,7011,41,0,1,1,0,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900033,'zone_to_mistmoore',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(900034,'a mysterious crystal',NULL,'','','',0,1953,16,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910000,'a D''Vinnian elite dragoon','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910001,'a Crushbone centurion','','','','',20,6229,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910002,'a conscripted Koada''Dal','','','','',9,4560,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910003,'a Dreadguard knight','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910004,'a summoned shadow','','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910005,'a Crushbone centurion','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910006,'a Crushbone trainer','','','','',20,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910007,'a D''Vinnian dragoon','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910008,'a Crushbone legionnaire','','','','',20,6244,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910009,'a summoned watcher','','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910010,'a conscripted Feir''Dal','','','','',9,4536,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910011,'a Dreadguard observer','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910012,'a cleric of Hate','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910013,'a conscripted Feir''Dal','','','','',9,4542,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910014,'a Crushbone watchman','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910015,'a Crushbone thaumaturgist','','','','',20,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910016,'a Crushbone emissary','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910017,'a Crushbone conscript','','','','',20,6253,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910018,'a Crushbone emissary','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910019,'a Crushbone watchman','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910020,'Turgo Bargedown','<Liberation Squad>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910021,'Elonca Nusback','<Liberation Squad>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910022,'an expedition guard','<Liberation Squad>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910023,'a summoned shadow','','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910024,'Morodag Greenbow','','','','',15,114,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910025,'a Crushbone legionnaire','','','','',19,6244,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910026,'a Crushbone centurion','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910027,'a D''Vinnian elite dragoon','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910028,'a D''Vinnian dragoon','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910029,'a summoned watcher','','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910030,'an extractor of truth','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910031,'a lingering remnant','','','','',255,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910032,'a Crushbone conscript','','','','',19,6229,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910033,'a Dreadguard knight','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910034,'the Vindicator''s attendant','','','','',19,6244,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910035,'Larer','A D''Vinnian deathmage''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910036,'a D''Vinnian deathmage','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910037,'a Crushbone watchman','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910038,'Captain D''Resyth','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910039,'a conscripted Feir''Dal','','','','',9,4562,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910040,'a Crushbone quartermaster','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910041,'Janitor Gorreth','','','','',19,6253,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910042,'a Crushbone emissary','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910043,'a captive Fae','','','','',255,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910044,'Highguard T''Rexx','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910045,'Gibobab','A D''Vinnian deathmage''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910046,'a Crushbone warden','','','','',19,6229,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910047,'Jonantik','A Crushbone thaumaturgist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910048,'a Crushbone thaumaturgist','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910049,'a Crushbone armorer','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910050,'a D''Vinnian arcanist','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910051,'a Crushbone thaumaturgist','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910052,'a Crushbone torturer','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910053,'a captive wood elf','','','','',15,114,32,0,1,1,0,0,11769,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910054,'a captive dwarf','','','','',2,110,32,0,1,1,0,0,11769,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910055,'a Crushbone trainer','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910056,'a fanatical devotee','','','','',19,6244,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910057,'a frenzied worshiper','','','','',19,6244,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910058,'The Crushbone Prophet','','','','',19,6259,53,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910059,'a boar beast','','','','',255,170,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910060,'a conscripted Feir''Dal','','','','',9,4542,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910061,'Jartik','A Crushbone thaumaturgist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910062,'a conscripted Koada''Dal','','','','',9,4537,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910063,'a conscripted Koada''Dal','','','','',9,4560,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910064,'a Crushbone cook','','','','',19,6253,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910065,'a Crushbone conscript','','','','',19,6229,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910066,'a conscripted Koada''Dal','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910067,'a D''Vinnian archmage','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910068,'a D''Vinnian sorcerer','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910069,'a Crushbone jailer','','','','',19,6229,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910070,'a cleric of Hate','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910071,'Vibobab','A D''Vinnian deathmage''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910072,'a conscripted Feir''Dal','','','','',9,4562,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910073,'Vergeth Jawcrush''s Remains','','','','',255,139,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910074,'a traitor''s remains','','','','',255,139,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910075,'a captive gnome','','','','',5,121,32,0,1,1,0,0,11769,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910076,'a Crushbone traitor','','','','',19,6229,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910077,'a D''Vinnian arcanist','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910078,'a conscripted Feir''Dal','','','','',9,4536,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910079,'a kobold captive','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910080,'qst_vargorn_temple',NULL,'','','',0,49,32,0,1,1,499,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910081,'widget_qst_steel',NULL,'','','',0,49,32,0,1,1,500,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910082,'qst_vargorn_armory',NULL,'','','',0,49,32,0,1,1,501,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910083,'qst_dvinn_book',NULL,'','','',0,49,32,0,1,1,502,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910084,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910085,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910086,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910087,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910088,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910089,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910090,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910091,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910092,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910093,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910094,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910095,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910096,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910097,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910098,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910099,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910100,'Cell Door 1',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910101,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910102,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910103,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910104,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910105,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910106,'Cell Door 4',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910107,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910108,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910109,'01_widget_orc_mastery',NULL,'','','',0,49,32,0,1,1,1210,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910110,'qst_vargorn_etower',NULL,'','','',0,49,32,0,1,1,1211,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910111,'widget_chest_sword',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910112,'widget_tactician_event',NULL,'','','',0,49,32,0,1,1,1212,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910113,'qst_gruedheim_earth',NULL,'','','',0,49,32,0,1,1,1213,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910114,'qst_vargorn_kitchen',NULL,'','','',0,49,32,0,1,1,1214,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910115,'quest_jailor_keys_left',NULL,'','','',0,49,32,0,1,1,1215,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910116,'qst_vargorn_wtower',NULL,'','','',0,49,32,0,1,1,1216,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910117,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910121,'entrance_dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910122,'barrel',NULL,'','','',0,2563,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910123,'05_widget_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910124,'05_widget_shroud',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910125,'03_widget_weapons_203',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910126,'zone_to_throne_2',NULL,'','','',0,49,32,0,0,0,503,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910127,'zone_to_throne_1',NULL,'','','',0,49,32,0,0,0,503,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910128,'zone_to_greater_faydark_from_crushbone',NULL,'','','',0,49,32,0,0,0,504,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910129,'Chest of the Expedition Weaponsmith',NULL,'','','',0,6504,32,0,1,1,1217,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910130,'Chest of the Expedition Chef',NULL,'','','',0,6504,32,0,1,1,1217,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910131,'Chest of the Expedition Leader',NULL,'','','',0,6504,32,0,1,1,1217,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910132,'07_widget_weapon_207',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910133,'07_widget_book_208',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910134,'01_widget_filth_107',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910135,'07_widget_bookcase_202',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910136,'06_widget_chair_004',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(910137,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920000,'a D''Vinnian elite dragoon','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920001,'a conscripted Koada''Dal','','','','',9,4560,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920002,'a Dreadguard knight','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920003,'a summoned shadow','','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920004,'a Crushbone centurion','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920005,'a Crushbone trainer','','','','',20,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920006,'an unfortunate victim','','','','',255,6489,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920007,'Lady Elizara D''Kush','','','','',1,116,35,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920008,'a D''Vinnian dragoon','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920009,'a Crushbone legionnaire','','','','',20,6244,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920010,'a summoned watcher','','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920011,'a conscripted Feir''Dal','','','','',9,4536,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920012,'a D''Vinnian sorcerer','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920013,'a Dreadguard observer','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920014,'General V''Narr','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920015,'Lieutenant B''Oreth','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920016,'Lieutenant D''Bryth','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920017,'a D''Vinnian ambusher','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920018,'a watchful sentry','','','','',1,116,36,1,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920019,'a cleric of Hate','','','','',1,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920020,'a D''Vinnian bolsterer','','','','',1,116,35,0,1,1,0,0,11076,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920021,'a conscripted Feir''Dal','','','','',9,4542,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920022,'Emperor D''Vinn','','','','',1,4966,35,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920023,'a D''Vinnian mender','','','','',1,116,35,0,1,1,0,0,11076,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920024,'a Crushbone watchman','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920025,'a Crushbone gladiator','','','','',20,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920026,'a Crushbone thaumaturgist','','','','',20,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920027,'a conscripted Koada''Dal','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920028,'a Crushbone emissary','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920029,'Ograf the Deft','','','','',20,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920030,'a D''Vinnian guardian','<Protector of the Throne>','','','',255,3636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920031,'Vindicator Crush','<The Emperor''s Champion>','','','',20,6826,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920032,'wall_sliding_006_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920033,'wall_sliding_007_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920034,'wall_sliding_007_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920035,'wall_sliding_004_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920036,'door_001_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920037,'door_002_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920038,'door_001_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920039,'door_003_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920040,'door_005_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920041,'door_005_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920042,'door_005_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920043,'door_005_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920044,'door_005_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920045,'door_007_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920046,'door_003_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920047,'Chalice of Hope',NULL,'','','',0,3361,64,0,1,1,505,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920048,'widget_jars',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920049,'widget_chains',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920050,'widget_throne',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920052,'zone_to_crushbone_top_floor_1',NULL,'','','',0,49,32,0,0,0,506,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920053,'zone_to_crushbone_top_floor_2',NULL,'','','',0,49,32,0,0,0,506,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920054,'zone_to_keep_entrance',NULL,'','','',0,49,32,0,0,0,507,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(920055,'widget_rack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930001,'XXXXXX','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930002,'XXXXXX','XXXXX''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930003,'Vonartik','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930004,'Kabeker','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930005,'Losekn','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930006,'Jeker','Kaiin''s wisp','','','',255,273,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930007,'Xekn','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930008,'Kaiin''s aqueous horde','','','','',255,2391,25,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930009,'Kaiin''s pyromancy','','','','',255,5597,32,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930010,'a Crushbone marauder','','','','',19,6229,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930011,'a Crushbone enforcer','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930012,'a Crushbone grave lord','','','','',19,6244,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930013,'a D''Vinnian manipulator','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930014,'a Crushbone invoker','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930015,'a mana thirster','','','','',255,3710,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930016,'The War Ancient of Zek','','','','',255,169,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930017,'','','','','',255,5987,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930018,'a D''Vinnian theurgist','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930019,'a Dreadguard death knight','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930020,'a mana-infused juggernaut','','','','',255,6280,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930021,'a blade geist','','','','',255,5987,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930022,'Garanab','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930023,'Zeneker','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930024,'Xobn','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930025,'XXXXXX','XXXXX''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930026,'Kaiin''s pyromancy','','','','',255,5597,30,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930027,'Kaiin''s aqueous horde','','','','',255,2391,25,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930028,'Kelzaral the Animator','','','','',1,4965,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930029,'Bolgorak the Scourge','','','','',19,6244,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930030,'a D''Vinnian assassin','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930031,'Zalalise','<Mistmoore''s Agent>','','','',255,4632,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930032,'Akaranseth','','','','',19,6259,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930033,'Zeneker','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930034,'Zasn','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930035,'Konanab','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930036,'Zonaner','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930037,'Emperor D''Vinn','','','','',1,4966,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930038,'Josn','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930039,'A Dreadguard death knight''s infernal sacrament','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930040,'Shadow of D''Vinn','','','','',1,4966,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930041,'03_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930042,'02_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930043,'07_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930044,'10_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930045,'11_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930046,'13_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930050,'arcane_orb_sw',NULL,'','','',0,6888,64,0,1,1,1235,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930051,'arcane_orb_se',NULL,'','','',0,6888,64,0,1,1,1235,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930052,'arcane_orb_nw',NULL,'','','',0,6888,64,0,1,1,1235,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930053,'arcane_orb_ne',NULL,'','','',0,6888,64,0,1,1,1235,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930054,'door_to_greater_faydark',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930055,'book_soulfire_research',NULL,'','','',0,3322,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(930056,'invis_wall',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940000,'','','','','',255,2895,40,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940001,'a cucuy','','','','',255,6824,32,0,1,1,11,0,0,1,1,1,0,0,32,1081,1081,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940002,'an uninvited guest','','','','',1,4548,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940003,'an endlessly lost traveler','','','','',255,3736,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940004,'a death beetle','','','','',255,4531,35,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940005,'a wrathful hellhound','','','','',255,4527,38,0,1,1,11,0,0,1,1,1,0,1,32,1081,1081,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940006,'a crazed ghoul','','','','',255,4672,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940007,'a suffering prisoner','','','','',255,3736,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940008,'a captive soul','','','','',255,3736,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940009,'a cursed drifter','','','','',1,4548,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940010,'a doomed visitant','','','','',255,2845,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940011,'a will-o-wisp','','','','',255,3710,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940012,'a doomed visitant','','','','',255,2844,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940013,'a doomed visitant','','','','',255,2851,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940014,'a shrouded horror','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940015,'a victim of the battlemaster','','','','',9,4541,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940016,'an eternal servant','','','','',255,2852,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940017,'an eternal servant','','','','',255,2843,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940018,'an eternal servant','','','','',255,2839,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940019,'a billy doll','','','','',255,149,9,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940020,'a doomed visitant','','','','',255,2849,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940021,'an accumulation of drowned sorrows','','','','',255,179,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940022,'a tome of warlock arts','','','','',255,280,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940023,'a tome of coercion','','','','',255,279,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940024,'Nicadius Quellborn','','','','',9,134,32,0,1,1,9,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940025,'a tome of illusions','','','','',255,283,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940026,'a tome of wizardry','','','','',255,280,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940027,'a cursed drifter','','','','',1,4548,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940028,'a mangled mass of corpses','','','','',255,6315,41,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940029,'a jack-o-lantern','','','','',255,261,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940030,'a kitchen helper','','','','',9,2935,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940031,'Jessa Quellborn','','','','',9,132,32,0,1,1,9,0,6193,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940032,'a careless swimmer','','','','',9,2935,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940033,'a famished phantom','','','','',255,2844,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940034,'a famished phantom','','','','',255,2850,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940035,'The Festering Hag','','','','',255,132,32,0,1,1,0,0,1498,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940036,'a doppleganger','','','','',255,3295,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940037,'a hungering hellhog','','','','',255,5095,48,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940038,'a mortified hog farmer','','','','',9,2935,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940039,'a doomed visitant','','','','',255,2839,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940040,'a condemned dead','','','','',1,4548,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940041,'a manifestation of anguish','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940042,'a tormenting haunt','','','','',255,132,35,0,1,1,0,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940043,'a bone barbed skeleton','','','','',9,138,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940044,'Spirit of Jessa Quellborn-Rucksif','','','','',255,132,32,0,1,1,0,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940045,'an aloof cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940046,'a mocking child','','','','',255,50065,32,0,1,1,0,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940047,'doll_in_baby_room','','','','',255,149,6,0,1,1,0,0,540,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940048,'a disturbed corpse','','','','',255,3736,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940049,'Irritated Chef Demme','<Estate Cook>','','','',255,3736,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940050,'a relentless bonegrasp','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940051,'a spirit child','','','','',255,50065,32,0,1,1,9,0,2103,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940052,'Ghost of Kyll Rucksif','<Jessa''s Husband>','','','',2,110,32,0,1,1,9,0,6193,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940053,'The Bugaboo','<Amalgamation of Mort>','','','',255,6315,80,0,1,1,11,0,0,1,1,1,0,1,43,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940054,'FrontDoor1',NULL,'','','',0,49,32,0,0,1,16,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940055,'FrontDoor2',NULL,'','','',0,49,32,0,0,1,16,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940056,'Nicadius_doubledoor2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940057,'NurseryDoor',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940058,'door_waiters_room_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940059,'FoyerRightTop',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940060,'Door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940061,'Left_Foyer_Door',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940062,'door_shoulder_towerdoor_left01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940063,'Nicadius_doubledoor',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940064,'door_foyerdoor_upper_right01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940065,'door_foyerdoor_right01',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940066,'door_shoulder_towerdoor_right01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940067,'Bookcase_to_Basement_Left',NULL,'','','',0,49,32,0,0,0,1337,0,0,0,0,1,1,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940068,'DoorToNicadius',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940069,'Jessa_door',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940070,'Bookcase_to_Basement_Right',NULL,'','','',0,49,32,0,0,0,9467,0,0,0,0,1,1,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940071,'Foyer_Front_Door_Right',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940072,'Piano_Hidden_Door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940073,'Door5',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940074,'door3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940075,'Foyer_Front_Door_Left',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940076,'cell_door04',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940077,'cell_door01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940078,'door_chapel_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940079,'DiningRoomDoor',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940080,'door_to_gameroom',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940081,'Bar_Backdoor',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940082,'cell_door02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940083,'cell_door05',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940084,'cell_door06',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940085,'cell_door03',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940086,'object_dumbwaiter_pantry',NULL,'','','',0,49,32,0,0,0,673,0,0,0,0,1,1,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940087,'object_vegetable_keeper',NULL,'','','',0,49,32,0,1,1,674,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940088,'object_meat_locker',NULL,'','','',0,49,32,0,0,0,675,0,0,0,0,1,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940089,'chesstable_playing_pieces',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940090,'piano_play',NULL,'','','',0,49,32,0,0,0,9490,0,0,0,0,1,1,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940091,'house_item_widget_book',NULL,'','','',0,49,32,0,0,0,1336,0,0,0,0,1,1,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940092,'nursery_bookcase_hymn_page',NULL,'','','',0,49,32,0,1,1,676,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940093,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,14585,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940094,'plate',NULL,'','','',0,2814,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940095,'knife',NULL,'','','',0,2812,32,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940096,'fork',NULL,'','','',0,2810,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940097,'swinging spikes',NULL,'','','',0,6394,32,0,1,1,113,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940098,'switch',NULL,'','','',0,6478,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940099,'switch',NULL,'','','',0,6481,63,0,1,1,609,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940100,'switch',NULL,'','','',0,6480,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940101,'game_piece_1',NULL,'','','',0,6947,32,0,0,0,664,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940102,'frontdoor_key02',NULL,'','','',0,6948,64,0,0,0,665,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940103,'cube_fog_cave',NULL,'','','',0,2306,64,0,0,0,0,0,14225,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940104,'cube_cave_garanel',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940105,'garanel_breastplate',NULL,'','','',0,509,31,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940106,'garanel_mid_section',NULL,'','','',0,514,27,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940107,'garanel_glove_right',NULL,'','','',0,511,32,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940108,'garanel_glove_left',NULL,'','','',0,511,32,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940109,'frontdoor_key01',NULL,'','','',0,6948,64,0,0,0,665,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940110,'garanel_boot_right',NULL,'','','',0,510,31,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940111,'garanel_boot_left',NULL,'','','',0,510,32,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940112,'garanel_helm',NULL,'','','',0,6250,31,0,0,0,666,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940113,'cube_static_skull',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940114,'cube_fog_hallway',NULL,'','','',0,2306,64,0,0,0,0,0,14226,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940115,'oil_can01',NULL,'','','',0,6946,32,0,1,1,667,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940116,'lever_left_tower',NULL,'','','',0,6479,32,0,1,1,668,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940117,'lever_right_tower',NULL,'','','',0,6479,32,0,1,1,668,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940118,'cube_gazebo',NULL,'','','',0,2306,32,0,1,1,0,0,3437,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940119,'game_piece_2',NULL,'','','',0,6947,32,0,0,0,664,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940120,'failsafe_chest',NULL,'','','',0,2030,32,0,0,0,669,0,1563,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940121,'candle_chapel',NULL,'','','',0,1613,8,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940122,'skull_human01',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940123,'corrupted_altar_of_quellious',NULL,'','','',0,6876,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940124,'game_board_note',NULL,'','','',0,5261,32,0,0,0,670,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940125,'diningroom_dumbwaiter_cube_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940126,'bones_nexto_switches',NULL,'','','',0,3673,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940127,'cube_blood_pool_cube',NULL,'','','',0,2306,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940128,'piano_note',NULL,'','','',0,5261,32,0,0,0,670,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940129,'stove_1',NULL,'','','',0,2340,32,0,0,0,1337,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940130,'skull_human_trigger01',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940131,'backdoor_key01',NULL,'','','',0,6948,48,0,0,0,671,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940132,'Bar Room Fireplace',NULL,'','','',0,6975,32,0,1,1,672,0,3679,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940133,'graveyard_zombie_cube01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940134,'game_piece_4',NULL,'','','',0,6947,32,0,0,0,664,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940135,'jessas_door_cube_1',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940136,'game_piece_3',NULL,'','','',0,6947,32,0,0,0,664,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940137,'jackinthebox',NULL,'','','',0,4456,54,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940138,'zone_to_butcherblock',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,435,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940139,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940140,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(940141,'Halasian whiskey',NULL,'','','',0,3096,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950000,'a Tunarian guard','','','','',255,6712,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950001,'a myntr tribesman','','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950002,'a tender','','','','',255,6282,22,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950003,'a mountain fay drake','','','','',255,6536,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950004,'a sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950005,'a Tunarian','','','','',8,6712,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950006,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950007,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950008,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950009,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950010,'a sentry of purity','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950011,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950012,'a sentry of devotion','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950013,'a decaying guardian','','','','',255,6283,83,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950014,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950015,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950016,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950017,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950018,'a sweeping sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950019,'a librarian','','','','',255,6711,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950020,'a sentry of righteousness','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950021,'a servant of Mistmoore','','','','',255,6490,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950022,'a smith','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950023,'Oronar Camthalion','<Steward of New Tunaria>','','','',255,6712,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950024,'a royal guard','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950025,'a royal sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950028,'',NULL,'','','',0,49,32,0,1,1,805,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950029,'',NULL,'','','',0,49,32,0,1,1,808,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950030,'',NULL,'','','',0,49,32,0,1,1,808,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950031,'',NULL,'','','',0,49,32,0,1,1,808,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950032,'floor_urn02_any_clay',NULL,'','','',0,1960,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950033,'teriniu''s sisters earring',NULL,'','','',0,1910,6,0,1,1,804,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950034,'shield for magi',NULL,'','','',0,4714,32,0,1,1,56,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950035,'The Urn of Purity',NULL,'','','',0,6915,80,0,1,1,806,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950036,'The Urn of Devotion',NULL,'','','',0,6915,82,0,1,1,806,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950037,'living flow urn',NULL,'','','',0,6915,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950038,'a splendid shield',NULL,'','','',0,6416,42,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950039,'air_tight_chest',NULL,'','','',0,6914,49,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950040,'generals_beacon',NULL,'','','',0,2306,48,0,1,1,807,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950041,'Throne of New Tunaria',NULL,'','','',0,49,32,0,0,0,809,0,0,0,0,1,0,0,345,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950042,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950043,'a Tunarian guard','','','','',255,6712,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950044,'a myntr tribesman','','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950045,'a tender','','','','',255,6282,22,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950046,'a mountain fay drake','','','','',255,6536,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950047,'a sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950048,'a Tunarian','','','','',8,6712,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950049,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950050,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950051,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950052,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950053,'a sentry of purity','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950054,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950055,'a sentry of devotion','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950056,'a decaying guardian','','','','',255,6283,88,5,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950057,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950058,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950059,'a sweeping sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950060,'a librarian','','','','',255,6711,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950061,'a sentry of righteousness','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950062,'a servant of Mistmoore','','','','',255,6490,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950063,'a smith','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950064,'Oronar Camthalion','<Steward of New Tunaria>','','','',255,6712,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950065,'a royal guard','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950066,'a royal sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950068,'a sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950069,'Oreyion Gwaeth','','','','',8,6712,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950070,'essence of pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950071,'Goldenhammer','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950072,'a temple guard','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950073,'a library guard','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950074,'a Tunarian templar','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950075,'a spirit of growth','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950076,'a sentry of Tunaria','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950077,'Cerennhir Aelindel','','','','',255,6712,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950078,'a bank guard','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950079,'a banker','','','','',255,6712,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950080,'a sentry of strength','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950081,'an orator','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950082,'Silas Kyriakos','','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950083,'Petros Vongelis','','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950084,'Anostasios Demetrios','','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950085,'Gregorios Spyridon','','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950086,'Nicolaos Okakios ','','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950087,'Thekla Polagia','','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950088,'a Tunarian rider','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950089,'a trader','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950090,'a bouncer','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950091,'a patron','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950092,'a Tunarian guard','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950093,'a myntr tribesman','','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950094,'a Sentry of Punishment','','','','',255,148,22,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950095,'a sentry of honor','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950096,'an unfinished sentry','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950097,'a dead elf','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950098,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950099,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950100,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950101,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950102,'Gabekn','An arcanist''s aery hunter','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950103,'an arcanist','','','','',255,6711,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950104,'a dreloc outcast','','','','',1,6528,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950105,'an arcanist','','','','',255,6819,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950106,'Arcanist of the Sentry','','','','',255,6819,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950107,'a templar','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950108,'Arcanist of Time','','','','',255,6712,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950109,'an arcanist','','','','',255,6711,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950110,'a water spirit','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950111,'Xeker','An arcanist''s aery hunter','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950112,'a sentry of righteousness','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950113,'a sentry of purity','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950114,'a malformed sentry','','','','',255,148,22,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950115,'Ephacles Tilikatos','','','','',255,6539,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950116,'a Tunarian steed','','','','',255,6911,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950117,'a tender','','','','',255,6282,25,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950118,'a Tunarian','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950119,'a sentry of virtue','','','','',255,148,22,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950120,'a guard captain','','','','',255,6818,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950121,'pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950122,'pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950123,'pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950124,'pure water','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950125,'a shrine guard','','','','',255,6712,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950126,'spirit of the divine','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950127,'an exhumed tunarian','','','','',255,6712,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950128,'an agent of Mistmoore','','','','',255,6490,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950129,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950130,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950131,'',NULL,'','','',0,49,32,0,0,0,805,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950132,'',NULL,'','','',0,49,32,0,0,0,808,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950133,'',NULL,'','','',0,49,32,0,0,0,808,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950134,'',NULL,'','','',0,49,32,0,0,0,808,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950135,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950136,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950137,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950138,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950139,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950140,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950141,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950142,'',NULL,'','','',0,49,32,0,0,0,1283,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950143,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950144,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950145,'',NULL,'','','',0,49,32,0,0,0,1283,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950146,'',NULL,'','','',0,49,32,0,0,0,1283,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950147,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950148,'',NULL,'','','',0,49,32,0,0,0,1283,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950149,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950150,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950151,'',NULL,'','','',255,2306,32,4,0,0,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950152,'floor_urn02_any_clay',NULL,'','','',0,1960,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950153,'Flowers',NULL,'','','',0,1738,31,0,0,0,402,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950154,'teriniu''s sisters earring',NULL,'','','',0,1910,6,0,0,0,804,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950155,'shield for magi',NULL,'','','',0,4714,32,0,0,0,56,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950156,'teriniu''s sisters bracer',NULL,'','','',0,6734,32,0,0,0,1282,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950157,'museum_diode',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950158,'The Urn of Purity',NULL,'','','',0,6915,80,0,0,0,806,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950159,'The Urn of Devotion',NULL,'','','',0,6915,82,0,0,0,806,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950160,'living flow urn',NULL,'','','',0,6915,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950161,'a splendid shield',NULL,'','','',0,6416,42,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950162,'air_tight_chest',NULL,'','','',0,6914,49,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950163,'generals_beacon',NULL,'','','',0,2306,48,0,0,0,807,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950164,'qst_cof_balarus_armor',NULL,'','','',0,4162,32,0,0,0,56,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950165,'animal_helm',NULL,'','','',0,6492,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950166,'qst_cof_balarus_sword',NULL,'','','',0,6413,32,0,0,0,56,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(950167,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960000,'a palace protector','','','','',255,148,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960001,'a palace sentry','','','','',255,148,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960002,'Palace Overseer','','','','',255,6818,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960003,'a Tunarian palace guard','','','','',255,6712,34,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960004,'a Tunarian high priestess','','','','',255,6819,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960005,'a Tunarian knight templar','','','','',255,6818,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960006,'a Tunarian master guardsman','','','','',255,6818,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960007,'Queen Lenya Thex','','','','',8,135,38,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960008,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960009,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960010,'power cell collison mesh',NULL,'','','',0,6827,22,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960011,'dpo_soldier_statue',NULL,'','','',0,4463,96,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,364,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(960013,'zone_to_felwithe',NULL,'','','',0,49,32,0,0,0,810,0,0,0,0,1,0,0,343,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970000,'a tainted spider','','','','',255,205,33,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970001,'a mischievous watcher','','','','',255,6539,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970002,'The Grender','','','','',255,6538,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970004,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970005,'qey_boulder02',NULL,'','','',0,1725,64,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970006,'cbk_rubbish_muckbones01',NULL,'','','',0,6497,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970007,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(970008,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980000,'Jantik','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980001,'Aspect of Courage','<Halls of Honor>','','','',0,112,38,0,1,1,9,0,6193,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980002,'Frupple Gobrick','','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980003,'Cowardice','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980004,'Weakness','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980005,'Hopelessness','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980006,'Betrayal','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980007,'Apathy','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980008,'Inadequacy','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980009,'Aspect of Valor','<Halls of Honor>','','','',9,134,38,0,1,1,9,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980010,'Despair','','','','',255,5000,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980011,'a paladin of valor','<Halls of Honor>','','','',9,134,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980012,'a warrior of valor','<Halls of Honor>','','','',4,3788,32,0,1,1,11,0,6193,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980013,'The Avatar of Valor','','','','',255,6718,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980014,'Xekn','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980015,'Sir Bayden Cauldthorn','<Lordknight of Valor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980016,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980017,'valor_eagle_staff',NULL,'','','',0,4468,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980018,'chest_treasured',NULL,'','','',0,5864,32,0,1,1,243,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980019,'chest_master',NULL,'','','',0,4015,32,0,1,1,243,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980020,'chest_legendary',NULL,'','','',0,5865,32,0,1,1,243,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(980021,'zone_exit_to_greater_faydark',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990001,'a quetza''kal','','','','',255,197,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990002,'an infected understirge','','','','',255,6289,32,0,1,1,11,0,7104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990003,'Grygraxin','','','','',255,5918,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990004,'a Frothbark lunatic','<Clan Frothbark>','','','',255,6452,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990005,'a dead dwarf','<The Irontoe Brigade>','','','',2,110,25,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990006,'a Boombottom lookout','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990007,'','','','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990008,'a Frothbark whipcracker','<Clan Frothbark>','','','',255,6452,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990009,'Whipmaster Kragnak','<Clan Frothbark>','','','',255,6452,31,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990010,'a Boombottom tosser','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990011,'a Boombottom lugger','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990012,'a Terrok gate guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990013,'a Boombottom spotter','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990014,'a living chest','','','','',255,6441,22,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990015,'a Grungetalon porter','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990016,'a Grungetalon gemmaster','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990017,'a Grungetalon gemcutter','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990018,'a Terrok sergeant','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990019,'a Terrok gate enforcer','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990020,'element of earth','','','','',255,155,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990021,'a trampler','','','','',255,5862,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990022,'a Grundin beast tamer','<Tribe Grundin>','','','',255,167,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990023,'','','','','',255,5008,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990024,'a Terrok watcher','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990025,'a Terrok recruit','<Clan Terrok>','','','',255,6892,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990026,'a Terrok spectator','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990027,'a Terrok spectator','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990028,'a Terrok spectator','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990029,'a Terrok spectator','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990030,'a Terrok spectator','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990031,'a Quaketail vendor','<The Quaketail Pack>','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990032,'a Grungetalon spectator','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990033,'a Grungetalon spectator','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990034,'a Grungetalon spectator','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990035,'a Boombottom spectator','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990036,'a Kragbak gladiator','<Clan Kragbak>','','','',255,6453,31,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990037,'a Terrok gladiator','<Clan Terrok>','','','',255,6892,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990038,'a Terrok drill master','<Clan Terrok>','','','',255,6892,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990039,'a Boombottom spectator','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990040,'a Boombottom spectator','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990041,'a Boombottom spectator','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990042,'a Kragbak spectator','<Clan Kragbak>','','','',255,6453,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990043,'a Kragbak spectator','<Clan Kragbak>','','','',255,6453,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990044,'a Kragbak spectator','<Clan Kragbak>','','','',255,6453,32,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990045,'a Terrok customer','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990046,'a Terrok customer','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990047,'a Terrok clerk','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990048,'a Terrok quartermaster','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990049,'a Terrok customer','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990050,'a Terrok lifter','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990051,'an off duty Grungetalon','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990052,'a Grungetalon barmaid','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990053,'a Grungetalon bartender','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990054,'a Terrok lifter','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990055,'a Terrok lifter','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990056,'Rampart','<Trainer to the Underfoot>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990057,'an off duty Boombottom','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990058,'a Kragbak spectator','<Clan Kragbak>','','','',255,6453,32,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990059,'a Quaketail vendor','<The Quaketail Pack>','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990060,'a pub bouncer','<Clan Bullcrusher>','','','',255,158,25,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990061,'a Terrok customer','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990062,'a Terrok guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990063,'a Terrok armsmaster','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990064,'The Ringmaster','<The Master of Ceremonies>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990065,'a Terrok citadel guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990066,'a Terrok citadel guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990067,'a Terrok citadel guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990068,'a Terrok citadel guard','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990069,'a Terrok ursite','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990070,'Pawcrusher','','','','',255,270,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990071,'Commander Ursus','<Clan Terrok>','','','',255,6931,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990072,'a Deepforest grizzly','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990073,'a Terrok strifelord','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990074,'a Terrok battlelord','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990075,'a Terrok cartographer','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990076,'Crackbak the Scavenger','','','','',255,6892,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990077,'a Terrok growler','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990078,'Great Grenadier Gonga','<Clan Boombottom>','','','',255,6825,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990079,'a Terrok warlord','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990080,'a Terrok enforcer','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990081,'a Terrok watchman','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990082,'a Stonemunch crusher','<The Stonemunch Tribe>','','','',255,151,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990083,'a Grungetalon chipper','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990084,'a Grungetalon chopper','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990085,'a Stonemunch pulverizer','<The Stonemunch Tribe>','','','',255,151,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990086,'a Grungetalon foreman','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990087,'a Stonemunch hammerer','<The Stonemunch Tribe>','','','',255,151,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990088,'a Frothbark watchdog','<Clan Frothbark>','','','',255,6452,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990089,'a treasury patron','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990090,'a treasury patron','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990091,'a Grungetalon usurer','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990092,'a Grungetalon geoanimator','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990093,'a Grungetalon director','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990094,'a pile of rubble','','','','',9,6284,22,0,1,1,0,0,228,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990095,'a Terrok treasury guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990096,'a treasury patron','<Clan Kragbak>','','','',255,6453,29,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990097,'a Terrok sentinel','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990098,'a Boombottom vault bomber','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990099,'a Grungetalon pickmaster','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990100,'a Grungetalon pounder','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990101,'a Grungetalon foreman','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990102,'Iron Lord Kraxxaxis','<The Iron Lords of Crundom>','','','',255,1585,54,0,1,1,11,0,1625,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990103,'a Grungetalon mixologist','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990104,'a Grungetalon miner','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990105,'a Grungetalon blacksmith','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990106,'a Sunless alchemist','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990107,'a Grungetalon treasurer','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990108,'a Terrok foundry guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990109,'an enraged rubbler','<The Mineroid Kingdom>','','','',255,6284,22,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990110,'an enraged rubbler','<The Mineroid Kingdom>','','','',255,6284,22,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990111,'a Terrok sentry','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990112,'a Kragbak soldier','<Clan Kragbak>','','','',255,6453,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990113,'a Kragbak battler','<Clan Kragbak>','','','',255,6453,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990114,'a Kragbak howler','<Clan Kragbak>','','','',255,6453,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990115,'a Kragbak guardian','<Clan Kragbak>','','','',255,6453,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990116,'a Kragbak shaman','<Clan Kragbak>','','','',255,6453,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990117,'a Destructon alcove guardian','','','','',255,6280,16,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990118,'a Kragbak channel lord','<Clan Kragbak>','','','',255,6453,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990119,'a Kaladim codex','<The Kaladim Athenaeum>','','','',255,281,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990120,'a Kaladim codex','<The Kaladim Athenaeum>','','','',255,283,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990121,'a Kaladim codex','<The Kaladim Athenaeum>','','','',255,280,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990122,'a Grundin bouncer','<Tribe Grundin>','','','',255,167,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990123,'a Villisis doormaster','<The Villisis Conclave>','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990124,'a Quaketail brewer','<The Quaketail Pack>','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990125,'a Quaketail brewmaster','<The Quaketail Pack>','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990126,'a Serilian noble','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990127,'a Serilian noble','<Clan Kragbak>','','','',255,6453,30,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990128,'a Terrok elite guest','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990129,'Edvan','<The Burglars>','','','',7,108,32,0,1,1,11,0,11500,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990130,'a Serilian noble','<Patch of the Ivory Graveyard>','','','',255,5096,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990131,'a Serilian noble','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990132,'a Grungetalon elite guest','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990133,'Dustaine','<The Burglars>','','','',7,108,32,0,1,1,11,0,11500,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990134,'Rothgar','<The Burglars>','','','',7,108,32,0,1,1,11,0,11854,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990135,'Blingo','<The Burglars>','','','',7,108,32,0,1,1,11,0,11500,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990136,'a Kragbak warmonger','<Clan Kragbak>','','','',255,6453,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990137,'a serpent of We','','','','',255,197,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990138,'Queen Varronik','<The Ring of Ratillik>','','','',13,55,25,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990139,'Slithis','<We>','','','',13,54,25,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990140,'a crusty mine rumbler','','','','',255,2411,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990141,'a Shrool toadstool','<Patch of the Ivory Graveyard>','','','',255,5096,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990142,'a Shrool toadstool','<Patch of the Ivory Graveyard>','','','',255,5096,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990143,'a Shrool nurturer','<Patch of the Ivory Graveyard>','','','',255,5096,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990144,'a Shrool toadstool','<Patch of the Ivory Graveyard>','','','',255,5096,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990145,'a Shrool porter','<Patch of the Ivory Graveyard>','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990146,'a Shrool harvester','<Patch of the Ivory Graveyard>','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990147,'a Shrool sporeknight','<Patch of the Ivory Graveyard>','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990148,'a scarestirge','','','','',255,261,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990149,'a ghostly dwarf','','','','',255,2839,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990150,'a Terrok gambler','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990151,'an off duty Terrok','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990152,'a Terrok bouncer','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990153,'a Terrok bartender','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990154,'a Gigglegibber cardshark','','','','',255,4126,28,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990155,'an off duty Terrok','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990156,'a Terrok gambler','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990157,'a Terrok gambler','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990158,'a Shrool porter','<Patch of the Ivory Graveyard>','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990159,'a Frothbark lurker','<Clan Frothbark>','','','',255,6452,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990160,'a crystal construct','','','','',255,6280,32,0,1,1,11,0,1905,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990161,'a Terrok bulwark','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990162,'Lonantik','A Grungetalon geochanter''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990163,'a Grungetalon geochanter','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990164,'a Serilian believer','<The Quaketail Pack>','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990165,'a Serilian believer','<Clan Kragbak>','','','',255,6453,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990166,'a Serilian believer','<Clan Kragbak>','','','',255,6453,31,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990167,'a Serilian believer','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990168,'a Serilian believer','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990169,'a Serilian believer','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990170,'a Serilian believer','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990171,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990172,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,69,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990173,'a Ratillik high priest','<The Ring of Ratillik>','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990174,'a Grungetalon infuser','<Clan Grungetalon>','','','',255,4126,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990175,'a Grungetalon chipper','<Clan Grungetalon>','','','',255,4126,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990176,'a Grungetalon packer','<Clan Grungetalon>','','','',255,4126,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990177,'a Ratillik overseer','<The Ring of Ratillik>','','','',13,71,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990178,'a Serilian believer','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990179,'a Serilian believer','<Patch of the Ivory Graveyard>','','','',255,5096,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990180,'a Serilian believer','<Clan Kragbak>','','','',255,6453,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990181,'The Avatar of Serilis','<Herald of the Underhorde>','','','',255,6283,160,0,1,1,0,0,3451,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990182,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990183,'a Serilian believer','<The Stonemunch Tribe>','','','',255,151,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990184,'a Serilian believer','<Clan Bullcrusher>','','','',255,159,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990185,'a Grungetalon picklord','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990186,'Jonarer','A Ratillik cleric''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990187,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990188,'a tormented Serilian spirit','','','','',2,110,35,0,1,1,11,0,6193,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990189,'a Serilian knight','<The Ring of Ratillik>','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990190,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,60,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990191,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,70,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990192,'a Ratillik seer supreme','<The Ring of Ratillik>','','','',13,57,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990193,'a Grungetalon reviver','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990194,'a Terrok mine guard','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990195,'a Grungetalon tinkerer','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990196,'a broken clockwork miner','','','','',255,6447,32,0,1,1,0,0,2142,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990197,'a Grungetalon assistant tinkerer','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990198,'a cavern bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990199,'an enraged rubbler','<The Mineroid Kingdom>','','','',255,6284,22,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990200,'a treasury patron','<Patch of the Ivory Graveyard>','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990201,'a treasury patron','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990202,'a Terrok spectator','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990203,'a Terrok spectator','<Clan Terrok>','','','',255,6707,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990204,'a Grungetalon spectator','<Clan Grungetalon>','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990205,'a Grungetalon spectator','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990206,'a Terrok gambler','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990207,'an off duty Terrok','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990208,'a Terrok gambler','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990209,'an off duty Terrok','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990210,'Abyss','<The Maw of Deepforest>','','','',255,198,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990211,'an off duty Grungetalon','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990212,'a Terrok lifter','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990213,'a Rampart trainer','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990214,'an off duty Grungetalon','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990215,'a Terrok customer','<Clan Terrok>','','','',255,6889,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990216,'Picklord Ryjeka','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990217,'a Serilian believer','<Tribe Grundin>','','','',255,167,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990218,'a Serilian believer','<Clan Kragbak>','','','',255,6453,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990219,'a Serilian believer','<Clan Terrok>','','','',255,6892,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990220,'Konartik','A Grungetalon geochanter''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990221,'a Serilian believer','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990222,'a Kragbak battler','<Clan Kragbak>','','','',255,6453,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990223,'a Grungetalon elite guest','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990224,'a Grungetalon elite guest','<Clan Grungetalon>','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990225,'a shaker','','','','',255,2411,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990226,'a mine rumbler','','','','',255,2411,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990227,'a Serilian believer','<Clan Boombottom>','','','',255,2900,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990228,'Gabantik','A Ratillik cleric''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990229,'a Ratillik cleric','<The Ring of Ratillik>','','','',13,71,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990230,'Jabab','A Ratillik cleric''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990231,'an understirge','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990232,'door_stormguard_hall_armory_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990233,'door_stormguard_hall_armory_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990234,'door_stormguard_hall_bunk03_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990235,'door_stormguard_hall_bunk02_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990236,'door_stormguard_hall_bunk02_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990237,'door_stormguard_hall_bunk01_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990238,'door_stormguard_hall_bunk01_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990239,'door_stormguard_hall_thrones_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990240,'door_stormguard_hall_thrones_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990241,'door_stormguard_hall_vestibule_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990242,'door_stormguard_hall_vestibule_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990243,'door_stormguard_hall_bunk04_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990244,'door_stormguard_hall_bunk04_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990245,'door_stormguard_hall_bunk03_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990246,'',NULL,'','','',0,49,32,0,1,1,127,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990247,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990248,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990249,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990250,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990251,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990252,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990253,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990254,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990255,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990256,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990257,'a gloom mushroom',NULL,'','','',0,49,32,0,1,1,169,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990259,'aoi_invisible_gate_lookout',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990260,'invisible object, Gonga alarm',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990261,'terrok training dummy',NULL,'','','',0,1918,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990262,'training_dummy',NULL,'','','',0,1558,36,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990263,'training_dummy_hanging',NULL,'','','',0,1582,36,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990264,'invisible_front_of_vault',NULL,'','','',0,2306,38,0,1,1,168,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990265,'floor_drum_human_plain01',NULL,'','','',0,3493,27,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990266,'zone_to_butcherblock_mountains',NULL,'','','',0,49,32,0,1,1,166,0,0,0,0,1,0,0,432,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990267,'bottle of Flaming Clurg',NULL,'','','',0,4604,32,0,1,1,170,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990268,'gem_analyzer_wrench_speckbolt',NULL,'','','',0,6334,32,0,1,1,171,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990269,'qst_crate_of_bandages04',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990270,'book_boombottom_blasting_recipes02',NULL,'','','',0,2306,16,0,1,1,173,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990271,'qst_crate_of_bandages07',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990272,'qst_crate_of_bandages06',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990273,'gem_analyzer_wrench_microbolt',NULL,'','','',0,6334,32,0,1,1,171,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990274,'qst_crate_of_bandages01',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990275,'boombottom duty list',NULL,'','','',0,3655,50,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990276,'boombottom strongbox',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990277,'qst_crate_of_bandages08',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990278,'gem_analyzer_wrench_bitbolt',NULL,'','','',0,6334,32,0,1,1,171,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990279,'qst_barrel_of_pungla_pyro_pickles_left',NULL,'','','',0,49,32,0,1,1,174,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990280,'qst_crate_of_bandages05',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990281,'gem_analyzer_wrench_bolt',NULL,'','','',0,6334,32,0,1,1,171,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990282,'book_boombottom_blasting_recipes01',NULL,'','','',0,2306,21,0,1,1,173,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990283,'qst_crate_of_bandages03',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990284,'qst_crate_of_bandages02',NULL,'','','',0,49,32,0,1,1,172,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990285,'qst_barrel_of_pungla_pyro_pickles',NULL,'','','',0,49,32,0,1,1,174,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990286,'gem_analyzer',NULL,'','','',0,3252,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990287,'zone_to_the_haunted_vaults',NULL,'','','',0,49,32,0,1,1,175,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990288,'sign_tanned_assets',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990289,'sign_staff_and_spear',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990290,'sign_pub_kal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990291,'moggok stone, 150',NULL,'','','',0,3239,99,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990292,'moggok stone, 100',NULL,'','','',0,3239,80,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990293,'sign, ramparts gym',NULL,'','','',0,4655,32,0,1,1,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990294,'moggok stone, 300',NULL,'','','',0,3239,122,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990295,'sign_stormguard_hall02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990296,'sign_stormguard_hall',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990297,'note_destroying_rug',NULL,'','','',0,2544,15,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990298,'Stormguard Hall bear rug',NULL,'','','',0,4460,80,0,1,1,0,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990299,'terrok strongbox',NULL,'','','',0,6503,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990300,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990301,'sign_ratsbone_assay',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990302,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990303,'sign_toilers_storage',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990304,'The Anvil of Everhot',NULL,'','','',0,2306,18,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990305,'Everhot''s Key Maker''s Wheel',NULL,'','','',0,3320,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990306,'Everhot''s Locksmith Manual',NULL,'','','',0,3034,40,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990307,'sign_everhot_foundry',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990308,'sign_ratsbone_treasury',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990309,'bank_vault_door',NULL,'','','',0,6699,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990310,'water_soaked_chest',NULL,'','','',0,6503,16,0,1,1,33,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990311,'grungetalon strongbox',NULL,'','','',0,6503,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990312,'kragbak strongbox',NULL,'','','',0,6503,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990313,'Chapel Tome Chest',NULL,'','','',0,6505,32,0,1,1,176,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990314,'Gigglegibber chips',NULL,'','','',0,3177,32,0,1,1,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990315,'Gigglegibber cards',NULL,'','','',0,3172,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990316,'a Gigglegibber sign',NULL,'','','',0,4655,32,0,1,1,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990317,'The Hammer of Below',NULL,'','','',0,3322,32,0,1,1,116,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990318,'Tomb of Troyulux the Seer',NULL,'','','',0,2878,32,0,1,1,177,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990319,'Tomb of Parbik Norbundrin',NULL,'','','',0,2878,32,0,1,1,178,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990320,'Tomb of Bronlor Stormhammer',NULL,'','','',0,2878,32,0,1,1,179,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990321,'Tomb of Huvrak Terrapaw',NULL,'','','',0,2878,32,0,1,1,180,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990322,'eternal tomb',NULL,'','','',0,2878,32,0,1,1,181,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990323,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990324,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(990325,'everhot ore cluster',NULL,'','','',0,6903,64,0,1,1,1,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010001,'a klakdyne eliminator DCCC','','','','',255,6446,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010002,'Clockwork Attendant XCI','','','','',255,6670,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010003,'a mechnamagica hunter-seeker','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010004,'a mechnamagica assault drone','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010005,'a heavy metal decimator','','','','',255,6524,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010006,'a klakdroid waterwork sentinel','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010007,'Master Magus Thornbolt','','','','',255,6446,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010008,'Waterwork Operator Malscrew','','','','',255,6287,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010009,'a primeval clockwork tunneler','','','','',255,6669,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010010,'Waterwork Supervisor Grimbolt','','','','',255,6446,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010011,'a klakdroid sentinel','','','','',255,6447,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010012,'a primeval clockwork cleaner','','','','',255,6679,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010013,'a clockwork mechanic','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010014,'a clockwork repairer','','','','',255,6288,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010015,'a damaged clockwork','','','','',255,6446,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010016,'a primeval clockwork miner','','','','',255,6670,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010017,'a clockwork ore smasher','','','','',255,6524,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010018,'a mechnamagica battle drone','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010019,'a clockwork dust remover','','','','',255,6287,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010020,'a klakdyne gearguard','','','','',255,6446,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010021,'a klakdrone watcher','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010022,'Clockwork Custodian LXV','','','','',255,6670,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010023,'a klakdroid aqua sentinel','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010024,'Heavymetal Guardian Bruticus','','','','',255,6524,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010025,'a klakdroid enforcer','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010026,'a primeval clockwork laborer','','','','',255,6670,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010027,'a primeval clockwork duster','','','','',255,6679,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010028,'a klakdroid gate watcher','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010029,'a klakdrone ward','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010030,'a preassembled klakdroid','','','','',255,6447,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010031,'The Klak''Anon Warhulk','','','','',255,6524,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010032,'a preassembled klakdyne','','','','',255,6446,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010033,'a clockwork maintenance drone','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010034,'a clockwork engineer','','','','',255,6447,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010035,'a glitched clockwork spider','','','','',255,6679,32,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010036,'an impaired clockwork gnome','','','','',255,6670,41,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010037,'a broken clockwork gnome','','','','',255,6670,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010038,'a clockwork shredder','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010039,'a disposed clockwork','','','','',255,6670,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010040,'a disposed clockwork','','','','',255,6679,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010041,'Dreadscrew the Scrapper','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010042,'a scrapmetal salvager','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010043,'clockwork_castle_metal_gate',NULL,'','','',0,49,32,0,1,1,769,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010044,'lever',NULL,'','','',0,6531,48,0,1,1,229,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010045,'klakanon_large_switch_base',NULL,'','','',0,6530,48,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010046,'zone_to_clockwork_menace_factory',NULL,'','','',0,49,32,0,1,1,580,0,0,0,0,1,0,0,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010047,'zone_to_clockwork_menace_factory2',NULL,'','','',0,49,32,0,1,1,580,0,0,0,0,1,0,0,380,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010048,'zone_to_court_of_innovation',NULL,'','','',0,49,32,0,1,1,770,0,0,0,0,1,0,0,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010049,'zone_to_steamfont_mountains',NULL,'','','',0,49,32,0,0,0,1183,0,0,0,0,1,0,0,330,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010050,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010051,'a klakdyne eliminator DCCC','','','','',255,6446,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010052,'Clockwork Attendant XCI','','','','',255,6670,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010053,'a mechnamagica assault drone','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010054,'a heavy metal decimator','','','','',255,6524,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010055,'a klakdroid waterwork sentinel','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010056,'Master Magus Thornbolt','','','','',255,6446,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010057,'Waterwork Operator Malscrew','','','','',255,6287,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010058,'a primeval clockwork tunneler','','','','',255,6669,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010059,'Waterwork Supervisor Grimbolt','','','','',255,6446,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010060,'a klakdroid sentinel','','','','',255,6447,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010061,'a primeval clockwork cleaner','','','','',255,6679,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010062,'a clockwork mechanic','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010063,'a clockwork repairer','','','','',255,6288,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010064,'a damaged clockwork','','','','',255,6446,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010065,'a primeval clockwork miner','','','','',255,6670,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010066,'a clockwork ore smasher','','','','',255,6524,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010067,'a mechnamagica battle drone','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010068,'a clockwork dust remover','','','','',255,6287,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010069,'a klakdyne gearguard','','','','',255,6446,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010070,'a klakdrone watcher','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010071,'Clockwork Custodian LXV','','','','',255,6670,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010072,'a klakdroid aqua sentinel','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010073,'Heavymetal Guardian Bruticus','','','','',255,6524,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010074,'a klakdroid enforcer','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010075,'a primeval clockwork laborer','','','','',255,6670,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010076,'a primeval clockwork duster','','','','',255,6679,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010077,'a klakdroid gate watcher','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010078,'a klakdrone ward','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010079,'a preassembled klakdroid','','','','',255,6447,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010080,'The Klak''Anon Warhulk','','','','',255,6524,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010081,'a preassembled klakdyne','','','','',255,6446,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010082,'a clockwork maintenance drone','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010083,'a clockwork engineer','','','','',255,6447,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010084,'a glitched clockwork spider','','','','',255,6679,32,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010085,'an impaired clockwork gnome','','','','',255,6670,41,0,1,1,11,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010086,'a broken clockwork gnome','','','','',255,6670,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010087,'a clockwork shredder','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010088,'a disposed clockwork','','','','',255,6670,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010089,'a disposed clockwork','','','','',255,6679,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010090,'Dreadscrew the Scrapper','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010092,'Blackbolt the Steel Cutter','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010093,'a klakdroid tunnel guard','','','','',255,6447,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010094,'a clockwork service drone','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010095,'a clockwork heavy toiler','','','','',255,6524,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010096,'a rustyard vermin','','','','',255,196,16,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010097,'a clockwork machinist','','','','',255,6447,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010098,'SOB the Exterminator','','','','',255,6535,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010099,'Clockwork Taskmaster Geartooth','','','','',255,6447,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010100,'Factory Overseer Klankbolt','','','','',255,6524,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010101,'a disturbed granitoid trampler','','','','',255,6283,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010102,'a frenzied granitoid trampler','','','','',255,6283,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010103,'a mechnamagica battler','','','','',255,6447,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010104,'a deactivated clockwork worker','','','','',255,6524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010105,'Clockwork Administrator Shadowbolt','','','','',255,6446,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010106,'a clockwork proletarian','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010107,'a malfunctioning Bibliotecha 1000','','','','',255,6670,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010108,'a clockwork assembler','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010109,'an incomplete clockwork','','','','',255,6447,40,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010110,'a clockwork metalsmith','','','','',255,6288,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010111,'a captured specimen','','','','',255,6452,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010112,'a captured specimen','','','','',255,216,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010113,'a clockwork zookeeper','','','','',255,6524,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010114,'Deagle Wendaloo','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010115,'a captured specimen','','','','',255,1372,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010116,'a clockwork observer','','','','',255,6287,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010117,'an incomplete clockwork ','','','','',255,6446,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010118,'a clockwork lab technician','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010119,'a dead test subject','','','','',255,216,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010120,'a dead test subject','','','','',255,1372,35,3,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010121,'a clockwork medic','','','','',255,6286,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010122,'Bloodscrew the Surgeon','','','','',255,6447,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010123,'clockwork_castle_metal_gate',NULL,'','','',0,49,32,0,0,0,769,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010124,'moving_zoo_cell_portcullis_05',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010125,'functional_zoo_cell_portcullis_07',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010126,'functional_zoo_cell_portcullis_06',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010127,'functional_zoo_cell_portcullis_04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010128,'functional_zoo_cell_portcullis_03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010129,'functional_zoo_cell_portcullis_02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010130,'functional_zoo_cell_portcullis_08',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010131,'functional_zoo_cell_portcullis_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010132,'lever',NULL,'','','',0,6531,48,0,0,0,229,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010133,'klakanon_large_switch_base',NULL,'','','',0,6530,48,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010134,'klakanon_small_switch_base',NULL,'','','',0,6532,48,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010135,'lever',NULL,'','','',0,6517,32,0,0,0,0,0,0,0,0,0,0,0,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010136,'lever',NULL,'','','',0,6533,32,0,0,0,229,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010137,'an empty backpack',NULL,'','','',0,4186,32,0,0,0,183,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010138,'Deagle''s Backpack',NULL,'','','',0,4186,32,0,0,0,183,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010139,'zone_to_steamfont_mountains',NULL,'','','',0,49,32,0,0,0,1183,0,0,0,0,1,0,0,330,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010140,'',NULL,'','','',0,6533,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1010141,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020001,'a clockwork sentry','<Menace Security>','','','',255,6447,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020002,'a clockwork technician','<Menace Factoryworker>','','','',255,6287,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020003,'Clockwork Menace','','','','',255,6285,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020004,'Clockwork Tactician','<Menace Factoryworker>','','','',255,6288,51,0,1,1,581,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020005,'Clockwork Energizer','<Menace Factoryworker>','','','',255,6288,51,0,1,1,582,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020006,'Clockwork Weaponsmith','<Menace Factoryworker>','','','',255,6288,51,0,1,1,583,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020007,'Clockwork Armorsmith','<Menace Factoryworker>','','','',255,6288,51,0,1,1,584,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020008,'a clockwork skirmisher','','','','',255,6524,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020009,'a clockwork escort','','','','',255,6286,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020010,'a clockwork protector','<Menace Security>','','','',255,6446,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020011,'a ticking arachnid','','','','',255,6679,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020012,'Mad Tzikla','<Architect of the Fall>','','','',255,6669,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020013,'a clockwork miner','','','','',255,6524,32,0,1,1,11,0,10786,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020015,'',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,0,0,0,921,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020016,'arm_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,469,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020017,'arm_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,551,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020018,'arm_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,641,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020019,'sign to frugrin observatory',NULL,'','','',0,6977,64,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020020,'zone_to_klakanon',NULL,'','','',0,49,32,0,0,0,585,0,0,0,0,1,0,0,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1020021,'a strange portal',NULL,'','','',0,2306,32,0,0,0,123,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030000,'a mechnamagica hunter-seeker','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030001,'Master Clockwork Protocol','','','','',255,6663,28,3,1,1,0,0,0,0,0,1,0,0,544,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030002,'a klakdroid fortress guardian','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030003,'a klakdyne gearknight','','','','',255,6446,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030004,'a mechnamagica interceptor','','','','',255,6286,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030005,'a heavy metal menacer','','','','',255,6524,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030006,'Court Guardian Chromtok','','','','',255,6524,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030007,'a deactivated clockwork defender','','','','',255,6447,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030008,'an inactive clockwork sentry','','','','',255,6447,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030009,'a klakdyne omega magus','','','','',255,6446,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030010,'King Klak''Anon ','','','','',255,6670,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030011,'a mechnamagica seeker-destroyer','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030012,'a klakdyne alpha magus','','','','',255,6446,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030013,'an activated clockwork sentry','','','','',255,6447,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030014,'Power Cell C','','','','',9,6617,32,0,1,1,11,0,0,1,1,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030015,'an activated clockwork defender','','','','',255,6447,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030016,'Power Cell B','','','','',9,6617,32,0,1,1,11,0,0,1,1,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030017,'Power Cell A','','','','',9,6617,32,0,1,1,11,0,0,1,1,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030018,'Power Cell D','','','','',9,6617,32,0,1,1,11,0,0,1,1,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030019,'The Crimson Vanquisher','','','','',255,6524,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030020,'King Klak''Anon the Mechnamaximus','','','','',255,6446,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030021,'hall_of_guardians_chamber_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030022,'mcp_chamber_bossroom_gate_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030023,'mcp_chamber_bossroom_gate_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030024,'mcp_chamber_bossroom_gate_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030025,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030026,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030027,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030028,'switch',NULL,'','','',0,6478,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030029,'klakanon_large_switch_base',NULL,'','','',0,6530,48,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030030,'power cell collison mesh',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030031,'klakanon_small_switch_base',NULL,'','','',0,6532,48,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030032,'power cell collison mesh',NULL,'','','',0,6827,22,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030033,'',NULL,'','','',0,6479,48,0,1,1,229,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030034,'',NULL,'','','',0,6531,64,0,1,1,229,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030035,'zone_to_klakanon',NULL,'','','',0,49,32,0,1,1,585,0,0,0,0,1,0,0,524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030036,'',NULL,'','','',0,6533,48,0,1,1,229,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030037,'',NULL,'','','',0,6533,48,0,1,1,229,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030038,'',NULL,'','','',0,6533,48,0,1,1,229,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030039,'',NULL,'','','',0,6533,48,0,1,1,229,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030040,'power_cell',NULL,'','','',0,6617,32,0,1,1,0,0,0,0,0,0,0,0,335,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030041,'power_cell',NULL,'','','',0,6617,32,0,1,1,0,0,0,0,0,0,0,0,335,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030042,'power_cell',NULL,'','','',0,6617,32,0,1,1,0,0,0,0,0,0,0,0,335,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030043,'power_cell',NULL,'','','',0,6617,32,0,1,1,0,0,0,0,0,0,0,0,335,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030044,'power_cell',NULL,'','','',0,6980,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030045,'power_cell',NULL,'','','',0,6980,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030046,'power_cell',NULL,'','','',0,6980,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030047,'power_cell',NULL,'','','',0,6980,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1030048,'',NULL,'','','',0,6651,32,0,1,1,37,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040000,'a Mistmoore guard','','','','',255,4634,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040001,'Head Butler Z''ral','','','','',255,6490,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040002,'a Mistmoore caretaker','','','','',255,4636,43,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040003,'Seneschal D''naraz','','','','',255,6491,50,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040004,'a Mistmoore protector','','','','',255,3646,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040005,'a Mistmoore guard','','','','',255,4636,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040006,'a Mistmoore caretaker','','','','',255,4636,43,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040007,'a loyal convert','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040008,'a corridor crawler','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040009,'a loyal convert','','','','',1,6528,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040010,'a loyal lookout','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040011,'a loyal convert','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040012,'a loyal convert','','','','',1,6527,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040013,'a Lykulak gnasher','','','','',255,6290,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040014,'a Lykulak shredder','','','','',255,6290,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040015,'Kararer','A Mistmoore bloodmage''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040016,'a Mistmoore bloodmage','','','','',255,4632,44,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040017,'a Mistmoore bloodoath','','','','',255,4637,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040018,'an evil eye optling','','','','',255,247,9,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040019,'a Lykulak spiritist','','','','',255,6290,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040020,'a Mistmoore maid','','','','',255,6520,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040021,'a Mistmoore butler','','','','',255,6490,45,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040022,'Kann','A Mistmoore bloodmage''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040023,'a Mistmoore bloodseeker','','','','',255,4636,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040024,'a penumbral savage','','','','',255,3728,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040025,'a Mistmoore servant','','','','',255,6521,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040026,'Josarer','A Mistmoore bloodmage''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040027,'a Lykulak mooncrier','','','','',255,6290,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040028,'Zonaner','A Mistmoore bloodmage''s grim heretic','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040029,'a Mistmoore guard','','','','',255,4636,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040030,'a frenzied bloodbat','','','','',255,239,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040031,'Head Maid Z''yra','','','','',255,6520,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040032,'a cave blight','','','','',255,3728,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040033,'a blightbeast','','','','',255,240,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040034,'an uncontrollable drelock','','','','',1,6527,38,0,1,1,11,0,10783,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040035,'an obdurate sentinel','','','','',255,1370,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040036,'Edge','','','','',8,134,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040037,'Korzar the Savager','','','','',255,6859,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040038,'a vigilant sentinel','','','','',255,1370,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040039,'a bloodbat','','','','',255,239,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040040,'Simone Chelmonte','','','','',8,6711,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040041,'Armor of Mistmyr','','','','',255,3646,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040042,'a rictus gnawer','','','','',255,6315,41,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040043,'a failed convert','','','','',1,6528,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040044,'a failed convert','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040045,'a Tunarian guest','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040046,'a Tunarian guest','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040047,'a failed convert','','','','',1,6527,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040048,'a borebeak stabber','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040049,'a Mistmoore incarcerator','','','','',255,4634,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040050,'Barag the Lunatic','','','','',1,6525,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040051,'a Tunarian guest','','','','',8,6712,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040052,'a failed convert','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040053,'a Tunarian thrall','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040054,'a dwarven thrall','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040055,'Lenetian Leafvein','','','','',8,6711,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040056,'a stoic sentinel','','','','',255,1370,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040057,'a Mistmoore soulmerger','','','','',255,4632,43,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040058,'Stog the Overwatch','','','','',255,1370,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040059,'a Mistmoore overseer','','','','',255,4632,42,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040060,'a Crushbone guest','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040061,'Goregush the Impaled','','','','',255,6315,56,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040062,'a Mistmoore priestess','','','','',255,4631,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040063,'an orc guest','','','','',20,6229,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040064,'a Crushbone guest','','','','',20,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040065,'Darlek the Exterminator','','','','',20,6244,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040066,'a dwarven thrall','','','','',2,110,32,0,1,1,9,0,540,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040067,'a Mistmoore priestess','','','','',255,4631,46,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040068,'a Mistmoore soulmerger','','','','',255,4636,44,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040069,'The Cauldron of Uzun','','','','',255,4437,32,0,1,1,9,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040070,'an engorged bloodbat','','','','',255,239,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040071,'a Myr''dal ravager','','','','',1,6528,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040072,'a Myr''dal spiritcaller','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040073,'an obsidian construct','','','','',255,153,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040074,'an obsidian construct','','','','',255,153,54,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040075,'a Myr''dal savager','','','','',1,6527,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040076,'a drelock convert','','','','',1,6528,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040077,'a blackened construct','','','','',255,153,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040078,'a borebeak gorger','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040079,'a borebeak sipper','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040080,'an Ardent child','','','','',3,1589,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040081,'Alain Toad','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040082,'Edghar Toad','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040083,'Chieftain Korgull','','','','',1,6525,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040084,'a Myr''dal magician','','','','',1,6526,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040085,'an Ardent elder','','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040086,'Mikael Emmetstone','','','','',2,1482,32,0,1,1,0,0,228,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040087,'a bloodbeak gouger','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040088,'Sarvalag the Crusher','','','','',1,6525,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040089,'a tormented Serilian spirit','','','','',255,6452,35,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040090,'cof_chest_4',NULL,'','','',0,49,32,0,1,1,450,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040091,'widget_coffin_16',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040092,'widget_coffin_15',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040093,'widget_coffin_10',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040094,'widget_coffin_19',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040095,'widget_coffin_14',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040096,'widget_coffin_8',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040097,'widget_coffin_11',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040098,'widget_coffin_18',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040099,'widget_coffin_17',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040100,'widget_coffin_13',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040101,'widget_coffin_21',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040102,'widget_coffin_20',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040103,'widget_coffin_12',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040104,'widget_quest_book_1',NULL,'','','',0,49,32,0,1,1,663,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040105,'widget_quest_book_2',NULL,'','','',0,49,32,0,1,1,663,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040106,'widget_coffin_5',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040107,'widget_coffin_4',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040108,'widget_coffin_2',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040109,'widget_coffin_1',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040110,'widget_coffin_3',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040111,'widget_coffin_7',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040112,'widget_coffin_6',NULL,'','','',0,49,32,0,1,1,662,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040113,'cof_chest_1',NULL,'','','',0,49,32,0,1,1,450,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040114,'cof_chest_3',NULL,'','','',0,49,32,0,1,1,450,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040115,'cof_chest_2',NULL,'','','',0,49,32,0,1,1,450,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040116,'cazic_bonefetisha001',NULL,'','','',0,6684,40,0,1,1,660,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040117,'quest_dwarf_vampire_paladin_helm',NULL,'','','',0,6039,32,0,1,1,661,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040118,'tombstone_fab_four',NULL,'','','',0,5791,32,0,1,1,33,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040119,'tombstone_fab_four',NULL,'','','',0,5791,32,0,1,1,33,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040120,'Keeper of the Blade',NULL,'','','',0,6914,34,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040121,'tombstone_fab_four',NULL,'','','',0,5791,32,0,1,1,33,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040122,'Liberation Libation',NULL,'','','',0,3213,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040123,'zone_to_castle_mistmoore',NULL,'','','',0,49,32,0,0,0,677,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040124,'tombstone_fab_four',NULL,'','','',0,5791,32,0,1,1,33,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040125,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1040126,'Libation Winery',NULL,'','','',0,6697,22,0,1,1,2,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050000,'a marrow feeder','','','','',255,6290,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050001,'a D''Morte sorcerer','','','','',255,4633,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050002,'a D''Morte infiltrator','','','','',255,4633,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050003,'a marrow ripper','','','','',255,6290,64,0,1,1,11,0,540,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050004,'a marrow boiler','','','','',255,6290,64,0,1,1,11,0,540,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050005,'a dead Freethinker','','','','',13,59,32,0,1,1,0,0,228,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050006,'a D''Morte siphoner','','','','',255,4633,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050007,'a D''Morte ransacker','','','','',255,4633,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050008,'Zylphax the Shredder','','','','',255,6290,96,0,1,1,11,0,540,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050009,'chest_blackwater_mask',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050010,'door03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050011,'door01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050012,'door04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050013,'door02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050014,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050015,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050016,'scattered bones',NULL,'','','',0,2430,77,0,1,1,652,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050017,'wall_1',NULL,'','','',0,4747,34,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050018,'wall_4',NULL,'','','',0,4747,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050019,'a powder keg',NULL,'','','',0,5008,32,0,1,1,653,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050020,'wall_2',NULL,'','','',0,4747,33,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050021,'wall_3',NULL,'','','',0,4747,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050022,'event_2_wall',NULL,'','','',0,4544,32,0,1,1,0,0,2604,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050023,'trap_door',NULL,'','','',0,4544,32,0,1,1,0,0,2604,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050024,'malkonis_portal',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050025,'painting',NULL,'','','',0,4405,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050026,'painting',NULL,'','','',0,4200,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050027,'furnace_switch',NULL,'','','',0,6481,32,0,1,1,654,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050028,'ankh',NULL,'','','',0,5781,8,0,1,1,0,0,4546,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050029,'ankh_diode',NULL,'','','',0,2683,32,0,1,1,0,0,3404,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050030,'painting',NULL,'','','',0,4364,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050031,'special event picture wall',NULL,'','','',0,2197,57,0,1,1,655,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050032,'painting',NULL,'','','',0,4198,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050033,'painting',NULL,'','','',0,4225,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050034,'add_portal',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050035,'dropped vase',NULL,'','','',0,4564,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050036,'special_bones_sign',NULL,'','','',0,1847,12,0,1,1,656,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1050037,'zone_exit',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060000,'a Trueborn cohort','','','','',255,6490,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060001,'a Trueborn subaltern','','','','',255,6521,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060002,'a Trueborn adherent','','','','',255,6521,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060003,'a malevolent creation','','','','',255,6283,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060004,'a captured prisoner','','','','',1,115,36,4,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060005,'','','','','',9,1521,32,0,1,1,0,0,228,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060006,'a Trueborn watcher','','','','',255,6612,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060007,'Dariel Nafriya','','','','',255,135,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060008,'a bloodcovet mangler','','','','',255,6290,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060009,'a Trueborn steward','','','','',255,6520,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060010,'a Trueborn subjugator','','','','',255,6611,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060011,'a Trueborn vindicator','','','','',255,6612,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060012,'a Trueborn factotum','','','','',255,6520,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060013,'a captured infiltrator','','','','',15,114,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060014,'a soulless carcass','','','','',15,114,35,3,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060015,'a bloodcovet ravager','','','','',255,6290,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060016,'a watchful sculpture','','','','',255,1370,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060017,'a stone sculpture','','','','',255,6283,32,0,1,1,0,0,540,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060018,'a half-eaten carcass','','','','',255,140,34,6,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060019,'Elenorel the Beast Tamer','','','','',255,6611,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060020,'a sinister sculpture','','','','',255,1370,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060021,'Irodal the Originator','','','','',255,6490,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060022,' a watchful bat','','','','',255,239,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060023,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060024,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060025,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060026,'human_skull',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1060027,'zone_to_loping_plains',NULL,'','','',0,49,32,0,0,0,657,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070000,'XXXXXX','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070001,'XXXXXX','XXXXX''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070002,'Kaiin''s aqueous horde','','','','',255,2391,25,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070003,'Kaiin''s pyromancy','','','','',255,5597,32,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070004,'Konanab','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070005,'Josn','Kaiin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070006,'a hungering receptacle','','','','',255,309,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070007,'an automated sentinel','','','','',255,230,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070008,'a dark lurker','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070009,'a shadowed infuser','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070010,'a fragment of chaos','','','','',255,3687,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070011,'a shadowed deconstructionist','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070012,'a shadowed collector','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070013,'a shadowed man','','','','',255,5987,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070014,'a walking shadow','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070015,'a champion of blight','','','','',255,1585,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070016,'a shadowed harvester','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070017,'a noncompliant detainee','','','','',255,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070018,'a shadowguard of blight','','','','',255,1585,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070019,'a fallen invader','','','','',255,5947,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070020,'an apprentice of shadows','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070021,'Interrogator Bruek','<Prisoner Relations>','','','',255,1585,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070022,'an observer of shadows','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070023,'a punisher of blight','','','','',255,1585,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070024,'Gibarab','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070025,'a defective vessel','','','','',255,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070026,'a shadowy mistress','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070027,'a converted vessel','','','','',255,6488,31,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070028,'a converted vessel','','','','',255,6488,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070029,'XXXXXX''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070030,'a vessel in process','','','','',255,6488,37,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070031,'a chaotic servant','','','','',255,3687,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070032,'Occulator Yxorx','<Overseer of Infusions>','','','',255,247,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070033,'a consort of shadows','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070034,'an advanced automaton','','','','',255,230,44,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070035,'an infiltration instructor','','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070036,'a key of chaos','','','','',255,3687,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070037,'Gretalik the Bloodbourne','<Fist of Zet>','','','',255,1585,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070038,'Zzorzzazxx','<Vizier of Zet>','','','',255,247,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070039,'Axxyk''Tuur','<Master of Zet>','','','',255,1584,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070040,'a ready servant','','','','',255,6489,33,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070041,'Forest Spirit','','','','',255,273,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070042,'Void Doppleganger','','','','',9,112,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070043,'door_rising_001_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070044,'door_rising_002_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070045,'door_rising_004_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070046,'door_rising_005_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070047,'door_rising_006_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070052,'Security Alert',NULL,'','','',0,2544,32,0,1,1,903,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070053,'Fae Infiltration',NULL,'','','',0,2544,32,0,1,1,903,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070054,'Fae targets',NULL,'','','',0,2544,32,0,1,1,903,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070055,'Target Prime',NULL,'','','',0,2544,32,0,1,1,903,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070056,'memo',NULL,'','','',0,2544,32,0,1,1,903,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070057,'boss_device',NULL,'','','',0,2544,32,0,1,1,903,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070058,'a liberated essence',NULL,'','','',255,3710,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070059,'entry_zone_to_lfay',NULL,'','','',0,49,32,0,1,1,1236,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1070060,'exit_zone_to_lfay',NULL,'','','',0,49,32,0,1,1,1236,0,0,0,0,1,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080000,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080001,'a trained griffin','','','','',255,225,32,0,1,1,0,0,11191,0,0,1,0,0,40,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080002,'Belinda MacLellan','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080003,'a sea slug','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080004,'Guard Daarwyn','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080005,'Researcher Kiman','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080006,'Guard Tellik','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080007,'Researcher Eruwun','','','','',255,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080008,'Dockmaster Waulon','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080009,'Sala Maki','<Adorning Trainer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080010,'Tyla Maki','<Adorning Merchant>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,16,16,0,0,100143,0,0,0,0,0,0,0,0,0,0,0,0),
(1080011,'An''dil Siriion','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080012,'Dockworker Brawley','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080013,'Dannard Cliffcarver','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080014,'Darious Stonemaul','<Broker>','','','',2,1483,32,0,1,1,20,9,0,0,0,1,0,0,18,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080015,'Almar Shi''iz','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080016,'Mizzen Staysail','<The Far Seas Trading Company>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080017,'Dockworker Seeley','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080018,'Dockworker Alesford','','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080019,'a crab','','','','',255,211,32,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080020,'Cordelia Galeston','<Far Seas Trading Company>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080021,'Raghunatha','<Emissary of Gorowyn>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080022,'Assistant Deldry','','','','',2,1477,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080023,'a deepsea loggerhead','','','','',255,218,73,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080024,'Harbormaster Ironmend','<Harbormaster>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080025,'Opus Froth','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080026,'a wandering anemone','','','','',255,6256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080027,'Dockworker Ogilby','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080028,'a barbtail ray','','','','',255,219,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080029,'a hungry sawtooth','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080030,'Guard Gasden','<Butcherblock Dock Authority>','','','',2,1480,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080031,'Guard Banning','<Butcherblock Dock Authority>','','','',2,1484,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080032,'Hessek Thornton','<Butcherblock Dock Authority>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080033,'Philosopher Rhimes','<Deity Historian>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080034,'Bimini Bowchaser','<The Far Seas Trading Company>','','','',7,108,32,0,1,1,9,0,11500,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080035,'Trader Darmlin','','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080036,'Griss Brumbaugh','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080037,'Thark Keycairn','<Mender>','','','',2,1484,32,0,1,1,12,9,0,0,0,1,0,0,18,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1080038,'Captain Stonnacky','<The Far Seas Trading Company>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080039,'Harbormaster Steelstrike','<Harbormaster>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080040,'Dockworker Kelson','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080041,'Hulis Glettlegear','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080042,'Karsh Cogsworth','<Tinkering Trainer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080043,'Corianda Cogsworth','<Tinkering Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080044,'Strongarm Fellhorn','<Banker>','','','',2,110,32,0,1,1,14,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080045,'Juna Crankfizz','<Historian>','','','',5,122,25,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080046,'Fishmonger Usharaz','','','','',11,101,32,0,1,1,10,0,0,0,0,1,0,0,38,16,16,0,0,2301,0,0,0,0,0,0,0,0,0,0,0,0),
(1080047,'Storm Breaker','','','','',0,2557,42,0,1,0,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080048,'Tally Topgallant','<The Far Seas Trading Company>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080049,'Schmitty McEricson','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080050,'Journey''s End','','','','',0,2557,32,0,1,1,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080051,'an aqua goblin','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080052,'an aqua goblin mystic','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080053,'a cleft stalker','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080054,'a coastal basilisk','','','','',255,5862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080055,'a rustfiend','','','','',255,235,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080056,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080057,'an aqua goblin wizard','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080058,'Captain Dabney','<Butcherblock Dock Authority>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080059,'an island basilisk','','','','',255,5862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080060,'an anemone','','','','',255,6256,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080061,'a terratrodder','','','','',255,215,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080062,'a sea cucumber','','','','',255,252,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080063,'a seahawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080064,'a ridge wriggler','','','','',255,257,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080065,'Curys Kasin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080066,'a giant beetle','','','','',255,208,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080067,'a Haoaeran advancer','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080068,'a Haoaeran lightchanter','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080069,'a granite beetle','','','','',255,2361,60,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080070,'a Stormhammer elite','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080071,'a wooly grazer','','','','',255,2336,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080072,'a wandering essence','','','','',255,273,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080073,'a Kragploom chick','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080074,'a Stormhammer lieutenant','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080075,'a Kragploom hunter','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080076,'a Kragploom screacher','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080077,'a Gul''Thex cutthroat','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080078,'a Gul''Thex revenant','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080079,'a Kragploom scavenger','','','','',255,5940,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080080,'a Gul''Thex savant','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080081,'a Kragploom farseer','','','','',255,5939,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080082,'Zyvkis the Befouler','','','','',255,5940,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080083,'a carnivorous graniteback','','','','',255,6825,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080084,'a Kragploom predator','','','','',255,5940,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080085,'a Gul''Thex pathfinder','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080086,'a Gul''Thex pathfinder','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080087,'a Krulkiel grunt','','','','',255,6889,60,6,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080088,'a Slagslore ettin','','','','',255,167,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080089,'a Krulkiel scout','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080090,'a mountain grazer','','','','',255,2336,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080091,'a Krulkiel mystic','','','','',255,6707,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080092,'a Yarpsnarl exile','','','','',255,6452,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080093,'a Krulkiel carver','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080094,'a Krulkiel basher','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080095,'a Yarpsnarl marauder','','','','',255,6453,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080096,'a Krulkiel sentry','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080097,'Grotbag the Despicable','','','','',255,6451,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080098,'a Kaladim bridgekeeper','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080099,'a Yarpsnarl marauder','','','','',255,6456,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080100,'a Krulkiel tracker','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080101,'a trained scent tracker','','','','',255,1374,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080102,'a Krulkiel sentry','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080103,'an emerald drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080104,'a Kaladim road guard','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080105,'Bridge Captain Sternshanks','','','','',255,2840,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080106,'an Irontoe guard','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080107,'a Yarpsnarl cutthroat','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080108,'a Yarpsnarl reaver','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080109,'a Muckflick mercenary','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080110,'a canyon shriller','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080111,'a Yarpsnarl sacrificer','','','','',255,6448,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080112,'Dror Ironstein','<Historian>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080113,'a mountain shrieker','','','','',255,239,40,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080114,'Garl Copperstroke','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080115,'Defender Shangston','<The Irontoe Brigade>','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080116,'Holdyn Mackendrick','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080117,'Bartleby Blatherback','<Far Seas Trading Company>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080118,'Horon Bronzethumb','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,18,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1080119,'Captain E.L. Irontoe','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080120,'Torin Hammerborn','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080121,'Commander O.C. Irontoe','<The Irontoe Brigade>','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080122,'a frenzied gorger','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080123,'Barrot Gulleyton','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080124,'Defender Stobell','<The Irontoe Brigade>','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080125,'Olag Farguzzle','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080126,'Captain T.B. Irontoe','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080127,'a slain grazer','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080128,'Trader Faison','','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080129,'Ol'' Man Silvers','<Roger Goldie''s 1st Mate>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080130,'Thayvl Ulthonis','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080131,'Tychus Zeksworn','<Harbinger of War>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080132,'Talvrae T''Zyth','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080133,'Geldrani A''Zhi''Tel','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080134,'Ankinil Zo''Ri','','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080135,'Ninoin D''syl','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080136,'Researcher Bredik','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080137,'Granar Brittlesmith','<Freeport Ambassador>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080138,'Sertera Vantra','<Qeynos Ambassador>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080139,'Trapper Coalbear','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080140,'Pacificator Merrek','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080141,'Brulten Hiltstill','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080142,'Trader Whitlock','','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,16,16,0,0,100150,0,0,0,0,0,0,0,0,0,0,0,0),
(1080143,'Gallie Shimmercloud','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080144,'Rell Ver''nief','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080145,'Defender Dunaway','<The Irontoe Brigade>','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080146,'Paix Hormezyar','<Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080147,'Verung Kae''Rush','<The Irontoe Brigade>','','','',2,1481,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080148,'Defender Holdridge','<The Irontoe Brigade>','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080149,'Jonedorn Kilnkor','<Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080150,'Olaf Grogson','<Irontoe Faction Merchant>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,100151,0,0,0,0,0,0,0,0,0,0,0,0),
(1080151,'Grunnin Copperfist','<Skilled Stonemason>','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080152,'a Krulkiel war party','','','','',255,208,60,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080153,'Mortartoe Mine foreman','<The Irontoe Brigade>','','','',2,1477,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080154,'a Mortartoe miner','<The Irontoe Brigade>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080155,'Tlekk Anvilstrike','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080156,'Tarn Boarbristle','<Merchant>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080157,'Werner','','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080158,'Delma Oreseeker','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080159,'Golma Oreseeker','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080160,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080161,'Danak Dhorentath','<Prophet of Fear>','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080162,'a raven','','','','',255,3835,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080163,'Zha Gu''Lau','','','','',12,134,28,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080164,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080165,'an aqua goblin','','','','',0,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080166,'an aqua goblin wizard','','','','',0,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080167,'a longbarb leviathan','','','','',0,219,128,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080168,'an edacious sharpfin','','','','',0,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080169,'an aquagoblin raider','','','','',0,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080170,'a slain siren','','','','',0,180,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080171,'an aqua goblin mystic','','','','',0,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080172,'Aqua Goblin Oracle','','','','',0,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080173,'a sunken sailor','','','','',0,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080174,'Haliphryn','','','','',0,288,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080175,'a deepsea loggerhead','','','','',0,218,73,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080176,'a barbtail ray','','','','',0,219,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080177,'a hungry sawtooth','','','','',0,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080178,'an aqua goblin mystic','','','','',0,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080179,'Harbormaster Ironmend','<Harbormaster>','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080180,'an island basilisk','','','','',0,5862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080181,'a sea slug','','','','',0,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080182,'Dockmaster Waulon','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080183,'a crab','','','','',0,211,32,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080184,'Guard Daarwyn','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080185,'Researcher Kiman','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080186,'Guard Tellik','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080187,'Researcher Eruwun','','','','',0,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080188,'Belinda MacLellan','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080189,'a trained griffin','','','','',0,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080190,'Dockworker Brawley','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080191,'Dannard Cliffcarver','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080192,'Jeker','Exttream''s undead knight','','','',0,8714,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080193,'Cordelia Galeston','<Far Seas Trading Company>','','','',0,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080194,'Raghunatha','<Emissary of Gorowyn>','','','',18,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080195,'Assistant Deldry','','','','',0,1477,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080196,'Philosopher Rhimes','<Deity Historian>','','','',0,134,32,0,1,1,10,9,0,0,0,1,0,0,32,751,751,0,0,100145,0,0,0,0,0,0,0,0,0,0,0,0),
(1080197,'Bimini Bowchaser','<The Far Seas Trading Company>','','','',0,108,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080198,'Trader Darmlin','','','','',0,134,32,0,1,1,10,0,0,0,0,1,0,0,32,451,451,0,0,100145,0,0,0,0,0,0,0,0,0,0,0,0),
(1080199,'Sala Maki','<Adorning Trainer>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080200,'Tyla Maki','<Adorning Merchant>','','','',0,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080201,'An''dil Siriion','','','','',0,136,32,0,1,1,9,0,0,0,0,1,0,0,28,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080202,'Darious Stonemaul','<Broker>','','','',0,1483,32,0,1,1,20,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080203,'Almar Shi''iz','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080204,'Mizzen Staysail','<The Far Seas Trading Company>','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080205,'Dockworker Seeley','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080206,'Dockworker Alesford','','','','',0,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080207,'Griss Brumbaugh','<The Irontoe Brigade>','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080208,'Opus Froth','<The Irontoe Brigade>','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080209,'Dockworker Ogilby','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080210,'Thark Keycairn','<Mender>','','','',0,1484,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1080211,'Hulis Glettlegear','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080212,'Karsh Cogsworth','<Tinkering Trainer>','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080213,'Corianda Cogsworth','<Tinkering Merchant>','','','',0,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080214,'Strongarm Fellhorn','<Banker>','','','',0,110,32,0,1,1,14,9,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080215,'Juna Crankfizz','<Historian>','','','',0,122,25,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080216,'Fishmonger Usharaz','','','','',0,101,32,0,1,1,10,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080217,'Captain Stonnacky','<The Far Seas Trading Company>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080218,'Harbormaster Steelstrike','<Harbormaster>','','','',0,109,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080219,'Tally Topgallant','<The Far Seas Trading Company>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080220,'Dockworker Kelson','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080221,'Guard Banning','<Butcherblock Dock Authority>','','','',0,1484,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080222,'Hessek Thornton','<Butcherblock Dock Authority>','','','',0,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080223,'Schmitty McEricson','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080224,'Pain','Winndie''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080225,'Bully','Retuhsuhnt''s earthen avatar','','','',0,11216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080226,'Cocombre','Cocombre''s canine warder','','','',0,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080227,'a cleft stalker','','','','',0,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080228,'a griffon tamer','','','','',9,18214,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080229,'Civean Il''Pernod','<Prophet of Solusek Ro>','','','',3,1598,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080230,'a tame griffon','','','','',255,225,32,0,1,1,0,0,11191,0,0,1,0,0,40,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080231,'A Thexian Wizard','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080232,'Griffon Defender','','','','',255,7742,16,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080233,'Grassgalor','','','','',255,7323,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080234,'Tyla Maki','<Master Transmuter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080235,'Sala Maki','<Transmuting Trainer>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080236,'Raghunatha','<Emissary of Gorowyn>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080237,'Griss Brumbaugh','<Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080238,'Gherrana Cobbleblork','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080239,'Karsh Cogsworth','<Master Tinkerer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080240,'Corianda Cogsworth','<Tinkering Supplies and Training>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,16,16,0,0,100148,0,0,0,0,0,0,0,0,0,0,0,0),
(1080241,'Yucha','Yucha''s earthen avatar','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080242,'Dingbat','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080243,'Guard Gasden','<Irontoe Brigade>','','','',2,1480,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080244,'Antidote','Antidote''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080245,'Xebeker','Purpleye''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080246,'Genann','Purpleye''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080247,'a Yarpsnarl mystic','','','','',255,6450,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080248,'a Yarpsnarl ravager','','','','',255,6452,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080249,'Farwing','','','','',255,225,41,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080250,'a highland viper','','','','',255,234,56,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080251,'a Yarpsnarl lookout','','','','',255,6455,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080252,'a Kragploom chick','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080253,'a Kragploom chick','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080254,'a dust crawler','','','','',255,5020,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080255,'a Kragploom chick','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080256,'a Kragploom ambusher','','','','',255,5940,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080257,'a Haoaeran assaulter','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080258,'a Yarpsnarl hunter','','','','',255,6450,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080259,'a grizzled slatepaw','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080260,'a Haoaeran emissary','','','','',255,7254,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080261,'a pulsing essence','','','','',255,273,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080262,'Engragion the Weathered','','','','',255,6452,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080263,'a dust crawler','','','','',255,5020,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080264,'Erochi Ku''ervs','<Griffon Trainer>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080265,'a sedimentary colossus','','','','',255,154,48,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080266,'an insatiable matriarch','','','','',255,6289,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080267,'a Gul''Thex sentinel','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080268,'a Yarpsnarl hunter','','','','',255,6456,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080269,'a Yarpsnarl hunter','','','','',255,6453,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080270,'a carnivorous graniteback','','','','',255,6825,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080271,'The Krulkiel Champion','','','','',255,6931,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080272,'a stone beetle','','','','',255,208,63,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080273,'a granite beetle','','','','',255,208,38,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080274,'Trozusk Ripscar','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080275,'Eneek Rialb','','','','',13,68,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080276,'Bronlor Stormhammer','<Conservator of the Underfoot>','','','',2,1484,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080277,'Mender Horon Bronzethumb','<Smith>','','','',2,110,32,0,1,1,12,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080278,'an Irontoe Bridgekeeper','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080279,'a shambled rumbler','','','','',255,6540,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080280,'an Irontoe runner','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080281,'Grimshaw Packwright','<Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080282,'Byron','','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080283,'Triana','','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080284,'Bofim Axeshadow','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080285,'Grot Leadarm','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080286,'Guard Townsend','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080287,'Guard Tamarak','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080288,'Broddock Stout','<Old Bog Mountain Unit>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080289,'Maertha Pulzer','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080290,'Guard Araby','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080291,'Gloln Kilnkor','<Irontoe Brigade Strategist>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080292,'Guard Brockton','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080293,'a metamorphic animation','','','','',255,6284,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080294,'an Irontoe lumberjack','<The Irontoe Brigade>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080295,'Wyrwynne Shadhe','','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080296,'a quarry abomination','','','','',255,152,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080297,'a Shadesire defender','','','','',255,6291,64,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080298,'an emerald drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080299,'a Shadesire handler','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080300,'a Shadesire vanquisher','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080301,'Jobab','Nuhem''s igneous adept','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080302,'a highland viper','','','','',255,234,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080303,'Sparky','Khor''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080304,'Marinette''s swarm of rats','','','','',255,196,21,8,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080305,'Mainyu','Marinette''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080306,'an unbound construct','','','','',255,152,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080307,'Helper Tjek','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080308,'Hamish Felderham','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080309,'a thirsty hatchling','','','','',255,6289,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080310,'an elder graniteback','','','','',255,6825,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080311,'a yarpsnarl yapper','','','','',255,6453,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080312,'The Great Galabo','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080313,'an ash spinner','','','','',255,5020,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080314,'Chypp','','','','',255,196,9,0,1,1,9,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080315,'a Yarpsnarl sapper','','','','',255,6453,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080316,'a Yarpsnarl sapper','','','','',255,6448,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080317,'a Yarpsnarl sapper','','','','',255,6456,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080318,'a thirsting swooper','','','','',255,6289,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080319,'Trinny Sweetdough','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080320,'a summoned goliath','','','','',255,152,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080321,'a Yarpsnarl outrider','','','','',255,6452,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080322,'an undead pawn','','','','',9,6729,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080323,'a crawler hatchling','','','','',255,5020,25,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080324,'Irontoe Foreman','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080325,'Feagon Jornstoff','<Apprentice Geomancer>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080326,'a Yarpsnarl sentry','','','','',255,6455,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080327,'a Yarpsnarl champion','','','','',255,6452,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080328,'Irontoe Forewoman','<The Irontoe Brigade>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080329,'a Shadesire watcher','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080330,'a Muckflick flogger','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080331,'a Muckflick runner','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080332,'a Muckflick shocker','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080333,'a Muckflick tender','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080334,'a young slatepaw','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080335,'a Yarpsnarl scavenger','','','','',255,6453,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080336,'a Krulkiel sentry','','','','',255,6707,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080337,'a captured grazer','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080338,'a Kragploom guardian','','','','',255,5940,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080339,'a Kragploom emissary','','','','',255,5940,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080340,'a basilisk hatchling','','','','',255,5862,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080341,'a Yarpsnarl scamp','','','','',255,6454,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080342,'a protective basilisk','','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080343,'a Kragploom hoodwink','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080344,'a Kragploom enigmatist','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080345,'Bible','Nadonen''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080346,'a Kragploom raptor','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080347,'an aqua goblin runt','','','','',255,1346,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080348,'a Thexian berserker','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080349,'a Kragploom sentry','','','','',255,5940,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080350,'a Voice on the Wind','','','','',255,156,32,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080351,'a Tidesylph lamentor','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080352,'a Kragploom spiritseer','','','','',255,5940,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080353,'a Tidesylph temptress','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080354,'a sea slug hatchling','','','','',255,252,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080355,'a young anemone','','','','',255,6256,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080356,'a small crab','','','','',255,211,25,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080357,'a Tidesylph idolator','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080358,'a Thexian warlock','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080359,'an aquagoblin raider','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080360,'a Thexian operative','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080361,'a deepsea marlin','','','','',255,241,112,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080362,'a longbarb leviathan','','','','',255,219,128,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080363,'an edacious sharpfin','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080364,'Aqua Goblin Oracle','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080365,'a slain siren','','','','',255,180,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080366,'a sunken sailor','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080367,'a sunken sailor','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080368,'Jasn','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080369,'Jarer','Meeck''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080370,'a Thexian operative','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080371,'Zeke','Frug''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080372,'a Yarpsnarl ravager','','','','',255,6454,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080373,'The Undead Knight','','','','',9,6728,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080374,'a Muckflick runner','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080375,'a summoned construct','','','','',255,154,25,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080376,'Argro Durthor','<Irontoe Brigade Recruit>','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080377,'a canyon shriller','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080378,'a slatepaw cub','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080379,'a slatepaw cub','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080380,'a slatepaw growler','','','','',255,198,80,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080381,'Hearkittykitty','Velkik''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080382,'a thrashwing thirster','','','','',255,6289,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080383,'a Yarpsnarl whelp','','','','',255,6453,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080384,'Guard Stopefill','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080385,'Guard Gritstone','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080386,'Limm A''Veh''Srai','<Guardian>','','','',255,6487,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080387,'a menacing dust crawler','','','','',255,5020,96,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080388,'Xalinii Za''Drel''Na','<Guardian>','','','',255,6486,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080389,'an aquagoblin raider','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080390,'Haliphryn','','','','',255,288,44,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080391,'a sunken sailor','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080392,'a slain aquagoblin','','','','',255,1346,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080393,'Clone','Tighta''s Personae Split','','','',9,136,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080394,'Lartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080395,'Konarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080396,'Gonaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080397,'Kabn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080398,'Gobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080399,'a Tidesylph ritualist','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080400,'Kebeker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080401,'Gasarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080402,'Kobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080403,'Zonn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080404,'Xonaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080405,'Labarab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080406,'a Tidesylph fouler','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080407,'a Tidesylph shriller','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080408,'Gebobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080409,'Kaber','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080410,'Gebekab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080411,'a Tidesylph sentinel','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080412,'Grayfire','','','','',255,6831,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080413,'Sir Trodonis','<The Lucanic Knights>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080414,'Nekromel','Nekromel''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080415,'an aquagoblin raider','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080416,'Lantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080417,'Lener','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080418,'Gosaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080419,'Kartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080420,'Jaber','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080421,'Leker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080422,'a mature emerald drake','','','','',255,238,38,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080423,'a Yarpsnarl alpha','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080424,'a Yarpsnarl alpha','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080425,'a Yarpsnarl lookout','','','','',255,6456,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080426,'a Yarpsnarl outrider','','','','',255,6450,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080427,'Noob','Erragon''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080428,'a Yarpsnarl brute','','','','',255,6452,56,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080429,'a large slatepaw','','','','',255,198,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080430,'a Muckflick runner','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080431,'a Yarpsnarl scamp','','','','',255,6455,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080432,'a Yarpsnarl scamp','','','','',255,6448,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080433,'Filthyboy','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080434,'Stinker','Piagoix''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080435,'Peasandgreavy','Michan''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080436,'Scoobie','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080437,'Nertath','Nertath''s Personae Duplicate','','','',9,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080438,'Jonartik','Nenie''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080439,'Tommy','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080440,'Jonarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080441,'Gebeker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080442,'Jararab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080443,'Kabekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080444,'Lonekab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080445,'Gartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080446,'Gonarab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080447,'Lenekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080448,'Vonarab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080449,'Kosantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080450,'Labaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080451,'Vararn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080452,'Jobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080453,'Buster','Zimmie''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080454,'Peasandgreavy','Michan''s grim thulian','','','',255,2901,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080455,'Zonartik','Buskub''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080456,'Xobartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080457,'Kenartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080458,'Jenantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080459,'Xenobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080460,'Zosann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080461,'Jartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080462,'Janer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080463,'Joner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080464,'Koser','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080465,'Jabantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080466,'Zekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080467,'Lentik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080468,'Libobab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080469,'Zobantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080470,'Jarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080471,'a Tidesylph sentinel','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080472,'Voner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080473,'Zenekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080474,'Jasn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080475,'Jonekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080476,'Janab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080477,'Gebaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080478,'Zobobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080479,'Gobarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080480,'Kasab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080481,'Kobann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080482,'Jasarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080483,'a Tidesylph sentinel','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080484,'Georgedoors','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080485,'Slugb','Kornball''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080486,'Gobekab','Buskub''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080487,'Vosarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080488,'Vasarab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080489,'Xonann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080490,'Gosartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080491,'Kekab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080492,'Lober','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080493,'Genaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080494,'Gabarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080495,'Xobann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080496,'Kobobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080497,'Kenantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080498,'Goseker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080499,'Xaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080500,'Jobekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080501,'Wolf','Dragonwolf''s tellurian myrmidon','','','',255,152,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080502,'Jibekab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080503,'Vontik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080504,'Zartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080505,'Jentik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080506,'Gabaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080507,'Gabarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080508,'Xonartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080509,'Kebann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080510,'Xobarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080511,'Gabeker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080512,'Zasab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080513,'Kabantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080514,'Jantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080515,'Vibartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080516,'Xosobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080517,'Larab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080518,'Jebarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080519,'Kabaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080520,'Zonann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080521,'Lebantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080522,'Zonaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080523,'Kosab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080524,'Gener','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080525,'Kober','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080526,'Xoseker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080527,'Libantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080528,'Karaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080529,'Koner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080530,'Vobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080531,'Vobober','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080532,'Xasekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080533,'Jabekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080534,'Venekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080535,'Gonekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080536,'Kibn','Askalilo''s familiar','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080537,'Gibobtik','Askalilo''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080538,'Gann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080539,'Labann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080540,'Xosab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080541,'Gabobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080542,'Loneker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080543,'Gabartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080544,'Kobab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080545,'Goneker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080546,'Labarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080547,'Kibab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080548,'Lostik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080549,'Karn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080550,'a Gul''Thex pathfinder','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080551,'Jabarn','Skelator''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080552,'Larann','Ufia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080553,'a Thexian operative','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080554,'Zebeker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080555,'Xasarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080556,'Losarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080557,'Lobann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080558,'Jibarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080559,'Jasarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080560,'Jasartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080561,'Xoner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080562,'Zabaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080563,'Zararer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080564,'Loser','grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080565,'Venanab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080566,'Xaser','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080567,'Kebarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080568,'Gonober','Phynodderree''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080569,'Ahaziah','Inferius''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080570,'Kebab','Duncker''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080571,'Apetoodeetoo','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080572,'Ionic','Ionic''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080573,'Xareker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080574,'Zober','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080575,'Jabaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080576,'Jibtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080577,'Zibekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080578,'Gosekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080579,'Ganer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080580,'Josekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080581,'Kabanab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080582,'Vonantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080583,'Gibekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080584,'Keker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080585,'Vasarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080586,'Zabn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080587,'Tjuvnyp','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080588,'Tilinpaatos','Chalmo''s rotting thrall','','','',255,4672,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080589,'Zabartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080590,'Jabobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080591,'Kasarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080592,'Kebantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080593,'Xarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080594,'Vebarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080595,'Vabeker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080596,'Roflmao','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080597,'Gibober','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080598,'Jebarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080599,'Zosantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080600,'Kabarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080601,'Xonekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080602,'Kibann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080603,'Zarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080604,'Zonantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080605,'Jibaner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080606,'Kosarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080607,'Koneker','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080608,'Zarantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080609,'Sohareth','','','','',255,6284,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080610,'Lucretia','Jeed''s Personae Shift','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080611,'Diamond','Amethystic''s Personae Reflection','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080612,'a Yarpsnarl whelp','','','','',255,6449,28,0,1,1,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080613,'Lillepeteredderkop','Mazarchi''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080614,'a slatepaw','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080615,'Bigfunbookofspells','Valoronus''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080616,'a Yarpsnarl scavenger','','','','',255,6455,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080617,'a Yarpsnarl scavenger','','','','',255,6449,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080618,'Xvithith Gik','','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080619,'Feagon Jornstoff','<Apprentice Geomancer>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080620,'Feagon Jornstoff''s aqueous stalker','','','','',255,2394,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080621,'Ventik','Rymunin''s companion','','','',255,260,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080622,'Relgineld Macurry','<Steward of the Kulsburin>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080623,'Vosober','Tuliza''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080624,'Bubbles','Kithica''s Personae Split','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080625,'Janice','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080626,'Fido','Rottenthinx''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080627,'Mazarchi''s swarm of rats','','','','',255,196,17,1,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080628,'a Krulkiel looter','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080629,'a Krulkiel marauder','','','','',255,6931,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080630,'a Krulkiel archer','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080631,'Killer','Avene''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080632,'Xabn','Nightchade''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080633,'Star','Star''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080634,'an elven skeleton','','','','',9,4543,32,0,1,1,11,0,491,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080635,'an Irontoe Captain','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080636,'Overseer Torvik','','','','',255,6931,73,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080637,'Bitey','Actoba''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080638,'Konobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080639,'Gararn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080640,'Gonartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080641,'Lobarn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080642,'Gibarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080643,'Lobober','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080644,'Jobarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080645,'Kabekab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080646,'Zaraner','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080647,'Larobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080648,'Gonann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080649,'Zabobtik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080650,'Varekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080651,'Gebektik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080652,'Bahat','','','','',255,6284,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080653,'a tormented growth','','','','',255,3707,160,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080654,'a tormented growth','','','','',255,3707,160,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080655,'Dar','','','','',255,6284,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080656,'Vovven','Regor''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080657,'Aquarius','Zodiak''s Personae Split','','','',9,6489,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080658,'Wolfmaster Dulkyr','','','','',255,6931,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080659,'a war wolf','','','','',255,1374,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080660,'a war wolf','','','','',255,1374,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080661,'a Kurkiel tracker','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080662,'Warlord Ozobrek','','','','',255,6931,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080663,'a Yarpsnarl elite','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080664,'Koneker','Buskub''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080665,'Fido','Frostburn''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080666,'Xobaner','Tazumi''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080667,'Gingerbreadman','Lagunilla''s tellurian soldier','','','',255,162,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080668,'Lagunilla''s aqueous stalker','','','','',255,2394,30,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080669,'Hansel','Derelicte''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080670,'Xebekn','Lolyna''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080671,'Kobekab','Edelia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080672,'Necronomore','Necronomore''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080673,'Babau','Deathkiss''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080674,'Uermel','Kiroyal''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080675,'Kabantik','Tydell''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080676,'Ganer','Sabot''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080677,'Kasobtik','Dharken''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080678,'Xentik','Barnney''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080679,'Manbearpig','Dierin''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080680,'Wackojacko','Eskea''s grim sorceror','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080681,'Gasarer','Barnney''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080682,'Jonarer','Amoshia''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080683,'Luipy','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080684,'Bizzel','Nymbus''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080685,'Jener','Moonix''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080686,'Rocky','Magania''s tellurian soldier','','','',255,162,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080687,'Kabaner','Stige''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080688,'Xibn','Janara''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080689,'Vener','Kotwarlock''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080690,'Wolf','Dragonwolf''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080691,'Philip','Morris''s Personae Reflection','','','',9,121,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080692,'Carborundum','Morganos''s tellurian myrmidon','','','',255,152,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080693,'Buba','Hytam''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080694,'Sparkly','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080695,'Jenartik','Dreamsilencer''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080696,'Zenober','Janara''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080697,'Kenann','Elbane''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080698,'Venekn','Dreamsilencer''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080699,'Jabarer','Laceration''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080700,'The Undead Bishop','','','','',9,6726,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080701,'a Yarpsnarl whelp','','','','',255,6455,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080702,'Sorrow','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080703,'Coffin','Crypt''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080704,'Jonarer','Tazumi''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080705,'Gaseker','Glormund''s tellurian follower','','','',255,258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080706,'Tank','Sceptic''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080707,'Yours','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080708,'Jebaner','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080709,'Lumihaamu','Lumivasara''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080710,'Fattymcmoobiepants','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080711,'a highland crawler','','','','',255,5020,15,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080712,'Niamooh','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080713,'Violen','Violena''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080714,'Kalten','Sepherenia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080715,'Kalten','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080716,'Karaner','Tydell''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080717,'Prator','Lesther''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080718,'Pillar','Cata''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080719,'Nibbler','Twitcher''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080720,'Jenn','Sanara''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080721,'Sharie','Miriana''s Personae Split','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080722,'Herbert','Tamba''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080723,'Gabarer','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080724,'Xantik','Dreamsilencer''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080725,'Kvak','Kvaaak''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080726,'Libekn','Stige''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080727,'Diavoli','Sanara''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080728,'Donkeyboy','Caasi''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080729,'Donkeyboy','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080730,'Fluffy','Moko''s dreadnought','','','',255,4545,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080731,'Geker','Magicwhisper''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080732,'Noodles','Shylindria''s Personae Shift','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080733,'Vaser','Duggy''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080734,'Spidey','Paiyne''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080735,'Gobtik','Blizard''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080736,'Zontik','Turb''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080737,'Lebtik','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080738,'Xris','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080739,'Bupack','Bupack''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080740,'Karobn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080741,'Karer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080742,'Jobann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080743,'Zonartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080744,'Larer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080745,'Gararer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080746,'Jobantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080747,'Jann','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080748,'Kasekab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080749,'Zenarer','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080750,'Gabab','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080751,'Kasartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080752,'Jekn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080753,'Kantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080754,'Lobartik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080755,'Jibantik','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080756,'Kenn','A Tidesylph ritualist''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080757,'Amidala','Amaya''s Personae Split','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080758,'Genn','Duggy''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080759,'Porchmonkey','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080760,'Rhumsaa','Rhumsaa''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080761,'Katie','Babybumb''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080762,'Sargoth','Yamitik''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080763,'Gosarn','Zadoc''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080764,'a Yarpsnarl champion','','','','',255,6455,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080765,'The Undead King','','','','',9,6727,80,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080766,'Xosantik','Zadoc''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080767,'Kabantik','Madec''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080768,'Scorchio','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080769,'Woowoo','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080770,'Jabarer','Holler''s tellurian soldier','','','',255,162,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080771,'Lilai','Lilai''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080772,'Harvo','Harvo''s tellurian avenger','','','',255,2413,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080773,'Xebeker','Denny''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080774,'Xarn','Cuben''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080775,'Tribie','Amfis''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080776,'Tribie','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080777,'Tribie','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080778,'Xonab','Desiree''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080779,'Twitcher''s Spiritual Circle','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080780,'Varekab','Desiree''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080781,'Jobann','Desiree''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080782,'Gekn','Desiree''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080783,'Jener','Cuben''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080784,'Vabantik','Desiree''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080785,'Vasantik','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080786,'Vabarn','Digging''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080787,'a Yarpsnarl outrider','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080788,'a Krulkiel raider','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080789,'an elite Krulkiel raider','','','','',255,6889,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080790,'a Krulkiel medic','','','','',255,6707,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080791,'Ookaamee''s Ring of Fire','','','','',255,4500,112,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080792,'Warlord Enregak','','','','',255,6931,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080793,'Spiderman','Eviel''s servant','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080794,'Zekn','Desiree''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080795,'Spiderman','Eviel''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080796,'Eviel''s swarm of rats','','','','',255,196,20,5,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080797,'Clot','','','','',255,6289,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080798,'',NULL,'','','',0,49,32,0,1,1,89,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080799,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080800,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080801,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080802,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080803,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080804,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080805,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080806,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080807,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080808,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080809,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080810,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080811,'qst_ct_treasure_place_brodor',NULL,'','','',0,49,32,0,1,1,164,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080812,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080813,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080814,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080815,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080816,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080817,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080818,'qst_ct_treasure_place_orram',NULL,'','','',0,49,32,0,1,1,164,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080819,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080820,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080821,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080822,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080823,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080824,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080825,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080826,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080827,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080828,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080829,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080830,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080831,'qst_ct_treasure_place_jerym',NULL,'','','',0,49,32,0,1,1,164,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080832,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080833,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080834,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080835,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080836,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080837,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080838,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080839,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080840,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,740,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080841,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080842,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,650,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080843,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080844,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,978,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080845,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080846,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,673,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080847,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080848,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080849,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,978,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080850,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080851,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080852,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080853,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080854,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080855,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080856,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080857,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080858,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080859,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080860,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080861,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080862,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080863,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080864,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080865,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080866,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080867,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080868,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080869,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080870,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080871,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080872,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080873,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080874,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080875,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,568,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080876,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,1536,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080877,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080878,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080879,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,650,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080880,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,909,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080881,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,740,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080882,'',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,1536,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080883,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080884,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080885,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080886,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080887,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080888,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080889,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080890,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,399,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080891,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080892,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080893,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080894,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080895,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080896,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080897,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080898,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080899,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080900,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080901,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080902,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080903,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080904,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080905,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080906,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080907,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080908,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080909,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080910,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080911,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080912,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080913,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080914,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080915,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080916,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080917,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080918,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080919,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080920,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080921,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080922,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080923,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080924,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080925,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,1536,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080926,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,1536,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080927,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,650,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080928,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,740,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080929,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,568,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080930,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080931,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,650,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080932,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080933,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1175,0,0,0,0,0,0,0,740,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080934,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080935,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080936,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080937,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080938,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080939,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080940,'gravedirt01',NULL,'','','',0,2916,31,0,1,1,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080942,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080943,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080944,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080945,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080946,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080947,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080948,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080949,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080950,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080951,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080952,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080953,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080954,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080955,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080956,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080957,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080958,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080959,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080960,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080961,'grey_tent_small01',NULL,'','','',0,2817,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080962,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080963,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080964,'weaponrack01',NULL,'','','',0,4455,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080965,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080966,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080968,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080969,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080971,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080972,'solusek ro brazier',NULL,'','','',0,1619,48,0,1,1,149,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080973,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080974,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080975,'human_skull_pile',NULL,'','','',0,4138,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080976,'Battle of Wits Cup',NULL,'','','',0,3361,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080977,'card_table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080978,'qst_spiroc_totem',NULL,'','','',0,4462,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080979,'weaponrack03',NULL,'','','',0,4651,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080980,'qst_scp_crawler_rock',NULL,'','','',0,3957,18,0,1,1,165,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080981,'qst_scp_dead_dwarf',NULL,'','','',0,110,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080982,'sign_post',NULL,'','','',0,19,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080983,'gravestone11',NULL,'','','',0,5791,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080984,'rallos zek altar',NULL,'','','',0,6881,37,0,1,1,34,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080985,'Quellious Altar',NULL,'','','',0,6876,32,0,1,1,34,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080986,'iksar skull 02',NULL,'','','',0,2997,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080987,'iksar skull 01',NULL,'','','',0,2996,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080988,'altar of cazic-thule',NULL,'','','',0,6869,32,0,1,1,34,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080989,'qey_boulder02',NULL,'','','',0,1725,64,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080990,'nektulos_small_red',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080991,'quest_brell_totem',NULL,'','','',0,6814,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080992,'quest_brell_altar',NULL,'','','',0,6864,32,0,1,1,1174,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080993,'solusek ro altar',NULL,'','','',0,6884,32,0,1,1,34,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080994,'argro_mug',NULL,'','','',0,3378,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080995,'argro_box',NULL,'','','',0,6697,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080996,'argro_backpack',NULL,'','','',0,4186,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080997,'Ilphdorl Z''Aleanana',NULL,'','','',255,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080998,'grey_tent_small01',NULL,'','','',0,6687,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1080999,'qst_feather_trail_01',NULL,'','','',0,7658,32,0,1,1,0,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081000,'qst_feather_trail_02',NULL,'','','',0,7658,32,0,1,1,0,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081001,'(unnamed)',NULL,'','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081002,'qst_talvraes_bowl',NULL,'','','',0,6709,32,0,1,1,37,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081003,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1081004,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1081005,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081006,'Mail Kiosk',NULL,'','','',0,6862,32,0,1,1,29,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081007,'sign_recipe_book',NULL,'','','',0,3323,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081008,'butcherblock_zone_to_halls_of_the_unseen',NULL,'','','',0,2569,64,0,1,1,90,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081009,'sign_to_kaladim',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081010,'sign_to_butcherblock_docks',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081011,'sign_to_kamp_krulkiel',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081012,'To Kaladim',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,432,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081013,'sign_arms_house',NULL,'','','',0,6700,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081014,'box_of_gempacks',NULL,'','','',0,6697,32,0,1,1,190,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081015,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,1,1,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081016,'quest_highpebble_tome',NULL,'','','',0,3030,32,0,1,1,704,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081017,'quest_jonedorn_box',NULL,'','','',0,3146,32,0,1,1,1108,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081018,'sign_to_lesser_faydark',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081019,'sign_to_the_quarry',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081020,'chypps door',NULL,'','','',0,1857,4,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081021,'quest_gloln_fence',NULL,'','','',0,4717,32,0,1,1,1176,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081022,'quest_felderham_journal',NULL,'','','',0,3323,22,0,1,1,1177,0,1910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081023,'sign_to_east_fort_irontoe',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081024,'sign_to_greater_faydark',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081025,'sign_to_unrest',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081026,'quest_gloln_barrels',NULL,'','','',0,2870,32,0,1,1,1218,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081027,'quest_gloln_crate2',NULL,'','','',0,3148,32,0,1,1,1219,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081028,'quest_gloln_crate',NULL,'','','',0,6471,32,0,1,1,1219,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081029,'portal_to_greater_fay',NULL,'','','',0,2306,48,0,1,1,1220,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081030,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081031,'plethora of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081032,'crystalline formation',NULL,'','','',0,6894,57,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081033,'axe-felled lumber',NULL,'','','',0,6899,79,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081034,'mountainous ore',NULL,'','','',0,6902,53,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081035,'exposed roots',NULL,'','','',0,6906,52,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081036,'highland shrub',NULL,'','','',0,4075,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081037,'varmint den',NULL,'','','',0,6897,88,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081038,'dwarven backpack',NULL,'','','',0,4186,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081039,'axe-felled lumber',NULL,'','','',0,6900,81,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081040,'brellian ore',NULL,'','','',0,6903,87,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081041,'exposed roots',NULL,'','','',0,1731,37,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081042,'mineral-rich ore',NULL,'','','',0,6518,3,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081043,'a pile of excavated objects',NULL,'','','',0,2916,28,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081044,'a patch of pure soil',NULL,'','','',0,2916,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081045,'a shimmering shard',NULL,'','','',0,1910,24,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081046,'a stirge egg',NULL,'','','',0,3419,27,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081047,'a supply crate',NULL,'','','',0,6697,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081048,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081049,'a trained griffin','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081050,'a sea slug','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081051,'Dockmaster Waulon','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081052,'Sala Maki','<Adorning Trainer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081053,'An''dil Siriion','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081054,'Dockworker Brawley','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081055,'Dannard Cliffcarver','','','','',2,1481,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081056,'Almar Shi''iz','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081057,'Mizzen Staysail','<The Far Seas Trading Company>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081058,'Dockworker Seeley','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081059,'Dockworker Alesford','','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081060,'a crab','','','','',255,211,32,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081061,'Cordelia Galeston','<Far Seas Trading Company>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081062,'Raghunatha','<Emissary of Gorowyn>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081063,'a deepsea loggerhead','','','','',255,218,73,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081064,'Harbormaster Ironmend','<Harbormaster>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081065,'Opus Froth','<The Irontoe Brigade>','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081066,'a wandering anemone','','','','',255,6256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081067,'Dockworker Ogilby','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081068,'a barbtail ray','','','','',255,219,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081069,'Guard Gasden','<Butcherblock Dock Authority>','','','',2,1480,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081070,'Guard Banning','<Butcherblock Dock Authority>','','','',2,1484,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081071,'Hessek Thornton','<Butcherblock Dock Authority>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081072,'Philosopher Rhimes','<Deity Historian>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081073,'Bimini Bowchaser','<The Far Seas Trading Company>','','','',7,108,32,0,1,1,9,0,11500,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081074,'Trader Darmlin','','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081075,'Griss Brumbaugh','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081076,'Thark Keycairn','<Mender>','','','',2,1484,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1081077,'Captain Stonnacky','<The Far Seas Trading Company>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081078,'Harbormaster Steelstrike','<Harbormaster>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081079,'Dockworker Kelson','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081080,'Karsh Cogsworth','<Tinkering Trainer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081081,'Corianda Cogsworth','<Tinkering Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081082,'Strongarm Fellhorn','<Banker>','','','',2,110,32,0,1,1,14,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081083,'Fishmonger Usharaz','','','','',11,101,32,0,1,1,10,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081084,'Storm Breaker','','','','',0,2557,42,0,0,0,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081085,'Tally Topgallant','<The Far Seas Trading Company>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081086,'Schmitty McEricson','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081087,'Journey''s End','','','','',0,2557,32,0,0,0,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081088,'an aqua goblin','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081089,'an aqua goblin mystic','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081090,'a cleft stalker','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081091,'a coastal basilisk','','','','',255,5862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081092,'a rustfiend','','','','',255,235,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081093,'an anemone','','','','',255,6256,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081094,'a terratrodder','','','','',255,215,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081095,'a seahawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081096,'a ridge wriggler','','','','',255,257,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081097,'Curys Kasin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081098,'a Haoaeran advancer','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081099,'a Haoaeran lightchanter','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081100,'a wandering essence','','','','',255,273,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081101,'a Kragploom chick','','','','',255,5940,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081102,'a Yarpsnarl cutthroat','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081103,'a Yarpsnarl reaver','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081104,'a Yarpsnarl sacrificer','','','','',255,6448,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081105,'Trader Faison','','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081106,'Tychus Zeksworn','<Harbinger of War>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081107,'Talvrae T''Zyth','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081108,'Geldrani A''Zhi''Tel','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081109,'Ninoin D''syl','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081110,'Granar Brittlesmith','<Freeport Ambassador>','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081111,'Sertera Vantra','<Qeynos Ambassador>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081112,'Trapper Coalbear','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081113,'Pacificator Merrek','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081114,'Brulten Hiltstill','','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081115,'Trader Whitlock','','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081116,'a Mortartoe miner','<The Irontoe Brigade>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081117,'Danak Dhorentath','<Prophet of Fear>','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081118,'a raven','','','','',255,3835,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081119,'Civean Il''Pernod','<Prophet of Solusek Ro>','','','',3,1606,35,0,1,1,9,0,0,0,0,1,0,0,34,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081120,'Gherrana Cobbleblork','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081121,'a Yarpsnarl mystic','','','','',255,6450,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081122,'a Yarpsnarl ravager','','','','',255,6452,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081123,'Farwing','','','','',255,225,41,0,1,1,0,0,11191,0,0,1,0,0,40,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081124,'a Yarpsnarl lookout','','','','',255,6455,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081125,'a Haoaeran emissary','','','','',255,7254,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081126,'a pulsing essence','','','','',255,273,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081127,'Engragion the Weathered','','','','',255,6452,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081128,'a sedimentary colossus','','','','',255,154,48,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081129,'Trozusk Ripscar','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081130,'Eneek Rialb','','','','',13,68,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081131,'Bronlor Stormhammer','<Conservator of the Underfoot>','','','',2,1481,32,0,1,1,9,0,0,0,0,1,0,0,18,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081132,'a metamorphic animation','','','','',255,6284,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081133,'an unbound construct','','','','',255,152,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081134,'Helper Tjek','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081135,'Hamish Felderham','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081136,'a thirsty hatchling','','','','',255,6289,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081137,'an elder graniteback','','','','',255,6825,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081138,'a yarpsnarl yapper','','','','',255,6453,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081139,'The Great Galabo','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081140,'Chypp','','','','',255,196,9,0,1,1,9,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081141,'a Yarpsnarl sapper','','','','',255,6453,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081142,'a Yarpsnarl sapper','','','','',255,6448,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081143,'a Yarpsnarl sapper','','','','',255,6456,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081144,'Trinny Sweetdough','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081145,'a Yarpsnarl outrider','','','','',255,6452,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081146,'a Yarpsnarl ravager','','','','',255,6454,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081147,'Argro Durthor','<Irontoe Brigade Recruit>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081148,'a Yarpsnarl whelp','','','','',255,6453,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081149,'a mature emerald drake','','','','',255,238,38,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081150,'a Yarpsnarl lookout','','','','',255,6456,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081151,'a Yarpsnarl whelp','','','','',255,6449,28,0,1,0,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081152,'a slatepaw','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081153,'a Yarpsnarl elite','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081154,'a Yarpsnarl whelp','','','','',255,6455,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081155,'a Yarpsnarl outrider','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081156,'Clot','','','','',255,6289,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081157,'an ironbelly rabbit','','','','',255,23709,32,0,0,0,1261,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081159,'a fae tailor','','','','',16,6489,32,0,1,1,9,0,13039,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081160,'Bellenda Drunkdrinker','<Bartender>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,100144,0,0,0,0,0,0,0,0,0,0,0,0),
(1081161,'Barnaby Blunderbuss','<Master of Coins and Contraptions>','','','',5,121,28,0,1,1,10,0,0,0,0,1,0,0,16,451,451,0,0,100149,0,0,0,0,0,0,0,0,0,0,0,0),
(1081162,'Juna Crankfizz','<Historian / Merchant>','','','',5,122,25,0,1,1,10,0,0,0,0,1,0,0,16,301,301,0,0,100147,0,0,0,0,0,0,0,0,0,0,0,0),
(1081163,'a dwarven excavator','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081164,'Ellerith Groundspark','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081165,'Saldas Rubbleground','<Irontoe Heritage Foundation>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081166,'Guard Hummock','<The Irontoe Brigade>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081167,'Anorthositus','','','','',255,154,64,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081168,'Acton Cogwidget','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081169,'Churlchorl the Odious','','','','',255,6451,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081170,'a Yarpsnarl elite','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081171,'',NULL,'','','',0,49,32,0,0,0,89,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081172,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081173,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081174,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081175,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081176,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081177,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081178,'',NULL,'','','',0,49,32,0,0,0,1175,0,0,0,0,0,0,0,650,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081179,'',NULL,'','','',0,49,32,0,0,0,1175,0,0,0,0,0,0,0,909,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081180,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081181,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081182,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081183,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081184,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081185,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081186,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081187,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,399,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081188,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081189,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081190,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081191,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081192,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081193,'wyrwynne_x2_stump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,508,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081194,'turtle_shell',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081195,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081196,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081197,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081198,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081199,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081200,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081201,'solusek ro brazier',NULL,'','','',0,1619,48,0,0,0,149,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081202,'human_skull_pile',NULL,'','','',0,4138,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081203,'Battle of Wits Cup',NULL,'','','',0,3361,32,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081204,'card_table',NULL,'','','',0,2040,32,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081205,'qst_spiroc_totem',NULL,'','','',0,4462,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081206,'sign_post',NULL,'','','',0,19,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081207,'rallos zek altar',NULL,'','','',0,6881,37,0,0,0,34,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081208,'Quellious Altar',NULL,'','','',0,6876,32,0,0,0,34,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081209,'iksar skull 02',NULL,'','','',0,2997,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081210,'iksar skull 01',NULL,'','','',0,2996,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081211,'altar of cazic-thule',NULL,'','','',0,6869,32,0,0,0,34,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081212,'quest_brell_totem',NULL,'','','',0,6814,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081213,'quest_brell_altar',NULL,'','','',0,6864,32,0,0,0,1174,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081214,'solusek ro altar',NULL,'','','',0,6884,32,0,0,0,34,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081215,'argro_mug',NULL,'','','',0,3378,32,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081216,'argro_backpack',NULL,'','','',0,4186,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081217,'Fabled Dungeon Zone Teleporter Crushbone Support 1',NULL,'','','',0,16707,31,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081218,'Fabled Dungeon Zone Teleporter Clockwork Support',NULL,'','','',0,10574,40,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081219,'Excavator Toolbox',NULL,'','','',0,5894,19,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081220,'ancient bones',NULL,'','','',0,2430,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081221,'ancient leaper bones',NULL,'','','',0,5899,12,0,0,0,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081222,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081223,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,0,80,0,144,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081224,'Mail Kiosk',NULL,'','','',0,6862,32,0,0,0,29,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081225,'sign_recipe_book',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081226,'butcherblock_zone_to_halls_of_the_unseen',NULL,'','','',0,2569,64,0,0,0,90,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081227,'sign_to_butcherblock_docks',NULL,'','','',0,20,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081228,'sign_to_lesser_faydark',NULL,'','','',0,20,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081229,'sign_to_the_quarry',NULL,'','','',0,20,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081230,'chypps door',NULL,'','','',0,1857,4,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081231,'sign_to_unrest',NULL,'','','',0,20,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081232,'Zone to Fabled Dungeons',NULL,'','','',0,25252,20,0,0,0,41,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081233,'sign_to_greater_faydark',NULL,'','','',0,20,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081234,'zone_to_estate_of_unrest',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,435,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081235,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081236,'plethora of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081237,'crystalline formation',NULL,'','','',0,6894,57,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081238,'axe-felled lumber',NULL,'','','',0,6899,79,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081239,'mountainous ore',NULL,'','','',0,6902,53,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081240,'exposed roots',NULL,'','','',0,6906,52,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081241,'highland shrub',NULL,'','','',0,4075,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081242,'varmint den',NULL,'','','',0,6897,88,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081243,'a pile of excavated objects',NULL,'','','',0,2916,28,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081244,'a patch of pure soil',NULL,'','','',0,2916,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1081245,'Irontoe Foreman','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090000,'Krupp','','','','',255,6539,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090001,'a panic piper','','','','',255,6538,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090002,'a weald knight','','','','',255,6539,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090003,'a grove pandemoniac','','','','',255,6539,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090004,'an emerald entrancer','','','','',255,197,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090005,'a hidden keeper','','','','',255,6489,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090006,'a magical advisor','','','','',255,6538,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090007,'a seedling drake','','','','',255,6536,128,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090008,'a martial advisor','','','','',255,6539,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090009,'Prince Thirneg','','','','',255,6538,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090010,'a lurking trapjaw','','','','',255,4745,64,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090011,'a light keeper','','','','',255,6488,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090012,'a twilight prowler','','','','',255,216,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090013,'a territorial shade hunter','','','','',255,267,57,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090014,'a mischievous lure caster','','','','',255,6488,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090015,'a veil speaker','','','','',255,173,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090016,'Mistress of the Veil','','','','',255,173,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090017,'a fairy petitioner','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090018,'a fairy ambassador','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090019,'a tranquil warden','','','','',255,173,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090020,'a fairy honorguard','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090021,'Askadian Adakus','<Arbiter of the Challenge>','','','',255,6539,38,0,1,1,800,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090022,'Sarik the Fang','','','','',255,1374,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090023,'a Virosinoid protector','','','','',255,5096,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090024,'a Virosinoid madcap','','','','',255,5096,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090025,'a portal guardian','','','','',255,6280,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090026,'a Virosinoid soothsayer','','','','',255,5096,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090027,'a Hedon hussar','','','','',255,4106,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090028,'a Hedon lancer','','','','',255,4098,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090029,'a Hedon minstrel','','','','',255,4106,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090030,'a Hedon dragoon','','','','',255,4106,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090031,'a Hedon hierophant','','','','',255,4106,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090032,'a Hedon cataphract','','','','',255,4098,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090033,'a hidden tender','','','','',255,6489,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090034,'a farstride veilrunner','','','','',255,6919,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090035,'a seedling','','','','',255,212,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090036,'chamber visionary','','','','',255,6489,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090037,'chamber proselyte','','','','',255,6488,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090038,'elite seedling guard','','','','',255,6489,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090039,'Tender of the Seedlings','','','','',255,6489,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090040,'a chameleon rumbler','','','','',255,2413,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090041,'The Segmented Rumbler','','','','',255,2413,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090042,'a faeling adjutant','<Trial Guard>','','','',255,6536,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090043,'a faeling protector','<Trial Guard>','','','',255,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090044,'Abok''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090045,'Abok''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090046,'Abok''s thug','','','','',13,53,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090047,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090048,'lightpost',NULL,'','','',0,6570,70,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1090049,'Zone to Lesser Faydark',NULL,'','','',0,49,32,0,0,0,801,0,0,0,0,1,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100000,'Fred','','','','',0,306,32,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100001,'Naddy','','','','',0,306,32,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100002,'Sammy','','','','',0,304,32,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100003,'Chimchim','','','','',0,5006,32,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100004,'Bacon','','','','',0,271,16,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100005,'Memo','','','','',0,304,32,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100006,'Peanut','','','','',0,306,19,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100007,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100008,'pot of Thekela''s honey',NULL,'','','',0,8355,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100009,'titanium planter',NULL,'','','',0,12129,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100010,'a golden potion bottle',NULL,'','','',0,12657,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100011,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100012,'Trophy: Lady Fiana''s Gentle Suggestion',NULL,'','','',0,3823,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100013,'Treants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100014,'Qeynosian stove',NULL,'','','',0,7349,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100015,'pristine river rock hearth',NULL,'','','',0,7089,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100016,'a pristine rough linen scenery painting',NULL,'','','',0,1958,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100017,'pristine alabaster eggs',NULL,'','','',0,5174,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100018,'Pristine teak wall mirror',NULL,'','','',0,7303,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100019,'Man or Beast: the Drolvarg',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100020,'Traditional Coldain Brazier',NULL,'','','',0,787,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100021,'Trophy: Talon of the Aviaks',NULL,'','','',0,2229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100022,'large redwood room divider',NULL,'','','',0,8359,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100023,'a pristine bread pan',NULL,'','','',0,7346,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100024,'sumac towel rack',NULL,'','','',0,11377,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100025,'Tricky Toad',NULL,'','','',0,237,16,0,1,1,842,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100026,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100027,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100028,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100029,'First Flight',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100030,'Scales in Balance',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100031,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100032,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100033,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100034,'Neriak Elaborate Chandelier',NULL,'','','',0,10376,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100035,'Trophy: The Pendulum',NULL,'','','',0,4057,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100036,'Trophy: Vhoren''s Seed',NULL,'','','',0,5872,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100037,'Trophy: Kobold Runed Claws',NULL,'','','',0,4006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100038,'Pristine fruiting potted shrub',NULL,'','','',0,7344,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100039,'Pitcher Plant',NULL,'','','',0,1678,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100040,'Withering Forest',NULL,'','','',0,593,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100041,'Victory of the Dain',NULL,'','','',0,596,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100042,'The Eternal Battle',NULL,'','','',0,595,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100043,'Otter''s Rest',NULL,'','','',0,594,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100044,'azure rug of the forsaken',NULL,'','','',0,9556,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100045,'Trophy: Sir Altan''s Strike',NULL,'','','',0,2524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100046,'Trophy: Shattersong',NULL,'','','',0,3280,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100047,'Trophy: Hogran''s Halberd',NULL,'','','',0,3838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100048,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100049,'A History of the Order of Nektulos',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100050,'The Final Days of the Leaky Drake',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100051,'warrior of chaos',NULL,'','','',0,12730,2,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100052,'Smiting of the Werewolf',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100053,'a gilded potion bottle',NULL,'','','',0,12655,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100054,'The Nightblood',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100055,'The Prophetic Mystery',NULL,'','','',0,3323,25,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100056,'Edicts of the Emperor',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100057,'Nephrite Snowfang Dreamcatcher',NULL,'','','',0,756,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100058,'detailed map of the Faydark',NULL,'','','',0,6587,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100059,'rug of the golden flora',NULL,'','','',0,14376,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100060,'table of the forest bloom',NULL,'','','',0,14379,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100061,'Faydark flower torch',NULL,'','','',0,14380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100062,'royal Kelethin bed',NULL,'','','',0,14372,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100063,'large fae crate',NULL,'','','',0,14049,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100064,'small fae crate',NULL,'','','',0,14050,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100065,'Kelethin brazier',NULL,'','','',0,14375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100066,'Memorial Fae Statue',NULL,'','','',0,7014,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100067,'a Ca''Na clay pot',NULL,'','','',0,12659,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100068,'frost-rimed chandelier',NULL,'','','',0,9596,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100069,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100070,'plain sumac room divider',NULL,'','','',0,11440,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100071,'Medium Female Mannequin',NULL,'','','',0,8052,67,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100072,'potted purple lilies',NULL,'','','',0,7462,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100073,'Pristine desert poppies',NULL,'','','',0,48,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100074,'Windswept Frostflower',NULL,'','','',0,885,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100075,'a pristine standard ash shelf',NULL,'','','',0,2113,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100076,'Granville''s Dining Table',NULL,'','','',0,2780,56,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100077,'pristine potted palm',NULL,'','','',0,5224,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100078,'Kelethin Curved Table',NULL,'','','',0,11578,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100079,'Plate of Frostfell Chip Cookies',NULL,'','','',0,7969,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100080,'Plate of Citrus',NULL,'','','',0,14244,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100081,'Jester''s Festive Bowl',NULL,'','','',0,1366,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100082,'Frostfell Baked Ham',NULL,'','','',0,8739,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100083,'Community Cushion',NULL,'','','',0,8127,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100084,'a pristine halasian bearskin rug',NULL,'','','',0,4460,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100085,'Tinkerer''s Bookcase',NULL,'','','',0,10549,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100086,'a pristine oil painting of a stone castle ',NULL,'','','',0,2200,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100087,'Candle Ringed by Red Roses',NULL,'','','',0,855,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100088,'exquisite windcloth rug',NULL,'','','',0,8345,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100089,'mysterious painting',NULL,'','','',0,9591,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100090,'Halasian Andiron',NULL,'','','',0,13768,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100091,'titanium vase',NULL,'','','',0,12130,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100092,'Mama''s Eggnog',NULL,'','','',0,7070,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100093,'padded green dining chair',NULL,'','','',0,8326,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100094,'pristine adamantine papasan chair',NULL,'','','',0,6096,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100095,'Rich Bowl of Gruel',NULL,'','','',0,1357,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100096,'Apple Harvest',NULL,'','','',0,13874,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100097,'Plate of Frostfell Candies',NULL,'','','',0,7069,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100098,'Freeport Display Counter',NULL,'','','',0,11650,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100099,'Incense Holder',NULL,'','','',0,6969,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100100,'a pristine oil painting of a sea shore cliff',NULL,'','','',0,2195,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100101,'ornate kunzite table lamp',NULL,'','','',0,2156,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100102,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100103,'Ebony End Table',NULL,'','','',0,12268,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100104,'a pristine Coalition ornate rug',NULL,'','','',0,3528,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100105,'pristine ashen hearth',NULL,'','','',0,7088,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100106,'Ornate Quellithulian Bookcase',NULL,'','','',0,5999,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100107,'Carved Coldain Bench',NULL,'','','',0,777,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100108,'Skeletons',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100109,'Kelethin Display Counter',NULL,'','','',0,11648,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100110,'Summoning an Elemental',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100111,'Cherry Grove Wall Mirror',NULL,'','','',0,10906,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100112,'Unlit Halasian Andiron',NULL,'','','',0,3345,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100113,'Castellum Master Bed',NULL,'','','',0,13637,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100114,'a pristine vale briarwood padded chair',NULL,'','','',0,7331,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100115,'Round Rug of the Frigid Waves',NULL,'','','',0,13364,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100116,'a pristine broadcloth painting',NULL,'','','',0,2199,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100117,'Dark Frozen Tile',NULL,'','','',0,13687,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100118,'Visitors'' Token',NULL,'','','',0,8001,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100119,'The Codex of the Khati Sha',NULL,'','','',0,7966,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100120,'Norrathian Express Box, Qeynos Branch',NULL,'','','',0,11447,38,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100121,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100122,'Memories of Skyfire',NULL,'','','',0,15782,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100123,'Asylum''s Chandelier',NULL,'','','',0,2495,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100124,'Replica: Ilfanul',NULL,'','','',0,15906,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100125,'Frontier Explorer',NULL,'','','',0,15786,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100126,'easel with oil painting of a knight',NULL,'','','',0,12290,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100127,'Thrice-Polarized Frostrotron',NULL,'','','',0,10555,16,0,1,1,0,0,1494,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100128,'red damask couch',NULL,'','','',0,8330,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100129,'Wispy Vampiric Mirror',NULL,'','','',0,11521,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100130,'easel with pie sketch',NULL,'','','',0,12294,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100131,'Flambe Custard Pie',NULL,'','','',0,9442,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100132,'orc champion painting',NULL,'','','',0,7427,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100133,'painting of an orc dragon slayer',NULL,'','','',0,7455,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100134,'stack of Coldain plates',NULL,'','','',0,13898,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100135,'Serendipitous Plate of Grub',NULL,'','','',0,1356,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100136,'a plate of fish',NULL,'','','',0,11038,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100137,'Plate of Frostfell Shaped Cookies',NULL,'','','',0,7968,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100138,'a pristine teak bookcase',NULL,'','','',0,2582,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100139,'Candle Ringed by Purple Roses',NULL,'','','',0,856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100140,'Faeflower Blossom',NULL,'','','',0,10459,179,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100141,'a pristine oil painting of a castle',NULL,'','','',0,2192,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100142,'ornate stone chandelier',NULL,'','','',0,9550,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100143,'Inlaid Qeynos Door',NULL,'','','',0,14306,35,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100144,'easel with potion sketch',NULL,'','','',0,12295,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100145,'Pile of Coin Square',NULL,'','','',0,1316,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100146,'a burlap painting',NULL,'','','',0,2202,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100147,'Grobb stone basket',NULL,'','','',0,9571,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100148,'Mystic Snowfang Drum',NULL,'','','',0,757,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100149,'Tinkered Fan Blades (Active)',NULL,'','','',0,13399,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100150,'golden fae chair',NULL,'','','',0,14377,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100151,'padded redwood stool',NULL,'','','',0,8332,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100152,'Kelethin Desk',NULL,'','','',0,11581,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100153,'Castellum Bathtub',NULL,'','','',0,13658,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100154,'Ry''gorr Bench',NULL,'','','',0,716,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100155,'Head of Cabbage',NULL,'','','',0,12629,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100156,'Rack of Love Potions',NULL,'','','',0,4611,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100157,'grand Kelethin bookcase',NULL,'','','',0,14373,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100158,'orc victory painting',NULL,'','','',0,7457,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100159,'star map scroll',NULL,'','','',0,12137,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100160,'reinforced Halasian chest',NULL,'','','',0,13282,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100161,'Woven Rug of the Protector',NULL,'','','',0,13361,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100162,'a pristine generic wall sconce',NULL,'','','',0,3253,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100163,'Rhodium Floor Plating',NULL,'','','',0,13411,95,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100164,'frosty Halasian barrels',NULL,'','','',0,13337,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100165,'Nektulos Forest, by Torq De''Rech',NULL,'','','',0,3323,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100166,'Humble Altar of Bristlebane',NULL,'','','',0,7601,32,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1100167,'an encased void beast',NULL,'','','',0,9528,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140000,'a weak sparring partner','','','','',6,78,31,1,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140001,'an average sparring partner','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140002,'a formidable sparring partner','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140003,'Timeless Chronomage','','','','',3,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140004,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0),
(1140009,'a horse','','','','',255,6846,31,6,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140010,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0),
(1140011,'whatzit','','','','',255,7215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140012,'a kitten','','','','',255,306,18,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140014,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140015,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140017,'a twilight wisp','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140018,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140019,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140020,'an underwood crawler','','','','',255,256,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140021,'an ooze','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140022,'Serith Melosyne','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140023,'Guard Valder','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140024,'Derek Travllor','<Qeynosian Emissary>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140025,'Ambassador Gibrien Marsden','<Change of Citizenship>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140026,'Elidarr Farvalist','<Chronomagi Tasker>','','','',8,136,25,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140027,'Panderra','<Brownie Emissary>','','','',15,114,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140029,'Professor Ebenezer Cogsworth VI','<Tinkering Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,35926,0,0,0,0,0,0,0,0,0,0,0,0),
(1140031,'Orika Vikaarinen','<Royal Apothecary>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140032,'Lady Milika Vikaarinen','<Fae Royal Defense Minister>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140033,'a turtle','','','','',255,215,22,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140034,'Queen Amree','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140036,'a scaled hopper','','','','',255,237,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140037,'Guard Uilkuiken','<Fae Royal Guard>','','','',255,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140038,'a citizen','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140039,'Pynn Head','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140040,'a Crushbone destroyer','','','','',20,6229,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140041,'a large slitherer','','','','',255,213,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140042,'a small spider','','','','',255,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140043,'a Crushbone arsonist','','','','',20,6259,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140044,'a Crushbone pawn','','','','',20,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140045,'Grabby Gigglegibber','<Treat Trader>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140048,'a golden flier','','','','',255,260,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140049,'Altan Brownwing','<Provisioner>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,4939,0,0,0,0,0,0,0,0,0,0,0,0),
(1140050,'Kale Vilaaka','<Provisioner>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,4940,0,0,0,0,0,0,0,0,0,0,0,0),
(1140051,'Preston Pepperpicker','<Picker of Peppers>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140052,'Ibid Esslibris','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140053,'Meliina Copperleaf','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140054,'Bettina Meriaan','<Barmaid>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,4944,0,0,0,0,0,0,0,0,0,0,0,0),
(1140057,'Imme Naime','<Marr-Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140058,'Marrit Rootling','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140060,'Gruff Shadygrove','<Weapon Craftsman>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140061,'Mikka Ashberry','<Armor Craftsman>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140062,'Sannor Vilika','<Rush Orders>','','','',9,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140063,'Pirgetta Maarit','<Work Orders>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140067,'Mellikor Fealita','<Apprentice Liaison>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140068,'a Nights of the Dead merchant','','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,4958,0,0,0,0,0,0,0,0,0,0,0,0),
(1140070,'Guard Ylivaan','<Fae Royal Guard>','','','',255,6489,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140071,'Noora Maki','<Adorning Trainer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140072,'Sade  Maki','<Adorning Merchant>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,34343,0,0,0,0,0,0,0,0,0,0,0,0),
(1140073,'Ann Wilkes','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140074,'Vestina Pinaarian','<Lady''s Maid>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140075,'Liana Ashwood','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140076,'Sir Gearheart','<Guardian of the Fae>','','','',255,6670,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140077,'Princess Saphronia','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140078,'a small slitherer','','','','',255,213,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140079,'a Crushbone destroyer','','','','',20,6253,41,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140080,'Guard Koruja','<Fae Royal Guard>','','','',255,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140084,'Annabelle Lekter','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140086,'a small spider','','','','',255,245,44,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140087,'a slitherer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140088,'Woodrow','','','','',255,6529,25,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140089,'Karina Mulberry','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140090,'Guard Menelaar','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140092,'Celea Warmbreeze','<City Merchant>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,4985,0,64,0,0,0,0,0,0,0,0,0,0),
(1140095,'Skeer Deekat','<Gigglegibber Goblin-ish>','','','',11,97,16,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140101,'a Trebuz soldier','','','','',255,1710,57,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140102,'Chuck Le''Ray','','','','',4,3792,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140103,'a Trebuz stinger','','','','',255,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140104,'Daanja Tigermaple','<Tailor>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,4997,0,0,0,0,0,0,0,0,0,0,0,0),
(1140105,'a greater ooze','','','','',255,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140106,'Sir Bayden Cauldthorn','<Lordknight of Valor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140107,'Oona-li Filikaar','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140108,'Guard Lythelia','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140109,'Elia Redleaf','<Horticulturist>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140110,'Freesia Ticklewing','<Instrument Mender>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140112,'Piritta Silvarri','<Sage>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140113,'Bark Chiselchin','<Defense Trainer>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140115,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140116,'Glavarius Marud','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140117,'a howler','','','','',255,216,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140118,'a Crushbone invader','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140120,'Kismia Fernlee','<Shieldsmith>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,5015,0,0,0,0,0,0,0,0,0,0,0,0),
(1140121,'Sassirah Fallenleaf','<Tailor>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,5016,0,0,0,0,0,0,0,0,0,0,0,0),
(1140132,'Mobin Grosch','<Bruiser Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(1140134,'Orlin Alowekka','<Meti-Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140135,'Virfala Illuvi','<Maar-Defender>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140136,'a diseased treant','','','','',255,212,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140138,'Keyrin Curetouch','<Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140139,'Trundo Flitterfling','<Tracker Mercenary>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140140,'Jysolin Nerala','<Bartender>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,6227,0,0,0,0,0,0,0,0,0,0,0,0),
(1140141,'Paiva Kapanen','<Barmaid>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140142,'Miella Maarsitotts','<Fae Language Instructor>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140143,'Reigen MacKneel','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140144,'Danaria Redvine','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140147,'Eleoona Faleisinae','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140150,'Juho Aulis','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140152,'Zeego Miemo','<Warlock Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(1140154,'Elonjhnir Louthe','<Coercer Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(1140160,'Guard Baldor','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140162,'Istri Loife','<Meti-Silvani Arcanist>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140163,'Apeta Ele','<Maar-Silvani Arcanist>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140170,'Kaapo Mikko','<Sylvan Hunters Relic Seeker>','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140171,'Taavetti Raivo','<Explorer>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140174,'Hoan Seastrider','<Munitions Specialist>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140175,'Lythe Dur''gun','<Beastlord Trainer>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(1140176,'Dirki Gerika','<Troubador Trainer>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(1140177,'Mulus Viinikka','<Swashbuckler Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100485,0,4,0,0,0,0,0,0,0,0,0,0),
(1140187,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140188,'a Crushbone centurion','','','','',20,6229,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140190,'Princess Zhyleen','','','','',255,181,41,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140191,'a Fayfly','','','','',255,181,96,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140192,'guardian of the glade','','','','',255,6291,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140193,'a Fayfly','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140194,'a Fayfly','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140195,'a Brook Patch toadstool','','','','',255,5096,6,0,1,1,524,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140196,'Ardath Bay','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140197,'Jayson V''rhees','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140198,'Spot','','','','',255,6529,25,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140201,'Naiara Kalervo','<Meti-Explorer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140203,'Melody','','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140204,'Jimmie Gearbender','<Fence>','','','',5,121,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140205,'Glurie Stonegrip','<Protectors of Growth>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140206,'Idinavir Ketit','<Meti-Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140210,'a shrumbler hatchling','','','','',255,2413,7,1,1,1,11,0,0,1,1,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140211,'Trainer Leianna Teiampa','<Know Your Fate>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140212,'Breezebloom','<Merchant>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140213,'Grull Silverstump','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,34,151,151,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1140214,'Glitterpuff','<Banker>','','','',255,6488,32,0,1,1,14,9,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140217,'Trainer Tahvolo Viljaan','<Know Your Enemy>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140219,'a Tuwasp forager','','','','',255,150,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140220,'a grobin scout','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140221,'Lark Meadowswoon','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140222,'a grobin polluter','','','','',255,6516,15,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140223,'a shrumbler','','','','',255,2411,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140224,'Scout Moranne','','','','',255,6488,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140225,'Sentry Trillis','','','','',255,6489,35,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140228,'Kibantik','Furbaby''s attack hawk','','','',255,260,32,0,1,1,0,0,0,1,1,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140229,'a Shroomba grove tender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140230,'Ghooric','<Mushroom Vendor>','','','',255,5096,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140231,'a Shroomba pollinator','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140232,'a Shroomba planter','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140233,'Matron of the Nursery','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140235,'a shrumbler hatchling','','','','',255,2412,9,0,1,1,11,0,0,1,1,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140236,'Trainer Leianna Teiampa','<Know Your Fate>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140237,'Breezebloom','<Merchant>','','','',0,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140238,'Grull Silverstump','<Mender>','','','',0,110,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1140239,'Glitterpuff','<Banker>','','','',0,6488,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140242,'a shrumbler','','','','',0,2411,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140243,'a fallen Tuwasp forager','','','','',0,150,20,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140244,'a nursery defender','','','','',0,6488,31,5,1,1,0,0,16,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140245,'a hostile Tuwasp forager','','','','',0,150,19,3,1,1,0,0,11191,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140246,'Sentry Talvee','','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140247,'a Tuwasp forager','','','','',0,150,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140248,'a grobin scout','','','','',0,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140249,'a grobin polluter','','','','',0,6516,15,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140250,'Lenya Lightloam','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140252,'a Growzzat Royal Guard','','','','',0,1710,28,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140254,'Scout Moranne','','','','',0,6488,38,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140256,'a Shroomba pollinator','','','','',0,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140257,'a Shroomba grove tender','','','','',0,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140261,'Oolieamim','<Master Sage>','','','',0,1606,32,0,1,1,9,0,12193,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140264,'a kitten','','','','',0,304,17,5,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140265,'a horse','','','','',0,6846,31,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140266,'a twilight wisp','','','','',0,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140267,'a scaled hopper','','','','',0,237,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140268,'an ooze','','','','',0,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140269,'Derek Travllor','<Qeynosian Emissary>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140271,'Aether Racing Referee','<The Flying Freebooters>','','','',0,121,41,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140272,'Guard Valder','<Guard>','','','',0,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140274,'Panderra','<Brownie Emissary>','','','',0,114,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140278,'Orika Vikaarinen','<Royal Apothecary>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140279,'Lady Milika Vikaarinen','<Fae Royal Defense Minister>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140280,'a turtle','','','','',0,215,22,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140282,'Sunneva Nepenthes','<Pet Merchant>','','','',0,79,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,4925,0,0,0,0,0,0,0,0,0,0,0,0),
(1140284,'a Crushbone arsonist','','','','',0,6259,34,2,1,1,11,0,17951,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140285,'a golden flier','','','','',0,260,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140286,'a citizen','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140287,'a Crushbone destroyer','','','','',0,6229,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140288,'a large slitherer','','','','',0,213,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140289,'Liana Ashwood','','','','',0,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140291,'Jeleeta Ariaata','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140292,'a small spider','','','','',0,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140293,'Kale Vilaaka','<Provisioner>','','','',0,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140294,'Preston Pepperpicker','<Picker of Peppers>','','','',0,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140296,'Meliina Copperleaf','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140297,'Kiirkin Felendril','','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140299,'Laakra Opaamil','<Protectors of Growth Relic Seeker>','','','',0,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140300,'Alodie Silverleaf','<Defender>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140301,'Imme Naime','<Marr-Defender>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140304,'Gruff Shadygrove','<Weapon Craftsman>','','','',0,114,32,0,1,1,10,0,323,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140305,'Mikka Ashberry','<Armor Craftsman>','','','',0,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140306,'Sannor Vilika','<Rush Orders>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140307,'Pirgetta Maarit','<Work Orders>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140308,'Ralika Mekkila','<Crafting Trainer>','','','',0,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,4954,0,0,0,0,0,0,0,0,0,0,0,0),
(1140309,'Yono Sylnu','<Tunare''s Pages Merchant>','','','',0,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,151,151,0,0,4955,0,0,0,0,0,0,0,0,0,0,0,0),
(1140312,'Gili','Dvorah''s familiar','','','',0,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140313,'an underwood crawler','','','','',0,256,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140314,'Hamnal Teolofin','','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140315,'a slitherer','','','','',0,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140318,'Melody','','','','',0,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140319,'Spot','','','','',0,6529,25,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140321,'Noora Maki','<Adorning Trainer>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140322,'Sade  Maki','<Adorning Merchant>','','','',0,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140325,'Vestina Pinaarian','<Lady''s Maid>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140326,'a Crushbone pawn','','','','',0,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140327,'Sir Gearheart','<Guardian of the Fae>','','','',0,6670,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140328,'Princess Saphronia','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140330,'a diseased treant','','','','',0,212,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140331,'a small slitherer','','','','',0,213,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140332,'Lyyti Eloranta','<General Goods>','','','',0,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,4972,0,0,0,0,0,0,0,0,0,0,0,0),
(1140334,'Orlin Alowekka','<Meti-Defender>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140336,'Merchant Vanaleon Parama','<Alchemist>','','','',0,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,4974,0,0,0,0,0,0,0,0,0,0,0,0),
(1140339,'Merchant Pinehurst Deadleaf III','<Munitions Specialist>','','','',0,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,5022,0,0,0,0,0,0,0,0,0,0,0,0),
(1140344,'Paanala Flutterleaf','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140345,'Karina Mulberry','','','','',0,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140346,'Guard Menelaar','<Guard>','','','',0,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140350,'Merchant Fallulah','','','','',0,113,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140351,'a howler','','','','',0,216,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140353,'Glavarius Marud','','','','',0,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140355,'Merchant Bergamot Fallenleaf','<Accessories>','','','',0,114,32,0,1,1,10,1265,540,0,0,1,0,0,28,0,0,0,0,5017,0,0,0,0,0,0,0,0,0,0,0,0),
(1140356,'Guard Laelli','<Guard>','','','',0,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140357,'Guard Maardek','<Guard>','','','',0,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140358,'Tomas Strongbellow','<Festival Crier>','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140359,'a diseased slitherer','','','','',0,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140360,'Stamper Jeralf','<Dudenukeem''s Archon Mercenary>','','','',0,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140362,'a slitherer','','','','',0,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140363,'a diseased spider','','','','',0,245,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140364,'Fenthys Rootbloom','<Mender and Armor Merchant>','','','',0,114,35,0,1,1,12,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140365,'Sussan Swiftneedle','<Temporary Clothing Rental>','','','',0,92,32,0,1,1,10,0,0,0,0,1,0,0,38,0,0,0,0,727,0,0,0,0,0,0,0,0,0,0,0,0),
(1140366,'a diseased beetle','','','','',0,221,39,1,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140367,'a bark burrower','','','','',0,208,35,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140368,'a Kelethin Defender','<Guard>','','','',0,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140369,'Kelethin Defender','','','','',0,114,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140372,'Roland','','','','',0,6846,26,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140373,'James','','','','',0,6846,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140374,'a defeated Crushbone destroyer','','','','',0,6229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140375,'a fire breather','','','','',0,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140376,'Sanya Farshore','<General Goods>','','','',0,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,726,0,0,0,0,0,0,0,0,0,0,0,0),
(1140377,'Chris Weathers','<Local Specialties>','','','',0,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,728,0,0,0,0,0,0,0,0,0,0,0,0),
(1140379,'George','','','','',0,6842,30,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140380,'Cee Petalshine','<Banker>','','','',0,6489,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140381,'Amber Walker','','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140382,'Dhala Veera','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140383,'Brodo Gillywump','','','','',0,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140384,'Trainer Valtteri Yliveri','<Keeper of Magical and Martial Knowledge>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140385,'Trainer Vantan Perikato','<Recognizing Opportunities>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140386,'Trainer Rafela Kosimo','<Expert in Physical Attributes>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140387,'Hubert','','','','',0,6846,30,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140388,'Lady Alethea Jyleel','','','','',0,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140389,'Kalamar Vesinger','<Fae Royal Messenger>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140391,'a defeated guard','','','','',0,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140392,'Launo Kal','<Guard>','','','',0,6488,32,0,1,1,13,0,323,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140393,'a Crushbone destroyer','','','','',0,6253,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140395,'Master Bowyer Mossberge','','','','',0,1488,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140397,'Armando Farpine','<Sage>','','','',0,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,26576,0,0,0,0,0,0,0,0,0,0,0,0),
(1140400,'Saali Ustraat','<Master Liaison>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140401,'Eezekri Pekalta','<Journeyman Liaison>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140402,'Kielo Noronen','<Broker>','','','',0,6488,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140403,'Grandmaster Feldmanus','<Trades Coordinator>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140405,'The Grender Guardian','','','','',0,6516,21,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140406,'Jimmie Gearbender','<Fence>','','','',0,121,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140407,'Mittens','','','','',0,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140408,'a Granite Hills miner','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140409,'Risto Harila','<General Goods>','','','',0,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140411,'Poggle Fizzpop','','','','',0,121,32,0,1,1,9,0,323,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140412,'Fido','','','','',0,2371,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140414,'Idinavir Ketit','<Meti-Defender>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140416,'Yarin Skystride','<Sylvan Hunters>','','','',0,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140417,'Taavetti Raivo','<Explorer>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140421,'a leafy defender','','','','',0,212,89,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140426,'Katryn Litewing','<Guild Cloak Designer>','','','',0,6488,32,0,1,1,24,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140433,'Gioia Greenvale','','','','',0,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140434,'Arcanetreepulp','Dormu''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140435,'Jennis Proudhilt','<Dormu''s Antonican Guard Mercenary>','','','',0,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140436,'Meow','Friend of Growth','','','',0,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140440,'Smokey','Nibbels''s bear warder','','','',0,3836,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140441,'Jenantik','Odaha''s pet gazer','','','',0,5918,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140442,'Gibarer','Odaha''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140444,'Guard Baldor','<Guard>','','','',0,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140448,'Anoenna Rissok','<Arcanist>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140450,'Naiara Kalervo','<Meti-Explorer>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140451,'Launo Severi','<Maar-Explorer>','','','',0,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140453,'Hoan Seastrider','<Munitions Specialist>','','','',0,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,6261,0,0,0,0,0,0,0,0,0,0,0,0),
(1140454,'The Slitherer Queen','','','','',0,213,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140455,'a mining lookout','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140457,'a Crushbone invader','','','','',0,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140458,'a Trebuz soldier','','','','',0,1710,57,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140459,'a corrupted spider','','','','',0,205,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140460,'Leslie Afterstar','','','','',0,134,32,0,1,1,9,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140461,'a greater ooze','','','','',0,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140462,'Sir Bayden Cauldthorn','<Lordknight of Valor>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140463,'Odo Gillywump','','','','',0,108,38,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140466,'a Trebuz stinger','','','','',0,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140469,'Oona-li Filikaar','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140470,'Freesia Ticklewing','<Instrument Mender>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140472,'Elia Redleaf','<Horticulturist>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140473,'Piritta Silvarri','<Sage>','','','',0,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140474,'Missantra the Stylist','<Barber>','','','',0,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,5008,0,0,0,0,0,0,0,0,0,0,0,0),
(1140475,'a stable master','','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140476,'a Crushbone pawn invader','','','','',0,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140479,'Philosopher Yubee','<Deity Historian>','','','',0,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,751,751,0,0,26532,0,0,0,0,0,0,0,0,0,0,0,0),
(1140481,'Guard Lythelia','<Guard>','','','',0,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140482,'a darkened racer','','','','',0,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140483,'Lady Katri Eloranta','<Fae Rite of Passage Advisor>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140484,'a young brown-claw bear','','','','',0,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140485,'a dark ooze','','','','',0,8200,64,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140488,'Kurista','<High Priestess of Growth>','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140489,'Vernus Windrider','','','','',0,78,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140491,'Erkki of the Dew','<Guard>','','','',0,6489,32,0,1,1,13,0,323,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140493,'Jalmari Keletana','','','','',0,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140494,'a Crushbone scout','','','','',0,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140495,'fallen Klixie bixie','','','','',0,1710,32,0,1,1,18,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140496,'a prowler','','','','',0,216,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140498,'a river racer','','','','',0,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140499,'a Klixie soldier','','','','',0,1710,28,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140500,'a Spur stalker','','','','',0,216,19,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140501,'a wounded Klixie','','','','',0,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140502,'Lieutenant Fa''Rak','','','','',0,6253,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140503,'a Crushbone herbalist','','','','',0,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140504,'a Crushbone brute','','','','',0,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140505,'a grobin digger','','','','',0,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140506,'a Shroomba defender','','','','',0,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140507,'a strongbox','','','','',0,226,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140508,'a corrupted sapling','','','','',0,212,128,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140509,'a corrupted sapling','','','','',0,212,80,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140510,'a corrupted bear','','','','',0,198,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140511,'a grobin sentry','','','','',0,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140512,'a grobin attacker','','','','',0,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140513,'a growler','','','','',0,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140514,'Faydark Den Mother','','','','',0,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140515,'Pengo','','','','',0,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140516,'a Shroomba tender','','','','',0,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140517,'a Shroomba cultivator','','','','',0,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140518,'Pimm','Pimm''s feline warder','','','',0,10685,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140520,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140521,'a Growzzat Royal Guard','','','','',255,1710,25,3,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140523,'a sand sifter','','','','',255,215,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140524,'a clawsnap','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140525,'Garartik','Nomosh''s earthen avatar','','','',255,8303,3,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140526,'a stranded pirate','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140527,'a stranded pirate','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140528,'a filthy lookout','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140529,'a nursery defender','','','','',255,6489,32,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140530,'a hostile Tuwasp forager','','','','',255,150,19,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140531,'a fallen Tuwasp forager','','','','',255,150,19,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140532,'a Tuwasp worker','','','','',255,1711,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140533,'a Tuwasp soldier','','','','',255,150,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140534,'Yellowjacket','','','','',255,1710,36,4,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140535,'a grove hawk','','','','',255,260,64,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140536,'Morganellus','','','','',255,5096,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140537,'a grobin chipper','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140539,'Baby','Keep''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140540,'a white-tailed leaper','','','','',255,206,16,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140541,'a grobin tunnel guard','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140542,'a Shroomba defender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140543,'a large shrumbler','','','','',255,2411,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140544,'a nursery defender','','','','',255,6488,30,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140545,'a Shroomba tender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140547,'Kheria','Kheria''s Personae Reflection','','','',9,93,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140548,'a needle tooth','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140549,'a line breaker','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140550,'an octarm','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140551,'an ocean terror','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140553,'a water thrasher','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140554,'Captain Z''Sxhitar','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140555,'a grobin eggkeeper','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140556,'Scout Spelunkle','','','','',2,110,28,0,1,1,9,0,221,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140557,'Lieutenant Fyladii','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140558,'a grobin lookout','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140559,'a fae soldier','','','','',255,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140560,'Captain Steelforge','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140561,'Dlok the Treewatcher','','','','',255,6516,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140563,'a Shroomba cultivator','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140564,'a grobin digger','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140565,'a Crushbone emissary','','','','',20,6259,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140567,'a grobin sentry','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140568,'a young shrumbler','','','','',255,2411,11,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140570,'a grobin attacker','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140571,'Pengo','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140572,'Gomphum','<Boletae Herder>','','','',255,5096,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140573,'a growler','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140574,'Faydark Den Mother','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140575,'a prowler','','','','',255,216,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140576,'a Crushbone scout','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140577,'Brink Trudger','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140578,'Jenthis Viridar','','','','',15,1447,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140579,'Fendwyn Flitter','<General Goods>','','','',255,1481,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140580,'Leelu Sundown','<Banker>','','','',255,6488,32,0,1,1,14,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140581,'Aku Alto','<Mender>','','','',255,6488,38,0,1,1,12,9,0,0,0,1,0,0,32,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1140583,'Thekela Gillywump','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140584,'Sua Augren','','','','',255,50081,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140585,'a Sapling fawn','','','','',255,206,19,3,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140586,'fallen Growzzat bixie','','','','',255,1710,32,0,1,1,18,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140587,'a harnessed Spur stalker','','','','',255,216,20,2,1,1,11,0,20552,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140588,'a Spur stalker','','','','',255,216,20,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140590,'a Growzzat drone','','','','',255,1710,23,1,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140591,'a dark ooze','','','','',255,8200,62,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140592,'Jalmari Keletana','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140593,'fallen Klixie bixie','','','','',255,1710,32,0,1,1,18,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140594,'Erkki of the Dew','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140596,'a Klixie soldier','','','','',255,1710,28,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140597,'a Crushbone brute','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140598,'a darkened racer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140599,'Lady Katri Eloranta','<Fae Rite of Passage Advisor>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140603,'Traeger Verdegreen','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140604,'Kurista','<High Priestess of Growth>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140605,'Vernus Windrider','','','','',15,78,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140606,'Tallas Windrider','','','','',15,78,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140607,'Lieutenant Fa''Rak','','','','',20,6253,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140608,'Odo Gillywump','','','','',7,108,38,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140609,'Seth Hammerstone','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140611,'Almilla Sumac','<Broker>','','','',15,113,32,0,1,1,20,9,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140612,'Cucumber','<Protector of Kelethin>','','','',255,10473,32,0,1,1,11,0,0,1,1,1,0,0,32,766,766,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140613,'a young brown-claw bear','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140614,'a wounded Klixie','','','','',255,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140615,'a Crushbone herbalist','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140616,'Philosopher Yubee','<Deity Historian>','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140618,'Dangaard Greymoor','<Guild Registrar>','','','',15,114,32,0,1,1,25,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140620,'a Crushbone pawn invader','','','','',20,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140621,'a strongbox','','','','',255,226,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140622,'a corrupted sapling','','','','',255,212,128,0,1,1,11,0,1855,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140623,'a Crushbone corruptor','','','','',20,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140624,'a corrupted sapling','','','','',255,212,80,0,1,1,11,0,1855,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140625,'a corrupted bear','','','','',255,198,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140626,'a corrupted spider','','','','',255,205,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140627,'a diseased spider','','','','',255,245,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140628,'a cleansed sapling','','','','',255,212,128,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140629,'High Corruptor Gar''Lek','','','','',20,6259,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140630,'a Sapling stag','','','','',255,2414,30,8,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140631,'Mossmane','','','','',255,212,128,0,1,1,9,0,1855,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140632,'a Kelethin Defender','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140633,'Kelethin Defender','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140634,'Lady Astaar Evinien','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140635,'Trainer Modji Vilivarinen','<Know Your Inventory and Equipment>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140636,'Sajas Goldbeam','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140637,'a Crushbone spy','','','','',20,6229,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140638,'Nimess Sessi','<City Registrar>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140639,'Razamatazberry','Ezesia''s cognatic bixie bopper','','','',255,14346,16,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140640,'Jeleeta Ariaata','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140641,'Lady Alethea Jyleel','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140642,'Kiirkin Felendril','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140643,'Kalamar Vesinger','<Fae Royal Messenger>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140644,'Restauranteur Brizeyl Myrika','<Provisioner>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,26561,0,0,0,0,0,0,0,0,0,0,0,0),
(1140645,'Hamnal Teolofin','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140646,'a defeated guard','','','','',255,6488,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140647,'Launo Kal','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140648,'a Crushbone destroyer','','','','',20,6253,32,0,1,1,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140649,'Hunglow','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140650,'a Crushbone destroyer','','','','',20,6253,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140651,'a defeated Crushbone destroyer','','','','',20,6229,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140652,'Poggle Fizzpop','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140653,'Fido','','','','',255,2371,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140654,'a slitherer','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140655,'Amy Recolo','<Tradeskill Career Counsellor>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140657,'Neela Filamaar','<Woodworker>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,26575,0,0,0,0,0,0,0,0,0,0,0,0),
(1140659,'Talofa Meera','<Carpenter>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,26577,0,0,0,0,0,0,0,0,0,0,0,0),
(1140660,'Kaarl Ventrikur','<Alchemical Analyst>','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,26578,0,0,0,0,0,0,0,0,0,0,0,0),
(1140661,'Saali Ustraat','<Master Liaison>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140662,'Eezekri Pekalta','<Journeyman Liaison>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140665,'a twilight wisp','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140666,'Grover','Toivo''s cognatic bixie bopper','','','',255,14346,16,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140667,'Helmi Growthly','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140668,'Gilles Chillborn','<Inquisitor Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(1140670,'Preskir Kaavil','<Meti-Presbyter>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140671,'Laastri Amaturoa','<Maar-Presbyter>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140672,'Evissa Askko','<Maar-Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140674,'Sallus Irontread','','','','',2,1481,32,0,1,1,9,0,11769,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140675,'Miah Tanglebranch','<Portals Trainer>','','','',15,6488,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140676,'Illasko Silktree','<Mystic Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100486,0,4,0,0,0,0,0,0,0,0,0,0),
(1140677,'Pickle Velvetleaf','<Fury Trainer>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(1140678,'a forgotten resident','','','','',255,1521,24,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140679,'Amma Ilaari','<Warden Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(1140680,'Meeha Pekko-Maarit','<Templar Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(1140681,'Llaken Piirit','<House of Falling Stars Relic Seeker>','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140682,'Ulun Miloo','<House of Falling Stars Merchant>','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,37583,0,0,0,0,0,0,0,0,0,0,0,0),
(1140683,'Ehuva Aneskol','<Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140684,'Jaori Feaumaar','<Minor Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140685,'Gunda Firehammer','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140686,'a Granite Hills miner','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140687,'a mining lookout','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140688,'Cloudy','Joscelin''s kitten.','','','',255,305,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140689,'a river racer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140690,'an underwood fae drake','','','','',255,6536,62,3,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140691,'The Mushroom King','<Patch of the Ivory Graveyard>','','','',255,5096,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140693,'Meldrevik Wurlongion','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140694,'a huge spider','','','','',255,205,92,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140695,'a large brown-claw bear','','','','',255,198,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140696,'Bramble Thornhead','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140697,'Trystar Nightfire','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140698,'Svini Ferlink','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140699,'a scorched skeletal apprentice','','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140700,'Mentha Haora','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140701,'Kell Nightbloom','<Banker>','','','',255,6489,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140702,'Teriniu Featherlight','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140703,'a cognatic bixie bopper','','','','',255,14346,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140704,'Grimply Sniffwistle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140705,'Seren Leafsway','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140706,'Matstyr Alesmith','<Mender and Armor Merchant>','','','',2,110,32,0,1,1,12,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140707,'Grepurp','','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140708,'Ceft Stoutarm','<Provisioner>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140709,'a scorched skeletal wizard','','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140710,'Rooleean Felodaan','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140711,'frenzied Virosinoid','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140712,'Saril Zauiryn','<Diabolist of Hate>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140713,'Bel''ad D''myr','<Diabolist of Hate>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140714,'Xilania Nevagon','<Seraph of Hate>','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140715,'frenzied Virosinoid','','','','',255,5096,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140716,'frenzied Virosinoid','','','','',255,5096,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140717,'fleeting Virosinoid','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140718,'spirit of life','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140719,'Shimmer Moonfair','','','','',255,6489,32,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140720,'frenzied Virosinoid','','','','',255,5096,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140722,'Elar Roughroot','<Kelethin scout>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140723,'a kobold savage','','','','',255,6450,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140724,'a kobold scamp','','','','',255,6457,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140725,'a kobold warrior','','','','',255,6452,32,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140726,'fleeting Virosinoid','','','','',255,5096,52,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140727,'Grum','','','','',12,124,19,0,1,1,0,0,14023,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140728,'a kobold battler','','','','',255,6455,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140729,'Flitt Morningglory','<Kelethin scout>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140730,'Moondancer','Kinsdale''s familiar','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140731,'Gosober','Kinsdale''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140732,'fleeting Virosinoid','','','','',255,5096,54,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140734,'frenzied Virosinoid','','','','',255,5096,58,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140735,'frenzied Virosinoid','','','','',255,5096,58,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140736,'fervent Virosinoid','','','','',255,5096,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140737,'fervent Virosinoid','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140738,'fervent Virosinoid','','','','',255,5096,43,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140739,'frenzied Virosinoid','','','','',255,5096,61,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140740,'fervent Virosinoid','','','','',255,5096,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140741,'focused Virosinoid','','','','',255,5096,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140742,'frenzied Virosinoid','','','','',255,5096,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140743,'frenzied Virosinoid','','','','',255,5096,57,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140744,'frenzied Virosinoid','','','','',255,5096,37,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140745,'frenzied Virosinoid','','','','',255,5096,55,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140746,'frenzied Virosinoid','','','','',255,5096,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140747,'fleeting Virosinoid','','','','',255,5096,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140748,'fervent Virosinoid','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140749,'fervent Virosinoid','','','','',255,5096,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140750,'fervent Virosinoid','','','','',255,5096,48,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140751,'fleeting Virosinoid','','','','',255,5096,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140752,'a rotting guardian','','','','',255,6284,71,8,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140753,'a swampflitter','','','','',255,2389,61,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140754,'crushbone_herbs','','','','',0,4075,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140755,'Gabriella Mosswood','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140756,'a rotting guardian','','','','',255,6284,55,6,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140757,'Glienna Lillypad','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140758,'Figgy Wigglestomp','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140759,'The Witch of the Wood','','','','',255,181,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140760,'a decaying guardian','','','','',255,6283,72,8,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140761,'a Crushbone oracle','','','','',20,6259,38,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140764,'a Crushbone pawn','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140765,'a Growzzat high guard','','','','',255,1710,24,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140767,'Daruk \"Granite Nose\" Dobbson','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140768,'Randu K''van','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140769,'a Crushbone conscript','','','','',20,6253,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140770,'a Crushbone footman','','','','',20,6253,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140771,'a Crushbone footman','','','','',20,6229,42,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140772,'a Crushbone footman','','','','',20,6253,45,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140776,'Jareth','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140777,'Willowisp','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140778,'Grassgalor','','','','',255,7323,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140779,'Hubert','','','','',255,6846,31,5,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140780,'Roland','','','','',255,6846,30,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140781,'James','','','','',255,6846,32,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140782,'a stingswarm buzzer','','','','',255,217,22,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140783,'a Klixie soldier','','','','',255,150,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140784,'a Klixie impeller','','','','',255,150,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140785,'a Klixie medic','','','','',255,150,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140786,'a grobin polluter','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140787,'a grey growler','','','','',255,216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140788,'a growler den mother','','','','',255,216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140789,'a small spider','','','','',255,205,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140790,'a fae flycatcher','','','','',255,6536,48,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140791,'a wasp','','','','',255,276,27,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140792,'a bark burrower','','','','',255,208,41,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140794,'a nibbler fawn','','','','',255,206,28,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140795,'a leafy gatherer','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140796,'The Slitherer Queen','','','','',255,213,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140797,'Mittens','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140798,'Guard Uilkuiken','<Fae Royal Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140799,'Lady Aileeta Reila','<Fae Mentor>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140804,'Whittier','','','','',255,212,35,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140806,'Scrumby','','','','',255,5096,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140809,'Noora Maki','<Master Transmuter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140810,'Sade  Maki','<Transmuting Trainer>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140813,'a bark burrower','','','','',255,208,60,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140815,'a furious wasp','','','','',255,276,27,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140816,'a Crushbone guard','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140817,'a strongbox guardian','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140818,'a Gullon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140819,'a Crushbone emissary','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140820,'a half elf toiler','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140821,'a wood elf toiler','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140822,'a grobin','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140823,'a gnome toiler','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140824,'a high elf toiler','','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140825,'a moat sludge','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140826,'Vargorn the Historian','','','','',19,6253,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140827,'a moat ooze','','','','',255,209,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140828,'a fae toiler','','','','',255,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140829,'a dwarf toiler','','','','',2,109,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140830,'a Crushbone trainer','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140831,'a grobin mucker','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140832,'Gargnarg','','','','',19,6253,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140833,'Burgef Steelwright','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140834,'a Crushbone watchman','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140835,'a Tallon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140836,'a Crushbone guardmaster','<Prisoner Supervision>','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140837,'Blinik Belestro','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140838,'Turgo Bargedown','<Liberation Squad>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140839,'Elonca Nusback','<Liberation Squad>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140840,'an expedition guard','<Liberation Squad>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140841,'Cratos','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140844,'Brodo Gillywump','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140845,'Poot','Sibricia''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140846,'a trout','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140847,'a sapling','','','','',255,212,128,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140848,'a spider','','','','',255,205,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140849,'Guard Kiifon','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140850,'Guard Kateraan','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140851,'a coerced sapling','','','','',255,212,128,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140852,'a brown-claw bear','','','','',255,198,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140853,'a coerced sapling','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140854,'Dhala Veera','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140855,'a Crushbone sentry','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140856,'a giant spider','','','','',255,205,92,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140857,'a nibbler','','','','',255,5759,64,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140858,'a nibbler stag','','','','',255,2414,70,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140859,'a Klixie warmaker','','','','',255,1710,25,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140860,'Scribe Eljas Aravirta','','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,37410,0,0,0,0,0,0,0,0,0,0,0,0),
(1140861,'a shadow attacker','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140863,'Piritta Silvarri','<Sage >','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140864,'Eva Corunno''thes','<High Priestess of Growth>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140865,'Sheriddar Briarstorm','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140866,'a brown spider','','','','',255,205,73,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140869,'Juha Windgift','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140870,'Guard Laelli','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140872,'a diseased slitherer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140873,'Trainer Vantan Perikato','<Recognizing Opportunities>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140874,'a diseased beetle','','','','',255,221,38,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140875,'Trainer Lucien Laurel','<Horse Merchant>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140876,'Trainer Valtteri Yliveri','<Keeper of Magical and Martial Knowledge>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140877,'Trainer Rafela Kosimo','<Expert in Physical Attributes>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140878,'Gibrien Marsden','<Assistant City Registrar>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140879,'George','','','','',255,6842,28,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140880,'Fethinal the Enchanted','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140881,'a decaying guardian','','','','',255,6283,87,6,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140882,'a crystal guardian','','','','',255,6280,89,8,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140883,'a polluted ooze','','','','',255,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140884,'a crystal guardian','','','','',255,6280,67,4,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140885,'Captain Huuk','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140886,'First Mate Horace','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140887,'a grobin chipper','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140888,'a Shroomba planter','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140889,'a Grobin Taskmaster','','','','',255,6516,21,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140890,'a Shroomba pollinator','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140891,'a grobin sporeharvester','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140892,'a Grobin Overseer','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140893,'a spawning trout','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140894,'Kaalee Inimaari','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140895,'The Treebuz Stinger','','','','',255,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140896,'Telo Nuneo','<Merchant>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,37581,0,0,0,0,0,0,0,0,0,0,0,0),
(1140897,'Selia Rilonya','<Merchant>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,37582,0,0,0,0,0,0,0,0,0,0,0,0),
(1140899,'a forgotten resident','','','','',255,1521,24,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140900,'Brackus Firehammer','','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140901,'Risto Harila','<General Goods>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,37586,0,0,0,0,0,0,0,0,0,0,0,0),
(1140902,'a willowisp brigand','','','','',255,3710,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140903,'a warming slitherer','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140905,'Jobekn','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140907,'Goober','Child of Karana','','','',255,195,16,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140910,'Malil','Memnarch''s Personae Twin','','','',9,1599,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140913,'Bezzatin Grzzat','<Growzzat Queen>','','','',255,150,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140914,'a Crushbone conscript','','','','',19,6253,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140915,'Daruk Granite Nose Dobbson','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140916,'fleeting Virosinoid','','','','',255,5096,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140917,'fleeting Virosinoid','','','','',255,5096,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140918,'focused Virosinoid','','','','',255,5096,51,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140919,'focused Virosinoid','','','','',255,5096,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140920,'focused Virosinoid','','','','',255,5096,61,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140921,'focused Virosinoid','','','','',255,5096,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140922,'fleeting Virosinoid','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140923,'fervent Virosinoid','','','','',255,5096,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140924,'fleeting Virosinoid','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140925,'a Crushbone centurion','','','','',19,6253,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140926,'Kresp','','','','',13,72,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140927,'Grum','<Eater of Small Things>','','','',12,124,19,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140928,'Ceft Stoutarm','','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140929,'Mentha Haora','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140930,'Matstyr Alesmith','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1140931,'Grimply Sniffwistle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140932,'Grepurp','','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140933,'Teriniu Featherlight','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140934,'Randu K''van','<Freeport Emmisary>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140935,'Gibobtik','Mesmers''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140938,'a Sullon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140939,'a Vallon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140940,'a Crushbone footman','','','','',19,6259,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140941,'Crushbone Expedition Chef','','','','',19,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140942,'a Crushbone sparrer','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140943,'a Crushbone trainer','','','','',19,6229,40,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140944,'a Crushbone polluter','','','','',19,6259,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140945,'a Crushbone trainee','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140946,'a Crushbone legionnaire','','','','',19,6253,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140947,'a Crushbone lieutenant','','','','',19,6259,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140948,'a Crushbone lieutenant','','','','',19,6259,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140949,'a Crushbone camp builder','','','','',19,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140950,'Wyld Mistleaf','','','','',15,78,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140951,'a Crushbone herb gatherer','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140952,'a Derris Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140953,'a coerced ooze','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140954,'a Crushbone supply runner','','','','',19,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140955,'a punished magi apprentice','','','','',19,6229,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140956,'Shareth D''Frexin','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140957,'The Quarry','','','','',255,6280,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140959,'Trainer Arilla Larivaara','<Weapon Master>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140960,'a growler pup','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140961,'a striped silkspinner','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140963,'Kabobtik','Ukifade''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140965,'Jartik','Ukifade''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140968,'Mike the God of Big Rocks','<The Shadow Odyssey Beta Buffer>','','','',255,7315,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140970,'dark seepage','','','','',255,296,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140972,'dark horror','','','','',255,240,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140973,'a Concordium Pupil Adept','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140974,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140975,'an Arcane Science apprentice','','','','',3,1592,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140976,'Konekab','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140977,'shadow brute','','','','',255,8223,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140980,'Konartik','Jetlun''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140981,'Jarann','Jetlun''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140982,'Bugged','Udij''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140983,'a Growzzat high guard','','','','',255,1710,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140984,'Rrarwrk','','','','',255,7254,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140985,'Fhera Dyalla','','','','',15,1442,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140986,'Bareblue','Bareblue''s inferno golem','','','',255,6281,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140987,'a sapling','','','','',255,212,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140988,'Grandmaster Feldmanus','<Trades Coordinator>','','','',16,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140990,'Wolf','Dragonwolf''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140991,'Stinger','','','','',255,276,35,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140994,'Oginok','Oginok''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140997,'Applepudding','Applepudding''s tellurian myrmidon','','','',255,152,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1140998,'Ikile Harmonia','<Crafting Instruction>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141000,'Snuffles','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141002,'Lucretia','Jeed''s Personae Shift','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141003,'Nomi','Kretchma''s Personae Shift','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141005,'Jebekn','Edana''s Personae Split','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141006,'fervent Virosinoid','','','','',255,5096,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141008,'fervent Virosinoid','','','','',255,5096,60,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141009,'Reanimated Nexus Scion','','','','',255,4536,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141010,'fervent Virosinoid','','','','',255,5096,55,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141011,'fervent Virosinoid','','','','',255,5096,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141012,'Beautyqueen','Antinea''s Personae Reflection','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141013,'fleeting Virosinoid','','','','',255,5096,64,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141014,'focused Virosinoid','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141015,'frenzied Virosinoid','','','','',255,5096,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141016,'fervent Virosinoid','','','','',255,5096,55,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141017,'fleeting Virosinoid','','','','',255,5096,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141020,'Crushbone Expedition Weaponsmith','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141021,'Crushbone Expedition Leader','','','','',19,6229,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141022,'Crushbone Expedition Planner','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141023,'the Malgurt','','','','',255,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141025,'a crystal guardian','','','','',255,6280,101,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141026,'Kann','Ornelia''s Personae Twin','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141030,'Diamond','Amethystic''s Personae Reflection','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141031,'Jonober','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141032,'a coerced sapling','','','','',255,212,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141033,'a corrupted sapling','','','','',255,212,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141034,'fervent Virosinoid','','','','',255,5096,53,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141035,'focused Virosinoid','','','','',255,5096,55,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141043,'widget_medicinal_mushroom01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141044,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141045,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141046,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141047,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141048,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141049,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141050,'honor_declaration_location_12',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141051,'honor_declaration_location_01',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141052,'Aerie Ilka housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141053,'honor_declaration_location_11',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141054,'honor_declaration_location_10',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141055,'honor_declaration_location_09',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141056,'honor_declaration_location_08',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141057,'honor_declaration_location_07',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141058,'honor_declaration_location_06',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141059,'honor_declaration_location_05',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141060,'honor_declaration_location_03',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141061,'honor_declaration_location_13',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141062,'honor_declaration_location_04',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141063,'honor_declaration_location_02',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141064,'honor_declaration_location_14',NULL,'','','',0,49,32,0,1,1,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141065,'widget_fae_book_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141066,'widget_fae_book_01',NULL,'','','',0,49,32,0,1,1,189,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141067,'widget_fae_book_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141068,'widget_skeleton_mastery_book',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141069,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141070,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141071,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141072,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141073,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141074,'widget_fae_book_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141075,'widget_fae_book_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141076,'widget_armoire_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141077,'Granite Hills Acorn Lift',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141078,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141079,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141080,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141081,'kelethin_guildhall_entrance',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141082,'widget_goblin_mastery_book',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141083,'Silver Leaf Inn housing',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141084,'reedmace',NULL,'','','',0,49,32,0,1,1,862,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141085,'reedmace',NULL,'','','',0,49,32,0,1,1,862,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141086,'reedmace',NULL,'','','',0,49,32,0,1,1,862,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141087,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141088,'Joleena''s Restaurant Acorn Lift',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141089,'Aerie Khollo housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141090,'Aerie Amree housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141091,'Aerie Kaksi housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141092,'Aerie Sajlen housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141093,'Aerie Kolmas housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141094,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141095,'widget_fae_war_book01',NULL,'','','',0,49,32,0,1,1,863,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141096,'widget_parchment_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141097,'widget_bark_beetle04',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,1355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141098,'Tunare''s Sapling Acorn Lift',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141099,'widget_tunneler_beetle01',NULL,'','','',0,49,32,0,1,1,865,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141100,'widget_citizenship_salt',NULL,'','','',0,49,32,0,1,1,866,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141101,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141102,'widget_deity_tunare_nurse_log',NULL,'','','',0,49,32,0,1,1,867,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141103,'widget_tunneler_beetle02',NULL,'','','',0,49,32,0,1,1,865,0,0,0,0,0,0,0,562,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141104,'widget_sploding_mushroom01',NULL,'','','',0,49,32,0,1,1,868,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141105,'widget_bark_beetle03',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,1548,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141106,'widget_crystalline_beetle01',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141107,'widget_tunneler_beetle03',NULL,'','','',0,49,32,0,1,1,865,0,0,0,0,0,0,0,562,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141108,'widget_treant_mastery_book',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141109,'widget_sploding_mushroom02',NULL,'','','',0,49,32,0,1,1,868,0,0,0,0,0,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141110,'widget_crystalline_beetle02',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141111,'widget_sploding_mushroom03',NULL,'','','',0,49,32,0,1,1,868,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141112,'widget_bark_beetle01',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,1075,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141113,'widget_tunneler_beetle04',NULL,'','','',0,49,32,0,1,1,865,0,0,0,0,0,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141114,'widget_crystalline_beetle04',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141115,'qst_scp_brodo_mushroom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141116,'widget_crystalline_beetle03',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141117,'qst_scp_brodo_mushroom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141118,'widget_bark_beetle02',NULL,'','','',0,49,32,0,1,1,864,0,0,0,0,0,0,0,1377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141119,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141120,'qst_scp_warden_flower',NULL,'','','',0,49,32,0,1,1,874,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141121,'qst_scp_warden_flower',NULL,'','','',0,49,32,0,1,1,874,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141122,'widget_sploding_mushroom04',NULL,'','','',0,49,32,0,1,1,868,0,0,0,0,0,0,0,530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141123,'widget_sploding_mushroom05',NULL,'','','',0,49,32,0,1,1,868,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141124,'',NULL,'','','',0,49,32,0,1,1,1156,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141125,'widget_bixie_mastery_book',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141126,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141127,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141128,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141129,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141130,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141131,'Tunares Sapling Acorn Lift',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141132,'Aerie Ilka',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141133,'reedmace',NULL,'','','',0,49,32,0,1,1,862,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141134,'Aerie Kolmas',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141135,'Aerie Kaksi',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141136,'Aerie Amree',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141137,'Aerie Sajlen',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141138,'Aerie Khollo',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141139,'Silver Leaf Inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141140,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141142,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141143,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141144,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141145,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141146,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141147,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141148,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141149,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141150,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141151,'Champion''s Respite Portal',NULL,'','','',0,15477,10,0,0,0,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141152,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141153,'brazier',NULL,'','','',0,2025,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141154,'tent',NULL,'','','',0,12193,31,0,1,1,0,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141155,'fabric roll',NULL,'','','',0,11673,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141156,'floor_barrel_any_ornate01',NULL,'','','',0,2563,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141157,'basket',NULL,'','','',0,11817,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141158,'basket',NULL,'','','',0,11814,40,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141159,'ensorcelled_yellow_lantern',NULL,'','','',0,10381,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141160,'ensorcelled_green_lantern',NULL,'','','',0,10378,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141161,'ensorcelled_red_lantern',NULL,'','','',0,10380,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141162,'ensorcelled_blue_lantern',NULL,'','','',0,10377,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141163,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141164,'an Ironforge anvil',NULL,'','','',0,2984,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141165,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141166,'rug',NULL,'','','',0,3514,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141168,'floor_potionbottle_any_large04',NULL,'','','',0,2617,31,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141169,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141170,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141171,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141172,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141173,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141174,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141175,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141176,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141177,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141178,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141179,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141180,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141181,'floor_bottle_any_wine01',NULL,'','','',0,4604,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141182,'pile of twigs for fire',NULL,'','','',0,4003,32,0,1,1,0,0,3120,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141183,'Kelethin Teleporter',NULL,'','','',0,2682,32,0,0,0,182,0,1576,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141184,'woven kelethin green rug',NULL,'','','',0,8345,32,0,1,1,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141185,'kel_fae_tent_merchant02',NULL,'','','',0,6581,32,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141186,'kel_fae_tent_merchant01',NULL,'','','',0,6580,32,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141187,'kelethin_sign_post01',NULL,'','','',0,6943,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141188,'jyoril_maarson_sul_sphere',NULL,'','','',0,4186,16,0,1,1,183,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141189,'chair_cherry_fancy',NULL,'','','',0,1968,16,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141190,'grender_totem',NULL,'','','',0,2223,16,0,1,1,184,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141191,'a Crushbone siege weapon',NULL,'','','',255,7184,32,0,1,1,185,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141192,'hiraen_aravirta_sul_sphere',NULL,'','','',0,1,8,0,1,1,186,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141193,'quest_marr_altar',NULL,'','','',0,6873,32,0,1,1,187,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141194,'bbm_crate_wood02',NULL,'','','',0,6698,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141195,'floor_pan_any_frying01',NULL,'','','',0,2689,34,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141196,'gfay_signpost',NULL,'','','',0,6723,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141197,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141198,'troll_candle_01',NULL,'','','',0,1614,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141199,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141200,'qst_unseenhand_kitchen_1',NULL,'','','',0,1399,32,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141201,'glade shrubling',NULL,'','','',0,4075,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141202,'qst_scp_orc_lab',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141203,'qst_scp_orc_lab',NULL,'','','',0,3410,32,0,1,1,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141204,'door_frame_rock',NULL,'','','',0,6664,32,0,1,1,0,0,0,0,0,0,0,0,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141205,'qst_scp_orc_lab',NULL,'','','',0,3413,32,0,1,1,61,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141206,'nursery_poisoned_flowers',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,6524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141207,'floor_potionbottle_any_large01',NULL,'','','',0,2614,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141208,'floor_flask_any_glass01',NULL,'','','',0,4470,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141209,'Limecap Mushroom',NULL,'','','',0,7233,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141210,'a Crushbone siege weapon',NULL,'','','',0,7184,32,0,1,1,185,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141211,'explosion cube',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141212,'',NULL,'','','',0,2306,32,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141213,'a Crushbone tent',NULL,'','','',0,6936,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141214,'sfm_gear_panel01',NULL,'','','',0,6332,24,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141215,'canopic jar small',NULL,'','','',0,2875,24,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141216,'sfm_table_wood01',NULL,'','','',0,6335,44,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141217,'Poggle''s Device',NULL,'','','',0,3252,81,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141218,'floor_bottle_human_pill01',NULL,'','','',0,3096,24,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141219,'kel_crate_fay01',NULL,'','','',0,7001,24,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141220,'sfm_wrench01',NULL,'','','',0,6334,24,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141221,'sfm_gear_panel02',NULL,'','','',0,6333,24,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141222,'dn_tent_red',NULL,'','','',0,6010,32,0,1,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141223,'kal_stein_dwarf01',NULL,'','','',0,6692,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141224,'kal_stool_dwarf',NULL,'','','',0,6691,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141225,'kal_table_dwarf_sm',NULL,'','','',0,6694,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141226,'kelethin science library book on floor',NULL,'','','',0,3022,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141227,'kelethin fiction library book on table ',NULL,'','','',0,1607,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141228,'altar_tunare_exceptional',NULL,'','','',0,6887,32,0,1,1,34,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141229,'shroom_01',NULL,'','','',0,2306,224,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141230,'crushbone_gong_with_wishlist',NULL,'','','',0,6474,25,0,1,1,869,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141231,'diseased pebbleberry bush',NULL,'','','',0,4075,36,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141232,'star limestone',NULL,'','','',0,3955,24,0,1,1,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141233,'Fae Drake Nest',NULL,'','','',0,7012,32,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141234,'sos_dragoneggs_unbroken_blue',NULL,'','','',0,7013,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141235,'a bixie basket',NULL,'','','',0,12488,32,0,1,1,0,0,185,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141236,'kel_fae_forge01',NULL,'','','',0,6582,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141237,'shroom_02',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141238,'shroom_03',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141239,'aoi_gully_of_ursa_rhym',NULL,'','','',0,2306,57,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141240,'a Crushbone tent',NULL,'','','',255,6936,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141241,'barrel',NULL,'','','',0,5287,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141242,'altar of innoruuk',NULL,'','','',0,6872,31,0,1,1,34,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141243,'Exp03 Greater Faydark Sorcerer Rune',NULL,'','','',0,4180,32,0,1,1,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141244,'shroom_04',NULL,'','','',0,2306,224,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141245,'swampflitter eggs',NULL,'','','',0,3977,64,0,1,1,0,0,1497,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141246,'Firepit',NULL,'','','',0,6575,32,0,1,1,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141247,'shroom_05',NULL,'','','',0,2306,224,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141248,'kel_container_basket02',NULL,'','','',0,6583,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141249,'woven leaf rug',NULL,'','','',0,8346,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141250,'a skull shrine',NULL,'','','',0,4138,57,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141251,'crushbone_tent01',NULL,'','','',0,6935,32,0,1,1,0,0,0,0,0,0,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141252,'qst_scp_crushbone_plan_book',NULL,'','','',0,3323,32,0,1,1,64,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141253,'sfm_bed_single01',NULL,'','','',0,6329,61,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141254,'sfm_bench_ornate01',NULL,'','','',0,6330,42,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141255,'sapphire_lake_aoi',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141256,'altar of rain',NULL,'','','',0,7760,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141257,'crushbone_bunk',NULL,'','','',0,6941,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141258,'crushbone_tent02',NULL,'','','',0,6936,32,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141259,'orc knight statue',NULL,'','','',0,4464,32,0,1,1,56,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141260,'teriniu''s sisters hammer',NULL,'','','',0,43,32,0,1,1,1178,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141261,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141262,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141263,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141264,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1141265,'Flying Race Beacon 01',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141266,'Flying Race Beacon 01',NULL,'','','',0,15270,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141267,'Flying Race Beacon 02',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141268,'Flying Race Beacon 03',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141269,'Flying Race Beacon 04',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141270,'Flying Race Beacon 05',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141271,'Flying Race Beacon 06',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141272,'Flying Race Beacon 07',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141273,'Flying Race Beacon 08',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141274,'Flying Race Beacon 09',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141275,'Flying Race Beacon 10',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141276,'Flying Race Beacon 11',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141277,'Flying Race Beacon 12',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141278,'Flying Race Beacon 13',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141279,'Flying Race Beacon 14',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141280,'Flying Race Beacon 15',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141281,'Flying Race Beacon 16',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141282,'Flying Race Beacon 17',NULL,'','','',0,15266,32,0,1,1,0,0,23058,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141283,'Flying Race Beacon 18',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141284,'Flying Race Beacon 19',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141285,'Flying Race Beacon 20',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141286,'Flying Race Beacon 21',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141287,'Flying Race Beacon 22',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141288,'Flying Race Beacon 23',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141289,'Flying Race Finish Line',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141290,'Flying Race Finish Line',NULL,'','','',0,15272,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141291,'flying_race_start_pad',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141292,'flying_race_teleport_pad',NULL,'','','',0,15380,32,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141293,'Flying Race Score Board',NULL,'','','',0,15259,32,0,1,1,0,0,0,0,0,1,0,0,285,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141294,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1141295,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141296,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141297,'Mail Kiosk',NULL,'','','',0,6862,32,0,1,1,29,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141298,'sign_to_green_knoll',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141299,'sign_to_joleena',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141300,'sign_old_kelethin',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141301,'widget_sign_fae_royal_hall',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141302,'sign_to_tunares_pages',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141303,'sign_to_joleenas_lift',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141304,'widget_sign_tunares_pages',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141305,'sign_royal_court',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141306,'sign_house_aerie02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141307,'court house rhympost',NULL,'','','',0,6723,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141308,'sign_to_gearhearts_forge',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141309,'sign_to_bank',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141310,'faydark champion memorial',NULL,'','','',0,1490,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141311,'sign_to_library',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141312,'bough rhympost',NULL,'','','',0,6723,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141313,'crushbone_spy_post_hints',NULL,'','','',0,2306,50,0,1,1,0,0,1907,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141314,'sign_to_jysolins_pub',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141315,'sign_to_granite_hills_lift',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141316,'sign_to_prot_growth',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141317,'sign_to_fae_royal_hall',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141318,'widget_sign_gearhearts_forge',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141319,'sign_warrior_protectors_growth',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141320,'Translocator Spires',NULL,'','','',0,2306,96,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141321,'widget_sign_jysolins_pub',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141322,'sign_order_arcane',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141323,'sign_to_sylvan_hunters',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141324,'sign_to_falling_stars',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141325,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141326,'sign_mage_order_arcane',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141327,'sign_scout_sylvan_hunters',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141328,'A hidden door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141329,'door_to_truthbringer_trials',NULL,'','','',0,6665,32,0,1,1,46,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141330,'memorial rhympost',NULL,'','','',0,6723,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141331,'kelethin_kilroy_table',NULL,'','','',0,1541,41,0,1,1,135,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141332,'qst_astaar_altar',NULL,'','','',0,7014,64,0,1,1,541,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141333,'a faeicia herb',NULL,'','','',0,10635,33,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141334,'',NULL,'','','',0,6724,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141335,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141336,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,1,1,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141337,'Faydark Portal',NULL,'','','',0,7008,24,0,1,1,861,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141338,'kelethin_kilroy_boulder',NULL,'','','',0,1725,32,0,1,1,135,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141339,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141340,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141341,'sign_house_aerie01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141342,'aerie rhympost',NULL,'','','',0,6723,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141343,'sign_house_aerie04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141344,'sign_house_aerie03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141345,'sign_old_kelethin_lift',NULL,'','','',0,6944,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141346,'kelethin_kilroy_books',NULL,'','','',0,2594,25,0,1,1,135,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141347,'library rhympost',NULL,'','','',0,6723,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141348,'old lift rhympost',NULL,'','','',0,6723,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141349,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141350,'qst_fae_language_marker',NULL,'','','',0,1549,144,0,1,1,541,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141351,'a Shroomba proto-capling',NULL,'','','',0,3951,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141352,'a Shroomba proto-capling',NULL,'','','',0,3949,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141353,'scroll_signaling_spies',NULL,'','','',0,2544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141354,'a Shroomba proto-capling',NULL,'','','',0,3950,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141355,'sign_qst_pirate_captain_bones',NULL,'','','',0,1847,45,0,1,1,873,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141356,'a bixie basket',NULL,'','','',0,12488,32,0,1,1,0,0,185,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141357,'sign_qst_pirate_bottle',NULL,'','','',0,2619,55,0,1,1,0,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141358,'sign_qst_pirate_chest',NULL,'','','',0,6424,32,0,1,1,465,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141359,'grobin orc strongbox',NULL,'','','',0,4016,32,0,1,1,33,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141360,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141361,'',NULL,'','','',0,6724,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141362,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141363,'rhym house, diva',NULL,'','','',0,2983,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141364,'rhym house, baritone',NULL,'','','',0,2983,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141365,'rhym, gong',NULL,'','','',0,6474,14,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141366,'rhym chessboard',NULL,'','','',0,17,66,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141367,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141368,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141369,'widget_sign_joleenas_restaurant',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141370,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141371,'widget_history_fae_memorial',NULL,'','','',0,49,32,0,1,1,875,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141372,'sign_priest_falling_stars',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141373,'flavor_medical_chart',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141374,'',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141375,'memorial of burning roots',NULL,'','','',0,6700,48,0,1,1,816,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141376,'zone_to_live_enchanted_grotto04',NULL,'','','',0,10329,48,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141377,'wanted poster',NULL,'','','',0,3655,32,0,1,1,44,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141378,'To Crushbone Keep',NULL,'','','',0,49,32,0,1,1,1157,0,0,0,0,1,0,0,615,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141379,'door_to_crushbone_keep_epic02_boss',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141380,'qst_history_fae_crushbone',NULL,'','','',0,1549,35,0,1,1,541,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141381,'(unnamed)',NULL,'','','',0,6724,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141382,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141383,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141384,'(unnamed)',NULL,'','','',0,6724,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141385,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141386,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141387,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141388,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141389,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141390,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141391,'(unnamed)',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141392,'Ivy Orb Signature Quest Door',NULL,'','','',0,6665,32,0,1,1,604,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141393,'portal_to_steamfont',NULL,'','','',0,2306,48,0,1,1,1179,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141394,'rhym house, composer',NULL,'','','',0,2983,32,0,1,1,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141395,'widget_sign_tunares_pages',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141396,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141397,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141398,'growing roots',NULL,'','','',0,6905,78,0,1,1,2,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141399,'natural garden',NULL,'','','',0,1670,61,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141400,'crumbled stones',NULL,'','','',0,6893,80,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141401,'exposed ore',NULL,'','','',0,6902,84,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141402,'fallen branch',NULL,'','','',0,6899,80,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141403,'an unearthed Tart Faydark Truffle',NULL,'','','',0,6593,6,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141404,'The Greenlight''s Sul Sphere',NULL,'','','',0,2681,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141405,'rodent den',NULL,'','','',0,6896,78,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141406,'eroded rock',NULL,'','','',0,6893,87,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141407,'moss covered ore',NULL,'','','',0,6902,85,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141408,'a bush',NULL,'','','',0,4078,61,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141409,'moss covered branch',NULL,'','','',0,6899,83,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141410,'feral animal den',NULL,'','','',0,6896,85,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141411,'large roots',NULL,'','','',0,6905,77,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141412,'bracket fungus',NULL,'','','',0,9489,22,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141413,'yellow-blooded mushroom',NULL,'','','',0,3951,22,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141414,'red-blooded mushroom',NULL,'','','',0,3950,37,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141415,'school of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141416,'trout fingerling',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141417,'broken Klixie hive',NULL,'','','',0,5922,91,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141418,'capling_noharvest',NULL,'','','',0,3951,19,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141419,'capling_noharvest',NULL,'','','',0,3950,18,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141420,'capling_noharvest',NULL,'','','',0,3949,19,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141421,'broken Growzzat hive',NULL,'','','',0,5922,101,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141422,'Maayiri Ellia''s Sul Sphere',NULL,'','','',0,2681,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141423,'a faeicia leaf herb',NULL,'','','',0,1670,34,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141424,'Ul''Alarum Oracle Stone',NULL,'','','',0,3423,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141425,'resilient roots',NULL,'','','',0,1727,22,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141426,'Growzzat Honey',NULL,'','','',0,5922,106,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141427,'trout fingerling',NULL,'','','',0,1666,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141428,'Klixie Honey',NULL,'','','',0,5922,104,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141429,'school of Emerald Trout',NULL,'','','',0,4159,27,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141430,'Moonlight Tree',NULL,'','','',0,1624,32,0,1,1,8,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141433,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141435,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141437,'a horse','','','','',255,6846,31,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141439,'','','','','',255,7215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141440,'a kitten','','','','',255,306,18,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141441,'an Ulteran network scholar','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141442,'a twilight wisp','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141443,'an underwood crawler','','','','',255,256,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141444,'an ooze','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141445,'Guard Valder','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141446,'Panderra','<Brownie Emissary>','','','',15,114,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141447,'Ebnix Cogsworth','<Tinkering Trainer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141449,'Nixia Cogsworth','<Fuel Supplies>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100207,0,0,0,0,0,0,0,0,0,0,0,0),
(1141450,'Lady Milika Vikaarinen','<Fae Royal Defense Minister>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141451,'a turtle','','','','',255,215,22,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141454,'a scaled hopper','','','','',255,237,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141455,'Guard Uilkuiken','<Fae Royal Guard>','','','',255,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141456,'a citizen','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141457,'a Crushbone destroyer','','','','',20,6229,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141458,'a large slitherer','','','','',255,213,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141459,'a small spider','','','','',255,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141460,'a Crushbone arsonist','','','','',20,6259,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141461,'a Crushbone pawn','','','','',20,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141462,'Innkeeper Twiggy','<Housing>','','','',255,212,35,0,1,1,10,0,0,0,0,1,0,0,56,0,0,0,0,4937,0,0,0,0,0,0,0,0,0,0,0,0),
(1141463,'a golden flier','','','','',255,260,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141465,'Kale Vilaaka','<Provisioner>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141466,'Preston Pepperpicker','<Picker of Peppers>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,4941,0,0,0,0,0,0,0,0,0,0,0,0),
(1141468,'Meliina Copperleaf','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141472,'Imme Naime','<Marr-Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141473,'Marrit Rootling','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141475,'Gruff Shadygrove','<Weapon Craftsman>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141476,'Mikka Ashberry','<Armor Craftsman>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141477,'Sannor Vilika','<Rush Orders>','','','',9,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141478,'Pirgetta Maarit','<Work Orders>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141481,'Avisa Povaari','<Expert Liaison>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141483,'Guard Aluvier','<Fae Royal Guard>','','','',255,6489,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141485,'Noora Maki','<Adorning Trainer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141486,'Sade  Maki','<Adorning Merchant>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141487,'Vestina Pinaarian','<Lady''s Maid>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141488,'Liana Ashwood','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141489,'Sir Gearheart','<Guardian of the Fae>','','','',255,6670,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141490,'Princess Saphronia','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141491,'a small slitherer','','','','',255,213,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141492,'a Crushbone destroyer','','','','',20,6253,41,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141495,'Dusty Diamond','<Jeweler>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,4973,0,0,0,0,0,0,0,0,0,0,0,0),
(1141497,'Merchant Nilamiyan Fayberry','<Bowyer>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,4977,0,0,0,0,0,0,0,0,0,0,0,0),
(1141498,'a slitherer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141500,'Guard Menelaar','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141502,'Aothis Warmbreeze','<City Merchant>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,4986,0,64,0,0,0,0,0,0,0,0,0,0),
(1141503,'Quark Quickmend','<Mender>','','','',7,108,38,0,1,1,12,9,0,0,0,1,0,0,17,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1141505,'Scribe Hilja Saraste','<Linguist>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,37418,0,0,0,0,0,0,0,0,0,0,0,0),
(1141507,'Venla Vaara','<Collector>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141508,'Athinae Panteraas','<Banker>','','','',255,6488,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141509,'a Trebuz soldier','','','','',255,1710,57,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141510,'a Trebuz stinger','','','','',255,1710,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141512,'a greater ooze','','','','',255,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141513,'Sir Bayden Cauldthorn','<Lordknight of Valor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141514,'Guard Lythelia','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141515,'Elia Redleaf','<Horticulturist>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141516,'Freesia Ticklewing','<Instrument Mender>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141517,'Lilia Posey','<Sage>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100178,0,0,0,0,0,0,0,0,0,0,0,0),
(1141518,'Piritta Silvarri','<Sage>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,37413,0,0,0,0,0,0,0,0,0,0,0,0),
(1141521,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141522,'Glavarius Marud','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141523,'a howler','','','','',255,216,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141524,'a Crushbone invader','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141529,'Jaasko Broadleaf','<Arms Dealer>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,35938,0,0,0,0,0,0,0,0,0,0,0,0),
(1141530,'Kaarlo Karpela','<Mender>','','','',255,6489,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1141531,'Belinda Bayberry','<Armorsmith>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,5020,0,0,0,0,0,0,0,0,0,0,0,0),
(1141532,'Merchant Melilah','','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141534,'Ihieer Scytheleaf','<Paladin Trainer>','','','',15,114,28,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100487,0,4,0,0,0,0,0,0,0,0,0,0),
(1141535,'Anaaj Greenblade','<Berserker Trainer>','','','',15,6489,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(1141536,'Allikaatja Piimarik','<Monk Trainer>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(1141537,'Zemke the Wolf','<Guardian Trainer>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(1141539,'Jilae Ilaya','<Protectors of Growth Merchant>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,37419,0,0,0,0,0,0,0,0,0,0,0,0),
(1141540,'Orlin Alowekka','<Meti-Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141542,'a diseased treant','','','','',255,212,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141543,'Raimo Heinila','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141544,'Jysolin Nerala','<Bartender>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141547,'Danaria Redvine','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141548,'Zilendar Pilimaartu','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141549,'Saelir Varryn','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141550,'Eleoona Faleisinae','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141551,'Annika Liserra','<Fae Royal Messenger>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141552,'Gumpy Gritstone','<General Goods>','','','',2,1481,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,6236,0,0,0,0,0,0,0,0,0,0,0,0),
(1141553,'Juho Aulis','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141554,'Helna Irongut','<Provisioner>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,6238,0,0,0,0,0,0,0,0,0,0,0,0),
(1141556,'Bresiya Tuuri','<Illusionist Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(1141558,'Corrig Stonecutter','<Broker>','','','',2,110,32,0,1,1,20,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141559,'Morten Zantoff','<Teleport Trainer>','','','',3,6489,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,6243,0,0,0,0,0,0,0,0,0,0,0,0),
(1141560,'Buzz Vitikka','<Wizard Trainer>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(1141561,'Jiaana Kaalikka','<Conjuror Trainer>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100484,0,4,0,0,0,0,0,0,0,0,0,0),
(1141563,'Guard Baldor','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141564,'Celinista Ryannalis','<Order of Arcane>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141567,'Lumonesse Akri','<Maar-Silvani Arcanist>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141568,'Agrefra Aaulle','<Minor Arcanist>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141569,'Aelia Naeni','<Advancement Counsel>','','','',255,6488,32,0,1,1,22,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141571,'Aavu Vippa','<Meti-Silvani Arcanist>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141572,'Ovlaat Vikkun','<Order of Arcane Relic Seeker>','','','',255,6489,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141574,'Taavetti Raivo','<Explorer>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141575,'Launo Severi','<Maar-Explorer>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141576,'Thaylwin Redleaf','<Bowyer>','','','',15,1452,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,6260,0,0,0,0,0,0,0,0,0,0,0,0),
(1141577,'Hoan Seastrider','<Munitions Specialist>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141580,'Eagereye Mayweed','<Ranger Trainer>','','','',255,6489,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(1141581,'Kalja Songstress','<Dirge Trainer>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(1141582,'Lonegon Bogh','<Assassin Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(1141583,'Tisana Perpaavo','<Meti-Explorer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141584,'Ritta-Li Maarja','<Maar-Explorer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141585,'Firiona Vie','<Chosen of Growth>','','','',18,7376,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141586,'a Crushbone centurion','','','','',20,6229,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141587,'Princess Zhyleen','','','','',255,181,41,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141588,'a Fayfly','','','','',255,181,96,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141589,'guardian of the glade','','','','',255,6291,32,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141590,'a Fayfly','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141591,'a Fayfly','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141593,'Spot','','','','',255,6529,25,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141596,'Naiara Kalervo','<Meti-Explorer>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141597,'Vester Maarit-Melle','<Minor Explorer>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141598,'Melody','','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141599,'Jimmie Gearbender','<Fence>','','','',5,121,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141601,'Idinavir Ketit','<Meti-Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141602,'Liric Iassar','<Minor Defender>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141603,'a shrumbler hatchling','','','','',255,2413,7,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141604,'Trainer Leianna Teiampa','<Know Your Fate>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141605,'Breezebloom','<Merchant>','','','',255,6488,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,13161,0,0,0,0,0,0,0,0,0,0,0,0),
(1141606,'Grull Silverstump','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,34,151,151,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1141607,'Glitterpuff','<Banker>','','','',255,6488,32,0,1,1,14,9,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141608,'Trainer Kaali Saarinen','<Knowledge of Repairs and Banking>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141610,'Trainer Tahvolo Viljaan','<Know Your Enemy>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141611,'a Tuwasp forager','','','','',255,150,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141612,'a grobin scout','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141613,'Lark Meadowswoon','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141614,'a grobin polluter','','','','',255,6516,15,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141615,'a shrumbler','','','','',255,2411,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141616,'Sentry Trillis','','','','',255,6489,34,3,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141617,'Trainer Eivarra Laceleaf','<Harvest and Collections Diva>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141619,'a Shroomba grove tender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141620,'a Shroomba planter','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141621,'a Growzzat Royal Guard','','','','',255,1710,25,3,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141622,'Zzartini Grzzat','<Growzzat Princess>','','','',255,150,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141623,'a sand sifter','','','','',255,215,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141624,'a clawsnap','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141625,'a stranded pirate','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141626,'a stranded pirate','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141627,'a filthy lookout','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141628,'a nursery defender','','','','',255,6489,32,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141629,'a hostile Tuwasp forager','','','','',255,150,19,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141630,'a fallen Tuwasp forager','','','','',255,150,19,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141631,'a Tuwasp worker','','','','',255,1711,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141633,'a grove hawk','','','','',255,260,64,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141634,'Morganellus','','','','',255,5096,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141635,'Eitharbor','','','','',255,212,96,0,1,1,9,0,0,0,0,1,0,0,56,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141636,'a white-tailed leaper','','','','',255,206,16,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141637,'a grobin tunnel guard','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141638,'a Shroomba defender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141639,'a large shrumbler','','','','',255,2411,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141640,'a nursery defender','','','','',255,6488,30,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141641,'a Shroomba tender','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141642,'a needle tooth','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141643,'a line breaker','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141644,'an octarm','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141645,'an ocean terror','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141646,'Barbfin','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141647,'a water thrasher','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141648,'a grobin eggkeeper','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141650,'Lieutenant Fyladii','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141651,'a grobin lookout','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141652,'a fae soldier','','','','',255,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141654,'Dlok the Treewatcher','','','','',255,6516,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141655,'The Shrumbler Breeder Queen','','','','',255,6540,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141656,'a Shroomba cultivator','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141657,'a grobin digger','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141658,'a Crushbone emissary','','','','',20,6259,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141659,'Turkrik','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141660,'a grobin sentry','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141661,'a young shrumbler','','','','',255,2411,11,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141662,'Agarighus','<Grove Tender>','','','',255,5096,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141663,'a grobin attacker','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141664,'Pengo','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141665,'Gomphum','<Boletae Herder>','','','',255,5096,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141666,'a growler','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141667,'Faydark Den Mother','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141668,'a prowler','','','','',255,216,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141669,'a Crushbone scout','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141670,'Brink Trudger','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141671,'Jenthis Viridar','','','','',15,1447,32,0,1,1,9,0,0,0,0,1,0,0,28,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141674,'Ami Augren','','','','',255,50065,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141675,'Thekela Gillywump','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141677,'a Sapling fawn','','','','',255,206,19,3,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141678,'fallen Growzzat bixie','','','','',255,1710,32,0,1,1,18,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141679,'a harnessed Spur stalker','','','','',255,216,20,3,1,1,11,0,20552,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141680,'a Spur stalker','','','','',255,216,20,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141681,'Eellii Tenderbranch','','','','',255,212,12,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141682,'a Growzzat drone','','','','',255,1710,23,1,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141683,'a dark ooze','','','','',255,8200,64,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141684,'Jalmari Keletana','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141685,'fallen Klixie bixie','','','','',255,1710,32,0,1,1,18,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141686,'Erkki of the Dew','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141687,'Eetu Wisperwind','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141688,'a Klixie soldier','','','','',255,1710,28,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141689,'a Crushbone brute','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141690,'a darkened racer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141691,'Lady Katri Eloranta','<Fae Rite of Passage Advisor>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141692,'Ystana Mirefaith','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141693,'Zephyre Violethair','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141695,'Kurista','<High Priestess of Growth>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141696,'Vernus Windrider','','','','',15,78,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141698,'Lieutenant Fa''Rak','','','','',20,6253,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141699,'Odo Gillywump','','','','',7,108,38,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141700,'Captain R.K. Irontoe','<The Irontoe Brigade>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141702,'a young brown-claw bear','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141703,'a wounded Klixie','','','','',255,1710,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141704,'a Crushbone herbalist','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141706,'Librarian Irja','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141709,'a Crushbone pawn invader','','','','',20,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141710,'a strongbox','','','','',255,226,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141711,'a corrupted sapling','','','','',255,212,128,0,1,1,11,0,1855,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141712,'a Crushbone corruptor','','','','',20,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141713,'a corrupted sapling','','','','',255,212,80,0,1,1,11,0,1855,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141714,'a corrupted bear','','','','',255,198,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141715,'a corrupted spider','','','','',255,205,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141716,'a diseased spider','','','','',255,245,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141717,'High Corruptor Gar''Lek','','','','',20,6259,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141718,'a Sapling stag','','','','',255,2414,30,8,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141719,'a Kelethin Defender','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141720,'Kelethin Defender','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141721,'Lady Astaar Evinien','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141722,'Trainer Modji Vilivarinen','<Know Your Inventory and Equipment>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141723,'Sajas Goldbeam','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141724,'a Crushbone spy','','','','',20,6229,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141726,'Jeleeta Ariaata','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141727,'Lady Alethea Jyleel','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141728,'Kiirkin Felendril','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141729,'Kalamar Vesinger','<Fae Royal Messenger>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141731,'Hamnal Teolofin','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141732,'a defeated guard','','','','',255,6488,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141733,'Launo Kal','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141734,'a Crushbone destroyer','','','','',20,6253,32,0,1,0,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141735,'a Crushbone destroyer','','','','',20,6253,51,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141736,'a defeated Crushbone destroyer','','','','',20,6229,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141737,'Poggle Fizzpop','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141738,'Fido','','','','',255,2371,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141739,'a slitherer','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141745,'Saali Ustraat','<Master Liaison>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141746,'Eezekri Pekalta','<Journeyman Liaison>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141749,'a twilight wisp','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141750,'Helmi Growthly','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141752,'Nizimi Llallo','<Meti-Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141753,'Preskir Kaavil','<Meti-Presbyter>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141754,'Laastri Amaturoa','<Maar-Presbyter>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141755,'Evissa Askko','<Maar-Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141756,'Relc Tulin','<House of Falling Stars>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141757,'Sallus Irontread','','','','',2,1481,32,0,1,1,9,0,11769,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141761,'a forgotten resident','','','','',255,1521,24,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141766,'Ehuva Aneskol','<Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141767,'Jaori Feaumaar','<Minor Presbyter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141768,'Gunda Firehammer','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141769,'a Granite Hills miner','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141770,'a mining lookout','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141771,'a river racer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141772,'an underwood fae drake','','','','',255,6536,63,6,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141773,'The Mushroom King','<Patch of the Ivory Graveyard>','','','',255,5096,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141774,'Granbu the Intimidating','','','','',255,198,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141775,'Meldrevik Wurlongion','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141776,'a huge spider','','','','',255,205,92,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141777,'a large brown-claw bear','','','','',255,198,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141778,'Bramble Thornhead','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141779,'Trystar Nightfire','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141780,'Svini Ferlink','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141781,'a scorched skeletal apprentice','','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141782,'Mentha Haora','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141783,'a cognatic bixie bopper','','','','',255,14346,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141784,'a scorched skeletal wizard','','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141785,'frenzied Virosinoid','','','','',255,5096,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141786,'Saril Zauiryn','<Diabolist of Hate>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141789,'frenzied Virosinoid','','','','',255,5096,36,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141790,'frenzied Virosinoid','','','','',255,5096,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141791,'fleeting Virosinoid','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141792,'spirit of life','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141793,'Shimmer Moonfair','','','','',255,6489,32,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141794,'frenzied Virosinoid','','','','',255,5096,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141795,'a kobold savage','','','','',255,6450,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141796,'a kobold scamp','','','','',255,6457,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141797,'a kobold warrior','','','','',255,6452,32,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141798,'fleeting Virosinoid','','','','',255,5096,52,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141799,'Grum','','','','',12,124,19,0,1,1,0,0,14023,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141800,'a kobold battler','','','','',255,6455,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141801,'fleeting Virosinoid','','','','',255,5096,54,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141802,'frenzied Virosinoid','','','','',255,5096,61,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141803,'frenzied Virosinoid','','','','',255,5096,58,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141804,'fervent Virosinoid','','','','',255,5096,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141805,'fervent Virosinoid','','','','',255,5096,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141806,'fervent Virosinoid','','','','',255,5096,43,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141807,'frenzied Virosinoid','','','','',255,5096,61,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141808,'frenzied Virosinoid','','','','',255,5096,57,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141809,'frenzied Virosinoid','','','','',255,5096,57,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141810,'frenzied Virosinoid','','','','',255,5096,37,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141811,'frenzied Virosinoid','','','','',255,5096,55,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141812,'frenzied Virosinoid','','','','',255,5096,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141813,'fleeting Virosinoid','','','','',255,5096,51,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141814,'fervent Virosinoid','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141815,'fervent Virosinoid','','','','',255,5096,46,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141816,'a rotting guardian','','','','',255,6284,71,8,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141817,'a swampflitter','','','','',255,2389,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141818,'crushbone_herbs','','','','',0,4075,27,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141820,'a rotting guardian','','','','',255,6284,55,7,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141821,'Glienna Lillypad','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141822,'The Witch of the Wood','','','','',255,181,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141823,'a decaying guardian','','','','',255,6283,72,8,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141824,'a Crushbone oracle','','','','',20,6259,38,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141825,'Modo Gillywump','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141826,'a Crushbone pawn','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141827,'a Growzzat high guard','','','','',255,1710,24,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141828,'Tuathil Laeds','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141829,'Daruk \"Granite Nose\" Dobbson','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141831,'a Crushbone conscript','','','','',20,6253,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141832,'a Crushbone footman','','','','',20,6253,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141833,'a Crushbone footman','','','','',20,6229,42,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141834,'a Crushbone footman','','','','',20,6253,44,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141835,'Young Spirit of the Faydark','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141837,'wood weevil','','','','',255,208,32,0,0,0,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141838,'Hubert','','','','',255,6846,31,5,1,1,9,0,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141839,'Roland','','','','',255,6846,30,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141840,'James','','','','',255,6846,34,6,1,1,9,0,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141841,'a bark burrower','','','','',255,208,41,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141842,'The Slitherer Queen','','','','',255,213,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141843,'Mittens','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141845,'Guard Destria','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141847,'a Crushbone guard','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141848,'a strongbox guardian','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141849,'a Gullon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141850,'a Crushbone emissary','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141851,'a half elf toiler','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141852,'a wood elf toiler','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141853,'a grobin','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141854,'a gnome toiler','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141855,'a high elf toiler','','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141856,'a moat sludge','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141858,'a moat ooze','','','','',255,209,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141859,'a fae toiler','','','','',255,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141860,'a dwarf toiler','','','','',2,109,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141861,'a Crushbone trainer','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141862,'a grobin mucker','','','','',255,6516,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141863,'Gargnarg','','','','',19,6253,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141864,'Burgef Steelwright','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141865,'a Crushbone watchman','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141866,'Blinik Belestro','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141868,'Elonca Nusback','<Liberation Squad>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141869,'an expedition guard','<Liberation Squad>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141870,'Brodo Gillywump','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141871,'Dhala Veera','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141872,'a shadow attacker','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141873,'Elaana Wingleaf','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141874,'Guard Laelli','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141875,'Guard Maardek','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141876,'a diseased slitherer','','','','',255,213,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141877,'Trainer Vantan Perikato','<Recognizing Opportunities>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141878,'a diseased beetle','','','','',255,221,38,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141879,'Trainer Valtteri Yliveri','<Keeper of Magical and Martial Knowledge>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141880,'Trainer Rafela Kosimo','<Expert in Physical Attributes>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141881,'George','','','','',255,6842,28,2,1,1,9,0,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141882,'Fethinal the Enchanted','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141883,'a decaying guardian','','','','',255,6283,88,7,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141884,'a crystal guardian','','','','',255,6280,89,8,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141885,'a polluted ooze','','','','',255,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141886,'Kaalee Inimaari','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141887,'Brackus Firehammer','','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141889,'a willowisp brigand','','','','',255,3710,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141890,'a warming slitherer','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141891,'fleeting Virosinoid','','','','',255,5096,63,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141892,'focused Virosinoid','','','','',255,5096,56,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141893,'fleeting Virosinoid','','','','',255,5096,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141894,'fervent Virosinoid','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141895,'fleeting Virosinoid','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141896,'a Sullon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141897,'a Vallon Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141898,'a Crushbone footman','','','','',19,6259,40,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141899,'Crushbone Expedition Chef','','','','',19,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141900,'a Crushbone sparrer','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141901,'a Crushbone trainer','','','','',19,6229,40,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141902,'a Crushbone polluter','','','','',19,6259,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141903,'a Crushbone trainee','','','','',19,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141904,'a Crushbone legionnaire','','','','',19,6253,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141905,'a Crushbone lieutenant','','','','',19,6259,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141906,'a Crushbone lieutenant','','','','',19,6259,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141907,'a Crushbone camp builder','','','','',19,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141909,'a Crushbone herb gatherer','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141910,'a Derris Brigade warsmith','','','','',19,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141911,'a coerced ooze','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141912,'a Crushbone supply runner','','','','',19,6229,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141913,'a punished magi apprentice','','','','',19,6229,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141914,'Shareth D''Frexin','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141915,'Commander Marcus Traeis','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141916,'a Growzzat high guard','','','','',255,1710,48,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141917,'Fhera Dyalla','','','','',15,1442,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141918,'fervent Virosinoid','','','','',255,5096,59,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141919,'Reanimated Nexus Scion','','','','',255,4536,88,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141920,'fervent Virosinoid','','','','',255,5096,54,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141921,'fervent Virosinoid','','','','',255,5096,58,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141922,'fleeting Virosinoid','','','','',255,5096,37,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141923,'Crushbone Expedition Weaponsmith','','','','',19,6259,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141924,'Crushbone Expedition Leader','','','','',19,6229,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141925,'Crushbone Expedition Planner','','','','',19,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141926,'the Malgurt','','','','',255,252,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141927,'a crystal guardian','','','','',255,6280,98,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141928,'fervent Virosinoid','','','','',255,5096,57,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141929,'focused Virosinoid','','','','',255,5096,58,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141933,'an orc arsonist','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141937,'a Sapling stag','','','','',255,2414,41,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141938,'Fenthys Rootbloom','<Mender and Armor Merchant>','','','',15,114,35,0,1,1,12,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141939,'Cee Petalshine','<Banker>','','','',255,6489,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141941,'Trainer Lucien Laurel','<Mount Merchant>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141942,'Cloister Guard Halvin','<Guard>','','','',15,114,32,0,1,1,13,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141943,'a pilgrim of Growth','','','','',255,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141944,'Cloister Guard Amelerii','<Guard>','','','',8,135,32,0,1,1,13,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141945,'Cloister Guard Ladell','<Guard>','','','',15,113,32,0,1,1,13,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141946,'Cloister Guard Velee','<Guard>','','','',255,6488,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141947,'Cloister Guard Dowlin','<Guard>','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141948,'Cloister Guard Atel','<Guard>','','','',255,6489,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141949,'Joren Kalth','<New Combine>','','','',255,18488,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141950,'Candal Embret','<New Combine>','','','',255,18488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141951,'Cheris Alton','<New Combine>','','','',255,18488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141954,'a cleansed sapling','','','','',255,212,128,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141963,'a leafy defender','','','','',255,212,89,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141964,'Lexxiuna','','','','',255,181,38,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141969,'fleeting Virosinoid','','','','',255,5096,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141970,'Eyre Evermend','<Mender>','','','',2,109,38,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1141971,'an angered Fayfly','','','','',255,181,96,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141972,'The Cogsmasher','<Clockwork Exterminator>','','','',255,6455,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141974,'focused Virosinoid','','','','',255,5096,45,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141975,'focused Virosinoid','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141977,'Gosaner','Focused Virosinoid''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141979,'a Crushbone watchman','','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141980,'Ashway Ulm','','','','',255,273,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141982,'a dull-sensed gladewalker','','','','',255,6291,28,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141985,'Trainer Morgok','','','','',20,6229,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141995,'a strongbox guardian','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141996,'a Derris Brigade warsmith','','','','',20,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141997,'a Crushbone guard','','','','',20,6253,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1141999,'Corruptor Thurizil','','','','',20,6259,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142014,'a water elemental','','','','',255,195,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142015,'Guardmaster Grush''ul','<Prisoner Supervision>','','','',20,6229,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142016,'a Tallon Brigade warsmith','','','','',20,6253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142021,'a crystal guardian','','','','',255,6280,80,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142030,'widget_medicinal_mushroom01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142031,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142032,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142033,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142034,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142035,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142036,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142037,'honor_declaration_location_12',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142038,'honor_declaration_location_01',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142039,'Aerie Ilka housing inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142040,'honor_declaration_location_11',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142041,'honor_declaration_location_10',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142042,'honor_declaration_location_09',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142043,'honor_declaration_location_08',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142044,'honor_declaration_location_07',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142045,'honor_declaration_location_06',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142046,'honor_declaration_location_05',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142047,'honor_declaration_location_03',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142048,'honor_declaration_location_13',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142049,'honor_declaration_location_04',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142050,'honor_declaration_location_02',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142051,'honor_declaration_location_14',NULL,'','','',0,49,32,0,0,0,188,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142052,'widget_fae_book_02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142053,'widget_fae_book_01',NULL,'','','',0,49,32,0,0,0,189,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142054,'widget_fae_book_05',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142055,'widget_skeleton_mastery_book',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142056,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142057,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142058,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142059,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142060,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142061,'widget_fae_book_04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142062,'widget_fae_book_03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142063,'widget_armoire_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142064,'Granite Hills Acorn Lift',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142065,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142066,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142067,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142068,'kelethin_guildhall_entrance',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142069,'widget_goblin_mastery_book',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142070,'Silver Leaf Inn housing',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142071,'reedmace',NULL,'','','',0,49,32,0,0,0,862,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142072,'reedmace',NULL,'','','',0,49,32,0,0,0,862,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142073,'reedmace',NULL,'','','',0,49,32,0,0,0,862,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142074,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142075,'Joleena''s Restaurant Acorn Lift',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142076,'Aerie Khollo housing inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142077,'Aerie Amree housing inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142078,'Aerie Kaksi housing inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142079,'Aerie Sajlen housing inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142080,'Aerie Kolmas housing inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142081,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142082,'widget_fae_war_book01',NULL,'','','',0,49,32,0,0,0,863,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142083,'widget_parchment_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142084,'widget_bark_beetle04',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,1355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142085,'Tunare''s Sapling Acorn Lift',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142086,'widget_tunneler_beetle01',NULL,'','','',0,49,32,0,0,0,865,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142087,'widget_citizenship_salt',NULL,'','','',0,49,32,0,0,0,866,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142088,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142089,'widget_deity_tunare_nurse_log',NULL,'','','',0,49,32,0,0,0,867,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142090,'widget_tunneler_beetle02',NULL,'','','',0,49,32,0,0,0,865,0,0,0,0,0,0,0,562,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142091,'widget_sploding_mushroom01',NULL,'','','',0,49,32,0,0,0,868,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142092,'widget_bark_beetle03',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,1548,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142093,'widget_crystalline_beetle01',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,239,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142094,'widget_tunneler_beetle03',NULL,'','','',0,49,32,0,0,0,865,0,0,0,0,0,0,0,562,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142095,'widget_treant_mastery_book',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142096,'widget_sploding_mushroom02',NULL,'','','',0,49,32,0,0,0,868,0,0,0,0,0,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142097,'widget_crystalline_beetle02',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142098,'widget_sploding_mushroom03',NULL,'','','',0,49,32,0,0,0,868,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142099,'widget_bark_beetle01',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,1075,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142100,'widget_tunneler_beetle04',NULL,'','','',0,49,32,0,0,0,865,0,0,0,0,0,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142101,'widget_crystalline_beetle04',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142102,'qst_scp_brodo_mushroom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142103,'widget_crystalline_beetle03',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142104,'qst_scp_brodo_mushroom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142105,'widget_bark_beetle02',NULL,'','','',0,49,32,0,0,0,864,0,0,0,0,0,0,0,1377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142106,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142107,'qst_scp_warden_flower',NULL,'','','',0,49,32,0,0,0,874,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142108,'qst_scp_warden_flower',NULL,'','','',0,49,32,0,0,0,874,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142109,'widget_sploding_mushroom04',NULL,'','','',0,49,32,0,0,0,868,0,0,0,0,0,0,0,530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142110,'widget_sploding_mushroom05',NULL,'','','',0,49,32,0,0,0,868,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142111,'',NULL,'','','',0,49,32,0,0,0,1156,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142112,'widget_bixie_mastery_book',NULL,'','','',0,49,32,0,0,0,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142113,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142114,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142115,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142116,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,0,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142118,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142119,'',NULL,'','','',255,2306,32,8,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142120,'Forge',NULL,'','','',0,1859,32,0,1,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142121,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142122,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142123,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142124,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142125,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142126,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142127,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142128,'an Ironforge anvil',NULL,'','','',0,2984,32,0,0,0,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142129,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142130,'rug',NULL,'','','',0,3514,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142132,'floor_potionbottle_any_large04',NULL,'','','',0,2617,31,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142133,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142134,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142136,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142137,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142138,'floor_bottle_any_wine01',NULL,'','','',0,4604,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142139,'pile of twigs for fire',NULL,'','','',0,4003,32,0,0,0,0,0,3120,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142140,'Kelethin Teleporter',NULL,'','','',0,2682,32,0,0,0,182,0,1576,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142141,'woven kelethin green rug',NULL,'','','',0,8345,32,0,0,0,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142142,'kel_fae_tent_merchant02',NULL,'','','',0,6581,32,0,0,0,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142143,'kel_fae_tent_merchant01',NULL,'','','',0,6580,32,0,0,0,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142144,'kelethin_sign_post01',NULL,'','','',0,6943,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142145,'jyoril_maarson_sul_sphere',NULL,'','','',0,4186,16,0,0,0,183,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142146,'chair_cherry_fancy',NULL,'','','',0,1968,16,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142147,'grender_totem',NULL,'','','',0,2223,16,0,0,0,184,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142148,'a Crushbone siege weapon',NULL,'','','',255,7184,32,0,0,0,185,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142149,'hiraen_aravirta_sul_sphere',NULL,'','','',0,1,8,0,0,0,186,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142150,'quest_marr_altar',NULL,'','','',0,6873,32,0,0,0,187,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142151,'bbm_crate_wood02',NULL,'','','',0,6698,32,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142152,'floor_pan_any_frying01',NULL,'','','',0,2689,34,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142153,'gfay_signpost',NULL,'','','',0,6723,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142154,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142155,'troll_candle_01',NULL,'','','',0,1614,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142156,'treasure_chest',NULL,'','','',0,2902,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142157,'qst_unseenhand_kitchen_1',NULL,'','','',0,1399,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142158,'glade shrubling',NULL,'','','',0,4075,22,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142159,'qst_scp_orc_lab',NULL,'','','',0,3498,32,0,0,0,61,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142160,'qst_scp_orc_lab',NULL,'','','',0,3410,32,0,0,0,61,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142161,'door_frame_rock',NULL,'','','',0,6664,32,0,0,0,0,0,0,0,0,0,0,0,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142162,'qst_scp_orc_lab',NULL,'','','',0,3413,32,0,0,0,61,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142163,'floor_potionbottle_any_large01',NULL,'','','',0,2614,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142164,'floor_flask_any_glass01',NULL,'','','',0,4470,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142165,'sfm_gear_panel01',NULL,'','','',0,6332,24,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142166,'canopic jar small',NULL,'','','',0,2875,24,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142167,'sfm_table_wood01',NULL,'','','',0,6335,44,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142168,'Poggle''s Device',NULL,'','','',0,3252,81,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142169,'floor_bottle_human_pill01',NULL,'','','',0,3096,24,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142170,'kel_crate_fay01',NULL,'','','',0,7001,24,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142171,'sfm_wrench01',NULL,'','','',0,6334,24,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142172,'sfm_gear_panel02',NULL,'','','',0,6333,24,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142173,'dn_tent_red',NULL,'','','',0,6010,32,0,0,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142174,'kal_stein_dwarf01',NULL,'','','',0,6692,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142175,'kal_stool_dwarf',NULL,'','','',0,6691,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142176,'kal_table_dwarf_sm',NULL,'','','',0,6694,32,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142177,'kelethin science library book on floor',NULL,'','','',0,3022,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142178,'kelethin fiction library book on table ',NULL,'','','',0,1607,32,0,0,0,55,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142179,'altar_tunare_exceptional',NULL,'','','',0,6887,32,0,0,0,34,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142180,'shroom_01',NULL,'','','',0,2306,224,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142181,'crushbone_gong_with_wishlist',NULL,'','','',0,6474,25,0,0,0,869,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142182,'diseased pebbleberry bush',NULL,'','','',0,4075,36,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142183,'star limestone',NULL,'','','',0,3955,24,0,0,0,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142184,'Fae Drake Nest',NULL,'','','',0,7012,32,0,0,0,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142185,'sos_dragoneggs_unbroken_blue',NULL,'','','',0,7013,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142186,'a bixie basket',NULL,'','','',0,12488,32,0,0,0,0,0,185,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142187,'kel_fae_forge01',NULL,'','','',0,6582,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142188,'shroom_02',NULL,'','','',0,2306,160,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142189,'shroom_03',NULL,'','','',0,2306,160,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142190,'aoi_gully_of_ursa_rhym',NULL,'','','',0,2306,57,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142191,'a Crushbone tent',NULL,'','','',255,6936,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142192,'barrel',NULL,'','','',0,5287,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142193,'altar of innoruuk',NULL,'','','',0,6872,31,0,0,0,34,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142194,'Exp03 Greater Faydark Sorcerer Rune',NULL,'','','',0,4180,32,0,0,0,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142195,'shroom_04',NULL,'','','',0,2306,224,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142196,'swampflitter eggs',NULL,'','','',0,3977,64,0,0,0,0,0,1497,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142197,'Firepit',NULL,'','','',0,6575,32,0,0,0,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142198,'shroom_05',NULL,'','','',0,2306,224,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142199,'kel_container_basket02',NULL,'','','',0,6583,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142200,'woven leaf rug',NULL,'','','',0,8346,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142201,'crushbone_tent01',NULL,'','','',0,6935,32,0,0,0,0,0,0,0,0,0,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142202,'qst_scp_crushbone_plan_book',NULL,'','','',0,3323,32,0,0,0,64,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142203,'sfm_bed_single01',NULL,'','','',0,6329,61,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142204,'sfm_bench_ornate01',NULL,'','','',0,6330,42,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142205,'sapphire_lake_aoi',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142206,'crushbone_bunk',NULL,'','','',0,6941,32,0,0,0,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142207,'crushbone_tent02',NULL,'','','',0,6936,32,0,0,0,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142208,'orc knight statue',NULL,'','','',0,4464,32,0,0,0,56,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142209,'teriniu''s sisters hammer',NULL,'','','',0,43,32,0,0,0,1178,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142210,'nursery_healed_flowers',NULL,'','','',0,7647,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142211,'climbing invis box',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142212,'pile of twigs for fire',NULL,'','','',0,4002,44,0,0,0,0,0,17432,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142213,'pile of leaves for fire',NULL,'','','',0,3993,34,0,0,0,0,0,15008,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142214,'fire pit',NULL,'','','',0,2019,48,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142215,'invis cube fire for firepit',NULL,'','','',0,2306,22,0,0,0,0,0,6866,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142216,'cedar star nuts',NULL,'','','',0,4075,33,0,0,0,0,0,17432,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142217,'vinebloom seedpod',NULL,'','','',0,13575,9,0,0,0,0,0,17434,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142218,'lost pendant',NULL,'','','',0,3993,48,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142219,'eros berries love',NULL,'','','',0,3909,32,0,0,0,0,0,17433,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142220,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,0,0,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142221,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,0,0,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142222,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1142223,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,0,80,0,144,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142224,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(1142225,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,0,0,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142226,'Mail Kiosk',NULL,'','','',0,6862,32,0,0,0,29,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142227,'sign_to_green_knoll',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142228,'sign_to_joleena',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142229,'sign_old_kelethin',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142230,'widget_sign_fae_royal_hall',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142231,'sign_to_tunares_pages',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142232,'sign_to_joleenas_lift',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142233,'widget_sign_tunares_pages',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142234,'sign_royal_court',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142235,'sign_house_aerie02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142236,'sign_to_gearhearts_forge',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142237,'sign_to_bank',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142238,'faydark champion memorial',NULL,'','','',0,1490,22,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142239,'sign_to_library',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142240,'crushbone_spy_post_hints',NULL,'','','',0,2306,50,0,0,0,0,0,1907,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142241,'sign_to_jysolins_pub',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142242,'sign_to_granite_hills_lift',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142243,'sign_to_prot_growth',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142244,'sign_to_fae_royal_hall',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142245,'widget_sign_gearhearts_forge',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142246,'sign_warrior_protectors_growth',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142247,'widget_sign_jysolins_pub',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142248,'sign_order_arcane',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142249,'sign_to_sylvan_hunters',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142250,'sign_to_falling_stars',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142251,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142252,'sign_mage_order_arcane',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142253,'sign_scout_sylvan_hunters',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142254,'door_to_truthbringer_trials',NULL,'','','',0,6665,32,0,0,0,46,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142255,'kelethin_kilroy_table',NULL,'','','',0,1541,41,0,0,0,135,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142256,'qst_astaar_altar',NULL,'','','',0,7014,64,0,0,0,541,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142257,'a faeicia herb',NULL,'','','',0,10635,33,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142258,'',NULL,'','','',0,6724,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142259,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142260,'lucky wolf paw recipe',NULL,'','','',0,5261,32,0,0,0,0,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142261,'sack of coal',NULL,'','','',0,8750,48,0,0,0,0,0,0,0,0,1,1,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142262,'kelethin_kilroy_boulder',NULL,'','','',0,1725,32,0,0,0,135,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142263,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142264,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142265,'sign_house_aerie01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142266,'sign_house_aerie04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142267,'sign_house_aerie03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142268,'sign_old_kelethin_lift',NULL,'','','',0,6944,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142269,'kelethin_kilroy_books',NULL,'','','',0,2594,25,0,0,0,135,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142270,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142271,'qst_fae_language_marker',NULL,'','','',0,1549,144,0,0,0,541,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142272,'a Shroomba proto-capling',NULL,'','','',0,3951,19,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142273,'a Shroomba proto-capling',NULL,'','','',0,3949,19,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142274,'scroll_signaling_spies',NULL,'','','',0,2544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142275,'a Shroomba proto-capling',NULL,'','','',0,3950,19,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142276,'sign_qst_pirate_captain_bones',NULL,'','','',0,1847,45,0,0,0,873,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142277,'a bixie basket',NULL,'','','',0,12488,32,0,0,0,0,0,185,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142278,'sign_qst_pirate_bottle',NULL,'','','',0,2619,55,0,0,0,0,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142279,'sign_qst_pirate_chest',NULL,'','','',0,6424,32,0,0,0,465,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142280,'grobin orc strongbox',NULL,'','','',0,4016,32,0,0,0,33,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142281,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142282,'',NULL,'','','',0,6724,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142283,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142284,'rhym house, diva',NULL,'','','',0,2983,32,0,0,0,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142285,'rhym house, baritone',NULL,'','','',0,2983,32,0,0,0,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142286,'rhym, gong',NULL,'','','',0,6474,14,0,0,0,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142287,'rhym chessboard',NULL,'','','',0,17,66,0,0,0,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142288,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142289,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142290,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142291,'widget_history_fae_memorial',NULL,'','','',0,49,32,0,0,0,875,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142292,'sign_priest_falling_stars',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142293,'flavor_medical_chart',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142294,'',NULL,'','','',0,6724,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142295,'memorial of burning roots',NULL,'','','',0,6700,48,0,0,0,816,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142296,'To Crushbone Keep',NULL,'','','',0,49,32,0,0,0,1157,0,0,0,0,1,0,0,615,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142297,'door_to_crushbone_keep_epic02_boss',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,247,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142298,'qst_history_fae_crushbone',NULL,'','','',0,1549,35,0,0,0,541,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142299,'Ivy Orb Signature Quest Door',NULL,'','','',0,6665,32,0,0,0,604,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142300,'rhym house, composer',NULL,'','','',0,2983,32,0,0,0,33,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142301,'a Shroomba budling',NULL,'','','',0,1744,45,0,0,0,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142302,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142303,'growing roots',NULL,'','','',0,6905,78,0,1,1,2,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142304,'natural garden',NULL,'','','',0,1670,61,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142305,'crumbled stones',NULL,'','','',0,6893,80,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142306,'exposed ore',NULL,'','','',0,6902,84,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142307,'fallen branch',NULL,'','','',0,6899,80,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142308,'an unearthed Tart Faydark Truffle',NULL,'','','',0,6593,6,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142309,'The Greenlight''s Sul Sphere',NULL,'','','',0,2681,32,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142310,'rodent den',NULL,'','','',0,6896,78,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142311,'eroded rock',NULL,'','','',0,6893,87,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142312,'moss covered ore',NULL,'','','',0,6902,85,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142313,'a bush',NULL,'','','',0,4078,61,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142314,'moss covered branch',NULL,'','','',0,6899,83,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142315,'feral animal den',NULL,'','','',0,6896,85,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142316,'large roots',NULL,'','','',0,6905,77,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142317,'bracket fungus',NULL,'','','',0,9489,22,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142318,'yellow-blooded mushroom',NULL,'','','',0,3951,22,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142319,'red-blooded mushroom',NULL,'','','',0,3950,37,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142320,'school of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142321,'trout fingerling',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142322,'broken Klixie hive',NULL,'','','',0,5922,91,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142323,'capling_noharvest',NULL,'','','',0,3951,19,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142324,'capling_noharvest',NULL,'','','',0,3950,18,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142325,'capling_noharvest',NULL,'','','',0,3949,19,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142326,'broken Growzzat hive',NULL,'','','',0,5922,101,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142327,'Maayiri Ellia''s Sul Sphere',NULL,'','','',0,2681,32,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142328,'Ul''Alarum Oracle Stone',NULL,'','','',0,3423,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142329,'Moonlight Tree',NULL,'','','',0,1624,32,0,0,0,8,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142330,'an Emerald trout',NULL,'','','',0,10099,20,0,0,0,2,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142331,'purified water',NULL,'','','',0,1941,41,0,1,1,2,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142332,'sludge sample',NULL,'','','',0,14458,39,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142333,'nibbled roots',NULL,'','','',0,1727,3,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142334,'Mentha''s lost note',NULL,'','','',0,5261,32,0,1,1,2,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142335,'baby river racer',NULL,'','','',0,213,11,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142336,'bogberry plant',NULL,'','','',0,3909,29,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142337,'Faydark flax',NULL,'','','',0,4077,34,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142338,'Silvani sisal',NULL,'','','',0,4075,27,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1142339,'a dwarven war artifact',NULL,'','','',0,4714,22,0,1,1,2,0,1444,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150000,'a horse','','','','',255,6846,30,6,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150001,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150002,'Zha Gu''Lau','','','','',12,134,28,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150003,'a wetlands skimmer','','','','',255,2389,111,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150004,'a wetlands skimmer','','','','',255,2389,120,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150005,'Chrysmi','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150006,'Despelos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150007,'Eliiro','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150008,'Vlidas','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150009,'Konrios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150010,'Pararios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150011,'Thassis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150012,'Nicokia','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150013,'Thanakis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150014,'Myronos Zosimos','<Fugutr Tribal Leader>','','','',255,6539,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150015,'Tasioros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150016,'Nicthias','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150017,'Diothias','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150018,'a follower of Wu','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150019,'Vergo Stormherald','<Assistant to the Priestess of Growth>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150020,'a fae drake evoker','','','','',255,6536,95,2,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150021,'a fae drake curator','','','','',255,6536,95,2,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150022,'a fae drake hatchling','','','','',255,6536,57,5,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150023,'a fae drake hatchling','','','','',255,6536,59,1,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150024,'a fae drake curate','','','','',255,6536,92,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150025,'a fae drake hatchling','','','','',255,6536,58,4,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150026,'a fae drake warrior','','','','',255,6536,97,1,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150027,'Grand Master Lu Sun','<Disciples of Wu>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150028,'a fae drake warrior','','','','',255,6536,92,4,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150029,'a follower of Wu','','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150030,'Fu Laiang','<Traveling Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,100135,0,0,0,0,0,0,0,0,0,0,0,0),
(1150031,'Pei Pei','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1150032,'a fae drake hatchling','','','','',255,6536,58,2,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150033,'Ootani','','','','',3,1588,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150034,'a fae drake curate','','','','',255,6536,95,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150035,'a fae drake curate','','','','',255,6536,89,6,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150036,'Hanhao','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150037,'a fae drake invoker','','','','',255,6536,90,5,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150038,'a fae drake invoker','','','','',255,6536,93,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150039,'a fae drake invoker','','','','',255,6536,93,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150040,'a fae drake curator','','','','',255,6536,95,1,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150041,'a fae drake myrmidon','','','','',255,6536,95,2,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150042,'Master Kyau','<Disciples of Wu>','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150043,'a fae drake myrmidon','','','','',255,6536,94,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150044,'a fae drake myrmidon','','','','',255,6536,95,2,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150045,'Old Dimshimmer','<Fae Drake Patriarch>','','','',255,6529,159,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150046,'a fae drake hatchling','','','','',255,6536,53,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150047,'a monarch fae drake hatchling','','','','',255,6529,63,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150048,'Inara','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150049,'a fae drake warrior','','','','',255,6536,95,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150050,'a myconid curator','','','','',255,5096,65,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150051,'a myconid warrior','','','','',255,5096,62,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150052,'a myconid warrior','','','','',255,5096,65,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150053,'a myconid watcher','','','','',255,5096,84,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150054,'a fae defender','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150055,'Pinjya Viivi','','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150056,'Kaari Eesah','<Outpost Commander>','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150057,'Jouko Ollavee','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150058,'Taarjeea Veesa','','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150059,'Peetriini Suulo','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150060,'Heikka Oskeu','','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150061,'Annelo Jukko','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150062,'Aleta Rannikko','<Scout of the Fae Court>','','','',255,6488,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150063,'a corrupted Growth essence','','','','',255,273,163,8,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150064,'a shadowed man invader','','','','',255,1584,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150065,'a corrupted Growth essence','','','','',255,273,171,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150066,'a nightblood invader','','','','',255,1585,103,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150067,'a void beast invader','','','','',255,240,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150068,'a corrupted Growth essence','','','','',255,273,174,1,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150069,'a war-torn apparition','','','','',255,110,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150070,'a war-torn apparition','','','','',255,105,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150071,'a cursed elf','','','','',15,1447,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150072,'a corrupted Growth essence','','','','',255,273,150,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150073,'Fulassi Suulo''s corpse','','','','',255,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150074,'Equestrielle the Corrupted','','','','',255,268,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150075,'a corrupted Growth essence','','','','',255,273,146,1,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150076,'Bristlecone','','','','',255,212,319,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150077,'a corrupted Growth essence','','','','',255,273,160,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150078,'a young unicorn','','','','',255,268,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150079,'Animatios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150080,'a mature unicorn','','','','',255,268,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150081,'a myconid curator','','','','',255,5096,67,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150082,'a myconid watcher','','','','',255,5096,81,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150083,'a myconid curator','','','','',255,5096,66,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150084,'Selegyros','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150085,'Vanpe','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150086,'a gladehoof protector','','','','',255,4106,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150087,'a myconid papal','','','','',255,5096,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150088,'a myconid protector','','','','',255,5096,69,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150089,'a myconid papal','','','','',255,5096,78,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150090,'a myconid mage','','','','',255,5096,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150091,'Zinos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150092,'a myconid curator','','','','',255,5096,65,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150093,'a shambling auspex','','','','',255,6282,76,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150094,'Theonis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150095,'Melanog','','','','',255,1346,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150096,'a myconid papal','','','','',255,5096,80,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150097,'a myconid mage','','','','',255,5096,69,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150098,'Diopios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150099,'a myconid watcher','','','','',255,5096,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150100,'a myconid defender','','','','',255,5096,79,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150101,'Sartrius','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150102,'a myconid papal','','','','',255,5096,81,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150103,'a treespirit scryer','','','','',255,6291,71,1,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150104,'a treespirit barkstripper','','','','',255,6291,69,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150105,'a shambling wanderer','','','','',255,6282,74,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150106,'a gladehoof defender','','','','',255,4106,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150107,'a shambling defender','','','','',255,6282,74,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150108,'Vasimatios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150109,'Thantis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150110,'Efiiros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150111,'a faewood sorcerer','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150112,'a gladehoof myrmidon','','','','',255,4106,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150113,'a grovespirit caller','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150114,'a shambling wanderer','','','','',255,6282,78,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150115,'a crystalline construct','','','','',255,6280,59,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150116,'a crystalline construct','','','','',255,6280,61,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150117,'a crystalline construct','','','','',255,6280,60,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150118,'a Nybright thug','','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150119,'Mr. Steamsworth','<Good Buddy>','','','',255,6446,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150120,'Surziggop the Groundskeeper','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150121,'a crystalline construct','','','','',255,6280,61,5,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150122,'a Nybright convict','','','','',15,114,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150123,'Sharina Nybright','<Nybright Baroness>','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150124,'Grund','<Complaints Department>','','','',12,124,38,0,1,1,9,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150125,'Serith Ludd','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150126,'Rid Jestands','','','','',2,1484,32,0,1,1,9,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150127,'Kurina Nybright','','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150128,'Tuck Longtoes','<Camp Cook>','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150129,'Uric M''Ots','<Toxicologist>','','','',255,115,35,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150130,'Ja''gul Nybright','<Import Export>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,100137,0,0,0,0,0,0,0,0,0,0,0,0),
(1150131,'Trun''gul Nybright','<Mender>','','','',6,78,32,0,1,1,12,9,0,0,0,1,0,0,30,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1150132,'Jolrina Nybright','<Black Market Goods>','','','',6,79,32,0,1,1,20,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150133,'a crystalline construct','','','','',255,6280,65,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150134,'a honeybrood drone','','','','',255,217,96,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150135,'a honeybrood royal guard','','','','',255,217,112,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150136,'The Honeybrood Hive Queen','','','','',255,248,176,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150137,'Ameth''Spar','','','','',255,6280,128,0,1,1,11,0,8179,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150138,'Kalmath Gusinga','<Fae Royal Messenger>','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150139,'a fayllian evoker','','','','',255,181,83,3,1,1,11,0,3751,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150140,'a faewood evoker','','','','',255,173,83,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150141,'a honeybrood alpha','','','','',255,217,92,3,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150142,'a grovespirit defender','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150143,'a honeybrood stinger','','','','',255,217,80,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150144,'a faewood arbiter','','','','',255,173,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150145,'a faewood evoker','','','','',255,173,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150146,'a fayllian protector','','','','',255,181,83,3,1,1,11,0,3751,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150147,'a grovespirit caller','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150148,'a faewood protector','','','','',255,173,83,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150149,'a shambling auspex','','','','',255,6282,68,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150150,'a fayllian vicar','','','','',255,181,83,3,1,1,11,0,3752,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150151,'a faewood arbiter','','','','',255,173,83,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150152,'a treespirit thumper','','','','',255,6291,64,2,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150153,'a lesser Growth essence','','','','',255,273,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150154,'a fae drake hatchling','','','','',255,6536,52,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150155,'a lesser Growth essence','','','','',255,273,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150156,'a treespirit piercer','','','','',255,6291,63,1,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150157,'a grovespirit caller','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150158,'a treespirit seer','','','','',255,6291,65,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150159,'a fayllian vicar','','','','',255,181,86,0,1,1,11,0,3752,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150160,'a fayllian evoker','','','','',255,181,83,3,1,1,11,0,3751,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150161,'Blurrp Braveblade','','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150162,'a treespirit seer','','','','',255,6291,61,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150163,'Tuilla Laarivera','<Assistant to the Priestess of Growth>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150164,'a fae defender','<Royal Guard>','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150165,'a fayllian sorcerer','','','','',255,181,96,0,1,1,11,0,3749,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150166,'a faewood curator','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150167,'a treespirit seer','','','','',255,6291,63,1,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150168,'a treespirit thumper','','','','',255,6291,64,1,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150169,'Soneej Viivi','','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150170,'Count Jooliin','<Royal Assistant>','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150171,'Jalloi Kaatia','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150172,'Enseeo Hillja','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150173,'Anniisi Illari','','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150174,'Lady Koivuu','<Royal Merchant>','','','',255,6488,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,100136,0,0,0,0,0,0,0,0,0,0,0,0),
(1150175,'a honeybrood worker','','','','',255,217,73,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150176,'Tuurho Tuiijah','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150177,'Lord Shae','<Royal Mender>','','','',255,6489,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150178,'Duchess Maareanna','<Royal Envoy>','','','',255,6488,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150179,'Viiljo Aelii','','','','',255,6489,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150180,'a grovespirit acolyte','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150181,'a grovespirit acolyte','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150182,'a fayllian sorcerer','','','','',255,181,96,0,1,1,11,0,3750,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150183,'a sharpthorn soothsayer','','','','',255,6282,66,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150184,'a sharpthorn prophet','','','','',255,6282,67,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150185,'a sharpthorn prophet','','','','',255,6282,66,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150186,'a fayllian jongleur','','','','',255,181,73,0,1,1,11,0,3752,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150187,'a fayllian prankster','','','','',255,181,73,0,1,1,11,0,3751,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150188,'a brownie trickster','','','','',15,1442,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150189,'a brownie warrior','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150190,'a brownie forager','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150191,'a brownie forager','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150192,'a brownie mage','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150193,'a brownie trickster','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150194,'a brownie sentry','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150195,'a brownie forager','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150196,'a Growth slither','','','','',255,6540,48,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150197,'a brownie forager','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150198,'a brownie trickster','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150199,'a brownie forager','','','','',15,1446,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150200,'a brownie patroller','','','','',15,1441,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150201,'Sage Grappodutt','','','','',15,1450,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150202,'a Thexian soldier','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150203,'a fae drake whelp','','','','',255,6536,77,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150204,'a greater Growth essence','','','','',255,273,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150205,'Th''las Wildwood','<Sylvan Hunters>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150206,'a fae drake whelp','','','','',255,6536,81,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150207,'Sage Delkkunn','','','','',15,1447,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150208,'a Thexian soldier','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150209,'a gladehoof warrior','','','','',255,4106,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150210,'a Thexian agent','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150211,'a Thexian agent','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150212,'a Thexian scribe','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150213,'a Thexian dragoon','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150214,'High Priestess Y`Lask','<Counselor of Talvus>','','','',255,116,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150215,'a faewood evoker','','','','',255,173,83,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150216,'Serafeim','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150217,'Theolos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150218,'Despfeim','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150219,'Dorfeim','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150220,'Elitrius','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150221,'Uko','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150222,'a treespirit seer','','','','',255,6291,64,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150223,'An Essence of Growth','','','','',255,3710,144,0,1,1,11,0,3749,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150224,'Vaspios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150225,'Silathias','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150226,'Eleolas','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150227,'Sofrios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150228,'Theletta','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150229,'Matthenis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150230,'Akaelis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150231,'Aikoros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150232,'a myconid curator','','','','',255,5096,65,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150233,'Efiphon','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150234,'Pelaolos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150235,'Seleelos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150236,'Marpios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150237,'Vlthios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150238,'Tasiros','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150239,'Tasielos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150240,'a myconid curator','','','','',255,5096,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150241,'Sotsidis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150242,'Yorsidis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150243,'Vanelis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150244,'Xylem the Unflexible','','','','',255,6291,105,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150245,'Efigyros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150246,'Xenpios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150247,'Tiokia','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150248,'Seleletta','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150249,'Konstasia','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150250,'a grovespirit stormchanneler','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150251,'a faewood oracle','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150252,'Elpitis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150253,'Anitris','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150254,'Yarnos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150255,'Vassios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150256,'Vairos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150257,'Evannos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150258,'Sofifeim','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150259,'Kontris','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150260,'Vangokia','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150261,'Sofios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150262,'Anaanos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150263,'Darsidis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150264,'spirit of magic','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150265,'Pantoros','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150266,'Diogyros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150267,'Philgyros','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150268,'Pavlpio','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150269,'Panpio','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150270,'Yiopios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150271,'Takifeim','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150272,'Vasissis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150273,'Fotelis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150274,'Philolos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150275,'Seleolos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150276,'Eleolos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150277,'Selnos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150278,'Yaelis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150279,'a grovespirit stormchanneler','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150280,'Takrios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150281,'Aleletta','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150282,'Vanfeim','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150283,'Seleelos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150284,'Pelassis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150285,'Leoletta','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150286,'Marakis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150287,'Aththis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150288,'Athmi','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150289,'Marssis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150290,'Natiro','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150291,'Agatis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150292,'Pantolas','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150293,'Sotgyros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150294,'Nicmatios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150295,'Aleios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150296,'Yanris','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150297,'Dorlos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150298,'Selelos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150299,'Sarolos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150300,'Efissis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150301,'Pavna','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150302,'Tairos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150303,'Aporis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150304,'Vlathis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150305,'Nikthios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150306,'Tiorios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150307,'Thairos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150308,'Sofitios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150309,'Spirphon','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150310,'Vasios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150311,'a myconid mage','','','','',255,5096,66,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150312,'Pantis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150313,'Sofitris','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150314,'Matsidis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150315,'Yarlos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150316,'Zilos','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150317,'Marris','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150318,'Martrius','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150319,'Aletris','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150320,'Eleidas','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150321,'Sofipio','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150322,'Panios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150323,'Vastasia','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150324,'Zinoros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150325,'Vlmi','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150326,'Gressis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150327,'Konna','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150328,'Tioros','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150329,'Zopios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150330,'Silris','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150331,'Yartis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150332,'Vasssis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150333,'Vasiltrius','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150334,'Ioadreas','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150335,'Yionis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150336,'Tasthis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150337,'Pantios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150338,'Nikthias','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150339,'Silathios','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150340,'Yanthenis','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150341,'Marorios','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150342,'Ziolas','<Fugutr Tribe>','','','',255,6539,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150343,'a treespirit crusher','','','','',255,6291,69,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150344,'a treespirit crusher','','','','',255,6291,73,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150345,'Zianos','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150346,'a myconid channeler','','','','',255,5096,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150347,'a myconid champion','','','','',255,5096,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150348,'a myconid defender','','','','',255,5096,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150349,'a myconid champion','','','','',255,5096,77,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150350,'a myconid watcher','','','','',255,5096,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150351,'a myconid papal','','','','',255,5096,81,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150352,'a myconid zealot','','','','',255,5096,81,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150353,'a myconid zealot','','','','',255,5096,79,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150354,'a myconid zealot','','','','',255,5096,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150355,'a myconid zealot','','','','',255,5096,77,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150356,'a treespirit scryer','','','','',255,6291,69,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150357,'a myconid curator','','','','',255,5096,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150358,'a myconid harvester','','','','',255,5096,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150359,'a myconid harvester','','','','',255,5096,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150360,'a myconid harvester','','','','',255,5096,71,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150361,'Truffle Snuffler','','','','',255,170,55,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150362,'a myconid harvester','','','','',255,5096,75,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150363,'a myconid papal','','','','',255,5096,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150364,'a myconid channeler','','','','',255,5096,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150365,'The Myconid Prince','','','','',255,5096,128,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150366,'a myconid protector','','','','',255,5096,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150367,'a fae drake mage','','','','',255,6536,80,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150368,'a fae drake mage','','','','',255,6536,80,1,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150369,'a fayllian evoker','','','','',255,181,83,3,1,1,11,0,3750,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150370,'a faewood defender','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150371,'a faewood oracle','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150372,'a grovespirit arch protector','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150373,'a faewood arcanist','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150374,'a grovespirit stormchanneler','','','','',255,273,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150375,'a faewood arcanist','','','','',255,173,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150376,'Arloona Delyssa','<High Priestess of Tunare>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150377,'a fayllian arcanist','','','','',255,181,86,0,1,1,11,0,3750,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150378,'a fayllian diviner','','','','',255,181,86,0,1,1,11,0,3753,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150379,'a fayllian arcanist','','','','',255,181,86,0,1,1,11,0,3750,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150380,'a fayllian arcanist','','','','',255,181,86,0,1,1,11,0,3752,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150381,'a brownie defender','','','','',15,1446,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150382,'a brownie preserver','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150383,'a greater Growth essence','','','','',255,273,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150384,'a lesser Growth essence','','','','',255,273,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150385,'a greater Growth essence','','','','',255,273,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150386,'a greater Growth essence','','','','',255,273,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150387,'a greater Growth essence','','','','',255,273,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150388,'a greater Growth essence','','','','',255,273,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150389,'a fae drake mender','','','','',255,6536,78,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150390,'a brownie mage','','','','',15,1449,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150391,'a brownie mage','','','','',15,1445,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150392,'a brownie protector','','','','',15,1440,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150393,'a brownie preserver','','','','',15,113,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150394,'a brownie invoker','','','','',15,1443,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150395,'a brownie invoker','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150396,'a brownie herbalist','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150397,'a brownie sage','','','','',15,1447,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150398,'a brownie thug','','','','',15,1488,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150399,'a brownie rake','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150400,'a lesser Growth essence','','','','',255,273,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150401,'a lesser Growth essence','','','','',255,273,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150402,'a brownie rake','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150403,'a brownie preserver','','','','',15,1488,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150404,'a brownie conscript','','','','',15,114,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150405,'a brownie oracle','','','','',15,1445,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150406,'a brownie invoker','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150407,'a brownie herbalist','','','','',15,1449,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150408,'a brownie oracle','','','','',15,1488,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150409,'a brownie blackguard','','','','',15,1452,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150410,'a brownie rake','','','','',15,1449,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150411,'Arch Druid Zappodill','<Panderpana Spiritists>','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150412,'a brownie blackguard','','','','',15,113,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150413,'a brownie preserver','','','','',15,1441,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150414,'a brownie sage','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150415,'a brownie oracle','','','','',15,114,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150416,'a brownie operative','','','','',15,1446,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150417,'a brownie champion','','','','',15,1441,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150418,'a brownie conscript','','','','',15,1446,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150419,'a brownie myrmidon','','','','',15,1446,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150420,'a brownie sage','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150421,'a brownie prophet','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150422,'a brownie operative','','','','',15,1487,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150423,'a brownie prophet','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150424,'a brownie prophet','','','','',15,1445,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150425,'a brownie prophet','','','','',15,1441,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150426,'a brownie prophet','','','','',15,1486,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150427,'a brownie blackguard','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150428,'a brownie arcanist','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150429,'a brownie arcanist','','','','',15,1445,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150430,'Mendeputt','<Mayor of Panderpana>','','','',15,1488,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150431,'a brownie arcanist','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150432,'a brownie oracle','','','','',15,1441,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150433,'a fae drake subju','','','','',255,6536,82,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150434,'a brownie operative','','','','',15,1446,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150435,'a fae drake archon','','','','',255,6536,81,1,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150436,'a brownie oracle','','','','',15,1444,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150437,'a fae drake archon','','','','',255,6536,77,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150438,'a brownie herbalist','','','','',15,1447,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150439,'a brownie thug','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150440,'a brownie herbalist','','','','',15,1449,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150441,'a brownie preserver','','','','',15,1449,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150442,'a brownie thug','','','','',15,1451,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150443,'a brownie herbalist','','','','',15,1441,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150444,'Sage Duppoditt','','','','',15,1449,12,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150445,'a fayllian kibitzer','','','','',255,181,73,0,1,1,11,0,3753,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150446,'a lesser Growth essence','','','','',255,273,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150447,'Cognoggin 5000','','','','',255,6670,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150448,'a fayllian trickster','','','','',255,181,73,0,1,1,11,0,3749,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150449,'a fayllian trickster','','','','',255,181,73,0,1,1,11,0,3750,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150450,'a fayllian kibitzer','','','','',255,181,73,0,1,1,11,0,3753,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150451,'a fayllian trickster','','','','',255,181,73,0,1,1,11,0,3751,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150452,'a sharpthorn stickler','','','','',255,6282,67,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150453,'a sharpthorn soothsayer','','','','',255,6282,66,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150454,'a fungusman prisoner','','','','',255,5096,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150455,'Tana','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150456,'a Thexian archon','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150457,'a summoned minion','<a Thexian demonologist''s pet>','','','',255,6824,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150458,'Ail the Elder','','','','',255,212,256,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150459,'a treespirit dirtcaller','','','','',255,6291,64,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150460,'a Thexian demonologist','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150461,'a Thexian scribe','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150462,'a Thexian scribe','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150463,'a treespirit dirtcaller','','','','',255,6291,62,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150464,'Ignatios','<Fugutr Wiseman>','','','',255,6538,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150465,'a Thexian steed','','','','',255,6840,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150466,'a Thexian lieutenant','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150467,'a Thexian apothecary','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150468,'an elite Thexian dragoon','','','','',255,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150469,'High Dragoon N`Mar','<Legionnaire of Talvus>','','','',1,115,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150470,'a Thexian lieutenant','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150471,'a Thexian deceiver','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150472,'a Thexian channeler','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150473,'a Thexian scribe','','','','',255,115,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150474,'Ioaakis','<Fugutr Tribe>','','','',255,6538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150475,'qst_uric_bracken_7',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150476,'widget_mushroom_weeping',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,1701,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150477,'',NULL,'','','',0,49,32,0,1,1,813,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150478,'qst_uric_bracken_6',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150479,'qst_uric_bracken_5',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150480,'qst_uric_bracken_4',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150481,'qst_uric_bracken_3',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150482,'qst_uric_bracken_2',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150483,'qst_uric_bracken_0',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150484,'qst_uric_bracken_1',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150485,'qst_uric_bracken_8',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150486,'qst_uric_bracken_10',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150487,'qst_uric_bracken_9',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150488,'qst_uric_bracken_12',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150489,'qst_uric_bracken_11',NULL,'','','',0,49,32,0,1,1,812,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150490,'qst_vines_jooliin',NULL,'','','',0,49,32,0,1,1,814,0,0,0,0,0,0,0,2429,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150491,'The Great Tree',NULL,'','','',0,49,32,0,1,1,815,0,0,0,0,0,0,0,3596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150492,'lusun_keg_2',NULL,'','','',0,49,32,0,1,1,814,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150493,'lusun_keg_1',NULL,'','','',0,49,32,0,1,1,814,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150494,'lusun_keg_0',NULL,'','','',0,49,32,0,1,1,814,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150495,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150496,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150497,'gfay_signpost',NULL,'','','',0,6723,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150498,'door_frame_wood',NULL,'','','',0,6666,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150499,'lightpost',NULL,'','','',0,6570,70,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150500,'Invisible Cube for Ivy Orb Signature Quest',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150501,'rock01',NULL,'','','',0,6822,16,0,1,1,37,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150502,'Master Kyau Meditation Mat',NULL,'','','',0,2759,130,0,1,1,713,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150503,'zone_to_blight',NULL,'','','',0,2306,49,0,1,1,0,0,6849,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150504,'sharina_x1 ledger',NULL,'','','',0,3548,32,0,1,1,811,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150505,'gf_flora_mushroom_huge03',NULL,'','','',0,6593,13,0,1,1,0,0,0,0,0,0,0,0,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150506,'lf_flora_mushroom_bent02',NULL,'','','',0,6596,2,0,1,1,0,0,0,0,0,0,0,0,1211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150507,'wall vine',NULL,'','','',0,10456,7,0,1,1,0,0,0,0,0,0,0,0,577,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150508,'Heartwood Master''s grave mound',NULL,'','','',0,9929,42,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150509,'Zone to Emerald Halls',NULL,'','','',0,49,32,0,0,0,798,0,0,0,0,1,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150510,'Emerald Halls: Hidden Entrance',NULL,'','','',0,1724,31,0,1,1,799,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150511,'sign_to_butcherblock',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150512,'sign_to_greater_faydark',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150513,'widget_deity_tunare_clue01',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150514,'door_wood_door',NULL,'','','',0,6665,32,0,1,1,45,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150515,'widget_deity_tunare_clue02',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150516,'warning_sign_to_shadowed_grove',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150517,'widget_deity_tunare_clue03',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150518,'sign_to_shadowed_grove',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150519,'memorial of brute hill',NULL,'','','',0,6700,61,0,1,1,816,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150520,'Zone to Obelisk of Blight',NULL,'','','',0,2306,255,0,0,0,308,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150521,'widget_deity_tunare_clue04',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150522,'sign_to_loping_plains',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150523,'sign_to_fae_court',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150524,'sign_to_bee_hive',NULL,'','','',0,6724,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150525,'The grave of Yasinia Simond',NULL,'','','',0,6444,25,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150526,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150527,'varmint burrow',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150528,'freshwater carp',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150529,'abundant patch',NULL,'','','',0,3908,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150530,'felled pine',NULL,'','','',0,6901,64,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150531,'unabating sprouts',NULL,'','','',0,6907,80,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150532,'exposed lode',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1150533,'luminous geode',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160000,'a Defender of Growth','<Paladin of Tunare>','','','',8,136,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160001,'Zha Gu''Lau','','','','',12,134,28,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160002,'a Nightmare handler','','','','',9,4557,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160003,'a residual apparition','','','','',255,273,64,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160004,'a Mistmoore slayer','','','','',9,4561,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160005,'a Mistmoore enforcer','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160006,'a Mistmoore lictor','','','','',9,4557,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160007,'A Loping Nightmare','','','','',255,8211,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160008,'an alpha dire warg','','','','',255,1374,46,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160009,'a dire warg','','','','',255,1374,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160010,'a stoneskin gargoyle','','','','',255,2895,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160011,'a Mistmoore watcher','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160012,'Rxolhi K''Direz','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160013,'Vevar J''Kzeme','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160014,'Jhevar J''Szezsi','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160015,'Ardan Zimel','','','','',255,4636,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160016,'a Mistmoore censor','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160017,'a pumpkin headed corpseman','','','','',255,143,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160018,'a Redbeard sentinel','','','','',255,110,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160019,'a Redbeard chaplain','','','','',255,109,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160020,'a blood gorger','','','','',255,6289,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160021,'Xylimei V''Zvinek','','','','',255,4637,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160022,'Vallhi Y''Orivar','','','','',255,4633,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160023,'a dire ravager','','','','',255,1374,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160024,'Kthavizh K''Rhipoz','','','','',255,4636,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160025,'a Redbeard geomancer','','','','',255,109,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160026,'a Lyrech stalker','','','','',255,6290,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160027,'a cannibalistic ghoul','','','','',1,4548,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160028,'a huntsman spider','','','','',255,244,63,4,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160029,'a gremlin muse','','','','',255,6824,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160030,'a Lyrech bloodthirster','','','','',255,6859,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160031,'a Lyrech watcher','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160032,'a gremlin trickster','','','','',255,6824,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160033,'a ravenous ghoul','','','','',1,4548,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160034,'a Lyrech warg','','','','',255,1374,48,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160035,'a Lyrech mystic','','','','',255,6290,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160036,'a plodding ghoul','','','','',1,4548,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160037,'a Quellithulian Luminomancer','','','','',255,5060,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160038,'Chiggerfin','','','','',255,6824,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160039,'Mutterbuss','','','','',255,6824,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160040,'Jonobtik','A Redbeard geomancer''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160041,'Chog the Drooler','','','','',255,1374,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160042,'a river crocodile','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160043,'a willowtip grizzly','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160044,'a huntsman spider','','','','',255,244,38,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160045,'a dire wolf','','','','',255,1374,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160046,'a Bummer Gang thug','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160047,'a Bummer Gang gravecaller','','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160048,'Lekab','A Bummer Gang gravecaller''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160049,'a Bummer Gang lookout','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160050,'a Bummer Gang bandit','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160051,'Zoner','A Bummer Gang gravecaller''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160052,'Vosarer','A Bummer Gang gravecaller''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160053,'a Bummer Gang lookout','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160054,'Xontik','A Bummer Gang gravecaller''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160055,'Crumb Shinspitter','<Exotic Animal Dealer>','','','',7,4986,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160056,'The Carakiller','','','','',255,6289,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160057,'a deep spawn seer','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160058,'a deep spawn angler','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160059,'Awu-Y''hluo','','','','',255,6516,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160060,'a deep spawn trawler','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160061,'a murkdweller snapper','','','','',255,4745,44,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160062,'Maximilian the Knife','','','','',9,4990,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160063,'Xonarn','A Bummer Gang gravecaller''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160064,'a willowtip mauler','','','','',255,198,40,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160065,'a risen thug','','','','',255,143,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160066,'a vengeful spirit','','','','',255,5000,38,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160067,'a carrion abhorrence','','','','',255,6315,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160068,'The Corpuspasm','','','','',255,6315,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160069,'a tainted Growth worm','','','','',255,6540,25,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160070,'a risen bandit','','','','',255,143,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160071,'a ravenous blood gorger','','','','',255,6289,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160072,'a corrupted keeper','','','','',255,6291,54,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160073,'a sickly shambler','','','','',255,6282,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160074,'a Redbeard miner','','','','',255,110,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160075,'a risen Sareth''Tal gnoll','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160076,'a raven','','','','',255,3835,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160077,'a Sareth''Tal forager','','','','',255,1384,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160078,'a Sareth''Tal stormcaller','','','','',255,4099,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160079,'a Sareth''Tal defender','','','','',255,3814,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160080,'a Sareth''Tal elder','','','','',255,1384,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160081,'a tormented Serilian spirit','','','','',255,1384,35,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160082,'an orb creeper','','','','',255,245,57,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160083,'an orb spiderling','','','','',255,245,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160084,'a glyphed ghoul','','','','',1,4548,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160085,'Golgumoth','','','','',255,205,51,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160086,'a lumbering ghoul','','','','',1,4548,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160087,'Chardasus Divok','<A Shadowy Operative>','','','',6,78,35,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,100131,0,0,0,0,0,0,0,0,0,0,0,0),
(1160088,'Konrad Sebestyen','<Lumberjack>','','','',9,4990,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,100130,0,0,0,0,0,0,0,0,0,0,0,0),
(1160089,'Aendaloniar','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160090,'Jamus Cornerlly','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160091,'Havras \"Hack\" Scutter','<Relic Hunter>','','','',9,4990,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160092,'Tanya Alvernon','<The League of Freethinkers>','','','',6,79,35,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160093,'Migo Toya','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160094,'Aron Wellingswraith','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160095,'Horatio Mercuria','<Mender>','','','',9,4990,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1160096,'a sick sheep','','','','',255,2336,16,0,1,1,11,0,1498,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160097,'Rasputin Zacani','<Food & Drink>','','','',9,4990,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160098,'Arduzel Meziad','<Armorsmith>','','','',6,4984,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160099,'a Somborn guard','','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160100,'Valea Mossrunner','','','','',15,5070,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160101,'Calacea Mossrunner','','','','',15,5080,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160102,'Selimbar','<Bowyer>','','','',6,4983,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,100133,0,0,0,0,0,0,0,0,0,0,0,0),
(1160103,'Moldosk the Bat','','','','',15,5078,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160104,'a sick cow','','','','',255,259,25,0,1,1,11,0,1498,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160105,'Vinatori','<Leather & Cloth>','','','',15,5072,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160106,'Melora Kisbacs','<Weaponsmith>','','','',9,4989,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160107,'a sick pig','','','','',255,271,32,0,1,1,11,0,1498,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160108,'Marshal Ralem Christof','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160109,'Yon Gralon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160110,'Dorin Ighisul-Nou','<Shepherd>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160111,'Anina Ighisul-Nou','','','','',9,4989,32,0,1,1,0,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160112,'spirit of death','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160113,'Gargazel','<Provisioner>','','','',9,4990,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100132,0,0,0,0,0,0,0,0,0,0,0,0),
(1160114,'Elliot Bloch','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160115,'Evric Druthers','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160116,'Amares D''Venhz','<Elder of Somborn>','','','',255,6490,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160117,'Alodia Lifespring','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160118,'Volkh','','','','',255,1374,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160119,'Vendlus','','','','',255,1374,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160120,'Wolfmaster Heinrich','','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,100134,0,0,0,0,0,0,0,0,0,0,0,0),
(1160121,'Marshal Samson Winnfield','<Somborn Guard>','','','',9,4990,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160122,'Madame Dulcine','<Fortuneteller>','','','',9,5263,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160123,'a Redbeard aggressor','','','','',255,109,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160124,'a Redbeard sentinel','','','','',255,110,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160125,'a Redbeard chaplain','','','','',255,109,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160126,'a Redbeard assaulter','','','','',255,110,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160127,'a deep spawn consort','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160128,'a marsh crocodile','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160129,'a deep spawn beachcomber','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160130,'a thresher shark','','','','',255,242,38,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160131,'element of air','','','','',255,156,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160132,'an Ahroun blackclaw','','','','',255,6859,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160133,'an Ahroun blackstalker','','','','',255,6290,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160134,'a blackrunner warrior','','','','',255,6290,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160135,'a Lyrech worg','','','','',255,1374,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160136,'Seeress Miritha','','','','',255,6290,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160137,'an Askerville watchdog','','','','',255,6290,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160138,'an Askerville watchdog','','','','',255,6859,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160139,'Ormanthus the Beast','','','','',255,5098,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160140,'Zieran the Hunter','','','','',255,6290,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160141,'Philip Glaslow','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160142,'Retainer Bacchante','<Servant to the Master>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160143,'Boz Wogglecup','<Glaslow''s Assistant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100132,0,0,0,0,0,0,0,0,0,0,0,0),
(1160144,'Tavish Dracinov','<Mistress of the Elders>','','','',1,4965,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160145,'Ihriel the Sorceress','','','','',9,4989,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160146,'Boris Vonarstein','<Jeweler>','','','',9,4990,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160147,'Ormanthus','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160148,'Zieran the Hunter','','','','',15,114,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160149,'a Lyrech sentry','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160150,'a deep spawn tidesweller','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160151,'a deep spawn oracle','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160152,'Yoharneth the Bloated','','','','',255,6516,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160153,'a deep spawn raider','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160154,'a deep spawn troller','','','','',255,6516,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160155,'qst_innoruuk_essence_culler',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160156,'meat altar',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160157,'crypt_door_to_mistmoore_portal_chamber',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160158,'door_tavern_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160159,'door_church_2_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160160,'door_church_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160161,'door_church_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160162,'door_church_2_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160163,'qst_innoruuk_page_1',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160164,'',NULL,'','','',0,49,32,0,1,1,89,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160165,'gravedirt01',NULL,'','','',0,2916,31,0,1,0,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160166,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160167,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160168,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160169,'floor_table_gnome_round',NULL,'','','',0,2064,64,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160170,'floor_books_any_mixed01',NULL,'','','',0,2591,16,0,1,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160171,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160172,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160173,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160174,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160175,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160176,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160177,'exp06 spire - complete',NULL,'','','',0,6145,32,0,1,1,0,0,0,0,0,0,0,0,1593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160178,'floor_potionbottle_any_small01',NULL,'','','',0,2623,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160179,'gnoll_tent',NULL,'','','',0,2467,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160180,'exp07 druid ring - stage 3 - on',NULL,'','','',0,13712,32,0,1,0,0,0,0,0,0,0,0,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160181,'lp_roadsign_post_triple01',NULL,'','','',0,6605,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160182,'lp_roadsign_post01',NULL,'','','',0,6602,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160183,'le_jackolantern01',NULL,'','','',0,6577,37,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160184,'medicine_supply_crate',NULL,'','','',0,2187,22,0,1,1,56,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160185,'firefly_particles',NULL,'','','',0,4898,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160186,'angry_snake_cage',NULL,'','','',0,2559,25,0,1,1,228,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160187,'lp_roadsign_post_double01',NULL,'','','',0,6603,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160188,'tools_supply_crate',NULL,'','','',0,3074,16,0,1,1,56,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160189,'weapons_supply_crate',NULL,'','','',0,6264,32,0,1,1,56,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160190,'Dom of the Elani Mound',NULL,'','','',0,2916,41,0,1,1,33,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160191,'Banker Arvashi',NULL,'','','',255,6487,32,0,1,1,14,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160192,'Tovana K''nundrum',NULL,'','','',255,116,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160193,'qst_ct_ysas_tragedy',NULL,'','','',0,2595,32,0,1,0,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160194,'Stove',NULL,'','','',0,2832,32,0,1,0,4,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160195,'Mound of dirt for planting of seed',NULL,'','','',0,2916,49,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160196,'coffin open 01',NULL,'','','',0,6999,32,0,1,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160197,'Brown Warg',NULL,'','','',255,7216,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160198,'Black Striped Warg',NULL,'','','',255,7229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160199,'Grey Spotted Warg',NULL,'','','',255,7228,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160200,'a delicious bass',NULL,'','','',0,6912,48,0,1,1,52,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160201,'Fish Barrel',NULL,'','','',0,6654,55,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160202,'Hand of Glory Chest',NULL,'','','',0,5865,38,0,1,1,33,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160203,'qst_innoruuk_beacon',NULL,'','','',0,2306,32,0,1,1,56,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160204,'coffin open 02',NULL,'','','',0,7000,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160205,'papers',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160206,'floor_crucible_human_lab01',NULL,'','','',0,3408,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160207,'magical cauldron',NULL,'','','',0,1845,32,0,1,0,4,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160208,'coffin closed',NULL,'','','',0,6998,32,0,1,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160209,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160210,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1160211,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(1160212,'To Somborn',NULL,'','','',0,6606,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160213,'To Lesser Faydark',NULL,'','','',0,6606,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160214,'To Castle Mistmoore',NULL,'','','',0,6606,32,0,0,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160215,'Tower Note 2',NULL,'','','',0,3550,32,0,1,1,646,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160216,'',NULL,'','','',0,49,32,0,1,1,647,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160217,'',NULL,'','','',0,49,32,0,1,1,647,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160218,'floor_paper_human_written01_slightly_raised',NULL,'','','',0,5261,32,0,1,1,56,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160219,'To Greater Faydark',NULL,'','','',0,6606,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160220,'Tower Note 1',NULL,'','','',0,3550,32,0,1,1,646,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160221,'',NULL,'','','',0,49,32,0,1,1,647,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160222,'To Steamfont',NULL,'','','',0,6606,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160223,'mistmoore_catacombs_epic01_freethinker',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160224,'blade_of_aeristrom02',NULL,'','','',0,1458,32,0,1,1,648,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160225,'blade_of_aeristrom03',NULL,'','','',0,1458,32,0,1,1,648,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160226,'qst_tombstone_of_ardan_zimel',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160227,'',NULL,'','','',0,49,32,0,1,1,649,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160228,'tavern_sign',NULL,'','','',0,6606,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160229,'Portal to Mistmyr Manor',NULL,'','','',0,2306,32,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160230,'Portal to Evernight Abbey',NULL,'','','',0,2306,32,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160231,'Portal to Ravenscale Repository',NULL,'','','',0,2306,32,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160232,'Portal to Zarrakon''s Abyssal Lair',NULL,'','','',0,2306,32,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160233,'',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160234,'',NULL,'','','',0,49,32,0,1,1,650,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160235,'qst_scp_falish_grave',NULL,'','','',0,49,32,0,1,1,651,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160236,'To Somborn Cemetery',NULL,'','','',0,6606,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160237,'blade_of_aeristrom01',NULL,'','','',0,1458,32,0,1,1,648,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160238,'',NULL,'','','',0,49,32,0,1,1,647,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160239,'Waterlogged Scroll',NULL,'','','',0,3213,64,0,1,1,440,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160240,'mistmoore_catacombs_epic02_oldcatacombs',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160241,'castle_mistmoore',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160242,'Povar, the Veiled One',NULL,'','','',0,4463,96,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160243,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160244,'beast den',NULL,'','','',0,6898,51,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160245,'protruding vein',NULL,'','','',0,6904,28,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160246,'murky geode',NULL,'','','',0,6895,70,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160247,'lanky root',NULL,'','','',0,6906,35,0,1,1,2,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160248,'scraggy bush',NULL,'','','',0,4075,40,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160249,'slate lumber',NULL,'','','',0,6899,35,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160250,'tormentil',NULL,'','','',0,1670,29,0,1,1,6,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160251,'churning school',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160252,'Creeping Fortune',NULL,'','','',0,1727,7,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1160253,'Philip''s Experiment',NULL,'','','',0,1374,19,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170000,'','','','','',255,8873,38,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170001,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170002,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170003,'Inspector Berlok Beeglesnoop','<Tinkerer''s Bureau of Investigation>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170004,'Mallard Phimore','','','','',255,269,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170005,'Fresa Wealgear','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170006,'Sergi Voombin','<Engineer>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170007,'Jin Findintide','<Mathemagician>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170008,'Quacker Dan','<Sergi Voombin''s pet>','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170009,'Jamie Sprocketbreaker','<Tinkered Weapons Research>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170010,'Adam Cogbuster','<Tinkered Weapons Research>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170011,'Lingualogian Roosey','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170012,'Deviser Obin Prayerbolt','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170013,'Ginnie Cogtrader','<Broker>','','','',2,122,32,0,1,1,20,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170014,'Malken Punwicket','<Innkeeper>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170015,'Lola Punwicket','<Food & Drink>','','','',5,4971,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170016,'a yellow recluse spider','','','','',255,205,54,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170017,'a mountain coyote','','','','',255,216,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170018,'Julius','<Clockwork Repair>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170019,'Klipp Plaxiphone','<Freelance Coordinator>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170020,'Meena Bloomhedge','<General Goods>','','','',5,4971,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100140,0,0,0,0,0,0,0,0,0,0,0,0),
(1170021,'Corybell','<Mender>','','','',5,4971,32,0,1,1,12,9,0,0,0,1,0,0,16,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1170022,'a cargo clockwork spider','','','','',255,6679,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170023,'Clockwork Assistant \"Eugene\"','<Finbert Lintzig''s pet>','','','',255,6670,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170024,'Finbert''s Salesbot','<Mechanamagical Sundries>','','','',255,6670,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,4206,0,0,0,0,0,0,0,0,0,0,0,0),
(1170025,'Gnort Fizzlebottom','','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100139,0,0,0,0,0,0,0,0,0,0,0,0),
(1170026,'a feral coyote','','','','',255,216,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170027,'Finbert Lintzig','<Engineer>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170028,'a mountain lion','','','','',255,1372,28,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170029,'a haywire clockwork spider','','','','',255,6679,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170030,'a deranged clockwork gnome','','','','',255,6669,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170031,'Druble Willcob','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170032,'Watchman Veeb','','','','',5,121,30,5,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170033,'Shobergh','<Battleclock Operator>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170034,'Bolaris','<Battleclock Operator>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170035,'Clockwork Assistant \"Shulman\"','<Brom Knotwood''s pet>','','','',255,6670,32,0,1,1,0,0,11856,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170036,'Brom Knotwood','<Metallurgist>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170037,'Dethklok XVI','<Bolaris'' pet>','','','',255,6535,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170038,'Clockwork TDDP','<Shobergh''s pet>','','','',255,6535,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170039,'Watchman Turo','','','','',5,121,31,5,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170040,'Dabbie Dupree','','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170041,'Grendlo''s Broken Clockwork','','','','',255,6670,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170042,'Hodgemottin','<Alchemist>','','','',5,4972,32,0,1,1,9,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170043,'Mirwen Beluran','<House of Falling Stars>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170044,'Plinka Fiddle','<Gnomeland R&D>','','','',5,122,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170045,'a ghostly rat','','','','',255,196,8,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170046,'Eegar Friggderp','<Gnomeland R&D>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170047,'Automated Transactional Mechanobanker','<Banker>','','','',255,6669,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170048,'Kristy Gibbs','','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170049,'Goz Hepplewhite','<Gnomeland R&D>','','','',5,4972,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170050,'Bellis Coldslate','','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170051,'Clockwork CXXV','','','','',255,6670,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170052,'a yellow recluse spider','','','','',255,205,62,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170053,'a clockwork stable master','','','','',255,6669,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170054,'Fizza Cogsworth','<Tinkering Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100142,0,0,0,0,0,0,0,0,0,0,0,0),
(1170055,'Hedwocket Cobbleblork','<Crafter of Fine Wands>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170056,'Karalyn Cinderton','<Far Seas Trading Co. Representative>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170057,'Viex Cogsworth','<Tinkering Trainer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170058,'a wayward clockwork gnome','','','','',255,6669,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170059,'Chelrik Gremnas','<Freeport Ambassador>','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170060,'Watchman Fleep','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170061,'Zappin Kwibble','<Qeynos Ambassador>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170062,'Rizo Voombin','<Scrap Engineer>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170063,'a clockwork gnome scrapbot','','','','',255,6670,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170064,'Clockwork Gnome','','','','',255,6669,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170065,'Grendlo Nimwitty','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170066,'Sister Sam','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170067,'Agent Blenkoweeble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170068,'Clockwork Assistant \"Hertal\"','<Waynil Garwater''s pet>','','','',255,6670,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170069,'a mountain goat','','','','',255,2336,16,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170070,'Donil Bondlefink','<Goatherd>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170071,'a Bloodhorn hunter','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170072,'a Bloodhorn enslaver','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170073,'a clockwork disassembler','','','','',255,6288,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170074,'a clockwork collector','','','','',255,6287,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170075,'a Balespring raider','','','','',255,5219,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170076,'a ley lantern','','','','',255,273,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170077,'a Balespring siren','','','','',255,5219,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170078,'a pale spitting spider','','','','',255,205,62,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170079,'a mountain stalker','','','','',255,216,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170080,'a Balespring broodmother','','','','',255,5219,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170081,'a mountain howler','','','','',255,216,41,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170082,'an ebon drake','','','','',255,238,42,8,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170083,'a large yellow recluse','','','','',255,205,81,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170084,'a large pale spitting spider','','','','',255,205,78,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170085,'a shambling shaper','','','','',255,6282,63,5,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170086,'Scout Pechyooka','','','','',255,6454,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170087,'an ebon drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170088,'a Balespring witch','','','','',255,5219,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170089,'a migrating shambler','','','','',255,6282,49,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170090,'a Smokehorn berserker','','','','',255,158,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170091,'a Smokehorn warrior','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170092,'a raging geonach','','','','',255,6284,41,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170093,'a Smokehorn shaman','','','','',255,158,57,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170094,'Avangorok the Chosen','','','','',255,158,73,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170095,'a Smokehorn harbinger','','','','',255,158,57,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170096,'Son of Thunder','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170097,'Shaka-Scathar','','','','',255,158,64,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170098,'a Smokehorn seer','','','','',255,158,57,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170099,'Volesterus the Viridian','','','','',255,238,64,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170100,'a Grikbar outcast','','','','',255,6452,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170101,'Snyd Brenclog','<Alchemist Extraordinaire>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170102,'an enslaved battler','','','','',255,6457,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170103,'a Bloodhorn thrall','','','','',255,159,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170104,'an enslaved warrior','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170105,'an enslaved savage','','','','',255,6448,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170106,'a calcinach sectarian','','','','',255,6280,38,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170107,'Ombra''nadinid','','','','',255,6280,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170108,'Gimble Tinkerton','<Clockwork Engineer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170109,'an enslaved scamp','','','','',255,6448,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170110,'a collection prognosticator','','','','',255,6286,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170111,'The Rotten Minotaur Hero','','','','',255,159,57,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170112,'a geonach rumbler','','','','',255,6284,41,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170113,'a steam elemental','','','','',255,3647,32,0,1,1,11,0,6867,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170114,'a migrating sapling','','','','',255,6282,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170115,'Khor the Irascible','','','','',255,157,64,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170116,'Lumzig Schepwicket','<Experimenter>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170117,'P.J. Dangsprocket','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170118,'Watchman Vaughn','','','','',5,4972,38,0,1,1,13,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170119,'Vhizz Frugrin','<Observer>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170120,'Enixy Fender','<Assistant Observer>','','','',5,4971,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170121,'Bindo Frugrin','<Observer>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170122,'Clockwork Assistant \"Bernard\"','','','','',255,6670,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170123,'a pale spitting spider','','','','',255,205,52,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170124,'a Mazkeen recluse','','','','',255,205,56,7,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170125,'a Mazkeen spider tamer','','','','',255,6456,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170126,'a yellow recluse spiderling','','','','',255,205,15,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170127,'Urgag the Evil Eye','','','','',255,6451,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170128,'a Mazkeen warrior','','','','',255,6453,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170129,'a Mazkeen war spider','','','','',255,205,61,7,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170130,'a Mazkeen raider','','','','',255,6455,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170131,'a Mazkeen savage','','','','',255,6448,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170132,'a Mazkeen recluse','','','','',255,205,46,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170133,'Overlord Marrowthroat','','','','',255,6451,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170134,'a Mazkeen witch doctor','','','','',255,6448,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170135,'Nuckletrow','','','','',255,6456,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170136,'a Mazkeen war spider','','','','',255,205,50,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170137,'a Mazkeen spotter','','','','',255,6449,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170138,'a Mazkeen spotter','','','','',255,6453,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170139,'Watchman Plarg','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170140,'a yellow recluse spider','','','','',255,205,44,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170141,'Waynil Garwater','<Regent>','','','',5,4972,38,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170142,'Raina Bloomhedge','<Blacksmith>','','','',5,4971,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170143,'a Grikbar warrior','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170144,'a Grikbar hunter','','','','',255,6457,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170145,'a Grikbar battler','','','','',255,6457,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170146,'a Grikbar forerunner','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170147,'a Grikbar hound','','','','',255,216,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170148,'Proudstalker','','','','',255,1374,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170149,'Redcap','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170150,'a Grikbar scamp','','','','',255,6455,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170151,'a Grikbar madcap','','','','',255,6450,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170152,'a Grikbar runt','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170153,'a Grikbar drudge','','','','',255,6452,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170154,'Picklenose','','','','',255,6455,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170155,'Old Grimclaw','','','','',255,1372,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170156,'Digmaster Pechpooka','','','','',255,6454,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170157,'Flempaunch the Rex','','','','',255,6451,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170158,'a ley light','','','','',255,273,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170159,'Clockwork Watchman Prynn','','','','',255,6669,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170160,'Agent Willsprock','<C.S.I. Unit>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170161,'a clockwork explorer','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170162,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170163,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170164,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170165,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170166,'a Bloodhorn oppressor','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170167,'a Bloodhorn oppressor','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170168,'Meldrath the Iron Lich','','','','',255,6670,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170169,'Slave Pechmooka','','','','',255,6454,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170170,'a Bloodhorn headhunter','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170171,'an enraged calcinach','','','','',255,6280,38,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170172,'Bulka Bloodhorn','','','','',255,157,60,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170173,'a celebrating gnome','','','','',5,122,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170174,'Jon Jeffas','<Battleclock Ringmaster>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170175,'Didyma','<Tinkerfest Master of Celebrations>','','','',5,122,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170176,'Myron','<Tinkerfest Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170177,'Caelon','Caelon''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170178,'Fangs','Dijaango''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170179,'Erratic Tinkerfest Clockwork','','','','',255,6446,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170180,'Mitzie','Kitzie''s Personae Reflection','','','',9,107,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170181,'Moomoo','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170182,'Mad Mattie','<Tinkerfest Fireworks Coordinator>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170183,'Jeker','Deuhahnya''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170184,'a Mazkeen spotter','','','','',255,6455,29,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170185,'Khadijah','','','','',255,5219,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170186,'a tormented Serilian spirit','','','','',5,121,35,0,1,1,11,0,6193,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170187,'Agent Sidleworth','<C.S.I. Unit>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170188,'Agent Grisscob','<C.S.I. Unit>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170189,'Clockwork Watchman Prenn','','','','',255,6669,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170190,'Myxwife','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170191,'Kaleb','Teeshug''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170192,'Rocky','Underfoot Attendant','','','',255,152,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170193,'a steam hydronach','','','','',255,3636,32,0,1,1,11,0,6867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170194,'a steam gargantua','','','','',255,3636,64,0,1,1,11,0,6867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170195,'a large pale spitting spider','','','','',255,205,88,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170196,'Chortle the imp','<Veneficus''s pet>','','','',255,6824,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170197,'Veneficus','<Wizard>','','','',5,4972,32,0,1,1,9,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170198,'The Arachnomechanicon','','','','',255,6679,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170199,'Oglethorpe','','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170200,'Emery','','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170201,'Clockwork Assistant \"Balthazar\"','','','','',255,6670,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170202,'a large yellow recluse','','','','',255,205,71,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170203,'an undying hound','','','','',255,3882,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170204,'Vabeker','Eurynomis''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170205,'Eurynomis','<Necromancer>','','','',5,4972,32,0,1,1,9,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170206,'Vabantik','Liandros''s undead knight','','','',255,1521,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170207,'Warslug','Kargen''s slimy slug friend','','','',255,252,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170208,'Scales','Jemthros''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170209,'Picklepic','Picklepic''s earthen avatar','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170210,'Quixilver II','<Amateur Contestant>','','','',255,6535,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170211,'Stalagmitebob','Georga''s earthen avatar','','','',255,11678,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170212,'Liltourch','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170213,'Hrimnir','Wyntershade''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170214,'Koser','Lurker''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170215,'Martial','Picksy''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170216,'Gimlet Gigglegibber','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170217,'Felonious Frostfae','<Frostfell Fae Enforcer>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170218,'Simon','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170219,'Fizza Cogsworth','<Tinkering Supplies and Training>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170220,'Viex Cogsworth','<Master Tinkerer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170221,'Mikehunt','Gildrem''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170222,'Luthin''s wolf pack','','','','',255,216,21,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170223,'Tickle','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170224,'a Concordium Pupil Adept','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170225,'a Grikbar depraver','','','','',255,6455,31,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170226,'dark horror','','','','',255,240,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170227,'Void Tempest','','','','',255,8264,79,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170228,'dark seepage','','','','',255,296,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170229,'Void Tempest','','','','',255,8264,77,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170230,'a Grikbar overseer','','','','',255,6452,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170231,'a yellow recluse spider','','','','',255,205,63,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170232,'Geobot IX','<Clockwork Minion>','','','',255,208,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170233,'a Mazkeen oracle','','','','',255,6449,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170234,'Shiculiant','','','','',255,205,78,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170235,'dark horror','','','','',255,240,38,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170236,'Void Tempest','','','','',255,8264,87,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170237,'a Bloodhorn slaver','','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170238,'Jontik','Eurynomis''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170239,'a viridian drake','','','','',255,238,47,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170240,'Void Tempest','','','','',255,8264,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170241,'dark seepage','','','','',255,296,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170242,'Haywire Opticron','','','','',255,6286,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170243,'a clockwork assembler','','','','',255,6288,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170244,'an ebon drake','','','','',255,238,51,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170245,'gnome_hq_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170246,'gnome_hq_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170247,'gnome_hq_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170248,'gnome_hq_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170249,'gnome_hq_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170250,'',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170251,'gnome_house_door4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170252,'gnome_house_door5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170253,'door_windmill_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170254,'door_windmill_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170255,'door_observatory',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170256,'',NULL,'','','',0,49,32,0,1,1,161,0,0,0,0,0,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170257,'gnome_house_door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170258,'gnome_house_door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170259,'gnome_house_door3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170260,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170261,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170263,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170264,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170265,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170266,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170267,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170268,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170269,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170270,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170271,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170272,'dpo_spiderweb_small02',NULL,'','','',0,5144,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170273,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170274,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170275,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170276,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170277,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170278,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170279,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170280,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170281,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170282,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170283,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170284,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170285,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170286,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170287,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170288,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170289,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170290,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170291,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170292,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170293,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170294,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170295,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170296,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170298,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170299,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170300,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170301,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170302,'harpoon launcher',NULL,'','','',0,14061,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170303,'barricade',NULL,'','','',0,14060,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170304,'The B.F.C. 3000',NULL,'','','',0,11209,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170305,'archery target',NULL,'','','',0,2185,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170306,'sfm_roadsign_post01',NULL,'','','',0,6976,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170307,'eegar_pet',NULL,'','','',0,196,8,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170308,'eegars_table',NULL,'','','',0,2306,1,0,1,1,0,0,3679,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170309,'floor_distillery_human_lab02',NULL,'','','',0,3414,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170310,'floor_distillery_human_crucible01',NULL,'','','',0,3410,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170311,'Melvin Pennysworth',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170312,'Maladominus Poxbringer',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170313,'Travel Disc 5000',NULL,'','','',255,5987,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170314,'goldsteam_geyser_thruster',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170315,'goldsteam_geyser',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170316,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170317,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170318,'human_skull_pile',NULL,'','','',0,4138,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170319,'Telescope Cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170320,'MASS device gears',NULL,'','','',0,5211,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170321,'MASS device crank',NULL,'','','',0,5210,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170322,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170323,'human skull bashed 02',NULL,'','','',0,3000,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170324,'anchorite_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170325,'steamfont_geyser',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170326,'qst_scp_grappling_hook_target_2',NULL,'','','',0,3956,32,0,1,1,159,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170327,'bedroll',NULL,'','','',0,1997,20,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170328,'cooking pot',NULL,'','','',0,2692,32,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170329,'qst_scp_grappling_hook_target_1',NULL,'','','',0,3956,32,0,1,1,159,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170330,'rock',NULL,'','','',0,3239,21,0,1,1,61,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170331,'grappling_hook',NULL,'','','',0,2310,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170332,'rope',NULL,'','','',0,3574,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170333,'crater_2_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170334,'geyser_crater_2',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170335,'crater_1_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170336,'geyser_crater_1',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170337,'geyser_beryl_knockback',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170338,'geyser_beryl',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170339,'tinkers_mug',NULL,'','','',0,10594,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170340,'torn_ear_2_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170341,'geyser_torn_ear_2',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170342,'torn_ear_1_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170343,'upright_red_gear',NULL,'','','',0,10560,4,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170344,'ornate_gold_gear',NULL,'','','',0,10625,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170345,'tinkers_round_table',NULL,'','','',0,10593,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170346,'gnome_lamppost_red',NULL,'','','',0,10579,32,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170347,'upright_yellow_gear',NULL,'','','',0,10561,4,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170348,'large_grey_gear',NULL,'','','',0,10557,53,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170349,'dpo_dead_coyote',NULL,'','','',0,216,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170350,'marsh_1_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170351,'geyser_marsh_1',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170352,'marsh_2_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170353,'geyser_marsh_2',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170354,'quest_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170355,'steamfont_geyser_quest',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170357,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170358,'old_gargantua_geyser_erupt',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170359,'old_gargantua_geyser',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170360,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170361,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1170362,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170363,'sign_sewer_covers',NULL,'','','',0,13,32,0,1,1,0,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170364,'sign_voombin_salvage',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170365,'voombin salvage sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170366,'sign to inn',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170367,'sign_akanon_inn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170368,'sign to gnomeland security',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170369,'sign_bloomhedge_provisions',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170370,'sign_finberts_shop',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170371,'bloomhedge provisions sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170372,'gnomeland_research',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170373,'garwater regency sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170374,'sign_explosive_discoveries',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170375,'sign_gnomeland_rnd',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170376,'akanon_warning_sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170377,'road to akanon sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170378,'awzone_to_clockwork_workshop',NULL,'','','',0,13,63,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170379,'welcome sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170380,'wanted poster',NULL,'','','',0,3655,32,0,1,1,0,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170381,'sign_garwater_regency',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170382,'duck',NULL,'','','',0,269,32,0,1,1,33,0,228,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170383,'clockwork_gnome',NULL,'','','',0,6670,12,0,1,1,56,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170384,'windmill_lamp_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170385,'windmill_lamp_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170386,'Damaged Clockwork',NULL,'','','',0,6286,128,0,1,1,33,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170387,'sign to frugrin observatory',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170388,'road to gfay sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170389,'road to gfay sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170390,'fulgations_rations',NULL,'','','',0,1393,3,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170391,'fulgations_journal',NULL,'','','',0,1453,18,0,1,1,56,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170392,'fulgations_fire',NULL,'','','',0,3252,9,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170393,'fulgations_bag',NULL,'','','',0,4186,31,0,1,1,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170394,'road to loping plains sign',NULL,'','','',0,6977,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170395,'King Grikbar''s Cavern',NULL,'','','',0,6546,31,0,1,1,163,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170396,'Klak''Anon',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,330,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170397,'zone_to_exp03_rgn_steamfont_epic01_mines',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170398,'gnome_crank_machine',NULL,'','','',0,5210,32,0,1,1,0,0,16301,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170399,'gnome_gearpiece',NULL,'','','',0,10574,32,0,1,1,0,0,1799,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170400,'floor_crate_darkelf_wood03',NULL,'','','',0,2679,32,0,1,1,56,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170401,'floor_book_human_artisan01',NULL,'','','',0,3322,16,0,1,1,56,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170402,'floor_crate_darkelf_wood04',NULL,'','','',0,2680,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170403,'teleporter_to_frostfell_village',NULL,'','','',0,2306,32,0,1,1,45,0,14721,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170404,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170405,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170406,'wholesome roots',NULL,'','','',0,6906,40,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170407,'natural shrubbery',NULL,'','','',0,3909,27,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170408,'Explosive Kefitzat powder',NULL,'','','',0,2610,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170409,'beast den',NULL,'','','',0,6897,38,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170410,'russet rock',NULL,'','','',0,6903,26,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170411,'earthy timber',NULL,'','','',0,6900,48,0,1,1,8,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170412,'flamesalt',NULL,'','','',0,3957,15,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170413,'partially chewed ore',NULL,'','','',0,3957,27,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170414,'pellucid stone',NULL,'','','',0,6894,83,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170415,'gear scrap metal',NULL,'','','',0,6332,37,0,1,1,6,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170416,'steamvent coral',NULL,'','','',0,3910,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170417,'salt crystals',NULL,'','','',0,14017,32,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170418,'animal den',NULL,'','','',0,6897,55,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170419,'nutritive roots',NULL,'','','',0,6906,28,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170420,'burnished stone',NULL,'','','',0,6903,31,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170421,'verdant timber',NULL,'','','',0,6900,38,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170422,'natural nettle',NULL,'','','',0,3909,33,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170423,'calcified rock',NULL,'','','',0,6894,67,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170424,'steamfont wild radish',NULL,'','','',0,4075,18,0,1,1,6,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170425,'luclinite rock',NULL,'','','',0,3957,37,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170426,'a stolen Serilian totem',NULL,'','','',0,6814,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170427,'!',NULL,'','','',0,10634,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170428,'gnomish grease can',NULL,'','','',0,6946,22,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170429,'dilapidated armored plates',NULL,'','','',0,6332,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170430,'a strange concoction',NULL,'','','',0,2606,26,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170431,'rusty spring',NULL,'','','',0,10583,3,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170432,'spawning shoal',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170433,'discarded whirliblade',NULL,'','','',0,10561,3,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1170434,'clockwork donor',NULL,'','','',0,6287,32,0,1,1,6,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180000,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180001,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180002,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180003,'Meldrath the Malignant','','','','',5,121,32,0,1,1,9,0,6193,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180004,'an ore crusher','','','','',255,6446,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180005,'an ore extractor','','','','',255,6447,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180006,'a tainted taskmaster','','','','',255,159,52,4,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180007,'a security drone','','','','',255,6286,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180008,'Lockdown','','','','',255,6286,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180009,'an alert ore hauler','','','','',255,6524,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180010,'an ore hauler','','','','',255,6524,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180011,'a dormant builderbot','','','','',255,6288,64,0,1,1,26,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180012,'a rubble smasher','','','','',255,6446,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180013,'Gackhammer','','','','',255,6446,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180014,'Steelwhip','','','','',255,159,96,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180015,'a tainted whipmaster','','','','',255,159,70,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180016,'Fleshknot','','','','',255,6524,89,0,1,1,11,0,540,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180017,'Meldrath''s Magical Minion','','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180018,'Meldrath''s Burly Believer','','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180019,'Meldrath''s Piercing Pupil','','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180020,'Meldrath''s Curing Cohort','','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180021,'The King''s Gift','','','','',255,6670,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180022,'a summoned striker','','','','',9,4558,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180023,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180024,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180025,'fuel cell',NULL,'','','',0,6517,13,0,1,1,0,0,0,0,0,0,0,0,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180026,'bridge_stage01',NULL,'','','',0,6680,32,0,1,1,0,0,4164,0,0,0,0,0,612,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180027,'bridge_stage01',NULL,'','','',0,6681,32,0,1,1,0,0,4164,0,0,0,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180028,'bridge_stage01',NULL,'','','',0,6682,32,0,1,1,0,0,4164,0,0,0,0,0,630,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180029,'Translocator Spires',NULL,'','','',0,2306,96,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180030,'cell coll 02',NULL,'','','',0,6522,16,0,1,1,620,0,0,0,0,0,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180031,'zone_exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180032,'cell coll 01',NULL,'','','',0,6522,16,0,1,1,620,0,0,0,0,0,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180033,'cell coll 04',NULL,'','','',0,6522,16,0,1,1,620,0,0,0,0,0,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1180034,'cell coll 03',NULL,'','','',0,6522,16,0,1,1,620,0,0,0,0,0,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190001,'a shadow lurker','','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,1,10,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190002,'a chamber guardian','','','','',255,1371,48,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190003,'a servitor of Tseralith','','','','',255,2837,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190004,'a tormented attendant','','','','',255,2838,32,0,1,1,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190005,'Quiora T''Las','<Chosen of Tseralith>','','','',255,4632,35,0,1,1,11,0,0,0,0,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190006,'a prelate of Tseralith','','','','',9,1521,32,0,1,1,11,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190007,'a martyr of Tseralith','','','','',9,146,32,0,1,1,11,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190008,'a tormented attendant','','','','',255,2837,32,0,1,1,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190009,'a mindless corpse','','','','',1,4548,32,0,1,1,11,0,0,1,1,1,0,1,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190010,'a mindless corpse','','','','',1,4548,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190011,'a murkwurm','','','','',255,277,54,0,1,1,11,0,0,1,1,1,0,1,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190012,'a tortured invader','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190013,'a mindless corpse','','','','',1,4548,32,0,1,1,11,0,0,1,1,1,0,1,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190014,'a fallen explorer','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190015,'a fallen explorer','','','','',255,140,16,0,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190016,'a tortured raider','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190017,'Logan Belchbottom','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190018,'Marlia Safefoot','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190019,'a gloom snake','','','','',255,213,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190020,'The Sarge','','','','',255,2848,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190021,'a cursed shriller','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190022,'a dead explorer','','','','',1,115,32,0,1,1,747,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190023,'a Thexian excavator','','','','',1,9913,32,0,1,1,11,0,2811,1,1,1,0,125,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190024,'a Thexian explorer','','','','',1,115,32,0,1,1,11,0,12029,1,1,1,0,125,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190025,'a Thexian dragoon','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190026,'a Thexian diviner','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190027,'a fallen explorer','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190028,'a fallen explorer','','','','',255,140,31,2,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190029,'a suspended watcher','','','','',255,1370,48,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190030,'a suspended watcher','','','','',255,1370,48,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190031,'a fallen explorer','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190032,'a tortured raider','','','','',255,140,22,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190033,'a tortured ranger','','','','',255,140,29,6,1,1,11,0,0,1,1,1,0,1,36,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190034,'Shadowfang','','','','',255,3705,89,0,1,1,11,0,0,1,1,1,0,0,8,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190035,'a blighted patron','','','','',255,2861,32,0,1,1,11,0,0,1,1,1,0,1,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190036,'a blighted bouncer','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,1,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190037,'a blighted shopkeeper','','','','',255,2857,32,0,1,1,11,0,0,1,1,1,0,1,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190038,'a blighted outcast','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,1,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190039,'a blighted denizen','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190040,'a tortured invader','','','','',255,140,19,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190041,'a blighted shopkeeper','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190042,'a tortured invader','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190043,'a tormented assassin','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190044,'a blighted trader','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190045,'a tormented war witch','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190046,'a tortured raider- Halfling','','','','',255,140,22,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190047,'a tortured raider','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190048,'Zannas of the Arm','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190049,'a blighted shopkeeper','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190050,'a tormented dragoon','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190051,'a tormented battlepriest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190052,'a tormented battlemage','','','','',9,146,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190053,'Kekn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190054,'a tortured invader','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190055,'a tortured invader','','','','',255,140,16,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190056,'a tortured raider','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190057,'Bouhla','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190058,'Blythe','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190059,'Bahzule','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190060,'Baelhyme','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190061,'a tormented attendant','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190062,'a tormented attendant','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190063,'a prelate of Tseralith','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190064,'an unfortunate explorer','','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,1,36,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190065,'a champion of Tseralith','','','','',255,161,41,0,1,1,11,0,0,1,1,1,0,1,43,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190066,'an inquisitor of Tseralith','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190067,'a circle keeper','','','','',1,4547,32,0,1,1,11,0,0,1,1,1,0,1,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190068,'a blighted denizen','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,1,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190069,'a tormented noble','','','','',9,146,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190070,'a blighted trademaster','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190071,'Vicathyra the Weaver','','','','',255,205,96,0,1,1,11,0,0,1,1,1,0,1,10,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190072,'a Thexian prisoner','','','','',1,18938,32,0,1,1,11,0,0,1,1,1,0,125,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190073,'a reaver of Tseralith','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190074,'a tormented taskmaster','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190075,'a tortured toiler','','','','',255,2837,32,0,1,1,11,0,2811,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190076,'a granite watcher','','','','',255,1370,32,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190077,'an anguished glutton','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190078,'an anguished feaster','','','','',255,2861,32,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190079,'a hungry feaster','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190080,'an anguished feaster','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190081,'a meat stripper','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190082,'a blighted butcher','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190083,'a construct of malice','','','','',255,161,41,0,1,1,11,0,0,1,1,1,0,1,43,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190084,'Priest of Dymetreax','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190085,'a thrall of Byzola','','','','',1,4548,32,0,1,1,11,0,0,1,1,1,0,1,26,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190086,'a thrall of Byzola','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190087,'a tortured raider','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190088,'a thrall of Byzola','','','','',255,140,31,3,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190089,'a thrall of Byzola','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190090,'a blighted warmonger','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190091,'a blighted warmonger','','','','',255,2857,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190092,'a blighted warmonger','','','','',255,2857,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190093,'a blighted savage','','','','',255,2861,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190094,'a blighted savage','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190095,'a blighted savage','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190096,'Warlord Zumok','','','','',255,161,48,0,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190097,'Chieftain Merzog','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190098,'Steelworker Blargg','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190099,'a tormented weaponsmith','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190100,'a tormented armorsmith','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190101,'a Thexian overseer','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190102,'a Thexian historian','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190103,'a Thexian interrogator','','','','',1,9913,32,0,1,1,11,0,0,1,1,1,0,125,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190104,'Commander Dvin L''Crit','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190105,'Bufftest''s wolf pack','','','','',255,1374,17,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190106,'Bufftest''s wolf pack','','','','',255,1374,27,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190107,'a Thexian captain','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190108,'Lord Ak`Tarnis','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,125,26,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190109,'Lenarn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190110,'Xabarn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190112,'Outfitter Thrack','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,1,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190113,'a blighted shopkeeper','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190114,'a fallen explorer','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190115,'a mindless invader','','','','',1,4548,19,0,1,1,11,0,0,1,1,1,0,1,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190116,'Vabartik','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190117,'Gonaner','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190118,'Zaner','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190119,'Bufftest''s Faerie Ally','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190120,'Trader Martok','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190121,'Karekab','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190122,'a wizard''s familiar','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,1,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190123,'A Thexian Wizard','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190124,'Drekak the Spinebreaker','','','','',255,2862,41,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190125,'Kabober','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190126,'Josaner','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190127,'Losartik','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190128,'Lonarn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190129,'Priest of Byzola','','','','',255,2857,41,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(1190130,'Nerial T''Rek','','','','',9,3654,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190131,'Chef Turrek','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190132,'Vonarn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190133,'Kibtik','Zandatil''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190134,'Labantik','Kiels''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190135,'Hannibal','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190136,'Bashyourfacein','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190137,'Zithix D''Sarn','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190138,'Conjura''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190139,'Benas','Conjura''s animated dagger','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190140,'Benas','Conjura''s tellurian soldier','','','',255,2462,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190141,'Conjura''s aqueous stalker','','','','',255,2394,31,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190142,'Keela''s swarm of rats','','','','',255,196,22,8,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190143,'Kebn','Keela''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190144,'Keela''s swarm of rats','','','','',255,196,12,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190145,'Xobn','Keela''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190146,'Gabann','Keela''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190147,'Laner','Keela''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190148,'Gabann','Keela''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190149,'Keela''s swarm of rats','','','','',255,196,31,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190150,'Lenarer','Keela''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190151,'Babyface','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190152,'Vararn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190153,'Gisela','Gisela''s Personae Split','','','',9,1592,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190154,'Mischa','Mischa''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190155,'Mischa''s Spiritual Shrine','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190156,'Tektite','','','','',255,1370,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190157,'Gurmoz the Hungry','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190158,'Jekn','A tortured invader''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190159,'examine_gong_of_uglan',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,1,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190160,'explorer_group_03',NULL,'','','',0,49,32,0,1,1,885,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190161,'explorer_group_01',NULL,'','','',0,49,32,0,1,1,885,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190162,'explorer_group_02',NULL,'','','',0,49,32,0,1,1,885,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190163,'tome_mastery_zombie_widget',NULL,'','','',0,49,32,0,0,0,886,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190164,'tome_location_examine_bed',NULL,'','','',0,49,32,0,0,0,887,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190165,'fgepic_access_urn',NULL,'','','',0,49,32,0,0,0,888,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190166,'examine_gong_of_hukulk',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190171,'quest_rogue_chest_widget',NULL,'','','',0,1473,32,0,0,0,449,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190172,'chest',NULL,'','','',0,2028,9,0,0,0,450,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190173,'seated_skeleton',NULL,'','','',0,2431,20,0,0,0,1005,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190174,'tableware',NULL,'','','',0,1459,19,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190175,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190176,'obelisk',NULL,'','','',0,1854,80,0,0,0,882,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190177,'obelisk_urn',NULL,'','','',0,2184,32,0,1,1,883,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190178,'alarmglobe',NULL,'','','',0,1953,32,0,0,0,884,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190179,'alarmglobetable',NULL,'','','',0,2169,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190180,'draconic_widget03',NULL,'','','',0,4183,9,0,0,0,124,0,0,0,0,1,1,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190181,'fg_epic_access_bookcase',NULL,'','','',0,1410,32,0,0,0,1341,0,0,0,0,1,1,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190182,'zone_to_fallengate_epic01_boss',NULL,'','','',0,49,32,0,0,0,452,0,0,0,0,1,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190184,'(unnamed)',NULL,'','','',0,49,32,0,1,1,67,0,0,0,0,1,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190185,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190186,'Zannas K''Val''s Chest',NULL,'','','',0,2902,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1190187,'a blighted patron',NULL,'','','',255,2838,32,0,1,1,0,0,0,1,1,0,0,1,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1200000,'Trenda''loz the Caller','','','','',255,238,160,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1200001,'draconic_right_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1200002,'draconic_left_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1200003,'fallengate',NULL,'','','',0,49,32,0,1,1,453,0,0,0,0,1,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210000,'a horse','','','','',255,6846,30,6,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210001,'artifact adder 2','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210002,'Bdorn Alehammer','<Elefa''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210003,'','','','','',255,5008,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210004,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210005,'a vicious ripper','','','','',255,242,70,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210006,'a Huuptic fetcher','','','','',255,151,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210007,'a Huuptic hunter','','','','',255,151,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210008,'a Huuptic idler','','','','',255,151,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210009,'a Tae Ew hunter','','','','',255,1638,32,0,1,1,0,0,0,0,0,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210010,'Turtle','','','','',255,1637,32,0,1,1,9,0,0,0,0,1,0,0,35,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210011,'Larg Buchanan','','','','',0,1463,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210012,'an edge glider','','','','',255,219,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210013,'a Huuptic elder','','','','',255,151,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210014,'a carrion dreg','','','','',255,190,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210015,'artifact adder 1','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210016,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210017,'a Defender of Growth','<Paladin of Tunare>','','','',8,136,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210018,'Vargbend Cogwinder','<Ekroosik''s Replicators>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210019,'a distressed merchant','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210020,'artifact adder 4','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210021,'Zha Gu''Lau','','','','',12,134,28,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210022,'Taryn D`Vat','<Circle of Unseen Hands>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210023,'a swamp feeder','','','','',255,2389,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210024,'a pungent recluse','','','','',255,284,38,0,1,1,11,0,0,1,1,1,0,1,36,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210025,'a blighted water skater','','','','',255,197,64,0,1,1,11,0,0,1,1,1,0,1,8,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210026,'Kromok the Acolyte','','','','',9,139,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210027,'a fetid Rallosian allegiant','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210028,'a fetid Rallosian bouncer','','','','',9,139,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210029,'a fetid Rallosian page','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210030,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210031,'Anrev Kaelyna','','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210032,'a wetland damselfly','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210033,'a muck dreg','','','','',255,201,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210034,'a marsh damselfly','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210035,'a bitter bloom','','','','',255,284,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210036,'a swamp constrictor','','','','',255,213,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210037,'Vashazdar Manoisti','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210038,'Grimble Blumble','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210039,'a green hood tracker','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210040,'Tarin Varinbade','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210041,'Gretchen Spiritstorm','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210042,'Reza','','','','',13,72,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210043,'Mashara Tiogran','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210044,'Malkin X''Davai','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210045,'Krozk Bonebraka','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210046,'Cvaka Zichovani','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210047,'Rankle Clanghammer','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210048,'a carrion dreg','','','','',255,201,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210049,'Ambassador Zozor','','','','',255,1638,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210050,'a greenblood dreg','','','','',255,201,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210051,'Keevan Fastmarch','<Resource Surveyor>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210052,'Merchant Klobruk Pulp','<General Goods>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,10058,0,0,0,0,0,0,0,0,0,0,0,0),
(1210053,'Rada Stoutheart','','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210054,'Merchant Murgina','<Provisioner>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,100103,0,0,0,0,0,0,0,0,0,0,0,0),
(1210055,'Kai Vhri''Jah','','','','',1,115,38,0,1,1,9,0,0,0,0,1,0,0,26,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210056,'a Blackhook corsair','','','','',20,5021,32,0,1,1,0,0,0,0,0,1,0,0,36,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210057,'General Fandrak','','','','',20,5023,32,0,1,1,9,0,0,0,0,1,0,0,36,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210058,'a Tillia wardess','','','','',255,174,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210059,'a Tillia sorcerer','','','','',255,174,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210060,'a Tillia charmer','','','','',255,174,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210061,'a toxic water skater','','','','',255,197,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210062,'Tomei','Tomei''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210063,'an Evol Ew warder','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210064,'an Evol Ew mender','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210065,'an Evol Ew disciple','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210066,'a fragrant demise','','','','',255,284,44,0,1,1,11,0,0,1,1,1,0,1,36,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210067,'an Evol Ew underhand','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210068,'a Tae Ew Shifter','','','','',255,1637,51,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210069,'a forest creep','','','','',255,245,57,0,1,1,11,0,0,1,1,1,0,1,10,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210070,'an Evol Ew sorcerer','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210071,'a construct of thule','','','','',255,148,32,0,1,1,11,0,0,1,1,1,0,1,37,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210072,'a Thulian protectorate','','','','',255,167,83,0,1,1,11,0,0,1,1,1,0,1,33,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210073,'a Thulian rage','','','','',255,167,83,0,1,1,11,0,0,1,1,1,0,1,33,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210074,'a Thulian cenobite','','','','',255,167,83,0,1,1,11,0,0,1,1,1,0,1,33,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210075,'a Thulian bouncer','','','','',255,167,83,0,1,1,11,0,0,1,1,1,0,1,33,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210076,'a sattar abomination','','','','',255,1373,70,0,1,1,11,0,0,1,1,1,0,1,32,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210077,'a thulian affliction','','','','',255,2389,38,0,1,1,11,0,0,1,1,1,0,1,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210078,'an Evol Ew defender','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210079,'Urthess Wrathnser','','','','',10,104,22,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210080,'Piaynne Nissarre','','','','',10,103,19,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210081,'Irkksom Svetann','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210082,'Livvias Wrathnser','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210083,'an Evol Ew Thulian neophyte','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210084,'Krruvell Wrathnser','','','','',10,1575,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210085,'Neffarus Rissner','','','','',10,1572,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210086,'an Evol Ew Thulian neophyte','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210087,'an Evol Ew Thulian neophyte','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210088,'an Evol Ew Thulian neophyte','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210089,'an Evol Ew Thulian neophyte','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210090,'an Evol Ew Headhunter','','','','',255,1638,41,0,1,1,11,0,0,1,1,1,0,123,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210091,'an Evol Ew Mark','','','','',9,2223,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210092,'Dartain','<The Duality>','','','',3,1597,48,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210093,'a brush nightstalker','','','','',255,213,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210094,'a domesticated dreg','','','','',255,201,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210095,'a domesticated fiend','','','','',255,231,80,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210096,'a domesticated sattar','','','','',255,293,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210097,'a thule sattar','','','','',255,293,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210098,'Bouncer Prud','','','','',255,2858,38,0,1,1,11,0,496,1,1,1,0,0,32,21297,6809,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210099,'an underbrush fiend','','','','',255,231,80,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210100,'a Devout Thule Sattar','','','','',255,293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210101,'a razor tail','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210102,'an elite Rallosian templar','','','','',9,139,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210103,'an elite Rallosian allegiant','','','','',9,139,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210104,'Shadow of Therik Mu''sah','','','','',9,146,67,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210105,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210106,'an executioner of fear','','','','',10,1574,32,0,1,1,0,0,396,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210107,'a disciple of fear','','','','',10,104,32,0,1,1,11,0,0,1,1,1,0,251,34,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210108,'a boogeyman','','','','',1,4548,44,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210109,'a phantasm','','','','',255,5002,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210110,'a horror hound','','','','',255,4528,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210111,'a Tae Ew devotee','','','','',255,1637,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210112,'a Tae Ew devotee','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210113,'a Tae Ew devotee','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210114,'a samhain','','','','',255,261,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210115,'a spinechiller','','','','',255,240,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210116,'a boogeyman','','','','',1,4548,44,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210117,'an amygdalan','','','','',255,177,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210118,'a glarelord','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,251,35,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210119,'a glare lord','','','','',255,247,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210120,'a samhain','','','','',255,261,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210121,'a horror hound','','','','',255,4528,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210122,'a glare lord','','','','',255,247,22,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210123,'a phantasm','','','','',255,5002,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210124,'Othixis','','','','',1,4965,28,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210125,'an amygdalan warrior','','','','',255,176,32,0,1,1,11,0,0,1,1,1,0,251,32,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210126,'a fleshgoyle','','','','',255,4545,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210127,'a Tunarian quartermaster','<Crafting Fuels>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210128,'Tunarian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,27857,0,0,0,0,0,0,0,0,0,0,0,0),
(1210129,'Chon Ar''edij','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210130,'Jarn','Zarrok''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210131,'Veela Chi'' Neh','','','','',255,180,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210132,'a songstress assassin','','','','',255,180,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210133,'a songstress mender','','','','',255,180,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210134,'a domesticated fiend','','','','',255,231,80,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210135,'a Swamp Creep','','','','',255,2389,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210136,'a marsh deathwing','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210137,'a diseased dreg corpse','','','','',255,201,32,0,1,1,901,0,228,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210138,'a brush constrictor','','','','',255,213,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210139,'Bouncer Flerb','','','','',255,2858,38,0,1,1,11,0,496,1,1,1,0,0,32,19829,6251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210140,'a Modinite fugitive','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210141,'an Evol conscript','','','','',255,166,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210142,'a Thulian ravage','','','','',255,167,76,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210143,'a jungle forestwalker','','','','',255,205,57,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210144,'a jungle leaper','','','','',255,205,57,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210145,'Japhet L''Zon','','','','',1,116,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210146,'a diseased spider corpse','','','','',255,205,32,0,1,1,901,0,228,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210147,'a toxic water skater','','','','',255,197,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210148,'Bouncer Hurd','','','','',255,2858,38,0,1,1,11,0,496,1,1,1,0,0,32,21297,6809,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210149,'Cythan','','','','',9,2852,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210150,'Kaira L''or','<Explorer>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210151,'a Tae Ew raider','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210152,'a Tae Ew pillager','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210153,'a Tae Ew infiltrator','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210154,'Munny','Slaggatha''s earthen avatar','','','',255,2413,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210155,'a diseased sattar corpse','','','','',255,293,48,0,1,1,901,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210156,'Bouncer Fug','','','','',255,2858,38,0,1,1,11,0,496,1,1,1,0,0,32,21297,6809,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210157,'a fetid Rallosian sentry','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210158,'a Tae Ew assassin','','','','',255,1638,35,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210159,'a Tae Ew thaumaturge','','','','',255,1638,35,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210160,'a Tae Ew conscript','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210161,'a Tae Ew healer','','','','',255,1638,35,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210162,'a Tae Ew conscript','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210163,'a blood belly','','','','',255,204,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210164,'a Tae Ew mystic','','','','',255,1638,35,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210165,'a Tae Ew Totem','','','','',9,2223,48,0,1,1,35,0,0,0,0,1,0,124,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210166,'High Priest of Thule','','','','',255,1638,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210167,'a Tae Ew high guard','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210168,'a captured Evol Ew ','','','','',255,1638,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210169,'a captured Evol Ew ','','','','',255,1638,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210170,'a Tae Ew Afflicter','','','','',255,1638,38,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210171,'a diseased dragonfly corpse','','','','',9,2389,32,0,1,1,901,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210172,'a Tae Ew high guard','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210173,'a Tae Ew high guard','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210174,'a thulian skater','','','','',255,277,67,0,1,1,11,0,0,1,1,1,0,1,8,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210175,'a Rallosian Footman','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210176,'a Rallosian Footman','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210177,'a Rallosian allegiant','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210178,'a Tae Ew sentinel','','','','',255,1638,35,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210179,'A Venomous Creep','','','','',255,245,60,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210180,'a Tae Ew fury','','','','',255,1638,35,0,1,1,11,0,0,1,1,1,0,124,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210181,'Agathia','Agathia''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210182,'an inquisitor prisoner','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210183,'Manticore Terror Lord','','','','',255,1373,96,0,1,1,11,0,0,1,1,1,0,1,32,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210184,'a Thulian Magus','','','','',255,148,35,0,1,1,11,0,0,1,1,1,0,1,37,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210185,'a construct of thule','','','','',255,148,32,0,1,1,11,0,0,1,1,1,0,1,37,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210186,'Tarnis','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210187,'a terror wraith','','','','',255,236,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210188,'a fragrant demise','','','','',255,284,44,0,1,1,11,0,0,1,1,1,0,1,36,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210189,'Acrimoniad','','','','',255,284,51,0,1,1,11,0,0,1,1,1,0,1,36,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210190,'a fragrant seedling','','','','',255,284,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210191,'a fragrant sorrow','','','','',255,284,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210192,'a thoughtbleeder','','','','',255,236,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210193,'a Vicious Shredder','','','','',255,242,80,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210194,'Ganer','Tarantula''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210195,'Gromafem','Katomez''s Personae Reflection','','','',9,97,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210196,'widget_danarg02_page_11',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210197,'widget_alliz_evol_page_06',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210198,'widget_alliz_tae_page_09',NULL,'','','',0,49,32,0,1,1,409,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210199,'widget_alliz_onu_page_07',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210200,'widget_danarg01_page_03',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,1,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210201,'widget_big_thule3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,390,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210202,'widget_mugreeza01_page_06',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210203,'widget_camp_fire',NULL,'','','',0,49,32,0,0,0,728,0,0,0,0,1,1,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210204,'widget_danarg01_page_10',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210205,'widget_broken_monument',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210206,'quest_tartons_wheel_geza',NULL,'','','',0,49,32,0,1,1,274,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210207,'widget_merchant_page_10',NULL,'','','',0,49,32,0,1,1,835,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210208,'widget_mugreeza03_page_02',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210209,'widget_fear_totem',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210210,'widget_big_thule',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,387,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210211,'widget_small_urn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210212,'widget_alliz_onu_page_11',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210213,'widget_big_thule2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,602,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210214,'quest_heritage_fbbss_tree',NULL,'','','',0,49,32,0,1,1,902,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210215,'widget_gerrog_page_05',NULL,'','','',0,49,32,0,1,1,210,0,0,0,0,1,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210216,'widget_alliz_evol_page_05',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210217,'widget_danarg02_page_08',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210218,'widget_zek_monument',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,265,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210219,'widget_danarg03_page_04',NULL,'','','',0,49,32,0,1,1,210,0,0,0,0,1,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210220,'widget_big_thule4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,398,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210221,'widget_general_page_08',NULL,'','','',0,49,32,0,1,1,210,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210222,'widget_danarg03_page_06',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210223,'widget_derud02_page_11',NULL,'','','',0,49,32,0,1,1,210,0,0,0,0,1,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210224,'widget_derud01_page_03',NULL,'','','',0,49,32,0,1,1,253,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210225,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210226,'widget_ruined_wall',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210228,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210229,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210230,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210231,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210232,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210233,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210234,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210235,'Plain large bucket',NULL,'','','',0,1663,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210236,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210237,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210238,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210239,'exp07 druid ring - stage 3 - on',NULL,'','','',0,13711,32,0,1,1,0,0,0,0,0,0,0,0,607,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210240,'A Fearful Idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210241,'bone collection',NULL,'','','',0,2368,96,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210242,'teleportation cube',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(1210243,'floor_dagger',NULL,'','','',0,1860,8,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210244,'general fandrak tent',NULL,'','','',0,2817,28,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210245,'altar',NULL,'','','',0,6867,22,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210246,'draconic_widget14',NULL,'','','',0,4187,32,0,0,0,124,0,0,0,0,1,1,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210247,'fandrak fire ring',NULL,'','','',0,1845,25,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210248,'bones_scattered_02',NULL,'','','',0,2987,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210249,'Froglok Totem',NULL,'','','',0,4899,32,0,1,1,471,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210250,'darkcleanse_gravestone_01',NULL,'','','',0,2924,32,0,1,1,415,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210251,'Bones of explorer Aldyn with a note',NULL,'','','',0,1847,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210252,'A journal of an explorer',NULL,'','','',0,2599,32,0,1,1,61,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210253,'effect_box',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210254,'cazic_stone',NULL,'','','',0,2785,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210255,'horse carcase',NULL,'','','',0,2372,37,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210256,'dog carcase',NULL,'','','',0,2371,38,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210257,'a phantasm',NULL,'','','',255,5002,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210258,'an eldritch stone desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210259,'draconic_widget15',NULL,'','','',0,4169,32,0,0,0,57,0,0,0,0,1,1,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210260,'draconic_widget13',NULL,'','','',0,4180,11,0,0,0,124,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210261,'qst_ct_vulthos_skull',NULL,'','','',0,3083,32,0,1,1,450,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210262,'qst_ct_darleks_skull',NULL,'','','',0,3083,32,0,1,1,450,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210263,'Broken Thulian Tablet',NULL,'','','',0,4915,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210264,'Vul''Kab Druzaic Shrine',NULL,'','','',0,1704,32,0,0,0,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210265,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1210266,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1210267,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(1210268,'boat_to_the_far_pelican',NULL,'','','',0,4644,32,0,1,1,208,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210269,'Door to the Trembling lagoon.',NULL,'','','',0,49,32,0,1,1,307,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210270,'portal_to_obelisk',NULL,'','','',0,2306,70,0,1,1,308,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210271,'to_spiritual_pocket',NULL,'','','',0,6559,32,0,0,0,382,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210272,'To Eidolon Jungle',NULL,'','','',0,20169,32,0,0,0,245,0,0,0,0,1,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210273,'zone_to_kugup',NULL,'','','',0,2306,96,0,1,1,472,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210274,'zone_to_cazicthule',NULL,'','','',0,49,32,0,1,1,203,0,0,0,0,1,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210275,'To Eidolon Jungle',NULL,'','','',0,19490,32,0,1,1,245,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210276,'The Shard of Fear',NULL,'','','',0,49,32,0,0,0,836,0,0,0,0,1,0,0,14709,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210277,'under bridge killroy',NULL,'','','',0,2657,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210278,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1042,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210279,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210280,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210281,'animal den',NULL,'','','',0,3996,48,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210282,'hatch of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210283,'hatch of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210284,'putrid arbor',NULL,'','','',0,3945,37,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210285,'musty roots',NULL,'','','',0,1729,27,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210286,'alluvium ore',NULL,'','','',0,1668,16,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210287,'hermetic stone',NULL,'','','',0,1550,19,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210288,'overgrown bed of greenslade',NULL,'','','',0,4077,33,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210289,'hatch of fish',NULL,'','','',0,4158,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210290,'a magilith',NULL,'','','',0,2210,22,0,1,1,1,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210291,'a massive magilith',NULL,'','','',0,2210,38,0,1,1,1,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210292,'a mega-magilith',NULL,'','','',0,2210,64,0,1,1,1,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210293,'Vaz`Gok The Cursed','','','','',255,148,57,0,1,1,0,0,0,1,1,1,0,1,35,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1210294,'Clurg the Bartender',NULL,'','','',0,139,32,0,1,1,11,0,0,1,1,1,0,1,36,22000,7000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220001,'Alliz Tae assassin','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220002,'Alliz Tae priest','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220003,'Alliz Tae warlock','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220004,'Alliz Tae shaman','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220005,'Alliz Tae sentinel','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220006,'Alliz Tae sentinel','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220007,'Alliz Tae sentinel','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220008,'Alliz Tae warrior','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220009,'Alliz Tae sentry','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220010,'Alliz Tae sentry','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220011,'Alliz Tae sentry','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220012,'Xonarn','Alliz Tae Soultaker''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220013,'a skeleton','','','','',9,138,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220014,'Alliz Tae Soul Eater','','','','',255,1638,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220015,'Alliz Tae Soultaker','','','','',255,1637,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220016,'Alliz Tae Spiritcaller','','','','',255,1637,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220017,'Alliz Tae warrior','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220018,'a lagoon feeder','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220019,'Alliz Tae summoner','','','','',255,1637,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220020,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220021,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220022,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220023,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220024,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220025,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220026,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220027,'Jaber','A protector of fear''s igneous adept','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220028,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220029,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220030,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220031,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220032,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220033,'a protector of fear','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220034,'Aliz Tae Sacrifice','','','','',255,1638,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220035,'Alizasaur','','','','',255,199,96,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1220036,'to Feerrott',NULL,'','','',0,49,32,0,0,0,199,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230000,'a Defender of Kugup','','','','',4,3792,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230001,'Timrek','','','','',4,1430,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230002,'Teiluj','','','','',4,3788,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230003,'Oemor','','','','',4,4936,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230004,'Chief Kaorf','','','','',4,1430,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230005,'Grepp','','','','',4,3789,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230006,'Euurp','','','','',4,4937,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230007,'Berit','','','','',4,4944,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230008,'Gribb','','','','',4,1431,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230009,'Sensei Grrupin','','','','',4,3793,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230010,'Burgun','','','','',4,1431,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230011,'Ms. Grupp','','','','',4,4939,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230012,'Freppen','','','','',4,3791,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230013,'Froppen','','','','',4,1431,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230014,'Pikspoh','','','','',4,4943,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230015,'Reppoh','','','','',4,3793,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230016,'Vripp','','','','',4,4943,19,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230017,'Fruppen','','','','',4,1431,22,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230018,'Grrop the Foreman','','','','',4,3787,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230019,'Frrin','','','','',4,3790,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230020,'Repmuj','','','','',4,3789,25,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230021,'a Froglok child','<Guard>','','','',4,4943,21,2,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230022,'training_dummy',NULL,'','','',0,1558,36,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230023,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230024,'Flowers',NULL,'','','',0,1738,31,0,1,1,402,0,0,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230025,'Fireflies',NULL,'','','',0,4898,22,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230026,'Froglok Totem',NULL,'','','',0,4899,32,0,0,1,9513,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230027,'pedistal 1',NULL,'','','',0,4899,6,0,0,0,33,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230028,'boulder',NULL,'','','',0,1725,32,0,1,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230029,'trash sack',NULL,'','','',0,2482,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230030,'trashsack',NULL,'','','',0,4715,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230031,'a halasian boiling pot',NULL,'','','',0,2075,24,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230032,'a small wooden table',NULL,'','','',0,2068,20,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230033,'water barrel',NULL,'','','',0,2107,32,0,1,1,473,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230034,'ogre wall 1',NULL,'','','',0,4924,46,0,0,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230035,'small doll',NULL,'','','',0,149,19,0,1,1,37,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230036,'Tree Branch',NULL,'','','',0,3771,32,0,0,0,474,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230037,'Trash Box',NULL,'','','',0,2060,32,0,0,0,606,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230038,'Vrack',NULL,'','','',0,4465,12,0,1,1,37,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230039,'Krunk',NULL,'','','',0,4465,12,0,1,1,37,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230040,'Kraznar',NULL,'','','',0,4465,12,0,1,1,37,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230041,'Barzan',NULL,'','','',0,4465,12,0,1,1,37,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230042,'Brunk',NULL,'','','',0,4465,12,0,1,1,37,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230043,'zone_out_of_playground',NULL,'','','',0,7008,64,0,0,0,472,0,2565,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230044,'Pohpiks','','','','',4,4936,32,0,1,1,9,0,11909,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1230045,'bagoffrogshit',NULL,'','','',255,3541,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240000,'a Blackshield plunderer','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,1,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240001,'a Blackshield marauder','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240002,'a Blackshield raider','','','','',14,9394,32,0,1,1,11,0,0,1,1,1,0,1,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240003,'Bouncer Ugbar','','','','',12,124,35,0,1,1,11,0,0,1,1,1,0,1,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240004,'a decaying Darkfathom','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240005,'a decaying Darkfathom','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240006,'a decaying Darkfathom','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240007,'a bulky brine sifter','','','','',255,211,22,3,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240008,'a brine sifter','','','','',255,211,18,2,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240009,'a Blackshield pillager','','','','',1,19287,32,0,1,1,11,0,0,1,1,1,0,1,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240010,'a Blackshield ravager','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,1,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240011,'a rust monster','','','','',255,235,32,0,1,1,11,0,0,1,1,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240012,'a Blackshield pirate','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,1,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240013,'a small rust monster','','','','',255,235,25,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240014,'an investigator of Prexian artifacts','<Dismal Rage>','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,105,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240015,'an excavator of Prexian artifacts','<Dismal Rage>','','','',1,18972,32,0,1,1,9,0,0,1,1,1,0,105,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240016,'a small scorpion','','','','',255,250,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240018,'a new recruit','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240019,'Saydith Yarr','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240020,'Lukur','<General Goods>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,106,106,0,0,29585,0,0,0,0,0,0,0,0,0,0,0,0),
(1240021,'Gerbard the Snitch','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240022,'Dugar','<Guard>','','','',9,134,28,0,1,1,13,0,0,1,1,1,0,12,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240023,'Teleth','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240024,'Inquisitor Thorson','<Dismal Rage>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240025,'a dusk shark','','','','',255,242,32,0,1,1,11,0,0,1,1,0,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240026,'Tilzak N`Lim','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,811,811,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240027,'Investigator Curfeld','<Dismal Rage>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240028,'a Deadly Small Scorpion','','','','',255,251,32,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240029,'a spectral resident','','','','',255,5003,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240030,'a perished citizen','','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,1,36,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240031,'a restless resident','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240032,'Ulrich the Kingpin','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240033,'Srat','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240034,'Srit','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240035,'a cursed cutthroat','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240036,'a cursed scout','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240037,'a brine sifter','','','','',255,211,19,3,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240038,'a drowned squatter','','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,1,36,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240039,'a forgotten resident','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240040,'a drowned citizen','','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240041,'a spectral denizen','','','','',255,5001,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240042,'a drowned citizen','','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240043,'a drowned citizen','','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240044,'a cursed corpsman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240045,'a bulky brine sifter','','','','',255,211,21,2,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240046,'Master at Arms Venqruist','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240047,'Captain Deaythan','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240048,'Muck Raker','','','','',255,211,48,0,1,1,11,0,0,1,1,1,0,1,25,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240050,'widget_box_7',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240051,'widget_box_6',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240052,'widget_box_9',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240053,'widget_box_8',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240054,'widget_box_44',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240055,'widget_box_3',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240056,'widget_box_4',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240057,'widget_box_2',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240058,'widget_box_5',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240062,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240063,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240064,'holy symbol',NULL,'','','',0,1749,32,0,1,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240065,'Suspicious Barrel',NULL,'','','',0,2944,32,0,1,1,948,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240066,'mariners_bell',NULL,'','','',0,16,32,0,0,0,65,0,0,0,0,1,1,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1240067,'widget_quest_crab_0',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240069,'barrel_kilroy',NULL,'','','',0,1713,32,0,1,1,135,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240070,'sign_arm',NULL,'','','',0,23,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240071,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240072,'zone_to_fprt_adv02_graveyard',NULL,'','','',0,49,32,0,0,0,949,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240073,'wall_sign_kilroy',NULL,'','','',0,1715,32,0,1,0,135,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240074,'mariners_bell',NULL,'','','',0,16,32,0,0,0,999,0,0,0,0,1,1,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1240075,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240076,'creature den',NULL,'','','',0,4002,52,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240077,'cruddy ore',NULL,'','','',0,1668,21,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240078,'decomposed arbor',NULL,'','','',0,3931,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240079,'eroded stone',NULL,'','','',0,1550,24,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240080,'stale roots',NULL,'','','',0,1732,24,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240081,'ravaged natural garden',NULL,'','','',0,4078,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1240082,'collection of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250001,'a wooly spider','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250002,'Custodian Zaddar Sullissia','<Academy of Arcane Science>','','','',3,1598,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250003,'Guard T''Crit','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250004,'R''Tok','<Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,8346,0,0,0,0,0,0,0,0,0,0,0,0),
(1250005,'a small spider','','','','',255,205,25,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250006,'a brittle skeleton','','','','',9,1521,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250007,'a crumbling skeleton','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250008,'an undead battlepriest','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250009,'a scourge bat','','','','',255,239,35,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250010,'a durable skeleton','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250011,'a ravenous zombie','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250012,'an undead fighter','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250013,'an undead pikeman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250014,'a contagious rat','','','','',255,233,22,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250015,'an Ethernere guard','<Academy of Arcane Science>','','','',1,115,35,3,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250016,'a plague rat','','','','',255,233,28,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250017,'a fearsome spider','','','','',255,205,38,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250018,'an undead battlepriest','','','','',9,1521,32,1,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250019,'an undead squire','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250020,'Guard L''Sek','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250021,'a fiendish ghoul','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250022,'a boneyard watcher','<Academy of Arcane Science>','','','',255,2895,25,6,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250023,'an undead lancer','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250024,'a putrid zombie','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250025,'The Spirit of Valeron','','','','',255,2852,38,0,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250026,'Kibektik','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250027,'a dread spider','','','','',255,205,44,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250028,'an undead priest','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250029,'Sir Penan','','','','',9,4540,36,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250030,'a rotting zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250031,'Hangman San''toth','<Academy of Arcane Science>','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250032,'Guard Kludd','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250033,'an undead crusader','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250034,'Zekvila Dizelk','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250035,'a scourge rat','','','','',255,233,35,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250036,'a ravenous skeleton','','','','',9,1521,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250037,'Durkix Kizzkin','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250038,'Keeper Varacus T`Kur','<Academy of Arcane Science>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250039,'an Ethernere caretaker','<Academy of Arcane Science>','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250040,'an Ethernere defender','<Academy of Arcane Science>','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250041,'a Qeynosian spy','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250042,'Sir Xantille','','','','',9,4540,38,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250043,'Sir Haligan, Captain of the Knights of Truth','','','','',9,4560,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250044,'an Ethernere undertaker','<Academy of Arcane Science>','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250045,'an amateur graverobber','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,1,19,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250046,'a disturbed soul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250047,'Sir Arlin','','','','',9,4540,37,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250048,'The Bonewatcher','<Academy of Arcane Science>','','','',255,2895,28,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250049,'a novice graverobber','','','','',13,64,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250050,'The Keeper of Ethernere','<Academy of Arcane Science>','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250051,'Josab','XXXXXXX''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250052,'Benas','Conjura''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250053,'Sir Breel','','','','',9,4540,37,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250054,'a graverobber','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250055,'Gibartik','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250056,'Jasekab','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250057,'Kibtik','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250058,'Sir Ackmin','','','','',9,4540,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250059,'Vabtik','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250060,'Konn','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250061,'Kebekn','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250062,'Libn','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250063,'Method','Twizztet''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250064,'Sir Ollin','','','','',9,4540,38,0,1,1,11,0,0,1,1,1,0,1,36,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250065,'a graverobber','','','','',13,64,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250066,'Zenoir''s wolf ally','','','','',255,216,22,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250067,'dark seepage','','','','',255,296,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250068,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250069,'dark horror','','','','',255,240,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250070,'Void Tempest','','','','',255,8264,62,3,0,0,0,0,0,0,0,1,0,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250071,'an Arcane Science apprentice','','','','',3,1592,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250072,'widget_inspect_thex_monument',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250074,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250075,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250077,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250080,'fprt_chest_large_plain01',NULL,'','','',0,1498,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250081,'qst_haligan_tomb',NULL,'','','',0,2306,131,0,1,1,327,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250082,'Unholy Relic',NULL,'','','',0,5866,96,0,1,1,961,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250083,'void_storm_fx',NULL,'','','',0,2306,32,0,0,0,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250084,'mariner_bell_from_graveyard_to_freeport_inner_areas',NULL,'','','',0,16564,32,0,1,1,65,0,0,0,0,1,0,0,69,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0),
(1250085,'Gravestone of Sir Xantille',NULL,'','','',0,5791,32,0,1,1,328,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250086,'Gravestone of Sir Breel',NULL,'','','',0,5791,32,0,1,1,328,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250087,'Gravestone of Sir Arlin',NULL,'','','',0,5791,32,0,1,1,328,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250088,'To The Commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250089,'Possibly Gravestone of Jusia Vapious',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250090,'Gravestone of Sir Penan',NULL,'','','',0,5791,32,0,1,1,328,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250091,'celsar_tombstone',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250092,'gravestone_kilroy',NULL,'','','',0,1854,32,0,1,1,135,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250093,'To Sunken City',NULL,'','','',0,49,32,0,0,0,329,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250094,'Gravestone of Sir Ackmin',NULL,'','','',0,5791,32,0,1,1,330,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250095,'Gravestone of Sir Ollin',NULL,'','','',0,5791,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250096,'urn_kilroy',NULL,'','','',0,1855,23,0,1,1,135,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250097,'Gravestone',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250098,'Gravestone of Sir Haligan',NULL,'','','',0,5791,32,0,1,1,328,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250099,'book_kilroy',NULL,'','','',0,1552,19,0,1,1,135,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250100,'zone_to_fprt_hood05',NULL,'','','',0,49,32,0,0,0,305,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250101,'To Stonestair Byway',NULL,'','','',0,49,32,0,0,0,306,0,0,0,0,0,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250102,'door_to_exp05_prelude04_mausoleum',NULL,'','','',0,5454,32,0,1,1,962,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250103,'ward_particle_cube',NULL,'','','',0,2306,96,0,1,1,961,0,511,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250104,'To Sunken City',NULL,'','','',0,49,32,0,0,0,329,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250105,'To_The_Commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250106,'Tarn Bearcrusher',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250107,'Possibly Duplicate Gravestone of Jusia Vapious',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250108,'To Stonestair Byway',NULL,'','','',0,49,32,0,0,0,306,0,0,0,0,0,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250109,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250110,'creature den',NULL,'','','',0,3996,34,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250111,'ravaged natural garden',NULL,'','','',0,4075,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250112,'dismal ore',NULL,'','','',0,3955,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250113,'a tattered piece of paper',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250114,'exhumed stones',NULL,'','','',0,2378,16,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250115,'a rose of heartbreak',NULL,'','','',0,7138,48,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250116,'moldy roots',NULL,'','','',0,1729,22,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1250117,'withered arbor',NULL,'','','',0,3938,41,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260000,'a Dervish crook','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260001,'Gatekeeper Malren','<Freeport Militia>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260002,'Gorgo','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260003,'Liege Aquila','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260004,'Sasha','<Alchemist>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260005,'a wild dog','','','','',255,278,32,0,1,1,11,0,0,1,1,1,0,1,21,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260006,'a gravel viper','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260007,'a Dervish hoodlum','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260008,'a Black Magi dissident','','','','',13,55,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260009,'Gloomstalker','','','','',255,278,73,0,1,1,11,0,0,1,1,1,0,1,21,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260010,'a Black Magi anarchist','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260011,'a Dervish hooligan','','','','',9,18978,32,0,1,1,11,0,0,1,1,1,0,1,0,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260012,'a Black Magi insurgent','','','','',13,56,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260013,'a Giantslayer thug','<Dreadnaught>','','','',0,1463,32,0,1,1,9,0,0,1,1,1,0,250,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260014,'a Black Magi fanatic','','','','',13,56,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260015,'a dune scorpion','','','','',255,251,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260016,'Trainer Durbok','<Dreadnaught>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260017,'Enforcer Kurdek','<Dreadnaught>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260018,'a shoreside asp','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260019,'Brutemaster Tarden','<Dreadnaught>','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260021,'L`Unt','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260022,'a Giantslayer basher','<Dreadnaught>','','','',12,124,32,0,1,1,9,0,0,1,1,1,0,250,43,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260023,'Loria','<Provisions>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,42061,0,1,0,0,0,0,0,0,0,0,0,0),
(1260024,'Talmudius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260025,'a distraught farmer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260026,'a Giantslayer brute','<Dreadnaught>','','','',14,105,32,0,1,1,9,0,0,1,1,1,0,250,43,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260027,'a half-eaten wood elf scout','','','','',15,113,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260028,'Arcanist Tikkeri','','','','',13,55,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260029,'a captured halfling upstart','','','','',7,108,32,0,1,1,11,0,540,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260030,'a captured wood elf scout','','','','',15,114,32,0,1,1,11,0,540,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260031,'a  captured dwarf agitator','','','','',2,110,32,0,1,1,11,0,540,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260032,'a Black Magi guard','','','','',13,60,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260033,'Claudius Decimus','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260035,'Geneker','Baksylyk''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260036,'a half-eaten halfling upstart','','','','',7,107,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260037,'Gatekeeper Malora','<Freeport Militia>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260038,'Nikolai the Illuminatus','','','','',13,69,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260039,'Xebaner','A Dervish Thaumaturge''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260040,'a Dervish Thaumaturge','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260041,'Niklaus Kauppen','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,1,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260043,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260044,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260045,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260047,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260048,'fprt_chest_large_plain01',NULL,'','','',0,1498,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260049,'qey_cage1',NULL,'','','',0,1495,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260051,'zone_to_fprt_adv04_ruins',NULL,'','','',0,49,32,0,1,1,980,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260052,'zone_to_fprt_hood06',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260053,'zone_to_fprt_hood01',NULL,'','','',0,49,32,0,0,0,77,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260054,'zone_to_fprt_sewer02_traitor',NULL,'','','',0,49,32,0,0,0,981,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260055,'zone_to_commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260056,'a_cog',NULL,'','','',0,1580,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260057,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260058,'ravaged natural garden',NULL,'','','',0,4075,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260059,'creature den',NULL,'','','',0,3997,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260060,'excavated stone',NULL,'','','',0,1550,20,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260061,'feeble roots',NULL,'','','',0,1734,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260062,'felled arbor',NULL,'','','',0,3931,40,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260063,'dusty ore',NULL,'','','',0,1725,11,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260064,'a rioting thug','<Dreadnaught>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,250,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260065,'a rioting thug',NULL,'','','',255,112,32,0,1,1,0,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1260066,'zone_to_fprt_sewer02_traitor',NULL,'','','',0,49,32,0,0,0,981,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270000,'Captain Arellius','<Freeport Militia>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270001,'a largemouth gulper','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270002,'Pitrova','<General Goods>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,30460,0,0,0,0,0,0,0,0,0,0,0,0),
(1270003,'an anchor grappler','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270004,'a vagrant squatter','','','','',9,134,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270005,'a Brokentusk pawn','','','','',19,5022,28,0,1,1,11,0,0,1,1,1,0,1,36,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270006,'a Brokentusk overseer','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270007,'a Brokentusk crusher','','','','',19,5021,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270008,'a courageous defender','<Freeport Militia>','','','',12,124,32,0,1,1,9,0,0,1,1,1,0,12,43,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270009,'a Brokentusk prophet','','','','',19,5107,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270010,'Mardyp Prunt','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270011,'Visage of the Overlord','','','','',9,3907,96,0,1,1,0,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270012,'Ernest Ironthumb','<Harvesting and Collections>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270013,'a Brokentusk warrior','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270014,'a Brokentusk guard','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,1,36,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270015,'a harried vagrant squatter','','','','',9,134,30,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270016,'a lifeless vagrant squatter','','','','',9,132,31,3,1,1,0,0,0,0,0,0,0,0,32,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270017,'a Brokentusk pawn','','','','',19,5021,30,2,1,1,11,0,0,1,1,1,0,120,36,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270018,'Fangtarn','<Mender>','','','',12,124,32,0,1,1,12,9,0,0,0,1,0,0,43,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1270019,'Lieutenant Argosian','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270020,'Arms Dealer Nylzs','<Weaponsmith>','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,30481,0,0,0,0,0,0,0,0,0,0,0,0),
(1270021,'a Lonetusk sentry','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270022,'a Brokentusk pounder','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,1,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270023,'a Lonetusk shaman','','','','',19,5108,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270024,'a Brokentusk sentry','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,1,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270025,'a Brokentusk shaman','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,1,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270026,'a Lonetusk pounder','','','','',19,5021,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270027,'a seasoned defender','<Freeport Militia>','','','',12,124,32,0,1,1,9,0,0,1,1,1,0,12,43,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270028,'a Lonetusk Bloodseer','','','','',19,5107,32,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270029,'General Lonetusk','','','','',19,5027,48,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270030,'Slayn Brokentusk','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270031,'Lieutenant Imperidus','<Freeport Militia>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270032,'a Lonetusk warrior','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270033,'a prisoner guard','<Freeport Militia>','','','',1,116,32,0,1,1,9,0,0,1,1,1,0,12,26,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270034,'a captured Lonetusk','','','','',19,5021,28,0,1,1,9,0,0,0,0,1,0,0,36,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270035,'Talia','<Armorsmith>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,211,211,0,0,30499,0,0,0,0,0,0,0,0,0,0,0,0),
(1270036,'a Lonetusk crusher','','','','',19,5021,38,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270037,'a Lonetusk prophet','','','','',19,5107,38,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270038,'a Lonetusk champion','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270039,'a Rujarkian advisor','','','','',19,5107,41,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270040,'a Brokentusk defender','','','','',19,5022,28,0,1,1,11,0,0,1,1,1,0,1,36,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270041,'Dregh Brokentusk','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,1,36,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270042,'a Brokentusk champion','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270043,'Koduhl Brokentusk','','','','',19,5024,44,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270044,'Bonduhr Lonetusk','','','','',19,5107,48,0,1,1,11,0,0,1,1,1,0,1,36,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270045,'a Brokentusk ravager','','','','',19,5024,32,0,1,1,11,0,0,1,1,1,0,1,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270046,'Gurrekt Lonetusk','','','','',19,5024,41,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270047,'Tink','Vual''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270048,'Berathor','Berdoth''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270049,'a Lonetusk destroyer','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270050,'Lenann','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270051,'Sticky','Dharmalar''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270052,'Gibober','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270053,'Raglark','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270054,'Gann','Cosmic''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270055,'Ganab','Cyrik''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270056,'Shivs','Zato''s pet','','','',255,196,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270057,'Void Tempest','','','','',255,8264,65,3,0,0,0,0,0,0,0,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270058,'dark seepage','','','','',255,296,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270059,'dark horror','','','','',255,240,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270060,'Widget_orc_document_box',NULL,'','','',0,49,32,0,1,0,979,0,0,0,0,1,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270061,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,0,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270063,'floor_book_human_open02',NULL,'','','',0,3323,19,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270064,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270065,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270066,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270068,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270071,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270072,'orc_woodstump_signpost',NULL,'','','',0,29,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270073,'orc_cask',NULL,'','','',0,2562,80,0,0,0,975,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270074,'orc_idol',NULL,'','','',0,4462,32,0,0,0,976,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270075,'orc_cauldron',NULL,'','','',0,4437,32,0,0,0,977,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270076,'orc_knight_statue',NULL,'','','',0,4464,32,0,0,0,978,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270077,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270078,'mariners_bell',NULL,'','','',0,16,32,0,0,0,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1270079,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270080,'an_anvil',NULL,'','','',0,41,72,0,1,1,135,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270081,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270082,'a_rock',NULL,'','','',0,1550,32,0,1,1,135,0,0,0,0,1,1,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270083,'zone_to_fprt_adv03_sprawl',NULL,'','','',0,49,32,0,0,0,923,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270084,'sign_arm',NULL,'','','',0,39,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270085,'a_bucket',NULL,'','','',0,1621,43,0,1,1,135,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270086,'sign_arm',NULL,'','','',0,39,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270087,'mariners_bell',NULL,'','','',0,16,32,0,0,0,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1270088,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270089,'ravaged natural garden',NULL,'','','',0,4078,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270090,'group of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270091,'rustic stone',NULL,'','','',0,2265,51,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270092,'pale roots',NULL,'','','',0,1734,31,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270093,'gangly arbor',NULL,'','','',0,3927,41,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270094,'creature den',NULL,'','','',0,4004,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270095,'rugged ore',NULL,'','','',0,3957,27,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270096,'Ringleader Radko',NULL,'','','',255,134,32,0,1,1,0,0,0,1,1,0,0,0,32,251,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1270097,'sign_arm',NULL,'','','',0,39,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280000,'Timeless Chronomage','','','','',3,1606,32,0,1,1,21,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280001,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0),
(1280002,'Lyricist Te''naj','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280003,'Ignacius Fallon','<Apothecary>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280004,'Alchemist Aemilia Sevso','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1280006,'Tailor Marcia Betto','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1280007,'Guard Atilus Crassus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280008,'Guard Taragg','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280009,'Guard Titiana Pollio','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280010,'Bowyer Dalal Akilia','<Merchant>','','','',3,1591,32,0,1,1,10,0,0,0,0,1,0,0,34,376,376,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1280011,'Assistant Decius Dekarn','','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280012,'Dyric Pire','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280013,'Sergeant Daimyo','','','','',1,134,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280014,'Armormaster Ikthar Icehammer','<Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,1798,0,0,0,0,0,0,0,0,0,0,0,0),
(1280015,'Shieldsmith Skaznik','<Merchant>','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1280016,'Guard Salonina Herminia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280017,'Guard Varinius Drusus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280018,'Guard Tacita Vesta','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280019,'Sirraw Swiftpaw','','','','',13,66,32,0,1,1,9,0,0,0,0,1,0,0,19,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280021,'Sergeant Typhoeus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280022,'Guard Duccius Agorix','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280023,'Guard Mucia Dama','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280024,'Guard Salonius Pinarius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280025,'Provisioner Barrius Iacomus','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,316,316,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1280026,'Mehina ','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280027,'Guard Gaius Macrinius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280028,'Merchant Lollia Parnesius','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,316,316,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1280029,'Bartender Ranik Calman','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,331,331,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1280030,'Rumdum','','','','',12,124,32,0,1,1,9,0,11500,0,0,1,0,0,43,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280031,'Vimminy Crix','<Steward of Lucan D''Lere>','','','',13,71,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280032,'Bruccius Capito','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280033,'Guard Velna T`Kril','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280034,'Darvin Malkia','<Chronomagi Tasker>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280035,'Guard Zagokk Skinflayer','','','','',12,124,32,0,1,1,13,1262,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280036,'Banker Salonia Siculus','','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280037,'Broker Odyssneu','','','','',3,1598,32,0,1,1,20,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280038,'Quartermaster Redplate','','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280039,'Collector Renny Parvat','','','','',13,70,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280040,'Merchant Polycethes','<Merchant>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1891,0,64,0,0,0,0,0,0,0,0,0,0),
(1280041,'Merchant Progenitus','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1892,0,64,0,0,0,0,0,0,0,0,0,0),
(1280042,'Guard Klarna','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280043,'Merchant Alypia Damian','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1280044,'Mender Culdor','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,376,376,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1280045,'Foreman Asprenus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280046,'Assistant Loche V''Lys','','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280047,'Kirsteh the Witch','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280048,'Guard Gratus T`Kril','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280049,'Pug Jackson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280050,'Steve Booth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280051,'Guard Wimba','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280052,'Ambassador Brutus','<Change of Citizenship>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280053,'Miyran X''Thall','<Guild Cloak Designer>','','','',1,115,32,0,1,1,24,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280054,'City Registrar Glamis','<Guild Registrar>','','','',9,134,32,0,1,1,25,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280055,'Wundil Brakus','<Portal Master>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280056,'Scribe Zizwold','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1280057,'Guard Torg Bonegrinder','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280058,'Guard Worar Headcrusher','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280059,'Jarvis McNeil','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280060,'Sam McGillicutty','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280061,'Deacon Danerous','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280062,'a scarecrow','','','','',255,261,31,5,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280063,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280064,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280065,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280066,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280067,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280068,'Slaughtergrott the Vigilant','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280069,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280070,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280071,'Lyricist Sha''son','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280072,'First-Mate Gimblefuzzle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280073,'Seafury Felvonitor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280074,'Seafury Skysearch','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280075,'G`Thal','<Black Market>','','','',1,115,32,0,1,1,20,0,0,0,0,1,0,0,26,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280076,'Clockwork Herald XVI.03','<Tinkerfest Herald>','','','',255,10514,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280077,'A Thexian Spellblade','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,125,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280078,'A Thexian Swiftblade','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,125,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280079,'Chonax Bonedancer','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,34,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280080,'Putad Bloodrinker','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280081,'Toban Cogscamper','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280082,'A Dreadnaught Spinebreaker','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280083,'Neskavul','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280084,'A Dreadful Dreadnaught','<Captain>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280085,'Josef','','','','',13,64,32,0,1,1,9,0,0,0,0,1,0,0,34,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280086,'A Dreadnaught Neckwrecker','<Guard>','','','',14,106,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280087,'Yohance','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280088,'an enthused barbarian','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280089,'Kronasoo','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280090,'Bernice','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280091,'Javvy','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280092,'Tailor Livia Caepio','<Merchant>','','','',10,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,256,256,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1280093,'Kouryick','','','','',13,63,32,0,1,1,9,0,11500,0,0,1,0,0,19,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280094,'Fichman','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280095,'Sileni T`Rhizius','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280096,'Urania Helvonius','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280097,'Fisherman Zogz','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280098,'Merchant Viducius Festus','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,346,346,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1280099,'A Thexian Fanatic','<guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,125,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280100,'An Elite Dragoon','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280101,'A Thexian Cavalier','<Captain>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,125,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280102,'Damar G`Thez','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280103,'Gladiator Skullgrind','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280104,'Fadia Coggles','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280105,'A Dreadnaught Neckwrecker','<Guard>','','','',14,106,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280106,'A Dreadnaught Gutstomper','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280107,'Shadow','','','','',255,306,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280108,'Master Archer Hawkeye Hallard','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,331,331,0,0,29053,0,0,0,0,0,0,0,0,0,0,0,0),
(1280109,'Harbinger McDannis','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280110,'Moirae Nalascos','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280111,'Armsdealer Uthngar','<Merchant>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,34,346,346,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1280112,'Orpheus','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280113,'Bowyer Tarragar Caroom','<Merchant>','','','',11,100,32,0,1,1,10,0,0,0,0,1,0,0,34,256,256,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1280114,'Syrinis H`Gez','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280115,'Mirowi Burrah','','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280116,'Atianoo Donicus','','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280117,'Rashja','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,34,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280118,'Annia Velithe','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280119,'Guard Justus Cnaeus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280120,'Armsdealer Carius Aruns','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1280121,'A Dreadnaught Spinebreaker','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280122,'A Dreadnaught Facekicker','','','','',14,106,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280123,'Merchant Vhishall','<Merchant>','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,451,451,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1280124,'Fluffy','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280125,'Thanatos Kividius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280126,'Melenia Scantus','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280127,'Irena','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280128,'The Overlord','','','','',9,3907,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280129,'Broker Odyssneu','','','','',3,1598,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280130,'Anelada','<PVP Writs>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280131,'Jistarr','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280134,'A Safar of Maj''dul','','','','',255,5263,32,0,1,1,9,0,0,0,0,1,0,0,32,676,676,0,0,0,0,0,0,1310718,0,0,0,0,0,0,0,0),
(1280135,'Josephine','','','','',255,278,23,1,1,1,9,0,0,1,1,1,0,12,21,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280136,'Yancy','','','','',255,278,26,3,1,1,9,0,0,1,1,1,0,12,21,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280137,'Guard D''Ryl','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280138,'Jarvis McNeil','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280139,'Sam McGillicutty','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280140,'Guard Celatius Corbulo','','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280141,'Guard Agar','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280142,'Wyatt','','','','',255,278,25,1,1,1,9,0,0,1,1,1,0,12,21,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280143,'Guard Bruttia Polla','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280144,'Guard Jaegan','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280145,'Lucanic Knight Marcus Rusonius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,1126,1126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280146,'Guard Ateius Aratus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280147,'Guard Eldmargan','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280148,'Christina','','','','',255,278,26,2,1,1,9,0,0,1,1,1,0,12,21,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280149,'Lieutenant Dracious','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,20000,20000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280151,'a guard dog','','','','',255,278,26,3,1,1,9,0,0,1,1,1,0,12,21,10000,10000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280153,'Guard Didia Jovius','','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,12,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280154,'Deborah','','','','',255,278,22,2,1,1,9,0,0,1,1,1,0,12,21,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280155,'Harbormaster Duskmark','','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,34,421,421,0,0,35085,0,0,0,0,0,0,0,0,0,0,0,0),
(1280156,'Guard K`Val','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280157,'Guard Kargh Tripeslicer','','','','',12,124,32,0,1,1,13,1262,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280158,'Steve Booth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280159,'Pug Jackson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280160,'Phillip','','','','',255,278,24,1,1,1,9,0,0,1,1,1,0,12,21,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280162,'Clerk Brutus','<Citizenship Registrar>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280164,'Guard Herennia Lupula','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280165,'Guard Amulius Gorgonius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280182,'Vlithik Sibissis','','','','',10,104,32,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280196,'Lana Pardalisa','','','','',11,95,32,0,1,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280204,'Pulcher Amandio','<Seafury Buccaneers>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280205,'Cartographer Orex','','','','',1,115,28,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280207,'Bradua Trophimus','','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280208,'Graf Gristlechew','','','','',12,124,35,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280210,'Merchant Salonia Siculus','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280213,'Marsicus Swiftoar','<Seafury Buccaneers>','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280214,'Julie Danerous','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280222,'Tullus Novius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280223,'Eskil Nachmanson','','','','',0,1468,32,0,1,1,9,0,11852,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280224,'Beetle','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280225,'Falx Vibius','','','','',9,134,32,0,1,1,9,0,11854,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280226,'Livia Montelius','<Seafury Buccaneer Recruiter>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280227,'Simmons','<Seafury Buccaneers>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280228,'Hal Dexsius','<Seafury Buccaneers>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280229,'Seafarer''s Roost',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280230,'door_widget50',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280231,'Armor by Ikthar',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280232,'Trader''s Holiday',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280233,'Hallard''s Bolt and Arrow Right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280234,'Hallard''s Bolt and Arrow Left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280235,'The Emporium Front',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280236,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280237,'The Emporium Back',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280238,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280239,'quest_tome_redlake_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280240,'quest_tome_moontears_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280241,'quest_tome_splitpaw02_tome01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280242,'quest_tome_danarg_one',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280243,'',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280244,'(unnamed)',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280245,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280246,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280247,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280248,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280249,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280250,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280251,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280252,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280253,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280254,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280255,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280256,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280257,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280258,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280259,'candycane',NULL,'','','',0,5986,5,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280260,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280261,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280262,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280263,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280264,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280265,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280266,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280267,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280268,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280269,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280270,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280271,'Forge',NULL,'','','',0,1859,32,0,1,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280272,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280273,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280274,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280275,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280276,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280277,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280278,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280279,'dpo_holiday_candycane_small03_blue',NULL,'','','',0,7052,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280280,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280281,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280282,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280283,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280284,'candycane',NULL,'','','',0,5984,44,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280285,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280286,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280287,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280288,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280289,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280290,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280291,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280292,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280293,'dpo_present_darkver_purple_group01',NULL,'','','',0,8748,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280294,'cards_generic',NULL,'','','',0,3174,31,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280295,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280296,'dpo_stocking_darkver_female_warg_spotted',NULL,'','','',0,8756,28,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280297,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280298,'dpo_candlegroup_darkver_greensilver',NULL,'','','',0,8736,23,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280299,'chips_seafarers_roost',NULL,'','','',0,3177,39,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280300,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280301,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280302,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280303,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280304,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280305,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280306,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280307,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280308,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280309,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280310,'sign_post',NULL,'','','',0,19,32,0,1,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280311,'candles2',NULL,'','','',0,5963,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280312,'bug',NULL,'','','',0,222,9,0,1,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280313,'Seafury Buccaneer Recruiter Table',NULL,'','','',0,2095,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280314,'Seafury Buccaneer candle',NULL,'','','',0,3450,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280315,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280316,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1280317,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280318,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280319,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,1,1,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,4,0,0,1310718,0,0,0,0,0,0,0,0),
(1280320,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280321,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1280322,'',NULL,'','','',0,49,32,0,1,1,928,0,0,0,0,1,0,0,563,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280323,'guild_writ_door',NULL,'','','',0,49,32,0,1,1,75,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280324,'Sabotage_sabotage/qeynos_3_x7_1',NULL,'','','',0,4646,32,0,1,1,228,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280325,'Sabotage_sabotage/qeynos_3_x9_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280326,'Sabotage_sabotage/qeynos_3_x4_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280327,'Sabotage_sabotage/qeynos_3_x2_1',NULL,'','','',0,3540,48,0,1,1,228,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280328,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280329,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280330,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280331,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280332,'Sabotage_sabotage/qeynos_3_x5_1',NULL,'','','',0,4651,32,0,1,1,228,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280333,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280334,'to_quest_rogue_cap',NULL,'','','',0,49,32,0,1,1,81,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280335,'',NULL,'','','',0,49,32,0,1,1,929,0,0,0,0,1,0,0,551,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280336,'Sabotage_sabotage/qeynos_3_x10_2',NULL,'','','',0,3086,32,0,1,1,930,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280337,'Sabotage_sabotage/qeynos_3_x10_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280338,'Sabotage_sabotage/qeynos_3_x3_1',NULL,'','','',0,4658,32,0,1,1,228,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280339,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280340,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280341,'Sabotage_sabotage/qeynos_3_x4_2',NULL,'','','',0,3189,32,0,1,1,355,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280342,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280343,'Sabotage_sabotage/qeynos_3_x6_1',NULL,'','','',0,3553,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280344,'zone_to_fprt_west_tunnel',NULL,'','','',0,49,32,0,1,1,931,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280345,'',NULL,'','','',0,49,32,0,1,1,922,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280346,'Armor by Ikthar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280347,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280348,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280349,'sign_emporium01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280350,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280351,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280352,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280353,'sign_emporium2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280354,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1280355,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1022,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280356,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280357,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280358,'(unnamed)',NULL,'','','',0,49,32,0,1,1,922,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280359,'(unnamed)',NULL,'','','',0,49,32,0,1,1,929,0,0,0,0,1,0,0,551,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280360,'(unnamed)',NULL,'','','',0,49,32,0,1,1,928,0,0,0,0,1,0,0,563,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280361,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280362,'portal_to_commonlands',NULL,'','','',0,2306,48,0,1,1,1250,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280363,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280364,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280365,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280366,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280367,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280368,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280369,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280370,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280371,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280372,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280373,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280374,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280375,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280376,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280377,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280378,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280379,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280380,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280381,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280382,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280383,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280384,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280385,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280386,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280387,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280388,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280389,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280390,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280391,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280392,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280393,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280394,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280395,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280396,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280397,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280398,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280399,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280400,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280401,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280402,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280403,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280404,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280405,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280406,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280407,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280408,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280409,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280410,'Stilus Graphium','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1280411,'Squab Kalina','','','','',6,79,32,0,1,1,10,0,0,0,0,1,0,0,30,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290001,'Fichman','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290002,'Javvy','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290003,'a tipsy Buccaneer','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290004,'a tipsy Buccaneer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290005,'Elly Sharptalon','<Seafury Buccaneers>','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290006,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290007,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290008,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290009,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290010,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290011,'commonlandsmap01',NULL,'','','',0,1404,9,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290012,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290013,'weapons crate',NULL,'','','',0,3146,32,0,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1290014,'to_fprt_combined',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300000,'Test',NULL,'','','',255,203,32,0,1,0,0,0,0,0,0,0,0,0,0,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300001,'a Freeport jailor','','','','',9,132,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300002,'a Freeport jailor','','','','',9,132,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300003,'a Freeport jailor','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300004,'a Freeport jailor','','','','',9,132,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300005,'Geraufl','','','','',4,3788,32,0,1,1,0,0,0,1,1,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300006,'Ures Bocmeni, the Jailor','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300007,'a Freeport jailor','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300008,'a merciless guardsman','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300009,'Exploding barrel','','','','',0,1389,32,0,0,0,0,0,0,0,0,1,0,0,30,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300010,'door_to_fprt_west','','','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,63,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300011,'left_cell_door','','','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,86,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1300012,'right_cell_door','','','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,86,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1320000,'Dasicar T''Lys','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1320001,'a hired assassin','','','','',13,2306,32,0,0,0,11,0,0,0,0,0,0,0,19,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1320002,'Old Painting',NULL,'','','',0,4221,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1320003,'Lab Bench',NULL,'','','',0,2124,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1320004,'ornate container',NULL,'','','',0,1665,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1320005,'brazier',NULL,'','','',0,3453,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340000,'a Bonebreaker Champion','<The Dreadnaughts>','','','',12,124,38,0,1,1,9,0,0,0,0,1,0,0,43,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340001,'Enforcer Drulk','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340002,'Jezranaz Rottingskin','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340003,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1340004,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340005,'Uggruk','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340006,'Tailor Darby','<Merchant>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1340007,'Innkeeper Uglar Splinterthumb','<Merchant>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,34,166,166,0,0,28784,0,0,0,0,0,0,0,0,0,0,0,0),
(1340008,'Merchant Skagga','<Merchant>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,211,211,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1340009,'Zukogg','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340010,'Bowyer Klott','<Merchant>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1340011,'Banker Quintius Calacicus','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340012,'Guard Wompa','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,0,34,6505,1475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340013,'Korkoof Crackstone','<Merchant>','','','',9,124,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(1340014,'Grazzgrat','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340015,'Barch','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340016,'Bartender Galenus Fulvianus','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1340017,'Ratcatcher Zarbt','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340018,'Alchemist Kaboomga','<Merchant>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1340019,'Barmaid Poppaea','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1340020,'Muzmog','','','','',12,124,32,0,1,1,9,0,11500,0,0,1,0,0,43,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340021,'Merchant Molg','<Merchant>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,43,196,196,0,0,402040,0,0,0,0,0,0,0,0,0,0,0,0),
(1340022,'Mender Galbran','<Mender>','','','',12,124,32,0,1,1,12,9,0,0,0,1,0,0,34,211,211,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1340023,'Armsdealer Blort','<Merchant>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,226,226,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1340024,'Thick-Headed Ruzb','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340025,'Crattok','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340026,'Shieldsmith Firda','<Merchant>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1340027,'a thieving froglok','','','','',4,4936,22,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340028,'a dwarven prisoner','','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340029,'a barbarian prisoner','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340030,'Slaver Brona','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340031,'Vakiza Skinner','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340032,'Captain Sorio','<Freeport Militia>','','','',9,134,32,0,1,1,13,9,0,1,1,1,0,0,32,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340033,'Talanakiat','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340034,'Papilius Ahala','<Linguist>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340035,'Karakiat Bonewalker','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340036,'Guard L`Zonn','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,8495,1985,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340037,'Guard Kug','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,7575,1815,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340038,'Ralianazz Skullcracker','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340039,'Braz Gutpounder','<Troll Mentor>','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340040,'Kroota Gukbutcher','<Ogre Mentor>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340041,'Hurska','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340042,'Graktak Splatterblood','','','','',14,106,38,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340043,'Somdoq','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340044,'Lochugh','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340045,'a Big Bend rat','','','','',255,196,9,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340046,'Crantik the Crazed','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340051,'Trainer Gromk','<Merchant>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,34,181,181,0,0,100504,0,4,0,0,0,0,0,0,0,0,0,0),
(1340052,'Scribe Papilius Ahala','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,181,181,0,0,703536,0,4,0,0,0,0,0,0,0,0,0,0),
(1340056,'Bushy Swashbottom','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340060,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340061,'door_widget24',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340062,'door_widget22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340063,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340064,'door_widget28',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340065,'door_widget30',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340066,'door_widget0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340067,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340068,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340069,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340070,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340071,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340072,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340073,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340074,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340075,'widget_krootax3_barreloskins',NULL,'','','',0,49,32,0,1,1,917,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340076,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340077,'qst_graktak_stew',NULL,'','','',0,2075,32,0,1,1,918,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340078,'thexmonument_04_broken',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340079,'thexmonument_02',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340080,'thexmonument_01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340081,'thexmonument_03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340082,'door_bank_inside_teller',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340083,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340084,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340085,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340086,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340087,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340088,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340089,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340090,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340091,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340092,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340093,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340094,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340095,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340096,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340097,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340098,'ironmaiden01',NULL,'','','',0,4466,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1340099,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340100,'hood_sign_post',NULL,'','','',0,21,32,0,1,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340101,'Researcher Gromk',NULL,'','','',255,124,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340102,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340103,'The Torch of Oggok',NULL,'','','',0,49,32,0,1,1,316,0,0,0,0,1,0,0,989,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340104,'Sabotage_sabotage/qeynos_2_x2_1',NULL,'','','',0,4650,22,0,1,1,755,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340105,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340106,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340107,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340108,'sign_da_dirtnap',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340109,'Sabotage_sabotage/qeynos_2_x2_2',NULL,'','','',0,4649,32,0,1,1,919,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340110,'Sabotage_sabotage/qeynos_2_x3_1',NULL,'','','',0,4648,32,0,1,1,228,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340111,'Sabotage_sabotage/qeynos_2_x5_1',NULL,'','','',0,4647,32,0,1,1,755,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340112,'sign_freeport_reserve',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340113,'Sabotage_sabotage/qeynos_2_x10_1',NULL,'','','',0,3084,32,0,1,1,296,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340114,'Sabotage_sabotage/qeynos_2_x8_1',NULL,'','','',0,4612,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340115,'Sabotage_sabotage/qeynos_2_x1_1',NULL,'','','',0,3150,32,0,1,1,16,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340116,'Sabotage_sabotage/qeynos_2_x6_1',NULL,'','','',0,2029,32,0,1,1,878,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340117,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340118,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340119,'Sabotage_sabotage/qeynos_2_x7_1',NULL,'','','',0,4654,32,0,1,1,920,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340120,'sign_blorts',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340121,'sign_big_bend_scribe_shop',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340122,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,0,0,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340123,'fprt_tradeskill_wholesaler',NULL,'','','',0,4161,32,0,0,0,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340124,'mariners_bell',NULL,'','','',0,16,32,0,0,0,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1340125,'zone_to_fprt_south',NULL,'','','',0,49,32,0,0,0,922,0,0,0,0,1,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340126,'',NULL,'','','',0,49,32,0,1,1,923,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340127,'mariners_bell',NULL,'','','',0,16,32,0,0,0,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1340128,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340129,'zone_to_sprawl',NULL,'','','',0,49,32,0,0,0,923,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340130,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340131,'a Shrub',NULL,'','','',0,1731,19,0,1,1,2,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340137,'elvish vase',NULL,'','','',0,3343,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340138,'Rubbish',NULL,'','','',0,6497,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340139,'Thrown Aside Bones',NULL,'','','',0,2985,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340140,'Thick-Headed Ruzb','','','','',14,106,32,0,1,1,9,0,0,1,1,1,0,1,43,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340141,'Overseer Travogg','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1340142,'to_fprt_citizenship_trial',NULL,'','','',0,2245,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350000,'Lirosi','','','','',11,82,32,0,1,1,9,0,0,0,0,1,0,0,38,1216,1216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350001,'Jojo Karanja','','','','',11,99,32,0,1,1,9,0,540,0,0,1,0,0,38,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350002,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1350003,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350004,'an angered erudite','','','','',3,1598,32,3,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350005,'an enraged kerra','','','','',11,101,32,3,1,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350006,'Johari','<Linguist>','','','',3,1592,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,36765,0,0,0,0,0,0,0,0,0,0,0,0),
(1350007,'Juma','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350008,'Jasper','','','','',255,305,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350009,'Kejeka','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350010,'Vess Al''Ishni','<Erudite Mentor>','','','',3,119,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350011,'Sevri Il''Bethod','','','','',3,1589,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350012,'Nashii','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350013,'a seething kerra','','','','',11,101,33,1,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350014,'Shieldsmith Nisra','<Merchant>','','','',11,94,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1350015,'Fariola','<Merchant>','','','',3,1590,32,0,1,1,10,1265,0,0,0,1,0,0,34,121,121,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1350016,'an abandoned kitty','','','','',255,305,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350017,'Batarra','<Kerra Mentor>','','','',11,95,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350018,'Miss Mansfred','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350019,'Merchant Washaso','<Merchant>','','','',11,100,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1350020,'Paragon','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350021,'Innkeeper Zahar','<Merchant>','','','',3,1601,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,29693,0,0,0,0,0,0,0,0,0,0,0,0),
(1350022,'Bowyer Thindel','<Merchant>','','','',11,100,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1350023,'Captain Norian','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,15280,3980,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350024,'Guard Brutis','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,26,8495,1985,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350025,'Mender Rosali','<Mender>','','','',11,92,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1350026,'Armsdealer Melai','<Merchant>','','','',11,97,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1350027,'Scrapper','','','','',255,278,25,0,1,1,9,0,0,1,1,1,0,12,21,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350028,'Pona','','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,38,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350029,'Jackal','','','','',255,278,25,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350030,'Street Witch Azreana','','','','',3,1591,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350031,'Jezrina','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350032,'Shatana Kamelia','<Merchant>','','','',9,94,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(1350033,'a whispering Erudite','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350034,'Rori','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350035,'Habika','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350036,'Galenus Vatia','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350037,'Raban','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350038,'Kazar','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350039,'Alchemist Irian','<Merchant>','','','',3,1596,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1350040,'Bartender Kolai','<Merchant>','','','',11,101,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1350041,'Barmaid Miala','<Merchant>','','','',9,93,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1350042,'Tailor Ozzaranu','<Merchant>','','','',3,1598,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1350043,'Guard Savanuu','','','','',3,1587,32,0,1,1,13,0,0,1,1,1,0,12,34,6950,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350044,'Banker Kaman','<Banker>','','','',3,1606,32,0,1,1,14,9,0,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350045,'Ronin','','','','',255,196,9,0,1,1,11,0,0,1,1,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350046,'Tobial','','','','',11,82,32,0,1,1,9,0,0,0,0,1,0,0,38,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350049,'Trainer Fomondulus','<Merchant>','','','',3,1598,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100504,0,4,0,0,0,0,0,0,0,0,0,0),
(1350050,'Scribe Johari','<Merchant>','','','',3,1592,32,0,1,1,10,1265,0,0,0,1,0,0,34,196,196,0,0,402021,0,0,0,0,0,0,0,0,0,0,0,0),
(1350054,'Jackel','','','','',255,278,25,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350055,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350056,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350057,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350058,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350059,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350060,'door_widget6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350061,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350062,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350063,'door_widget0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350064,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350065,'',NULL,'','','',0,49,32,0,1,1,954,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350066,'widget_player_housing_0',NULL,'','','',0,49,32,0,0,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350067,'fprt_hood02_inn_door housing',NULL,'','','',0,49,32,0,0,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350068,'',NULL,'','','',0,49,32,0,1,1,954,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350069,'rcp_keethir_widget',NULL,'','','',0,49,32,0,0,0,954,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350070,'wtf2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350071,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350072,'AoM_Housing_Door',NULL,'','','',0,49,32,0,0,1,28,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350073,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350074,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350075,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350076,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350077,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350078,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350079,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350080,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350081,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350082,'ironmaiden01',NULL,'','','',0,4466,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1350083,'evilpitchfork01',NULL,'','','',0,5783,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1350084,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350085,'an erudite pestle',NULL,'','','',0,3094,32,0,1,1,952,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350086,'Researcher Fomondulus',NULL,'','','',255,1598,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350087,'rcp_rhanis_widget',NULL,'','','',0,2060,32,0,0,0,953,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350088,'',NULL,'','','',0,13,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350089,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350090,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350091,'Sabotage_sabotage/qeynos_2_x2_1',NULL,'','','',0,4650,22,0,1,1,755,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350092,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350093,'Sabotage_sabotage/qeynos_2_x2_2',NULL,'','','',0,4649,32,0,1,1,919,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350094,'Sabotage_sabotage/qeynos_2_x3_1',NULL,'','','',0,4648,32,0,1,1,228,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350095,'Sabotage_sabotage/qeynos_2_x5_1',NULL,'','','',0,4647,32,0,1,1,755,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350096,'Sabotage_sabotage/qeynos_2_x10_1',NULL,'','','',0,3084,32,0,1,1,296,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350097,'Sabotage_sabotage/qeynos_2_x8_1',NULL,'','','',0,4612,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350098,'Sabotage_sabotage/qeynos_2_x1_1',NULL,'','','',0,3150,32,0,1,1,16,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350099,'Sabotage_sabotage/qeynos_2_x6_1',NULL,'','','',0,2029,32,0,1,1,878,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350100,'Sabotage_sabotage/qeynos_2_x7_1',NULL,'','','',0,4654,32,0,1,1,920,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350101,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,0,0,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350102,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1350103,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350104,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350105,'sign_arm',NULL,'','','',0,27,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350106,'safehaven',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350107,'zone_to_the_graveyard',NULL,'','','',0,49,32,0,0,0,949,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350108,'zone_to_fprt_north',NULL,'','','',0,49,32,0,0,0,928,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350109,'fprt_tradeskill_wholesaler',NULL,'','','',0,4161,32,0,0,0,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350110,'thehole',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350111,'sign_freeport_reserve',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350112,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1350113,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350114,'Kejaan Stone',NULL,'','','',0,1668,19,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350115,'Fe''lein Herbs',NULL,'','','',0,1670,22,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350116,'Overseer Melkia','','','','',3,1588,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350117,'to_fprt_citizenship_trial',NULL,'','','',0,2245,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350118,'hoodboards',NULL,'','','',0,0,32,0,1,0,28,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350119,'Graveyard Collision',NULL,'','','',0,4544,32,0,0,0,949,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350120,'Nosno the Naysayer','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350121,'Jomo',NULL,'','','',11,101,32,0,1,1,9,0,3082,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350122,'Wenso Swindlehassle',NULL,'','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350123,'Jafari',NULL,'','','',11,102,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350124,'Halima',NULL,'','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350125,'Ziyad',NULL,'','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350126,'Yoruba',NULL,'','','',0,92,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350127,'Azim',NULL,'','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350128,'Vasha',NULL,'','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350129,'Jasmine',NULL,'','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1350130,'Oluchi',NULL,'','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360000,'Tarakh','','','','',13,69,32,0,1,1,9,0,11500,0,0,1,0,0,19,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360001,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360002,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360003,'Neezer Grund','<Gnome Mentor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360004,'Captain Molacus','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(1360005,'Guard K`Lex','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,15280,3980,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360006,'Guard Vibullius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,8145,1925,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360007,'Chrna','','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,19,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360008,'Alchemist Plordo Blotterdook','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1360009,'Shieldsmith Fubbledodge','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1360010,'Malvir Destrin','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360011,'Mender Krellian','<Mender>','','','',13,73,32,0,1,1,12,9,0,0,0,1,0,0,34,196,196,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1360012,'Armsdealer Shinska','<Merchant>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,19,226,226,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1360013,'Methos','','','','',255,305,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360014,'Jubil Frankobi','<Temple Street Doctor>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360015,'Spezi the Street Hag','','','','',13,58,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360016,'a feverish ratonga','','','','',13,55,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360017,'Cog','','','','',255,272,25,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360018,'Merchant Vlepo','<Merchant>','','','',13,61,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402026,0,0,0,0,0,0,0,0,0,0,0,0),
(1360019,'Merchant Vleko','<Merchant>','','','',13,73,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1360020,'Banker Sempronia Gallus','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360021,'Chuggle Valvesplitter','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360022,'Chef Schmenko','<Merchant>','','','',13,65,32,0,1,1,10,1265,11420,0,0,1,0,0,26,121,121,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1360023,'Old Man Muckwort','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360024,'Frizi Figglesnip','<Linguist>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,36960,0,0,0,0,0,0,0,0,0,0,0,0),
(1360025,'Merchant Twergo Togglesmeet','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,402032,0,0,0,0,0,0,0,0,0,0,0,0),
(1360026,'Merchant Qwergo Togglesmeet','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1360027,'Innkeeper Zixi Wuggle','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,166,166,0,0,34177,0,0,0,0,0,0,0,0,0,0,0,0),
(1360028,'Sprocket','','','','',255,278,25,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360029,'a mute ratonga','','','','',13,63,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360030,'Malyk','','','','',13,72,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360031,'Darsus Tavalin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360032,'Zninki Flatzazzle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360033,'Merchant Svasha','<Merchant>','','','',13,57,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,34183,0,0,0,0,0,0,0,0,0,0,0,0),
(1360034,'Regias Flutzrubble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360035,'Mr. Buttons','','','','',255,305,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360036,'Pockets','','','','',255,305,26,0,1,1,11,0,0,1,1,1,0,0,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360037,'Tuber Fattleweeble','<Merchant>','','','',9,121,32,0,1,1,10,9,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(1360038,'Tailor Sipka','<Merchant>','','','',13,59,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1360039,'Bartender Pshavost','<Merchant>','','','',13,60,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1360040,'Barmaid Krasa','<Merchant>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,19,151,151,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1360041,'Sparzit Cogsnibble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360042,'Krysa','','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,19,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360043,'Brashk','','','','',13,67,32,0,1,1,9,0,0,0,0,1,0,0,19,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360044,'Fedul','<Ratonga Mentor>','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360045,'Frondo Wignin','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360046,'Bowyer Kavina','<Merchant>','','','',13,55,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1360047,'Guard Grolm','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,8495,1985,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360048,'Ogguk','','','','',255,278,25,0,1,1,9,0,0,1,1,1,0,12,21,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360050,'Skitter','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360051,'a pig','','','','',255,271,12,3,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360052,'Trainer Yurik','<Merchant>','','','',13,61,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100504,0,4,0,0,0,0,0,0,0,0,0,0),
(1360053,'Scribe Frizi Figglesnip','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,226,226,0,0,603031,0,4,0,0,0,0,0,0,0,0,0,0),
(1360054,'a mutated pig','','','','',255,5095,9,0,1,1,9,0,0,0,0,1,0,0,17,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360060,'Jimbly','','','','',255,5095,9,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360061,'a filth gobbler','','','','',255,235,11,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360063,'Iarog','','','','',13,66,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360066,'a blighted ratonga','','','','',13,54,32,0,1,1,9,0,1498,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360067,'a blighted gnome','','','','',5,121,32,0,1,1,9,0,1498,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360069,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360070,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360071,'fprt_hood03_door04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360072,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360073,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360074,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360075,'fprt_hood03_door13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360076,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360077,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360078,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360079,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360080,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360081,'fprt_hood03_door12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360082,'fprt_hood03_door11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360083,'fprt_hood03_door10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360084,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360085,'scrap_pile_19',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360086,'scrap_pile_20',NULL,'','','',0,2401,32,0,0,0,1103,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360087,'scrap_pile_03',NULL,'','','',0,2401,32,0,0,0,1103,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360088,'scrap_pile_04',NULL,'','','',0,2401,32,0,0,0,1103,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360089,'qst_forge',NULL,'','','',0,49,32,0,1,1,1104,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360090,'qst_jubils_notes',NULL,'','','',0,49,32,0,1,1,1100,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360091,'scrap_pile_13',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360092,'scrap_pile_05',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360093,'scrap_pile_14',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360094,'scrap_pile_11',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360095,'scrap_pile_15',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360096,'scrap_pile_07',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360097,'widget_player_housing_0',NULL,'','','',0,49,32,0,0,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360098,'scrap_pile_01',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360099,'scrap_pile_10',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360100,'scrap_pile_08',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360101,'scrap_pile_02',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360102,'scrap_pile_06',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360103,'scrap_pile_12',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360104,'scrap_pile_09',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360105,'scrap_pile_16',NULL,'','','',0,2401,32,0,0,0,1103,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360106,'scrap_pile_18',NULL,'','','',0,49,32,0,0,0,1103,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360107,'scrap_pile_17',NULL,'','','',0,2401,32,0,0,0,1103,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360108,'(unnamed)',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360109,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360110,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360111,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360112,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360113,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360114,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360115,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360116,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360117,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360118,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360119,'dpo_present03_big',NULL,'','','',0,7077,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360120,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360121,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360122,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360123,'candycane',NULL,'','','',0,5986,5,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360124,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360125,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360126,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360127,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360128,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360129,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360130,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360131,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360132,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,0,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360133,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360134,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360135,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360136,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360137,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360138,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360139,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360140,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360141,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360142,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360143,'candycane',NULL,'','','',0,5984,44,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360144,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360145,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360146,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360147,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360148,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360149,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360150,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360151,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360152,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360153,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360154,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360155,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360156,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360157,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360158,'ironmaiden01',NULL,'','','',0,4466,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360159,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360160,'qst_unseenhand_kitchen_1',NULL,'','','',0,1399,32,0,1,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(1360161,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360162,'qst_tongs_1',NULL,'','','',0,3321,25,0,1,1,1099,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360163,'qst_jubils_notes_1',NULL,'','','',0,3549,32,0,0,0,1100,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,1179644,0,0,0,0,0,0,0,0),
(1360164,'qst_jubils_notes_2',NULL,'','','',0,5261,32,0,0,0,1100,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,1146876,0,0,0,0,0,0,0,0),
(1360165,'qst_jubils_notes_3',NULL,'','','',0,3548,32,0,0,0,1100,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360166,'Researcher Yurik',NULL,'','','',255,61,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360167,'translation_device',NULL,'','','',0,5210,32,0,1,0,1101,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,1179644,0,0,0,0,0,0,0,0),
(1360168,'cage2',NULL,'','','',0,1928,53,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,1179644,0,0,0,0,0,0,0,0),
(1360169,'cage1',NULL,'','','',0,1928,53,0,0,0,1102,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(1360170,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1360171,'floor_bucket_orc_ore01',NULL,'','','',0,4650,18,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360172,'bug',NULL,'','','',0,222,9,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360173,'The Forest Spider',NULL,'','','',0,205,6,0,0,0,1203,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360174,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360175,'Sabotage_sabotage/qeynos_2_x2_1',NULL,'','','',0,4650,22,0,1,1,755,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360176,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360177,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360178,'Sabotage_sabotage/qeynos_2_x2_2',NULL,'','','',0,4649,32,0,1,1,919,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360179,'Sabotage_sabotage/qeynos_2_x3_1',NULL,'','','',0,4648,32,0,1,1,228,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360180,'Sabotage_sabotage/qeynos_2_x5_1',NULL,'','','',0,4647,32,0,1,1,755,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360181,'Sabotage_sabotage/qeynos_2_x10_1',NULL,'','','',0,3084,32,0,1,1,296,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360182,'Sabotage_sabotage/qeynos_2_x8_1',NULL,'','','',0,4612,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360183,'Sabotage_sabotage/qeynos_2_x1_1',NULL,'','','',0,3150,32,0,1,1,16,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360184,'Sabotage_sabotage/qeynos_2_x6_1',NULL,'','','',0,2029,32,0,1,1,878,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360185,'Sabotage_sabotage/qeynos_2_x7_1',NULL,'','','',0,4654,32,0,1,1,920,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,1179644,0,0,0,0,0,0,0,0),
(1360186,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360187,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1360188,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1360189,'hyper_organic_suppressor',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360190,'forest_spider_shipment',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360191,'sign_freeport_reserve',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360192,'sign_wuggles_chambers_horizontal_stasis',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360193,'zone_to_fprt_south',NULL,'','','',0,49,32,0,1,1,922,0,0,0,0,1,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360194,'qey_tradeskill_wholesaler',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360195,'sign_closed_gate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360196,'an old powder keg',NULL,'','','',0,1389,9,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360197,'Overseer Ivagora','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360198,'to_fprt_citizenship_trial',NULL,'','','',0,2245,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360199,'hoodboards',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360200,'AoM_Housing_door',NULL,'','','',0,0,32,0,0,0,28,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360201,'Explosive Discoverer''s Door (Tradeskill)',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360202,'Captain Molacus','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360203,'Chef Schmenko','<Merchant>','','','',13,65,32,0,1,1,0,0,11420,0,0,0,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360204,'ZaZa Lenska','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360205,'Irina','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360206,'Guard Relna','','','','',13,58,33,0,1,1,13,9,0,1,1,1,0,12,19,13600,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360207,'Hepsh','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360208,'Drobbix Wangleport','','','','',5,121,32,0,1,1,9,0,11420,0,0,1,0,0,16,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360209,'Tippin Wagglewrench','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360210,'Thignatz Dustinia','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360211,'Torsha','','','','',13,59,32,0,1,1,9,0,11420,0,0,1,0,0,16,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360212,'Lushi','','','','',13,55,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360213,'Giggi Foppdomler','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360214,'Shalvo','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360215,'Lexhin','','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360216,'Ramia Spattermot','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360218,'Rhast','','','','',13,70,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360219,'Tink Tonksnipper','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360220,'a stein',NULL,'','','',0,1400,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360221,'a crude weapon',NULL,'','','',0,2225,32,0,0,1,9521,0,0,0,0,1,1,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360222,'The  Architect''s Bureau (Tradeskill)',NULL,'','','',0,4161,32,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360223,'The Silent Blade (Tradeskill)',NULL,'','','',0,4161,28,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360224,'Box1',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360225,'Box2',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360226,'Box3',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360227,'Box4',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360228,'Box5',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360229,'Box6',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360230,'Box7',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360231,'Box8',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360232,'Box9',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360233,'Box10',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360234,'Box11',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1360235,'Workbench',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370000,'Tullia Domna','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370002,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1370003,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370004,'Thavian Destrus','<Half Elf Mentor>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370005,'Alucius Valus','<Human Mentor>','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370006,'Mender Glanae','<Mender>','','','',6,79,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1370007,'Reana Astia','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,106,106,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1370008,'Antius Vedrix','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370009,'Barmaid Melia','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,121,121,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1370010,'Bartender Sestius Buccio','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,26,121,121,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1370011,'Armsdealer Silentblade','<Merchant>','','','',6,78,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1370012,'Banker Voranius','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370013,'Shieldsmith Pebblemark','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1370014,'Mariana Darkleaf','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370015,'Octavia Jovina','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370016,'Ro','','','','',255,278,25,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370017,'Alchemist Loamshallow','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1370018,'Scribe Inkwell','<Linguist>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370019,'Tailor Thesta','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1370020,'Sentius Poisonleaf','','','','',6,78,32,0,1,1,9,0,11500,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370021,'Banwyn Sympronian','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370022,'Livia Drusilla','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370023,'Flavia Domitilla Fulvia ','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370024,'Festus Septimius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370025,'Tsuul Nyghtfallow','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370026,'Lurina Galla','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370027,'Durio Dexus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370028,'Favonius Seneca','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370029,'Hodstock','','','','',255,272,28,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370030,'Sandon Breezebender','<Merchant>','','','',9,78,32,0,1,1,10,9,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(1370031,'Bowyer Cinre','<Merchant>','','','',9,132,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1370032,'Merchant Elduin Proceus','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402032,0,0,0,0,0,0,0,0,0,0,0,0),
(1370033,'Rilius Shadowsiege','','','','',6,78,32,0,1,1,9,0,11500,0,0,1,0,0,30,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370034,'Gilriel Cypria','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370035,'Anrean Velvinna','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370036,'Lucius Vulso','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370037,'Lieutenant Cervaen','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370038,'Delcairn Sebastian','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370039,'Elowyn Equitus','','','','',9,78,32,0,1,1,9,0,11500,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370040,'Nilniar Ursus','','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370041,'Cordius Sejanius','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370042,'Marcus Cantarius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370043,'Merchant Molin Driftwater','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1370044,'Merchant Cordilia','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,196,196,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1370045,'Siricus Calventius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370046,'Innkeeper Melus','<Merchant>','','','',9,134,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,15744,0,0,0,0,0,0,0,0,0,0,0,0),
(1370047,'Maecenus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370048,'Pavo Nightfire','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370049,'Kith','','','','',255,306,32,0,1,1,11,0,0,1,1,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370050,'Tabith the Hag','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370051,'Drunk Artorius','','','','',9,23908,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370053,'Marcus Levidius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370054,'Captain Paullus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,16555,3840,0,0,0,0,0,0,786435,0,0,0,0,0,0,0,0),
(1370055,'Guard Aquila','','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,12,34,6950,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370056,'Guard Ventora','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,9195,2075,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370057,'Kaseo Volcatius','<Freeport Militia>','','','',9,134,41,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370058,'Statia Viatrix','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370059,'a Shady Thug','','','','',9,134,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370060,'Rolan Sunstar','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370061,'Scribe Inkwell','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,703537,0,4,0,0,0,0,0,0,0,0,0,0),
(1370062,'Trainer Saltprow','<Merchant>','','','',6,78,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,100504,0,4,0,0,0,0,0,0,0,0,0,0),
(1370064,'a Brotherhood enforcer','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370065,'Adjunct-Captain Rommuls','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370066,'Thaen Sevellos','','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370067,'a Rommuls loyalist','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370069,'door_fprt_ph_door_with_handle_24',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370070,'door_fprt_ph_door_with_handle_22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370071,'door_fprt_ph_door_with_handle_52',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370072,'door_widget28',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370073,'door_fprt_ph_door_with_handle_26',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370074,'door_widget30',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370075,'door_fprt_ph_door_with_handle_12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370076,'door_fprt_ph_door_with_handle_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370077,'door_widget34',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370078,'door_widget32',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370079,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370080,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370081,'door_fprt_ph_door_with_handle_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370082,'door_widget18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370083,'door_fprt_ph_door_with_handle_8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370084,'widget_qst_alucius_valus_x1_stash',NULL,'','','',0,3026,32,0,1,1,950,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370085,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370086,'mug_to_poison_2',NULL,'','','',0,49,32,0,0,0,951,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370087,'mug_to_poison',NULL,'','','',0,49,32,0,0,0,951,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370089,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370090,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370091,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370092,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370093,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370094,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370095,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370096,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370097,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370098,'ironmaiden01',NULL,'','','',0,4466,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1370099,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1370100,'hood_sign_post',NULL,'','','',0,21,32,0,1,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370101,'Rommuls'' Shipment',NULL,'','','',0,1389,32,0,0,0,881,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370102,'Researcher Saltprow',NULL,'','','',255,78,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370103,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370104,'muffled voices',NULL,'','','',255,2306,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370105,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370106,'Sabotage_sabotage/qeynos_2_x2_1',NULL,'','','',0,4650,22,0,1,1,755,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370107,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370108,'Sabotage_sabotage/qeynos_2_x2_2',NULL,'','','',0,4649,32,0,1,1,919,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370109,'Sabotage_sabotage/qeynos_2_x3_1',NULL,'','','',0,4648,32,0,1,1,228,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370110,'Sabotage_sabotage/qeynos_2_x5_1',NULL,'','','',0,4647,32,0,1,1,755,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370111,'Sabotage_sabotage/qeynos_2_x10_1',NULL,'','','',0,3084,32,0,1,1,296,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370112,'Sabotage_sabotage/qeynos_2_x8_1',NULL,'','','',0,4612,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370113,'Sabotage_sabotage/qeynos_2_x1_1',NULL,'','','',0,3150,32,0,1,1,16,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370114,'Sabotage_sabotage/qeynos_2_x6_1',NULL,'','','',0,2029,32,0,1,1,878,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370115,'Sabotage_sabotage/qeynos_2_x7_1',NULL,'','','',0,4654,32,0,1,1,920,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370116,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370117,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1370118,'qey_tradeskill_wholesaler',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370119,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370120,'sign_freeport_reserve',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370121,'zone_to_fprt_north',NULL,'','','',0,49,32,0,1,1,928,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370122,'sign_the_flophouse',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370123,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1370124,'a Brotherhood cache',NULL,'','','',0,1389,32,0,1,1,2,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370125,'Rommuls'' Shipment',NULL,'','','',0,1428,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370126,'Crispin Luvinius',NULL,'','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370127,'Manius Galla',NULL,'','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370128,'Overseer Zerrin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370129,'to_fprt_citizenship_trial',NULL,'','','',0,2245,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370130,'hoodboards',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370131,'AoM_Housing_door',NULL,'','','',0,0,32,0,0,0,28,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370132,'Galus Pomponius',NULL,'','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370133,'The Circle of the Cove (Tradeskill)',NULL,'','','',0,4161,32,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370134,'The Briney Brotherhood (Tradeskill)',NULL,'','','',0,4161,32,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370135,'Fellowship of Auxiliary Arcane (Tradeskill)',NULL,'','','',0,4161,32,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370136,'Calindra Longshadow','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370137,'Brian Nichols','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370138,'Vilna Darkhart','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370139,'Captain Paullus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,16555,3840,0,0,0,0,0,0,262140,0,0,0,0,0,0,0,0),
(1370140,'Arria Fadilla','','','','',9,132,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(1370141,'Junia Calvina','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370142,'Guard Nolia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,8145,1925,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370143,'Guard Valerian','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,8145,1925,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370144,'Caius Ebonroot','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1370145,'Drunk Artorius','','','','',9,23908,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380000,'Juturna Postumus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(1380001,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1380002,'an outraged human','','','','',9,134,30,3,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380003,'a hateful darkelf','','','','',1,19288,29,3,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380004,'a furious troll','','','','',14,106,32,2,1,1,0,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380006,'Aldera V''Exxa','<Dark Elf Mentor>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380007,'Merchant L`Dor','<Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,226,226,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1380008,'a street tough','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380009,'Lotni K`Iria','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380010,'Captain L`Nek','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,786435,0,0,0,0,0,0,0,0),
(1380011,'Cizra J`Yax','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380012,'a spider hatchling','','','','',255,205,10,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380013,'Lynsia T''Kanix','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1380014,'Ezria M''Linar','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380015,'Modian K`Jarr','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380016,'Tailor T`Gask','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1380018,'a seething darkelf','','','','',1,115,32,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380019,'a human','','','','',9,18214,30,1,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380020,'Innkeeper T`Mel','<Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,29934,0,0,0,0,0,0,0,0,0,0,0,0),
(1380021,'Banker T`Val','<Banker>','','','',1,115,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380022,'Alchemist K`Tolia','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1380023,'Shieldsmith Sh`Nra','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1380024,'Armsdealer T`Nyvez','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1380025,'Mender Brelslade','<Mender>','','','',1,115,32,0,1,1,12,9,0,0,0,1,0,0,34,181,181,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1380026,'Bowyer V`Dyhn','<Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1380027,'Alanaramal Z''Aste','<Merchant>','','','',9,116,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(1380028,'Yarana D''Ven','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380029,'Divek L`Narr','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380030,'Maliz T`Raan','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380031,'Imnat D`Vren','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380032,'Kylanith D`Lar','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380033,'Zelina T`Von','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380034,'Vorshar L`Faz','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380035,'a spider hatchling','','','','',255,205,12,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380036,'a spider hatchling','','','','',255,205,12,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380037,'Innurae V`Tarris','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380038,'P`Thek','<Linguist>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,36718,0,0,0,0,0,0,0,0,0,0,0,0),
(1380039,'Orian D`Rak','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380040,'Guard T`Vek','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380041,'a ratonga','','','','',13,70,31,2,1,1,0,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380042,'Nezzka S`Tai','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380043,'Kalraath L''Vin','','','','',1,115,35,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380044,'Guard T`Narra','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380045,'Guard D`Beph','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380046,'Teah J''Nar','','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380055,'Trainer V`Tun','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100504,0,4,0,0,0,0,0,0,0,0,0,0),
(1380056,'Scribe P`Thek','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,196,196,0,0,301516,0,4,0,0,0,0,0,0,0,0,0,0),
(1380072,'door_widget80',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380073,'door_widget74',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380074,'door_widget70',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380075,'door_widget68',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380076,'door_widget66',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380077,'door_widget86',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380078,'door_widget64',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380079,'door_widget62',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380080,'door_widget76',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380081,'door_widget72',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380082,'door_widget56',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380083,'door_widget54',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380084,'door_widget50',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380085,'door_widget58',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380086,'door_widget48',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380087,'door_widget44',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380088,'door_widget46',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380089,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380090,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380091,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380092,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380093,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380094,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380095,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380096,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380097,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380098,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380099,'ironmaiden01',NULL,'','','',0,4466,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1380100,'evilpitchfork01',NULL,'','','',0,5783,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1380101,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380102,'a loaf of bread',NULL,'','','',0,3360,64,0,1,1,52,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380103,'Researcher V''Tun',NULL,'','','',255,116,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380104,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380105,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380106,'Sabotage_sabotage/qeynos_2_x2_1',NULL,'','','',0,4650,22,0,1,1,755,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380107,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380108,'Sabotage_sabotage/qeynos_2_x2_2',NULL,'','','',0,4649,32,0,1,1,919,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380109,'Sabotage_sabotage/qeynos_2_x3_1',NULL,'','','',0,4648,32,0,1,1,228,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380110,'Sabotage_sabotage/qeynos_2_x5_1',NULL,'','','',0,4647,32,0,1,1,755,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380111,'Sabotage_sabotage/qeynos_2_x10_1',NULL,'','','',0,3084,32,0,1,1,296,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380112,'Sabotage_sabotage/qeynos_2_x8_1',NULL,'','','',0,4612,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380113,'Sabotage_sabotage/qeynos_2_x1_1',NULL,'','','',0,3150,32,0,1,1,16,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380114,'Sabotage_sabotage/qeynos_2_x6_1',NULL,'','','',0,2029,32,0,1,1,878,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380115,'Sabotage_sabotage/qeynos_2_x7_1',NULL,'','','',0,4654,32,0,1,1,920,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380116,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380117,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1380118,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380119,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380120,'sign_militia_office_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380121,'qey_tradeskill_wholesaler',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380122,'zone_to_fprt_north_0',NULL,'','','',0,49,32,0,1,1,928,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380123,'zone_to_graveyard',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380124,'sign_tmels_towers_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380125,'sign_freeport_reserve',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380126,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,2097151,0,0,0,0,0,0,0,0),
(1380127,'Shadow''s Kiss',NULL,'','','',0,1742,48,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380128,'Overseer Daerla','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380129,'to_fprt_citizenship_trial',NULL,'','','',0,2245,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380130,'Captain L`Nek','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(1380131,'Tilzak N`Lim','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,811,811,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380132,'Vela M''Rev','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380133,'Dimal B''Orin','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380134,'Verina G''Yul','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380135,'Ryaz V''Rez','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380136,'Olak U''Som','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380137,'Dur X''Shri','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380138,'Valina D''Mizrel','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380139,'a brine sifter hatchling','','','','',255,211,12,2,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380140,'unfortunate remains',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380141,'tiny fish',NULL,'','','',0,4155,20,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380142,'Fuck_Soe1',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380143,'Fuck_Soe2',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1380144,'InsideDoor74',NULL,'','','',0,2031,32,0,0,0,45,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO `spawn` VALUES
(1390000,'Weaponsmith Xass','','','','',10,1574,35,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390001,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1390002,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390003,'Brood Matron Vrim Malthyk','<Iksar Mentor>','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390004,'Clan Chief Malachi Sleetspear','<Barbarian Mentor>','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390005,'Vleske Vylkle','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390006,'Mirin Zilishia','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390007,'a shadowy agent','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390008,'Lambert','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390009,'Tabitha','','','','',255,304,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390010,'Innkeep Frosthome','<Merchant>','','','',0,112,32,0,1,1,10,9,0,0,0,1,0,0,34,181,181,0,0,30576,0,0,0,0,0,0,0,0,0,0,0,0),
(1390011,'Nithask Syrthiss','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390012,'Skal Vethiz','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390013,'Scribe Coldquill','<Linguist>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390014,'Tegan Frostfist','<Merchant>','','','',9,1471,32,0,1,1,10,9,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(1390015,'Tristan O''Rilley','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390016,'Caleb Brazenroot','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390017,'Captain Ronia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,26,15870,3840,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390018,'Ugarin Farwind','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390019,'Merchant Olin Barkstripper','<Merchant>','','','',0,1471,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1390020,'Verin Ithelz','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390021,'Guard Thaguk','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,8495,1985,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390022,'Tailor O`Keel','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1390023,'Evelyn Stoutfist','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390024,'Zever Tzizzink','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390025,'Shieldsmith McHalford','<Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(1390026,'Wesley Tundrafoot','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390027,'Ivashko','','','','',255,278,25,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390028,'Lucas MacCormick','','','','',2,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390029,'Lachar','','','','',255,4527,12,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390030,'Spera','','','','',255,278,12,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390031,'Peter','','','','',255,4527,12,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390032,'Merchant Ziraak','<Merchant>','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402040,0,0,0,0,0,0,0,0,0,0,0,0),
(1390033,'Alchemist Sypp','<Merchant>','','','',10,104,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1390034,'Igor','','','','',255,4527,12,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390035,'a poisonous hood wasp','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390036,'Dunn Coldbrow','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390037,'Savas Dranak','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390038,'Anthony Glavias','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390040,'Bowyer Kakriss','<Merchant>','','','',10,103,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(1390041,'Barmaid Frostwind','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1390042,'Jondy Cobbleblork','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390043,'Issik Dethyr','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390044,'Mender Garowin','<Mender>','','','',10,104,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1390045,'Plotter Nicolai ','','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390046,'Arms Dealer Shilza','<Merchant>','','','',10,104,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(1390047,'Ivan','','','','',255,4527,12,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390048,'Natasha','','','','',255,278,22,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390049,'Guard Ithias','','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,12,34,7575,1815,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390050,'Melvin Dunford','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390051,'Bartender Icebrew','<Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1390052,'Colin Stoutfist','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390053,'Briac Tundrafire','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390054,'Dyerth Shiraz','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390055,'Banker Izark','<Banker>','','','',10,103,32,0,1,1,14,9,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390056,'Scribe Coldquill','<Merchant>','','','',0,111,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,502526,0,4,0,0,0,0,0,0,0,0,0,0),
(1390057,'Trainer Valseth','<Merchant>','','','',10,104,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100504,0,4,0,0,0,0,0,0,0,0,0,0),
(1390058,'a Shissarian vase','','','','',255,4564,73,0,1,1,11,0,0,1,1,1,0,0,32,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390059,'a Shissarian asp','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390064,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390065,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390066,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390067,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390068,'Inn door housing',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390069,'door_fprt_ph_door_with_handle_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390070,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390071,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390072,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390073,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390074,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390075,'Inn door',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390076,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390077,'Xass''s Forge',NULL,'','','',0,3318,32,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390078,'Xass''s Forge',NULL,'','','',0,3319,19,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390079,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390080,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390081,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390082,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390083,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390084,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390085,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390086,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390087,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390088,'ironmaiden01',NULL,'','','',0,4466,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1390089,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390090,'floor_urn02_any_clay',NULL,'','','',0,1960,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390091,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390092,'an old brazier',NULL,'','','',0,1396,27,0,1,1,982,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390093,'Xass''s Weapon Rack',NULL,'','','',0,6262,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390094,'Researcher Valseth',NULL,'','','',255,104,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390095,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390096,'quest_iksar_skull',NULL,'','','',0,1396,27,0,0,0,982,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390097,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390098,'Sabotage_sabotage/qeynos_2_x2_1',NULL,'','','',0,4650,22,0,1,1,755,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390099,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390100,'Sabotage_sabotage/qeynos_2_x2_2',NULL,'','','',0,4649,32,0,1,1,919,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390101,'Sabotage_sabotage/qeynos_2_x3_1',NULL,'','','',0,4648,32,0,1,1,228,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390102,'Sabotage_sabotage/qeynos_2_x5_1',NULL,'','','',0,4647,32,0,1,1,755,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390103,'Sabotage_sabotage/qeynos_2_x10_1',NULL,'','','',0,3084,32,0,1,1,296,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390104,'Sabotage_sabotage/qeynos_2_x8_1',NULL,'','','',0,4612,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390105,'Sabotage_sabotage/qeynos_2_x1_1',NULL,'','','',0,3150,32,0,1,1,16,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390106,'Sabotage_sabotage/qeynos_2_x6_1',NULL,'','','',0,2029,32,0,1,1,878,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390107,'Sabotage_sabotage/qeynos_2_x7_1',NULL,'','','',0,4654,32,0,1,1,920,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390108,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390109,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1390110,'quest_iksar_shackles',NULL,'','','',0,3238,32,0,1,1,983,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390111,'quest_malachi_weaponrack',NULL,'','','',0,1534,32,0,1,1,984,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390112,'quest_malachi_desk',NULL,'','','',0,2776,32,0,1,1,985,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390113,'quest_malachi_chair',NULL,'','','',0,1659,32,0,1,1,986,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390114,'sign_pickled_lizard',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390115,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390116,'qey_tradeskill_wholesaler',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390117,'zone_to_fprt_south',NULL,'','','',0,49,32,0,1,1,922,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390118,'zone_to_sprawl',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390119,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1390120,'quest_vrim_box',NULL,'','','',0,1393,9,0,1,1,1106,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390121,'quest_malachi_wasp_hive',NULL,'','','',0,5922,96,0,1,1,1137,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390122,'sign_freeport_reserve',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390123,'an Iksar skull',NULL,'','','',0,2997,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390124,'zonetosprawl',NULL,'','','',255,49,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390125,'Anthony Glavias','','','','',9,134,32,0,1,1,9,0,0,1,0,0,0,1,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390126,'Overseer Sakkis','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390127,'to_fprt_citizenship_trial',NULL,'','','',0,2245,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1390128,'Zekvila Dizelk','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410000,'Valeein H''shra','','','','',3,1596,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410001,'floor_chair_human_fancy01',NULL,'','','',0,2131,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410002,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410003,'floor_books_any_mixed03',NULL,'','','',0,2593,18,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410004,'qst_galintos_candelabra_1',NULL,'','','',0,1412,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410005,'rug',NULL,'','','',0,3513,26,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410006,'rug',NULL,'','','',0,3514,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410007,'fpalt_chest_small_ornate01',NULL,'','','',0,16419,25,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410008,'floor_books_any_mixed05',NULL,'','','',0,2595,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410009,'',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410010,'floor_books_human_row02',NULL,'','','',0,3023,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410011,'floor_bookcase_any_wood04',NULL,'','','',0,2583,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410012,'floor_books_human_stack02',NULL,'','','',0,3027,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410013,'floor_bookcase_human_plain01',NULL,'','','',0,2128,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410014,'floor_bookcase_any_wood02',NULL,'','','',0,2581,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410015,'lightning painting',NULL,'','','',0,9360,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1410016,'Leave the Archive',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440000,'Guard Cornelia Vecchia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440001,'Broker Profallia','','','','',9,132,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440002,'Banker Jules Jumsinger','','','','',7,107,32,0,1,1,14,9,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440003,'Guard Rolius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440004,'Guard Wintolak','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440005,'Guard B''Ryk','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440006,'Mizzog the Sighted','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,1),
(1440007,'Torlig the Alchemist','<Merchant>','','','',3,1598,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1440008,'Preceptor Nyjuss','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440009,'Hazrulin Vextrik','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440010,'Alchemist Aulus Crispian','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1440011,'Neophyte Jhanov','','','','',13,68,32,0,1,1,10,0,0,0,0,1,0,0,19,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440012,'Paragon Jalex','','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440013,'Elon Gallwin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440014,'Tohsa B''hondus','<Weaver of Madness>','','','',1,116,32,0,1,1,9,0,2642,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440015,'Guard Gikuthz','','','','',9,2901,41,0,1,1,13,0,0,1,1,1,0,12,36,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440016,'Vassi Darkscale','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440017,'Assistant Gadko','','','','',13,70,32,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(1440018,'Drund Mordgraahl Skullsprain','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440019,'Jantus Ezrek','<Teleport Trainer>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1690,0,0,0,0,0,0,0,0,0,0,0,0),
(1440020,'Archivist Jindlefog','<Arcane Scientist>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440021,'Savant Ka''im','','','','',3,1595,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440022,'Scribe Jabir Maridar','<Merchant>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(1440023,'Scribe Ellynottin Zookbiddle','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(1440024,'Tome Warden K''Narn','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440025,'R''dyles Mar''dril','','','','',255,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440026,'Riss Taskel','<Feudal Historian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440027,'Qalantir','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440028,'Nexa L''Dur','<Advancement Counsel>','','','',1,116,32,0,1,1,22,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440029,'Scribe Tullia Sulla','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,361,361,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(1440030,'Thaumaturge Ranollious','<Arcane Scientist>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440031,'Sage Navarius Orvalis','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,1711,0,0,0,0,0,0,0,0,0,0,0,0),
(1440032,'Librarian Zabnolique','','','','',3,1588,32,0,1,1,9,0,0,0,0,1,0,0,34,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440033,'Euphemius Granius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440034,'Scribe Claudia Quarto','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,331,331,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(1440035,'Mareva D''Iniv','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440036,'Merchant Brinegaggle','<Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100505,0,0,0,0,0,0,0,0,0,0,0,0),
(1440037,'Guard Dukriz','','','','',9,2901,41,0,1,1,13,0,0,1,1,1,0,12,36,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440038,'Guard B''Rak','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440039,'Claudette Woodbridge','<Portals Trainer>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440040,'Trainer Blerrkt Marrowdrinker','<Merchant>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(1440041,'Trainer Kurid T''Sal','<Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(1440042,'Nahirra Usharva','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440043,'Augurer Valgus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440044,'Occultist Levonicus','','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440045,'Forbidden Lore','','','','',255,279,57,0,1,1,9,0,0,0,0,1,0,0,9,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440046,'Occultist L''Takk','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440047,'Fethar Lothki','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440048,'Acolyte Matthias Siegemaker','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440049,'Merchant Zur','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1749,0,0,0,0,0,0,0,0,0,0,0,0),
(1440050,'Blight Sage Destroz','','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(1440051,'Modinite Z''Vol','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440052,'an Undead Servant','','','','',255,6917,32,0,1,1,9,0,0,0,0,1,0,0,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440053,'Trainer Dyvll Ssavan','<Merchant>','','','',10,104,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(1440054,'Trainer Xeuxa Foamheart','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(1440055,'Convert Y`Ral','','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,100494,0,64,0,0,0,0,0,0,0,0,0,0),
(1440056,'Missionary G`Zule','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440057,'Emissary Midia','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440058,'Elrinn Darknor','<Lucanic Knights>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440059,'Bartender Elma Lowe','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1440060,'Bartender Julia Florens','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1440061,'Bargiss Ranlor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440062,'Guard Aulus Cittinus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440063,'Entertainer Zagat','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440064,'Bard Loganius','','','','',9,134,32,0,1,1,9,0,11500,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440065,'Merchant Vibia Valens','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1440066,'Provisioner Cipius Abito','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1440067,'Guard Crispina Carius','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,706,706,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440068,'Guard Atria Silana','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440069,'Guard Ulaka','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440070,'Guard Lrak','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440071,'Consternator Soulinus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440072,'a scarecrow','','','','',255,261,37,5,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1440073,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1440074,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440075,'Guard Tinidela L`Kar','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440076,'an Intimidator Champion','<The Dreadnaughts>','','','',0,111,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440077,'Guard Kargh Boneshaker','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440078,'Guard Thuram','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440079,'Zaveda X''vch','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440080,'Kanos X''aphon','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440081,'Scion of War','<Vintage Wares>','','','',12,124,36,1,1,1,10,0,0,0,0,1,0,0,43,16,16,0,0,29986,0,0,0,262080,0,0,0,0,0,0,0,0),
(1440082,'Gem-Forger of Khaalista','<Sisters of War>','','','',1,116,25,0,1,1,10,0,0,0,0,1,0,0,26,16,16,0,0,28647,0,0,0,0,0,0,0,0,0,0,0,0),
(1440085,'Scion of Khaalista','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,16,16,0,0,28650,0,0,0,0,0,0,0,0,0,0,0,0),
(1440086,'Scion of Belamorte','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,16,16,0,0,28651,0,0,0,0,0,0,0,0,0,0,0,0),
(1440087,'Scion of Bhaast','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,16,16,0,0,28652,0,0,0,0,0,0,0,0,0,0,0,0),
(1440100,'Venal T`Lar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440101,'Archivist Severina','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440102,'Hector Alpalor','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440103,'Enyo Vivaron','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440113,'Faye','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440114,'Iulus U`Vas','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440118,'Mender Cordelia Newsmith','','','','',9,132,32,0,1,1,12,9,0,0,0,1,0,0,34,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1440119,'Armorsmith Prisca Ursus','','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,361,361,0,0,402042,0,0,0,0,0,0,0,0,0,0,0,0),
(1440120,'Modinite Sadiiz','','','','',10,103,32,0,1,1,13,0,0,1,1,1,0,12,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440121,'Merchant Sabina Thallis','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402033,0,0,0,0,0,0,0,0,0,0,0,0),
(1440122,'Drund Frostheart','','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,12,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440123,'Corilaxian Pulo','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440124,'Merchant Girafer L`Un','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,402032,0,0,0,0,0,0,0,0,0,0,0,0),
(1440125,'Sulpiciao Mallius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440126,'Vesta Hesperus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440127,'Patches','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440128,'Azrael','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440129,'Kryva','','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440130,'Chronicler Paracog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440131,'Metilia Arcavius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440132,'Overseer Targon','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,26,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440133,'Faunus Belicius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440134,'Hardunk Breathstealer','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440135,'Venetia Galatea','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440138,'Ruuk K''Thiz','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440139,'Administrator Frugi','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440140,'Mordin Rageblade','','','','',0,112,32,0,1,1,9,0,11500,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440141,'Ubaj','','','','',11,82,32,0,1,1,9,0,11500,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440144,'a Maj''Dul','','','','',255,1369,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440145,'Guard Dukriz','','','','',9,2901,41,0,1,1,13,0,0,1,1,1,0,12,36,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440146,'Thaumaturge G''Lex','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,26,676,676,0,0,0,0,0,0,1048700,0,0,0,0,0,0,0,0),
(1440147,'Lothiz','','','','',255,1370,38,0,1,1,13,0,0,1,1,1,0,12,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440148,'Guard Gikuthz','','','','',9,2901,41,0,1,1,13,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440149,'Librarian Motius Feldarn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440150,'Thaumaturge Prebor','','','','',13,65,32,0,1,1,13,0,0,1,1,1,0,12,26,676,676,0,0,0,0,0,0,1048632,0,0,0,0,0,0,0,0),
(1440153,'Lathiz','','','','',255,1370,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440156,'Flaerius Rubico','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,26,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440157,'Scipia Nailbind','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440158,'Electra J`ventius','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440159,'City Merchant Crateria','<Merchant>','','','',1,116,28,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,29183,0,64,0,0,0,0,0,0,0,0,0,0),
(1440160,'Courtesan Fannia Falx','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440161,'Courtesan Aconia Angelus','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440162,'Atticus Merula','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440163,'City Merchant Caphion','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,29187,0,64,0,0,0,0,0,0,0,0,0,0),
(1440164,'Painter Brushwuttle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440165,'Tailor Livilla Ramio','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402041,0,0,0,0,0,0,0,0,0,0,0,0),
(1440166,'Armorsmith Turia Quietus','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402046,0,0,0,0,0,0,0,0,0,0,0,0),
(1440167,'Oracle Porcia Aponius','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100505,0,0,0,0,0,0,0,0,0,0,0,1),
(1440168,'Fryda Brushwuttle','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,29192,0,0,0,0,0,0,0,0,0,0,0,0),
(1440169,'Kenyatta','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,26,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440170,'Speculator Montanlooa','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440171,'Torga Anun','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440172,'Elder Clurg','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,646,646,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440173,'Clergy Sejanus','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440176,'Scion of War','<Adornment Merchant>','','','',12,124,38,0,1,1,10,0,0,0,0,1,0,0,43,16,16,0,0,29985,0,0,0,262080,0,0,0,0,0,0,0,0),
(1440177,'Scion of War','<Weapon Merchant>','','','',12,124,38,0,1,1,10,1265,0,0,0,1,0,0,43,16,16,0,0,29988,0,0,0,262080,0,0,0,0,0,0,0,0),
(1440178,'Scion of War','<Jewelry Merchant>','','','',12,124,38,0,1,1,10,1265,0,0,0,1,0,0,43,16,16,0,0,29987,0,0,0,262080,0,0,0,0,0,0,0,0),
(1440179,'Scion of War','<Armor Merchant>','','','',12,124,38,0,1,1,10,1265,0,0,0,1,0,0,43,16,16,0,0,8536,0,0,0,262080,0,0,0,0,0,0,0,0),
(1440201,'Tome Warden K''Narn','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440203,'Broker Profallia','','','','',9,132,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440204,'Octavius Syntral','<Arcane Transcription>','','','',3,1598,32,0,1,1,960,1265,0,0,0,1,0,0,26,0,0,0,0,36648,0,0,0,0,0,0,0,0,0,0,0,1),
(1440208,'The Overlord','','','','',9,3907,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440220,'Merchant of Discord','','','','',12,124,38,0,1,1,10,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440227,'Secundus','','','','',255,278,35,0,1,1,9,0,0,1,1,1,0,12,21,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440228,'Septimus','','','','',255,278,35,0,1,1,9,0,0,1,1,1,0,12,21,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440229,'Viscount Lucius Granius Vindex','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440230,'Guard Gellius Sorex','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440231,'Guard Yeza Facemangler','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440232,'Guard Palan D`Om','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440235,'Lucanic Knight Octavia Viventia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,1276,1276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440236,'Lathiz','','','','',255,1370,38,0,1,1,13,0,0,1,1,1,0,12,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440237,'Lothiz','','','','',255,1370,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440238,'Guard Cordius Tuticanus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440239,'Guard Torn A`Adar','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440242,'Guard Snar','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440243,'Guard Rura Legbreaker','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440246,'Nexa L''Dur','<Achievement Counsel>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440247,'Merchant Brinegaggle','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1440248,'Merchant Rufus Gallus','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,36923,0,0,0,0,0,0,0,0,0,0,0,0),
(1440249,'Merchant Zur','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1749,0,0,0,0,0,0,0,0,0,0,0,0),
(1440254,'Scientist Dally Scrumplecog','<Academy Note Collector>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440255,'Riggs Thunderstone','<Dismal Rage>','','','',2,1484,41,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440258,'Tome Warden K''Narn','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440261,'status_player_housing_five_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440262,'status_player_housing_five_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440263,'coin_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440264,'status_player_housing_five_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440265,'coin_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440266,'door_temple_of_war_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440267,'door_temple_of_war_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440268,'The Blue Building',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440269,'door_temple_of_war_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440270,'door_temple_of_war_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440271,'door_temple_of_war_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440272,'The Jade Tiger''s Den Right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440273,'The Jade Tiger''s Den Left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440274,'coin_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440275,'The Oracle of Freeport',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440276,'Torlig''s Herbs and Potions',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440277,'status_player_housing_three_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440278,'status_player_housing_five_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440279,'status_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440280,'status_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440281,'status_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440282,'status_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440283,'Freeport Fine Clothes',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440284,'coin_player_housing_two_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440285,'C.M. Brushwuttle Studios',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440286,'fprt_guildhall_tier2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440287,'coin_player_housing_two_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440288,'coin_player_housing_two_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440289,'Magical Academy Housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440290,'quest_tome_splitpaw01_tome01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440291,'quest_tome_northlands02',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440292,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440293,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440294,'transport_academy_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440295,'tome_mastery_shadowman_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440296,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440297,'tome_mastery_elemental_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440298,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440299,'coin_player_housing_two_room_7',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440300,'coin_player_housing_two_room_6',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440301,'coin_player_housing_two_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440302,'coin_player_housing_two_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440303,'transport_academy_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440304,'social_player_housing_two_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440305,'social_player_housing_two_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440306,'social_player_housing_two_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440307,'social_player_housing_two_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440308,'status_player_housing_five_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440309,'Magical Academy Housing',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440310,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440311,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440312,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440313,'Lower Lift Widget',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440314,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440315,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440316,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440317,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440318,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440319,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440320,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440321,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440322,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440323,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440324,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440325,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440326,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440327,'dpo_present03_big',NULL,'','','',0,7077,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440328,'holiday_fatcandle_white',NULL,'','','',0,7976,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440329,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440330,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440331,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440332,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440333,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440334,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440335,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440336,'holiday_snowpile01',NULL,'','','',0,7093,77,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440337,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440338,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440339,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440340,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440341,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440342,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440343,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440344,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440345,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440346,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440347,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440348,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440349,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440350,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440351,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440352,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440353,'dpo_present_darkver_black_big',NULL,'','','',0,8741,60,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440354,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440355,'candycane',NULL,'','','',0,5984,44,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440356,'dpo_stocking_darkver_female_purple',NULL,'','','',0,8755,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440357,'dpo_stocking_darkver_purple_small',NULL,'','','',0,8763,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440358,'candycane',NULL,'','','',0,7950,11,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440359,'candycane',NULL,'','','',0,7951,14,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440360,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440361,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440362,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440363,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,1,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440364,'floor_table_gnome_round',NULL,'','','',0,2064,50,0,1,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440365,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440366,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440367,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440368,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440369,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440370,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440371,'dpo_present_darkver_purple_group01',NULL,'','','',0,8748,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440372,'cards_generic',NULL,'','','',0,3174,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440373,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440374,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440375,'candycane',NULL,'','','',0,7949,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440376,'dpo_candlegroup_darkver_greensilver',NULL,'','','',0,8736,23,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440377,'commonlandsmap01',NULL,'','','',0,1404,9,0,1,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440378,'chips_jade_tigers_den',NULL,'','','',0,3177,38,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440379,'pedestal',NULL,'','','',0,4639,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440380,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440381,'draconic_widget02',NULL,'','','',0,4178,32,0,0,0,57,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440382,'solusek ro history',NULL,'','','',0,3030,19,0,1,1,58,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440383,'widget_book',NULL,'','','',0,1607,32,0,0,0,59,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440384,'academy of arcane science library book on table ',NULL,'','','',0,1607,32,0,0,0,55,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440385,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440386,'adv1_quest_hom_ytheri_info',NULL,'','','',0,2604,32,0,1,1,60,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440387,'academy of arcane science library book on table ',NULL,'','','',0,3027,32,0,1,1,61,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440388,'Bug Fix Player Widget',NULL,'','','',0,1749,22,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(1440389,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440390,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440391,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440392,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440393,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440394,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440395,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440396,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440397,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440398,'sign_post',NULL,'','','',0,19,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440399,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440400,'floor_dagger',NULL,'','','',0,1860,8,0,1,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440401,'a large scroll',NULL,'','','',0,2544,6,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440402,'nekf_tent_large_purple001',NULL,'','','',0,4656,32,0,0,0,0,0,0,0,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440403,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440404,'a bed',NULL,'','','',0,1997,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440405,'teleporter',NULL,'','','',0,4446,40,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440406,'thumore_teleporter',NULL,'','','',0,2306,48,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440407,'dpo_candlegroup_darkver_purpleblack',NULL,'','','',0,8737,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440408,'bug',NULL,'','','',0,222,9,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440409,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440410,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1440411,'book_chaotic_history',NULL,'','','',0,3322,18,0,1,1,0,0,3859,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440412,'betrayal academy',NULL,'','','',0,4104,35,0,1,1,78,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440413,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440414,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440415,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1440416,'Sabotage_sabotage/qeynos_3_x7_1',NULL,'','','',0,4646,32,0,1,1,228,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440417,'Sabotage_sabotage/qeynos_3_x9_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440418,'Sabotage_sabotage/qeynos_3_x4_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440419,'Sabotage_sabotage/qeynos_3_x2_1',NULL,'','','',0,3540,48,0,1,1,228,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440420,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440421,'Sabotage_sabotage/qeynos_3_x5_1',NULL,'','','',0,4651,32,0,1,1,228,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440422,'Sabotage_sabotage/qeynos_3_x10_2',NULL,'','','',0,3086,32,0,1,1,930,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440423,'Sabotage_sabotage/qeynos_3_x10_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440424,'Sabotage_sabotage/qeynos_3_x3_1',NULL,'','','',0,4658,32,0,1,1,228,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440425,'Sabotage_sabotage/qeynos_3_x4_2',NULL,'','','',0,3189,32,0,1,1,355,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440426,'Sabotage_sabotage/qeynos_3_x6_1',NULL,'','','',0,3553,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440427,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440428,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440429,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440430,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440431,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440432,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440433,'to_dismal_den',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440434,'zone to fprt_east',NULL,'','','',0,49,32,0,1,1,932,0,0,0,0,1,0,0,563,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440435,'Enter an abandoned warehouse','','','','',0,2031,32,0,1,1,933,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440436,'door_to_cleric_cap',NULL,'','','',0,49,32,0,1,1,934,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440437,'',NULL,'','','',0,49,32,0,1,1,935,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440438,'',NULL,'','','',0,49,32,0,1,1,306,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440439,'zone_to_hood05',NULL,'','','',0,49,32,0,1,1,305,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440440,'door_to_summoner_class',NULL,'','','',0,49,32,0,0,1,71,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440441,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440442,'door_to_sorcerer_class',NULL,'','','',0,49,32,0,1,1,70,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440443,'The Blue Building','Sign','','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440444,'',NULL,'','','',0,49,32,0,1,1,79,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440445,'The Jade Tiger''s Den',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440446,'coercer_epic_fulania',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440447,'The Temple of War','Sign','','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440448,'Tome of Illusion Dispelling',NULL,'','','',0,3322,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440449,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440450,'zone_to_fprt_west_tunnel',NULL,'','','',0,49,32,0,1,1,931,0,0,0,0,1,0,0,114,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440451,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440452,'C.M. Brushwuttle Studios',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440453,'The Jade Tiger''s Den','Sign','','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440454,'Freeport Fine Clothiers',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440455,'The Oracle of Freeport',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440456,'The Oracle of Freeport','Sign','','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440457,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1440458,'Enter an abandoned warehouse',NULL,'','','',0,2031,32,0,1,1,933,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440459,'(unnamed)',NULL,'','','',0,49,32,0,1,1,935,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440460,'(unnamed)',NULL,'','','',0,49,32,0,1,1,306,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440461,'The Academy of Arcane Science','Sign','','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440462,'Torlig''s Herbs and Potions',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440463,'Arcanist Sonius','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440464,'Emissary Millia','','','','',13,59,32,0,1,1,9,0,0,0,0,1,0,0,19,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440465,'Commandant Tychus','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440466,'Priest Kelian','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440467,'Proctor Fergus',NULL,'','','',0,134,32,0,1,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1440468,'Tailor Aldrevia Metilla','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,256,256,0,0,402039,0,0,0,0,0,0,0,0,0,0,0,0),
(1450009,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450010,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450011,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450012,'Cala Lilies in a Majestic Vase',NULL,'','','',0,7122,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450013,'Star Chart',NULL,'','','',0,6968,96,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450014,'a pristine Kaladim bucket',NULL,'','','',0,2074,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450015,'round spuncloth rug',NULL,'','','',0,12145,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450016,'a pristine faydark wooden stool',NULL,'','','',0,2059,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450017,'a pristine small weathered keg',NULL,'','','',0,2107,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450018,'Trophy: Earthblade',NULL,'','','',0,2260,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450019,'a golden potion bottle',NULL,'','','',0,12657,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450020,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450021,'Trophy: Lady Fiana''s Gentle Suggestion',NULL,'','','',0,3823,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450022,'Trophy: Sunder, The Hand of Zek',NULL,'','','',0,2520,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450023,'Trophy: The Lumberjack',NULL,'','','',0,2252,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450024,'a pristine standard briarwood bedside table',NULL,'','','',0,2173,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450025,'pristine alabaster eggs',NULL,'','','',0,5174,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450026,'A Maj''Dul Gazing Orb',NULL,'','','',0,5264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450027,'Deactivated Listening Crystal',NULL,'','','',0,2681,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450028,'Trophy: Drolvarg Cleaver',NULL,'','','',0,7422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450029,'a majestic dragon bust',NULL,'','','',0,5941,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450030,'Trophy: Talon of the Aviaks',NULL,'','','',0,2229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450031,'Trophy: The Honey Sting',NULL,'','','',0,3849,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450032,'Trophy: The Scaler',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450033,'The Legendary Screaming Mace',NULL,'','','',0,2325,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450034,'Statue of Overlord Lucan D''Lere',NULL,'','','',0,16503,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450035,'Pristine hanging plant',NULL,'','','',0,7338,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450036,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450037,'The Legendary Glowing Black Stone',NULL,'','','',0,1883,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450038,'pristine azurite entwined sculpture',NULL,'','','',0,6110,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450039,'Moving Crate',NULL,'','','',0,2143,32,0,1,1,16,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450040,'Basic Mirror',NULL,'','','',0,7,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450041,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450042,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450043,'fae lamp post',NULL,'','','',0,8343,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450044,'Scars of Velious',NULL,'','','',0,15091,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450045,'Norrathian Express Box, Gorowyn Branch',NULL,'','','',0,11444,22,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450046,'Female Clockwork Gnome Toy',NULL,'','','',0,6669,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450047,'sapphire stained glass oval',NULL,'','','',0,12102,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450048,'Neriak Display Counter',NULL,'','','',0,11647,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450049,'Blue Marble Tile',NULL,'','','',0,11654,182,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450050,'rough stone table',NULL,'','','',0,9573,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450051,'Neriak Elaborate Chandelier',NULL,'','','',0,10376,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450052,'rough stone bench',NULL,'','','',0,9569,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450053,'mosaic inlaid mirror',NULL,'','','',0,12126,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450054,'Neriak Sign',NULL,'','','',0,11640,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450055,'mirrored sumac platform',NULL,'','','',0,12134,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450056,'Miniature Replica Statue: Domination',NULL,'','','',0,9094,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450057,'Trophy: A Sharp Wooden Stake',NULL,'','','',0,6983,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450058,'Blue Marble Column',NULL,'','','',0,11644,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450059,'The Legendary Greater Lightstone',NULL,'','','',0,2204,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450060,'Trophy: The Pendulum',NULL,'','','',0,4057,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450061,'Trophy: Veeshan''s Thorn',NULL,'','','',0,8194,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450062,'Trophy: The Claws of Hadil',NULL,'','','',0,5871,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450063,'Trophy: The Bloodlathe',NULL,'','','',0,3844,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450064,'Trophy: Vhoren''s Seed',NULL,'','','',0,5872,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450065,'Trophy: Obrel''s Gambit',NULL,'','','',0,2892,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450066,'Trophy: Minotaur Protection Symbol ',NULL,'','','',0,6077,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450067,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450068,'Trophy: Kobold Runed Claws',NULL,'','','',0,4006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450069,'a pristine alluring ebon chandelier',NULL,'','','',0,2698,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450070,'Tinkerer''s Piezoelectric Sconce',NULL,'','','',0,10585,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450071,'crude stone bench',NULL,'','','',0,9570,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450072,'Tin Metal Helm of Protection',NULL,'','','',0,8133,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450073,'Norrathian Express Box, New Halas Branch',NULL,'','','',0,13369,17,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450074,'decorative shrine of Mithaniel Marr',NULL,'','','',0,6875,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450075,'a fae lantern',NULL,'','','',0,8341,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450076,'Rhododendron',NULL,'','','',0,10692,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450077,'Zygomyd Plushie',NULL,'','','',0,5096,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450078,'Starflower Blossom',NULL,'','','',0,10461,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450079,'Cattails',NULL,'','','',0,10972,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450080,'Blue Frog Plushie',NULL,'','','',0,237,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450081,'ykeshan shrubbery',NULL,'','','',0,9565,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450082,'Pristine fruiting potted shrub',NULL,'','','',0,7344,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450083,'a Toxxulian guardian',NULL,'','','',0,7297,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450084,'EverQuest II 5th Anniversary Painting',NULL,'','','',0,10180,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450085,'decorative shrine of The Tribunal',NULL,'','','',0,7765,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450086,'decorative shrine of Tunare',NULL,'','','',0,6887,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450087,'decorative shrine of Cazic Thule',NULL,'','','',0,6869,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450088,'decorative shrine of Anashti Sul',NULL,'','','',0,9411,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450089,'Mirror of Reflected Achievements',NULL,'','','',0,8065,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450090,'Culling the Infidel',NULL,'','','',0,14187,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450091,'E''ci',NULL,'','','',0,14189,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450092,'Blue Marble Divider',NULL,'','','',0,10671,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450093,'Pitcher Plant',NULL,'','','',0,1678,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450094,'Trophy: Fist of Mediation',NULL,'','','',0,6339,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450095,'Queen Antonia Bayle',NULL,'','','',0,4063,40,0,1,1,844,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450096,'Mounted Erollisi''s Charm',NULL,'','','',0,3875,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450097,'Savannah Tree',NULL,'','','',0,2382,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450098,'Limecap Mushroom',NULL,'','','',0,7233,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450099,'Misty Blue Tile',NULL,'','','',0,3883,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450100,'Ancient Musical Harp',NULL,'','','',0,5189,16,0,1,1,845,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450101,'Withering Forest',NULL,'','','',0,593,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450102,'Victory of the Dain',NULL,'','','',0,596,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450103,'The Eternal Battle',NULL,'','','',0,595,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450104,'Otter''s Rest',NULL,'','','',0,594,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450105,'Fighting Baby Ice Dragon Plushie',NULL,'','','',0,9425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450106,'Young Ice Dragon Plushie',NULL,'','','',0,10471,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450107,'easel with female fighter',NULL,'','','',0,12288,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450108,'Master Carpenter Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450109,'azure rug of the forsaken',NULL,'','','',0,9556,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450110,'Certificate of Service to the State',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450111,'The Legendary Stein of Moggok',NULL,'','','',0,4715,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450112,'Neriak Round Counter',NULL,'','','',0,11629,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450113,'Corrupted Dryad Plushie',NULL,'','','',0,174,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450114,'Devotion Candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450115,'Pink Lilies in an Elegant Vase',NULL,'','','',0,7121,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450116,'Norrathian Express Box, Neriak Branch',NULL,'','','',0,11446,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450117,'a Norrathian star chart',NULL,'','','',0,8358,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450118,'Glittering Temptation',NULL,'','','',0,2244,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450119,'a pristine mystic feysteel sconce',NULL,'','','',0,2739,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450120,'pristine adamantine pillar',NULL,'','','',0,7670,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450121,'a pristine bronze sconce',NULL,'','','',0,3476,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450122,'pristine ornate cobalt wall sconce',NULL,'','','',0,6475,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450123,'an Emissary Glochk Effigy',NULL,'','','',0,7368,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450124,'a tiny magical gazer plushie',NULL,'','','',0,5918,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450125,'bloodstone shards',NULL,'','','',0,3914,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450126,'Iksar Ship in a Bottle',NULL,'','','',0,5638,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450127,'Treasure Hoard',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450128,'Mounted Fish',NULL,'','','',0,7380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450129,'a tiny octopus plushie',NULL,'','','',0,210,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450130,'a tiny barracuda plushie',NULL,'','','',0,194,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450131,'a tiny shark plushie',NULL,'','','',0,242,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450132,'plain Nektulos pine tree',NULL,'','','',0,7995,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450133,'Pristine Frostfell Snowdrift',NULL,'','','',0,7093,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450134,'pristine azurite tall rotating sculpture',NULL,'','','',0,6107,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450135,'Pristine wild shrub',NULL,'','','',0,4076,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450136,'a Qeynos Claymore replica statue',NULL,'','','',0,11661,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450137,'Chipped Freeport Celebration Cup',NULL,'','','',0,14355,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450138,'Felwithe by Moonlight',NULL,'','','',0,14195,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450139,'The Legendary Golden Efreeti Boots',NULL,'','','',0,430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450140,'a repaired piano',NULL,'','','',0,8342,23,0,1,1,846,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450141,'Brien - Clan Icereaver',NULL,'','','',0,8314,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450142,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450143,'Everburning Gnomish Love',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450144,'a magical mini beaver plushie',NULL,'','','',0,207,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450145,'The Legendary Rain Caller',NULL,'','','',0,6362,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450146,'a finished Wantia armoire',NULL,'','','',0,6484,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450147,'a Wantia canopy bed',NULL,'','','',0,6380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450148,'Lamp of Devotion',NULL,'','','',0,6385,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450149,'The Legendary Serrated Bone Dirk',NULL,'','','',0,2384,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450150,'pristine tall cobalt vase',NULL,'','','',0,6421,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450151,'A Mysterious Black Tome',NULL,'','','',0,14342,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450152,'a model griffin tower',NULL,'','','',0,5873,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450153,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450154,'Trophy: The Darkmoon Crescent',NULL,'','','',0,3797,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450155,'Trophy: Silbern''s Sword ',NULL,'','','',0,6410,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450156,'Trophy: Sir Altan''s Strike',NULL,'','','',0,2524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450157,'Trophy: Shattersong',NULL,'','','',0,3280,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450158,'Trophy: Mezmith''s Chance',NULL,'','','',0,3880,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450159,'Trophy: Gokra Gesh''s Snare',NULL,'','','',0,1636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450160,'Trophy: Hogran''s Halberd',NULL,'','','',0,3838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450161,'Trophy: Mandibles of Night',NULL,'','','',0,6046,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450162,'Trophy: D''Vorlian''s Crudgel',NULL,'','','',0,4053,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450163,'Trophy: Brownie Toothpick Stabber',NULL,'','','',0,6984,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450164,'Trophy: Clockwork Cog',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450165,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450166,'Xilania''s Altar of Innoruuk',NULL,'','','',0,6871,32,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450167,'Archaeologist''s Token of the Excavation',NULL,'','','',0,5265,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450168,'Trophy: Sarnak Fanged Blade',NULL,'','','',0,7420,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450169,'Trophy: Yha-lei Briney Poker',NULL,'','','',0,7408,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450170,'Young Purple Mushroom',NULL,'','','',0,1524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450171,'a tapestry of Luclin',NULL,'','','',0,11660,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450172,'decorative shrine of Rodcet Nife',NULL,'','','',0,9414,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450173,'decorative shrine of Solusek Ro',NULL,'','','',0,6884,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450174,'decorative shrine of Karana',NULL,'','','',0,7762,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450175,'decorative shrine of Bristlebane',NULL,'','','',0,7603,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450176,'decorative shrine of Rallos Zek',NULL,'','','',0,6881,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450177,'decorative shrine of Quellious',NULL,'','','',0,6878,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450178,'decorative shrine of Bertoxxulous',NULL,'','','',0,7759,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450179,'decorative shrine of Innoruuk',NULL,'','','',0,6872,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450180,'Trophy: The Master''s Crown',NULL,'','','',0,4005,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450181,'The Legendary Journeyman''s Boots',NULL,'','','',0,1885,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450182,'The Legendary Hierophant''s Crook',NULL,'','','',0,2425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450183,'The Legendary Staff of the Observers',NULL,'','','',0,6599,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450184,'Allizewsaur',NULL,'','','',0,11830,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450185,'Coldain Butler',NULL,'','','',0,14961,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450186,'a small lab flask',NULL,'','','',0,2328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450187,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450188,'Ale-stained Tapestry of the Gathering',NULL,'','','',0,9012,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450189,'Glacial Brazier',NULL,'','','',0,9712,8,0,1,1,0,0,2049,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450190,'A Frostfell Carol',NULL,'','','',0,3322,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450191,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450192,'Your future tomb stone',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450193,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450194,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450195,'a pristine maple chest',NULL,'','','',0,2655,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450196,'Frostfell Candies',NULL,'','','',0,7069,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450197,'Moist Fruitcake',NULL,'','','',0,7071,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450198,'Frosted Apples',NULL,'','','',0,7068,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450199,'Mama''s Eggnog',NULL,'','','',0,7070,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450200,'Swaying Blue Paper Lantern',NULL,'','','',0,7977,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450201,'an oaken bench',NULL,'','','',0,2003,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450202,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450203,'Hot Chocolate Mug',NULL,'','','',0,3381,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450204,'Stuffed and Roasted Fowl',NULL,'','','',0,7072,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450205,'Gigglegibber Cranberry Sauce',NULL,'','','',0,7090,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450206,'a pristine oggokian chair',NULL,'','','',0,2055,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450207,'a wooden pet cage',NULL,'','','',0,2559,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450208,'Decorative Frostfell Greeting Card',NULL,'','','',0,9688,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450209,'a pristine maple bookcase',NULL,'','','',0,1967,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450210,'The Freeport Citizen''s Guide to Opportunity - 2nd Edition',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450211,'a pristine halasian bucket',NULL,'','','',0,2073,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450212,'Ornate Cobalt Hearth',NULL,'','','',0,7088,32,0,1,1,1105,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450213,'blue and silver candles',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450214,'a tiny snow man',NULL,'','','',0,5975,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450215,'a pristine medium maple shelf',NULL,'','','',0,5867,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450216,'a wooden chest',NULL,'','','',0,2028,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450217,'a pristine medium bench',NULL,'','','',0,2005,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450218,'a pristine maple fancy gnome chair',NULL,'','','',0,3045,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450219,'a pristine gnome resting chair',NULL,'','','',0,2012,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450220,'a pristine large quaint maple table',NULL,'','','',0,2047,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450221,'a pristine tin sconce',NULL,'','','',0,2741,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450222,'Shaped Blue and White, Decorative Frostfell Gift Box',NULL,'','','',0,7078,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450223,'Defenders of the Overlord',NULL,'','','',0,4264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450224,'a big stack of decorative presents',NULL,'','','',0,5972,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450225,'a big group of decorative presents',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450226,'Freeport Coalition of Tradesfolke''s Basic Guide',NULL,'','','',0,1453,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450227,'a pristine small quaint maple table',NULL,'','','',0,2049,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450228,'a crude generic elm bed',NULL,'','','',0,2123,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450229,'Merry Frostfell Sconce',NULL,'','','',0,7055,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450230,'Winged Glory',NULL,'','','',0,4328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450231,'a pristine small wooden table',NULL,'','','',0,2068,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450232,'red and green candles',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450233,'a red and gold stocking',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450234,'a pristine large bench',NULL,'','','',0,2004,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450235,'etched Frostfell snowflake',NULL,'','','',0,8752,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450236,'warg-spotted hanging boot',NULL,'','','',0,8756,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450237,'a pristine short maple shelf',NULL,'','','',0,5868,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450238,'purple hanging boot',NULL,'','','',0,8755,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450239,'swaying purple paper lantern',NULL,'','','',0,7978,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450240,'a pristine maple dining chair',NULL,'','','',0,2635,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450241,'A plate of Frostfell shaped cookies',NULL,'','','',0,7968,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450242,'small purple candle',NULL,'','','',0,8733,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450243,'large purple candle',NULL,'','','',0,8734,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450244,'Handbook of the Coalition of Tradesfolke',NULL,'','','',0,7965,44,0,1,1,1171,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450245,'a pristine gukta maple shelf',NULL,'','','',0,2113,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450246,'a pristine comely iron chandelier',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450247,'a pristine generic elm chair',NULL,'','','',0,2013,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450248,'blue and white wall hanging candles',NULL,'','','',0,5965,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450249,'red and green wall hanging candles',NULL,'','','',0,5964,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450250,'a pristine standard maple table',NULL,'','','',0,2181,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450251,'a small weathered keg',NULL,'','','',0,2107,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450252,'big purple stocking',NULL,'','','',0,8762,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450253,'Decorative Green and Black Striped Cane',NULL,'','','',0,7949,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450254,'The Freeport Citizen''s Guide to Opportunity',NULL,'','','',0,2604,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450255,'a shaped elm dining chair',NULL,'','','',0,2636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450256,'a shaped tin sconce',NULL,'','','',0,2741,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450257,'a pristine simple dresser',NULL,'','','',0,2106,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450258,'a pristine maple high backed chair',NULL,'','','',0,2009,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450259,'a pristine gnome thinking chair',NULL,'','','',0,2009,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450260,'a crude tin sconce',NULL,'','','',0,2741,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450261,'a shaped elm bedside table',NULL,'','','',0,2171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450262,'a pristine Freeport bedside table',NULL,'','','',0,2207,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450263,'a pristine standard maple double bed',NULL,'','','',0,2118,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450268,'fprt_ph_1r01 tour exit teleporter',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450270,'Goahmari Herb',NULL,'','','',0,14836,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450271,'Slumlord Valthun','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1450272,'temp',NULL,'','','',7,7,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(1450273,'temp',NULL,'','','',59,2107,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(1450274,'temp',NULL,'','','',0,4096,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(1450275,'temp',NULL,'','','',205,1997,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(1470000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480000,'Eyestalker','','','','',0,5918,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480003,'Splitpaw Dreadsnout','','','','',0,5095,25,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480004,'Ravasect Slicer','','','','',0,5757,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480005,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480006,'a pristine iron sconce',NULL,'','','',0,2736,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480007,'pristine worn straw mat',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480008,'A Maj''Dul Gazing Orb',NULL,'','','',0,5264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480009,'a pristine feyiron sconce',NULL,'','','',0,3474,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480010,'a majestic dragon bust',NULL,'','','',0,5941,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480012,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480013,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480014,'Teachings of Master Wu',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480015,'a draconic tapestry',NULL,'','','',0,6121,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480016,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480017,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480018,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480019,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480020,'Trophy: Fist of Mediation',NULL,'','','',0,6339,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480021,'a tiny magical gazer plushie',NULL,'','','',0,5918,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480022,'Everburning Gnomish Love',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480023,'a finished Wantia armoire',NULL,'','','',0,6484,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480024,'a Wantia canopy bed',NULL,'','','',0,6380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480025,'Lamp of Devotion',NULL,'','','',0,6385,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480026,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480027,'Trophy: Mandibles of Night',NULL,'','','',0,6046,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480028,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480029,'a mystical droag orb',NULL,'','','',0,6102,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480030,'Halls of the Dead Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480031,'a tarnished djinn lamp',NULL,'','','',0,5320,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480032,'a tiny magical stuffed droag plushie',NULL,'','','',0,5947,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480033,'Obligation and Duty',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480034,'The Words of the Avatar',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480035,'The Tragic Tale of Brother Balatin',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480036,'The Tale of Brother Zephyl',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480037,'The Monastery of the Lost Circle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480038,'The Founding of the Whistling Fists Clan',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480039,'The Tale of Brother Qwinn',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480040,'Into the Hive',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480041,'The Hand of Ro',NULL,'','','',0,6652,35,0,1,1,854,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480042,'Certificate: Treasure Hunter',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480043,'a mystical droag scribing table',NULL,'','','',0,6099,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480044,'Garanel''s Scorched Skull',NULL,'','','',0,2993,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480045,'The Seeds of Corruption',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480046,'a guardian spirit',NULL,'','','',0,3694,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480047,'a sand blasted djinn lamp',NULL,'','','',0,5227,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480048,'Djinn Scriptorium Papers',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480049,'An Ancient Grobb Scroll',NULL,'','','',0,3213,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480050,'Shimmering Carpet of the Citadel',NULL,'','','',0,5385,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480051,'An Ancient Ak''Anon Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480052,'a tiny magical stuffed hawk plushie',NULL,'','','',0,260,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480053,'a droag gazing orb',NULL,'','','',0,6226,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480054,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480055,'Life Among the Goblins',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480056,'A Frostfell Carol',NULL,'','','',0,3322,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480057,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480058,'Your future tomb stone',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480059,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480060,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480061,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480062,'Summoning an Elemental',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480063,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480064,'a pristine oil painting of a castle',NULL,'','','',0,2192,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480065,'a pristine generic wall sconce',NULL,'','','',0,3253,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480066,'a bone fixture',NULL,'','','',0,6685,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480067,'green and black candles',NULL,'','','',0,6705,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480068,'orange and black candles',NULL,'','','',0,6706,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480069,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480070,'a bone trophy',NULL,'','','',0,6684,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480071,'Egg Warmer',NULL,'','','',0,2571,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480072,'a mounted dreadsnout head',NULL,'','','',0,2111,32,0,1,1,0,0,491,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480073,'Daughter of the Void',NULL,'','','',0,4287,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480074,'An Ancient Rivervale Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480075,'The Idol of Everling',NULL,'','','',0,1987,38,0,1,1,0,0,1426,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480076,'The Mariner''s Lament',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480077,'Nektulos Forest, by Torq De''Rech',NULL,'','','',0,3323,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480078,'The Freeport Citizen''s Guide to Opportunity - 2nd Edition',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480079,'a magical zealot''s tray',NULL,'','','',0,4441,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480080,'An Old Cookbook',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480081,'Faydark Melody music box',NULL,'','','',0,4647,16,0,1,1,1094,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480082,'pristine tapestry of the sleeper',NULL,'','','',0,6122,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480083,'a generic wall sconce',NULL,'','','',0,3253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480084,'a pristine fine painting of a stone building',NULL,'','','',0,2201,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480085,'a sad jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480086,'a pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480087,'an angry jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480088,'a chained bat',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480089,'a pristine comely iron chandelier',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480090,'a small weathered keg',NULL,'','','',0,2107,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480091,'a marvelous droag tapestry',NULL,'','','',0,6120,16,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480092,'Dancing with Bugbears',NULL,'','','',0,2596,32,0,1,1,1225,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480093,'The Gong of War',NULL,'','','',0,6474,12,0,1,1,1251,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480094,'a necromantic skull lamp',NULL,'','','',0,2701,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480095,'Sacrificial Dagger of Fear',NULL,'','','',0,4458,32,0,1,1,1252,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480096,'a mounted shark''s head',NULL,'','','',0,2745,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480097,'Prayer Book Page',NULL,'','','',0,3217,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480098,'pristine ornate ironwood corner counter',NULL,'','','',0,2147,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480099,'Gnomish Dreams',NULL,'','','',0,4288,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480100,'an ancient idol',NULL,'','','',0,3486,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480101,'a pristine elaborate briarwood chair',NULL,'','','',0,2132,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480102,'a pristine ornate vase',NULL,'','','',0,2078,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480103,'a heretic''s chanting podium',NULL,'','','',0,4453,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480104,'Imbued Altar of Solusek Ro',NULL,'','','',0,6883,32,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480105,'a plain chest',NULL,'','','',0,2102,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480106,'a hanging steel cage',NULL,'','','',0,3038,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480107,'a human skeleton display',NULL,'','','',0,2773,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480108,'Children of Thunder',NULL,'','','',0,4282,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480109,'a post of skulls',NULL,'','','',0,4454,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480110,'an iron maiden casket',NULL,'','','',0,4466,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480111,'a pristine steel hanging lantern',NULL,'','','',0,3438,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480112,'\"a letter from the Dismal Rage\"',NULL,'','','',0,5261,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480113,'an iksar ship in a bottle',NULL,'','','',0,5638,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480114,'Nagafen Lord of Flame',NULL,'','','',0,4286,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480115,'Salesman''s Crate',NULL,'','','',0,6471,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1480116,'Salesman''s Crate',NULL,'','','',0,6471,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1490000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1490001,'48349',NULL,'','','',177,2993,32,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(1500000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500001,'group of rolled rugs',NULL,'','','',0,11044,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500002,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500003,'Mirror of Reflected Achievements',NULL,'','','',0,8065,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500004,'warrior of chaos',NULL,'','','',0,12730,2,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500005,'The Legendary Grimblade',NULL,'','','',0,12751,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500006,'Replica: Soulfire',NULL,'','','',0,7357,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500007,'The Collected Tales of the Ethernauts',NULL,'','','',0,3322,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500008,'Painting: Taking Flight',NULL,'','','',0,9354,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500009,'Medium Male Mannequin',NULL,'','','',0,8051,35,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500010,'Magic Door to the Guild Hall',NULL,'','','',0,2031,16,0,1,1,857,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500011,'The enclosure at Poet''s Palace',NULL,'','','',0,5271,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500012,'Preserved Bloom',NULL,'','','',0,11335,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500013,'an overripe pomegranate',NULL,'','','',0,11197,1,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500014,'a rotting piece of pomegranate',NULL,'','','',0,11196,1,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500015,'Fiery Jewel of the Underfoot',NULL,'','','',0,3158,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500016,'an elaborate Ca''Na pot',NULL,'','','',0,12661,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500017,'basket of rotting pomegranates',NULL,'','','',0,11195,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500018,'Order of Rime flames',NULL,'','','',0,10992,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500019,'Chalice of Loving Incense',NULL,'','','',0,11193,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500020,'Lover''s settee',NULL,'','','',0,11192,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500021,'an opened crate',NULL,'','','',0,11037,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500022,'hua mein steaming drink',NULL,'','','',0,12732,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500023,'Rilissian Soldier''s Mount',NULL,'','','',0,10177,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500024,'Skeletal prowler plushie',NULL,'','','',0,11212,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500025,'Empress Anassa of the Oakmyst',NULL,'','','',0,4381,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500026,'a topiaric ripper',NULL,'','','',0,12803,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500027,'an Order of Rime brazier',NULL,'','','',0,10991,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500028,'Overlord Lucan D''Lere',NULL,'','','',0,3907,43,0,1,1,844,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500029,'Hopson Goodsoup''s Spoon',NULL,'','','',0,8952,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500030,'an iksar bookcase',NULL,'','','',0,11033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500031,'A Dilapidated Journal',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500032,'Large Red-Framed Painting of Mayong Mistmoore',NULL,'','','',0,9430,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500033,'Trophy: Dragon''s Marrow',NULL,'','','',0,8009,41,0,1,1,0,0,15611,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500034,'The Legendary Mystical Claws of Jojo',NULL,'','','',0,12608,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500035,'The Legendary Mystical Claws of Jojo (offhand)',NULL,'','','',0,12608,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500036,'Painting: Malevolence',NULL,'','','',0,10749,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500037,'an Order of Rime stone box',NULL,'','','',0,10982,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500038,'a frosted Order of Rime banner',NULL,'','','',0,11000,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500039,'an Order of Rime stone long box',NULL,'','','',0,10981,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500040,'a wooden easel with painting',NULL,'','','',0,3303,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500041,'Black Warg with Brown Saddle',NULL,'','','',0,7216,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500042,'Archeologist''s Token of the Excavation',NULL,'','','',0,5265,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500043,'Tapestry from the Shard of Love',NULL,'','','',0,11657,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500044,'Ordained Altar of Solusek Ro',NULL,'','','',0,6884,28,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500045,'Tapestry of the Arachnid',NULL,'','','',0,11106,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1500046,'Salesman''s Crate',NULL,'','','',0,6471,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1510000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1520000,'basement_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1520001,'top_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1520002,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1520003,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1530000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1530001,'a top door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1530002,'a secret door opening',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1530003,'a basement door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540000,'a fallen crusader','','','','',9,1521,38,6,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540001,'Zatzy','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540002,'a diseased ratonga','','','','',13,64,32,0,1,1,11,0,0,1,1,1,0,0,19,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540003,'a sewer slime','','','','',255,301,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540004,'a sewage rat','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540005,'a sludgewalker hatchling','','','','',255,211,12,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540006,'a refuse roach','','','','',255,208,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540007,'a union mender  Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540008,'a union mender Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540009,'a mender Shift Boss Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,410,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540010,'a juvenile mucus','','','','',255,252,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540011,'a union member Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540012,'a ravenous cube','','','','',255,175,25,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540013,'a trash hopper','','','','',255,224,28,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540014,'a Darkblade maiden','','','','',1,79,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540015,'a netherot chanter','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540016,'a Darkblade noble','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540017,'a Darkblade fury','','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540018,'a Darkblade brigand','','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540019,'a Darkblade fury','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540020,'a Darkblade bodyguard','','','','',9,78,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540021,'a diseased ratonga','','','','',13,71,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540022,'a diseased ratonga','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540023,'a Darkblade brigand','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540024,'a diseased ratonga','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540025,'Marius Darkblade','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540026,'Lady Darkblade','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540027,'a Darkblade scout','','','','',13,57,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540028,'a diseased ratonga','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540029,'a corruptor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540030,'Krakamen','','','','',13,71,25,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540031,'a sewer rat','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540032,'a fallen crusader','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540033,'Mikela Osa','<Weaponsmith>','','','',10,132,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540034,'M`Polo Danukh','<General Goods>','','','',11,101,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540035,'Sali Va`ah','<Armorsmith>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540036,'Nikho Tambolo','<Provisioner>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540037,'a Murkwater Infiltrator','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540038,'Josab','XXXXXXX''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540039,'Simba','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540040,'a Darkblade scout','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540041,'a Darkblade fury','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540042,'a Darkblade bodyguard','','','','',1,78,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540043,'a sludgewalker hatchling','','','','',255,211,12,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540044,'a drowned cavalier','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540045,'a corruptor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540046,'a Darkblade noble','','','','',11,102,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540047,'Rouras','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540048,'Rouras','Helly''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540049,'',NULL,'','','',0,49,32,0,1,1,609,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540050,'(unnamed)',NULL,'','','',0,49,32,0,1,1,609,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540053,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540054,'zone_to_fprt_hood02',NULL,'','','',0,49,32,0,0,0,306,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540055,'zone_to_fprt_sewer02',NULL,'','','',0,49,32,0,0,0,937,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540056,'zone_to_fprt_hood05',NULL,'','','',0,49,32,0,0,0,305,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540057,'zone_to_fprt_west',NULL,'','','',0,49,32,0,0,0,931,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540058,'zone_to_fprt_hood04',NULL,'','','',0,49,32,0,0,0,304,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540059,'zone_to_fprt_north',NULL,'','','',0,49,32,0,0,0,928,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540060,'zone_to_fprt_east',NULL,'','','',0,49,32,0,0,0,932,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540061,'zone_to_fprt_hood01',NULL,'','','',0,49,32,0,0,0,77,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540062,'zone_to_fprt_south',NULL,'','','',0,49,32,0,0,0,922,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540063,'zone_to_sewer_epic04',NULL,'','','',0,49,32,0,0,0,938,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540064,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540065,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540066,'zone_to_fprt_hood03',NULL,'','','',0,49,32,0,0,0,85,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540067,'zone_to_fprt_hood06',NULL,'','','',0,49,32,0,0,0,86,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540068,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540069,'(unnamed)',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540070,'(unnamed)',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540071,'(unnamed)',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540072,'a diseased ratonga',NULL,'','','',13,58,32,0,1,1,11,0,0,1,1,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540073,'a diseased ratonga',NULL,'','','',13,64,32,0,1,1,11,0,0,1,1,1,0,0,19,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1540074,'zone_to_fprt_south',NULL,'','','',0,49,32,0,0,0,922,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550000,'a refuse toad','','','','',255,224,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550001,'a drudge globule','','','','',255,297,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550002,'a filthy moccasin','','','','',255,213,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550003,'a measly filthy moccasin','','','','',255,213,51,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550004,'a pestilent ratonga','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550005,'a sewage nuisance','','','','',255,299,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550006,'an immature sludgewater','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550007,'a sewage vermin','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550008,'a Murkwater abettor','','','','',13,56,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550009,'a Murkwater abettor','','','','',13,59,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550010,'a Murkwater steward','','','','',13,53,41,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550011,'a Murkwater induct','','','','',13,62,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550012,'a crazed channel mender','','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550013,'a crazed channel mender','','','','',5,121,35,3,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550014,'Tula Mawh','<Provisioner>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550015,'Kerik Lorn','<Weaponsmith>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550016,'Hired Guard Gazzuk','<Guard>','','','',14,106,32,0,1,1,13,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550017,'Gurtha Tings','<General Goods>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550018,'Rix Tah''Reh','<Armorsmith>','','','',1,115,35,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550020,'Stench','','','','',255,213,70,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550021,'a sludge mucus','','','','',255,252,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550023,'a sift dasher','','','','',255,190,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550024,'widget_wine_bottle',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550026,'widget_water_pump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550027,'widget_broken_barrel',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550028,'widget_bed_roll',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550029,'human_skeleton_bones',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550030,'fprt_sewer01_gears02',NULL,'','','',0,1579,31,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550031,'zone_to_fprt_sewer01',NULL,'','','',0,49,32,0,0,0,939,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550032,'zone_to_fprt_adv03_sprawl_traitor',NULL,'','','',0,49,32,0,0,0,923,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550034,'fprt_manhole_level_1',NULL,'','','',0,13,32,0,0,0,941,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550035,'fprt_sewer01_gears03',NULL,'','','',0,1580,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550036,'quest_subclass_zone_to_sewer_subzone',NULL,'','','',0,49,32,0,1,1,942,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550037,'a refuse toad','','','','',255,224,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550038,'a drudge globule','','','','',255,297,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550039,'a filthy moccasin','','','','',255,213,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550040,'a measly filthy moccasin','','','','',255,213,51,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550041,'a pestilent ratonga','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550042,'a sewage nuisance','','','','',255,299,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550043,'an immature sludgewater','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550044,'a sewage vermin','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550045,'a Murkwater abettor','','','','',13,56,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550046,'a Murkwater abettor','','','','',13,59,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550047,'a Murkwater steward','','','','',13,53,41,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550048,'a Murkwater induct','','','','',13,62,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550049,'a crazed channel mender','','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550050,'a crazed channel mender','','','','',5,121,35,3,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550056,'Marcus Puer','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550058,'a sludge mucus','','','','',255,252,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550059,'Cicero Puer','','','','',13,60,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550060,'a sift dasher','','','','',255,190,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550062,'The Murkwater Villain','','','','',13,70,44,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550063,'widget_wine_bottle',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550064,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550065,'widget_water_pump',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550066,'widget_broken_barrel',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550067,'widget_bed_roll',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550068,'human_skeleton_bones',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550069,'zone_to_fprt_sewer01(Unused)',NULL,'','','',0,49,32,0,0,0,939,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550070,'zone_to_fprt_adv03_sprawl_traitor',NULL,'','','',0,49,32,0,0,0,923,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550071,'quest_sewer_epic02_entrance',NULL,'','','',0,49,32,0,0,0,940,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550072,'fprt_manhole_level_2',NULL,'','','',0,13,32,0,0,0,941,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550073,'quest_subclass_zone_to_sewer_subzone',NULL,'','','',0,49,32,0,0,0,942,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550074,'Crazy Peepers',NULL,'','','',5,121,35,0,1,1,11,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550075,'a crazed mender',NULL,'','','',255,122,35,0,1,1,0,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550076,'Skeleton of Gord Smith',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1550077,'Watcher Kenjedeau','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560000,'a bile toad forager','','','','',255,224,38,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560001,'a rotting globule','','','','',255,299,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560002,'a drudge mucus','','','','',255,252,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560003,'a contaminated rat','','','','',255,233,38,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560004,'a Murkwater henchman','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560005,'a Murkwater vigilant','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560006,'a festering globule','','','','',255,299,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560007,'a brittle remanence','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560008,'a brittle remanence','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560009,'a juvenile sludgewalker','','','','',255,211,22,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560010,'a bile toad','','','','',255,224,38,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560011,'a frantic globule','','','','',255,299,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560012,'a Murkwater henchman','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560013,'a Murkwater veteran','','','','',13,57,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560014,'Vasiliy','','','','',13,58,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,100490,0,0,0,0,0,0,0,0,0,0,0,0),
(1560015,'a scourge rat','','','','',255,233,44,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560016,'a bile bladetip','','','','',255,241,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560017,'an edgewater rockshell','','','','',255,218,41,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560018,'a deadly sludgewalker','','','','',255,211,28,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560019,'a rotting sewerfin','','','','',255,242,41,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560020,'a foul grappler','','','','',255,210,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560021,'Bendik Jonkers','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560022,'a massive needletooth','','','','',255,204,54,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560023,'a bladetip','','','','',255,241,44,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560024,'a sewage viper','','','','',255,277,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560025,'a garbage grinder','','','','',255,151,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560026,'a young sewage viper','','','','',255,277,28,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560027,'a Murkwater onlooker','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560028,'a sewage viper','','','','',255,277,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560029,'a Murkwater fanatic','','','','',13,62,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560030,'The Murkwater Thief','','','','',13,54,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560031,'an enraged bladetip','','','','',255,241,38,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560032,'a fetid grappler','','','','',255,210,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560033,'a monstrous sewer barracuda','','','','',255,194,73,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560034,'a ravenous piranha','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560035,'a rotting skeleton','','','','',9,1521,33,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560036,'a rotting skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560037,'The Sludge Despoiler','','','','',255,299,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560038,'widget_pig_body',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560039,'basement_grate',NULL,'','','',0,49,32,0,1,1,944,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560040,'widget_training_dummy',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560041,'widget_small_machine',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560042,'widget_small_cup',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560043,'a large scroll',NULL,'','','',0,2544,6,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560044,'quest_bendik_gear05',NULL,'','','',0,2417,32,0,0,0,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560045,'quest_bendik_gear03',NULL,'','','',0,2417,32,0,1,1,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560046,'Chemistry Table',NULL,'','','',0,2825,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560047,'quest_bendik_gear04',NULL,'','','',0,2417,32,0,0,0,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560048,'quest_bendik_gear02',NULL,'','','',0,2417,32,0,0,0,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560049,'quest_bendik_gear01',NULL,'','','',0,2417,32,0,0,0,162,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560050,'first_ladder_to_sewer02',NULL,'','','',0,49,32,0,0,0,945,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560051,'second_ladder_to_sewer02',NULL,'','','',0,49,32,0,1,1,946,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560052,'to_freeport_epic03',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560053,'tub_killroy',NULL,'','','',0,1941,32,0,1,1,135,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560054,'crate_killroy',NULL,'','','',0,1949,32,0,1,1,135,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560055,'keg_killroy',NULL,'','','',0,1955,32,0,1,1,135,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560061,'a Murkwater vigilant','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560079,'a garbage grinder','','','','',255,151,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560091,'a gigantic sewer goo','','','','',255,299,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560092,'A Noxious Viper','','','','',255,277,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560093,'Brother Lasca','','','','',13,62,35,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560094,'widget_pig_body',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560095,'basement_grate',NULL,'','','',0,49,32,0,0,0,944,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560096,'widget_training_dummy',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560097,'widget_small_machine',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560098,'widget_small_cup',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560099,'a large scroll',NULL,'','','',0,2544,6,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560102,'Chemistry Table',NULL,'','','',0,2825,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560106,'first_ladder_to_sewer02',NULL,'','','',0,49,32,0,0,0,945,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560107,'second_ladder_to_sewer02',NULL,'','','',0,49,32,0,0,0,946,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560108,'to_freeport_epic03',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560109,'tub_killroy',NULL,'','','',0,1941,32,0,0,0,135,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560110,'crate_killroy',NULL,'','','',0,1949,32,0,0,0,135,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560111,'keg_killroy',NULL,'','','',0,1955,32,0,0,0,135,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1560112,'pile_of_bones',NULL,'','','',255,2430,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590000,'a crazed Gnome builder','','','','',5,122,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590001,'a Crazed Architect','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590002,'a Murkwater thief','','','','',13,56,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590003,'a Murkwater Kingpin','','','','',13,62,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590004,'Putrid''s broodling','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590005,'Putrid','','','','',255,213,67,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1590006,'quest_sewer_epic02_exit',NULL,'','','',0,49,32,0,0,0,943,0,0,0,0,1,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1600000,'a Darkblade assassin','','','','',13,57,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1600001,'a Darkblade assassin','','','','',13,60,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1600002,'a Darkblade assassin','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1600003,'Sinyaz V''rix','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1600004,'Zaynis V''rix','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1600005,'zone_to_fprt_sewer01',NULL,'','','',0,49,32,0,0,0,939,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640000,'Abbetor T''Avi','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640001,'a Freeport traitor','','','','',3,1602,32,0,1,1,9,0,0,0,0,1,0,0,34,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640002,'a Qeynosian defector','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640003,'a cooking pot',NULL,'','','',0,4144,28,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640004,'a makeshift bed',NULL,'','','',0,1998,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640005,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640006,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640007,'qst_unseenhand_keg_1',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640008,'sacks of flour',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640009,'zone_to_fp_villages',NULL,'','','',0,2306,32,0,0,0,9501,0,0,0,0,1,1,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640010,'zone_to_fp_city',NULL,'','','',0,1857,32,0,0,0,9519,0,0,0,0,1,1,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640011,'qst_unseenhand_crate_2',NULL,'','','',0,3152,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640012,'broken chair',NULL,'','','',0,1456,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640013,'a crooked table',NULL,'','','',0,2050,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640014,'a keg',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640015,'broken chair',NULL,'','','',0,2176,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640016,'qst_unseenhand_keg_1',NULL,'','','',0,1398,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640017,'an old stool',NULL,'','','',0,1659,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640018,'a Qeynosian sympathizer','','','','',5,121,29,0,1,1,9,0,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640019,'A failed applicant','','','','',9,98,32,0,1,1,9,0,228,0,0,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640020,'a sludgewalker hatchling','','','','',255,211,16,0,1,1,11,0,0,1,0,1,0,0,25,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640021,'A Qeynosian infiltrator','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,1,34,91,91,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(1640022,'collision',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1640023,'crate gate',NULL,'','','',0,3152,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660000,'G''shugahplum Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660001,'Gh''lad Tydingz Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660002,'a cat','','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660003,'Jetsam Anchorwash','','','','',9,134,32,0,1,1,9,0,11500,0,0,1,0,0,32,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660004,'Tailor Aldrevia Metilla','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,256,256,0,0,402039,0,0,0,0,0,0,0,0,0,0,0,0),
(1660005,'Corsair G`kex','','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660006,'Boatswain Fomas','<Merchant>','','','',11,101,32,0,1,1,10,0,0,0,0,1,0,0,38,406,406,0,0,100494,0,64,0,0,0,0,0,0,0,0,0,0),
(1660007,'Captain Stovka','','','','',13,55,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660008,'Lieutenant D''Raka','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660009,'Merchant Exmarch','<Merchant>','','','',6,78,32,0,1,1,10,9,0,0,0,1,0,0,34,16,16,0,0,1829,0,0,0,0,0,0,0,0,0,0,0,0),
(1660010,'Trainer Trtsin','<Merchant>','','','',13,70,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(1660011,'Trainer Edesii','<Merchant>','','','',13,57,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(1660012,'Squab Kalina','<Merchant>','','','',6,79,32,0,1,1,10,0,0,0,0,1,0,0,30,226,226,0,0,100494,0,64,0,0,0,0,0,0,0,0,0,0),
(1660013,'Marauder Kindolus','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,30,481,481,0,0,100494,0,64,0,0,0,0,0,0,0,0,0,0),
(1660014,'Trainer Lucius Wavedancer','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(1660015,'Trainer Sicangu Wi','<Merchant>','','','',11,92,32,0,1,1,10,1265,0,0,0,1,0,0,38,286,286,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(1660016,'Guard Athgar','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660017,'Alchemist Sidonius Baro','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1660018,'Linst Tincobble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(1660019,'Madelyn Tarrad','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660020,'Banker Soleficus Baro','<Banker>','','','',9,134,32,0,1,1,14,9,323,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660021,'Broker Agamennus','','','','',9,134,32,0,1,1,20,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660022,'Erasmo Crane','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660023,'Guard Bezedd Headcrusher','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660024,'Kaeso Polluvius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660025,'Gemellus Sperasius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(1660026,'Armorsmith Annia Kaeso','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,256,256,0,0,402045,0,0,0,0,0,0,0,0,0,0,0,0),
(1660027,'Armorsmith Nipius Malchus','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,346,346,0,0,402040,0,0,0,0,0,0,0,0,0,0,0,0),
(1660028,'Weaponsmith Clodia Laeca','<Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,34,361,361,0,0,402036,0,0,0,0,0,0,0,0,0,0,0,0),
(1660030,'Guard Decimus Eonus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660031,'Guard Julia Livilla','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660032,'Corporal Henk Rimebreaker','','','','',0,1468,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660033,'Guard Salonina Aventina','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660034,'Sergeant Nominus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660035,'Guard Ceacilia Velva','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660036,'Guard Krelnath','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660037,'Clara Maius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660038,'Secundus Maecilius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660039,'Guard Amulius Sarrius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660040,'Alexandria Tal`Azroth','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660041,'Guard V''Nyr','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660043,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660045,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660048,'Guard Wug Facemangler','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660050,'The Overlord','','','','',9,3907,96,0,0,0,0,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660052,'City Merchant Saraphon','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,30162,0,64,0,0,0,0,0,0,0,0,0,0),
(1660053,'City Merchant Valokis','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,30163,0,64,0,0,0,0,0,0,0,0,0,0),
(1660054,'Weaponsmith Lucilla Quietus','<Merchant>','','','',9,132,32,0,1,1,10,9,0,0,0,1,0,0,34,421,421,0,0,402050,0,0,0,0,0,0,0,0,0,0,0,0),
(1660057,'Trophimus','','','','',255,278,28,0,1,1,0,0,0,0,0,1,0,0,21,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660060,'Buccio','','','','',255,278,28,0,1,1,0,0,0,0,0,1,0,0,21,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660061,'Diometria Oppius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660062,'Buccos','','','','',255,278,12,0,1,1,0,0,0,0,0,1,0,0,21,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660063,'Razor','','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660064,'Lavic N''Gam','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660065,'Caraw Slivermoon','','','','',11,102,32,0,1,1,9,0,0,0,0,1,0,0,26,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660068,'Taba Curhunter','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660069,'Hrenga Heartcrush','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660070,'Crilt Browbeat','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660074,'Lathergust','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660075,'Urak Eyegouge','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,34,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660077,'Haggler Verinus','','','','',5,122,32,0,1,1,10,9,0,0,0,1,0,0,34,271,271,0,0,30187,0,0,0,0,0,0,0,0,0,0,0,0),
(1660078,'a curious cat','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660079,'Mac Windstreaker','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660080,'Triumpus','','','','',255,278,12,0,1,1,0,0,0,0,0,1,0,0,21,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660081,'Bassam','','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,26,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660083,'Mender Marcus Wolfson','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1660084,'Merchant Caius Brucci','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,376,376,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1660085,'Broker Agamennus','<Broker>','','','',9,134,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660086,'Jaws','','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660087,'Glycon Duronius','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660088,'Theodorus Volcatius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660089,'Voula Redeye','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660090,'Ghadah','','','','',3,1588,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660091,'Pamoja','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660092,'Pavel','','','','',13,67,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660093,'Vlenka Nightstalker','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660094,'Amandio Sepunius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660095,'Elona Shawnasy','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660096,'Sasha','','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660097,'Apollonia Vibenius ','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660098,'Guard Cornath','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660099,'Guard Conthar','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660100,'Guard Barra Gutsplitter','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660101,'Guard Rorg Fangbuster','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660102,'Guard Tirnath','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660103,'Guard Durakan','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660104,'Guard Glanald','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660105,'Guard Aurelia Faustina','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660106,'Guard Annia Fontia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660107,'Guard Tharg Armbreaker','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660108,'Guard Zargg Throattearer','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660109,'Guard Rothach','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660111,'Guard Inventia Fontia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660113,'Guard Vibius Mansuetus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660115,'Lieutenant Vistilia Amalthea','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,25000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660116,'Sulpicia','','','','',255,278,35,0,1,1,9,0,0,1,1,1,0,12,21,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660117,'Caesonia','','','','',255,278,35,0,1,1,9,0,0,1,1,1,0,12,21,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660118,'Guard P''Nar','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660120,'Merchant Exmarch','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1660129,'fprt_guildhall_tier1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660130,'status_player_housing_five_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660131,'status_player_housing_five_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660132,'coin_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660133,'status_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660134,'status_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660135,'coin_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660136,'coin_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660137,'coin_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660138,'status_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660139,'status_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660140,'status_player_housing_five_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660141,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660142,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660143,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660144,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660145,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660146,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660147,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660148,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660149,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660150,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660151,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660152,'dpo_present03_big',NULL,'','','',0,7077,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660153,'holiday_fatcandle_white',NULL,'','','',0,7976,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660154,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660155,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660156,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660157,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660158,'candycane',NULL,'','','',0,5986,5,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660159,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660160,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660161,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660162,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660163,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660164,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660165,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660166,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660167,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660168,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660169,'dpo_bow01_green',NULL,'','','',0,7075,31,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660170,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660171,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660172,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660173,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660174,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660175,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660176,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660177,'dpo_present03_medium',NULL,'','','',0,7078,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660178,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660179,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660180,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660181,'dpo_present_darkver_black_big',NULL,'','','',0,8741,60,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660182,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660183,'dpo_stocking_darkver_female_purple',NULL,'','','',0,8755,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660184,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660185,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660186,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660187,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660188,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660189,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660190,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660191,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660192,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660193,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660194,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660195,'dpo_present_darkver_purple_group01',NULL,'','','',0,8748,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660196,'cards_generic',NULL,'','','',0,3174,31,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660197,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660198,'dpo_stocking_darkver_female_warg_spotted',NULL,'','','',0,8756,28,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660199,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660200,'dpo_candlegroup_darkver_greensilver',NULL,'','','',0,8736,23,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660201,'chips_bait_and_tackle',NULL,'','','',0,3177,39,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660202,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660203,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660204,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660205,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660206,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660207,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660208,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660209,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660210,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660211,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660212,'sign_post',NULL,'','','',0,19,32,0,1,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660213,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660214,'dpo_stocking_darkver_purple_large',NULL,'','','',0,8762,27,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660215,'candycane',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660216,'bug',NULL,'','','',0,222,9,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660217,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660218,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1660219,'',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660220,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660221,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660222,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(1660223,'Sabotage_sabotage/qeynos_3_x7_1',NULL,'','','',0,4646,32,0,1,1,228,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660224,'Sabotage_sabotage/qeynos_3_x4_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660225,'Sabotage_sabotage/qeynos_3_x2_1',NULL,'','','',0,3540,48,0,1,1,228,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660226,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660227,'Sabotage_sabotage/qeynos_3_x5_1',NULL,'','','',0,4651,32,0,1,1,228,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660228,'Sabotage_sabotage/qeynos_3_x10_2',NULL,'','','',0,3086,32,0,1,1,930,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660229,'Sabotage_sabotage/qeynos_3_x10_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660230,'Sabotage_sabotage/qeynos_3_x3_1',NULL,'','','',0,4658,32,0,1,1,228,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660231,'Sabotage_sabotage/qeynos_3_x4_2',NULL,'','','',0,3189,32,0,1,1,355,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660232,'Sabotage_sabotage/qeynos_3_x6_1',NULL,'','','',0,3553,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660233,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660234,'',NULL,'','','',0,49,32,0,1,1,931,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660235,'',NULL,'','','',0,49,32,0,1,1,77,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660236,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660237,'',NULL,'','','',0,49,32,0,1,1,86,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660238,'',NULL,'','','',0,49,32,0,1,1,932,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660239,'',NULL,'','','',0,2031,32,0,1,1,963,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660240,'',NULL,'','','',0,2031,32,0,1,1,964,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660241,'',NULL,'','','',0,2031,32,0,1,1,965,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660242,'betrayal militia',NULL,'','','',0,2512,32,0,1,1,83,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660243,'',NULL,'','','',0,49,32,0,1,1,932,0,0,0,0,1,0,0,551,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660244,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660245,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660246,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660247,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660248,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660249,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660250,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660251,'',NULL,'','','',0,2031,32,0,1,1,966,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660252,'to_seafury_hideout',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660253,'',NULL,'','','',0,49,32,0,1,1,85,0,0,0,0,1,0,0,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660254,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(1660255,'(unnamed)',NULL,'','','',0,49,32,0,1,1,932,0,0,0,0,1,0,0,551,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660256,'(unnamed)',NULL,'','','',0,2031,32,0,1,1,966,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660257,'(unnamed)',NULL,'','','',0,2031,32,0,1,1,963,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660258,'(unnamed)',NULL,'','','',0,2031,32,0,1,1,964,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660259,'(unnamed)',NULL,'','','',0,49,32,0,1,1,932,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660260,'(unnamed)',NULL,'','','',0,2031,32,0,1,1,965,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660261,'(unnamed)',NULL,'','','',0,49,32,0,1,1,86,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660262,'(unnamed)',NULL,'','','',0,49,32,0,1,1,85,0,0,0,0,1,0,0,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660263,'(unnamed)',NULL,'','','',0,49,32,0,1,1,931,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660264,'(unnamed)',NULL,'','','',0,49,32,0,1,1,77,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1660265,'Crate',NULL,'','','',0,2383,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680000,'Aimee','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680001,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680002,'Sage Oolieamim','','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680003,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(1680004,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680005,'Inim Candychewer','<Frostfell Historian>','','','',8,136,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680006,'Pinchy Presentpeeler','','','','',8,135,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680007,'Guard Ghekk Legbreaker','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680008,'Captain Rillian','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680009,'Guard Arcantos','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680010,'Man-at-Arms Faustus','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680011,'Guard DeMarco','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680012,'Commandant Placida','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680013,'Guard Golvana','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,856,856,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680014,'a Gigglegibber scout','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680015,'Broker Mallium','','','','',6,78,32,0,1,1,20,9,0,0,0,1,0,0,30,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680016,'Merchant Boomba','<Merchant>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,421,421,0,0,1431,0,0,0,0,0,0,0,0,0,0,0,0),
(1680017,'Mender Ironstar','','','','',6,79,32,0,1,1,12,9,0,0,0,1,0,0,34,316,316,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1680018,'Guard Otacilla Opolio','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,871,871,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680019,'Kreglebop Yekl','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680020,'a Menacer Champion','<The Dreadnaughts>','','','',11,101,38,0,1,1,9,0,0,0,0,1,0,0,38,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680021,'Banker Macrinus Sanctus','<Banker>','','','',3,1598,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680022,'Banker Lusius Ulixes','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680023,'Guard Gigantok','','','','',12,124,38,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680024,'Banker Gavius Herenus','<Banker>','','','',1,116,32,0,1,1,14,9,0,0,0,1,0,0,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680025,'Banker Magia Cotta','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680026,'Guard Desia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680027,'Guard Panilia L`Un','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680028,'Guard Titius Auspex','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680029,'Gevil Gigglegibber','<Frostfell tree handler>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680030,'Stable Hand Verdantus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680031,'Thabit Kalila','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(1680032,'Mulka the Skinner','<Merchant>','','','',14,105,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,1471,0,0,0,0,0,0,0,0,0,0,0,0),
(1680033,'a kitten','','','','',255,306,19,6,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680034,'a dead kitten','','','','',255,304,22,3,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680035,'Guard Yozar Eyegouger','','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680036,'Guard Viridia Domna','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680037,'Guard Rurg Headbuster','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680038,'Guard Arwain','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680039,'Sentinel Faidian','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680040,'Commandant Arkadios','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680041,'Guard Ozget Bloodspiller','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680042,'Kamaria Cheefar','','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680043,'Trainer Matthias Zoe','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,1505,0,0,0,0,0,0,0,0,0,0,0,0),
(1680044,'Guard Zurgh Nosemangler','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680045,'Grandmaster Kawayzer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680046,'Merchant Aelia Catus','<Merchant>','','','',2,1475,32,0,1,1,10,1265,0,0,0,1,0,0,32,316,316,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1680047,'Alethea Augustine','<Rush Orders>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680048,'Caius Callidus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680049,'Jonak Harvester','<Tradeskill Career Counsellor>','','','',12,4994,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680050,'Guard Thargh Headbuster','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680051,'Vissa D`Dbth','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680052,'Commandant Dominicus','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680053,'Guard Azrog Eyegouger','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680054,'Guard Helvia Herminia','','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680055,'Guard Fazio','','','','',9,18978,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680056,'Lieutenant Darrius','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680057,'Trainer L`Tor','','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(1680058,'Gavrus Callidus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680059,'a Brutalizer Champion','<The Dreadnaughts>','','','',0,112,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680060,'Trooper Bonesaw','<Merchant>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,241,241,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1680061,'Guard Crosato','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680062,'Commandant Tor''Val','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680063,'Trainer Shirzzt Bonelasher','','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(1680064,'Intelligence Officer Rainus','','','','',9,134,37,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680065,'Captain Vrondell','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680066,'Guard Vivian Matho','','','','',6,132,32,0,1,1,13,0,0,1,1,1,0,12,34,1021,1021,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680067,'Trainer Eamric Icefist','','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(1680068,'Baron Zafimus','','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,631,631,0,0,100494,0,0,0,0,0,0,0,0,0,0,0,0),
(1680069,'a weary Kor shaman','','','','',4,3788,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680070,'Kaherdin Surechest','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680071,'Merchant Gorga','<Merchant>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,1562,0,0,0,0,0,0,0,0,0,0,0,0),
(1680072,'Intelligence Officer Gezlowe','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680073,'a Freeport Militia cellmaster','','','','',9,132,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680074,'Gowan Macgillivray','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680075,'Liege Helvanica','','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100494,0,0,0,0,0,0,0,0,0,0,0,0),
(1680077,'Barber Razorburn','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680078,'Gurb the Master Weaponsmith','<Merchant>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,402050,0,0,0,0,0,0,0,0,0,0,0,0),
(1680079,'Barber Whiskerwuzzle','','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,751,751,0,0,1587,0,0,0,0,0,0,0,0,0,0,0,0),
(1680080,'Merchant Grum Zoomly','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(1680081,'Bartender Bendl Fizztuzzle','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(1680082,'Merchant Macia Victus','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(1680083,'Guard Euphemia Lucilla','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680084,'a Juggernaut bouncer','','','','',12,124,35,0,1,1,0,0,0,0,0,1,0,0,43,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680085,'a sparring Dreadnaught','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680086,'a sparring Disciple','','','','',9,18978,32,0,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680087,'Krung Ironfist','<Bruiser Trainer>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(1680088,'Guard Wozur Headsplitter','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680089,'Ambassador Zrelach','<Gorowyn Emissary>','','','',18,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680090,'Izzay Meestere','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680091,'Provisioner Broll','<Merchant>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(1680092,'Angus McPhergin','<Legends of Norrath Greeter>','','','',9,112,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680093,'a scarecrow','','','','',255,261,32,5,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680094,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(1680095,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680096,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680097,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680098,'a Nights of the Dead merchant','','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680099,'Annabelle Lekter','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680100,'Chuck Le''Ray','','','','',4,3792,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680101,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680102,'S''mara Mooregan','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680103,'Reigen MacKneel','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680104,'Edward Hyde','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680105,'Freid Deekat','<Gigglegibber Goblin-ish>','','','',11,100,16,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680106,'Mykel Miers','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680107,'Damy Thorn','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680108,'a pig','','','','',255,272,26,6,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680109,'a cow','','','','',255,2456,30,4,1,1,0,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680110,'Phrau Blucher','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680111,'Ardath Bay','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680112,'Jayson V''rhees','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680113,'Purrla','<Far Seas Supply Division>','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680114,'Bruise Hotep','','','','',0,1697,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680115,'Shaun Rom''zomcom','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680116,'Melony Danyells','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(1680117,'an enthused barbarian','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680118,'an outraged human','','','','',9,134,32,3,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680119,'an angered erudite','','','','',3,1598,31,3,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680120,'a combative halfelf','','','','',6,18954,30,2,1,1,0,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680121,'an enraged kerra','','','','',11,101,31,3,1,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680122,'a hateful darkelf','','','','',1,116,28,3,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680123,'a spiteful ratonga','','','','',13,61,33,3,1,1,0,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680124,'a furious troll','','','','',14,106,31,2,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680125,'a furious barbarian','','','','',0,13947,31,3,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680126,'a raging ogre','','','','',12,123,31,3,1,1,0,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680127,'an infuriated gnome','','','','',5,122,31,3,1,1,0,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680129,'Secundus Vestinus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680130,'Guard Quintus Scrofa','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680131,'Tailor Dare Pauldenchair','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(1680132,'Alchemist Venetirsk','<Merchant>','','','',10,104,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(1680135,'Weaponsmith Helena Tullas','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402050,0,0,0,0,0,0,0,0,0,0,0,0),
(1680136,'Averus Justarius','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680137,'Sekou','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680138,'Kroona Skinflayer','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680139,'a runaway piglet','','','','',255,272,19,0,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680140,'Octavia Opus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680143,'Hermetius','','','','',255,278,28,3,1,1,9,0,0,1,1,1,0,12,21,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680144,'Corporal Sergius Mordanticus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680145,'Juvena','<Coalition Merchant>','','','',11,81,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,30033,0,0,0,0,0,0,0,0,0,0,0,0),
(1680146,'Caladon','','','','',255,278,25,3,1,1,9,0,0,1,1,1,0,12,21,886,886,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680148,'Captain D''Vall','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680149,'Commandant Vatinius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680150,'Viscount Gelvonius','','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680151,'Bessie','','','','',255,278,25,0,1,1,0,0,0,0,0,1,0,0,21,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680152,'Korong Shatterjaw','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680153,'Merchant Mallius Otho','<Merchant>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,402038,0,0,0,0,0,0,0,0,0,0,0,0),
(1680154,'Weaponsmith Julius Messor','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,511,511,0,0,402036,0,0,0,0,0,0,0,0,0,0,0,0),
(1680155,'Alkham','','','','',9,134,32,0,1,1,9,0,13064,0,0,1,0,0,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680156,'Dancer Francine Defury','','','','',9,79,32,0,1,1,9,0,11298,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680157,'Bouncer Raga','','','','',12,123,32,0,1,1,9,0,11500,0,0,1,0,0,26,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680158,'Anessa Bonefetter','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680159,'City Merchant Chiron','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,30047,0,64,0,0,0,0,0,0,0,0,0,0),
(1680160,'Donovan O`Mallery','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,26,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680161,'Ginaluniaus','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680162,'Magia D`Noxn','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680163,'Jarkish V`ounso','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680164,'Guard Euphemia Lucilla','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680165,'Kruz','','','','',255,278,38,0,1,1,9,0,0,1,1,1,0,12,21,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680166,'City Merchant Balex','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,30047,0,64,0,0,0,0,0,0,0,0,0,0),
(1680167,'Bouncer Jetsam','','','','',11,82,32,0,1,1,9,0,0,0,0,1,0,0,26,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680168,'Bouncer Flotsam','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680169,'Raugal','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680170,'Gorgemond','','','','',2,112,32,0,1,1,9,0,0,0,0,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680171,'Guard Wozur Headsplitter','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680172,'The Overlord','','','','',9,3907,96,0,0,0,0,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680173,'Baron Narrog Bloodgulper','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680174,'Kraz','<Guard>','','','',255,278,38,0,1,1,9,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680175,'Kebaner','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680176,'a threatening guard','<Freeport Militia>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680177,'a vicious dark elf','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680178,'a harrassed barbarian','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680179,'Innkeeper Sirconium','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,30067,0,0,0,0,0,0,0,0,0,0,0,0),
(1680180,'Investigator Targok','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680181,'Guard Tiberius Atilius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680182,'Liege K''Nar','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680183,'Guard Thuz Brainbasher','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680184,'Lucian','','','','',255,278,28,3,1,1,9,0,0,1,1,1,0,12,21,841,841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680185,'Statilia Messalina','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680186,'Cassius Bruccius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680187,'Ghekk Legbreaker','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680188,'Narron Corgtec','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680189,'Varski','','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680190,'Justina Goldenbranch','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680191,'Guard Titius Auspex','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680192,'Thravk the Wretched','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680193,'Velena Weezlecog','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680194,'Salonina Matidia','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680195,'Guard Panilia L`Un','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680196,'Guard Desia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680197,'Guard Verus Caldus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,26,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680198,'Lupin','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680199,'Gigantok','<Guard>','','','',12,124,38,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680200,'a Karana Planestrider','','','','',255,6847,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680201,'Vonartik','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680202,'Stable Hand Pachomius','<Horse Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,196,196,0,0,703541,0,0,0,0,0,0,0,0,0,0,0,0),
(1680203,'a Parade Steppes Pony','','','','',255,6858,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680204,'a Halasian Draft Horse','','','','',255,6847,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680205,'Slinko','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680206,'Orpheus Maxanoius','','','','',9,134,20,0,1,1,9,0,0,0,0,1,0,0,26,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680207,'Lord Oinkles','','','','',255,272,38,0,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680208,'a Parade Rujarkian Hillrunner','','','','',255,6854,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680209,'an Elddarian Charger','','','','',255,6856,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680210,'Varkazza Bonedust ','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680211,'Grevak Stonecatcher','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680212,'Yala Z`ret','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680213,'Divin Thiss','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680214,'Vampy','','','','',255,306,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680215,'Cyclops','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680216,'Jasarn','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680217,'Konartik','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680218,'Dumdumneedsgumgum','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680219,'Gosarab','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680220,'Gebobtik','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680221,'Jobaner','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680222,'Jasann','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680223,'Lobobtik','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680224,'Josn','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680225,'Goneker','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680226,'Xasn','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680227,'Xarn','An infuriated gnome''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680228,'Lobeker','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680229,'Lasekn','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680230,'Janer','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680231,'Lobann','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680232,'Jobtik','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680233,'Convulse','Convulse''s Personae Reflection','','','',9,115,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680234,'Spores','Spores''s grim sorcerer','','','',255,9227,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680235,'Zabaner','A hateful darkelf''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680236,'Luteneo','Mekktar''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680237,'Vasobtik','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680238,'Salty','Vekk''s slimy slug friend','','','',255,252,128,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680239,'a Freeport emissary','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680240,'Oeloemoileenlom','<Master Sage>','','','',3,1591,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680241,'Viscount Aulus Vesnius Augendus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680242,'Gigglegibber Trick-or-Treater','','','','',255,7039,22,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680243,'Gigglegibber Scalper','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680245,'Frederick Kruhgar','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680246,'Ooloomeoloinlom','<Master Sage>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680247,'Lucanic Knight Spurius Cominius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680248,'Pazuzu','','','','',13,72,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680249,'Kraz','<Guard>','','','',255,278,38,0,1,1,9,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680250,'Verus Caldus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680251,'Kruz','<Guard>','','','',255,278,38,0,1,1,9,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680252,'Baron Narrog Bloodgulper','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680253,'Jack Torrents','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680256,'Guard Tiberius Atilius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680257,'Liege K''Nar','','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,20000,20000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680258,'Gorga','<Merchant>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,1562,0,0,0,0,0,0,0,0,0,0,0,0),
(1680271,'Trainer Alethea Augustine','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680272,'Vissa D`Dbth','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680273,'Paulina Adauctus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680274,'Caius Callidus','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680275,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680276,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680277,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680278,'door_widget6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680279,'door_widget6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680280,'door_widget002',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680281,'door_militia_prison2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680282,'door_widget001',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680283,'door_militia_prison',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680284,'door_widget010',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680285,'door_widget009',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680286,'door_widget008',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680287,'',NULL,'','','',0,49,32,0,1,1,63,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680288,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680289,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680290,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680291,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680292,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680293,'quest_tome_ancientdance_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680294,'door_widget014',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680295,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680296,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680297,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680298,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680299,'coin_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680300,'coin_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680301,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680302,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680303,'coin_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680304,'event_halloween_haunted_house',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680305,'(unnamed)',NULL,'','','',0,49,32,0,1,1,63,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680306,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680307,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680308,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680309,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680310,'quest_tome_lastvoyage_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680311,'quest_tome_ancientdance_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680312,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680313,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680314,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680315,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680316,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680317,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680318,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680319,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680320,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680321,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680322,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680323,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680324,'dpo_present03_big',NULL,'','','',0,7077,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680325,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680326,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680327,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680328,'candycane',NULL,'','','',0,5986,5,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680329,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680330,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680331,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680332,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680333,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680334,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680335,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680336,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,1,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680337,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680338,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680339,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680340,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680341,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680342,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680343,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680344,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680345,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680346,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680347,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680348,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680349,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680350,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680351,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680352,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680353,'dpo_present_darkver_black_big',NULL,'','','',0,8741,60,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680354,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680355,'candycane',NULL,'','','',0,7951,14,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680356,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680357,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680358,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680359,'dpo_apple_pie',NULL,'','','',0,8720,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680360,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680361,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680362,'floor_book_human_open02',NULL,'','','',0,3323,19,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680363,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,1,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680364,'floor_chair_human_plain01',NULL,'','','',0,2026,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680365,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680366,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680367,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680368,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680369,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680370,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680371,'dpo_present_darkver_purple_group01',NULL,'','','',0,8748,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680372,'chips_blood_haze_inn',NULL,'','','',0,3177,37,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680373,'cards_generic',NULL,'','','',0,3174,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680374,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680376,'dpo_stocking_darkver_female_warg_spotted',NULL,'','','',0,8756,28,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680378,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680379,'chalice',NULL,'','','',0,7267,31,0,1,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680380,'candle',NULL,'','','',0,2709,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680381,'ornate linen rug',NULL,'','','',0,3530,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680382,'chips_coalition_house',NULL,'','','',0,3177,40,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680383,'chips_backalley_brewhouse',NULL,'','','',0,3177,41,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680384,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680385,'throwing_knife001_rusty',NULL,'','','',0,3906,31,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680386,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680387,'floor_potionbottle_any_large04',NULL,'','','',0,2617,31,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680388,'floor_potionbottle_any_small02',NULL,'','','',0,2624,31,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680389,'Doorbell',NULL,'','','',0,1586,31,0,1,1,62,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680390,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680391,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680392,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680393,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680394,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680395,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680396,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680397,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680398,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680399,'sign_post',NULL,'','','',0,19,32,0,1,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680400,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680401,'a large scroll',NULL,'','','',0,2544,17,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680402,'ornate end table',NULL,'','','',0,2169,32,0,1,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680403,'dpo_stocking_darkver_purple_large',NULL,'','','',0,8762,27,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680404,'pumpkin',NULL,'','','',0,5786,24,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680405,'pumpkin',NULL,'','','',0,5785,31,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680406,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680407,'bug',NULL,'','','',0,222,9,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680408,'frostfell_entrance',NULL,'','','',0,3165,32,0,1,1,30,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(1680409,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680410,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1680411,'',NULL,'','','',0,2031,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680412,'epic_gorynn_militia_cell_lock_inside',NULL,'','','',0,6480,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680413,'epic_gorynn_militia_cell_lock_outside',NULL,'','','',0,6480,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680414,'sign_betrayal_guard_schedule',NULL,'','','',0,4067,32,0,1,1,76,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680415,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680416,'Zone Teleporter',NULL,'','','',0,7008,16,0,1,1,82,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680417,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680418,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680419,'letter_tso',NULL,'','','',0,3497,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680420,'letter_rok',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680421,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,13,32,0,1,1,68,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680422,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0),
(1680423,'Sabotage_sabotage/qeynos_3_x7_1 Stack of Books',NULL,'','','',0,4646,32,0,1,1,228,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680424,'Sabotage_sabotage/qeynos_3_x9_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680425,'Sabotage_sabotage/qeynos_3_x4_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680426,'Sabotage_sabotage/qeynos_3_x2_1 Sack of Pig Feed',NULL,'','','',0,3540,48,0,1,1,228,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680427,'sign_arm',NULL,'','','',0,20,32,0,1,1,0,0,0,1,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680428,'sign_arm North Freeport',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680429,'Sabotage_sabotage/qeynos_3_x5_1',NULL,'','','',0,4651,32,0,1,1,228,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680430,'Sabotage_sabotage/qeynos_3_x10_2',NULL,'','','',0,3086,32,0,1,1,930,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680431,'Sabotage_sabotage/qeynos_3_x10_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680432,'Sabotage_sabotage/qeynos_3_x3_1',NULL,'','','',0,4658,32,0,1,1,228,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680433,'Sabotage_sabotage/qeynos_3_x4_2',NULL,'','','',0,3189,32,0,1,1,355,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680434,'Sabotage_sabotage/qeynos_3_x6_1',NULL,'','','',0,3553,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680435,'sign_arm East Freeport',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680436,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680437,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680438,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680439,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680440,'sign_barber_shop',NULL,'','','',0,26,20,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680441,'sign_barber_shop_arrow',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680442,'sign_arm The Commonlands',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680443,'zone_to_fprt_north_tunnel',NULL,'','','',0,49,32,0,1,1,928,0,0,0,0,1,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680444,'fprt_tradeskill_cca',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680445,'to_coalition_factory',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680446,'zone_to_fprt_east_tunnel',NULL,'','','',0,49,32,0,1,1,932,0,0,0,0,1,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680447,'',NULL,'','','',0,49,32,0,1,1,922,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680448,'zone_to_fprt_militia_dungeon',NULL,'','','',0,49,32,0,1,1,74,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680449,'backalley_storage',NULL,'','','',0,2031,32,0,1,1,72,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680450,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680451,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680452,'zone_to_quest_brawler_cap',NULL,'','','',0,49,32,0,1,1,69,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680453,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680454,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680455,'',NULL,'','','',0,49,32,0,1,1,67,0,0,0,0,1,0,0,565,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680456,'To arena',NULL,'','','',0,49,32,0,1,1,66,0,0,0,0,1,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680457,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680458,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680459,'sign_barber_shop_arrow',NULL,'','','',0,20,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680460,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680461,'Gates to the Citadel',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,551,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680462,'lottery sign',NULL,'','','',0,2223,32,0,1,1,1113,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680463,'wanted poster',NULL,'','','',0,3655,32,0,1,1,44,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680464,'(unnamed)',NULL,'','','',0,49,32,0,1,1,67,0,0,0,0,1,0,0,565,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680465,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680466,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680467,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680468,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680469,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680470,'(unnamed)',NULL,'','','',0,49,32,0,1,1,922,0,0,0,0,1,0,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680471,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680472,'(unnamed)',NULL,'','','',0,2031,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680473,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680474,'fprt_tradeskill_cca',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680475,'(unnamed)',NULL,'','','',0,2031,27,0,1,1,1255,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680476,'a flower bloom',NULL,'','','',0,1738,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680477,'Jeth the Spy','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1680478,'Infiltrator Kath','','','','',6,79,32,0,1,1,0,0,0,1,1,1,0,0,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700000,'Heron Cogcarrier','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700001,'Master Chief Gearspanner','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700002,'Greedu the Cabin Boy','','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700003,'Blendrap the Engineer','','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700004,'Smith the Cook','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700005,'Bosun Patches','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700006,'Sparrow Cogcarrier','','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700007,'a bruised Rujarkian brute','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700008,'a starving dervish footpad','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700009,'a dead pirate','','','','',5,122,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700010,'Ol'' Greasy','','','','',5,121,32,0,1,1,995,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700011,'a wounded Rujarkian spiritist','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700012,'a weakened dervish footpad','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700013,'Admiral Grimgadget','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700014,'Jergo Wheybringer','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700015,'a burning dervish','','','','',19,5022,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700016,'a burning dervish','','','','',19,5108,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700017,'One Eyed Charlie','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700018,'a burnt dervish','','','','',9,4917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700019,'Cap''n Cog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700020,'a burning dervish','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700022,'a burning dervish','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700023,'a burnt dervish','','','','',19,4917,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700025,'a burnt dervish','','','','',19,4917,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700026,'Captain Jihannum','','','','',9,4999,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700027,'Kabaner','Rinso''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700028,'a burnt dervish','','','','',9,4917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700029,'prison_door_01_08',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700030,'prison_door_01_07',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700031,'prison_door_01_06',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700032,'prison_door_01_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700033,'prison_door_01_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700034,'prison_door_01_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700035,'prison_door_01_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700036,'prison_door_01_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700037,'prison_door_01_09',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700038,'prison_door_01_00',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700039,'door_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700040,'prison_door_00_09',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700041,'prison_door_00_00',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700042,'prison_door_00_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700043,'prison_door_00_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700044,'door_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700045,'prison_door_00_08',NULL,'','','',0,49,32,0,1,1,996,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700046,'prison_door_00_07',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700047,'prison_door_00_06',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700048,'prison_door_00_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700049,'prison_door_00_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700050,'prison_door_00_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700051,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700053,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700054,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700055,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700056,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700057,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700058,'wood_plank',NULL,'','','',0,4676,31,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700059,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700060,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700062,'chair_1',NULL,'','','',0,1391,29,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700063,'smoke',NULL,'','','',0,5621,32,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700064,'spell_effect_flames',NULL,'','','',0,5619,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700065,'floor_boat_human_fishing01',NULL,'','','',0,4644,32,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700066,'barrell_fire_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700067,'barrell_fire_00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700068,'barrell_explosiove2',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700069,'barrell_fire_05',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700070,'barrell_fire_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700071,'barrell_explosiove4',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700072,'fire_starter_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700073,'fire_starter_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700074,'fire_starter_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700075,'fire_starter_00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700076,'goblin_rubble01',NULL,'','','',0,1535,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700077,'barrell_fire_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700078,'barrell_explosiove1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700079,'barrell_explosiove5',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700080,'barrell_explosiove3',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700081,'smarmy_sprocket',NULL,'','','',0,1702,32,0,1,1,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700082,'barrell_explosive_sign',NULL,'','','',0,1389,32,0,1,1,579,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1700083,'zone_home',NULL,'','','',0,4104,16,0,1,1,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710000,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,0,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710001,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710002,'Klogg Bindgear III','<The League of Freethinkers>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710003,'a volcanu broodmother','','','','',255,238,47,3,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710004,'a molting volcanu','','','','',255,238,41,3,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710005,'The Magolemus','','','','',255,169,44,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710006,'a hatchling volcanu','','','','',255,238,35,3,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710007,'a bedrock grub','','','','',255,257,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710008,'a voidflame mage-slaver','<Voidflame Devotee>','','','',255,116,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710009,'a voidflame soulkeeper','<Voidflame Devotee>','','','',255,115,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710010,'a soulbound Sol Ro seeker','','','','',255,2850,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710011,'a soulbound Sol Ro seeker','','','','',255,2842,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710012,'a soulbound Sol Ro seeker','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710013,'a defender of Thyr','','','','',255,4110,51,0,1,1,11,0,0,1,1,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710014,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710015,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710016,'dark seepage','','','','',255,296,30,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710017,'dark seepage','','','','',255,296,40,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710018,'a void-touched cephalopod','','','','',255,288,6,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710019,'an invading ripper','','','','',255,8224,44,0,1,1,11,0,17801,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710020,'an invading lacerator','','','','',255,8225,38,0,1,1,11,0,17801,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710021,'an enslaved magma basilisk','','','','',255,1375,51,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710022,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710023,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710024,'a smoldering king crab','','','','',255,249,32,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710025,'Researcher Caudil','<Order of Flame Librarian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710026,'Vima Madrigan','<Disciple of Flame>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710027,'Purrla','<Far Seas Supply Division>','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710028,'Pallasa Rargon','<Disciple of Flame>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710029,'Marathan Allim','<Priest of Flame>','','','',3,1606,38,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710030,'Researcher D''Abth','<Order of Flame Researcher>','','','',1,116,38,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710031,'Researcher Sel''Quar','<Order of Flame Researcher>','','','',1,116,38,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710032,'Frederick Saltmarsh','<Historian>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710033,'Spark','<Order of Flame Quartermaster>','','','',255,9845,32,0,1,1,10,0,0,0,0,1,0,0,32,1276,1276,0,0,13312,0,0,0,0,0,0,0,0,0,0,0,0),
(1710034,'Edric Fyrecog','<Elemental Treasure Hunter>','','','',5,121,0,0,1,1,10,0,0,0,0,1,0,0,16,1276,1276,0,0,13313,0,0,0,0,0,0,0,0,0,0,0,0),
(1710035,'Aquestus Felflow','<Elite Exchange Quartermaster>','','','',255,9844,38,0,1,1,10,0,0,0,0,1,0,0,32,1276,1276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710036,'Borden Chargehammer','<Elite Void Shard Armor Quartermaster>','','','',255,9848,38,0,1,1,10,0,0,0,0,1,0,0,32,1276,1276,0,0,13315,0,0,0,0,0,0,0,0,0,0,0,0),
(1710037,'Assilus Poisonbolt','<Elemental Pattern Exchange>','','','',255,9846,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710038,'Awnya N''Kval','<Najena''s Elemental Jeweler>','','','',1,116,32,0,1,0,10,0,6523,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710039,'Pyrissa Flamecog','<Disciple of Flame>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710040,'Fendaris K''Lorn','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710041,'Researcher Peadar','<Order of Flame Archivist>','','','',7,108,38,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710042,'a slightly smelly fish','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710043,'a magma wormling','','','','',255,1375,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710044,'Saedie Kalterra','<Order of Flame>','','','',11,91,25,0,1,1,9,0,0,0,0,1,0,0,34,1261,1261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710045,'Thullekla Dy''xin','<Resource Surveyor>','','','',18,104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710046,'Fire Toad','','','','',255,1375,112,0,1,1,11,0,491,1,1,1,0,0,32,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710047,'a void-touched magma wormling','','','','',255,1375,56,2,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710048,'a void-touched juvenile lava crawler','','','','',255,257,54,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710049,'a young Sootfoot','','','','',255,2900,18,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710050,'Taxaynir L''Nvir','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710051,'an uninterested Sootfoot sentry','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710052,'a void-touched Sootfoot whelp','','','','',255,2900,32,0,1,1,11,0,16914,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710053,'a Sootfoot gatherer','','','','',255,2900,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710054,'Isxot D''Zyath','<The Dragoons of Thex>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710055,'Ry''na Easadana','','','','',1,116,38,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710056,'Vlakis D''Vanus','<The Dragoons of Thex>','','','',1,115,38,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710057,'an invading destroyer','','','','',255,8224,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710058,'a Najenaar protector','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710059,'Nida Wa''Fiyyah','<Quellithulian scholar>','','','',255,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710060,'an invading render','','','','',255,8223,39,1,1,1,11,0,17801,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710061,'a keldren voidman overseer','','','','',255,8924,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710062,'Farminh Al''Ladar','<Quellithulian>','','','',255,5060,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710063,'a keldron voidman overseer','','','','',255,8925,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710064,'a keldray voidman overseer','','','','',255,8925,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710065,'a vulcanu slayer','','','','',255,238,54,3,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710066,'a vulcanu gaper','','','','',255,238,60,3,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710067,'an acolyte of flame','<Order of Flame>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710068,'a flare gladiator','','','','',255,3645,52,7,1,1,11,0,3823,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710069,'a flare impaler','','','','',255,3645,55,8,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710070,'a flare reaper','','','','',255,3645,56,7,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710071,'a flare assassin','','','','',255,3645,53,7,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710072,'an astir basalt rumbler','','','','',255,2411,40,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710073,'a dormant basalt rumbler','','','','',255,2411,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710074,'a soulbound Sol Ro remnant','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710075,'a soulbound Sol Ro seeker','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710076,'a soulbound Sol Ro seeker','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710077,'a voidflame hall monitor','<Voidflame Devotee>','','','',255,115,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710078,'a voidflame hall monitor','<Voidflame Devotee>','','','',255,115,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710079,'Sebir the Historian','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710080,'Sumarvaldr','<Keeper of the Shard>','','','',255,4110,64,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710081,'an elemental guardian','<Essence of the Burning Prince>','','','',255,3645,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710082,'a void-touched bastion of Ro','','','','',255,1585,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710083,'Toggery Von Gearbender','','','','',5,121,22,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710084,'a soulbound Sol Ro seeker','','','','',255,2853,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710085,'Kabobab','Blaize''s Remains''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710086,'Blaize''s Remains','','','','',9,9341,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710087,'Quartius Alypius','<Disciple of Solusek Ro>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710088,'Maelius Irenaeus','<Disciple of Solusek Ro>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710089,'Tazgar','','','','',255,4033,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710090,'a hardened colossus','','','','',255,2899,80,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710091,'an ardent colossus','','','','',255,162,73,0,1,1,11,0,491,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710092,'a hardened colossus','','','','',255,2899,80,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710093,'a hardened colossus','','','','',255,2899,81,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710094,'a vulcanu verdant','','','','',255,238,54,2,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710095,'Vulsyth Da`gar','','','','',255,8847,65,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710096,'a Sootfoot gatherer','','','','',255,2900,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710097,'a Sootfoot gatherer','','','','',255,2900,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710098,'a Sootfoot whelp','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710099,'a molten fragment','','','','',255,295,71,8,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710100,'a Sootfoot peon','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710101,'a Sootfoot harvester','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710102,'a fire sprite','','','','',255,273,32,0,1,1,9,0,491,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710103,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710104,'a Sootfoot rockpicker','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710105,'a Sootfoot laborer','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710106,'Smakametta','<Sootfoot Armorsmith>','','','',255,2900,41,0,1,1,12,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710107,'Fendaris K''Lorn','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710108,'an invading brute','','','','',255,8224,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710109,'an invading brute','','','','',255,8220,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710110,'a Sootfoot trixter','','','','',255,2900,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710111,'a Sootfoot warrior','','','','',255,2900,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710112,'a molten wormling','','','','',255,1375,152,8,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710113,'a juvenile lava crawler','','','','',255,258,64,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710114,'a hovering sentinel','','','','',255,295,89,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710115,'a hovering sentinel','','','','',255,295,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710116,'a hovering sentinel','','','','',255,295,89,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710117,'Asphyxia','','','','',255,3691,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710118,'a speck rumbler','','','','',255,2412,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710119,'a basalt rumbler','','','','',255,2411,39,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710120,'a mature lava crawler','','','','',255,257,76,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710121,'Blister','','','','',255,2930,62,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710122,'a searing lurker','','','','',255,243,51,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710123,'a fire imp','','','','',255,6824,39,0,1,1,11,0,491,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710124,'a fire imp','','','','',255,6824,37,2,1,1,11,0,491,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710125,'a Sootfoot gatherer','','','','',255,2900,34,2,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710126,'Bunglegreeder','','','','',255,2900,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710127,'Shihab Taymullah','<Disciple of Solusek Ro>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710128,'an astir basalt rumbler','','','','',255,2411,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710129,'a voidflame lore collector','<Voidflame Devotee>','','','',255,115,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710130,'a voidflame lore collector','<Voidflame Devotee>','','','',255,115,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710131,'a soulbound Sol Ro historian','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710132,'a soulbound Sol Ro historian','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710133,'Tomekeeper Sunto','','','','',3,1603,32,0,1,1,9,0,496,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710134,'The Tome of Tranix','','','','',255,280,38,0,1,1,9,0,323,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710135,'a soulbound Sol Ro historian','','','','',255,2854,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710136,'a soulbound Sol Ro historian','','','','',255,2858,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710137,'a soulbound Sol Ro historian','','','','',255,2849,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710138,'Gabartik','Blaize''s Remains''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710139,'a defiant Sol Ro historian','','','','',255,2863,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710140,'a defiant Sol Ro historian','','','','',255,2836,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710141,'Hibrit Nikaorf','','','','',255,2860,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710142,'a summoned flare','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710143,'a summoned flare','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710144,'a summoned flare','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710145,'a summoned flare','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710146,'a bouldering','','','','',255,2899,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710147,'a bouldering','','','','',255,2899,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710148,'a flaming globule','','','','',255,295,32,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710149,'a Sootfoot warrior','','','','',255,2900,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710150,'an invading brute','','','','',255,8225,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710151,'Unbound Elemental Lord','<Corrupted Elemental>','','','',255,9846,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710152,'a molten fragment','','','','',255,295,61,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710153,'Maizen','Maizen''s grim sorcerer','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710154,'a bored Sootfoot warrior','','','','',255,2900,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710155,'Kilbasa','Kilbasa''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710156,'a Sootfoot wizard','','','','',255,2900,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710157,'Charly Ashlash','','','','',255,2900,38,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710158,'Numkroc the Firestarter','','','','',255,2900,45,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710159,'a fire imp','','','','',255,6824,37,2,1,1,11,0,491,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710160,'a distracted Sootfoot lookout','','','','',255,2900,35,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710161,'Magnurmal','<Sootfoot Talent Society>','','','',255,2900,28,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710162,'Janer','A Sootfoot bonecaller''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710163,'a Sootfoot channeler','','','','',255,2900,38,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710164,'a Sootfoot bonecaller','','','','',255,2900,38,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710165,'a Sootfoot champion','','','','',255,2900,37,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710166,'a Sootfoot sage','','','','',255,2900,39,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710167,'a hungry goblin','','','','',255,2900,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710168,'Blisterzonk','<Sootfoot Talent Society>','','','',255,2900,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710169,'Boiltoe','<Sly Sootfoot Trader>','','','',255,2900,28,0,1,1,20,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710170,'Kabcar Trapitsa','<Sootfoot Family Favor Vendor>','','','',255,2900,25,0,1,1,10,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710171,'a magma worm','','','','',255,1375,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710172,'a flame walker','','','','',255,199,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710173,'a living magma','','','','',255,295,71,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710174,'Vantik','A Sootfoot bonecaller''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710175,'Abaddon','Laskod''s earthen avatar','','','',255,11216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710176,'a flaming globule','','','','',255,295,72,3,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710177,'a fire imp','','','','',255,6824,39,0,1,1,11,0,491,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710178,'a living magma','','','','',255,295,61,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710179,'Kibantik','A Sootfoot bonecaller''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710180,'Jostik','A Sootfoot bonecaller''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710181,'Kobtik','A Sootfoot bonecaller''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710182,'a lava creep','','','','',255,243,51,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710183,'a noxious emission','','','','',255,3691,68,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710184,'a fetid emission','','','','',255,3717,68,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710185,'a noxious emission','','','','',255,3691,69,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710186,'a noxious emission','','','','',255,3691,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710187,'Smapty','<Sootfoot Talent Society>','','','',255,2900,22,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710188,'Kipukas','<Sootfoot Talent Society>','','','',255,2900,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710189,'a flare reaper','','','','',255,3645,45,0,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710190,'a flare gladiator','','','','',255,3645,63,0,1,1,11,0,3823,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710191,'Vabaner','Nurmol''s undead knight','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710192,'Griblic Flametosser','','','','',255,2900,46,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710193,'element of fire','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710194,'a flare impaler','','','','',255,3645,46,0,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710195,'The Fiery Apparition','','','','',255,3645,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710196,'Tyrock Cleaver','','','','',255,4110,57,0,1,1,11,0,0,1,1,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710197,'Nurmol''s blighted horde','','','','',255,5000,26,7,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710198,'a soulbound Sol Ro historian','','','','',255,2842,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710199,'a soulbound Sol Ro historian','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710200,'Marathan Allim','','','','',3,1606,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710201,'Gobantik','Nurmol''s undead knight','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710202,'a vulcanu executioner','','','','',255,238,55,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710203,'a vulcanu slayer','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710204,'a hooded figure','<Follower of Ro>','','','',3,1596,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710205,'Civean Il''Pernod','<Prophet of Solusek Ro>','','','',3,1598,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710206,'Snowbunny','Healing Companion','','','',255,182,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710207,'Zarny','Ariachne''s undead knight','','','',255,12214,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710208,'Lovemummy','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710209,'Zonarn','XXXXXX''s grim sorcerer','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710210,'Wolfface','Jasminn''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710211,'Researcher Sel''Quar','<Order of Flame Researcher>','','','',1,116,38,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710212,'Assilus Poisonbolt','<Elemental Pattern Quartermaster>','','','',255,9846,38,0,1,1,10,0,0,0,0,1,0,0,32,1276,1276,0,0,13316,0,0,0,0,0,0,0,0,0,0,0,0),
(1710213,'Foulgill the Rotten','','','','',255,194,86,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710214,'Vibaner','XXXXXX''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710215,'an ablaze wormling','','','','',255,1375,96,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710216,'Snuggles','Magslyte''s earthen avatar','','','',255,6282,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710217,'Shimmerpaw','Kaylarra''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710218,'Saecred','Healing Companion','','','',255,182,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710219,'Fizzledingus','Diamonde''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710220,'Allexxa','Allexxa''s Personae Reflection','','','',9,113,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710221,'Whoja','Whoja''s earthen avatar','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710222,'Seals','Vigra''s familiar','','','',255,279,48,0,1,0,0,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710223,'Prisskilla','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710224,'Flame','Gajje''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710225,'Urzmat','Xooujaiqyhz''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710226,'qst_anchor_brazier_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710227,'widget_mine_cart',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710228,'qst_anchor_brazier_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710229,'qst_anchor_brazier_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710230,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710231,'qst_anchor_brazier_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710232,'qst_anchor_brazier_06',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710233,'widget_dragon_torch',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710234,'qst_anchor_brazier_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710235,'qst_anchor_brazier_07',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710236,'qst_anchor_brazier_09',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710237,'qst_heating_source',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710238,'lava forge',NULL,'','','',0,49,32,0,1,1,548,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710239,'qst_forge_rods',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710240,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710241,'qst_anchor_brazier_10',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710242,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710243,'qst_anchor_brazier_08',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710244,'channeling_spire_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710245,'channeling_spire_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710246,'widget_skull_spike',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710247,'qst_anchor_brazier_11',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710248,'qst_anchor_brazier_12',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710249,'qst_anchor_brazier_13',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710250,'qst_anchor_brazier_14',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710251,'qst_anchor_brazier_15',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710252,'widget_table_torch',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710253,'widget_skull_pole',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710254,'widget_lava_rocks',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710255,'widget_efreeti_mastery_tome',NULL,'','','',0,49,32,0,0,0,915,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710256,'channeling_spire_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710257,'channel_spire_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710258,'channeling_spire_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710260,'a pile of volcanic ash',NULL,'','','',0,2917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710261,'floor_barrel_any_ornate01',NULL,'','','',0,2563,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710263,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710264,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710266,'exp06 spire - complete',NULL,'','','',0,6145,32,0,0,0,0,0,0,0,0,0,0,0,1593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710267,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710268,'teleporter_temple',NULL,'','','',0,10006,12,0,1,1,0,0,0,0,0,0,0,0,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710269,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710270,'magmatic crystal',NULL,'','','',0,10019,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710271,'Void-Tainted Debris',NULL,'','','',0,6822,64,0,1,1,0,0,16914,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710272,'Void ward',NULL,'','','',0,10179,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710273,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710274,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710275,'void sword',NULL,'','','',0,8280,32,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710276,'Void Hammer',NULL,'','','',0,8282,32,0,1,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710277,'solusek floor cage',NULL,'','','',0,10122,17,0,1,0,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710278,'void_remnant',NULL,'','','',0,8264,16,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710279,'solro desk brazier',NULL,'','','',0,10052,32,0,1,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710280,'sol ro chair',NULL,'','','',0,6422,32,0,1,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710281,'cobalt long table',NULL,'','','',0,6427,32,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710282,'cobalt square table',NULL,'','','',0,6426,39,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710283,'solro bookcase 01',NULL,'','','',0,10008,32,0,0,0,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710284,'sol ro page',NULL,'','','',0,10015,32,0,1,0,0,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710285,'sol ro page',NULL,'','','',0,10014,32,0,1,0,0,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710286,'sol ro page',NULL,'','','',0,10013,31,0,1,0,0,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710287,'sol ro desk',NULL,'','','',0,10016,32,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710288,'solro bookcase 03',NULL,'','','',0,10010,32,0,0,0,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710289,'solro bookcase 02',NULL,'','','',0,10009,32,0,0,0,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710290,'quest book',NULL,'','','',0,10012,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710291,'small burlap rug',NULL,'','','',0,3524,21,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710292,'acrylia bench',NULL,'','','',0,6094,16,0,1,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710293,'candles_group01',NULL,'','','',0,6706,32,0,1,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710294,'solusek_ro_exceptional',NULL,'','','',0,6884,41,0,0,0,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710295,'temple_teleporter',NULL,'','','',0,10006,28,0,1,0,0,0,0,0,0,0,0,0,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710296,'temple diary quest book',NULL,'','','',0,10012,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710297,'sol ro bench',NULL,'','','',0,6423,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710298,'a Sootfoot mining cart',NULL,'','','',0,10093,32,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710299,'elemental invis cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710300,'dpo_glass_orb',NULL,'','','',0,10100,64,0,1,1,545,0,0,0,0,1,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710301,'void-touched elemental barrier',NULL,'','','',0,4544,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710302,'quest_void_barrier',NULL,'','','',0,6313,48,0,1,1,0,0,17724,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710303,'ice crystal',NULL,'','','',0,6186,32,0,1,1,0,0,1494,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710304,'Vul''Uzu Druzaic Shrine',NULL,'','','',0,1704,32,0,1,1,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710305,'Invisible allim release',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710306,'a harnessed lava spirit',NULL,'','','',255,9963,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710307,'marr_lion_dpo_cube_04',NULL,'','','',0,2306,32,0,1,1,547,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710308,'marr_lion_dpo_cube_01',NULL,'','','',0,2306,32,0,1,1,547,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710309,'marr_lion_dpo_cube_03',NULL,'','','',0,2306,32,0,1,1,547,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710310,'skeleton',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710311,'Dragon Torch',NULL,'','','',0,10007,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710312,'forged blade',NULL,'','','',0,2486,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710313,'bellows',NULL,'','','',0,1920,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710314,'anvil',NULL,'','','',0,10085,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710315,'a dusty barrel',NULL,'','','',0,1909,80,0,1,1,295,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710316,'damaged diary page 3',NULL,'','','',0,10014,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710317,'damaged diary page 2',NULL,'','','',0,10013,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710318,'marr_lion_dpo_cube_02',NULL,'','','',0,2306,32,0,1,1,547,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710319,'damaged diary page 1',NULL,'','','',0,10013,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710320,'damaged diary page 5',NULL,'','','',0,10014,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710321,'damaged diary page 4',NULL,'','','',0,10013,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710322,'badly mended smokestack',NULL,'','','',0,10083,32,0,1,1,0,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710323,'a pile of ash and rock',NULL,'','','',0,4476,9,0,1,1,0,0,18224,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710324,'coalbin spilled',NULL,'','','',0,10088,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710325,'Sootfoot Forge',NULL,'','','',0,10086,64,0,1,1,4,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710326,'okoute stone',NULL,'','','',0,6079,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710327,'a goblin-made spear',NULL,'','','',0,3674,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710328,'a goblin-made trap',NULL,'','','',0,2400,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710329,'flower vase',NULL,'','','',0,9488,22,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710330,'goblin_table_books',NULL,'','','',0,10050,32,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710331,'pillow_leather',NULL,'','','',0,7908,18,0,1,1,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710332,'darkcleanse_gravestone_03',NULL,'','','',0,2924,32,0,1,1,415,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710333,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2370,32,0,1,1,61,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710334,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1710335,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710336,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710337,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,1,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(1710338,'zone_to_lavastorm_epic02_gulch',NULL,'','','',0,49,32,0,0,0,101,0,0,0,0,1,0,0,87,0,0,0,0,0,171001,0,0,0,0,1,0,0,0,0,0,0),
(1710339,'teleporter',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710340,'to_exp05_dun_void_anchor',NULL,'','','',0,49,32,0,1,1,384,0,0,0,0,1,0,0,2217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710341,'najena_elevator_control',NULL,'','','',0,4499,32,0,0,0,148,1314,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710342,'To Najena''s Hollow',NULL,'','','',0,49,32,0,0,0,546,0,0,0,0,1,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710343,'To the Ward of Elements',NULL,'','','',0,49,32,0,1,1,546,0,0,0,0,1,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710344,'To the Deep Forge',NULL,'','','',0,49,32,0,0,0,546,0,0,0,0,1,0,0,380,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710345,'The Censer of Souls',NULL,'','','',0,1905,32,0,1,1,61,0,0,0,0,1,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710346,'Solusek''s Eye',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710347,'to_lavastorm_epic01_sanctum',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710348,'void_remnant',NULL,'','','',0,8264,16,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710349,'mariners_bell',NULL,'','','',0,16,32,0,1,1,927,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710350,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710351,'paltry roots',NULL,'','','',0,1731,27,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710352,'decrepit arbor',NULL,'','','',0,3936,29,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710353,'blackened shrubbery',NULL,'','','',0,4075,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710354,'metamorphic stone',NULL,'','','',0,3916,60,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710355,'flame licked ore',NULL,'','','',0,1724,10,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710356,'blackened animal den',NULL,'','','',0,4002,102,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710357,'brood of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710358,'brood of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710359,'magma wormling scale',NULL,'','','',0,3159,64,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710360,'lava crystal',NULL,'','','',0,3162,96,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710361,'Banner of Might',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710362,'Banner of Najena',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710363,'Banner of Ancient Mines',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710364,'Banner of Krombral',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710365,'Banner of Nagafen',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710366,'Banner of War',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710367,'Banner of Flame',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710368,'Banner of Marnek',NULL,'','','',0,1530,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710369,'a living blaze',NULL,'','','',255,19955,42,0,1,1,11,0,0,1,1,1,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710370,'Solusek''s Fist','','','','',255,169,48,0,1,1,0,0,0,1,1,1,0,0,37,350000,150000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1710371,'a basalt slider','','','','',255,2411,39,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1720000,'a flame spirit','','','','',255,3294,60,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1720001,'a lava guardian','','','','',255,169,16,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1720002,'Noble Dojorn','','','','',255,4033,128,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1720003,'a living lava flow','','','','',255,209,63,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1720004,'To lavastorm',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1730000,'Protectors of the flame','','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1730001,'Summoner of the Flame','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1730002,'Lava Born','','','','',255,3294,320,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1730003,'door_to_lavastorm',NULL,'','','',0,49,32,0,0,0,102,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740001,'','','','','',255,2306,25,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740002,'a ghoulish dancer','','','','',9,1521,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740003,'Lord Halcovian','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740004,'The Butler','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740005,'a black spider','','','','',255,205,12,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740006,'a rat','','','','',255,196,12,2,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740007,'Yilin Halcovian','','','','',6,78,19,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740008,'Teresthea Halcovian','','','','',6,79,19,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740009,'a mass of ectoplasmic goo','','','','',255,175,51,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740010,'a large black spider','','','','',255,205,44,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740011,'Lady Halcovian','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740012,'a large rat','','','','',255,196,41,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740013,'a ghoulish dancer','','','','',9,1521,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740014,'','','','','',255,2848,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740015,'Lord Halcovian','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740016,'Teresthea Halcovian','','','','',6,79,19,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740017,'The Butler','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740018,'a black spider','','','','',255,205,12,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740019,'a rat','','','','',255,196,10,1,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740020,'Yilin Halcovian','','','','',6,78,19,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740021,'a mass of ectoplasmic goo','','','','',255,175,51,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740022,'a large black spider','','','','',255,205,44,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740023,'Lady Halcovian','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740024,'a large rat','','','','',255,196,41,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740025,'door_bedroom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740026,'door_basement',NULL,'','','',0,49,32,0,1,1,365,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740027,'door_attic',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740028,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740029,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740030,'dpo_spiderweb_large02',NULL,'','','',0,5142,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740031,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740032,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740033,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740034,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740035,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740036,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740037,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740038,'wood_plank',NULL,'','','',0,4676,31,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740039,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740040,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740041,'qst_galintos_dresser_1',NULL,'','','',0,1414,42,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740042,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740043,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740044,'rug',NULL,'','','',0,4460,35,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740045,'qst_galintos_candelabra_1',NULL,'','','',0,1412,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740046,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740047,'rug',NULL,'','','',0,3513,26,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740048,'flat_brown_goldtrim_01',NULL,'','','',0,1453,31,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740049,'hum_shelf_simple_01',NULL,'','','',0,1491,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740050,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740051,'qey_butcherblock',NULL,'','','',0,1518,34,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740052,'Plain large bucket',NULL,'','','',0,1663,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740053,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740054,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740055,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740056,'speared skeleton',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740057,'orc_candle_01',NULL,'','','',0,1613,10,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740058,'card_table',NULL,'','','',0,1386,28,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740059,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740060,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740061,'human skull bashed 02',NULL,'','','',0,3000,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740062,'card_table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740063,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740064,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740065,'bone collection',NULL,'','','',0,2368,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740066,'qst_unseenhand_wine_1',NULL,'','','',0,1403,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740067,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,1,1,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740068,'qst_unseenhand_bunkbead_1',NULL,'','','',0,1385,32,0,1,1,0,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740069,'qst_galintos_stove_1',NULL,'','','',0,1423,32,0,1,1,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740070,'Vace Ornate Face',NULL,'','','',0,1665,31,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740071,'longsword_uncommon',NULL,'','','',0,1458,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740072,'bookcase_2',NULL,'','','',0,1410,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740073,'bookcase_1',NULL,'','','',0,1409,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740074,'fprt_chest_large_plain01',NULL,'','','',0,1498,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740075,'puzzle_cube',NULL,'','','',0,4456,9,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740076,'chair_1',NULL,'','','',0,1391,29,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740077,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740078,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740079,'goblin_cage01',NULL,'','','',0,1528,21,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740080,'hanging_meat01',NULL,'','','',0,1533,16,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740081,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740082,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740083,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740084,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740085,'bones_scattered_02',NULL,'','','',0,2987,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740086,'qey_crystal_globe',NULL,'','','',0,1513,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740087,'a small pillar',NULL,'','','',0,2904,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740088,'pillow_green',NULL,'','','',0,2751,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740089,'mushroom01_grp5',NULL,'','','',0,1740,31,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740090,'pillow_blue',NULL,'','','',0,2750,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740091,'Concordium science books stack',NULL,'','','',0,3027,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740092,'Concordium fiction and myth books stack',NULL,'','','',0,1607,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740093,'qey_table_desk_plain',NULL,'','','',0,1519,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740094,'qey_cage1',NULL,'','','',0,1495,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740095,'goblin_flag01',NULL,'','','',0,1530,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740096,'fprt_flowers_purple',NULL,'','','',0,1622,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740097,'effect_fogger',NULL,'','','',0,2306,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740098,'effect_fire_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740099,'effect_fire_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740100,'qst_galintos_mage_1',NULL,'','','',0,1417,41,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740101,'widget_dust_06',NULL,'','','',0,2655,32,0,1,1,1114,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740102,'widget_dust_05',NULL,'','','',0,1904,32,0,1,1,1115,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740103,'widget_dust_04',NULL,'','','',0,1665,32,0,1,1,1116,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740104,'widget_dust_03',NULL,'','','',0,1971,32,0,1,1,1117,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740105,'widget_dust_01',NULL,'','','',0,2776,32,0,1,1,1118,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740106,'widget_dirt',NULL,'','','',0,2917,32,0,1,1,1119,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740107,'moveable_painting_03',NULL,'','','',0,4256,32,0,1,1,52,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740108,'moveable_painting_02',NULL,'','','',0,4404,32,0,1,1,52,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740109,'moveable_painting_01',NULL,'','','',0,4233,32,0,1,1,52,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740110,'moveable_painting_00',NULL,'','','',0,1581,32,0,1,1,52,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740111,'Planter',NULL,'','','',0,1664,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740112,'fprt_hood_counter_wood_3mlong001',NULL,'','','',0,1507,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740113,'divider',NULL,'','','',0,10680,17,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740114,'widget_holysymbol',NULL,'','','',0,5781,16,0,1,1,1120,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740115,'invis_stopper_02',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740116,'fire_web',NULL,'','','',0,5141,12,0,1,1,0,0,0,0,0,0,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740117,'effect_fire_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740118,'effect_fire_00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740119,'halfling_candle_log01',NULL,'','','',0,1608,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740120,'qey_birdcage002',NULL,'','','',0,1494,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740121,'widget_dust_00',NULL,'','','',0,3002,32,0,1,1,1121,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740122,'invis_stopper_01',NULL,'','','',0,4544,16,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740123,'invis_stopper_00',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740124,'widget_board',NULL,'','','',0,4675,44,0,1,1,1122,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740125,'fx_kids_laughing',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740126,'widget_dust_02',NULL,'','','',0,2774,32,0,1,1,1123,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740127,'sign_cleaning_instructions',NULL,'','','',0,3497,42,0,1,1,1124,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740128,'corpse_butler',NULL,'','','',0,2431,32,0,1,1,1125,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740129,'corpse_polotician',NULL,'','','',0,2986,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740130,'corpse_lord',NULL,'','','',0,2989,45,0,1,1,1125,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740131,'corpse_girl',NULL,'','','',0,2989,19,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740132,'sign_broken_nails',NULL,'','','',0,2306,61,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740133,'corpse_cook',NULL,'','','',0,2988,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740134,'quest_gnomish_telescope',NULL,'','','',0,2999,36,0,1,1,1126,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740135,'sign_tip_jar',NULL,'','','',0,1420,21,0,1,1,1127,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740136,'corpse_bartender',NULL,'','','',0,3000,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740137,'sign_heavy_coin',NULL,'','','',0,2813,6,0,1,1,140,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740138,'corpse_boy',NULL,'','','',0,2990,19,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740139,'sign_zombie_note',NULL,'','','',0,3323,32,0,1,1,511,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740140,'sign_board_no',NULL,'','','',0,4676,12,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740141,'sign_board_entry',NULL,'','','',0,5086,12,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740142,'fire_candle',NULL,'','','',0,1613,32,0,1,1,1128,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740143,'sign_redrum',NULL,'','','',0,2306,74,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740144,'sign_eye',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740145,'sign_lords_notes',NULL,'','','',0,3497,41,0,1,1,1124,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740146,'corpse_naysayer',NULL,'','','',0,2990,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740147,'sign_bowl_of_food',NULL,'','','',0,1419,32,0,1,1,1129,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740148,'sign_kids_note',NULL,'','','',0,3550,32,0,1,1,1124,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740149,'sign_sap',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740150,'corpse_lady',NULL,'','','',0,2989,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740151,'corpse_key',NULL,'','','',0,2989,32,0,1,1,1125,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1740152,'zone_exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750000,'Fire','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750001,'Brimstone','Jamia''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750002,'Kebker','','','','',255,5096,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750003,'Jobarer','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750004,'Xonann','Starrun''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750005,'Colonel \"Mutt\" Fiddletwang','','','','',5,121,32,0,1,1,9,0,11422,0,0,1,0,0,16,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750006,'a patron','','','','',14,105,32,0,1,1,0,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750007,'a rowdy patron','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750008,'Edvan','<The Burglars>','','','',7,108,32,0,1,1,0,0,11500,0,0,1,0,0,17,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750009,'Dustaine','<The Burglars>','','','',7,108,32,0,1,1,0,0,11500,0,0,1,0,0,17,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750010,'Rothgar','<The Burglars>','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,17,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750011,'Blingo','<The Burglars>','','','',7,108,32,0,1,1,0,0,11500,0,0,1,0,0,17,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750012,'Gilin Rockbreath','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750013,'Gergy Gigglegibber','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750014,'Rasel Alechaser','<Brewer>','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750015,'Mraugl Stonecrusher','<Bartender>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,601,601,0,0,32129,0,0,0,0,0,0,0,0,0,0,0,0),
(1750016,'Valla Brewhammer','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750017,'Balin Copperfoot','<Merchant>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,32131,0,0,0,0,0,0,0,0,0,0,0,0),
(1750018,'Buzzed','<Snoogle''s Portable Flying Kegerator>','','','',255,6287,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750019,'Snoogle Blitzed','<Inventor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750020,'Bouncer McGattle','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750021,'Milkshake','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750022,'Badjax','Lojax''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750023,'a patron','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750024,'Gilin Rockbreath','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750025,'Kharis','Kharis''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750026,'Andramada','Andramada''s Personae Reflection','','','',9,1443,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750027,'Useless','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750028,'Gosarer','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750029,'Well','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750030,'Tealwraith','Tealwraith''s earthen avatar','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750031,'Blackpepper','Blackpepper''s grim sorcerer','','','',255,9227,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750032,'door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750033,'door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750034,'zone_to_lounge',NULL,'','','',0,49,32,0,1,1,1043,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1750035,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770000,'a dusty vase','','','','',255,4564,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770001,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770002,'a mist grinnin fisher','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770003,'a mist grinnin brute','','','','',255,1346,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770004,'a bloated muckfly','','','','',255,2389,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770005,'a larval feeder','','','','',255,284,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770006,'a mist grinnin herbalist','','','','',255,1346,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770007,'a Neonate vanquisher','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770008,'a Neonate satiator','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770009,'Khasra D''Han','','','','',1,4634,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770010,'a crumbling wall','','','','',255,4642,35,3,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770011,'a dusty coffin','','','','',255,4602,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770012,'a fleshgoyle','','','','',255,4545,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770013,'a ravenous feeder','','','','',255,284,89,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770014,'a bloated muckfly','','','','',255,2389,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770015,'a mist grinnin theurgist','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770016,'a hellhound','','','','',255,4527,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770017,'a mist grinnin ruffian','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770018,'a flesh draped knight','','','','',9,4542,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770019,'a mist grinnin sporechanter','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770020,'a watcher of Sheya','','','','',255,273,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770021,'a frenzied fleshgoyle','','','','',255,4545,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770022,'an albino hatchling','','','','',255,227,95,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770023,'a soul parasite','','','','',255,236,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770024,'a mist grinnin netslinger','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770025,'a jagmouth','','','','',255,204,80,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770026,'Underbite','','','','',255,204,160,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770027,'an Adherant slayer','','','','',1,4631,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770028,'an Adherant seer','','','','',1,4633,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770029,'an Adherant diabolist','','','','',1,4637,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770030,'an Adherant satiator','','','','',1,4634,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770031,'a Neonate ravager','','','','',1,4632,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770032,'Ruen T''Dax','','','','',1,4636,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770033,'a Bloodsworn diabolist','','','','',1,4634,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770034,'a Bloodsworn vanquisher','','','','',1,4631,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770035,'a flesh draped swordsman','','','','',9,4539,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770036,'an Adherant vanquisher','','','','',1,4631,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770037,'a Neonate seer','','','','',1,4632,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770038,'a Neonate diabolist','','','','',1,4633,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770039,'a flesh draped mage','','','','',9,4535,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770040,'an Adherant ravager','','','','',1,4632,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770041,'an albino cave snake','','','','',255,227,143,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770042,'a mist grinnin angler','','','','',255,1346,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770043,'a mist grinnin savage','','','','',255,1346,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770044,'a Neonate slayer','','','','',1,4636,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770045,'a Bloodsworn slayer','','','','',1,4632,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770046,'a Bloodsworn seer','','','','',1,4634,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770047,'a Bloodsworn satiator','','','','',1,4632,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770048,'a Bloodsworn ravager','','','','',1,4637,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770049,'Nilth T''Feyd','','','','',1,4634,44,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770050,'Vieya N''Larn','','','','',1,4633,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770051,'a mist grinnin witchclaw','','','','',255,1346,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770052,'a drained grinnin','','','','',255,1346,41,0,1,1,0,0,11769,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770053,'The Leucous Maw','','','','',255,227,191,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770054,'an Adherant slayer','','','','',1,4632,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770055,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770056,'zone_to_nektulos',NULL,'','','',0,49,32,0,0,0,117,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770057,'quest_symbol_two_coffin',NULL,'','','',0,4602,32,0,1,1,777,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770058,'zone_to_crypt_of_thaen_lower',NULL,'','','',0,49,32,0,1,1,778,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770059,'zone_to_crypt_thaen_middle',NULL,'','','',0,49,32,0,1,1,778,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770060,'quest_symbol_two_coffin',NULL,'','','',0,4602,32,0,1,1,777,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1770061,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780003,'a dark patron','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780004,'an attendant of Everling','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780005,'Vantek','<Eldin''s grim revenant>','','','',255,3654,32,0,1,1,0,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780006,'a patchwork soldier','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,1,35,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780007,'a patchwork soldier','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780008,'Master Eldin Necrosis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780009,'a priestess of Ullkorruuk','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780011,'a froglok ghoul assassin','','','','',255,77,32,0,1,1,9,0,496,0,0,1,0,0,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780012,'a prisoner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780013,'an obsidian gargoyle','','','','',255,1370,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780014,'A Jailed Skeleton','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780015,'a Thexian guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,125,36,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780016,'an eidolon watchdog','','','','',255,3882,32,0,1,1,11,0,496,1,1,1,0,1,36,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780017,'a prisoner','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780018,'a prisoner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780019,'Spectral Dark Lord','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780020,'a Thexian jailer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,125,36,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780023,'a house everling jester','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780025,'Elise''s Diary','','','','',255,280,48,0,1,1,1319,0,0,0,0,1,0,0,9,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780026,'a patchwork handler','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,1,35,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780027,'an Everling stable boy','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780028,'a swine','','','','',255,272,32,0,1,1,11,0,0,1,1,1,0,1,17,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780029,'a Thexian guard','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,125,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780030,'an attendant of Everling','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780031,'a crumb hunter','','','','',255,196,16,0,1,1,11,0,0,1,1,1,0,0,12,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780032,'an apprentice chef','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780033,'a Thexian blacksmith','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,125,36,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780034,'an apprentice blacksmith','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780036,'an Everling manservant','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780037,'a necropolis scavenger','','','','',255,196,16,0,1,1,11,0,0,1,1,1,0,0,12,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780038,'an Everling manservant','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780039,'Pelleas','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780040,'an Everling manservant','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,1,32,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780041,'a book fiend','','','','',255,281,64,0,1,1,11,0,0,1,1,1,0,1,9,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780044,'a crour scavenger','','','','',255,233,16,0,1,1,11,0,0,1,1,1,0,0,12,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780047,'a lesser mimic','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780053,'ollix_room_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780055,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780056,'dungeon_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780058,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780059,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780060,'courtyard_east_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780061,'courtyard_east_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780063,'chapel_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780064,'chapel_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780066,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780067,'guestroom2_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780068,'guestroom1_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780069,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780070,'gameroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780071,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780072,'banquet_hall_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780074,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780075,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780076,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780077,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780078,'main_stair_door_east',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780079,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780080,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780081,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780082,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780083,'eunoch_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780085,'maltus_room_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780086,'eunoch_door3',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780087,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780088,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780089,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780090,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780091,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780092,'lady_everling_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780093,'eunoch_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780094,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780095,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780096,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780097,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780098,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780099,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780100,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780103,'p19_elise_secret_door_key',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780104,'deirdre_wall_scontz_trap',NULL,'','','',0,49,32,0,0,0,782,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780111,'p19_elise_secret_door_scontz',NULL,'','','',0,49,32,0,0,0,782,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780114,'widget_iron_maiden',NULL,'','','',0,49,32,0,0,0,1316,0,0,0,0,1,1,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780116,'balcony_library_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780117,'barracks_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780118,'barracks_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780119,'elise_secret_door',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780120,'elise_bedroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780121,'secret_artifact_room_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780122,'library_hall_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780123,'library_hall_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780124,'deidre_secret_door_hallway',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780126,'deidre_bedroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780127,'sheila_bedroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780129,'jennie_bedroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780130,'wine_cellar_tomb_secret_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780131,'foyer_balcony_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780132,'foyer_balcony_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780133,'guestroom3_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780137,'everlings_quarters_door2',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780138,'(unnamed)',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780139,'melanie_bedroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780140,'crysta_bedroom_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780143,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780144,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780145,'daughters_ambush_secret_door4',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780152,'p52_wine_rack_01',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780155,'p52_wine_rack_02',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780158,'p52_wine_rack_4',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780159,'p52_wine_rack_05',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780160,'p52_wine_rack_03',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780161,'tome_mastery_ghost_widget',NULL,'','','',0,49,32,0,0,0,784,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780162,'widget_green_soup',NULL,'','','',0,49,32,0,0,0,1318,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780163,'p49_bed_diary_search',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780167,'p34_sheila_dresser',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780168,'(unnamed)',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780171,'floor_dummy_any_training01',NULL,'','','',0,4467,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780172,'nektropos mounted boars head',NULL,'','','',0,2111,32,0,0,0,61,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780173,'nektropos barracks lockerbox',NULL,'','','',0,1936,35,0,0,0,61,0,0,0,0,1,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780174,'training_dummy001',NULL,'','','',0,1543,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780175,'nektropos mounted swineshead',NULL,'','','',0,2111,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780180,'elisewallscotnz',NULL,'','','',0,1433,32,0,0,0,782,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780181,'deirdrewallscotnz',NULL,'','','',0,1433,32,0,0,0,782,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780182,'Closet for garments in tower basement',NULL,'','','',0,1913,32,0,0,0,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780184,'everling runed stove',NULL,'','','',0,2108,32,0,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780186,'breadbox locked in nektropos pantry',NULL,'','','',0,2102,13,0,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780187,'everling library bookstack two',NULL,'','','',0,1607,32,0,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780189,'zone_nektropos_to_nektulos',NULL,'','','',0,49,32,0,0,0,117,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780190,'a crour scavenger',NULL,'','','',255,233,16,0,1,1,1,0,0,1,1,1,0,0,32,776,776,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780191,'Pestilence Seeker',NULL,'','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,32,776,776,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780192,'a dark patron',NULL,'','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,1,32,801,801,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780193,'an obsidian gargoyle',NULL,'','','',255,1370,32,0,1,1,11,0,0,1,1,1,0,1,32,776,776,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780194,'Inquisitor of Ullkorruuk',NULL,'','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780195,'Elise''s Handmaiden',NULL,'','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780196,'Sheila''s Handmaiden',NULL,'','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780197,'Crysta''s handmaiden',NULL,'','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780198,'Jenni''s handmaiden',NULL,'','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780199,'a swine fiend',NULL,'','','',255,170,39,0,1,1,11,0,491,1,1,1,0,0,32,776,776,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780200,'a family portrait',NULL,'','','',255,3200,12,0,0,0,0,0,0,0,0,0,0,0,32,801,801,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780201,'Alexa',NULL,'','','',255,132,32,0,1,1,9,0,496,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780202,'Crysta''s canvas',NULL,'','','',255,2561,32,0,0,0,790,0,0,0,0,0,0,0,32,801,801,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780203,'a doll of Nyth',NULL,'','','',255,149,9,0,1,1,11,0,0,1,1,0,0,0,32,851,851,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780204,'Swine Lord',NULL,'','','',255,170,32,0,1,1,11,0,0,1,1,0,0,1,32,801,801,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780205,'a patchwork fleshripper','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780206,'a Thexian diplomat','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,125,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780207,'a Thexian diplomat','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,125,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780211,'a patchwork soldier','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780212,'a patchwork soldier','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780215,'a deranged adventurer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780223,'bookminion illusionist','','','','',255,281,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780224,'a Librarian','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780236,'a patchwork captain','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780243,'Jenni Everling','','','','',255,132,32,0,1,1,11,0,0,1,1,1,0,0,35,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780245,'Sheila''s Handmaiden','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780252,'Varantik','Jenni Everling''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780255,'an Everling sentinel','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780257,'an Everling sentinel','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780258,'a codex fiend','','','','',255,283,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780259,'a lexicon fiend','','','','',255,283,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780261,'Zonn','A Thexian landlord''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780262,'Vareker','A Thexian landlord''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780263,'a Thexian landlord','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,125,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780265,'a lost traveler','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780267,'an Everling caretaker','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780268,'a decaying corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780272,'Sheila Everling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780273,'Elise Everling','','','','',255,132,32,0,1,1,11,0,0,1,1,1,0,0,43,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780274,'a doll of Nyth','','','','',255,149,7,1,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780275,'Melanie Everling','','','','',255,132,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780276,'Crysta Everling','','','','',255,132,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780277,'Jenni''s Teacher','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780278,'Deirdre Everling','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780279,'Archfiend Izzoroth','','','','',255,1585,57,0,1,1,11,0,492,1,1,1,0,0,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780281,'a bile soaked rat','','','','',255,233,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780282,'Guard Captain Ga''vin','','','','',255,161,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780283,'Tinmizer''s Ominous contraption','','','','',255,230,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780284,'a discombobulated gore','','','','',255,294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780285,'a deathwatch beetle','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780286,'Anobiidae','','','','',255,208,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780287,'a tome fiend','','','','',255,279,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780288,'a tome fiend','','','','',255,279,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780290,'Ollix Everling','','','','',255,134,25,0,1,1,9,0,496,0,0,1,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780291,'a patchwork fleshripper','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780292,'a patchwork magus','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780293,'The Juggernaught','','','','',255,161,44,0,1,1,11,0,0,1,1,1,0,1,35,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780294,'a Patchwork laborer','','','','',255,143,32,0,1,1,0,0,0,0,0,1,0,0,36,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780295,'Varobn','Maltus Everling''s grim thulian','','','',255,146,32,0,1,1,11,0,0,0,1,1,0,0,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780296,'Maltus Everling','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780297,'a Patchwork laborer','','','','',255,143,32,0,1,1,0,0,0,0,0,1,0,0,36,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780298,'','','','','',255,273,96,0,0,0,0,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780301,'p53_sliding_door_right',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780302,'p53_sliding_door_left',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780304,'maltus_tomb_secret_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780307,'wives_tomb_secret_door_east',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780312,'tomb_corridor_secret_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780315,'secret_laboratory_entrance_secret_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780323,'wine_cellar_secret_passage_secret_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780333,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780336,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780347,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780353,'inspect_cauldronofalkabor',NULL,'','','',0,49,32,0,0,0,61,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780354,'p59_alana_trigger',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780355,'p59_sarcophogus_trap',NULL,'','','',0,49,32,0,0,0,162,0,0,0,0,1,1,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780356,'p59_wives_scontz',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780357,'widget_crystal_ball',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780358,'tome_mastery_fairy_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780360,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780371,'p60_ambush_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780374,'p60_ambush_04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780376,'wine_cellar_tomb_secret_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780380,'',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780381,'basement_secret_door',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780382,'tomb_corridor_secret_door2_lower',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780387,'p60_ambush_03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780388,'p60_ambush_02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780392,'daughters_ambush_secret_door3',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780393,'wives_tomb_secret_door_raise',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780394,'p59_wives_secret_door_raise',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780395,'p53_scroll_of_opening',NULL,'','','',0,49,32,0,0,0,440,0,0,0,0,1,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780396,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780397,'p53_secret_door_opener',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780400,'(unnamed)',NULL,'','','',0,49,32,0,0,0,511,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780401,'p47_sword_holder',NULL,'','','',0,49,32,0,0,0,61,26,0,0,0,1,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780405,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780406,'secret_laboratory_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780407,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780409,'widget_bad_book',NULL,'','','',0,49,32,0,0,0,118,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780412,'longsword_uncommon',NULL,'','','',0,1458,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780418,'everling library bookstack one',NULL,'','','',0,1607,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780419,'Guise of the Deceiver scroll',NULL,'','','',0,4172,32,0,0,0,780,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780420,'Guise of the Deceiver book',NULL,'','','',0,4169,32,0,0,0,781,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780421,'Tome of Coldain Kinship',NULL,'','','',0,2600,32,0,0,0,0,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780427,'Everling twin serpent chest with heirloom',NULL,'','','',0,1936,32,0,0,0,61,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780433,'the circle of the rag dolls',NULL,'','','',0,2306,51,0,0,0,785,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780434,'an etched cobblestone, a sprocket',NULL,'','','',0,13,8,0,0,0,786,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780435,'an etched cobblestone, paintbrush',NULL,'','','',0,13,8,0,0,0,786,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780436,'an etched cobblestone, a bird',NULL,'','','',0,13,7,0,0,0,786,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780437,'an etched cobblestone, a hairbrush',NULL,'','','',0,13,7,0,0,0,786,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780438,'an etched cobblestone, flower',NULL,'','','',0,13,7,0,0,0,786,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780439,'an etched cobblestone, crossed swords',NULL,'','','',0,13,7,0,0,0,786,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780443,'Melanie''s canopic',NULL,'','','',0,2872,18,0,0,0,789,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780445,'Sheila''s mirror',NULL,'','','',0,4448,42,0,0,0,791,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780446,'a fermented elixir',NULL,'','','',255,3692,32,0,1,1,11,0,0,1,1,1,0,0,32,450,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780447,'Marionette of Nyth',NULL,'','','',255,166,48,0,1,1,11,0,0,1,1,1,0,0,32,500,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1780448,'exit portal',NULL,'','','',255,2306,32,0,0,0,1321,0,11376,0,0,1,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790000,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790001,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(1790002,'Journey''s End','','','','',0,2557,32,0,0,0,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790003,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790004,'a hate blossom','','','','',9,1738,64,0,0,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790005,'a shambling flesh being','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790006,'Valten Darkcleanse','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790007,'a demented fiend','','','','',255,4545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790008,'artifact adder 2','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790009,'a patchwork fleshripper','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790010,'artifact adder 3','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790011,'artifact adder 1','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790012,'a Defender of Growth','<Paladin of Tunare>','','','',8,136,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790013,'Vargbend Cogwinder','<Ekroosik''s Replicators>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790014,'a distressed merchant','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790015,'artifact adder 4','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790016,'a tamed griffin','','','','',255,225,32,0,1,1,9,0,11191,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790017,'a disturbed corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790018,'a damaged cart','','','','',0,2242,33,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790019,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790020,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790021,'Seamist Fairy Nerina','','','','',255,164,16,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790022,'Seamist Fairy Yasinta','','','','',255,164,12,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790023,'Mariner Guard Balstrom','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,117,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790024,'Seamist Fairy Faellia','','','','',255,164,12,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790025,'Seamist Fairy Apatia','','','','',255,164,12,0,1,1,9,0,0,0,0,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790026,'Ensign Larkin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790027,'Inaill Icoryk','','','','',10,103,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,10539,0,0,0,0,0,0,0,0,0,0,0,0),
(1790028,'Dyrina Springfyre','<General Goods>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,751,751,0,0,10540,0,0,0,0,0,0,0,0,0,0,0,0),
(1790029,'Taskmaster D''Zran','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790030,'Mariner Guard Inget','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,117,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790031,'Harold Winemaster','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790032,'Captain Corrigan','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790033,'Fisherman Aurvill','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790034,'Fisherman Djaani','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790035,'Shady Swashbuckler XVIII','','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,10547,0,0,0,0,0,0,0,0,0,0,0,0),
(1790036,'a Nerius crab','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790037,'Jawharah Izzah','<Shady Erudite>','','','',3,1594,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,42058,0,0,0,0,0,0,0,0,0,0,0,0),
(1790038,'Da''ud Kateb','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790039,'Zsik Nee','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790040,'Burvich','<Mender>','','','',13,65,32,0,1,1,12,9,0,0,0,1,0,0,19,451,451,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1790041,'a Nerius fiddler','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790042,'Daisy Winterhope','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790043,'a ferocious Nerius crab','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790044,'Bain Rockfist','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790045,'a Bit of Flotsam','','','','',9,2401,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790046,'The Traveling Augur','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790047,'a shoreline shark','','','','',255,242,54,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790048,'a shoreline barracuda','','','','',255,194,54,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790049,'Harbormaster T''Krit','<Harbormaster>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790050,'a Nerius Pirate Captain','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790051,'Fisherman Draylix','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790052,'a Nerius pirate','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790053,'a forest leaper','','','','',255,244,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790054,'Draylix','','','','',255,1585,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790055,'a dusk dart','','','','',255,204,54,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790056,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790057,'Nevis Yewkus','<Pondo''s Warder Mercenary>','','','',0,1471,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790058,'Quartermaster of the Brethren','','','','',6,79,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,14931,0,0,0,0,0,0,0,0,0,0,0,0),
(1790059,'Laren Jadefire','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790060,'Cryptomancer Nasrara','','','','',1,1587,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790061,'a torch','','','','',9,3194,32,0,1,1,601,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790062,'Nayli R''Ger','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790063,'Dirin Thilae','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790064,'Thraixe Il''ferrai','','','','',3,1599,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790065,'Keryx Darkblade','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790066,'K''shar Haelbreng','','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790067,'Dannian Blackleaf','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790068,'a bloated soul leech','','','','',255,209,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790069,'Quartermaster of the Hand','','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,14942,0,0,0,0,0,0,0,0,0,0,0,0),
(1790070,'Investigator Dahno','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790071,'Tarren Marrsen','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790072,'Aleeshi Monala','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790073,'Bernd Frostbeard','','','','',0,1467,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790074,'Ytheri Coldtouch','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790075,'Arthial the Protector','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790076,'Trelech Stonehome','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790077,'a river stone','','','','',255,152,9,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790078,'a guardian mist grinnin','','','','',255,1346,28,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790079,'a mist shriller','','','','',255,239,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790080,'a Nek feeder','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790081,'a rose of Innoruuk','','','','',9,1523,8,0,0,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790082,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790083,'a Nek wasp scavenger','','','','',255,276,64,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790084,'a shadowmaw kodiak','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790085,'an ash wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790086,'spiteweed','','','','',9,1737,19,0,0,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790087,'Varn','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790088,'a shadowed man','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790089,'a blood shriller','','','','',255,239,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790090,'a Gul''Thex revenant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790091,'an immense tree snake','','','','',255,213,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790092,'a haze stalker','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790093,'a Gul''Thex cleric','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790094,'a Gul''Thex lieutenant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790095,'a Gul''Thex heretic','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790096,'Stro D''proi','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790097,'a Freeport Militia sentry','','','','',9,134,31,3,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790098,'a torrent beaver','','','','',255,207,32,0,1,1,11,0,0,1,1,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790099,'a murkbloom forager','','','','',255,5096,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790100,'a soul leech','','','','',255,209,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790101,'a shade spinner','','','','',255,243,31,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790102,'Jonovan the Young','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790103,'Noxhil V''Sek','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790104,'Tanny Granville','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790105,'Daryus Springfyre','<General Goods>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,27711,0,0,0,0,0,0,0,0,0,0,0,0),
(1790106,'Arqis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790107,'Mugwump','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790108,'a tamed griffon','','','','',255,225,32,0,1,1,9,0,11191,0,0,1,0,0,40,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790109,'a griffon tamer','','','','',9,18978,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790110,'Stalker Pulsarian','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790111,'Theeral the nomad','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790112,'a scrawny nek feeder','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790113,'Lieutenant Kaneth','','','','',9,134,31,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790114,'Kleron Asana','','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790115,'a shriller','','','','',255,239,47,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790116,'a cackling cadaver','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790117,'an ash shriller','','','','',255,239,47,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790118,'an ash viper','','','','',255,213,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790119,'a dead militia guard','','','','',9,134,31,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790120,'a Nightfall giant','','','','',255,3812,32,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790121,'Queen Thayilia','','','','',255,181,41,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790122,'a rumbleroot','','','','',255,274,76,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790123,'a timid dusk leaper','','','','',255,245,31,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790124,'a scrounging ghoul','','','','',255,4672,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790125,'a nek crawler','','','','',255,5020,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790126,'a deadly rumbleroot','','','','',255,274,76,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790127,'a dusk leaper','','','','',255,245,31,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790128,'a firelight shriller','','','','',255,2393,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790129,'a clockwork owlbear','','','','',255,270,9,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790130,'Millie Flunknuttle','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790131,'an ash owlbear','','','','',255,270,17,8,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790132,'an elder ash owlbear','','','','',255,270,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790133,'an elder ash owlbear','','','','',255,270,9,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790134,'a Nek wasp','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790135,'a motley kodiak','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790136,'a sap urchin','','','','',255,6256,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790137,'Tilberbous','','','','',255,212,92,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790138,'a grizzled shadowmaw kodiak','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790139,'an angry Nek wasp','','','','',255,276,64,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790140,'a mottled kodiak','','','','',255,198,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790141,'a Thexian scout','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790142,'a Cave Bear','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790143,'Rylana','','','','',6,79,32,0,1,1,889,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790144,'a Thexian assassin','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790145,'a Thexian Vin guard','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790146,'a Thexian assassin','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790147,'a Thexian scout','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790148,'a Thexian Vin guard','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790149,'Zibann','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790150,'a Thexian Vin chosen','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790151,'Kabobn','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790152,'a Thexian ruffian','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790153,'a Thexian scout','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790154,'Lenn','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790155,'Xekn','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790156,'Gogas Afadin','','','','',1,4966,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790157,'Vober','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790158,'a Thexian ruffian','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790159,'Larantik','A Thexian Vin chosen''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790160,'a Thexian Vin chosen','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790161,'Lann','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790162,'Vonann','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790163,'a Dragoon sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790164,'a Dragoon patrolman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790165,'a Dragoon sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790166,'Dragoon K''Naae','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790167,'Kixizor Z''Nast','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790168,'a Thexian Vin chosen','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790169,'Gabarer','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790170,'Dragoon E`Brona','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790171,'an egg infested carcass','','','','',255,198,32,0,1,1,0,0,0,0,0,1,0,0,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790172,'a thexian searcher','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790173,'a Nek wasp larva','','','','',255,209,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790174,'a lost dragoon','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790175,'an Asilian diviner','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790176,'an Asilian vandal','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790177,'a high elf planetologist','','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790178,'a wood elf scout','','','','',15,114,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790179,'a halfling explorer','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790180,'a wood elf scout','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790181,'a halfling explorer','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790182,'a murkbloom defender','','','','',255,5096,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790183,'a murkbloom feeder','','','','',255,5096,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790184,'Vanquisher Sharhan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790185,'Josaner','Kyalie''s grim sorcerer','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790186,'Dalninia','','','','',255,181,22,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790187,'a lost sentry','','','','',9,134,31,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790188,'Kitty Valencia','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790189,'a lesser sap urchin','','','','',255,6256,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790190,'Jhos T`sein','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790191,'a mist grinnin savage','','','','',255,1346,28,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790192,'a shadow wolf','','','','',255,1374,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790193,'a rotheart treant','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790194,'a rotting follower of Grelkor','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790195,'a blacktimber treant','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790196,'Daria','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790197,'Bizrik Gebble','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790198,'Darin Hufftin','','','','',2,1484,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790199,'Sergeant Cornelius','','','','',9,134,32,2,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790200,'Szin Te''val','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790201,'an arbiter of the trials','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790202,'a quetzanek','','','','',255,277,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790203,'Captain D''Lex','','','','',9,290,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790204,'a blacktimber bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790205,'a decaying flesh being','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790206,'a patchwork man','','','','',255,161,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790207,'a Sullian partisan','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790208,'Koylinite','','','','',255,1370,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790209,'an ash wraith','','','','',255,296,32,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790210,'a murkbloom watcher','','','','',255,5096,16,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790211,'a Sullian fairy','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790212,'Mathra','','','','',6,79,31,2,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790213,'an ashland piranha','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790214,'Field Investigator Chel Morgan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790215,'a Sullian corruptor','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790216,'Loyalist Erityire','','','','',255,181,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790217,'Queen Dyleena','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790218,'Zesnitra K`Jartan','<Vermin Keeper>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790219,'a ravenous soul leech','','','','',255,209,48,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790220,'a scavenging ghoul','','','','',255,4672,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790221,'a deathbloom treant','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790222,'a deathbloom bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790223,'a Dragoon sentry','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790224,'a Dragoon sylth','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790225,'Kryssa Valixx','','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790226,'a Dragoon captain','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790227,'a Dragoon dirth','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790228,'The Keeper of Secrets','','','','',255,171,96,0,1,1,9,0,0,0,0,1,0,0,112,1126,1126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790229,'a shadowed man','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790230,'a leatherfoot trickster','','','','',255,2847,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790231,'a vengeful soul','','','','',255,2848,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790232,'a leatherfoot tracker','','','','',255,2848,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790233,'a Tunarian quartermaster','<Crafting Fuels>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790234,'Tunarian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790235,'Rulinthus','','','','',255,212,128,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790236,'a Nightfall Shaman','','','','',255,3805,32,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790237,'a voracious Nek wasp','','','','',255,276,64,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790238,'a Nek wasp sentry','','','','',255,276,70,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790239,'a ravenous nek wasp larva','','','','',255,209,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790240,'Quargos De''Vazin','<Brotherhood defector>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790241,'a ravenous ghoul','','','','',255,4672,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790242,'Mezzaluna','Doktour''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790243,'a mist grinnin','','','','',255,1346,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790244,'an ashland wisp','','','','',255,296,32,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790245,'Lisabelle','Lisabelle''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790246,'a Gul''Thex mystic','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790247,'Paddlefoot','','','','',255,207,41,0,1,1,11,0,0,1,1,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790248,'a shade spinner','','','','',255,243,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790249,'a vile shade spinner','','','','',255,243,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790250,'a Gul''Thex captain','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790251,'a Gul''Thex sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790252,'a Dragoon lieutenant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790253,'a Dragoon captain','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790254,'a Dragoon sentinel','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790255,'a Gul''Thex patrolman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790256,'Private Doopy','','','','',255,2848,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790257,'Lord J''Narus','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790258,'a Nerius hermit','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790259,'Torq De''Rech','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790260,'Bruhn K''Viir','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790261,'a Nerius bandit','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790262,'a Nerius vandal','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790263,'a Nerius seer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790264,'a Nerius marauder','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790265,'a Camp Fire','','','','',9,2019,64,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790266,'a Nerius snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790267,'a ferocious nek wasp','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790268,'a Nerius foreman','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790269,'a Nerius marauder','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790270,'a Nerius dockhand','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790271,'Grandma Blumble','','','','',255,2847,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790272,'a Nerius Commander','','','','',9,134,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790274,'Jaeta H''arn','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790275,'a mysterious drakota','','','','',255,5987,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790276,'a wood elf scout','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790277,'a halfling explorer','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790278,'Forager Mukket','','','','',255,5096,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790279,'Dragoon J`Rais','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790280,'Skevya','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790281,'a corpse beetle','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790282,'Jarann','A high elf planetologist''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790283,'a high elf planetologist','','','','',8,135,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790284,'Vorr','','','','',255,242,54,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790285,'a Gul''Thex revenant','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790286,'a Gul''Thex high guard','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790287,'a Gul''Thex ravager','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790288,'a Gul''Thex cleric','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790289,'Lord Pazin Punox','','','','',1,115,32,0,1,1,0,0,496,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790290,'Captain T''Sanne','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790291,'a high elf planetologist','','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790292,'Xosobtik','A high elf planetologist''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790293,'Kabobtik','A high elf planetologist''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790294,'obscured spiderling','','','','',255,205,28,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790295,'Agelidaes','','','','',255,205,176,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790296,'Foulfeather','','','','',255,270,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790297,'Zonaner','A Thexian Vin chosen''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790298,'Kobarer','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790299,'Kabarer','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790300,'Gaber','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790301,'Jebekn','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790302,'Xenn','A Thexian Vin chosen''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790303,'Gabann','A Thexian Vin chosen''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790304,'Xenekn','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790305,'Xenab','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790306,'Magus K''Tilev','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790307,'Kasarer','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790308,'Jiber','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790309,'Jarer','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790310,'Vonartik','A high elf planetologist''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790311,'Dalarim','<Megalith Carver>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790312,'Kurista','<Servant of Growth>','','','',255,6488,32,0,1,1,9,0,11100,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790313,'Tolla Clorto','<Defender of Growth>','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790314,'Elwe','<Menhir Carver>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790315,'Banker Bogfoot','<Banker>','','','',7,108,32,0,1,1,14,9,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790316,'Rootblighter','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790317,'Sullian Royal Vicar','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790318,'Sullian Royal Vizier','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790319,'Sullian Royal Defender','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790320,'Mevraneth','','','','',255,4545,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790321,'a supply vigilante','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790322,'Apollo','Ilyendin''s frostpaw kitten','','','',255,13657,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790323,'Ilyendin','Ilyendin''s Personae Reflection','','','',9,113,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790324,'a mysterious drakota','','','','',255,238,32,0,1,1,11,0,17788,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790325,'Papercut','Nooker''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790326,'a Gate Caller scion','<Teleportation to the Overrealm>','','','',3,1588,32,0,1,1,9,0,0,0,0,1,0,0,34,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790327,'Quellithulian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790328,'Momo','','','','',255,270,6,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790329,'Altius Volfban','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790330,'Mimi','Mimi''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790331,'Zalu','Zalu''s Elemental Dominance','','','',255,8307,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790332,'a baby owlbear','','','','',255,270,6,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790333,'Gibarab','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790334,'Zenekab','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790335,'Gonarer','Kahol''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790336,'Celeste','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790337,'Imsi','Simsi''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790338,'Catsby','Twisp''s tellurian myrmidon','','','',255,8303,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790339,'Vladd','Oatunub''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790340,'Dommi','Dommi''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790341,'a Nerius fiddler','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790342,'a Nerius crab','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790343,'a Nerius hermit','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790344,'Lanab','A high elf planetologist''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790345,'a ferocious Nerius crab','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790346,'Booloo','Booloo''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790347,'Meat','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790348,'Meat','Wolfwench''s tellurian champion','','','',255,5862,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790349,'Kerowynn','','','','',255,6312,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790350,'Kong','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790351,'Snookies','Nemetona''s romance','','','',9,2306,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790352,'Rockie','Nemetona''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790353,'Tater','Tilelce''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790354,'a Nerius Tactician','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790355,'a Nerius snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790356,'Soylent','Soylent''s Possessed Essence','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790357,'a Nerius scoundrel','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790358,'Quelmar','Quelmar''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790359,'Morejuce','Juce''s Personae Mirror','','','',9,1598,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790360,'clockwork owlbear','','','','',255,270,9,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790361,'Pooka','','','','',255,270,9,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790362,'Geker','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790363,'Gingersnaps','Byronica''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790364,'Tyller','Tyller''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790365,'a Gul''Thex mystic','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790366,'a Gul''Thex captain','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790367,'Trogdor','Ardhlor''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790368,'Nekromel','Nekromel''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790369,'Nekromel','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790370,'Wolf','Dragonwolf''s tellurian myrmidon','','','',255,152,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790371,'a Nerius Scallywag','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790372,'Stravinski','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790373,'Jasartik','Plililie''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790374,'swarming piranha','','','','',255,204,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790375,'a Thexian Vin guard','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790376,'Kararer','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790377,'Goser','A Thexian Vin chosen''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790378,'Xastik','A Thexian Vin chosen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790379,'quest_tartons_wheel_dena',NULL,'','','',0,49,32,0,1,1,893,0,0,0,0,1,1,0,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790380,'',NULL,'','','',0,49,32,0,1,1,894,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790381,'inspect_thex_monument03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790382,'inspect_thex_monument02',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790383,'inspect_thex_shrine',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790384,'inspect_thex_monument01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790385,'',NULL,'','','',0,49,32,0,1,1,895,0,0,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790386,'',NULL,'','','',0,49,32,0,1,1,896,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790387,'tome_mastery_treant_widget',NULL,'','','',0,49,32,0,0,0,186,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790388,'(unnamed)',NULL,'','','',0,49,32,0,1,1,895,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790390,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790391,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790392,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790393,'barricade_long',NULL,'','','',0,1556,32,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790394,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790395,'Leanto',NULL,'','','',0,2020,32,0,1,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790396,'fprt_crate_large_militaryboarded01',NULL,'','','',0,6263,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790397,'crate_large_long001',NULL,'','','',0,1497,12,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790398,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790399,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790400,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790401,'rug',NULL,'','','',0,1669,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790402,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790403,'floor_bunkbed_human_step01',NULL,'','','',0,2963,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790405,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790406,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790407,'commonlandsmap01',NULL,'','','',0,1404,9,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790408,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790409,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790411,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790412,'exp07 druid ring - stage 3 - on',NULL,'','','',0,13824,32,0,0,0,0,0,0,0,0,0,0,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790413,'fprt_hood_table_small01',NULL,'','','',0,1516,25,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790414,'goblin_brazier01',NULL,'','','',0,1547,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790415,'orc_candle_01',NULL,'','','',0,1613,12,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790416,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,17,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790417,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790418,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790419,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790420,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790421,'solusek ro brazier',NULL,'','','',0,1619,48,0,1,1,149,0,0,0,0,1,1,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790422,'card_table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790423,'egg_ice_01',NULL,'','','',0,1667,192,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790424,'taskmaster papers',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790425,'taskmaster papers',NULL,'','','',0,3553,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790426,'teleportation cube',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790427,'void_object_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790428,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790429,'a large scroll',NULL,'','','',0,2544,13,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790430,'nekf_tent_large_purple001',NULL,'','','',0,4656,32,0,1,1,0,0,0,0,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790431,'qst_unseenhand_wine_1',NULL,'','','',0,1403,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790432,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,1,1,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790433,'gravedirt02',NULL,'','','',0,2916,62,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790434,'chair_1',NULL,'','','',0,1391,29,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790435,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790436,'ext01_grain_sack01',NULL,'','','',0,3536,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790437,'ext01_grain_sacks01',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790438,'ext01_barrel',NULL,'','','',0,2569,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790439,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790440,'taskmaster desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790441,'nektulos_small_red',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790442,'floor_crate_darkelf_wood02',NULL,'','','',0,2678,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790443,'solo_quest_torq_remains_2',NULL,'','','',0,1847,78,0,1,1,432,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790444,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790445,'a wooden cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790446,'Orc Tent',NULL,'','','',0,2379,32,0,1,1,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790447,'ext01_bon_ground_lamp',NULL,'','','',0,2719,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790448,'ext01_bon_tent01',NULL,'','','',0,2293,45,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790449,'ext01_bon_chair',NULL,'','','',0,2645,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790450,'ext01_barrel_on_side',NULL,'','','',0,2568,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790451,'ext01_bon_tent02',NULL,'','','',0,4656,32,0,1,1,0,0,0,0,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790452,'ext01_bon_lamp_post',NULL,'','','',0,3459,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790453,'ext01_hom_tent01',NULL,'','','',0,4617,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790454,'ext01_hom_stone_brazier',NULL,'','','',0,3456,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790455,'ext01_hom_fire_ring',NULL,'','','',0,2019,52,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790456,'ext01_hom_chair',NULL,'','','',0,3053,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790457,'ext01_large_gray_tent',NULL,'','','',0,2816,32,0,1,1,0,0,0,0,0,0,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790458,'ext01_hom_tent02',NULL,'','','',0,4616,32,0,1,1,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790459,'papers',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790460,'nekf_mushroom_a_mature',NULL,'','','',0,1523,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790461,'nekf_mushroom_a_young',NULL,'','','',0,1524,30,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790462,'Vul''Zet Druzaic Shrine',NULL,'','','',0,1704,32,0,1,1,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790463,'fprt_crate_small_military01',NULL,'','','',0,6264,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790464,'dog carcase',NULL,'','','',0,2371,38,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790465,'quest_vzash_debris03',NULL,'','','',0,4476,16,0,1,1,839,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790466,'An Aged Old Skeleton',NULL,'','','',0,1847,32,0,1,1,1387,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790467,'qey_table_desk_plain',NULL,'','','',0,1519,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790468,'owlbear_nest',NULL,'','','',0,2400,17,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790469,'an ornate dagger',NULL,'','','',0,4050,32,0,1,1,771,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790470,'nektulos_mini02',NULL,'','','',0,4669,11,0,1,1,0,0,0,0,0,0,0,0,657,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790471,'a_halfling_wagon',NULL,'','','',0,1380,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790472,'a discarded bottle',NULL,'','','',0,2621,32,0,1,1,890,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790473,'quest_vzash_debris01',NULL,'','','',0,4476,16,0,1,1,839,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790474,'an unusual dagger',NULL,'','','',0,1860,32,0,1,1,891,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790475,'quest_vzash_debris02',NULL,'','','',0,4476,16,0,1,1,839,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790476,'canopic jar laying',NULL,'','','',0,2873,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790477,'canopic jar large',NULL,'','','',0,2872,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790478,'an eldritch stone desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790479,'draconic_widget05',NULL,'','','',0,4184,16,0,0,0,449,0,0,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790480,'qst_solo_scout_barrel_2',NULL,'','','',0,1389,19,0,1,1,892,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790481,'qst_solo_scout_barrel_1',NULL,'','','',0,1389,23,0,1,1,892,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790482,'qst_solo_scout_barrel_3',NULL,'','','',0,1389,19,0,1,1,892,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790483,'solo_quest_torq_remains_3',NULL,'','','',0,1847,47,0,1,1,432,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790484,'solo_quest_torq_remains_1',NULL,'','','',0,1847,62,0,1,1,432,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790485,'exp07 druid ring - stage 1',NULL,'','','',0,13703,32,0,1,1,0,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790486,'exp07 druid ring - stage 3',NULL,'','','',0,13713,32,0,1,1,0,0,0,0,0,0,0,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790487,'ext01_grinnin_tent',NULL,'','','',0,1544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790488,'Setri Lur''eth',NULL,'','','',255,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790489,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1790490,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790491,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790492,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1790493,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,4032,0,0,0,0,0,0,0,0),
(1790494,'zone_to_nektropos_final',NULL,'','','',0,1347,32,0,1,1,112,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790495,'zone_nektulos_to_nektropos',NULL,'','','',0,49,32,0,0,0,119,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790496,'zone_to_haven',NULL,'','','',0,1489,32,0,1,1,45,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790497,'Vision of Hate',NULL,'','','',0,8185,9,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790498,'to_tombs_of_night_from_nektulos',NULL,'','','',0,49,32,0,0,0,602,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790499,'nektulos_mini03',NULL,'','','',0,4667,32,0,1,1,603,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790500,'Dire Hollow',NULL,'','','',0,49,32,0,1,1,604,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790501,'',NULL,'','','',0,49,32,0,1,1,605,0,0,0,0,0,0,0,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790502,'mushroom_small',NULL,'','','',0,2283,52,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790503,'nektulos_mini01',NULL,'','','',0,49,32,0,1,1,840,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790504,'zone_nektulos_to_commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790505,'zone_to_necro',NULL,'','','',0,4665,12,0,1,1,897,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790506,'jumbled_bones08',NULL,'','','',0,2369,132,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790507,'rotten_log',NULL,'','','',0,1752,65,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790508,'huge_skull_door_right',NULL,'','','',0,1437,20,0,1,1,46,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790509,'huge_skull_door_left',NULL,'','','',0,1436,20,0,1,1,46,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790510,'solo_qst_altar',NULL,'','','',0,1617,39,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790511,'gravestone_4',NULL,'','','',0,1549,61,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790512,'gravestone_5',NULL,'','','',0,1549,51,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790513,'gravestone_3',NULL,'','','',0,1854,78,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790514,'gravestone_2',NULL,'','','',0,1549,57,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790515,'gravestone_1',NULL,'','','',0,1549,62,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790516,'gravestone_6',NULL,'','','',0,1854,73,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790517,'The grave of Yasinia Simond',NULL,'','','',0,2916,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790518,'The grave of Yasinia Simond',NULL,'','','',0,6444,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790519,'a_canoe',NULL,'','','',0,1904,55,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790520,'old_stump',NULL,'','','',0,1551,9,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790521,'halfling_cart',NULL,'','','',0,1380,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790522,'Lucky_Mushroom',NULL,'','','',0,49,32,0,1,1,898,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790523,'zone_to_nektulos_epic01_cauldroncove',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790524,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1042,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790525,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1071,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790526,'zone_to_live_enchanted_grotto01',NULL,'','','',0,10329,48,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790527,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1130,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790528,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1131,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790529,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1132,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790530,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1133,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790532,'Rotting Tree Stump',NULL,'','','',0,49,32,0,1,1,605,0,0,0,0,0,0,0,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790533,'(unnamed)',NULL,'','','',0,49,32,0,1,1,898,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790535,'Grave of Yashina',NULL,'','','',0,2916,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790536,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790537,'eventide stone',NULL,'','','',0,2210,49,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790538,'rancid roots',NULL,'','','',0,1731,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790539,'putrescent duskwood arbor',NULL,'','','',0,3941,34,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790540,'polluted natural garden',NULL,'','','',0,4077,40,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790541,'swarm of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790542,'swarm of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790543,'beast den',NULL,'','','',0,4004,46,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790544,'penumbra ore',NULL,'','','',0,1668,21,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790545,'a maturing owlbear egg',NULL,'','','',0,3419,80,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790547,'a magilith',NULL,'','','',0,2210,22,0,1,1,1,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790548,'a massive magilith',NULL,'','','',0,2210,38,0,1,1,1,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790549,'a mega-magilith',NULL,'','','',0,2210,64,0,1,1,1,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790550,'a clutch of griffon eggs',NULL,'','','',0,5200,48,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790551,'a fresh owlbear egg',NULL,'','','',0,3419,80,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790552,'Kenny',NULL,'','','',255,15389,32,0,1,1,0,0,24579,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790553,'quest_meatbeast_purple',NULL,'','','',255,21191,32,0,1,1,0,0,0,1,1,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790554,'a deathbloom treant','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790555,'canopic jar large',NULL,'','','',0,2872,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1790556,'Taskmaster D''Zran',NULL,'','','',0,116,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810000,'a frail wall','','','','',255,4642,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810001,'a D''Morte house guard','','','','',9,4539,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810002,'a D''Morte operative','','','','',9,4536,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810003,'a D''Morte house vizier','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810004,'a D''Morte cleanser','','','','',9,4538,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810005,'a D''Morte guard captain','','','','',255,2852,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810006,'Alicon D''Morte','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810007,'Zendra D''Morte','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810008,'Hval D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810009,'Lasarab','Yillandris D''Morte''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810010,'Yillandris D''Morte','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810011,'Cahl D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810012,'Sinege D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810013,'Omartin D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810014,'Vober','Lucin D''Morte''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810015,'Lucin D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810016,'Jergaeth D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810017,'Blensiir D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810018,'Kalten D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810019,'Kebekn','Narjin D''Morte''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810020,'Narjin D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810021,'Vander D''Morte','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810022,'Erila D''Morte','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810023,'dmorte_grave_00',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810024,'dmorte_grave_10',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810025,'dmorte_grave_09',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810026,'dmorte_grave_12',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810027,'dmorte_grave_11',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810028,'dmorte_grave_04',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810029,'dmorte_grave_03',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810030,'dmorte_grave_13',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810031,'dmorte_grave_08',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810032,'dmorte_grave_07',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810033,'dmorte_grave_06',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810034,'dmorte_grave_05',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810035,'dmorte_grave_02',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810036,'dmorte_grave_01',NULL,'','','',0,49,32,0,1,1,838,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810037,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810038,'breakable_collision_small_wall',NULL,'','','',0,4686,32,0,1,1,0,0,0,0,0,0,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810039,'thaen_coffin_00',NULL,'','','',0,2879,32,0,1,1,837,0,2604,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810040,'dpo_wall',NULL,'','','',0,4642,28,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1810041,'zone_to_nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830000,'Nevis Yewkus','<Pondo''s Warder Mercenary>','','','',0,1471,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830001,'a muddy pup','','','','',255,216,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830002,'a vase','','','','',255,4564,80,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830003,'a muddy wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830004,'a matted direwolf','','','','',255,1374,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830005,'a grimy pup','','','','',255,216,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830006,'a muddy wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830007,'a blotchfur grizzly','','','','',255,198,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830008,'a frail wall','','','','',255,4642,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830009,'a grimy wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830010,'a vase','','','','',255,4564,43,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830011,'Mustcoat','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830012,'a vase','','','','',255,4564,92,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830013,'a dingy bear','','','','',255,198,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830014,'a dingy bear','','','','',255,198,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830015,'a mottled cub','','','','',255,198,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830016,'a mottled grizzly','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830017,'a dingy bear','','','','',255,198,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830018,'a dingy bear','','','','',255,198,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830019,'a vase','','','','',255,4564,69,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830020,'a young bonesnapper','','','','',255,270,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830021,'a stippled bonesnapper','','','','',255,270,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830022,'a young bonesnapper','','','','',255,270,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830023,'a young bonesnapper','','','','',255,270,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830024,'a tomb tarantula','','','','',255,244,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830025,'a visebeak bonebreaker','','','','',255,270,54,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830026,'a visebeak bonebreaker','','','','',255,270,54,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830027,'a visebeak cub','','','','',255,270,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830028,'a visebeak cub','','','','',255,270,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1830029,'',NULL,'','','',0,49,32,0,0,0,117,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840000,'Timeless Chronomage','','','','',3,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840001,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840002,'Oolieamim','<Master Sage>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840003,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840004,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840005,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840006,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840007,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840008,'Grabby Gigglegibber','<Treat Trader>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840009,'a Nights of the Dead merchant','','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,4958,0,0,0,0,0,0,0,0,0,0,0,0),
(1840010,'S''mara Mooregan','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840011,'Freid Deekat','<Gigglegibber Goblin-ish>','','','',11,100,16,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840012,'Quavune Y''Ousslyl','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840013,'Larinil Do''Fretlar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840014,'Zezas X''Zauzin','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840015,'Xunthara V''Meltar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840016,'Inune T''Alezin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840017,'Beldrin De''Hunflor','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840018,'Vuzstra K''Ozith','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840019,'Nedtree S''Oriarn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840020,'Sacrym Ulnas','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840021,'Divton T''Szelyl','<The Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840022,'Vittia Direshadow','<Shadowguard Mercenary>','','','',1,4965,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840023,'Gandol Deathwing','<Bonecaster Mercenary>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840024,'Fileth Do''Myar','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840025,'Tarselus D''Veghym','<Wholesaler>','','','',9,4537,38,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,6319,0,0,0,0,0,0,0,0,0,0,0,0),
(1840026,'Vernice Go''Diirun','<Wholesaler>','','','',9,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,6320,0,0,0,0,0,0,0,0,0,0,0,0),
(1840027,'Patellas X''Vint','<Shieldsmith>','','','',255,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,6321,0,0,0,0,0,0,0,0,0,0,0,0),
(1840028,'Zanotix Ixtaz','<Mender>','','','',9,4559,48,0,1,1,12,9,0,0,0,1,0,0,36,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1840030,'a skittish cave spider','','','','',255,243,19,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840031,'Rakshar Bucha','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840032,'Maszt X''Godezin','<General Goods>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,6326,0,0,0,0,0,0,0,0,0,0,0,0),
(1840033,'Tracee Aprilia','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840034,'Mur''ss Z''Hel''Viiryn','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840035,'a vagabond','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840036,'Vincent Aprilia','<Wholesaler>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840037,'Fibulon N''Feret','<Weaponsmith>','','','',255,4542,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840038,'Sabisstra Z''Ziett','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840039,'Exporter Makarios','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840040,'Importer Targin','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840041,'Izzerin D''Vythiurden','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840042,'N''Glorion M''Oriquendi','<Neriak Ambassador>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840043,'a cave spider','','','','',255,243,12,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840044,'Erthtel T''Baenafin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840045,'a menacing cave spider','','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840046,'Vornerin T''Orviir','<Wholesaler>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840047,'Mayffyn J''Tyhazynge','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840048,'Xullna De''Vethimtor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840049,'Laeshalee S''Zeaar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840050,'M''Kai N''Faer','<Dread Guard>','','','',17,6486,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840051,'Ultra','<Dread Guard>','','','',255,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840052,'Bhinaun D''Godeiryn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840053,'a House De''Tretlar slave','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840054,'Bhari Dramigan','<Tradeskill Fuel>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840055,'Gandol Deathwing','<Neriakmercs'' Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840056,'Neerdril Do''Orighym','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840057,'Alyda Vlonniss','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840058,'a courtesan','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840059,'Jareth J''Zyani','<Exotic Poisons>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840060,'S''Handa De''Arnsek','<Crafting Recipes>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840061,'Phlagra N''tiri','<Alchemist>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,6355,0,0,0,0,0,0,0,0,0,0,0,0),
(1840062,'Starm N''Tiri','<Alchemist>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,6356,0,0,0,0,0,0,0,0,0,0,0,0),
(1840063,'a House X''Rzheduis slave','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840064,'Ilztaonar V''Setiate','<General Goods>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840065,'Vittia Direshadow','<Neriakmercs'' Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840066,'Stamper Jeralf','<Zolltim''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840067,'a house imp','','','','',255,6824,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840068,'Gandol Deathwing','<Neriakmercs'' Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840069,'Vittia Direshadow','<Neriakmercs'' Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840070,'Ambassador V''Nox','<Change of Citizenship>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840071,'Shyntoj','','','','',255,6824,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840072,'Vornd B''Texineld','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840073,'Maycice K''Zirret','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840074,'Uhlslaunim H''Everhath','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840075,'The Gem of Dominion','','','','',255,309,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840076,'Durrysn B''Kiltar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840077,'a cave spider','','','','',255,243,12,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840078,'a hellhound','','','','',255,7240,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840079,'Ch''hok Mik''Tokk','<House Pets>','','','',17,6487,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840080,'Imtel K''Myth','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840081,'Ginda B''Vaate','<Tailor>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840082,'Quardax D''Tekenrae','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840083,'Shi''nae K''Eilsth','<Provisioner>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8795,0,0,0,0,0,0,0,0,0,0,0,0),
(1840084,'Chaxta Do''Lorien','<Provisioner>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8796,0,0,0,0,0,0,0,0,0,0,0,0),
(1840085,'Maxle V''Xiafin','<Bartender>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8797,0,0,0,0,0,0,0,0,0,0,0,0),
(1840086,'Jareth D''Veers','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840087,'Antryne T''Zirret','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840088,'Charvon Earsnipper','<Barber>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,8800,0,0,0,0,0,0,0,0,0,0,0,0),
(1840089,'Brixae V''Noquett','<Jeweler>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840090,'a Neriak ooze','','','','',255,299,9,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840091,'Chaszzt J''Rzherae','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840092,'Pietre V''Noquett','<Assistant>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840093,'Vuzyrd Do''Kenval','','','','',255,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840094,'Molryne T''Viervs','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840095,'Ssaptyrr K''Taziiryn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840096,'Zakoyn B''Zazin','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840097,'Va''ljss Z''Szear','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840098,'Zilvstin X''Claddtlar','<Ebon Mask>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840099,'Phyxerin Z''Zsiep','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840100,'Vicbreena T''Qhavirr','<Ebon Mask>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840101,'Szorral T''Vezixin','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840102,'Vykko T''Lach','<Ebon Mask>','','','',2,115,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840103,'Vicna Te''Oris','<Fortune Teller>','','','',9,4536,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840104,'Divimar G''Zule','<Ebon Mask Taskmaster>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840105,'Stavia T''per','<Beastlord Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(1840106,'Kelryne V''Ziath','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840107,'Izzolg J`Axx','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840108,'Carvox M''Laeren','<Ebon Mask>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840109,'Tierra Pettengill','<Ranger Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(1840110,'Rhylinil K''Helviurden','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840111,'Caltar D''Zauett','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840112,'Anteth Z''Vazin','<Ebon Mask>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840113,'Gohrae K''Mytyl','<Brigand Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(1840114,'Qillara T''Despth','<Assassin Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(1840115,'Magister De''Pater','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840116,'Yazhiir H''Xel''Yll','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840117,'Pellankiira S''Xemtor','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840118,'Aunthrae K''Vuetyl','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840119,'Aundiira X''Rzheth','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840120,'Tazoyn K''Maemtor','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840121,'Zakafein V''Myani','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840122,'Jarad D''Oxamtor','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840123,'Bardan K''Qhotar','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840124,'Jhaelonia K''Zaurae','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840125,'Lararra V''Zaar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840126,'Xilania Nevagon','<Seraph of Hate>','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840127,'Uhlsvayas D''Freana','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840128,'Xunica B''Rethiett','<Warden Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(1840129,'Goor D''Arkund','<Inquisitor Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(1840130,'Alaunquiri N''Hunep','<Fury Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(1840131,'Althrae T''Vivirr','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840132,'Li''Neerlay J''Qhetar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840133,'Phyrriina Z''Tazival','<Defiler Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(1840134,'Yann Graysmark','<Monk Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(1840135,'Sharor Y''Rzheate','<Bruiser Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(1840136,'Driseyl V''Tazizin','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840137,'Quilafein H''Tyhaduis','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840138,'Nathffyn Do''Vinitar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840139,'Eruvin T`Kix','<Zealot of Innoruuk>','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840140,'Menele Gaines','','','','',9,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840141,'Marthe Gaines','','','','',9,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840142,'Adintrin Du''Voy','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840143,'Dorvias N''Keth','<Archpriest of Innoruuk>','','','',1,4966,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840144,'Haine Corbould','<Templar Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(1840145,'Nalgloth V''Xyafin','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840146,'Patellor Tibian','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840147,'Drizgloth X''Rzheep','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840148,'Akorqualyn K''Frearn','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840149,'Sornoj V''Arkenneld','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840150,'Ilivnolu X''Taziate','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840151,'Iraenitra Do''Tyriervs','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840152,'Martok K''Fauxx','<Linguist>','','','',17,6487,41,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840153,'Ethedra R''Vinival','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840154,'Bhinin X''Noqurae','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840155,'Tobey Whiskertrail','<Broker>','','','',13,70,32,0,1,1,20,9,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840156,'Nhilisstra D''Eilsth','<Banker>','','','',1,116,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840157,'Phyravin D''Vaar','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840158,'Grandmaster Zyrythius','<Trades Coordinator>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840159,'Goryn Do''Ulnas','<Bowyer>','','','',9,138,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840160,'Vuzin D''Noqurret','<Alchemist>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8872,0,0,0,0,0,0,0,0,0,0,0,0),
(1840161,'Alaunnolu D''Xaate','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840162,'Alydra V''Orivirr','<Wholesaler>','','','',17,6486,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840163,'Dilxena D''Xeep','<Crafting Trainer>','','','',9,116,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840164,'Tarven J''Oussana','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840165,'Vier N''vul','<Tradeskill Career Counsellor>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840166,'Trago Softfist','<Provisioner>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840167,'Ninnie Tarbelly','<Provisioner>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840168,'Welvica X''Arkentar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840169,'Vlonynda H''Tekenarn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840170,'Sharnar D''Zauer','<The Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840171,'Grabs O''Shankley','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840172,'Trask McVarland','','','','',13,65,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840173,'Ssapnolu Do''Te''Ximtor','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840174,'Kacha X''Rzheduis','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840175,'Joran D''Plinth','<Banker>','','','',1,115,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840176,'Invayas Z''Auvryzin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840177,'Tsabrar De''Kenmtor','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840178,'Sabzyne N''Zindar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840179,'Acquisitions Expert Kyri Velkyn','<Dark Bargainers Merchant>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840180,'Zezmyr D''Setirret','<Rush Orders>','','','',9,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840181,'Szinjss X''Vemtor','<Tradeskill Tutorial>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840182,'Phyrlochar Do''Vethiarn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840183,'Malleus Incus','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840184,'Bruhlin Z''Viarn','<Armorsmith>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8896,0,0,0,0,0,0,0,0,0,0,0,0),
(1840185,'Brute','<Dread Guard>','','','',255,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840186,'T''Traene X''Xxtar','<Dread Guard>','','','',17,6487,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840187,'Sinune V''Rethiep','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840188,'Erelithra V''Zemtor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840189,'Rylaghar D''Qhandar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840190,'Scapulus, the Muddled','<The Spurned>','','','',9,4538,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840191,'Tazroos B''Veett','<The Spurned>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840192,'Wodnar Z''Aleanzin, the Example','<The Spurned>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840193,'Yasdra X''Zeraana','<The Spurned>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840194,'Drise Z''Torzin','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840195,'Librarian Mervyn T''Xiett','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840196,'Szinryn Z''Rxoxin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840197,'Altondor Z''Zsirahel','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840198,'Briztree D''Rzheflor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840199,'Jonobtik','Dartain''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840200,'Librarian Inka','<Historical Researcher>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840201,'Dartain','','','','',3,1598,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840202,'Va''Idax K''Tyriep','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840203,'Tazinid Z''Ret','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840204,'Rauvryne B''Vaval','<Warlock Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(1840205,'Alabreena De''Auvrylyl','<The Spurned>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840206,'Felyndiira T''Taziund','<Coercer Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(1840207,'Noeplil','','','','',255,6824,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840208,'Zezaghar D''Arkenth','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840209,'Neerral J''Zerath','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840210,'ensorcelled stone','<The Spurned>','','','',255,311,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840211,'Dindrin Y''Rhineld','<Wizard Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(1840212,'Laexae K''Oziana','<The Spurned''s Agent of Acquisitions>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840213,'Akorra J''Trezin','<The Spurned>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840214,'Viclin D''Rhivirr','<The Spurned>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840215,'Malual K''Oziarn','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840216,'Chalolin D''Zeiryn','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840217,'Quilvyr Z''Setiiryn','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840218,'Nourdine Cazin','<Illusionist Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(1840219,'The Queen','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840220,'a Teir''Dal male','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840221,'The Narrator','','','','',17,6486,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840222,'an audience member','','','','',17,6486,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840223,'an audience member','','','','',17,6486,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840224,'an audience member','','','','',17,6487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840225,'an audience member','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840226,'an audience member','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840227,'Pudlonar','','','','',1,4548,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840228,'an assassin','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840229,'Reverend Valac','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840230,'Typhonus J''Nix','<Theater Master>','','','',255,6490,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840231,'J''Xon T''Zandar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840232,'Chaszzyr Do''Rilyntar','<Troubador Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(1840233,'J''Lal, Manservant','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840234,'Herrod, Manservant','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840235,'Madam Gael','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840236,'Lazarus D''Ryil, Hate''s Fool','','','','',255,6490,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840237,'Lalitha D''Ryil','','','','',255,6521,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840238,'Hadrian D''Ryil','','','','',255,4635,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840239,'Aren D''Ryil','','','','',255,6491,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840240,'Ilphtana V''Vaafin','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840241,'Erelkiira D''Zityl','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840242,'Filfjss H''Godeafin','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840243,'Lesaonar D''Zvirahel','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840244,'Brizlay Do''Oussval','<Dirge Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(1840245,'Chalthara V''Zeraep','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840246,'Jarainil D''Helviarn','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840247,'Erthas B''Tyrival','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840248,'Talmur''ss V`Sek','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840249,'Quevolg S''Torate','<Dread Guard Recruiter>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840250,'Akore K''Despara','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840251,'an Arasai male','','','','',17,6487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840252,'Goeyl Z''Vuear','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840253,'Malagafein Do''Vythiep','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840254,'Naddinn B''Kilate','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840255,'Wodoj H''Aleiryn','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840256,'Vuzrysn D''Vethiflor','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840257,'Nalraen De''Claddurden','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840258,'Zintra De''Oziana','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840259,'Neerssysn T''Zyzin','<Shadowknight Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(1840260,'Talace Z''Eilsath','<Necromancer Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(1840261,'Neervayas T''Vilyl','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840262,'Alakomph J''Xetar','<The Dead>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840263,'T''rissk X''Xylimtor','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840264,'Lartana T''Tyhalyl','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840265,'X''Ta De''Xy''Lifor','<The Dead>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840266,'Wruznolu Z''Auv''Ryndar','<The Dead>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840267,'Rilda D''Vzhiarn','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840268,'Inaste Z''Zizin','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840269,'Abraxas','<Queen Cristanos'' Familiar>','','','',255,4545,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840270,'Queen Cristanos','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840271,'Princess Sulsera','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840272,'Prince Tarant Thex','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840273,'Seldsatlab K''Vethiate','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840274,'Szinerin Do''Xeth','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840275,'Masimar V''Rilynlyl','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840276,'Adinree De''Trendar','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840277,'a manservant','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840278,'Vasraena K''Aleanzin','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840279,'Wodas J''Aleanund','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840280,'Urlraen K''Rethixin','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840281,'Durnet Do''Vuexin','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840282,'Duagatlab R''Zeraett','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840283,'Rizjra Z''Setineld','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840284,'a loyal worshiper','','','','',17,6487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840285,'Sornril V''Qherret','<The Dead>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840286,'Tazvyll K''Zsirae','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840287,'Alaundra Z''Zyep','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840288,'Nador V''Oziar','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840289,'Pazu','<Eliha''s Construct of Hate>','','','',255,6824,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840290,'Vierae X`Lottl','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840291,'Minxae Z''Melth','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840292,'Eliha, Scion of the Dead','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840293,'Minkacha K''Xiar','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840294,'Alal','<Eliha''s Construct of Hate>','','','',255,1585,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840295,'Marax','<Eliha''s Construct of Hate>','','','',255,4545,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840296,'Ardulwyss K''Rzheghym','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840297,'Merton V''Baenrae','<Work Orders>','','','',9,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840298,'a Teir''Dal female','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840299,'Tazdax R''Zeamtor','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840300,'Hatchafein T''Valyl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840301,'Jysquarra J''Vythixin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840302,'Pellanlochar D''Rhirahel','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840303,'Quilvyll D''Zeana','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840304,'Reloninid D''Aleanlyl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840305,'Krenirahc X''Tyhaflor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840306,'Ilivxae T''Zvixin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840307,'Wehlinid D''Xylith','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840308,'Wruzvyll H''Aleervs','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840309,'Amalgloth V''Xixin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840310,'Jarahriir D''Barriani','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840311,'Elvoyss H''Godezin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840312,'Ilivkiira X''Ousstlar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840313,'Goaghar T''Ozivirr','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840314,'Billy Dramigan','','','','',9,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840315,'Maggie Dramigan','','','','',9,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840316,'Janey Dramigan','','','','',9,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840317,'Riley Aprilia','','','','',9,50067,22,0,1,1,351,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840318,'Tria L''Belk','<Advancement Counsel>','','','',1,116,32,0,1,1,22,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840319,'Shuffles','','','','',255,140,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840320,'Phesta','','','','',255,7183,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840321,'a gelding','','','','',255,6846,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840322,'Jayson V''rhees','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840323,'Hatchrak V''Setiep','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840324,'Dipjra T''Kentar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840325,'G''eldvrae D''Rhiurden','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840326,'Masantar D''Oxalyl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840327,'Bhinral T''Xylith','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840328,'Adinjss T''Vaund','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840329,'Larmur''ss V''Noqumtor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840330,'Rhylolil J''Vythiiryn','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840331,'Alakaste D''Trezynge','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840332,'Olorryna X''Rilynar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840333,'Nedqualyn T''Tekenund','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840334,'Yazhrae D''Eilsval','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840335,'Nymantar T''Xaep','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840336,'Baltree X''Freana','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840337,'Dave Kessluhr','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840338,'MinRandorl K''Qhoett','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840339,'Faviln Cobbleblork','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840340,'Maleyl D''Aleflor','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840341,'Hurze Do''Zaani','<Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840342,'K''Laus V''Derkn, the Shrewd','<Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840343,'Claviclus K''Zaett','<Bowyer>','','','',9,138,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,15677,0,0,0,0,0,0,0,0,0,0,0,0),
(1840344,'Rylal K''Xineld','<Bowyer>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840345,'Quarual D''Vzhiath','<Projectiles>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840346,'Szinaonar K''Kilrret','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840347,'Dead Eye Massassi','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840348,'Woderd T''Hunxin','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840349,'Chessssysn D''Vythirret','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840350,'Phyra Zesmice','<Collection Quests>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840351,'Xullnolu D''Xylitlar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840352,'Old Salty','<Fishing Supplies>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840353,'Klorn Twofingers','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840354,'Snarling Jack','','','','',255,3700,48,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840355,'a D''Ryil vampire','','','','',255,4633,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840356,'Merkel D''Roun','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840357,'Jhultyrr D''Vethiurden','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840358,'Weaponsmaster Grae D''Loch','<Indigo Brotherhood>','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840359,'Nedqualyn V''Tretlar','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840360,'Szinraen Y''Maeath','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840361,'Akoridil Z''Melani','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840362,'Ilztrak J''Xyliath','<The Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840363,'Naldax T''Everhate','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840364,'Angdiira Y''Rethith','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840365,'Phyrra S''Vivirr','<City Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(1840366,'Shridriira D''Viani','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840367,'Maerschel Calin T''Vor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840368,'T''rissna Y''Baenund','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840369,'Spirdax D''Xavirr','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840370,'Quarala Do''Rilynflor','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840371,'Gausstyrr Z''Kenghym','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840372,'Zakica Do''Zeraduis','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840373,'Ilphvayas Do''Maeurden','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840374,'Wehldril T''Vethilyl','<Guardian Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(1840375,'Li''Neerala N''Zsitar','<Berserker Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(1840376,'Va''lral R''Eilsrahel','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840377,'Tebyl T''Oxatyl','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840378,'Dalion D''Abth','<City of Neriak Faction Merchant>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840379,'Jander S''Tryx','<City Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,15713,0,64,0,0,0,0,0,0,0,0,0,0),
(1840380,'Staria T''Martyl','<Guild Cloak Designer>','','','',1,116,32,0,1,1,24,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840381,'Drill-Master Gratias','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840382,'Trainee Larafay K''Vyath','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840383,'Trainee Drizyln D''Rxomtor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840384,'Trainee Ilivkiira Z''Vethirahel','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840385,'Trainee Jhulrae K''Zyett','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840386,'Rile D''Everhirr','<Mender>','','','',1,116,32,0,1,1,12,9,0,0,0,1,0,0,26,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1840387,'T''Roveus M''Otal','<Guild Status Merchant>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840388,'City Registrar NVar','<Guild Registrar>','','','',1,115,32,0,1,1,25,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840389,'Tazica K''Auvrytlar','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840390,'Vuzhriir X''Vethiate','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840391,'Alyeyl K''Zeaval','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840392,'Vlonda T''Rethityl','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840393,'Vlonune B''Freani','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840394,'Dhauninil T''Setiarn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840395,'Vicroos K''Oziar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840396,'Izzree J''Torani','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840397,'Jonathon Har''kur','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840398,'Norm Baites','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840399,'Vittia Direshadow','<Mepaj''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840400,'Gandol Deathwing','<Mepaj''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840401,'Zarig T''Vaeliin','<Broker>','','','',1,115,32,0,1,1,20,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840402,'Ilmiira T''Oziarn','<General Goods>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,15737,0,0,0,0,0,0,0,0,0,0,0,0),
(1840403,'Amalvyll B''Qhovirr','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840404,'Charvar Hoofscraper','<Mount Merchant>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840405,'Eclaveidil H''Auvryurden','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840406,'Mournlin Do''Vethiiryn','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840407,'Krenzar K''Qhound','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840408,'Matteus Gaines','','','','',9,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840410,'Frascher D''Ryil','','','','',255,4636,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840411,'Blurt Grasplung','<Rainbowsong''s Tempest Mercenary>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840412,'a D''Ryil vampire','','','','',255,4636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840413,'a D''Ryil vampire','','','','',255,4637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840414,'Nilmyr T''Melund','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840415,'Caltel K''Everhndar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840416,'Timeless Chronomage','','','','',0,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840417,'Londiar Inygad','<Adorning Daily Tasks>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840418,'Oolieamim','<Master Sage>','','','',0,1606,32,0,1,1,9,0,12193,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840419,'Scion of Discord','<Victory Appraiser>','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840420,'Scion of Discord','<Carnage Appraiser>','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840421,'Terror','Minion of Thule','','','',0,1638,12,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840422,'Snarling Jack','','','','',0,3700,48,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840423,'Illiamaste K''Verae','<Dread Guard>','','','',0,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840424,'Shriithra J''Zeraarn','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840425,'Merkel D''Roun','','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840426,'Maleyl D''Aleflor','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840427,'Hurze Do''Zaani','<Dark Bargainers>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840428,'K''Laus V''Derkn, the Shrewd','<Dark Bargainers>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840429,'Felyncyrl V''Vighym','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840430,'Rylal K''Xineld','<Bowyer>','','','',0,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840431,'Quarual D''Vzhiath','<Projectiles>','','','',0,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,15679,0,0,0,0,0,0,0,0,0,0,0,0),
(1840432,'Faviln Cobbleblork','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840433,'Jarven D''Rethivirr','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840434,'Dead Eye Massassi','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840435,'Woderd T''Hunxin','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840436,'Omarnozz D''Veath','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840437,'Jhaninil D''Tekenzynge','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840438,'Vornd B''Everhlyl','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840439,'Phyrra S''Vivirr','<City Merchant>','','','',0,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,15699,0,64,0,0,0,0,0,0,0,0,0,0),
(1840440,'Kirak N''Tan','<Indigo Brotherhood>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840441,'Reloninil V''Xeep','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840442,'Maerschel Calin T''Vor','<Indigo Brotherhood>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840443,'Drisiira Y''Zauduis','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840444,'Spirdax D''Xavirr','<Indigo Brotherhood>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840445,'Solvyr V''Zauzin','<Dread Guard>','','','',0,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840446,'Sornnet Z''Godearn','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840447,'Akorda D''Zviiryn','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840448,'Xunatlab X''Vinimtor','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840449,'Solnitra H''Vaduis','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840450,'Wehldril T''Vethilyl','<Guardian Trainer>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(1840451,'Li''Neerala N''Zsitar','<Berserker Trainer>','','','',0,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(1840452,'Rile D''Everhirr','<Mender>','','','',0,116,32,0,1,1,12,9,0,0,0,1,0,0,26,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1840453,'T''Roveus M''Otal','<Guild Status Merchant>','','','',0,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840454,'City Registrar NVar','<Guild Registrar>','','','',0,115,32,0,1,1,25,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840455,'Dalion D''Abth','<City of Neriak Faction Merchant>','','','',0,115,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,15712,0,0,0,0,0,0,0,0,0,0,0,0),
(1840456,'Jander S''Tryx','<City Merchant>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(1840457,'Staria T''Martyl','<Guild Cloak Designer>','','','',0,116,32,0,1,1,24,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840458,'Drill-Master Gratias','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840459,'Trainee Larafay K''Vyath','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840460,'Trainee Drizyln D''Rxomtor','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840461,'Trainee Ilivkiira Z''Vethirahel','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840462,'Trainee Jhulrae K''Zyett','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840463,'Phyra Zesmice','<Collection Quests>','','','',0,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840464,'Bergstra R''Torvirr','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840465,'a cave spider','','','','',0,243,12,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840466,'Klorn Twofingers','','','','',0,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840467,'Old Salty','<Fishing Supplies>','','','',0,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840468,'a D''Ryil vampire','','','','',0,4636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840469,'Jhultyrr D''Vethiurden','','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840470,'Weaponsmaster Grae D''Loch','<Indigo Brotherhood>','','','',0,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840471,'Mayafae R''Claddlyl','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840472,'Adinnitra J''Zeandar','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840473,'a courtesan','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840474,'Ginvrae T''Torep','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840475,'Ilztrak J''Xyliath','<The Indigo Brotherhood>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840476,'Gaussbaste X''Vitlar','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840477,'Matteus Gaines','','','','',0,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840478,'Ilztaghar X''Everhate','','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840479,'Wodroos Z''Vzhival','','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840480,'Zarig T''Vaeliin','<Broker>','','','',0,115,32,0,1,1,20,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840481,'Innkeeper T''Vox','<Housing>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,15744,0,0,0,0,0,0,0,0,0,0,0,0),
(1840482,'Frascher D''Ryil','','','','',0,4636,35,0,1,1,9,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840483,'a D''Ryil devotee','','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840484,'Alesandra D''Ryil','','','','',0,6520,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840485,'Anson D''Ryil','','','','',0,6491,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840486,'Zylock D''Ryil','','','','',0,4636,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840487,'Vittoria D''Ryil','<Bouncer>','','','',0,6611,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840488,'Jeremije D''Ryil','','','','',0,4637,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840489,'Remell T''Gyerius','<Bartender>','','','',0,6490,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100341,0,0,0,0,0,0,0,0,0,0,0,0),
(1840490,'Faerquarra K''Aleanxin','<Indigo Brotherhood>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840491,'Jare De''Godear','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840492,'Xuneyl R''Oriarn','<Indigo Brotherhood>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840493,'a house imp','','','','',0,6824,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840494,'Bruhlin Z''Viarn','<Armorsmith>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840495,'Malleus Incus','','','','',0,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840496,'Tsabrar De''Kenmtor','','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840497,'Ilmoyn V''Kilurden','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840498,'Ssapnolu Do''Te''Ximtor','','','','',0,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840499,'Alaunnolu D''Xaate','','','','',0,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840500,'Acquisitions Expert Kyri Velkyn','<Dark Bargainers Merchant>','','','',0,116,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,8891,0,0,0,0,0,0,0,0,0,0,0,0),
(1840501,'Zezmyr D''Setirret','<Rush Orders>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840502,'Merton V''Baenrae','<Work Orders>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840503,'Szinjss X''Vemtor','<Tradeskill Tutorial>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840504,'Quavlay B''Zeratlar','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840505,'Kacha X''Rzheduis','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840506,'Joran D''Plinth','<Banker>','','','',0,115,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840507,'Ulviirriia Do''Texivirr','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840508,'Vier N''vul','<Tradeskill Career Counsellor>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840509,'Trago Softfist','<Provisioner>','','','',0,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840510,'Ninnie Tarbelly','<Provisioner>','','','',0,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,8879,0,0,0,0,0,0,0,0,0,0,0,0),
(1840511,'Iymxyra T''Zeflor','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840512,'Lirdwiira Do''Vzhiarn','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840513,'Sharnar D''Zauer','<The Dark Bargainers>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840514,'Grabs O''Shankley','','','','',0,123,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840515,'Trask McVarland','','','','',0,57,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840516,'Tarven J''Oussana','','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840517,'Skellington','Splutty''s undead knight','','','',0,8714,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840518,'Ethedra R''Vinival','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840519,'Tobey Whiskertrail','<Broker>','','','',0,70,32,0,1,1,20,9,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840520,'Nhilisstra D''Eilsth','<Banker>','','','',0,116,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840521,'Wehlral Do''Goderret','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840522,'Inmur''ss X''Oxaflor','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840523,'Phyravin D''Vaar','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840524,'Grandmaster Zyrythius','<Trades Coordinator>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840525,'Goryn Do''Ulnas','<Bowyer>','','','',0,138,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,8871,0,0,0,0,0,0,0,0,0,0,0,0),
(1840526,'Vuzin D''Noqurret','<Alchemist>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840527,'Alydra V''Orivirr','<Wholesaler>','','','',0,6486,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,8874,0,0,0,0,0,0,0,0,0,0,0,0),
(1840528,'Dilxena D''Xeep','<Crafting Trainer>','','','',0,116,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,8875,0,0,0,0,0,0,0,0,0,0,0,0),
(1840529,'Krenurra D''Kilana','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840530,'Martok K''Fauxx','<Linguist>','','','',0,6487,41,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,8864,0,0,0,0,0,0,0,0,0,0,0,0),
(1840531,'M''Kai N''Faer','<Dread Guard>','','','',0,6486,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840532,'a menacing cave spider','','','','',0,243,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840533,'Vornerin T''Orviir','<Wholesaler>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840534,'Ultra','<Dread Guard>','','','',0,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840535,'Maszt X''Godezin','<General Goods>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840536,'Sabisstra Z''Ziett','','','','',0,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840537,'a skittish cave spider','','','','',0,243,19,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840538,'Erthdan Do''Setizin','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840539,'Incyrl J''Rhitar','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840540,'Rakshar Bucha','','','','',0,105,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840541,'Quavzyne Y''Godearn','<Dread Guard>','','','',0,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840542,'Mur''ss Z''Hel''Viiryn','','','','',0,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840543,'a vagabond','','','','',0,64,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840544,'Vincent Aprilia','<Wholesaler>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,6330,0,0,0,0,0,0,0,0,0,0,0,0),
(1840545,'Fibulon N''Feret','<Weaponsmith>','','','',0,4542,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840546,'Exporter Makarios','','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840547,'Importer Targin','','','','',0,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840548,'Alyda Vlonniss','','','','',0,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840549,'Jareth J''Zyani','<Exotic Poisons>','','','',0,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840550,'S''Handa De''Arnsek','<Crafting Recipes>','','','',0,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,6354,0,0,0,0,0,0,0,0,0,0,0,0),
(1840551,'Phlagra N''tiri','<Alchemist>','','','',0,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840552,'Starm N''Tiri','<Alchemist>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840553,'Vittia Direshadow','<Shadowguard Mercenary>','','','',0,4965,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840554,'Hounffyn Do''Qhoneld','<Dread Guard>','','','',0,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840555,'Tarselus D''Veghym','<Wholesaler>','','','',0,4537,38,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840556,'Vernice Go''Diirun','<Wholesaler>','','','',0,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840557,'Patellas X''Vint','<Shieldsmith>','','','',0,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840558,'Zanotix Ixtaz','<Mender>','','','',0,4559,48,0,1,1,12,9,0,0,0,1,0,0,36,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1840560,'Minylene K''Baenrae','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840561,'Sacrym Ulnas','','','','',0,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840562,'Divton T''Szelyl','<The Dark Bargainers>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840563,'Tracee Aprilia','<Tailor>','','','',0,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840564,'Iraeaste T''Zauflor','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840565,'Tsaberd Do''Tazitlar','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840566,'Zezas X''Zauzin','<Dread Guard>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840567,'Belurra De''Xeervs','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840568,'Neerda D''Veduis','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840569,'Jysuit V''Baenlyl','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840570,'Dininid H''Godetyl','<Dread Guard>','','','',0,115,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840571,'Illiamlin Do''Qhaghym','<Dread Guard>','','','',0,116,32,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840572,'Altondor Z''Zautlar','<Dread Guard>','','','',0,115,38,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840573,'a House De''Tretlar slave','','','','',0,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840574,'Bhari Dramigan','<Tradeskill Fuel>','','','',0,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,6348,0,0,0,0,0,0,0,0,0,0,0,0),
(1840575,'a House X''Rzheduis slave','','','','',0,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840576,'Ilztaonar V''Setiate','<General Goods>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,6358,0,0,0,0,0,0,0,0,0,0,0,0),
(1840577,'Shuffles','','','','',0,140,32,0,1,1,9,0,0,0,0,1,0,0,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840578,'Moltza R''Vyarn','<Dread Guard>','','','',0,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840579,'Billy Dramigan','','','','',0,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840580,'Janey Dramigan','','','','',0,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840581,'Riley Aprilia','','','','',0,50067,22,0,1,1,351,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840582,'Maggie Dramigan','','','','',0,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840583,'Tria L''Belk','<Advancement Counsel>','','','',0,116,32,0,1,1,22,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840584,'Ilmiira T''Oziarn','<General Goods>','','','',0,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840585,'N''Glorion M''Oriquendi','<Neriak Ambassador>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840586,'Gandol Deathwing','<Bonecaster Mercenary>','','','',0,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840587,'Uhlsryn X''Tekenlyl','<Dread Guard>','','','',0,115,38,0,1,1,13,0,323,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840588,'Charvar Hoofscraper','<Horse Merchant>','','','',0,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,35897,0,0,0,0,0,0,0,0,0,0,0,0),
(1840589,'Phesta','','','','',0,7183,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840590,'a gelding','','','','',0,6846,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840591,'Tazd T''Godeiryn','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840592,'Brizwiira H''Claddiryn','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840593,'Zaknlaunim J''Baenrae','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840594,'Nathffyn Do''Vinitar','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840595,'Eruvin T`Kix','<Zealot of Innoruuk>','','','',0,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840596,'Menele Gaines','','','','',0,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840597,'Marthe Gaines','','','','',0,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840598,'Magister De''Pater','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840599,'Driseyl V''Tazizin','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840600,'Quilafein H''Tyhaduis','','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840601,'Adintrin Du''Voy','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840602,'Dorvias N''Keth','<Archpriest of Innoruuk>','','','',0,4966,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840603,'Haine Corbould','<Templar Trainer>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(1840604,'Zilvynda V''Xiund','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840605,'Jhaneari J''Helvindar','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840606,'Xunica B''Rethiett','<Warden Trainer>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(1840607,'Goor D''Arkund','<Inquisitor Trainer>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(1840608,'Alaunquiri N''Hunep','<Fury Trainer>','','','',0,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(1840609,'Althrae T''Vivirr','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840610,'Shi''nnolu Do''Sxhighym','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840611,'Phyrriina Z''Tazival','<Defiler Trainer>','','','',0,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(1840612,'Patellor Tibian','','','','',0,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840613,'Solrysn J''Zsitar','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,450,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840614,'Amalnozz T''Torduis','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,450,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840615,'Amalhriir V''Zaval','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,450,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840616,'Oloraste D''Vindar','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,0,0,450,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840617,'Ilmerd Do''Setirret','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840618,'Yann Graysmark','<Monk Trainer>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(1840619,'Sharor Y''Rzheate','<Bruiser Trainer>','','','',0,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(1840620,'Lararra V''Zaar','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840621,'Xilania Nevagon','<Seraph of Hate>','','','',0,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840622,'Talabae Do''Qhoep','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840623,'Yazhiir H''Xel''Yll','','','','',0,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840624,'Pellankiira S''Xemtor','<Disciples of Innoruuk>','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840625,'Shyntryn N''Zsiflor','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840626,'Ilmnet Z''Eilsath','<Disciples of Innoruuk>','','','',0,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840627,'Losarer','Dirtyrats''s undead knight','','','',0,1521,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840628,'Zaseker','Gavel of Justice','','','',0,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840629,'Genantik','Ayeecaith''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840630,'Gabober','Ayeecaith''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840631,'Xebann','Ayeecaith''s familiar','','','',0,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840632,'Vittia Direshadow','<Malikie''s Shadowguard Mercenary>','','','',0,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840633,'Kabobtik','Ayeecaith''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840634,'Zaner','Ayeecaith''s familiar','','','',0,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840635,'Claviclus K''Zaett','<Bowyer>','','','',0,138,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840636,'Gonab','Iceme''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840637,'Laeril V''Torrret','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840638,'Neerolvir T''Myate','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840639,'Rauvriia V''Tyrighym','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840640,'Altonfryn K''Kenndar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840641,'Ulviirdiira D''Arkenflor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840642,'Charnitra T''Zarret','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840643,'Va''lzt S''Viafin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840644,'T''Traene X''Xxtar','<Dread Guard>','','','',17,6487,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840645,'Elvanarra V''Despflor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840646,'Iymryne T''Tyhaneld','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840647,'Olorvrae H''Vueval','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840648,'Burjss V''Tyriar','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840649,'Divimar G`Zule','<Ebon Mask Taskmaster>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840650,'Elaugas D''Vythiiryn','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840651,'Wodal X''Auvryarn','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840652,'Vuzjra Z''Oussund','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840653,'Bergtar T''Zytlar','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840654,'Vornagh S''Texiiryn','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840655,'Seldsantar Y''Zauath','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840656,'Erthqualyn X''Alexin','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840657,'Rizhriir V''Alear','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840658,'Yazrar X''Zezin','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840659,'X`Ta De''Xy''Lifor','<The Dead>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840660,'Szoratar Do''Auvryduis','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840661,'Waerkacha T''Vandar','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840662,'Baryl V''Veziiryn','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840663,'Seldseth T''Aleana','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840664,'Nile Do''Orivirr','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840665,'Durdan N''Texiarn','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840666,'Antryne R''Vethineld','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840667,'Naddor X''Torghym','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840668,'Shyntantar J''Barrizin','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840669,'Xerio','<Eliha''s Lesser Undead>','','','',255,3882,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840670,'Lix Tetrex','<Eliha''s Greater Undead>','','','',9,146,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840671,'Brute','<Dread Guard>','','','',255,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840672,'Jhaeldril T''Zsiurden','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840673,'Ghaunidil T''Vinirahel','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840674,'Clerk V''Nox','<Citizenship Registrar>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840675,'Rilthara Z''Tyriep','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840676,'Gabaner','Dartain''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840677,'Tazinid Z`Ret','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840678,'Pharin Y''Noqundar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840679,'Yazaufein Do''Zeervs','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840680,'Duagin D''Vath','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840681,'Veszzen D''Rhival','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840682,'Naldrin K''Aleanneld','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840683,'Ulviirbreena Z''Zyrahel','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840684,'Xulljra S''Viduis','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840685,'Phare Do''Rhighym','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840686,'Dirzdia Do''Qheani','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840687,'Umraetana K''Sxhiana','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840688,'Sinthrae S''Oussxin','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840689,'Shyntice J''Zeratlar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840690,'Balala V''Zeandar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840691,'Filica V''Viniund','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840692,'Calven K''Godelyl','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840693,'Masven Z''Sxhirae','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840694,'Kronoj Z''Viiryn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840695,'Vonarer','Vylit''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840696,'Vessik','Kithroyil''s undead knight','','','',255,9403,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840697,'Mascot','Mordran''s squire','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840698,'Tarrysn K''Hunund','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840699,'Barlochar B''Rilynlyl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840700,'Myrjra N''Despervs','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840701,'Lltaufein N''Zeafin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840702,'Oiliimeeloenlim','<Master Sage>','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840703,'Neerstra Do''Rxoth','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840704,'Szinjss X''Vemtor','<Tradeskill Tutorial>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840705,'Xunlyn Z''Aleaniryn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840706,'Nalatar K''Kenlyl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840707,'Laelay J''Rethiund','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840708,'Trainee Larafay K''Vyath','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840709,'Trainee Drizyln D''Rxomtor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840710,'Trainee Ilivkiira Z''Vethirahel','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840711,'Trainee Jhulrae K''Zyett','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840712,'Balbryn T''Sxhityl','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840713,'M''Kai N''Faer','<Dread Guard>','','','',17,6486,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840714,'Gelhrae K''Xyflor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840715,'Nalstra B''Vineld','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840716,'Chessjra S''Qheate','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840717,'Hounvyll K''Zsityl','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840718,'Kirak N''Tan','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840719,'Shriithra Y''Xarae','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840720,'Nymree D''Viarn','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840721,'Dinzar V''Zerarahel','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840722,'Goaufein Do''Torrahel','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840723,'Chessarra H''Vaate','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840724,'Mayriina Do''Zeani','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840725,'Sszonim X''Barriani','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840726,'Shi''naste X''Everhvirr','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840727,'Jaradyn V''Vythiiryn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840728,'Ilmdril D''Veth','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840729,'Shriiira J''Viiryn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840730,'Inaere Z''Xineld','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840731,'Irrdril V''Oxaett','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840732,'Ginala J''Torund','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840733,'Dinaufein D''Qhaurden','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840734,'Taraste J''Xylixin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840735,'Chole','','','','',255,5911,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840736,'Quaryln De''Zyneld','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840737,'Gelnozz N''Zaar','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840738,'a D''Ryil devotee','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840739,'a D''Ryil devotee','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840740,'a D''Ryil devotee','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840741,'Alesandra D''Ryil','','','','',255,6520,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840742,'Anson D''Ryil','','','','',255,6491,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840743,'Zylock D''Ryil','','','','',255,4636,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840744,'Vittoria D''Ryil','<Bouncer>','','','',255,6611,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840745,'Jeremije D''Ryil','','','','',255,4637,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840746,'Remell T''Gyerius','<Bartender>','','','',255,6490,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840747,'Ultra','<Dread Guard>','','','',255,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840748,'Omarree N''Oxaund','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840749,'Wruze D''Baenzin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840750,'Lirdiara R''Noqutlar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840751,'Spirnozz J''Rhineld','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840752,'Tria L''Belk','<Achievement Counsel>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840753,'Shyntree Z''Vinighym','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840754,'Kalanfryn T''Zearret','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840755,'Sharnozz D''Qhoett','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840756,'Shyntdriira K''Rzhevirr','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840757,'Neerroos V''Vith','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840758,'Malagonim B''Helviate','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840759,'Merdor T''Xyervs','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840760,'Kelzaer De''Rxoafin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840761,'Qualnue D''Zsitlar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840762,'Iraeintra D''Arkenmtor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840763,'Queveth D''Veziurden','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840764,'Charvar Hoofscraper','<Horse Merchant>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840765,'Altonryne V''Qhath','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840766,'Gulroos X''Helviervs','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840767,'Uhhhhhhh','Ixxia''s undead knight','','','',255,1521,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840768,'Gomez','Maladia''s undead knight','','','',255,2937,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840769,'Belaghar K''Godeani','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840770,'Durimar Do''Aleanvirr','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840771,'Bruholg X''Rzhear','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840772,'Bruhagh Do''Veafin','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840773,'Suspkiira X''Hunrret','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840774,'Tebnitra V''Oriiryn','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840775,'Dhaunvyll Z''Zeaflor','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840776,'Quavwae S''Szeghym','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840777,'Wehlzt J''Zsiate','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840778,'Zarstra T''Hunurden','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840779,'Zaknraen K''Zyrret','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840780,'G''eldaste Do''Myate','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840781,'Wruzzar H''Vethiduis','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840782,'Brizdril H''Aleanxin','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840783,'Alaunithra D''Rilynxin','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840784,'T''rissual Y''Rhityl','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840785,'Akoruque K''Rzhexin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840786,'Haelnitra H''Freate','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840787,'Orgollnet V''Rethighym','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840788,'Rizraen Z''Xeduis','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840789,'Jarlaunim T''Zerandar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840790,'Zaknolu Do''Aleana','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840791,'Omaratar Z''Szetlar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840792,'Talabdra J''Eilsmtor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840793,'Nhilvrae D''Maevirr','<Ebon Mask>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840794,'Pellanbreena R''Zeatar','<Ebon Mask>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840795,'MinRandinn D''Torzin','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840796,'Chaszhriir Z''Texiana','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840797,'Ilmssysn N''Barriate','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840798,'Gelor N''Zaundar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840799,'Szinnolu Z''Barriurden','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840800,'Jhanda K''Szeani','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840801,'Ethestin V''Arkenath','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840802,'Phyrbreena D''Xyervs','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840803,'Eclaveraema D''Freana','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840804,'Relonraen S''Eilsrahel','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840805,'Tebhriir R''Torarn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840806,'Talabala B''Tyhandar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840807,'Mournqualyn Z''Zaval','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840808,'Xenekab','Dartain''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840809,'Filfwae T''Szerret','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840810,'Erthral D''Everhrae','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840811,'Tazolil V''Vezith','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840812,'Trielxena J''Despmtor','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840813,'Szordinn De''Arkenrae','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840814,'Spiras J''Zeghym','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840815,'Masnet V''Vethirret','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840816,'Wruzatar Z''Arkenep','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840817,'Izzimar D''Despar','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840818,'Wehlmur''ss J''Rzheflor','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840819,'Maytza J''Myrae','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840820,'Irrra J''Oxazynge','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840821,'Uhlsal D''Xazynge','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840822,'Chaszoyn S''Vethityl','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840823,'Phyxnozz B''Rxound','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840824,'Izzolvir D''Zeratar','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840825,'Sololvir De''Zsiurden','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840826,'Zezkah Z''Rxoani','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840827,'Quevaghar K''Xivirr','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840828,'Kenny','Ravenus''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840829,'Pharorvir D''Myath','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840830,'Greyace Do''Vaervs','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840831,'Shyntintra K''Tekenana','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840832,'Quild J''Melval','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840833,'Seldsolil Do''Tyhaate','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840834,'Hatchnozz Y''Eilsep','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840835,'Istd V''Helviervs','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840836,'Nallaunim Do''Setitar','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840837,'Pellancyrl R''Barriett','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840838,'Hurzorvir K''Auvryath','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840839,'Micarvyll T''Vzhiund','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840840,'Dinafein D''Vinityl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840841,'Dirze B''Xyzynge','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840842,'Shururra Y''Vethival','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840843,'Yasdia R''Zearahel','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840844,'Dipdan N''Xarret','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840845,'Qualnshalee J''Melzin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840846,'Shi''nfryn Do''Xylizin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840847,'Waeronia T''Zymtor','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840848,'Quarssysn N''Sxhizin','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840849,'Zezton Z''Orityl','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840850,'Xullintra B''Tekenarn','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840851,'Etheinil De''Vexin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840852,'Drizin N''Oxaflor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840853,'Spiryraen Z''Myghym','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840854,'Iraestra De''Rilyntar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840855,'Hatchhriir N''Aleanmtor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840856,'Elauglochar K''Oussndar','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840857,'Taraufein K''Rhitar','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840858,'Jhulafae D''Zeraflor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840859,'Quilmur''ss K''Oriduis','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840860,'Yasnolu D''Kenflor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840861,'Dhaunvyll K''Zsiep','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840862,'Szinnar Z''Everhflor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840863,'Gelinil D''Xyduis','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840864,'Adinnar Z''Rhityl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840865,'Chesslara J''Vival','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840866,'Omarolil K''Rilyntlar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840867,'Ilmlin T''Zival','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840868,'Bhari Dramigan','<Spell Scrolls>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840869,'Miller Dramigan','<Combat Arts>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840870,'Skeletor','Necronis''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840871,'Fluffy','Aurelia''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840872,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840873,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840874,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840875,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840876,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840877,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840878,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840879,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840880,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840881,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840882,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840883,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840884,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840885,'door_50',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840886,'ebon_mask_table',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840887,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840888,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840889,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840890,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840891,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840892,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840893,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840894,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840895,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840896,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840897,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840898,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840899,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840900,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840901,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840902,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840903,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840904,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840905,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840906,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840907,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840908,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840909,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840910,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840911,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840912,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840913,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840914,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840915,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840916,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840917,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840918,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840919,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840920,'widget_klorn_books_science_stack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840921,'widget_klorn_books_fiction_stack',NULL,'','','',0,49,32,0,0,0,55,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840922,'widget_arasai_book02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840923,'widget_arasai_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840924,'1 Walk of the Dead housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840925,'2 Walk of the Dead housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840926,'4 Walk of the Dead housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840927,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840928,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840929,'3 Walk of the Dead  housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840930,'8 Indigo Road housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840931,'1 Walk of the Dead',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840932,'2 Walk of the Dead',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840933,'4 Walk of the Dead',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840934,'3 Walk of the Dead',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840935,'8 Indigo Road',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840936,'',NULL,'','','',255,2306,37,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840937,'',NULL,'','','',0,13323,30,7,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840938,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,1,1,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840939,'white_candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840940,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840941,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840942,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840943,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840944,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840945,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840946,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840947,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840948,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840949,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840950,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840951,'orc skull',NULL,'','','',0,2998,41,0,1,1,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840952,'guild_hall_accessor_cube',NULL,'','','',0,2306,32,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840953,'Ebon Mask Crate',NULL,'','','',0,2678,22,0,1,1,348,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840954,'cityfest_opera_spotlight2',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840955,'cityfest_opera_spotlight3',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840956,'cityfest_opera_backdrop',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840957,'ferrite table',NULL,'','','',0,7619,25,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840958,'ornate large counter',NULL,'','','',0,7615,23,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840959,'cityfest_opera_spotlight1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840960,'a humble gift',NULL,'','','',0,7135,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840961,'',NULL,'','','',0,3450,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840962,'human skulls in a row',NULL,'','','',0,3001,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840963,'',NULL,'','','',0,2708,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840964,'three purple roses',NULL,'','','',0,7138,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840965,'a humble gift',NULL,'','','',0,7142,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840966,'three red roses',NULL,'','','',0,7145,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840967,'',NULL,'','','',0,7144,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840968,'',NULL,'','','',0,7124,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840969,'',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840970,'',NULL,'','','',0,2994,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840971,'',NULL,'','','',0,2657,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840972,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840973,'sea_gate_fx',NULL,'','','',0,7239,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840974,'a humble gift',NULL,'','','',0,7149,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840975,'Researcher Miller Dramigan',NULL,'','','',255,134,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840976,'(unnamed)',NULL,'','','',0,3450,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840977,'(unnamed)',NULL,'','','',0,2708,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840978,'(unnamed)',NULL,'','','',0,7144,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840979,'(unnamed)',NULL,'','','',0,7124,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840980,'(unnamed)',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840981,'(unnamed)',NULL,'','','',0,2994,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840982,'(unnamed)',NULL,'','','',0,2657,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840983,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840984,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840985,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840986,'',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840987,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840988,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840989,'teleporter',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840990,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840991,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840992,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840993,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840994,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840995,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840996,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840997,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840998,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1840999,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841000,'bulletin_board',NULL,'','','',0,4067,36,0,1,1,349,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841001,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841002,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841003,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841004,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841005,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841006,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841007,'sign_pet_store',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841008,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841009,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841010,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841011,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841013,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841018,'Vision of Hate',NULL,'','','',0,8185,9,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841019,'betrayal_documents',NULL,'','','',0,3497,32,0,1,1,350,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841023,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841030,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841031,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841032,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841043,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,0,0,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841044,'Cask of Blood Wine',NULL,'','','',0,3183,25,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841045,'To Nektulos Forest Docks',NULL,'','','',0,1586,32,0,0,0,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841046,'To Thundering Steppes Docks',NULL,'','','',0,1586,32,0,0,0,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841047,'a bloodwine root',NULL,'','','',0,1732,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841048,'a rancor quartz',NULL,'','','',0,3914,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841049,'Sacrificial Urn of Bile',NULL,'','','',0,2661,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841050,'Timeless Chronomage','','','','',3,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841051,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841052,'Oolieamim','<Master Sage>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841053,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841054,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841055,'Zezas X''Zauzin','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841056,'Sacrym Ulnas','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841057,'Divton T''Szelyl','<The Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841058,'Tarselus D''Veghym','<Wholesaler>','','','',9,4537,38,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841059,'Vernice Go''Diirun','<Wholesaler>','','','',9,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841060,'Patellas X''Vint','<Shieldsmith>','','','',255,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841061,'Zanotix Ixtaz','<Mender>','','','',9,4559,48,0,1,1,12,9,0,0,0,1,0,0,36,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1841062,'Tibulus D''Zaren','<Armorsmith>','','','',255,4543,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,6323,0,0,0,0,0,0,0,0,0,0,0,0),
(1841063,'a skittish cave spider','','','','',255,243,19,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841064,'Rakshar Bucha','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841065,'Maszt X''Godezin','<General Goods>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841066,'Tracee Aprilia','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,6327,0,0,0,0,0,0,0,0,0,0,0,0),
(1841067,'Mur''ss Z''Hel''Viiryn','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841068,'a vagabond','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841069,'Vincent Aprilia','<Wholesaler>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841070,'Fibulon N''Feret','<Weaponsmith>','','','',255,4542,32,0,1,1,10,1265,0,0,0,1,0,0,36,0,0,0,0,6331,0,0,0,0,0,0,0,0,0,0,0,0),
(1841071,'Sabisstra Z''Ziett','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841072,'Exporter Makarios','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841073,'Importer Targin','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841074,'N''Glorion M''Oriquendi','<Neriak Ambassador>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841075,'a cave spider','','','','',255,243,12,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841076,'a menacing cave spider','','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841077,'Vornerin T''Orviir','<Wholesaler>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,6340,0,0,0,0,0,0,0,0,0,0,0,0),
(1841078,'M''Kai N''Faer','<Dread Guard>','','','',17,6486,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841079,'Ultra','<Dread Guard>','','','',255,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841080,'a House De''Tretlar slave','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841081,'Bhari Dramigan','<Tradeskill Fuel>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841082,'Alyda Vlonniss','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841083,'a courtesan','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841084,'S''Handa De''Arnsek','<Crafting Recipes>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841085,'Phlagra N''tiri','<Alchemist>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841086,'Starm N''Tiri','<Alchemist>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841087,'a House X''Rzheduis slave','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841088,'Ilztaonar V''Setiate','<General Goods>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841089,'a house imp','','','','',255,6824,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841090,'Ambassador V''Nox','<Change of Citizenship>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841091,'Vornd B''Texineld','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841092,'The Gem of Dominion','','','','',255,309,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841093,'Durrysn B''Kiltar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841094,'a cave spider','','','','',255,243,12,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841095,'a hellhound','','','','',255,7240,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841096,'Ch''hok Mik''Tokk','<House Pets>','','','',17,6487,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,8791,0,0,0,0,0,0,0,0,0,0,0,0),
(1841097,'Imtel K''Myth','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841098,'Ginda B''Vaate','<Tailor>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8793,0,0,0,0,0,0,0,0,0,0,0,0),
(1841099,'Shi''nae K''Eilsth','<Provisioner>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841100,'Chaxta Do''Lorien','<Provisioner>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841101,'Maxle V''Xiafin','<Bartender>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841102,'Jareth D''Veers','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841103,'Antryne T''Zirret','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841104,'Charvon Earsnipper','<Barber>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841105,'Brixae V''Noquett','<Jeweler>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,8801,0,0,0,0,0,0,0,0,0,0,0,0),
(1841106,'a Neriak ooze','','','','',255,299,9,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841107,'Chaszzt J''Rzherae','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841108,'Vuzyrd Do''Kenval','','','','',255,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841109,'Zakoyn B''Zazin','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841110,'Va''ljss Z''Szear','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841111,'Vykko T''Lach','<Ebon Mask>','','','',2,115,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841112,'Vicna Te''Oris','<Fortune Teller>','','','',9,4536,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841113,'Divimar G''Zule','<Ebon Mask Taskmaster>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841114,'Kelryne V''Ziath','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841115,'Izzolg J`Axx','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841116,'Carvox M''Laeren','<Ebon Mask>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841117,'Tierra Pettengill','<Ranger Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(1841118,'Rhylinil K''Helviurden','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841119,'Caltar D''Zauett','<Ebon Mask>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841120,'Anteth Z''Vazin','<Ebon Mask>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841121,'Gohrae K''Mytyl','<Brigand Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(1841122,'Qillara T''Despth','<Assassin Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(1841123,'Magister De''Pater','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841124,'Yazhiir H''Xel''Yll','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841125,'Pellankiira S''Xemtor','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841126,'Lararra V''Zaar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841127,'Xilania Nevagon','<Seraph of Hate>','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841128,'Xunica B''Rethiett','<Warden Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(1841129,'Goor D''Arkund','<Inquisitor Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(1841130,'Alaunquiri N''Hunep','<Fury Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(1841131,'Althrae T''Vivirr','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841132,'Phyrriina Z''Tazival','<Defiler Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(1841133,'Yann Graysmark','<Monk Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(1841134,'Sharor Y''Rzheate','<Bruiser Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(1841135,'Driseyl V''Tazizin','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841136,'Quilafein H''Tyhaduis','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841137,'Nathffyn Do''Vinitar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841138,'Eruvin T`Kix','<Zealot of Innoruuk>','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841139,'Menele Gaines','','','','',9,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841140,'Marthe Gaines','','','','',9,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841141,'Adintrin Du''Voy','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841142,'Dorvias N''Keth','<Archpriest of Innoruuk>','','','',1,4966,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841143,'Haine Corbould','<Templar Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(1841144,'Patellor Tibian','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841145,'Martok K''Fauxx','<Linguist>','','','',17,6487,41,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841146,'Ethedra R''Vinival','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841147,'Tobey Whiskertrail','<Broker>','','','',13,70,32,0,1,1,20,9,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841148,'Nhilisstra D''Eilsth','<Banker>','','','',1,116,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841149,'Phyravin D''Vaar','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841150,'Grandmaster Zyrythius','<Trades Coordinator>','','','',0,115,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841151,'Goryn Do''Ulnas','<Bowyer>','','','',9,138,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841152,'Vuzin D''Noqurret','<Alchemist>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841153,'Alaunnolu D''Xaate','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841154,'Alydra V''Orivirr','<Wholesaler>','','','',17,6486,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841155,'Dilxena D''Xeep','<Crafting Trainer>','','','',9,116,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841156,'Tarven J''Oussana','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841157,'Vier N''vul','<Tradeskill Career Counsellor>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841158,'Trago Softfist','<Provisioner>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,8878,0,0,0,0,0,0,0,0,0,0,0,0),
(1841159,'Ninnie Tarbelly','<Provisioner>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841160,'Sharnar D''Zauer','<The Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841161,'Grabs O''Shankley','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841162,'Trask McVarland','','','','',13,65,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841163,'Ssapnolu Do''Te''Ximtor','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841164,'Kacha X''Rzheduis','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841165,'Joran D''Plinth','<Banker>','','','',1,115,32,0,1,1,14,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841166,'Tsabrar De''Kenmtor','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841167,'Acquisitions Expert Kyri Velkyn','<Dark Bargainers Merchant>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841168,'Zezmyr D''Setirret','<Rush Orders>','','','',9,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841169,'Szinjss X''Vemtor','<Tradeskill Tutorial>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841170,'Malleus Incus','','','','',9,1521,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841171,'Bruhlin Z''Viarn','<Armorsmith>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841172,'Brute','<Dread Guard>','','','',255,7240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841173,'T''Traene X''Xxtar','<Dread Guard>','','','',17,6487,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841174,'Scapulus, the Muddled','<The Spurned>','','','',9,4538,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841175,'Tazroos B''Veett','<The Spurned>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841176,'Wodnar Z''Aleanzin, the Example','<The Spurned>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841177,'Yasdra X''Zeraana','<The Spurned>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841178,'Drise Z''Torzin','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841179,'Librarian Mervyn T''Xiett','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841180,'Librarian Inka','<Historical Researcher>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841181,'Dartain','','','','',3,1598,38,0,1,1,9,0,0,0,0,1,0,0,34,1276,1276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841182,'Va''Idax K''Tyriep','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841183,'Tazinid Z''Ret','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841184,'Rauvryne B''Vaval','<Warlock Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(1841185,'Alabreena De''Auvrylyl','<The Spurned>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841186,'Felyndiira T''Taziund','<Coercer Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(1841187,'Noeplil','','','','',255,6824,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841188,'Zezaghar D''Arkenth','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841189,'Neerral J''Zerath','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841190,'ensorcelled stone','<The Spurned>','','','',255,311,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841191,'Dindrin Y''Rhineld','<Wizard Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(1841192,'Laexae K''Oziana','<The Spurned''s Agent of Acquisitions>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841193,'Akorra J''Trezin','<The Spurned>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841194,'Viclin D''Rhivirr','<The Spurned>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841195,'Malual K''Oziarn','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841196,'Chalolin D''Zeiryn','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841197,'Quilvyr Z''Setiiryn','<The Spurned>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841198,'Nourdine Cazin','<Illusionist Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(1841199,'The Queen','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841200,'a Teir''Dal male','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841201,'The Narrator','','','','',17,6486,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841202,'an audience member','','','','',17,6486,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841203,'an audience member','','','','',17,6486,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841204,'an audience member','','','','',17,6487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841205,'an audience member','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841206,'an audience member','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841207,'Pudlonar','','','','',1,4548,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841208,'an assassin','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841209,'Reverend Valac','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841210,'J''Xon T''Zandar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841211,'Chaszzyr Do''Rilyntar','<Troubador Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(1841212,'J''Lal, Manservant','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841213,'Herrod, Manservant','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841214,'Madam Gael','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841215,'Lazarus D''Ryil, Hate''s Fool','','','','',255,6490,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841216,'Lalitha D''Ryil','','','','',255,6521,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841217,'Hadrian D''Ryil','','','','',255,4635,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841218,'Aren D''Ryil','','','','',255,6491,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841219,'Ilphtana V''Vaafin','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841220,'Brizlay Do''Oussval','<Dirge Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(1841221,'Chalthara V''Zeraep','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841222,'Talmur''ss V`Sek','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841223,'Quevolg S''Torate','<Dread Guard Recruiter>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841224,'Akore K''Despara','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841225,'Goeyl Z''Vuear','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841226,'Zintra De''Oziana','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841227,'Neerssysn T''Zyzin','<Shadowknight Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(1841228,'Talace Z''Eilsath','<Necromancer Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(1841229,'Neervayas T''Vilyl','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841230,'Alakomph J''Xetar','<The Dead>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841231,'T''rissk X''Xylimtor','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841232,'Lartana T''Tyhalyl','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841233,'X''Ta De''Xy''Lifor','<The Dead>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841234,'Wruznolu Z''Auv''Ryndar','<The Dead>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841235,'Inaste Z''Zizin','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841236,'Abraxas','<Queen Cristanos'' Familiar>','','','',255,4545,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841237,'Queen Cristanos','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841238,'Princess Sulsera','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841239,'Prince Tarant Thex','<Dread Guard>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841240,'a manservant','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841241,'Vasraena K''Aleanzin','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841242,'a loyal worshiper','','','','',17,6487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841243,'Sornril V''Qherret','<The Dead>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841244,'Tazvyll K''Zsirae','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841245,'Alaundra Z''Zyep','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841246,'Nador V''Oziar','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841247,'Pazu','<Eliha''s Construct of Hate>','','','',255,6824,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841248,'Vierae X`Lottl','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841249,'Minxae Z''Melth','<The Dead>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841250,'Eliha, Scion of the Dead','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841251,'Minkacha K''Xiar','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841252,'Merton V''Baenrae','<Work Orders>','','','',9,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841253,'a Teir''Dal female','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841254,'Billy Dramigan','','','','',9,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841255,'Maggie Dramigan','','','','',9,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841256,'Janey Dramigan','','','','',9,50065,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841257,'Riley Aprilia','','','','',9,50067,22,0,1,1,351,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841258,'Tria L''Belk','<Advancement Counsel>','','','',1,116,32,0,1,1,22,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841259,'Shuffles','','','','',255,140,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841260,'Phesta','','','','',255,7183,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841261,'a gelding','','','','',255,6846,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841262,'Faviln Cobbleblork','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841263,'Maleyl D''Aleflor','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841264,'Hurze Do''Zaani','<Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841265,'K''Laus V''Derkn, the Shrewd','<Dark Bargainers>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841266,'Claviclus K''Zaett','<Bowyer>','','','',9,138,32,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841267,'Rylal K''Xineld','<Bowyer>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,15678,0,0,0,0,0,0,0,0,0,0,0,0),
(1841268,'Quarual D''Vzhiath','<Projectiles>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841269,'Dead Eye Massassi','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841270,'Woderd T''Hunxin','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841271,'Phyra Zesmice','<Collection Quests>','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841272,'Old Salty','<Fishing Supplies>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,15686,0,0,0,0,0,0,0,0,0,0,0,0),
(1841273,'Klorn Twofingers','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841274,'Snarling Jack','','','','',255,3700,48,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841275,'a D''Ryil vampire','','','','',255,4633,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841276,'Merkel D''Roun','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841277,'Jhultyrr D''Vethiurden','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841278,'Weaponsmaster Grae D''Loch','<Indigo Brotherhood>','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841279,'Ilztrak J''Xyliath','<The Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841280,'Phyrra S''Vivirr','<City Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(1841281,'Maerschel Calin T''Vor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841282,'Spirdax D''Xavirr','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841283,'Wehldril T''Vethilyl','<Guardian Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(1841284,'Li''Neerala N''Zsitar','<Berserker Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(1841285,'Dalion D''Abth','<City of Neriak Faction Merchant>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841286,'Staria T''Martyl','<Guild Cloak Designer>','','','',1,116,32,0,1,1,24,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841287,'Drill-Master Gratias','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841288,'Trainee Larafay K''Vyath','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841289,'Trainee Jhulrae K''Zyett','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841290,'Rile D''Everhirr','<Mender>','','','',1,116,32,0,1,1,12,9,0,0,0,1,0,0,26,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1841291,'City Registrar NVar','<Guild Registrar>','','','',1,115,32,0,1,1,25,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841292,'Zarig T''Vaeliin','<Broker>','','','',1,115,32,0,1,1,20,9,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841293,'Ilmiira T''Oziarn','<General Goods>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100338,0,0,0,0,0,0,0,0,0,0,0,0),
(1841294,'Charvar Hoofscraper','<Mount Merchant>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841295,'Matteus Gaines','','','','',9,50067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841296,'Frascher D''Ryil','','','','',255,4636,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841297,'a D''Ryil vampire','','','','',255,4636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841298,'a D''Ryil vampire','','','','',255,4637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841299,'Lix Tetrex','<Eliha''s Greater Undead>','','','',9,146,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841300,'Trainee Drizyln D''Rxomtor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841301,'Trainee Ilivkiira Z''Vethirahel','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841302,'Kirak N''Tan','<Indigo Brotherhood>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841303,'a D''Ryil devotee','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841304,'a D''Ryil devotee','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841305,'a D''Ryil devotee','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841306,'Alesandra D''Ryil','','','','',255,6520,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841307,'Anson D''Ryil','','','','',255,6491,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841308,'Zylock D''Ryil','','','','',255,4636,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841309,'Vittoria D''Ryil','<Bouncer>','','','',255,6611,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841310,'Jeremije D''Ryil','','','','',255,4637,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841311,'Remell T''Gyerius','<Bartender>','','','',255,6490,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841312,'Olorffyn D''Kilani','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841313,'Neerthrae Z''Maezynge','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841314,'Zilva T''Zyath','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841315,'Micarinid S''Ousszin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841316,'Adinal D''Vyth','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841317,'Nilyraen S''Zauani','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841318,'Faerffyn V''Myervs','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841319,'Ilztqualyn X''Vinitlar','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841320,'Waerkiira H''Veziduis','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841321,'Quarryn Do''Qhozin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841322,'Caldrin X''Myana','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841323,'Iymavin Y''Valyl','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841324,'Wodtyrr V''Xiiryn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841325,'Orgollin Y''Frerahel','<Dread Guard>','','','',1,115,38,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841326,'Greywyss K''Aleaniryn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841327,'Irrae Do''Vairyn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841328,'Irrwyss B''Auvryafin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841329,'Gele D''Godeani','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841330,'Mayqualyn J''Torar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841331,'Qualnwyss V''Vyurden','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841332,'Dilxyra De''Maeghym','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841333,'Jysssysn K''Hunvirr','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841334,'Charice S''Everhth','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841335,'Chalstra D''Oxaate','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841336,'Krenvayas Z''Trexin','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841337,'Hounavin S''Vythiett','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841338,'Malagolg T''Tyhamtor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841339,'Zakinil Z''Zeraxin','<Dread Guard>','','','',1,115,32,0,1,1,243,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841340,'Jarazen T''Zetlar','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841341,'Nymdiirn De''Tortar','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841342,'Nalolil De''Claddmtor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841343,'Felyniara Z''Tyhaar','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841344,'Lesagh T''Xityl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841345,'Quaraste V''Zeratlar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841346,'Iraena D''Zearn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841347,'Faeryl D''Oxaflor','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841348,'Maltana N''Zauzin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841349,'Etheriina X''Sxhiafin','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841350,'Elvdriira T''Setiarn','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841351,'Rizeyl V''Rzheani','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841352,'Jysafay V''Xiurden','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841353,'Mournas T''Helviate','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841354,'Faermice T''Godeurden','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841355,'Krenrak N''Qhaett','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841356,'Jhaelquiri De''Zaflor','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841357,'Dhaunolin K''Zazin','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841358,'Soloyn N''Killyl','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841359,'Lirdtza Do''Qhamtor','<Dread Guard>','','','',1,116,32,0,1,1,243,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841360,'Iymcice Z''Xavirr','<Dread Guard>','','','',1,116,32,0,1,1,243,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841361,'Rilintra Do''Ziarn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841362,'Malagolin X''Vamtor','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841363,'Yascice K''Vexin','<Indigo Brotherhood>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841364,'Seldsolil T''Zaundar','<Indigo Brotherhood>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841365,'Shrieari K''Rzhetar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841366,'Godiirn V''Zeaneld','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841367,'Tanditoo','Tandi''s Personae Reflection','','','',9,79,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841368,'Keyrin Curetouch','<Tandi''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841369,'Filal Y''Vzhirae','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841370,'Ssapnolu S''Qharae','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841371,'Jysriina R''Aletlar','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841372,'Wehlafein K''Vairyn','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841373,'Lirdra K''Oziep','<Disciples of Innoruuk>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841374,'Vuzaste T''Zvivirr','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841375,'Nilal Z''Tyrixin','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841376,'Adinvyr K''Baentar','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841377,'Lesvayas S''Vinith','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841378,'Divaste J''Kiliryn','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841379,'Chaszinid J''Tyhaep','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841380,'Veszdiirn X''Auvryett','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841381,'Naltyrr R''Oxaduis','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841382,'Solnitra B''Oxarret','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841383,'Shi''nolin D''Xylivirr','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841384,'Rauvolin X''Rilyntar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841385,'Adinaonar T''Everharn','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841386,'Greyva N''Rethiep','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841387,'Wehlgloth D''Everhund','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841388,'Quarantar Do''Zath','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841389,'Spiraonar K''Kilzynge','<Disciples of Innoruuk>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841390,'Qualnril D''Frezynge','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841391,'Tluthonim Z''Vaneld','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841392,'Mayraena T''Zeduis','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841393,'Jhanssysn K''Freiryn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841394,'Trielcyrl V''Zeralyl','<Ebon Mask>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841395,'Szinhriir D''Zauafin','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841396,'Lltree X''Melneld','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841397,'Nilantar T''Tretyl','<Ebon Mask>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841398,'Rizzar T''Oriervs','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841399,'Izzzyr J''Zealyl','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841400,'Vicolil V''Frevirr','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841401,'Shurryna K''Treafin','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841402,'Shura K''Auvryth','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841403,'Xunantar S''Rhighym','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841404,'Jyslochar D''Vaurden','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841405,'Brizriina K''Vyzynge','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841406,'Quevantar K''Xiflor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841407,'Tazrak J''Frerahel','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841408,'Krenfein X''Texiduis','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841409,'Zakyraen D''Claddrret','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841410,'Elvjss X''Kilth','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841411,'Bergatlab B''Ziath','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841412,'Labarab','Dartain''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841413,'Phyxven B''Barrith','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841414,'Nathiara J''Xyund','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841415,'Bergdinn K''Tazixin','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841416,'Quarvyll Y''Zeraxin','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841417,'Vornzaer J''Despghym','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841418,'Rizonim J''Veziarn','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841419,'Yazdrin K''Rxozynge','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841420,'Elauglin S''Vizynge','<The Dead>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841421,'Eclaveriina V''Vyath','<The Dead>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841422,'Goyl N''Vearn','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841423,'Dintrin V''Oxatlar','<Elite Royal Guard>','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841424,'Solzar S''Oussrret','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841425,'Quevin V''Tyhaarn','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841426,'Tazlin K''Claddduis','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841427,'Ryldin T''Szeund','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841428,'Ilmaste Z''Hunund','<The Arm>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841429,'Eclaveryna Do''Vaarn','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841430,'Suspstra J''Vinizynge','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841431,'Nathinidia De''Zsirret','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841432,'Alaunithra V''Melate','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841433,'Rildril D''Qheval','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841434,'Shyntmur''ss Z''Vueund','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841435,'Wehlvyll T''Zeraett','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841436,'Chalryna Y''Zsimtor','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841437,'Quevinid D''Barrighym','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841438,'Altonaun T''Arkenflor','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841439,'Istal K''Zeazynge','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841440,'Sincice X''Torar','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841441,'Zaknlaunim Do''Sxhival','<Dread Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841442,'Inriina V''Rzherahel','<Dread Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841443,'Deepforest Lumber A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841444,'Deepforest Lumber B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841445,'Subtunaria Survivalists A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841446,'Subtunaria Survivalists B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841447,'Ulsurus Outfitters',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841448,'The Magic Mushroom',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841449,'The Dark Dispatch B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841450,'General Goods Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841451,'General Goods Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841452,'Survivalist Outlet Door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841453,'The Dark Dispatch A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841454,'Batwings and Things Door B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841455,'Batwings and Things Door A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841456,'House D''Morte',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841457,'ebon_mask_table',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841458,'Cristanos Hall Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841459,'Christanos Hall Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841460,'The Dashing Form',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841461,'Friendish Familiars Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841462,'Friendish Familiars Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841463,'The Rack Door A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841464,'Cuisine Excelsior Door B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841465,'Cuisine Excelsior Door A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841466,'The Bauble',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841467,'The Rack Door B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841468,'Hex Tower Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841469,'Hex Tower Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841470,'Hall of the Ebon Mask Upper Door Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841471,'Hall of the Ebon Mask Upper Door Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841472,'Hall of the Ebon Mask Door Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841473,'Hall of the Ebon Mask Door Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841474,'Library of K''Lor Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841475,'Library of K''Lor Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841476,'Spires of Innoruuk Right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841477,'Spires of Innoruuk Left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841478,'Nightsong Opera House Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841479,'door in the underground',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841480,'Adamant Armor A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841481,'Adamant Armor B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841482,'door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841483,'The Bleak Fletcher B',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841484,'Blind Fish Hall',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841485,'Seloxia Stronghold Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841486,'Seloxia Stronghold Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841487,'The Bleak Fletcher A',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841488,'Dark Bargainer Hall Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841489,'Dark Bargainer Hall Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841490,'Nightsong Opera House Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841491,'widget_klorn_books_science_stack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841492,'widget_klorn_books_fiction_stack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841493,'widget_arasai_book02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841494,'widget_arasai_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841495,'1 Walk of the Dead housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841496,'2 Walk of the Dead housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841497,'4 Walk of the Dead housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841498,'Darklight Palace Left',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841499,'Darklight Palace Right',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841500,'3 Walk of the Dead  housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841501,'8 Indigo Road housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841502,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841503,'white_candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841504,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841505,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841506,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841507,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841508,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841509,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841510,'Forge',NULL,'','','',0,2529,31,0,0,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841511,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841512,'orc skull',NULL,'','','',0,2998,41,0,1,1,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841513,'guild_hall_accessor_cube',NULL,'','','',0,2306,32,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841514,'Ebon Mask Crate',NULL,'','','',0,2678,22,0,1,1,348,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841515,'cityfest_opera_spotlight3',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841516,'ferrite table',NULL,'','','',0,7619,25,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841517,'ornate large counter',NULL,'','','',0,7615,23,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841518,'cityfest_opera_spotlight1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841519,'a humble gift',NULL,'','','',0,7135,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841520,'',NULL,'','','',0,3450,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841521,'human skulls in a row',NULL,'','','',0,3001,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841522,'',NULL,'','','',0,2708,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841523,'three purple roses',NULL,'','','',0,7138,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841524,'a humble gift',NULL,'','','',0,7142,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841525,'three red roses',NULL,'','','',0,7145,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841526,'',NULL,'','','',0,7144,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841527,'',NULL,'','','',0,7124,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841528,'',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841529,'',NULL,'','','',0,2994,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841530,'',NULL,'','','',0,2657,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841531,'sea_gate_fx',NULL,'','','',0,7239,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841532,'a humble gift',NULL,'','','',0,7149,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841533,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841534,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841535,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1841536,'',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841537,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841538,'Teleporter Pad',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841539,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841540,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841541,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841542,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841543,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841544,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841545,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841546,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841547,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841548,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841549,'bulletin_board',NULL,'','','',0,4067,36,0,1,1,349,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841550,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841551,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841552,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841553,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841554,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841555,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841556,'sign_pet_store',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841557,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841558,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841559,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841560,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841561,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841562,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841563,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841564,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841565,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841566,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841567,'Vision of Hate',NULL,'','','',0,8185,9,0,0,0,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841568,'betrayal_documents',NULL,'','','',0,3497,32,0,1,1,350,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841569,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841570,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841571,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841572,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841573,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841574,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841575,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841576,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841577,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841578,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841579,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841580,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841581,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841582,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841583,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841584,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841585,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841586,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841587,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841588,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841589,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841590,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841591,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841592,'Cask of Blood Wine',NULL,'','','',0,3183,25,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841593,'a bloodwine root',NULL,'','','',0,1732,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841594,'a rancor quartz',NULL,'','','',0,3914,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1841595,'Sacrificial Urn of Bile',NULL,'','','',0,2661,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850000,'zone_to_parent',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850001,'zone_to_parent',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850002,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850003,'Moving Crate',NULL,'','','',0,2143,32,0,1,1,16,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850004,'Irontoe Sturdy Chair',NULL,'','','',0,12813,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850005,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850006,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850007,'an enchanter''s candelabra',NULL,'','','',0,2090,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850008,'Irontoe Side Table',NULL,'','','',0,12820,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850009,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850010,'Touch of Arasai',NULL,'','','',0,4551,136,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850011,'Praise the Prince of Hate',NULL,'','','',0,2705,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1850012,'Decorative Frostfell Greeting Card',NULL,'','','',0,9688,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1860000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1860001,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880001,'an awaiting vessel','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880002,'a soulstripper','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880003,'an anchor channeler','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880004,'an awaiting vessel','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880005,'an enraged shade','','','','',255,240,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880006,'The Medium of Hykor','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880007,'a spirit eviscerator','','','','',255,240,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880008,'a goblin','','','','',255,145,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880009,'a shadowedman seed','','','','',255,1584,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880010,'a servant of the shadow','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880011,'Bovauk','','','','',255,157,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880013,'02_transport_door01',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880019,'01_transport_door02',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880020,'01_transport_door01',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880021,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880022,'01_door_handle_enter',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880023,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1880024,'zone_to_obelisk',NULL,'','','',0,49,32,0,1,1,214,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890001,'an iron soulshredder','','','','',255,230,70,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890002,'a swarm shadow','','','','',255,240,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890003,'a sacrificial subduer','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890004,'an awaiting vessel','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890005,'a soulstripper','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890006,'an anchor channeler','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890007,'a vessel retriever','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890008,'The Medium of Odris','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890009,'an awaiting vessel','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890010,'a valve operator','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890011,'an anchor reconditioner','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890012,'an iron lacerator','','','','',255,230,64,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890013,'The Medium of Norrath','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890014,'an enraged shade','','','','',255,240,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890015,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890016,'Braxx','','','','',255,247,54,3,1,1,11,0,0,1,1,1,0,0,35,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890017,'Brixx','','','','',255,247,57,0,1,1,11,0,0,1,1,1,0,0,35,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890018,'Borxx','','','','',255,247,67,0,1,1,11,0,0,1,1,1,0,0,35,450000,225000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890019,'a Congregation of Souls','','','','',255,308,320,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890020,'a nightblood sentry','','','','',255,1585,56,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890021,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890022,'Zygoth the Watcher','','','','',255,310,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890023,'a nightblood seeker','','','','',255,1585,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890024,'a shadow beast','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890025,'a shadowed soulflayer','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890026,'a shadowed servitor','','','','',255,270,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890027,'a shadowed protector','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890028,'a shadowed riftwatcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890029,'Soul Harvester Gron','','','','',255,1584,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890030,'The Harbinger','','','','',255,1584,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890031,'a shadowed torturer','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890032,'a soulless assistant','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890033,'Vann','A shadowed soulflayer''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890034,'a shadowed servitor','','','','',255,225,22,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890035,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890036,'a tortured servant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890037,'a shadowed evocator','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890038,'Gosartik','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890039,'a shadowed liquidite','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890040,'a shadowed liquidite','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890041,'a shadowed liquidite','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890042,'Jabtik','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890043,'Veker','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890044,'Xosann','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890045,'a soulless waste','','','','',255,209,19,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890046,'a soulless waste','','','','',255,209,17,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890047,'a soulless waste','','','','',255,209,17,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890048,'a soulless waste','','','','',255,209,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890049,'a shadowed riftwatcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890050,'Xabekn','Soul Harvester Na''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890051,'Soul Harvester Na','','','','',255,1584,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890052,'an instrument of torture','','','','',255,309,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890053,'a shadowed soulcrusher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890054,'a shadowed soulcrusher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890055,'a shadowed soulflayer','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890056,'a senescent lorekeeper','','','','',9,1521,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890057,'a ghastly sentry','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890058,'a spectral sentry','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890059,'Troxlep','','','','',255,247,16,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890060,'a tortured servant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890061,'a spectral sentry','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890062,'a spectral sentry','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890063,'a spectral sentry','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890064,'The Book of Summoning','','','','',255,282,102,0,1,1,9,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890065,'a shadowed deconstructor','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890066,'Avulsor','','','','',255,1585,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890067,'a paroxysmal observer','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890068,'a paroxysmal observer','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890069,'Wurmjaw','','','','',255,284,108,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890070,'a soulless assistant','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890071,'Xychlzys','','','','',255,247,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890072,'a soulless resurrector','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890073,'Jenarn','Soul Harvester Kul''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890074,'Soul Harvester Kul','','','','',255,1584,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890075,'Paroxroz','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890076,'Konekab','A soulless resurrector''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890077,'a shadowed riftwatcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890078,'The Labyrinth Shadow','','','','',255,240,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890079,'Kosn','The Keeper of Nihility''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890080,'The Keeper of Nihility','','','','',255,1584,99,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890081,'a shadowed servitor','','','','',255,303,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890082,'Vebartik','Soul Harvester Zej''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890083,'Soul Harvester Zej','','','','',255,1584,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890084,'Kararn','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890085,'a shadowed liquidite','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890086,'Kekab','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890087,'Labantik','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890088,'Gabarn','A shadowed liquidite''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890089,'Xenantik','Soul Harvester Na''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890090,'a Congregation of Souls','','','','',255,308,320,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890091,'Gonarer','A shadowed soulflayer''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890092,'Lenann','Soul Harvester Zej''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890093,'Jekn','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890094,'Gantik','Conjacon''s aery hunter','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890095,'Kibekn','The Keeper of Nihility''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890096,'Gabarer','A soulless resurrector''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890097,'Vebann','A soulless resurrector''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890098,'Gosekab','A soulless resurrector''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890099,'Jonantik','Soul Harvester Kul''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890100,'a shadowed mistscreamer','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890101,'a shadowed acolyte','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890102,'a servant of nihility','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890103,'Bondur Flayfist','','','','',255,1585,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890104,'Gorusk Flayfist','','','','',255,1585,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890105,'XXXXX''s protoflame','','','','',255,2360,38,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890106,'Kobantik','The Keeper of Nihility''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890107,'a disciple of shadow','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890108,'a disciple of shadow','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890109,'an iron sentinel','','','','',255,230,57,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890110,'a void generator','','','','',255,308,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890111,'a battery vessel','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890112,'a battery vessel','','','','',255,140,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890113,'a disciple of shadow','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890114,'a disciple of shadow','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890115,'The Medium of Dyrt','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890116,'The Medium of Iza','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890117,'Kobantik','The Medium of Cron''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890118,'The Medium of Cron','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890119,'impending doom','','','','',255,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890120,'The Medium of Lysis','','','','',255,1584,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890121,'Gober','Conjacon''s aery hunter','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890122,'03_transport_door_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890123,'03_transport_door_19',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890124,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890125,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890126,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890127,'03_transport_door_18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890128,'03_transport_door_17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890129,'03_transport_door_7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890130,'03_transport_door_8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890131,'03_transport_door_24',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890132,'03_transport_door_13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890133,'03_transport_door_12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890134,'03_transport_door_20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890135,'03_transport_door_22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890136,'01_transport_entrance_door_0',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890137,'01_transport_lower_chamber_door_0',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890138,'01_transport_door_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890139,'quest_tartons_wheel_izah',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,0,0,0,123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890140,'01_transport_door_15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890141,'01_transport_door_14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890142,'01_transport_door_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890143,'01_transport_door_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890144,'01_transport_door_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890145,'01_transport_door_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890146,'01_transport_door_07',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890147,'01_transport_door_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890148,'01_transport_door_13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890149,'01_transport_door_11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890150,'01_transport_door_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890151,'01_transport_door_12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890152,'01_transport_door_09',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890153,'',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890154,'02_transport_door_8',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890155,'All Ethernaut Banners',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890156,'02_transport_door_9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890157,'02_lever_transport_door_7',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890158,'02_transport_door_7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890159,'02_transport_door_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890160,'02_lever_transport_door_6',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890161,'02_lever_transport_door_5',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890162,'02_transport_door_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890163,'02_transport_door_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890164,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890165,'02_lever_transport_door_4',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890166,'02_lever_transport_door_3',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890167,'02_transport_door_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890168,'02_transport_door_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890169,'',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890170,'02_transport_door_24',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890171,'02_transport_door_25',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890172,'02_lever_transport_door_2',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890173,'02_transport_door_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890174,'02_transport_door_22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890175,'02_lever_transport_door_1',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890176,'02_transport_door_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890177,'',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890178,'02_transport_door_21',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890179,'02_transport_door_20',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890180,'02_transport_door_19',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890181,'',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890182,'02_transport_door_18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890183,'02_transport_door_17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890184,'01_transport_door_08',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890185,'02_transport_door_23',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890186,'02_transport_door_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890187,'02_transport_door_15',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890188,'02_transport_door_12',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890189,'02_transport_door_14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890190,'02_transport_door_11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890191,'02_transport_door_13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890192,'03_transport_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890193,'03_transport_door_38',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890194,'03_transport_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890195,'03_transport_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890196,'03_transport_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890197,'03_transport_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890198,'',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890199,'03_transport_door_37',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890200,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890201,'03_transport_door_9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890202,'03_transport_door_6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890203,'03_transport_door_36',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890204,'03_transport_door_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890205,'03_transport_door_33',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890206,'03_transport_door_30',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890207,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890208,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890209,'03_transport_door_35',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890210,'03_transport_door_34',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890211,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890212,'03_transport_door_29',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890213,'03_transport_door_28',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890214,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890215,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890216,'03_transport_door_32',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890217,'03_transport_door_31',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890218,'03_transport_door_11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890219,'03_transport_door_27',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890220,'03_transport_door_26',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890221,'03_transport_door_25',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890222,'03_transport_door_14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890223,'03_transport_door_15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890224,'03_transport_door_23',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890225,'03_transport_door_21',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890226,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890227,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890228,'03_transport_door_40',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890229,'03_transport_door_39',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890230,'',NULL,'','','',0,49,32,0,1,1,668,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890232,'draconic_widget24',NULL,'','','',0,4174,32,0,0,0,124,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890233,'a stolen scroll',NULL,'','','',0,2544,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890234,'an unlucky traveler',NULL,'','','',0,1847,31,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890235,'container of the Tarinax soul',NULL,'','','',0,2874,64,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890236,'draconic_widget22',NULL,'','','',0,4180,32,0,0,0,124,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890237,'draconic_widget23',NULL,'','','',0,4190,13,0,0,0,57,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890238,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890239,'skulls_kilroy',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890240,'to the Vestibule',NULL,'','','',0,49,32,0,1,1,213,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890241,'zoneout_object',NULL,'','','',0,2306,70,0,1,1,743,0,2074,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890242,'zoneout_object',NULL,'','','',0,2306,53,0,1,1,744,0,3464,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890243,'ark_kilroy',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890244,'jar_kilroy',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890245,'Tapestry of a Flying Ship',NULL,'','','',0,9602,64,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890246,'Tapestry of a Bow',NULL,'','','',0,9603,64,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890247,'scroll_case_01',NULL,'','','',0,2865,32,0,1,1,903,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890248,'scroll_case_02',NULL,'','','',0,2865,32,0,1,1,903,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890249,'scroll_case_03',NULL,'','','',0,2865,32,0,1,1,903,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890250,'scroll_case_05',NULL,'','','',0,2865,32,0,1,1,903,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890251,'scroll_case_04',NULL,'','','',0,2865,32,0,1,1,903,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890252,'scroll_case_06',NULL,'','','',0,2865,32,0,1,1,903,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890253,'trap_kilroy',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1890254,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900000,'a horse','','','','',255,6846,31,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900003,'a stable master','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900004,'Quint Cerlius M.E.','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900010,'Gragak Stinkyfeet','<Far Seas Trading Company>','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900012,'Zan Filis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900013,'a Deathfist beater','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900016,'a valley deer','','','','',255,206,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900017,'Orca','','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900018,'Lute','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900019,'The Cobbler','<Tailor>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900020,'a Tallon grunt','','','','',20,5022,34,2,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900022,'a rainbow trout','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900023,'Dailin Blainin','','','','',6,114,35,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900024,'a Green Hood enforcer','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,118,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900025,'a Green Hood faithful','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,118,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900026,'Three Toes','','','','',255,198,48,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900027,'a Green Hood woodsman','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,118,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900030,'Cyclops','','','','',255,247,9,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900031,'Nixam Dugdiggle','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900032,'a Vallon quarry elite','','','','',20,5022,36,4,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900034,'Krig Stonestance','','','','',20,5023,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900042,'a Deathfist protector','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900044,'Mariner Guard Bail','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900045,'Spirit','','','','',15,1443,28,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900046,'Bouncer','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900047,'Shadow','','','','',1,115,35,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900048,'Leelee Brewbubble','','','','',5,122,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900049,'Mariner Guard Zilia','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900050,'Mariner Guard Gwinn','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900055,'Mess Sergeant Akseltz','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900056,'Ismena Cellus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900057,'Viddle Sprocketbender','<Artifact and Relic Aficionado>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,12001,0,0,0,0,0,0,0,0,0,0,0,0),
(1900058,'Mariner Guard Jennifer Lynn','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900059,'Mariner Guard Jensen','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900060,'Mariner Captain Fidalgo','','','','',9,134,38,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900061,'Hoggle Bogstrutter','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900062,'Gina','<Provisioner>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,12006,0,0,0,0,0,0,0,0,0,0,0,0),
(1900063,'Patrick','<Bowyer>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,12007,0,0,0,0,0,0,0,0,0,0,0,0),
(1900065,'The Angry Augur','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900066,'Oarwille Wight','<Scenic Route Airways>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900067,'Emissary Baeth','<The Green Hoods>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900068,'Mariner Guard Dredrick','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900069,'Mariner Guard Brockstin','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,117,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900070,'Mariner Guard Dirdra','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900071,'a dead Tallon grunt','','','','',20,5021,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900072,'Division Supplier Gaertarn','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900073,'The Meandering Augur','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900074,'Hammer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900075,'Cornail Stormwrath','','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900076,'a Mariner Watchman','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900077,'a Tallon patrolman','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900078,'Mariner Foot Soldier','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,117,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900079,'Mariner Guard Virik','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900080,'Soci Esign','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900081,'Rath''Adran','','','','',3,1597,33,1,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900082,'a Tallon spotter','','','','',20,5021,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900084,'a Tallon warpriest','','','','',20,141,38,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900085,'James Reed','<Forester>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900086,'a Tallon catapult operator','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900087,'a Tallon raider','','','','',20,5021,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900088,'a Tallon raider','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900089,'a Tallon forager','','','','',20,5021,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900090,'Terkus the Raidleader','','','','',20,5023,41,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900091,'a nymph guardian','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900092,'a withered odeum','','','','',255,212,112,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900096,'a green hood trap master','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,118,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900099,'Deadwood Bellow','','','','',255,212,124,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900100,'a brittle tender','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900101,'a petrified deadwood','','','','',255,212,118,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900105,'Bailin Grove the Elder','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900107,'Tusk','','','','',20,5023,35,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900109,'a Sullon veteran','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900110,'Vatook Masher','','','','',20,5026,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900111,'pig guardian','','','','',255,271,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900113,'a Sullon seer','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900116,'an orc bodyguard','','','','',20,5022,38,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900117,'a Vallon lugger','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900123,'an orc escort','','','','',20,5022,38,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900125,'an orc cartographer','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900130,'Tunarian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900137,'an Arialla templar','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900139,'an Arialla sooth','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900143,'a Green Hood scout','','','','',15,114,32,0,1,1,11,0,0,1,1,1,0,118,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900144,'a Tallon Champion','','','','',255,4945,32,0,1,1,11,0,0,1,1,1,0,119,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900145,'a Tallon high shaman','','','','',255,141,32,0,1,1,9,0,0,0,0,1,0,119,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900146,'a Tallon trooper','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900147,'a Tallon raider','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900148,'a Tallon field cook','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900149,'a Vallon grunt','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900150,'a Vallon sentry','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900151,'a Vallon Savage','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900152,'a Vallon loader','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900153,'a Vallon seer','','','','',19,141,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900154,'Ritual Pyre','','','','',255,273,32,0,1,1,0,0,492,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900155,'a Vallon builder','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900156,'Gurk Strongarm','','','','',19,5027,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900157,'a Deathfist timbersmith','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900158,'a Vallon centurion','','','','',19,5023,38,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900159,'a Vallon hatchetman','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900160,'a Green Hood grizzly','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,118,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900161,'Sashra Thaltalis','','','','',15,1448,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900162,'Angler','','','','',15,1446,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900163,'Katrien Bogmoir','<Green Hood Herbalist>','','','',15,1444,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900164,'the Glademaster','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900165,'Pebbles','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900167,'Freeboard','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900168,'a Deathfist salvager','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900170,'a Derris trooper','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900171,'Grozmag the Trainer','','','','',19,5024,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900173,'Birchbark Oakleaf','','','','',255,212,80,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900182,'Driver Ughar','','','','',19,5023,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900185,'Captain Vulis','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900188,'a Deathfist toiler','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900193,'a Deathfist sentinel','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900194,'a Deathfist sentinel','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900195,'a Drunder trooper','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900199,'Exiled Lieutenant','','','','',19,5023,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900200,'Orcish Proselyte','','','','',19,141,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900201,'Grumzod the Exile','','','','',19,5027,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900202,'a Gorynn trooper','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900203,'Exiled Captain','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900204,'Orcish Heretic','','','','',19,141,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900210,'a hill cat prowler','','','','',255,1372,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900211,'a Hill Cat Matriarch','','','','',255,1372,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900213,'a Sullon elite','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900214,'a Sullon elite','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900215,'Moog the Overlord','','','','',19,5021,41,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900216,'an Arialla mystic','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900219,'a Deathfist protector','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900220,'a Deathfist Captain','','','','',19,5024,38,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900221,'Vigo Cerebus','<Citadel Gate Keeper>','','','',19,5026,57,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900227,'Quellithulian Supply Officer','<Token Merchant>','','','',255,5060,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900230,'Iwarii Ble''gath','<Spire Surveyor>','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900231,'Osiim Y''selada','<Portal Warden>','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900232,'Quellithulian Geomancer','','','','',255,5060,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900234,'Adalla Ful''adin','<Chief Portal Engineer>','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900235,'invisible target 1','<Only GMs can target me>','','','',9,2306,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900237,'Slumber Paw','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900238,'Arialla Clearsong','','','','',255,180,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900251,'',NULL,'','','',0,49,32,0,1,1,405,0,0,0,0,1,1,0,645,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900252,'widget_tree_trunk',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900253,'widget_rise_orcs_01_page_03',NULL,'','','',0,49,32,0,1,1,127,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900254,'widget_qst_gaertarn_x3',NULL,'','','',0,49,32,0,1,1,443,0,0,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900255,'widget_rise_orcs_04_page_09',NULL,'','','',0,49,32,0,1,1,444,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900256,'widget_rise_orcs_02_page_05',NULL,'','','',0,49,32,0,1,1,445,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900257,'widget_rise_orcs_03_page_07',NULL,'','','',0,49,32,0,1,1,445,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900258,'inspect_skull_forge_cauldron02',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900259,'widget_rise_orcs_02_page_04',NULL,'','','',0,49,32,0,1,1,446,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900260,'widget_qst_blood_ore_bracers',NULL,'','','',0,49,32,0,1,1,127,0,0,0,0,1,1,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900261,'transport_mine',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900262,'top_lever',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900263,'widget_rise_orcs_04_page_04',NULL,'','','',0,49,32,0,1,1,447,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900264,'inspect_skull_forge_cauldron03',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900265,'widget_ore_cart',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900266,'widget_bestest_orc_emperoros_page_09',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900267,'widget_nine_contemplations_page_05',NULL,'','','',0,49,32,0,1,1,475,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900268,'widget_jerb_northstar_page_05',NULL,'','','',0,49,32,0,1,1,437,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900269,'widget_crushed_skeleton',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900270,'fort_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900271,'fort_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900272,'fort_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900273,'fort_door_9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900274,'fort_gate_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900275,'fort_gate_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900276,'fort_door_8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900277,'fort_door_7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900278,'fort_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900279,'fort_door_6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900280,'fort_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900281,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,907,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900282,'widget_orcs_of_norrath_page_07',NULL,'','','',0,49,32,0,1,1,89,0,0,0,0,1,1,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900283,'widget_qst_gaertarn_x4',NULL,'','','',0,49,32,0,1,1,573,0,0,0,0,1,1,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900284,'widget_qst_blood_ore_basher',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900285,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,1252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900286,'widget_leaning_skeleton',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900287,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,1252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900288,'widget_foreman_diary_page_10',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900289,'widget_rise_orcs_05_page_04',NULL,'','','',0,49,32,0,1,1,142,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900290,'inspect_skull_forge_cauldron01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900291,'bottom_lever',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900292,'widget_nine_contemplations_page_08',NULL,'','','',0,49,32,0,1,1,388,0,0,0,0,1,1,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900293,'widget_bestest_orc_emperors_page_11',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900294,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,1252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900295,'widget_qst_gaertarn_x6',NULL,'','','',0,49,32,0,1,1,205,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900296,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,1252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900297,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,1252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900298,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,876,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900299,'widget_giant_axe',NULL,'','','',0,49,32,0,1,1,904,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900300,'widget_charred_stump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900301,'widget_rise_orcs_05_page_12',NULL,'','','',0,49,32,0,1,1,388,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900302,'widget_rise_orcs_03_page_06',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,1,1,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900303,'Upper Deathfist Portcullis',NULL,'','','',0,49,32,0,1,0,45,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900304,'Lower Deathfist Portcullis',NULL,'','','',0,49,32,0,1,0,45,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900305,'widget_speared_skeleton',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900306,'widget_druidring',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,584,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900307,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,907,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900308,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,1252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900310,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900312,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900314,'exp06 spire - complete',NULL,'','','',0,6145,32,0,1,1,0,0,0,0,0,0,0,0,1593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900315,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900316,'speared skeleton',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900317,'fprt_hood_table_small01',NULL,'','','',0,1516,23,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900318,'rock01',NULL,'','','',0,1550,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900319,'void_object_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900320,'qey_boulder03',NULL,'','','',0,1725,40,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900321,'qst_unseenhand_wine_1',NULL,'','','',0,1403,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900322,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,1,1,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900323,'qey_boulder02',NULL,'','','',0,1725,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900324,'mess sergeant cooking crate',NULL,'','','',0,2060,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900325,'mess sergeant cooking cask',NULL,'','','',0,2943,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900326,'mess sergeant cooking pot01',NULL,'','','',0,4606,45,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900327,'orc large tent',NULL,'','','',0,2379,32,0,1,1,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900328,'exp07 druid ring - stage 3 - on',NULL,'','','',0,13718,32,0,1,1,61,0,0,0,0,0,0,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900329,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900330,'a prime enforcer notice',NULL,'','','',0,3655,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900331,'rusted box on titans tower mount',NULL,'','','',0,2102,19,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900332,'geeenhood lutes tent',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900333,'geeenhood lutes tree',NULL,'','','',0,2382,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900334,'heavy_stone_archway',NULL,'','','',0,1439,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900335,'Vallon Miner Utility Chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900336,'a depot desk, miner depot',NULL,'','','',0,2176,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900337,'orc lugger depot crate',NULL,'','','',0,3149,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900338,'orc lugger tent',NULL,'','','',0,2379,32,0,1,1,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900339,'Orc Tent',NULL,'','','',0,2379,32,0,1,1,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900340,'Tallon Brigade plunder chest, tower ruins',NULL,'','','',0,2902,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900341,'Tallon Gravemarker',NULL,'','','',0,2918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900342,'Tinmizer''s Astounding Frost Disruptor',NULL,'','','',0,3252,48,0,1,1,211,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900343,'a Sullon Brigade tent',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900344,'Journal of Captain Ralgos Strider',NULL,'','','',0,1607,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900345,'Q.S.S. Ebon Strongbear lockbox',NULL,'','','',0,2102,32,0,1,1,61,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900346,'an eldritch stone desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900347,'Vul''Myr Druzaic Shrine',NULL,'','','',0,1704,32,0,1,1,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900348,'orc lugger depot cart',NULL,'','','',0,4648,32,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900349,'Vallon Gravemarker',NULL,'','','',0,2918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900350,'the Greenmist landing locker box',NULL,'','','',0,4607,32,0,1,1,61,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900351,'a blackhook cask',NULL,'','','',0,2021,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900352,'a blackhook crate',NULL,'','','',0,3157,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900353,'a blackhook shed',NULL,'','','',0,2376,32,0,1,1,0,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900354,'a blackhook row boat',NULL,'','','',0,4644,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900355,'Sullon Gravemarker',NULL,'','','',0,2918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900356,'Deathfist Toiler Utility Chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900357,'Derris Gravemarker',NULL,'','','',0,2918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900358,'Deathfist Protector Utility Chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900359,'exp07 druid ring - stage 1',NULL,'','','',0,13704,32,0,1,1,61,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900360,'exp06 spire - stage 5',NULL,'','','',0,6029,32,0,1,1,0,0,0,0,0,0,0,0,1460,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900361,'an Ulteran synthesis station',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900362,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1900363,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900364,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(1900365,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(1900367,'portal_to_obelisk',NULL,'','','',0,2306,70,0,1,1,308,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900368,'Lamp of Orllis, staff',NULL,'','','',0,3659,32,0,1,1,37,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900369,'a Derris Brigade slosh barrel',NULL,'','','',0,3191,32,0,1,1,61,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900370,'Vallon gravestone',NULL,'','','',0,3351,32,0,1,1,211,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900371,'a grassblade bread box',NULL,'','','',0,2102,32,0,1,1,406,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900372,'zone_to_orcishwastes_mini01_raid',NULL,'','','',0,1438,27,0,0,0,407,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900373,'a green hood report01',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900374,'unkempt cursing stone, west',NULL,'','','',0,2925,32,0,1,1,61,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900375,'broken_cart',NULL,'','','',0,1380,32,0,1,1,135,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900376,'an equite commander memo',NULL,'','','',0,3213,32,0,1,1,61,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900377,'a green hood report02',NULL,'','','',0,3498,31,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900378,'zone_to_orcishwastes_mini01_tallon_hording_halls',NULL,'','','',0,1438,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900379,'orcish_wooden_door',NULL,'','','',0,1438,32,0,1,1,448,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900380,'Lamp of Orllis, base',NULL,'','','',0,2684,32,0,1,1,37,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900381,'a grassblade bottle',NULL,'','','',0,2614,32,0,1,1,374,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900382,'zone_to_orcishwastes_mini01_dark_den',NULL,'','','',0,1438,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900383,'a Far Wanderer cargo crate',NULL,'','','',0,3153,32,0,1,1,476,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900384,'gnomish flying device',NULL,'','','',0,7184,56,0,1,1,477,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900385,'a Far Windstomper cargo crate',NULL,'','','',0,3153,32,0,1,1,476,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900386,'shard_recovery_orcishwastes_mini01',NULL,'','','',0,2025,32,0,1,1,45,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900387,'Tallon gravestone',NULL,'','','',0,3351,32,0,1,1,211,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900388,'a green hood report09',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900389,'a green hood report08',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900390,'a green hood report07',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900391,'a green hood report03',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900392,'Old Grove Trail Guide',NULL,'','','',0,1854,42,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900393,'a green hood report05',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900394,'a green hood report04',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900395,'a_root',NULL,'','','',0,2383,32,0,1,1,135,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900396,'Black Crystal',NULL,'','','',0,3914,32,0,1,1,574,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900397,'unkempt cursing stone, south',NULL,'','','',0,2925,32,0,1,1,61,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900398,'zone_to_orcishwastes_mini01_drakota',NULL,'','','',0,1438,32,0,1,1,575,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900399,'a grassblade jam jar',NULL,'','','',0,1434,32,0,1,1,576,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900400,'Sullon gravestone',NULL,'','','',0,3351,32,0,1,1,211,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900401,'unkempt cursing stone, east',NULL,'','','',0,2925,32,0,1,1,61,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900402,'zone_to_orcishwastes_mini01_sullon_mines',NULL,'','','',0,1438,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900403,'a_beach_rock',NULL,'','','',0,1550,52,0,1,1,135,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900404,'a_catapult',NULL,'','','',0,2337,32,0,1,1,135,0,0,0,0,0,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900405,'West Zek Trail Guide',NULL,'','','',0,1854,39,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900406,'a_stump',NULL,'','','',0,1551,10,0,1,1,135,0,0,0,0,1,0,0,367,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900407,'a green hood report06',NULL,'','','',0,3498,32,0,1,1,61,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900408,'boat_to_greenmist',NULL,'','','',0,4644,32,0,1,1,905,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900409,'Orange Crystal',NULL,'','','',0,3914,32,0,1,1,906,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900410,'White Crystal',NULL,'','','',0,3914,32,0,1,1,907,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900411,'Green Crystal',NULL,'','','',0,3914,32,0,1,1,908,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900412,'Red Crystal',NULL,'','','',0,3914,32,0,1,1,909,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900413,'Blue Crystal',NULL,'','','',0,3914,32,0,1,1,910,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900414,'unkempt cursing stone, north',NULL,'','','',0,2925,32,0,1,1,61,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900415,'The Badlands Trail Guide',NULL,'','','',0,1854,42,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900416,'a Sullon Brigade slosh barrel',NULL,'','','',0,3191,32,0,1,1,61,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900417,'a_rock_formation',NULL,'','','',0,2378,20,0,1,1,135,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900418,'toiler taskmaster''s desk',NULL,'','','',0,2176,32,0,1,1,61,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900419,'a_fallen_steed',NULL,'','','',0,2372,41,0,1,1,135,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900420,'a grassblade submerged chest',NULL,'','','',0,2902,32,0,1,1,911,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900421,'a Drunder Brigade slosh barrel',NULL,'','','',0,3191,32,0,1,1,61,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900422,'Deathfist Main Gate',NULL,'','','',0,49,32,0,0,0,912,0,0,0,0,1,0,0,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900423,'Deathfist Sewer Grate East',NULL,'','','',0,49,32,0,0,0,912,0,0,0,0,1,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900424,'Deathfist Sewer Grate West',NULL,'','','',0,49,32,0,0,0,912,0,0,0,0,1,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900425,'Lamp of Orllis, basin',NULL,'','','',0,3352,32,0,1,1,37,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900426,'a Gorynn Brigade slosh barrel',NULL,'','','',0,3191,32,0,1,1,61,0,0,0,0,1,1,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900427,'a prime enforcer notice',NULL,'','','',0,3655,32,0,1,1,61,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900428,'Derris gravestone',NULL,'','','',0,3351,32,0,1,1,913,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900429,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1042,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900430,'spire progress sign',NULL,'','','',0,7894,9,0,1,1,44,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900431,'a dust adder','','','','',255,213,44,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900432,'a waste grawler','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,1,36,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900433,'a Sullon centurion','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900434,'a Sullon lumberjack','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900435,'a needler','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900436,'a timber grizzly','','','','',255,198,38,0,1,1,11,0,0,1,1,1,0,1,36,1045,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900437,'a gorge panther','','','','',255,1372,28,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900438,'a gorge huntress','','','','',255,1372,28,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900439,'a Vallon miner','','','','',20,5022,34,2,1,1,11,0,0,1,1,1,0,119,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900440,'a hill cat huntress','','','','',255,1372,28,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1900441,'a shoreline scavenger','','','','',255,211,22,0,1,1,11,0,0,1,1,1,0,0,25,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920000,'an Ikro Kromise champion','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920001,'Gyrok Deepfreeze','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920002,'an Ikro Kromise cleric','','','','',255,4014,78,2,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920003,'an animated glacier','','','','',255,2553,96,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920004,'a Kromise Virh armsmen','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920005,'a Kromise Virh mender','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920006,'Igrah Coldfist','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920007,'a Frostpaw pack hound','','','','',255,3711,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920008,'a Kromise pack tamer','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920009,'a Kromise Deacon watchman','','','','',255,4014,71,1,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920010,'a Kromise pack tamer','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920011,'an Ikro Kromise protector','','','','',255,4014,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920012,'a Frostpaw pup','','','','',255,3711,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920013,'an Icegill sitter','','','','',255,3884,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920014,'an Icegill master','','','','',255,3884,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920015,'a Kromise Virh savage','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920016,'an Icegill master','','','','',255,3884,64,0,1,1,11,0,11500,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920017,'a Kromise Deacon mender','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920018,'a shattered sculpture','','','','',255,2553,102,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920019,'Alangria','','','','',255,156,160,0,1,1,11,0,0,1,1,1,0,0,89,300000,150000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920020,'a frozen guardian','','','','',255,2553,96,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920021,'Ador Frigidbeard','','','','',255,4014,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920022,'a Kromise Virh sentry','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920023,'a Kromise Trapper','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920024,'an Icegill diviner','','','','',255,3884,64,0,1,1,11,0,11500,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920025,'an Icegill maker','','','','',255,3884,64,0,1,1,11,0,11500,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920026,'Kerhn Chillwind','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920027,'a Kromise Rem cassok','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920028,'a Kromise Curn defender','','','','',255,4014,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920029,'a Kromise Rem watchman','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920030,'a Kromise Rem pugilist','','','','',255,4014,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920031,'an Icegill Tink','','','','',255,3884,70,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920032,'a Kromise Curn watchman','','','','',255,4014,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920033,'a Kromise Curn templar','','','','',255,4014,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920034,'a Kromise Curn seer','','','','',255,4014,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920035,'a Kromise Curn fury','','','','',255,4014,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920036,'a frigid glimmer','','','','',255,273,96,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920037,'a Frostpaw sentinel','','','','',255,3711,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920038,'Terook Skullsplitter','','','','',255,4014,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920039,'Commander Keg','','','','',255,4014,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920040,'Grilik the Blacksmith','','','','',255,3884,73,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920041,'Reviler Keeper','','','','',255,2553,192,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920042,'Reviler Guardian','','','','',255,2553,192,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920043,'a wall of ice','','','','',255,2553,96,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920044,'Kitamer','','','','',255,3711,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920045,'widget_hero_statue8',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,425,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920046,'widget_hero_statue2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920047,'widget_hero_statue1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920048,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920049,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920050,'vox_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920051,'vox_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920052,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920053,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920054,'wall_gate_right_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920055,'widget_wall_sconce',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920056,'widget_war_horn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920057,'widget_hero_statue7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920058,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920059,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920060,'widget_hero_statue3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,425,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920061,'widget_hero_statue4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920062,'widget_hero_statue6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,425,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920063,'widget_hero_statue5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920064,'wall_gate_right_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920065,'widget_large_lantern',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920066,'wolf_caves_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920067,'wolf_caves_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920068,'draconic_widget19',NULL,'','','',0,4171,32,0,0,0,124,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920069,'draconic_widget20',NULL,'','','',0,4181,32,0,0,0,124,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920070,'draconic_widget21',NULL,'','','',0,4186,32,0,0,0,516,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920071,'vox_epic_2',NULL,'','','',0,49,32,0,0,0,112,0,0,0,0,0,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920072,'Drayek''s Chamber',NULL,'','','',0,49,32,0,1,1,517,0,0,0,0,1,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920073,'vox_epic_1',NULL,'','','',0,49,32,0,0,0,112,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920074,'Drayek''s Chamber',NULL,'','','',0,49,32,0,1,1,517,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920075,'zone_to_everfrost',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,459,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1920076,'The Vision of Vox','','','','',255,3653,240,0,1,1,0,0,496,1,1,1,0,0,67,500000,250000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930000,'a frozen sentinel','','','','',255,2553,102,0,1,1,0,0,0,0,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930001,'a frozen vigilant','','','','',255,2553,102,0,1,1,0,0,0,0,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930002,'Frostbite','','','','',255,3711,99,0,1,1,0,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930003,'King Drayek','','','','',255,4014,96,0,1,1,0,0,0,0,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930004,'Misty','','','','',255,3711,96,0,1,1,0,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930005,'a Kromise royal guard','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930006,'a Kromise royal guard','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930007,'a Kromise royal guard','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930008,'a Kromise royal guard','','','','',255,4014,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930009,'a Kromise spirit','','','','',9,2934,160,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930010,'a Kromise sentinel','','','','',9,2934,160,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930011,'zone_to_permafrost_right',NULL,'','','',0,49,32,0,1,1,518,0,0,0,0,1,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1930012,'zone_to_permafrost_left',NULL,'','','',0,49,32,0,1,1,518,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1940000,'An Enchanted Ice Crystal','','','','',255,311,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1940001,'The Spirit of Vox','','','','',255,3653,249,0,1,1,11,0,496,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1940002,'Lady Vox','','','','',255,203,249,0,1,1,9,0,0,1,1,1,0,35,272,1000000,1500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1940003,'Resurrection Object',NULL,'','','',0,1704,25,0,1,1,924,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1940004,'zone_to_permafrost_right',NULL,'','','',0,49,32,0,0,0,518,0,0,0,0,1,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1940005,'zone_to_permafrost_left',NULL,'','','',0,49,32,0,0,0,518,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950000,'a bear cub','','','','',255,198,17,1,1,1,11,0,0,1,1,1,0,0,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950001,'an oakmyst fawn','','','','',255,206,21,1,1,1,9,0,0,0,0,1,0,0,38,110,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950002,'a glowmyst beetle','','','','',255,222,64,0,1,1,11,0,0,1,1,1,0,0,8,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950003,'Solas','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,214,34,14641,2200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950004,'Adalin Emerael','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950005,'Toppa Doppster','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950006,'a shady furrier','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,1,30,150,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950007,'an Oakmyst doe','','','','',255,5759,38,3,1,1,11,0,0,1,1,1,0,0,38,150,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950008,'Lieutenant Charlin','<Qeynos Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950009,'a mystail yearling','','','','',255,231,32,0,1,1,11,0,0,1,1,1,0,0,12,110,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950010,'a young mystail rat','','','','',255,231,35,0,1,1,11,0,0,1,1,1,0,0,12,110,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950011,'Tracker Galera','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950012,'Jorn Sorefoot','','','','',0,1467,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950013,'a corrupted dryad','','','','',255,174,27,3,1,1,11,0,0,1,1,1,0,1,32,400,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950014,'an Oakmyst spider','','','','',255,244,22,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950015,'a molting spider','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950016,'a young mystail rat','','','','',255,231,35,0,1,1,11,0,0,1,1,1,0,0,12,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950017,'a mystail matriarch','','','','',255,231,41,0,1,1,11,0,0,1,1,1,0,0,12,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950018,'an Oakmyst fairy','','','','',255,181,19,0,1,1,11,0,0,1,1,1,0,0,48,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950019,'an Oakmyst fairy','','','','',255,181,19,0,1,1,11,0,0,1,1,1,0,0,48,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950020,'a clearwater frog','','','','',255,237,22,0,1,1,11,0,0,1,1,1,0,0,12,240,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950021,'Aundor Singingsword','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950022,'Observer Galadn','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950023,'an Oakmyst great bear','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,1,36,430,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950024,'Truesteel','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,214,34,14641,2200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950025,'Marv Boilfist','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950026,'an Oakmyst fairy','','','','',255,181,19,0,1,1,11,0,0,1,1,1,0,0,48,80,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950027,'Ambassador Jalanderra','','','','',255,181,41,0,1,1,11,0,0,1,1,1,0,0,48,650,530,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950028,'Rotweed Thistle','','','','',255,274,32,0,1,1,11,0,0,1,1,1,0,1,64,650,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950029,'Rotweed','','','','',255,274,48,0,1,1,0,0,0,1,1,0,0,1,64,5400,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950030,'Monteh Furthread','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,400,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950031,'Ambassador Kialee','','','','',255,164,19,0,1,1,11,0,0,1,1,1,0,0,48,650,530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950032,'Ferith`Anar','','','','',255,268,32,0,1,1,11,0,0,1,1,1,0,0,32,2300,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950033,'a freshwater trout','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,1,8,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950034,'a sunshimmer sprite','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,48,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950035,'a badger cub','','','','',255,267,12,3,1,1,11,0,0,1,1,1,0,0,10,150,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950036,'a sunshimmer sprite','','','','',255,164,19,0,1,1,11,0,0,1,1,1,0,0,48,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950037,'Akeera Sneakshot','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950038,'Lieutenant Chorsun','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,425,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950039,'a vicious badger','','','','',255,267,25,0,1,1,11,0,0,1,1,1,0,0,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950040,'Huntmaster Krell','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950041,'Lulien Leafven','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950042,'Tracker Kelnis','','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950043,'Rinduil Flintflight','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950044,'Cailee Bluesheaf','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950045,'Jemila','<General Goods>','','','',11,96,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100447,0,0,0,0,0,0,0,0,0,0,0,0),
(1950046,'an Oakmyst spirit','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950047,'an Oakmyst royal defender','','','','',255,152,16,0,1,1,11,0,0,1,1,1,0,0,89,450,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950048,'Madeline ','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,214,34,14641,2200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950049,'Judge Eunomia','','','','',255,173,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950050,'Empress Anassa','','','','',255,173,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950051,'Scholar Neola','','','','',255,173,32,0,1,1,9,0,0,0,0,1,0,0,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950052,'a treant sapling','','','','',255,212,12,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950053,'Steward Tredo','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950054,'a sunshimmer sprite','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,48,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950056,'an Oakmyst fairy','','','','',255,181,19,0,1,1,11,0,0,1,1,1,0,0,48,80,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950057,'Karach the Spider Queen','','','','',255,245,44,0,1,1,11,0,0,1,1,1,0,1,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950058,'a gnoll corruptor','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950059,'Stormbrace','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950060,'Bardrian Vorsuth','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950062,'Grubdigger','','','','',255,198,48,0,1,1,11,0,0,1,1,1,0,1,36,3800,3000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950063,'Fulkoir Haggleton','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950064,'a gnoll assassin','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,185,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950065,'Gilrix','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,375,200,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950066,'Lieutenant Gnar''Sok','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,425,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950067,'Lieutenant Scyn','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,425,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950069,'Conjura''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950070,'a corrupted dryad','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,1,32,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950071,'N`Almia the Corruptor','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,455,530,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950073,'Fluwkowir Haggleton','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950074,'a mature bear cub','','','','',255,198,16,0,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950075,'inspect_rock_poem',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950077,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950078,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950079,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950080,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950082,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950083,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950084,'fprt_flowers_purple',NULL,'','','',0,1622,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950085,'arrow_plain',NULL,'','','',0,4147,32,0,0,0,1112,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950086,'human_firepit',NULL,'','','',0,3344,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950087,'leather bedroll',NULL,'','','',0,5792,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950088,'mysterious_machine',NULL,'','','',0,5211,31,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950089,'a_dead_gnoll',NULL,'','','',0,1384,32,0,0,0,0,0,228,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950090,'fog_emitter_7',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950091,'fog_emitter_1',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950092,'fog_emitter_3',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950093,'fog_emitter_8',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950094,'fog_emitter_2',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950095,'fog_emitter_4',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950096,'fog_emitter_10',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950097,'fog_emitter_6',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950098,'fog_emitter_13',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950099,'fog_emitter_12',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950100,'fog_emitter_9',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950101,'mysterious_machine_quest',NULL,'','','',0,5210,32,0,1,1,61,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950102,'fog_emitter_11',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950103,'training_dummy_2',NULL,'','','',0,2185,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950104,'training_dummy_1',NULL,'','','',0,2185,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950105,'merchant_box',NULL,'','','',0,4605,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950106,'fog_emitter_5',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950107,'corrupted_tree_1',NULL,'','','',0,2306,192,0,1,1,1168,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950108,'corrupted_tree_2',NULL,'','','',0,2306,224,0,1,1,1168,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950109,'corrupted_tree_3',NULL,'','','',0,2306,150,0,1,1,1168,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950110,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0),
(1950111,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1950112,'(unnamed)',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950113,'(unnamed)',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950114,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950115,'compound ore',NULL,'','','',0,3956,39,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950116,'unearthed soil',NULL,'','','',0,2916,16,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950117,'moss encased stone',NULL,'','','',0,2210,42,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950118,'natural garden',NULL,'','','',0,4077,31,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950119,'creature den',NULL,'','','',0,4003,59,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950120,'muddy roots',NULL,'','','',0,1730,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950121,'cluster of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950122,'grizzled arbor',NULL,'','','',0,3938,29,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950123,'a sunken keg',NULL,'','','',0,2562,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950124,'an Oakmyst spider',NULL,'','','',255,244,22,0,1,1,11,0,0,1,1,1,0,0,10,80,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950125,'an Oakmyst spider',NULL,'','','',255,244,22,0,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950126,'an Oakmyst spider',NULL,'','','',255,244,22,0,1,1,11,0,0,1,1,1,0,0,10,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950127,'Henk Newfield','<Mender>','','','',255,78,32,0,1,1,12,9,0,0,0,1,0,0,32,1001,1001,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(1950128,'menders anvil',NULL,'','','',255,41,64,0,1,0,4,0,0,0,0,1,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950129,'briarwood stool',NULL,'','','',255,2142,64,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950130,'Calla Badgerbane','<Harvesting and Collections>','','','',255,113,32,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950131,'a corrupted dryad',NULL,'','','',255,174,23,3,1,1,11,0,0,1,1,0,0,1,32,240,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950132,'a glowmyst beetle','','','','',255,222,64,0,1,1,11,0,0,1,1,1,0,0,8,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950133,'a mystail matriarch','','','','',255,231,41,0,1,1,11,0,0,1,1,1,0,0,12,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950134,'a mystail yearling','','','','',255,231,32,0,1,1,11,0,0,1,1,1,0,0,12,110,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950135,'a shady furrier','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,1,30,150,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950136,'a young mystail rat','','','','',255,231,35,0,1,1,11,0,0,1,1,1,0,0,12,130,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950137,'Ambassador Jalanderra','','','','',255,181,41,0,1,1,11,0,0,1,1,1,0,0,48,650,530,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950138,'Ambassador Kialee','','','','',255,164,19,0,1,1,11,0,0,1,1,1,0,0,48,650,530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950139,'an Oakmyst doe','','','','',255,5759,38,3,1,1,11,0,0,1,1,1,0,0,38,150,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950140,'an Oakmyst fairy','','','','',255,181,19,0,1,1,11,0,0,1,1,1,0,0,48,80,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950141,'an oakmyst fawn','','','','',255,206,21,1,1,1,9,0,0,0,0,1,0,0,38,110,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950142,'an Oakmyst great bear','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,1,36,430,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950143,'an Oakmyst royal defender','','','','',255,152,16,0,1,1,11,0,0,1,1,1,0,0,89,450,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950144,'an Oakmyst spider',NULL,'','','',255,244,22,0,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950145,'an Oakmyst spirit','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950146,'Aundor Singingsword','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950147,'Empress Anassa','','','','',255,173,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950148,'Ferith`Anar','','','','',255,268,32,0,1,1,11,0,0,1,1,1,0,0,32,2300,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1950149,'Grubdigger','','','','',255,198,48,0,1,1,11,0,0,1,1,1,0,1,36,3800,3000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950150,'Huntmaster Krell','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1950151,'Wobblecog','<Chronomancer>','','','',5,121,32,0,1,1,9,0,3194,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960001,'Ingraham','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960002,'Aedre','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,35231,0,0,0,0,0,0,0,0,0,0,0,0),
(1960003,'Poko Zing','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960004,'Sergeant at Arms Uthros','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960005,'Acting Lieutenant Germain','<Qeynos Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960006,'Winterburn','<Guard>','','','',0,1470,32,0,1,1,13,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960007,'Elvic Garrett','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960008,'Thenatren Lightarrow','','','','',15,114,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960009,'a stoneshell snapper','','','','',255,215,38,3,1,1,11,0,0,1,1,1,0,0,9,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960010,'Therven Senshun','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960011,'a woodland badger','','','','',255,267,12,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960012,'a leathershell snapper','','','','',255,218,28,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960013,'an Antonican hawk','','','','',255,260,22,0,1,1,11,0,0,1,1,1,0,0,17,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960014,'a timber fawn','','','','',255,206,12,3,1,1,11,0,0,1,1,1,0,360,38,65,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960015,'Dockins','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960016,'Remmy Tumbub','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960017,'a Rabid Badger','','','','',255,267,25,0,1,1,11,0,0,1,1,1,0,1,10,271,105,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960018,'a rock adder','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960019,'a fiery forgotten guardian','','','','',255,295,19,0,1,1,11,0,0,1,1,1,0,357,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960020,'a Blackfurl scout','','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,358,19,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960021,'a tarantula hawk','','','','',255,276,38,0,1,1,11,0,0,1,1,1,0,361,11,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960022,'a skittering scavenger','','','','',255,244,22,3,1,1,11,0,0,1,1,1,0,359,10,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960023,'a Blackfurl swabbie','','','','',13,58,32,0,1,1,11,0,0,1,1,1,0,358,19,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960024,'a necrotic archeologist','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,358,36,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960025,'The Basalt Watcher','','','','',255,1371,118,0,0,0,0,0,0,0,0,0,0,0,32,2735,2060,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960026,'a centipede','','','','',255,256,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960027,'a fleshless stormer','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,358,36,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960028,'a fleshless martyr','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,358,36,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960029,'a rotting pathfinder','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,358,36,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960030,'a fleshless stormer','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,358,36,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960031,'a bristly tarantula','','','','',255,244,12,3,1,1,11,0,0,1,1,1,0,359,10,65,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960032,'a Blackfurl scout','','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,358,19,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960033,'a molting scavenger','','','','',255,244,25,6,1,1,11,0,0,1,1,1,0,1,10,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960034,'a sun beetle','','','','',255,208,48,0,1,1,11,0,0,1,1,1,0,0,8,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960035,'a Blackfurl oarcaller','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,358,43,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960036,'a Blackfurl swabbie','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,358,43,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960037,'a Blackfurl lubber','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,358,26,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960038,'a bound watcher','','','','',255,195,38,0,1,1,11,0,0,1,1,1,0,1,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960039,'a Blackfurl medic','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,358,43,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960040,'a tireless student','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960041,'a lake swarmer','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960042,'a slabshell snapper','','','','',255,215,47,2,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960043,'a bonecutter fish','','','','',255,204,22,3,1,1,11,0,0,1,1,1,0,0,8,125,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960044,'a tattered spellbook','','','','',255,281,48,0,1,1,11,0,0,1,1,1,0,1,9,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960045,'a deep lurker','','','','',255,194,35,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960046,'Dig Supervisor T''narl','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,358,26,406,190,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960049,'a timber deer','','','','',255,5759,31,3,1,1,11,0,0,1,1,1,0,360,38,50,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960050,'a timber fawn','','','','',255,206,31,2,1,1,11,0,0,1,1,1,0,360,38,50,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960051,'a ruins prowler','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,359,32,125,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960052,'a ruins prowler','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,359,32,100,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960053,'Outlander Vaughn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960054,'a prowler pup','','','','',255,216,12,0,1,1,11,0,0,1,1,1,0,0,32,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960055,'a timber stag','','','','',255,2414,40,2,1,1,11,0,0,1,1,1,0,0,38,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960056,'Sleeble Gimblesled','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960057,'Findle Gimblesled','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960058,'a forgotten guardian','','','','',255,155,12,0,1,1,11,0,0,1,1,1,0,357,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960059,'Ilaen Lilac','','','','',15,1444,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960060,'a Blackfurl deckhand','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,358,43,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960061,'a sodden victim','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,95,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960062,'Captain Riplung','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,358,43,496,175,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960065,'a Rockpaw thug','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,1,32,223,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960066,'Reconnoiterer Malox','','','','',255,3816,24,2,1,1,11,0,0,1,1,1,0,1,32,484,165,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960067,'a gossamer groundskeeper','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,356,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960068,'a sleepless one','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,95,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960069,'a brittle accountant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,165,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960070,'a spectral instructor','','','','',255,2841,32,0,1,1,11,0,0,1,1,1,0,356,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960071,'a devoted follower','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960072,'a Flamepaw loyalist','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,200,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960074,'Kinloc Flamepaw''s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,228,200,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960075,'a spectral instructor','','','','',255,2841,32,0,1,1,11,0,0,1,1,1,0,0,32,200,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960076,'The Spectral Headmaster','','','','',255,2841,38,0,1,1,11,0,0,1,1,1,0,0,32,516,215,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960077,'a spectral student','','','','',255,2842,32,0,1,1,11,0,0,1,1,1,0,356,32,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960082,'Ahnrisk','','','','',255,244,41,0,1,1,11,0,0,1,1,1,0,1,10,340,140,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960088,'Bittersting','','','','',255,276,51,0,1,1,11,0,0,1,1,1,0,1,11,259,120,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960090,'Tinshen Brinth''s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,190,130,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960094,'Yestura Rhamrey''s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,190,130,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960098,'a tool guardian','','','','',255,1384,25,3,1,1,11,0,0,1,1,1,0,1,32,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960101,'Kendall Copperhold`s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,283,240,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960109,'dark seepage','','','','',255,296,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960110,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960112,'dark horror','','','','',255,240,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960117,'a Concordium Pupil Adept','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960118,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960122,'a Black Asp','','','','',255,227,70,0,1,1,11,0,0,1,1,1,0,1,8,375,295,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960129,'door_castle_right01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960130,'door_castle_left01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960132,'dpo_spiderweb_large02',NULL,'','','',0,5142,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960133,'dpo_spiderweb_corner01',NULL,'','','',0,5140,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960134,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960135,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960136,'gnomish_heating_device',NULL,'','','',0,3252,35,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960139,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960140,'flower',NULL,'','','',0,1738,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960141,'a blackhook shed',NULL,'','','',0,2376,32,0,0,0,0,0,0,0,0,0,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960142,'gnomish_heating_device',NULL,'','','',0,5209,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960143,'dock_barrel_1',NULL,'','','',0,1389,32,0,0,0,61,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960144,'human_firepit',NULL,'','','',0,3344,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960145,'hidden tools',NULL,'','','',0,3908,50,0,1,1,1140,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960146,'',NULL,'','','',0,3908,38,0,1,1,1140,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960147,'',NULL,'','','',0,1624,32,0,1,1,1140,0,0,0,0,1,0,0,432,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960148,'quest camp germain scout',NULL,'','','',0,4479,72,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960149,'meteor01',NULL,'','','',0,5788,10,0,0,0,0,0,0,0,0,0,0,0,1050,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960150,'ulinir_gravestone01',NULL,'','','',0,1549,32,0,0,0,1141,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960151,'Blackful''s Bounty',NULL,'','','',0,2557,32,0,0,0,0,0,0,0,0,0,0,0,1355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960152,'ulinir_tribute',NULL,'','','',0,3908,16,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960153,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960154,'qst_news_for_germain_leaf_sample',NULL,'','','',0,3908,38,0,1,1,1323,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960155,'quest_tree_Sprinkle_Powder',NULL,'','','',0,1624,32,0,1,1,1140,0,0,0,0,1,1,0,432,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960156,'a_torrential_updraft',NULL,'','','',0,2306,180,0,0,0,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960157,'zone_to_qey_village06',NULL,'','','',0,49,32,0,0,0,1019,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960158,'zone_to_qey_village05',NULL,'','','',0,49,32,0,0,0,1018,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960159,'smashed_barrel_food_shed',NULL,'','','',0,1428,32,0,1,1,61,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960160,'goblin_broken_cage01',NULL,'','','',0,1526,32,0,1,1,135,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960161,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,135,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960162,'a_torrential_updraft_2',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960163,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960164,'creature den',NULL,'','','',0,4004,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960165,'natural garden',NULL,'','','',0,3909,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960166,'damp roots',NULL,'','','',0,1732,22,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960167,'blemished ore',NULL,'','','',0,3955,33,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960168,'array of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960169,'fallen rubble',NULL,'','','',0,3956,32,0,1,1,1324,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960170,'fallen rubble',NULL,'','','',0,3955,32,0,1,1,1324,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960171,'aged arbor',NULL,'','','',0,3930,39,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960172,'fallen rubble',NULL,'','','',0,3957,32,0,1,1,1324,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960173,'unearthed stones',NULL,'','','',0,2378,18,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960174,'mechanical components',NULL,'','','',0,1580,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960175,'mechanical components',NULL,'','','',0,5210,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960176,'mechanical components',NULL,'','','',0,5211,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960177,'a pack',NULL,'','','',0,4186,32,0,1,1,2,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960178,'a fallen branch',NULL,'','','',0,3929,34,0,1,1,562,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960179,'a fallen branch',NULL,'','','',0,3938,28,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960180,'dead deer',NULL,'','','',0,3803,20,0,1,1,61,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960181,'a pack',NULL,'','','',0,4186,32,0,1,1,2,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960182,'my new name',NULL,'','','',0,3908,38,0,1,1,1140,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960183,'book',NULL,'','','',255,2306,32,0,1,1,111,0,0,0,0,1,1,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960184,'quest_tree_Gather_Leaf',NULL,'','','',255,1624,32,0,1,1,1323,0,0,0,0,1,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960185,'Sorn Copperhold`s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,283,240,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1960186,'a spectral student','','','','',255,2844,32,0,1,1,11,0,0,1,1,1,0,0,32,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960187,'a Blackfurl swabbie','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,358,19,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960188,'a Blackfurl deckhand','','','','',12,123,32,0,1,1,11,0,0,0,0,1,0,5,43,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960189,'a fallen branch',NULL,'','','',0,3938,28,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1960190,'a fallen branch',NULL,'','','',0,3929,34,0,1,1,562,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970000,'an overland specimen','','','','',255,205,16,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970001,'a desperate defender','','','','',0,1470,32,0,1,1,11,0,0,1,1,1,0,11,34,550,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970002,'a white spiderling','','','','',255,246,16,0,1,1,11,0,0,1,1,1,0,0,10,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970003,'a silverfish','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970004,'Consul Bree','<Qeynos Guard>','','','',3,1590,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970005,'Lieutenant Delsun','<Qeynos Guard>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970006,'Guard Belaire','<Guard>','','','',0,1698,32,0,1,1,13,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970007,'Emma Torque','<Field Engineer>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970008,'a cave serpent','','','','',255,197,44,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970009,'an albino python','','','','',255,227,80,0,1,1,11,0,0,1,1,1,0,1,8,200,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970010,'an albino arachnid','','','','',255,246,38,0,1,1,11,0,0,1,1,1,0,1,10,290,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970011,'The Devoured','','','','',255,3723,38,0,1,1,0,0,496,1,1,0,0,1,32,3600,2900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970012,'a white spider','','','','',255,246,32,0,1,1,11,0,0,1,1,1,0,0,10,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970013,'an alabaster behemoth','','','','',255,155,18,1,1,1,11,0,0,1,1,1,0,1,35,400,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970014,'a shale bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970015,'a pale adder','','','','',255,227,64,0,1,1,11,0,0,1,1,1,0,1,8,200,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970016,'a Mudpaw lookout','','','','',255,3816,25,0,1,1,11,0,0,1,1,1,0,1,32,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970017,'a Dustpaw guard','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,1,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970018,'a Dustpaw lookout','','','','',255,3816,25,0,1,1,11,0,0,1,1,1,0,1,32,130,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970019,'a Dustpaw armorer','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,1,32,130,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970020,'a Rockpaw scout','','','','',255,1384,30,2,1,1,11,0,0,1,1,1,0,1,32,750,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970021,'a Rockpaw guard','','','','',255,1384,34,1,1,1,11,0,0,1,1,1,0,1,32,425,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970022,'an alabaster golem','','','','',255,155,12,3,1,1,11,0,0,1,1,1,0,1,35,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970023,'a terra bat','','','','',255,239,38,0,1,1,11,0,0,1,1,1,0,1,8,425,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970024,'Slaverjaw','','','','',255,232,160,0,1,1,11,0,0,1,1,1,0,1,16,3400,1450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970025,'Thibodeaux','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970026,'Kahla Ulno','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970027,'a Dustpaw armorer','','','','',255,3816,25,0,1,1,11,0,0,1,1,1,0,1,32,130,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970028,'a Mudpaw guard','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,1,32,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970029,'a Rockpaw striker','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,425,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970030,'an alabaster golem','','','','',255,155,16,0,1,1,11,0,0,1,1,1,0,1,35,235,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970031,'a river behemoth','','','','',255,155,32,0,1,1,11,0,1862,1,1,1,0,0,35,1400,430,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970032,'obsidian rocks','','','','',255,153,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970033,'Zonn','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970034,'a Rockpaw stonemaster','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,1,32,850,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970035,'Atramentor','','','','',255,153,38,0,0,0,0,0,0,0,0,0,0,0,35,3900,3000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970036,'Neddris','','','','',255,227,160,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970037,'Xabantik','Pads''s earthen avatar','','','',255,8873,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970038,'Gasarer','Dustcaller Sleg''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970039,'Dustcaller Sleg','','','','',255,4099,32,0,1,1,11,0,0,1,1,1,0,1,32,1150,850,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1970040,'Vosober','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970041,'The Pale Broodmother','','','','',255,246,54,0,1,1,11,0,0,1,1,1,0,1,10,530,120,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1970042,'Kabanab','Dustcaller Sleg''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970043,'Fulkoir Haggleton','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,900,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970044,'Kosarn','Ojibo''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970045,'Lonantik','Pads''s earthen avatar','','','',255,8873,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970046,'Gastik','Pads''s earthen avatar','','','',255,8873,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970047,'Smithy Slampaw','','','','',255,1384,25,0,1,1,11,0,0,1,1,1,0,0,32,400,145,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1970048,'Kosn','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970049,'Vonekn','Dustcaller Sleg''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970050,'Conjura''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970051,'Benas','Conjura''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970052,'Jekn','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970053,'Teru','Teru''s Elemental Dominance','','','',255,8307,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970054,'Fireimp''s protofire','','','','',255,2360,33,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970055,'Veber','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970056,'Warmonger Gurne','','','','',255,1384,54,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970057,'Vararer','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970058,'High Shaman Zen''Durath','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,800,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970059,'Jararer','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970060,'Kektik','Dustcaller Sleg''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970061,'Zekn','Jaoc''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970062,'Josann','Ravelshian''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970063,'Tranel','Neltra''s Personae Twin','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970064,'Gosantik','Dustcaller Sleg''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970065,'Lasarn','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970066,'Gantik','Ravelshian''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970067,'Poresret','Poresret''s Elemental Dominance','','','',255,8307,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970068,'Keneker','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970069,'Xosarn','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970070,'Rockdropper','Rockdropper''s igneous apprentice','','','',255,2362,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970071,'Subwoofer','Tinudan''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970072,'Gartik','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970073,'Paige','Strykar''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970074,'Gibaner','Makoi''s tellurian follower','','','',255,258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970075,'Jibantik','Gemekin''s tellurian follower','','','',255,258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970076,'Losann','Rumple''s Personae Twin','','','',9,3791,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970077,'Gebantik','Dustcaller Sleg''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970078,'Zasartik','A Rockpaw stonemaster''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970079,'qst_shaman_spawner_skull',NULL,'','','',0,49,32,0,0,0,1142,0,0,0,0,1,1,0,339,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970080,'gravedirt01',NULL,'','','',0,2916,31,0,0,0,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970081,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970083,'dpo_spiderweb_small02',NULL,'','','',0,5144,48,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970084,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970085,'dpo_spiderweb_large02',NULL,'','','',0,5142,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970086,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970087,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970088,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970099,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970100,'speared skeleton',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970101,'river behemoth remains',NULL,'','','',0,1550,25,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970103,'human_skull_pile',NULL,'','','',0,4138,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970105,'qey_boulder02',NULL,'','','',0,1725,11,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970106,'gravedirt02',NULL,'','','',0,2916,62,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970107,'gravedirt02',NULL,'','','',0,2917,35,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970109,'a canoe',NULL,'','','',0,1904,48,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970110,'a crystal formation',NULL,'','','',0,1910,15,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970111,'a crystal formation',NULL,'','','',0,1912,32,0,0,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970114,'a gnollish chest',NULL,'','','',0,1908,12,0,0,0,295,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970117,'a gnollish book',NULL,'','','',0,3030,32,0,1,1,64,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970118,'barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970124,'qst_digging_machine_instructions_1',NULL,'','','',0,5261,31,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970125,'qst_digging_machine_control_device_1',NULL,'','','',0,5210,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970126,'qst_digging_machine_shovel_1',NULL,'','','',0,2212,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970127,'qst_digging_machine_crate_1',NULL,'','','',0,1393,56,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970128,'digging_machine_1',NULL,'','','',0,1578,32,0,0,0,881,0,0,0,0,1,1,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970129,'qst_gears03_1',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970130,'qst_gears03_2',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970131,'weapon_box',NULL,'','','',0,4605,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970132,'qst_digging_machine_2',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970133,'qst_digging_machine_shovel_mundane_2',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970134,'qst_gear_single_2',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970135,'qst_smashed_crate_2',NULL,'','','',0,2306,17,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970136,'qst_smashed_2',NULL,'','','',0,2306,43,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970137,'qst_digging_machine_instructions_2',NULL,'','','',0,5261,31,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970138,'qst_digging_machine_control_device_2',NULL,'','','',0,5210,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970139,'qst_digging_machine_shovel_2',NULL,'','','',0,2212,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970140,'qst_digging_machine_crate_2',NULL,'','','',0,1393,56,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970141,'digging_machine_2',NULL,'','','',0,1578,32,0,0,0,881,0,0,0,0,1,1,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970142,'qst_fire',NULL,'','','',0,2306,40,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970143,'qst_burning_eyes',NULL,'','','',0,2306,19,0,0,0,1142,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970144,'a crystal formation',NULL,'','','',0,1911,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970145,'spare_machine_parts',NULL,'','','',0,5211,43,0,1,0,881,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970146,'river behemoth remains',NULL,'','','',255,1668,32,0,1,1,0,0,1862,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970147,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970148,'mariners_bell',NULL,'','','',0,16,32,0,0,0,358,0,0,0,0,1,0,0,32,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0),
(1970149,'banner_kilroy',NULL,'','','',0,1900,60,0,1,1,135,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970150,'diamond_kilroy',NULL,'','','',0,1917,43,0,1,1,135,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970151,'mariners_bell',NULL,'','','',0,16,32,0,0,0,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(1970152,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970153,'natural garden',NULL,'','','',0,4075,38,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970154,'variety of fish',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970155,'rigid stone',NULL,'','','',0,1550,19,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970156,'powdered minerals',NULL,'','','',0,2916,18,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970157,'creature den',NULL,'','','',0,3999,51,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970158,'fetid arbor',NULL,'','','',0,3927,39,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970159,'dusky ore',NULL,'','','',0,1724,11,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970160,'stodgy roots',NULL,'','','',0,1733,35,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1970161,'incantation dust',NULL,'','','',0,4186,32,0,1,1,2,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980001,'Botanist Lith','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980002,'a bog sludge','','','','',255,299,38,0,1,1,11,0,0,1,1,1,0,361,32,65,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980003,'a puny scavenger','','','','',255,196,40,1,1,1,11,0,0,1,1,1,0,361,12,55,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980004,'a Bloodsaber watcher','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,1,43,120,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980005,'Ferius Mentus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980006,'a toxic bog slug','','','','',255,252,48,0,1,1,11,0,0,1,1,1,0,0,32,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980007,'a bog faerie','','','','',255,181,35,3,1,1,11,0,0,1,1,1,0,1,48,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980008,'a bog faerie','','','','',255,181,38,0,1,1,11,0,0,1,1,1,0,1,48,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980009,'a mud seep','','','','',255,299,48,0,1,1,11,0,0,1,1,1,0,0,32,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980010,'a bog faerie','','','','',255,181,38,0,1,1,11,0,0,1,1,1,0,1,48,100,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980011,'a sporeal seedling','','','','',255,5096,22,0,1,1,11,0,0,1,1,1,0,1,32,50,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980012,'Lieutenant Dawson','<Qeynos Guard>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(1980013,'Guard Dierdra','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(1980014,'Guard Moor','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,214,32,12641,2200,0,0,0,0,0,0,1966143,0,0,0,0,0,0,0,0),
(1980015,'a muck toad','','','','',255,224,48,0,1,1,11,0,0,1,1,1,0,0,12,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980016,'Guard Andrews','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(1980017,'a large scavenger','','','','',255,233,75,8,1,1,11,0,0,1,1,1,0,0,12,130,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980018,'a bog slug','','','','',255,252,36,1,1,1,11,0,0,1,1,1,0,361,32,55,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980019,'a Bloodsaber plaguebearer','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,1,43,120,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980020,'Siahtra Slenloolian','','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980021,'a bog slug hatchling','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980022,'Lurkblister','','','','',255,301,96,0,1,1,11,0,0,1,1,1,0,1,32,1915,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980023,'Guard Black','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,214,32,12641,2200,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(1980024,'Rujiarmo Oolamein','','','','',3,1602,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980025,'Oakvil','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9260,0,0,0,0,0,0,0,0,0,0,0,0),
(1980026,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980027,'a sporeal herbalist','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980028,'Knight-Captain Santis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980029,'Tanaira','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33692,0,0,0,261888,0,0,0,0,0,0,0,0),
(1980030,'Guard Vivian','<Guard>','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(1980031,'a sporeal guard','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980032,'Guard Nander','<Guard>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,1966143,0,0,0,0,0,0,0,0),
(1980033,'a sporeal knight','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980034,'a mist stalker','','','','',255,216,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980036,'a silt sucker','','','','',255,301,67,3,1,1,11,0,0,1,1,1,0,1,32,65,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980037,'a fay tangleroot','','','','',255,274,80,0,1,1,11,0,0,1,1,1,0,0,64,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980038,'a faerie guardian','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,1,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980039,'a faerie abbot','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,1,48,290,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980040,'a faerie gatekeeper','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,1,48,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980041,'a faerie gatekeeper','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,1,48,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980042,'a fungus crawler','','','','',255,256,112,0,1,1,11,0,0,1,1,1,0,1,32,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980044,'a faerie noblesse','','','','',255,181,54,3,1,1,11,0,0,1,1,1,0,1,48,794,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980045,'a faerie noblesse','','','','',255,181,51,0,1,1,11,0,0,1,1,1,0,1,48,743,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980046,'a faerie noblesse','','','','',255,181,51,0,1,1,11,0,0,1,1,1,0,1,48,836,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980047,'a marsh hatchling','','','','',255,190,15,3,1,1,11,0,0,1,1,1,0,0,8,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980048,'a swamp seep','','','','',255,298,64,0,1,1,11,0,0,1,1,1,0,0,32,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980049,'a wetland monitor','','','','',255,190,44,0,1,1,11,0,0,1,1,1,0,0,8,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980050,'a refuse burrower','','','','',255,233,41,0,1,1,11,0,0,1,1,1,0,1,12,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980051,'a ravenous bog slug','','','','',255,252,96,0,1,1,11,0,0,1,1,1,0,1,32,65,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980052,'a bog faerie','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,1,48,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980053,'a Gaseous Seep','','','','',255,296,80,0,1,1,11,0,0,1,1,1,0,1,32,481,400,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980054,'a marsh mauler','','','','',255,222,160,0,1,1,11,0,0,1,1,1,0,1,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980055,'Sicklejaw','','','','',255,256,89,0,1,1,11,0,0,1,1,1,0,1,32,789,575,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980056,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980058,'Benas','Conjura''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980060,'a faerie noblesse','','','','',255,181,57,3,1,1,11,0,0,1,1,1,0,1,48,325,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980061,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980062,'a gnoll machinist','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980064,'a gnoll guard','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,1,32,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980065,'a gnoll machinist','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,1,32,175,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980066,'a machinist assistant','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,1,32,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980067,'a gnoll conspirator','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980068,'a gnoll conspirator','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980069,'a gnoll conspirator','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980070,'Overseer Dentfang','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,208,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980072,'dark seepage','','','','',255,296,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980073,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980074,'a Concordium Pupil Adept','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980075,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980076,'a faerie''s plaything','A faerie noblesse''s tellurian follower','','','',255,257,48,0,1,1,11,0,0,1,1,1,0,0,32,200,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980078,'King Itchhide','','','','',255,233,128,0,1,1,11,0,0,1,1,1,0,1,12,567,215,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980079,'Queen Ezeldra','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,1,48,1028,600,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980081,'Apollo','Eiorik''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980084,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980086,'debris_sewer_03',NULL,'','','',0,4476,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980087,'mushroom_large',NULL,'','','',0,1523,32,0,0,0,360,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980088,'quest_machine_in_water',NULL,'','','',0,5210,32,0,0,0,61,0,0,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980089,'debris_sewer_04',NULL,'','','',0,4477,41,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980090,'debris_sewer_01',NULL,'','','',0,4474,32,0,0,0,0,0,0,0,0,0,0,0,264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980091,'quest_shipment_1',NULL,'','','',0,1393,32,0,0,0,881,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980092,'qst_ambush_torture_1',NULL,'','','',0,3233,32,0,0,0,61,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980093,'qst_ambush_pick',NULL,'','','',0,2821,32,0,0,0,61,0,0,0,0,1,1,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980094,'qst_ambush_paper_stack',NULL,'','','',0,3497,32,0,0,0,61,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980095,'qst_ambush_book_2',NULL,'','','',0,3323,32,0,0,0,61,0,0,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980096,'qst_ambush_torture_2',NULL,'','','',0,3234,32,0,0,0,61,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980097,'qst_ambush_beaker',NULL,'','','',0,3407,32,0,0,0,61,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980098,'qst_ambush_paper',NULL,'','','',0,5261,32,0,0,0,61,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980099,'qst_ambush_book_1',NULL,'','','',0,3030,32,0,0,0,61,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980100,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980101,'mariner_bell_city_travel_qeynos',NULL,'','','',0,18956,16,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0),
(1980102,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,361,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980103,'zone_to_antonica',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980104,'Nettleville Door',NULL,'','','',0,49,32,0,0,0,1014,0,0,0,0,1,1,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980105,'Starcrest Door',NULL,'','','',0,49,32,0,0,0,1015,0,0,0,0,1,1,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980106,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980107,'misty stone',NULL,'','','',0,2210,48,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980108,'murky ore',NULL,'','','',0,1725,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980109,'natural garden',NULL,'','','',0,4075,38,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980110,'bog mud',NULL,'','','',0,2916,11,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980111,'assortment of fish',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980112,'creature den',NULL,'','','',0,4002,52,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980113,'dense felled arbor',NULL,'','','',0,3927,38,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980114,'wilted roots',NULL,'','','',0,1730,33,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980115,'The Sun Wolf','','','','',255,2835,40,0,1,1,11,0,0,1,1,1,0,1,32,850,550,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980116,'Bashmouth','','','','',255,224,48,0,1,1,11,0,0,1,1,1,0,1,12,339,240,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980117,'Stonegnasher','','','','',255,190,44,0,1,1,11,0,0,1,1,1,0,1,8,780,575,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980118,'a puny scavenger','','','','',255,196,39,1,1,1,11,0,0,1,1,1,0,0,12,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980119,'a Sporeal Propogator   ','','','','',255,5096,38,0,1,1,11,0,0,1,1,1,0,0,32,115,90,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1980120,'Guard Black','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,32,12641,2200,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980121,'Guard Moor','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,32,12641,2200,0,0,0,0,0,0,131008,0,0,0,0,0,0,0,0),
(1980122,'Guard Dierdra','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980123,'Guard Nander','<Guard>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980124,'Guard Andrews','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980125,'Guard Vivian','<Guard>','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,11,34,376,376,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980126,'Lieutenant Dawson','<Qeynos Guard>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(1980127,'a rot crawler',NULL,'','','',255,258,112,0,1,1,11,0,0,1,1,1,0,1,32,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980128,'a puny scavenger','','','','',255,196,40,1,1,1,11,0,0,1,1,1,0,361,12,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980129,'a faerie guardian','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,1,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980130,'a large scavenger','','','','',255,233,50,8,1,1,11,0,0,1,1,1,0,0,12,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1980131,'a Bloodsaber plaguebearer','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,361,43,120,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990001,'a rabid shriller','','','','',255,239,28,3,1,1,11,0,0,1,1,1,0,1,8,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990002,'a tomb forager','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990003,'a crypt substance','','','','',255,298,25,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990004,'a juvenile shriller','','','','',255,239,22,0,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990005,'a tomb forager','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990006,'a dust crawler hatchling','','','','',255,257,22,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990007,'a rabid pack rat','','','','',255,196,16,0,1,1,11,0,0,1,1,1,0,1,12,50,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990009,'a coiled burrower','','','','',255,213,41,0,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990010,'a putrid vermin','','','','',255,233,28,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990011,'Adair Barnes','<General Goods>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9346,0,0,0,0,0,0,0,0,0,0,0,0),
(1990012,'a rotting royal','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,1205,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990013,'a rotting citizen','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990014,'a rotting royal','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,1205,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990015,'a rotting citizen','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990016,'a rotting citizen','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990017,'a fallen noble','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990018,'a fallen noble','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,795,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990019,'a tomb rifter hatchling','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990020,'a malefic arachnid','','','','',255,244,17,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990021,'a malefic arachnid','','','','',255,244,22,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990022,'a shriller','','','','',255,239,25,0,1,1,11,0,0,1,1,1,0,1,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990023,'a Bloodsaber initiate','','','','',13,64,32,0,1,1,11,0,0,1,1,1,0,1,19,270,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990026,'a Bloodsaber Adjunct','','','','',13,65,38,0,1,1,11,0,0,1,1,1,0,1,19,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1990028,'a Bloodsaber lookout','','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,1,19,175,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990029,'a venom spitter','','','','',255,244,32,0,1,1,11,0,0,1,1,1,0,1,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990030,'a creeper protector','','','','',255,245,33,1,1,1,11,0,0,1,1,1,0,1,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990031,'a tomb rifter hatchling','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990032,'a forgotten soul','','','','',9,1521,25,0,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990033,'a tomb rifter pest','','','','',255,208,44,0,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990034,'The Creeper','','','','',255,243,41,0,1,1,11,0,0,1,1,1,0,1,10,620,240,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1990035,'a venom spitter','','','','',255,245,33,5,1,1,11,0,0,1,1,1,0,1,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990036,'a venomous watcher','','','','',255,244,28,0,1,1,11,0,0,1,1,1,0,1,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990037,'a venomous keeper','','','','',255,244,25,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990038,'a tortured soul','','','','',9,1521,25,3,1,1,11,0,0,1,1,1,0,1,36,870,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990039,'a frenzied watcher','','','','',255,245,32,0,1,1,11,0,0,1,1,1,0,1,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990040,'Falin Shaloon','<General Goods>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9375,0,0,0,0,0,0,0,0,0,0,0,0),
(1990041,'a rotting citizen','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990042,'a fallen bodyguard','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990043,'A Fallen Prince','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1990044,'a tomb rifter bleeder','','','','',255,208,51,0,1,1,11,0,0,1,1,1,0,1,8,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990045,'a tomb rifter bleeder','','','','',255,208,51,0,1,1,11,0,0,1,1,1,0,1,8,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990054,'The Crypt Protector','','','','',255,208,64,0,1,1,11,0,0,1,1,1,0,1,8,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1990056,'A Rotting Vermin','','','','',255,233,38,0,1,1,11,0,0,1,1,1,0,0,12,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(1990057,'inspect_ratman_keg',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990058,'inspect_unseen_hand_bookstack',NULL,'','','',0,49,32,0,1,1,1337,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990059,'Jester_Coffin_Widget',NULL,'','','',0,49,32,0,1,1,1344,0,0,0,0,1,1,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990060,'inspect_unseen_hand_bookstack02',NULL,'','','',0,49,32,0,1,1,1337,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990062,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990064,'an antique lock box',NULL,'','','',0,5768,9,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990065,'an ogre satchel',NULL,'','','',0,3531,25,0,1,1,1074,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990066,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,361,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990067,'Enter the The Library of Vatheel',NULL,'','','',0,49,32,0,1,1,367,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,130816,0,0,0,0,0,0,0,0),
(1990068,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,0,0,368,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990069,'zone_to_qey_south',NULL,'','','',0,49,32,0,0,0,369,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990070,'zone_to_qey_north',NULL,'','','',0,49,32,0,0,0,370,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990071,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,1,1,371,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990072,'zone_to_epic01',NULL,'','','',0,1858,12,0,1,1,372,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990073,'meeting_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990074,'human_skeleton_bones',NULL,'','','',0,1847,32,0,1,1,135,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990075,'qey_adv03_caves_entrance',NULL,'','','',0,38,49,0,0,0,1016,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(1990076,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,0,0,1017,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990077,'zone_to_qey_south',NULL,'','','',0,49,32,0,0,0,757,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990078,'zone_to_qey_north',NULL,'','','',0,49,32,0,1,1,1003,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990079,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,0,0,758,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990080,'',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990081,'zone_to_qey_village01',NULL,'','','',0,49,32,0,1,1,1014,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990082,'',NULL,'','','',0,49,32,0,1,1,1015,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990083,'',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990084,'',NULL,'','','',0,49,32,0,1,1,1018,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990085,'zone_to_qey_village06',NULL,'','','',0,49,32,0,1,1,1019,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990086,'Gravestone of Sir Filian Weagleross',NULL,'','','',0,2923,24,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990087,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990088,'qst_unseenhand_evilchest',NULL,'','','',0,1383,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990089,'(unnamed)',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990090,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1018,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990091,'simple_wooden_coffin',NULL,'','','',0,1856,31,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990092,'(unnamed)',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990093,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1015,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990094,'Ancient Statue',NULL,'','','',0,2306,32,0,0,0,9491,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990095,'Ancient Statue',NULL,'','','',0,3581,16,0,0,0,9491,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990098,'a Bloodsaber initiate','','','','',13,71,32,0,1,1,11,0,0,1,1,1,0,1,19,270,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990099,'a Bloodsaber meddler','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,1,19,175,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990101,'a creeper protector','','','','',255,244,33,1,1,1,11,0,0,1,1,1,0,1,10,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990102,'a tortured soul','','','','',9,1521,25,3,1,1,11,0,0,1,1,1,0,1,36,870,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990103,'a tortured soul','','','','',9,1521,25,3,1,1,11,0,0,1,1,1,0,1,36,870,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990104,'a tomb rifter bleeder','','','','',255,208,51,0,1,1,11,0,0,1,1,1,0,1,8,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(1990105,'a fallen noble','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000001,'Gillin Blackfist','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000002,'Brother Garvis','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000003,'a grave scorpius','','','','',255,250,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000004,'a giant burrower','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000005,'a ravenous cube','','','','',255,175,20,4,1,1,11,0,0,1,1,1,0,1,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000006,'Cryptcleaner Remy','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000007,'Brawler Bently','','','','',2,110,35,0,1,1,9,0,0,0,0,1,0,0,18,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000008,'Aleyna McMallon','','','','',0,111,28,0,1,1,9,0,0,0,0,1,0,0,34,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000009,'a tomb vermin','','','','',255,196,22,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000010,'a crumbling tomb sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000011,'a festering zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000012,'a crumbling tomb guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000013,'Lika the Tortured','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,1266,295,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000014,'a large tomb vermin','','','','',255,196,35,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000015,'Zaen Kalystir','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000016,'a Bloodsaber adept','','','','',9,18214,32,0,1,1,11,0,0,1,1,1,0,1,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000017,'a Bloodsaber specialist','','','','',1,19287,32,0,1,1,11,0,0,1,1,1,0,1,26,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000018,'a festering zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000019,'a Bloodsaber proficient','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,1180,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000020,'a crumbling tomb guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,290,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000021,'Aleth''Rillix the Festering Seer','','','','',255,140,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000022,'a crumbling tomb priest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000023,'X''Loitl the Bloodsaber Fanatic','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,5899,4340,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000024,'an infected grave scorpius','','','','',255,251,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000025,'a rabid shriller','','','','',255,239,28,3,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000026,'an infected burrower','','','','',255,213,43,1,1,1,11,0,0,1,1,1,0,0,8,655,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000027,'a festering zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000028,'Ayamia the Rat Queen','','','','',9,132,28,0,1,1,11,0,0,1,1,1,0,0,32,2531,657,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000029,'an infected tomb vermin','','','','',255,196,33,0,1,1,11,0,0,1,1,1,0,0,12,655,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000030,'widget_rolled_leather',NULL,'','','',0,49,32,0,1,1,1326,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000031,'widget_small_urn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000032,'widget_big_cabinet',NULL,'','','',0,49,32,0,1,1,1327,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000033,'widget_small_painting',NULL,'','','',0,49,32,0,1,1,1325,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000034,'widget_small_crate',NULL,'','','',0,49,32,0,1,1,129,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000035,'kilroy_0',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000036,'kill_roy_2',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000037,'zone_to_qey_adv04_bog',NULL,'','','',0,49,32,0,0,0,363,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000038,'zone_to_qey_catacomb03_1',NULL,'','','',0,49,32,0,0,0,364,0,0,0,0,1,0,0,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000039,'zone_to_qey_catacomb_epic02_priest_subclasses',NULL,'','','',0,49,32,0,0,0,365,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000040,'zone_to_qey_catacomb_epic02',NULL,'','','',0,49,32,0,0,0,366,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000041,'kill_roy_1',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000042,'zone_to_qey_catacomb03_0',NULL,'','','',0,49,32,0,1,1,364,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2000043,'zone_to_qey_catacomb01',NULL,'','','',0,49,32,0,0,0,373,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010000,'a Bloodsaber medic','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010002,'a deathly scarab','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010003,'a forsaken shriller','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010004,'a Bloodsaber sentinel','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010005,'a Bloodsaber ruffian','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010006,'an ire warlock','','','','',9,146,26,4,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010007,'a crypt tempest','','','','',255,159,41,2,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010008,'a crypt tempest','','','','',255,159,35,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010009,'Torg Bramblehair','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010010,'an ire minion','','','','',9,146,25,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010011,'a grotesque mass','','','','',255,298,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010012,'an agonized essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010013,'a deathly scarab','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010014,'an agonized essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010015,'a grotesque mass','','','','',255,298,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010016,'a grotesque mass','','','','',255,298,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010017,'Troizen the Blood Tempest','','','','',255,159,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010018,'an agonized essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010019,'an agonized essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010020,'Adun','','','','',255,2852,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010021,'a tortured essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010022,'a tortured essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010023,'a tortured essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010024,'a tortured essence','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010025,'Borthen','','','','',255,2852,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010026,'a forsaken shriller','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010027,'an ire minion','','','','',9,146,22,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010028,'a restless corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010029,'an ire minion','','','','',9,146,22,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010030,'Vegalys Keldrane','','','','',255,2852,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010031,'a diseased corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010032,'Vargon','','','','',255,2852,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010033,'a Bloodsaber assassin','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010034,'a Bloodsaber ritualist','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010035,'a forsaken shriller','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010036,'a Bloodsaber inquisitor','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010037,'a Bloodsaber highguard','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010038,'a Bloodsaber ritualist','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010039,'an ire minion','','','','',9,146,28,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010040,'Redgar the Rotten','','','','',255,140,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010041,'The Specter of Ire','','','','',9,146,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010042,'Jenantik','The Specter of Ire''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010043,'Cryptkeeper Maglus','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010044,'Bodyguard Harn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010045,'Bodyguard Greiwolv','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010046,'An Archaic Fury','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010047,'Jarn','The Specter of Ire''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010049,'widget_broken_table',NULL,'','','',0,49,32,0,0,0,1354,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010050,'widget_decayed_skeleton',NULL,'','','',0,49,32,0,0,0,1005,0,0,0,0,1,1,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010051,'widget_dead_statue',NULL,'','','',0,49,32,0,0,0,626,0,0,0,0,1,1,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010052,'quest_trigger_scorn_shame_irisor',NULL,'','','',0,49,32,0,0,0,1355,0,0,0,0,1,1,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010053,'widget_candle_holder',NULL,'','','',0,49,32,0,0,0,1352,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010054,'widget_big_candle',NULL,'','','',0,49,32,0,0,0,1353,0,0,0,0,1,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010055,'simple_wooden_coffin',NULL,'','','',0,1856,31,0,0,0,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010056,'kilroy_2',NULL,'','','',0,49,32,0,0,0,135,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010057,'zone_to_catacomb02_0',NULL,'','','',0,49,32,0,0,0,361,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010058,'kilroy_1',NULL,'','','',0,49,32,0,0,0,135,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010059,'kilroy_0',NULL,'','','',0,49,32,0,0,0,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010060,'zone_to_catacomb02_1',NULL,'','','',0,49,32,0,0,0,361,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010061,'zone_to_qey_catacomb_epic03_deathly_scarab_hive',NULL,'','','',0,49,32,0,0,0,1275,0,0,0,0,1,1,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2010062,'Spike',NULL,'','','',255,157,50,0,1,1,11,0,0,0,1,1,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,100,0,0),
(2020000,'an Unseen Hand taskmaster','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020001,'a circle intiate','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020002,'Rollus the Sly','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020003,'Fippy Darkpaw, the 4th','','','','',255,3816,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020004,'Crow''s Coffin',NULL,'','','',0,1856,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020005,'smashed_barrel',NULL,'','','',0,1428,32,0,0,0,1207,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020006,'smashed_barrel',NULL,'','','',0,1427,32,0,0,0,1207,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020007,'door_to_down_below',NULL,'','','',0,1857,32,0,1,1,373,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2020008,'smashed_barrel',NULL,'','','',0,1427,32,0,0,0,1207,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030000,'a caravan guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030001,'a caravan negotiator','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030002,'a caravan trafficker','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030003,'a Steelbone Ancestor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030004,'Kyrin Steelbone','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,2215,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030006,'a caravan moneylender','','','','',9,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030007,'Lucas Steelbone','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,2215,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030011,'plain grey sarcophagus',NULL,'','','',0,2879,38,0,0,0,515,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030012,'to_commonlands',NULL,'','','',0,49,32,0,1,1,67,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030013,'Palinus Steelbone the Third','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,2215,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030014,'Marcus Steelbone','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,2215,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2030015,'Lynia Steelbone','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,2215,730,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040001,'a deathly scarab','','','','',255,208,46,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040002,'Guardian Ankhentaris','','','','',255,208,82,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040003,'Guardian Ankhemaufut','','','','',255,208,76,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040004,'a deathly scarab worker','','','','',255,208,41,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040005,'Guardian Ankhumyal','','','','',255,208,81,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040006,'Guardian Ankhrenlai','','','','',255,208,80,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040007,'a deathly scarab broodling','','','','',255,208,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040008,'Queen Ankhestara','','','','',255,208,160,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040009,'a deathly scarab hatchling','','','','',255,208,9,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2040010,'zone_to_qey_catacomb03',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070000,'Thabit Kalila','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2070001,'Gowan Macgillivray','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2070002,'Linst Tincobble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2070003,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2070004,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070005,'Queen Antonia Bayle','','','','',9,4063,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070006,'an elddar steed','','','','',255,6858,31,4,1,1,9,0,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070007,'Nalon Messpie','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070008,'Breeno Messpie','','','','',7,108,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070009,'Mender Steelguard','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2070010,'Gregor Earthstride','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070011,'Master Archer Nightbow','<Bowyer>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9408,0,0,0,0,0,0,0,0,0,0,0,0),
(2070012,'Telandra','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070013,'Bryson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070014,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070015,'Ivanhoe','<Guard>','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070016,'Guard Morlo','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070017,'Reginald','<Guard>','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070018,'Guard Stonefist','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070019,'Junala','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070020,'Kaelarri Ivyshae','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,34,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070021,'Scruffy','','','','',255,196,12,0,1,1,9,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070022,'Pathfinder Oakheart','<Guard>','','','',15,114,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070023,'Kethelrune','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070024,'a grove deer','','','','',255,206,25,4,1,1,0,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070025,'Patrolman Edward','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070026,'Takara Maiya','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,33722,0,0,0,0,0,0,0,0,0,0,0,0),
(2070027,'Franklin','<Guard>','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070028,'Guard Valmont','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070029,'a koi','','','','',255,204,9,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070030,'Rask Helstot','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070031,'Musician Zwena','','','','',11,95,32,0,1,1,9,0,0,0,0,1,0,0,38,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070032,'Delma Messpie','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,34,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070033,'Gildas Cedartree','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070034,'Thomas Boatmend','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070035,'Traylo Leafsway','<Gildas'' Assistant>','','','',8,136,32,0,1,1,10,9,0,0,0,1,0,0,28,0,0,0,0,32436,0,0,0,0,0,0,0,0,0,0,0,0),
(2070036,'Paavali Dewshine','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2070037,'Wanderer Greencoast','<Tunarian Alliance Grove Warden>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,241,241,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2070038,'Preservationist Reynolds','<Tunarian Alliance Grove Warden>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2070039,'Shakan Notebend','<Dirge Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(2070040,'Master Rysian Gladewalker','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070041,'Shepherd Sell`ar','<Tunarian Alliance Grove Warden>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2070042,'Lieoonlioo Croosinian','<Troubador Trainer>','','','',3,1595,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(2070043,'Wesaelan Brookshadow','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070044,'Alchemist Duvo','<Alchemist>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,33740,0,0,0,0,0,0,0,0,0,0,0,0),
(2070045,'Tairiel Oakshade','','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,26,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070046,'Naturalist Tummyfill','<Tunarian Alliance Grove Warden>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2070047,'Wanderer Raegen Truthshadow','<Tunarian Alliance Grove Warden>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,16,16,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2070048,'Flizzle Cogplume','<Swashbuckler Trainer>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100485,0,4,0,0,0,0,0,0,0,0,0,0),
(2070049,'Lookout Venylle','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070050,'Outrider Bernd','<Tunarian Alliance Grove Warden>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070051,'Trillium','<Tunarian Alliance Merchant>','','','',15,114,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,33747,0,0,0,0,0,0,0,0,0,0,0,0),
(2070052,'Initiate Lo Fan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070053,'Mirthmire','<City Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33749,0,64,0,0,0,0,0,0,0,0,0,0),
(2070054,'Lambent','<City Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33750,0,64,0,0,0,0,0,0,0,0,0,0),
(2070055,'Knight-Captain Percius','','','','',8,136,32,0,1,1,13,9,0,1,1,1,0,11,34,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070056,'Pathfinder Oakheart','<Guard>','','','',15,114,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070057,'William','<Guard>','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070058,'Guard Kaladenth','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070059,'Faye Dawnsinger','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070060,'Patrolman Ly`stan','<Guard>','','','',15,114,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070061,'Tabitha','','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070062,'Palla Jhal','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070063,'Kaemon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070064,'Aerinleaf','<Broker>','','','',6,78,32,0,1,1,20,9,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070065,'Provisioner Adrianna','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33761,0,0,0,0,0,0,0,0,0,0,0,0),
(2070066,'Warble Wildmane','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070067,'Pelle Shinkicker','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070068,'Khai Lightfall','<Monk Trainer>','','','',11,82,32,0,1,1,10,1265,0,0,0,1,0,0,38,301,301,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(2070069,'Initiate Lunaru','','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070070,'Initiate Thomas','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070071,'Carolyn Wu','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070072,'Senior Initiate Delvin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070073,'Gilp Jadefist','','','','',4,4943,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070074,'Guard Tolar','','','','',0,112,35,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070075,'Arthur Waterway','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070076,'Kaylelle Starchaser','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070077,'Velisarr Morningdew','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070078,'Patrolman Edward','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070079,'Solomen Stormwatch','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070080,'Patrolman Fanthis','<Guard>','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070081,'Patrolwoman Varna','<Guard>','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070082,'Elendia Starleaf','<Ranger Trainer>','','','',8,79,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(2070083,'Towser Flizgibbert','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070084,'Mina','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070085,'Initiate Tara','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070086,'a treant sapling','','','','',255,212,8,2,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070087,'Trillium','<Merchant>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070088,'Elgorn Birchgrove','<Forest Tender>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2070089,'Quiver','','','','',255,216,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070091,'Beaker','Trilla''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070092,'Madrethal Summerspeak','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070093,'Reginald','<Guard>','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070094,'Guard Stonefist','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070095,'Ivanhoe','<Guard>','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070096,'Guard Morlo','','','','',9,134,32,0,1,1,13,9,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070097,'Perplexed','Perplexor''s Personae Shift','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070098,'Larry','Heycurly''s Personae Duplicate','','','',9,108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070099,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070100,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070101,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070102,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070103,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070104,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070105,'quest_tome_mistythicket_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070106,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070107,'quest_tome_rendingend_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070108,'Transport Tree Lift',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070109,'sliding door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070110,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070111,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070112,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070113,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070114,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070115,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070116,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070117,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070118,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070119,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070120,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070121,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070122,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070123,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070124,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070125,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070126,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070127,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070128,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070129,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070130,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070131,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070132,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070133,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070134,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070135,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070136,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070137,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070138,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070139,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070140,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070141,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070142,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070143,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070144,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070145,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070146,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070147,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070148,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070149,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070150,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070151,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070152,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070153,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070154,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070155,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070156,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070157,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070158,'Sabotage_sabotage/freeport_3_x5_1',NULL,'','','',0,4645,32,0,1,1,296,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070159,'Sabotage_sabotage/freeport_3_x2_2',NULL,'','','',0,3532,32,0,1,1,753,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070160,'Sabotage_sabotage/freeport_3_x7_2',NULL,'','','',0,4614,32,0,1,1,754,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070161,'Sabotage_sabotage/freeport_3_x6_1',NULL,'','','',0,3074,16,0,1,1,755,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070162,'Sabotage_sabotage/freeport_3_x8_1',NULL,'','','',0,3156,32,0,1,1,296,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070163,'Sabotage_sabotage/freeport_3_x10_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070164,'Sabotage_sabotage/freeport_3_x7_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070165,'Sabotage_sabotage/freeport_3_x4_1',NULL,'','','',0,3545,32,0,1,1,228,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070166,'Sabotage_sabotage/freeport_3_x2_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070167,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070168,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070169,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070170,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070171,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,0,0,1017,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070172,'zone_to_qey_north',NULL,'','','',0,49,32,0,1,1,1003,0,0,0,0,1,0,0,261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070173,'zone_to_qey_village06',NULL,'','','',0,49,32,0,1,1,1019,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070174,'betrayal tunarbos',NULL,'','','',0,4161,32,0,1,1,1091,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070175,'sign_inrange',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070176,'sign_pottery',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070177,'zone_to_qey_village05',NULL,'','','',0,49,32,0,1,1,1018,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2070178,'Helanni Firewyng','','','','',15,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080000,'QH Exit',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080001,'a large crate',NULL,'','','',0,1950,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080002,'an old crate',NULL,'','','',0,3146,35,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080003,'a small crate',NULL,'','','',0,1951,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080004,'a stool',NULL,'','','',0,2058,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080005,'a stein',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080006,'a barrel',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080007,'a cask',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080008,'a crate',NULL,'','','',0,1949,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080009,'a game table',NULL,'','','',0,3230,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080013,'an old small crate',NULL,'','','',0,3155,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080014,'an old medium crate',NULL,'','','',0,3156,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080015,'an old medium crate',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080016,'an anchor box',NULL,'','','',0,3148,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080017,'a Guard Dog','','','','',9,216,20,0,1,1,11,0,0,1,1,1,0,1,34,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080018,'a putrid brigand','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,34,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080019,'a filthy blacksmith','','','','',9,78,32,0,1,1,11,0,0,1,1,1,0,1,34,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080020,'a putrid bandit','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080021,'a bandit cook','','','','',0,132,32,0,1,1,11,0,0,1,1,1,0,1,32,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080022,'a fettered guard','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,1,34,430,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2080023,'an assassin leader','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140000,'Exit',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140001,'a Bed',NULL,'','','',0,1408,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140002,'a Candle Stand',NULL,'','','',0,2083,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140003,'a Table',NULL,'','','',0,2783,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140004,'a Stove',NULL,'','','',0,2108,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140005,'a Butcherblock',NULL,'','','',0,1518,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140006,'a Chair',NULL,'','','',0,2134,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140007,'a chandalier',NULL,'','','',0,3430,60,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140008,'a Desk',NULL,'','','',0,2177,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140009,'a stool',NULL,'','','',0,2141,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140010,'A Chair',NULL,'','','',0,2134,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140011,'a Dresser',NULL,'','','',0,1980,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140012,'a Bookcase',NULL,'','','',0,2128,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140013,'a Bookcase2',NULL,'','','',0,2127,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140014,'a Rug',NULL,'','','',0,3518,75,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140015,'a Fancy chair',NULL,'','','',0,3047,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140016,'a bedside table',NULL,'','','',0,2172,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140017,'an Easel',NULL,'','','',0,3303,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140018,'a Statue',NULL,'','','',0,3907,12,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140019,'sacks of flour',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140020,'bread',NULL,'','','',0,3360,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140021,'wine',NULL,'','','',0,1403,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140022,'a bookcase',NULL,'','','',0,3017,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140023,'a Rug',NULL,'','','',0,3512,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140024,'a Bench',NULL,'','','',0,2124,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140025,'a Painting',NULL,'','','',0,2197,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140026,'a Haunted Tome','','','','',255,279,40,0,0,0,11,0,11737,0,0,0,0,0,10,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140027,'an Angry spirit','','','','',15,2849,32,0,1,1,11,0,496,1,1,1,0,1,34,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140028,'an Unfruitful spirit','','','','',15,2852,32,0,1,1,11,0,496,1,1,1,0,1,34,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140029,'an Enraged spirit','','','','',15,2848,32,0,1,1,11,0,496,1,1,1,0,1,34,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140030,'Enter Warning',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140031,'a Thankful spirit','','','','',15,2848,32,0,1,1,9,0,496,0,0,1,0,0,34,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140032,'a Relieved spirit','','','','',15,273,32,0,1,1,0,0,0,0,0,0,0,0,34,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2140033,'a Statue','','','','',15,3907,12,0,0,0,0,0,0,0,0,0,0,0,0,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150000,'Exit',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150001,'a well-used bar',NULL,'','','',0,1977,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150002,'a beaten table',NULL,'','','',0,2040,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150003,'a beaten table',NULL,'','','',0,2040,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150004,'a fireplace',NULL,'','','',0,1394,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150005,'a crate',NULL,'','','',0,1949,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150006,'a large crate',NULL,'','','',0,1950,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150007,'a small crate',NULL,'','','',0,1951,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150008,'a barrel',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150009,'a cupboard',NULL,'','','',0,1981,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150010,'a stool',NULL,'','','',0,2058,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150011,'debris',NULL,'','','',0,3326,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150012,'strewn cards',NULL,'','','',0,3172,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150013,'a stein',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150014,'a chandelier',NULL,'','','',0,3432,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150015,'a candle',NULL,'','','',0,3451,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150016,'Wayfarer''s Rest Painting',NULL,'','','',0,4235,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150017,'a distraught bartender','','','','',7,134,32,0,1,1,9,0,0,0,0,1,0,0,17,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150018,'a frightened barmaid','','','','',9,132,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2150019,'an unruly patron','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150020,'an argumentative patron','','','','',2,1484,32,0,1,1,11,0,0,1,1,1,0,0,18,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150021,'a belligerent patron','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150022,'an angry patron','','','','',0,134,32,0,1,1,11,0,0,1,1,1,0,0,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150024,'an insidious instigator','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150025,'a keg',NULL,'','','',0,1956,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150026,'10m_FireLight',NULL,'','','',0,5748,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150027,'a suspicious barrel',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150028,'a suspicious crate',NULL,'','','',0,1949,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2150029,'collision',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2170000,'Exit',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180000,'Exit',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180001,'Exit',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180002,'a Bookshelf',NULL,'','','',0,2127,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180003,'a Chair',NULL,'','','',0,2057,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180004,'a Table',NULL,'','','',0,2069,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180005,'a Chair',NULL,'','','',0,2647,32,0,0,0,0,0,3120,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180006,'a Bench',NULL,'','','',0,2001,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180007,'a Bed',NULL,'','','',0,2053,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180008,'a Vase',NULL,'','','',0,2079,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180009,'a Vase',NULL,'','','',0,2077,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180010,'Books',NULL,'','','',0,2593,25,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180011,'a broken chair',NULL,'','','',0,3066,32,0,0,0,0,0,3120,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180012,'a Candle Holder',NULL,'','','',0,3457,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180013,'a Chandelier',NULL,'','','',0,2694,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180014,'a broken vase',NULL,'','','',0,3340,27,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180015,'a bookcase',NULL,'','','',0,3015,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180016,'a Fireplace',NULL,'','','',0,7089,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180017,'Books',NULL,'','','',0,2592,25,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180018,'a Journal',NULL,'','','',0,3323,32,0,0,0,440,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180019,'a Candle',NULL,'','','',0,3448,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180020,'a butcherblock',NULL,'','','',0,1518,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180021,'a bottle of wine',NULL,'','','',0,1403,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180022,'a smoldering goo','','','','',7,295,17,0,1,1,11,0,0,1,1,1,0,1,0,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180023,'Books',NULL,'','','',0,2591,25,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180024,' ','','','','',7,2306,65,0,0,0,11,0,0,0,0,1,0,0,17,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180025,'Rain System Cloud',NULL,'','','',0,18,150,0,0,0,0,0,12080,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180026,'Fire!',NULL,'','','',0,2306,70,0,0,0,0,0,491,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180027,'Rain System',NULL,'','','',0,2306,40,0,0,0,0,0,5572,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2180028,'Bubbles',NULL,'','','',0,2306,40,0,0,0,0,0,5603,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190000,'a white headband initiate','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190001,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190002,'training_dummy',NULL,'','','',0,1558,36,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190003,'floor_urn02_any_clay',NULL,'','','',0,1960,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190004,'Dojo Fire',NULL,'','','',0,2019,40,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190005,'Dojo Painting',NULL,'','','',0,4233,40,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190006,'Soul Brazier',NULL,'','','',0,1960,34,0,0,0,713,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190007,'a Bench',NULL,'','','',0,2001,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190008,'a Dummy',NULL,'','','',0,1543,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190009,'a Sconce',NULL,'','','',0,2728,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190010,'a third circle initiate','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190011,'a first circle adept','','','','',9,134,33,0,1,1,9,0,11420,0,0,1,0,0,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190012,'a second circle initiate','','','','',2,110,32,0,1,1,9,0,11420,0,0,1,0,0,26,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190013,'Exit',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190014,'BurningFire_invisible_cube',NULL,'','','',0,2306,5,0,0,0,0,0,492,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2190015,'steam',NULL,'','','',0,2306,10,0,0,0,0,0,6867,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210000,'Timeless Chronomage','','','','',3,1605,32,0,1,1,9,21,0,0,0,1,0,0,34,16,16,0,0,236,0,0,0,1835023,0,0,0,0,0,0,0,0),
(2210001,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,1262,0,0,0,1,0,0,34,16,16,0,0,236,0,0,0,1835023,0,0,0,0,0,0,0,0),
(2210002,'Shiharra Veldin','<Chronomagi Tasker>','','','',3,1587,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210003,'Aimee','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210004,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210005,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210006,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2210007,'Inim Candychewer','<Frostfell Historian>','','','',8,136,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210008,'Pinchy Presentpeeler','','','','',8,135,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210009,'a Gigglegibber scout','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,601,601,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2210010,'a kitten','','','','',255,306,18,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210011,'a drunk sailor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210012,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2210013,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2210014,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2210015,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2210016,'a rat','','','','',255,196,9,0,0,0,0,0,0,0,0,0,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210017,'Barmaid Ceilia Abbot','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(2210018,'Birney Abbot','<Bartender>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2210019,'Mary Dillon','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210020,'a Qeynos citizen','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,1351,1351,0,0,0,0,0,0,496,0,0,0,0,0,0,0,0),
(2210021,'Vernon Tinworthy','<Bar Patron>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210022,'Innkeeper Galsway','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2210023,'Lyricist Kuehja','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210024,'Armorsmith Tanua Dorlin','<Merchant>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402044,0,0,0,0,0,0,0,0,0,0,0,0),
(2210025,'Barmaid Drinna','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210026,'Madam Istynia','<Alchemist>','','','',3,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,361,361,0,0,6131,0,0,0,0,0,0,0,0,0,0,0,0),
(2210027,'Scribe Assistant Zara','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,271,271,0,0,402026,0,0,0,0,0,0,0,0,0,0,0,0),
(2210028,'Guard Porter','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210029,'Oakhall','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210030,'Bilur','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210031,'Crazy Charlene','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210032,'Queen Antonia Bayle','','','','',9,4063,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210033,'Devona Ironforge','<Crafting Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,9465,0,0,0,0,0,0,0,0,0,0,0,0),
(2210034,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210035,'Rosalina Goodfallow','<Steward of Antonia Bayle>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(2210036,'Soothsayer Tabina','','','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210037,'Shanda Tierbold','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210038,'Merchant Harron Griswald','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,331,331,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2210039,'Ashilda MacHinry','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210040,'a nervous ratonga','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0),
(2210041,'Erwin Rohand','<Provisioner>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(2210042,'Bartender Borden Mannus','<Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,331,331,0,0,20196,0,0,0,0,0,0,0,0,0,0,0,0),
(2210043,'Boulden Smitestone','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210044,'Pepper','','','','',255,272,25,0,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210045,'Squire Moorford','<Qeynos Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210046,'Chopper','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210047,'Zoe Hertzflip','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(2210048,'Nimber Fastfoot','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210049,'Merchant Aeris Lightwind','<Merchant>','','','',9,135,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(2210050,'Hilldon','<Guard>','','','',9,78,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210051,'Umli Grayfist','<Bartender>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210052,'Sprockfuddle','<Supplier>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,20206,0,0,0,0,0,0,0,0,0,0,0,0),
(2210053,'Meex','','','','',255,304,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210054,'a runt','','','','',255,306,9,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210055,'Captain Salty ','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210056,'Phen Domlinson','<Bowyer>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,20210,0,0,0,15,0,0,0,0,0,0,0,0),
(2210057,'Mariner Kajiz','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210058,'Mariner Whistlethorn','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210059,'Fence Fuddlesprock','<Broker>','','','',5,122,32,0,1,1,20,9,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210060,'Wyrmdon','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210061,'City Merchant Pottsby','<City Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,20215,0,64,0,0,0,0,0,0,0,0,0,0),
(2210062,'City Merchant Rabbleson','<City Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,20216,0,64,0,0,0,0,0,0,0,0,0,0),
(2210063,'Dajor Botswein','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210064,'Alissa Cleeway','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210065,'Sean Wellfayer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210066,'Randal Gromoe','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,8184,0,0,0,0,0,0,0,0),
(2210068,'Armorsmith Gael Pinewhisper','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402041,0,0,0,0,0,0,0,0,0,0,0,0),
(2210069,'Kehlner','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210070,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210071,'Guard Bilur','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210072,'Guard Oakhall','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210073,'Guard Hanstock','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210074,'Thoroden','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210075,'Sergeant Quackers','','','','',255,269,41,0,1,1,9,0,0,0,0,1,0,0,8,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210076,'Commander Fluffy','','','','',255,304,32,0,1,1,9494,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210077,'Yarwick','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210078,'Shiningleaf','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210079,'Ravener','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210080,'Lyricist Trucci','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210081,'Jarcolyn O''Gallothen','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210082,'Marius Ironflint','<Ian''s Assistant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210083,'Knight-Commander Meldraggelien','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210084,'Ian Cathlan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210085,'Rothun','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210086,'Chadwick Strohn Jr.','','','','',9,134,17,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2210087,'Guard Highgold','','','','',8,135,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210088,'Guard Groban','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210089,'Warland','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210090,'Armorsmith Renee Atherton','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402043,0,0,0,0,0,0,0,0,0,0,0,0),
(2210091,'Armorsmith Alexander Kerr','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402046,0,0,0,0,0,0,0,0,0,0,0,0),
(2210092,'Arrel Silvertongue','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210093,'Sarbith Plegnog','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,2097120,0,0,0,0,0,0,0,0),
(2210094,'Velwich','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210095,'Pearl Honeywine','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210096,'Banker Kizmit','<Banker>','','','',11,95,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210098,'Elderstrike','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210099,'Bluto','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210100,'Taburg','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210101,'Grisvane Stonearm','<Banker>','','','',2,110,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210102,'Litheon McElhannon','<Reforging>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,261888,0,0,0,0,0,0,0,0),
(2210103,'Mender Praxum','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,391,391,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2210104,'Smith Holgren','<Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,402036,0,0,0,0,0,0,0,0,0,0,0,0),
(2210105,'Sheldon Lamport','<Jeweler>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,316,316,0,0,20261,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210106,'Robert Newbury','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210107,'Frethe Zizlop','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(2210108,'Seally Cogwind','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210111,'Shiharra Veldin','<Chronomagi Tasker>','','','',0,1587,25,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0),
(2210112,'Scion of Discord','<Victory Appraiser>','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210113,'Scion of Discord','<Carnage Appraiser>','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210114,'Sean Wellfayer','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210115,'Dajor Botswein','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210116,'a rat','','','','',0,196,9,0,0,0,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210117,'Chopper','','','','',0,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210118,'Squire Moorford','<Qeynos Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210119,'Shanda Tierbold','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210120,'Harron Griswald','<General Goods>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210121,'Boulden Smitestone','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210123,'a nervous ratonga','','','','',0,53,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0),
(2210124,'Merchant Erwin Rohand','<Merchant>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(2210126,'Ashilda MacHinry','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210127,'a Qeynos citizen','','','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,1351,1351,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210128,'a drunk sailor','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210129,'Marvus Kilderoy','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,2000,600,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210130,'Eymahponie','Luvil''s pack pony','','','',0,9531,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210131,'a kitten','','','','',0,304,17,5,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210132,'Nelis Greenpocket','<Tailor>','','','',0,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,20202,0,0,0,0,0,0,0,0,0,0,0,0),
(2210133,'Aeris Lightwind','<Provisioner>','','','',0,135,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210134,'Queen Antonia Bayle','','','','',0,4063,64,0,1,1,0,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210135,'Merchant Umli Grayfist','<Merchant>','','','',0,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,361,361,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(2210136,'Meex','','','','',0,304,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210137,'a runt','','','','',0,306,9,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210138,'Merchant Alissa Cleeway','<Merchant>','','','',0,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,286,286,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2210139,'Guard Wyrmdon','','','','',0,134,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210140,'Guard Hilldon','','','','',0,78,32,0,1,1,13,0,0,1,1,1,0,11,34,430,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210141,'Pottsby','<City Merchant>','','','',0,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(2210142,'Rabbleson','<City Merchant>','','','',0,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(2210143,'Bildi Pieflinger','<Ineedawarden''s Spellsinger Mercenary>','','','',0,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210144,'Sprockfuddle','<Supplier>','','','',0,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210145,'Mariner Whistlethorn','','','','',0,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210146,'Fuddlesprock','<Fence>','','','',0,122,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210147,'Merchant Phen Domlinson','<Merchant>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402035,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210148,'Mariner Kajiz','','','','',0,100,32,0,1,1,9,0,323,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210149,'Velnia','<Salty Sailor>','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210150,'Commander Fluffy','','','','',0,304,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210151,'Grittlebone','','','','',0,216,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210152,'Broker Aliindar','<Broker>','','','',0,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210153,'Carpenter Paddock','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210154,'Guster Malirious','<Qeynos Port Official>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210155,'Portis Bonham','<General Goods>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210156,'Bildi Pieflinger','<Spellsinger Mercenary>','','','',0,4985,32,0,1,1,9,0,0,0,0,1,0,0,17,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210157,'Jennis Proudhilt','<Antonican Guard Mercenary>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210158,'Kyren Darkcloud','<Ruffian Mercenary>','','','',0,5077,32,0,1,1,9,0,0,0,0,1,0,0,28,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210159,'Keigwyn Macinshire','','','','',0,78,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210160,'Jelinza','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210161,'Barmaid Ceilia Abbot','<Provisioner>','','','',0,132,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210162,'Kell Silentfang','<Martial Mercenary>','','','',0,82,32,0,1,1,9,0,0,0,0,1,0,0,38,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210163,'Lyricist Kuehja','<The Chaos Orchestra>','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210164,'Vernon Tinworthy','<Bar Patron>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210165,'Bartender Birney Abbot','<Merchant>','','','',0,134,32,0,1,1,10,1265,0,0,0,0,0,0,34,331,331,0,0,6096,0,0,0,0,0,0,0,0,0,0,0,0),
(2210166,'Firus Scorchtouch','<Arcanist Mercenary>','','','',0,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210167,'Lyricist Trucci','<The Chaos Orchestra>','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210168,'Bdorn Alehammer','<Intercepter Mercenary>','','','',0,4968,32,0,1,1,9,0,0,0,0,1,0,0,18,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210169,'Mary Dillon','','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210170,'Slayd Lancet','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210171,'Tora Shadyleaf','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210172,'Madam Istynia','<Alchemist>','','','',0,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210173,'Jandah Thornbrush','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210174,'Marius Ironflint','<Ian''s Assistant>','','','',0,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210175,'Zara','<Alchemist Assistant>','','','',0,132,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210176,'Ambassador Duryo Valstath','<Change of Citizenship>','','','',0,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2210177,'Royal Accountant Fowler','<Guild Registrar>','','','',0,134,32,0,1,1,25,9,0,0,0,1,0,0,34,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210178,'Quartermaster Lewyn','<City Quartermaster>','','','',0,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210179,'Garston Viona','<Guild Cloak Designer>','','','',0,135,32,0,1,1,24,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210181,'Bdorn Alehammer','<Zhaba''s Intercepter Mercenary>','','','',0,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210183,'Tymat Ironnose','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,1426,1426,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210184,'Nathan Ironforge','','','','',0,134,17,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210186,'Rothun','<Guard>','','','',0,112,32,0,1,1,13,0,323,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210187,'Batuula Quindalla','<Portal Master>','','','',0,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210188,'Firus Scorchtouch','<Asib''s Arcanist Mercenary>','','','',0,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210189,'Buresh','<Guard>','','','',0,110,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210190,'Guard Porter','','','','',9,132,32,0,1,1,13,0,323,1,1,1,0,11,34,930,360,0,0,0,0,0,0,1835135,0,0,0,0,0,0,0,0),
(2210191,'Xavier','','','','',0,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210192,'Bildi Pieflinger','<Herosblood''s Spellsinger Mercenary>','','','',0,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210193,'Hanstock','<Guard>','','','',0,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210194,'Oakhall','<Guard>','','','',0,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210195,'Lawst','Lawst''s spirit companion','','','',0,5217,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210196,'Antonius','','','','',0,305,22,0,1,1,9494,0,0,0,0,1,1,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210197,'Tanua Dorlin','<Provisioner>','','','',0,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210198,'Gael Pinewhisper','<Bowyer>','','','',0,78,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210199,'Kehlner','','','','',0,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210200,'Thoroden','<Guard>','','','',0,134,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210201,'Yarwick','<Guard>','','','',0,132,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210202,'Shiningleaf','<Guard>','','','',0,136,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210203,'Ravener','','','','',0,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210204,'Armorsmith Tala McMorgan','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,402040,0,0,0,0,0,0,0,0,0,0,0,0),
(2210205,'Loomilias','','','','',3,119,32,0,1,1,9,0,0,0,0,0,0,0,26,1600,160,0,0,0,0,0,0,786495,0,0,0,0,0,0,0,0),
(2210206,'Mitchell McNolan','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210207,'Renee Atherton','<Bartender>','','','',0,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210208,'Groban','<Guard>','','','',0,110,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210209,'Warland','<Guard>','','','',0,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210210,'Katrina Mullner','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210211,'Sarbith Plegnog','','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210212,'a duck','','','','',0,269,32,0,1,1,9,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210213,'Sergeant Quackers','','','','',0,269,41,0,1,1,9,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210214,'Captain Salty ','','','','',0,305,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210215,'Velwich','<Guard>','','','',0,134,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210216,'Pearl Honeywine','','','','',0,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210217,'Kizmit','<Banker>','','','',0,95,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210218,'Sir Aidan Godard','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,34,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210219,'Elderstrike','<Guard>','','','',0,136,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210220,'Bluto','','','','',0,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210221,'Taburg','<Guard>','','','',0,110,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210222,'Banker Grisvane Stonearm','<Banker>','','','',0,110,32,0,1,1,14,9,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210223,'Banker Robert Newbury','<Banker>','','','',0,134,32,0,1,1,14,9,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210224,'Litheon McElhannon','<Reforging>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210225,'Engineer Fezzlbop','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210226,'Armorsmith Minda Broadfeet','<Merchant>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402042,0,0,0,0,0,0,0,0,0,0,0,0),
(2210227,'Scribe Sheldon Lamport','<Merchant>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100505,0,0,0,1835023,0,0,0,0,0,0,0,0),
(2210228,'Weaponsmith Jarek O''Kelly','','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,241,241,0,0,402050,0,0,0,0,0,0,0,0,0,0,0,0),
(2210229,'Fosur','<Guard>','','','',0,109,32,0,1,1,13,0,323,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210230,'a pirate captain','<Pirates of Gunthak>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210231,'a pirate first mate','<Pirates of Gunthak>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210232,'Scion of Khaalista','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,28650,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210233,'Scion of Belamorte','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,28651,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210234,'a barbarian trader','<Far Seas Trading Company>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,131008,0,0,0,0,0,0,0,0),
(2210235,'an iksar commander','<Battlefield of Ganak>','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210236,'an iksar warrior','<Battlefield of Ganak>','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210237,'an iksar observer','<Battlefield of Ganak>','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210238,'a gnome researcher','<Meldrath''s Machinists>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210239,'a gnome researcher','<Tinmizer''s Tinkerers>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210240,'a gnome observer','<Smuggler''s Den>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210241,'A Safar of Maj''dul','','','','',255,5263,32,0,1,1,9,0,0,0,0,1,0,0,32,676,676,0,0,0,0,0,0,1310718,0,0,0,0,0,0,0,0),
(2210242,'Guard Evenwood','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210243,'Rolstein','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210244,'Guard Fosur','','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210245,'Guard Velwich','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210246,'Grittlebone','','','','',255,216,16,0,1,1,9,0,0,0,0,1,0,0,32,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210247,'Guard Taburg','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210248,'Guard Elderstrike','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210249,'Bluto','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210250,'Guard Rothun','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210251,'Ravener','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210252,'Guard Shiningleaf','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210253,'Guard Yarwick','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210254,'Guard Thoroden','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210255,'Kehlner','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210257,'Harbormaster Crestbreak','','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,421,421,0,0,32097,0,0,0,0,0,0,0,0,0,0,0,0),
(2210258,'Sparky','Brandon''s Personae Reflection','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210259,'Chopper','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210260,'Carpenter Paddock','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210261,'Groban','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210262,'Evenwood','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210263,'Rolstein','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210264,'Highgold','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210265,'Fosur','<Guard>','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210266,'Guard Warland','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210267,'Telaryle Skyscream','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,6800,800,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210268,'Royal Librarian Brinn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210269,'Portis Bonham','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33370,0,0,0,0,0,0,0,0,0,0,0,0),
(2210270,'Keigwyn Macinshire','','','','',6,78,32,0,1,1,9,0,11500,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210272,'Loki','Sylvanmyst''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210273,'Lionel','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210274,'Hanstock','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210275,'Wyrmdon','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210276,'Hilldon','<Guard>','','','',9,78,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210277,'Overseer Scarborough','','','','',9,134,34,0,1,1,9,0,0,0,0,1,0,0,32,3000,600,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210278,'Broker Aliindar','<Broker>','','','',3,1603,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210279,'Garston Viona','<Guild Cloak Designer>','','','',8,135,32,0,1,1,24,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,1179640,0,0,0,0,0,0,0,0),
(2210280,'Quartermaster Lewyn','<City Quartermaster>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210281,'Royal Accountant Fowler','<Guild Registrar>','','','',9,134,32,0,1,1,25,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210282,'Batuula Quindalla','<Portal Master>','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210283,'Xavier','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210284,'Guard Buresh','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210285,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210286,'Benas','Conjura''s earthen avatar','','','',255,2462,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210287,'Clockwork Herald XVI.02','<Tinkerfest Herald>','','','',255,10514,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,256,0,0,0),
(2210289,'Flashthunder','Child of Karana','','','',255,195,16,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210293,'Usda','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210295,'Frankenweiner','Lemonpepper''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210296,'Sherman','Bandder''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210300,'Zeus','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210301,'Widowmakerr','Widowmakerr''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210302,'Natulcien','<PVP Writs>','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210303,'Chronos','Chronos''s Personae Shift','','','',9,77,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210304,'Banderspark','<Black Market Assistant>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210305,'Stumpy','','','','',14,9065,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210308,'Privatepyle','Privatepyle''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210309,'Mine','Mine''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210310,'Skahrin','Skahrin''s pet goblin runt','','','',255,7296,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210311,'Skahrin','Skahrin''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210313,'Xibantik','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210314,'Jobn','Today''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210317,'Aunika Cresh','','','','',9,132,41,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210319,'Muronel Davons','','','','',0,111,35,0,1,1,9,0,0,0,0,1,0,0,34,316,316,0,0,0,0,0,0,229312,0,0,0,0,0,0,0,0),
(2210320,'Betsie Fellhammer','','','','',2,109,28,0,1,1,9,0,0,0,0,1,0,0,18,316,316,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210321,'Peytro Ironside','','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(2210323,'Bongrips','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210324,'Daeyna Windswell','','','','',15,1442,32,0,1,1,9,0,11852,0,0,1,0,0,28,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210325,'Orin Loamskin','','','','',15,1447,32,0,1,1,9,0,11854,0,0,1,0,0,28,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210326,'Johne Mandell','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210327,'Aisha McCorn','','','','',9,132,32,0,1,1,9,0,11852,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210328,'Thom McCorn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(2210329,'Admiral Marc Grenich','<Recruiter>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210330,'Assistant Heckinfez','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210331,'Kay Foamdancer','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210332,'Ursell Wimfell','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210333,'Samwell Brighton','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210334,'Kara Thornwell','','','','',9,132,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210335,'Theyeurn Farael','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,316,316,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(2210336,'Iriwyn Goldwane','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210337,'Phoeydra Telethyn','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,316,316,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0),
(2210339,'Webster','Zelana''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210340,'Alfred Ironforge','<Crafting Trainer>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210341,'Draco','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210342,'Draco','Calyen''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210343,'widget_sulfur_barrel',NULL,'','','',0,49,32,0,1,1,752,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210344,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210345,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210346,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210347,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210348,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210349,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210350,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210351,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210352,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210353,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210354,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210355,'door_widget19',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210356,'door_widget18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210357,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210358,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210359,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210360,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210361,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210362,'Back_HallofSteel_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210363,'quest_barrel_stolen_item02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210364,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210365,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210366,'quest_barrel_stolen_item01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210367,'coin_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210368,'quest_wheel_stolen_item03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210369,'coin_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210370,'coin_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210371,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210372,'quest_tome_overhalas_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210373,'quest_tome_rathemountain_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210374,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210375,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210376,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210377,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2210378,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210379,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210380,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210381,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210382,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210383,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210384,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210385,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210386,'dpo_present03_big',NULL,'','','',0,7077,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210387,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210388,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210389,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210390,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210391,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210392,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210393,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210394,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210395,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2210396,'dpo_bow01_green',NULL,'','','',0,7075,31,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210397,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210398,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210399,'dpo_bow01_red',NULL,'','','',0,7076,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210400,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210401,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210402,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210403,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210404,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210405,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210406,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210407,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210408,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210409,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2210410,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,1,1,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210411,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2210412,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210413,'dpo_present03_medium',NULL,'','','',0,7078,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210414,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210415,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210416,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210417,'dpo_apple_pie',NULL,'','','',0,8720,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210418,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2210419,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210420,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210421,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210422,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2210423,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210424,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210425,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210426,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210427,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210428,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210429,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210430,'halfling_innbook_01',NULL,'','','',0,1552,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210431,'qeynos_sign_post01',NULL,'','','',0,30,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210432,'Thomas Bodley',NULL,'','','',255,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,6112,0,0,0,0,0,0,0,0,0,0,0,0),
(2210433,'Heather Atherton',NULL,'','','',255,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,20247,0,0,0,0,0,0,0,0,0,0,0,0),
(2210434,'Minda Broadfeet',NULL,'','','',255,109,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210435,'Thomas Bodley',NULL,'','','',0,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210436,'Heather Atherton',NULL,'','','',0,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210437,'Minda Broadfeet',NULL,'','','',0,109,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,20250,0,0,0,0,0,0,0,0,0,0,0,0),
(2210438,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210439,'frostfell_entrance',NULL,'','','',0,3165,32,0,1,1,30,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210440,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,0,0,31,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210441,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2210442,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210443,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210444,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210445,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210446,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210447,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210448,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210449,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210450,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2210451,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,1,1,689,0,1907,0,0,1,1,0,32,0,0,0,0,0,0,0,0,1310718,0,0,0,0,0,0,0,0),
(2210452,'sign_mermaids_lure',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210453,'Sabotage_sabotage/freeport_3_x5_1',NULL,'','','',0,4645,32,0,1,1,296,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210454,'sign_mermaids_lure_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210455,'Sabotage_sabotage/freeport_3_x2_2',NULL,'','','',0,3532,32,0,1,1,753,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210456,'sign_qeynos_shipyard',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210457,'zone_to_qey_village03',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,259,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210458,'guild_writ_door',NULL,'','','',0,49,32,0,1,1,75,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210459,'zone_to_qey_epic06_p12_irontoes',NULL,'','','',0,49,32,0,1,1,222,0,0,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210460,'Sabotage_sabotage/freeport_3_x7_2',NULL,'','','',0,4614,32,0,1,1,754,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210461,'Sabotage_sabotage/freeport_3_x6_1',NULL,'','','',0,3074,16,0,1,1,755,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210462,'Sabotage_sabotage/freeport_3_x8_1',NULL,'','','',0,3156,32,0,1,1,296,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210463,'Sabotage_sabotage/freeport_3_x10_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210464,'zone_to_qey_village04',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210465,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210466,'zone_to_qey_south_alley',NULL,'','','',0,49,32,0,1,1,757,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210467,'Sabotage_sabotage/freeport_3_x7_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210468,'Sabotage_sabotage/freeport_3_x4_1',NULL,'','','',0,3545,32,0,1,1,228,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210469,'Sabotage_sabotage/freeport_3_x2_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210470,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,1,1,758,0,0,0,0,1,0,0,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210471,'sign_grounds_of_fate_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210472,'sign_qeynos_hold',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210473,'To arena',NULL,'','','',0,49,32,0,1,1,66,0,0,0,0,1,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210474,'sign_hall_of_steel',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210475,'sign_grounds_of_fate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210476,'zone_to_qey_south',NULL,'','','',0,49,32,0,1,1,757,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210477,'sign_sirens_song',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210478,'sign_fishs_alehouse_and_inn_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210479,'sign_echoes_of_destiny',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210480,'sign_coldwind_crier',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210481,'sign_grounds_of_fate_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210482,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1022,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210483,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0),
(2210484,'crate from the qss starfish',NULL,'','','',0,3149,32,0,1,1,2,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210485,'QHWall',NULL,'','','',255,15751,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210486,'TestObject',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210487,'Jayvelle Nightcry','','','','',11,98,32,0,1,1,9,0,0,0,0,1,0,0,18,1351,1351,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0),
(2210488,'Biddy Fozletop','','','','',7,107,35,0,1,1,9,0,0,0,0,1,0,0,34,316,316,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210489,'Miranda Whiting','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210490,'Gerloff Crazy-Eyes','','','','',9,23908,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210491,'Colin McEntire','','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210492,'Lindy Dawn','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,1835039,0,0,0,0,0,0,0,0),
(2210493,'Weaponsmith Heather Atherton','','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,421,421,0,0,402049,0,0,0,0,0,0,0,0,0,0,0,0),
(2210494,'Armorsmith Thomas Bodley','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,402045,0,0,0,0,0,0,0,0,0,0,0,0),
(2210495,'Anayloo','','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210496,'Shayne Wellhouse','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210497,'Anita Landon','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2210498,'Plunk Marrgaze','','','','',4,76,32,0,1,1,9,0,0,0,0,1,0,0,34,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210499,'Frublestump','','','','',4,77,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210500,'Razclaw','','','','',11,102,32,0,1,1,9,0,0,0,0,1,0,0,18,1351,1351,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0),
(2210501,'Cordun Brenland','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210502,'Crazy Lowin','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210503,'QHarborPost',NULL,'','','',0,11399,71,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210504,'QHarborPost',NULL,'','','',0,11399,60,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210505,'Timeless Chronomage','','','','',3,1605,32,0,1,1,21,0,0,0,0,1,0,0,34,16,16,0,0,236,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210506,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,236,0,0,0,262128,0,0,0,0,0,0,0,0),
(2210507,'Bella Strohn','','','','',9,132,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2210508,'Dorbin',NULL,'','','',7,108,32,0,1,1,0,0,0,0,1,1,0,0,32,273,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210509,'Tipsy Tina','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210510,'a decrepit barrel',NULL,'','','',0,2941,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210511,'good_bench',NULL,'','','',0,2981,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210512,'good_lamppost',NULL,'','','',0,11617,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210513,'a lost key',NULL,'','','',0,2071,1,0,0,0,1060,0,0,0,0,1,1,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2210514,'Watcher Midas Turcotte','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220000,'Gutten Gigglegibber','<Frostfell tree handler>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220001,'G''shugahplum Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220002,'Gh''lad Tydingz Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220003,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,21,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0),
(2220004,'Gemellus Sperasius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220005,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220006,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2220007,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220008,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220009,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220010,'a Nights of the Dead merchant','','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220011,'Annabelle Lekter','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220012,'Skeer Deekat','<Gigglegibber Goblin-ish>','','','',11,97,16,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220013,'Chuck Le''Ray','','','','',4,3792,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220014,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220015,'Mervos Stadrin','<Collector>','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220016,'S''mara Mooregan','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220017,'Karl Den Hamm','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220018,'Reigen MacKneel','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220019,'Mykel Miers','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220020,'Damy Thorn','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220021,'Queen Antonia Bayle','','','','',9,4063,64,0,0,0,0,0,0,0,0,0,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220022,'Guard Blackhammer','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,1835039,0,0,0,0,0,0,0,0),
(2220023,'Guard Meyer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,2097120,0,0,0,0,0,0,0,0),
(2220024,'Knight-Lieutenant Laughlin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220025,'Baker Voleen','<Merchant>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402035,0,0,0,0,0,0,0,0,0,0,0,0),
(2220026,'City Merchant Stetts','<Merchant>','','','',7,107,25,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9450,0,64,0,0,0,0,0,0,0,0,0,0),
(2220027,'Merchant Sneed Galliway','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2220028,'City Merchant Tatterhorn','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9452,0,64,0,0,0,0,0,0,0,0,0,0),
(2220029,'Broker Algernon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220030,'Penny Goodhearth','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220031,'Lady Rickson','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220032,'Trainer Jason Merrytoe','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220033,'Trainer Devona Ironforge','<Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,9465,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220034,'Trainer Drunah Skycaller','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100487,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220035,'Trainer Stom Bluntblade','<Merchant>','','','',2,1482,32,0,1,1,10,1265,0,0,0,1,0,0,18,301,301,0,0,100477,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220036,'Squire-Guard Williamson','<Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,826,826,0,0,9474,0,64,0,1966111,0,0,0,0,0,0,0,0),
(2220037,'Trainer Priscilla Stoneguard','<Merchant>','','','',0,1464,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100474,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220038,'Guard Bekker','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2220039,'Grandmaster Kimbialis','','','','',0,4937,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,262136,0,0,0,0,0,0,0,0),
(2220040,'Captain Woug','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,1048600,0,0,0,0,0,0,0,0),
(2220041,'Factor Kai Ferdinand','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,100495,0,64,0,1048588,0,0,0,0,0,0,0,0),
(2220042,'Merchant Aldermun','<Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,36813,0,0,0,0,0,0,0,0,0,0,0,0),
(2220043,'Sergeant-at-Arms Ironcast','<Merchant>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,100495,0,64,0,1835039,0,0,0,0,0,0,0,0),
(2220044,'Knight-Captain Steelgaze','<Merchant>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,100495,0,64,0,1835039,0,0,0,0,0,0,0,0),
(2220045,'Alfred Ironforge','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220046,'Hal','<Fuel Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,9549,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220047,'Fhara Hanford','<Ironforge Exchange Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,286,286,0,0,100066,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220048,'Fidelia Recolo','<Tradeskill Career Counsellor>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220049,'Banker Ealoonias','<Banker>','','','',3,1600,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220050,'Banker Carey Meloy','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220051,'Jo Ironshield','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220053,'Armorsmith Walter Channing','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402045,0,0,0,0,0,0,0,0,0,0,0,0),
(2220054,'Master Smith Dylan Ironforge','<Mender>','','','',0,134,32,0,1,1,12,9,0,0,0,1,0,0,34,481,481,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2220055,'Phrau Blucher','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220056,'Laura Ironforge','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220057,'Merchant Tara Ironforge','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402033,0,0,0,0,0,0,0,0,0,0,0,0),
(2220058,'Sayergei the Stylist','<Merchant>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,751,751,0,0,13077,0,0,0,0,0,0,0,0,0,0,0,0),
(2220059,'Merchant Dana Ironforge','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402032,0,0,0,0,0,0,0,0,0,0,0,0),
(2220060,'Tailor Rachael Clothspinner','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,402039,0,0,0,0,0,0,0,0,0,0,0,0),
(2220061,'Tailor Danielle Clothspinner','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,346,346,0,0,402044,0,0,0,0,0,0,0,0,0,0,0,0),
(2220062,'Runt','','','','',255,14853,11,3,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2220063,'Rascal','','','','',255,14853,13,3,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2220064,'Diren','','','','',255,216,16,0,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220065,'Rose Woodhouse','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0),
(2220066,'Sergeant-at-Arms Stoutiron','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2220067,'Ardath Bay','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220068,'Jayson V''rhees','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220069,'Purrla','<Far Seas Supply Division>','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220070,'Norm Baites','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220071,'Timmy','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220072,'Guard MacMurris','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,1456,1456,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220073,'Guard Bestrom','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1456,1456,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220074,'Guard Rellin`thir','<Merchant>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,826,826,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2220075,'Wilford','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220076,'Bruise Hotep','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220077,'Shaun Rom''zomcom','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220078,'Melony Danyells','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220079,'Carol N''Freeling','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2220080,'Fang','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220081,'Highkeep','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,1051,1051,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2220082,'Guard Thorson','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220083,'Martin','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220084,'Guard Bauer','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220085,'Hubert','','','','',255,6846,26,5,1,1,9,0,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220086,'Scholar Demini','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220087,'Nicola Dering','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,26,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220088,'Captain Campos','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,1201,1201,0,0,0,0,0,0,786435,0,0,0,0,0,0,0,0),
(2220089,'Roland','','','','',255,6846,30,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220090,'James','','','','',255,6846,32,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220091,'Noelle Dering','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220092,'Guard Gyles','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220093,'Guard Illervo','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220094,'Gretta Steinbeard','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220095,'Bartender Harold Dunstan','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2220096,'Magus Weskah','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,38,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220097,'Alchemist Brill','<Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2220098,'Bouncer Johbal','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,26,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220099,'Lodo Bightn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220100,'Drog Leadsleep','','','','',2,110,32,0,1,1,0,0,228,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220101,'P.T. Irontoe','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220102,'Jaszmine','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220103,'Guard Icebear','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220104,'Guard Milton','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220105,'Jublx','','','','',4,3789,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220106,'Deasie Warmhearth','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220107,'Captain McDuffie','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220110,'Roger','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220111,'Andrea Dovesong','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220112,'Robert','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220113,'Dawson Magnificent','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220114,'Gray Magnificent','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220115,'Lilly Ironforge','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220116,'Frubbuppa Bogstomper','','','','',4,1430,32,0,1,1,9,0,0,0,0,1,0,0,26,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220117,'Squire Mikkel','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220118,'Enursin Nightstalker','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220119,'Captain Lovato','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220120,'Thardrin Steeleye','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220121,'Executor Adept Sal`ynelle','<Rush Orders>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220122,'Nonnie Runtuftle','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2220123,'Sage Ooliimoileinlem','','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220124,'Guard Johannus','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220125,'Guard Feeyord','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220126,'Mina O`Grady','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220127,'Armsdealer Gavin Ironforge','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,271,271,0,0,402036,0,0,0,131064,0,0,0,0,0,0,0,0),
(2220128,'Trecali Stowe','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220129,'Darla Fastanvil','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220130,'Maid Patricia','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220131,'Mariana Gizmofidget','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220132,'Bexi Landro','','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220133,'Caretaker Nogfizzle','<Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2220134,'Guard Coalbeard','','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220135,'Charles','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220136,'Trainer Emma Healtoe','<Merchant>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100203,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220137,'Trainer Bleog Healbog','<Merchant>','','','',4,3792,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100480,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220138,'Delilah Meadowglow','<Portals Trainer>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2220139,'Trainer Aren Firerain','<Merchant>','','','',15,1447,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220140,'Trainer Kiriana Northsky','<Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100486,0,4,0,1310716,0,0,0,0,0,0,0,0),
(2220141,'Elsabethia Hartsunder','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220142,'Medic Rowena','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220143,'Medic Brendan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220144,'Disciple Telas`velle','<Merchant>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2220145,'Captain Penley','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220147,'Guard Trilin','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,26,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220148,'Olivia Pugnacious','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220149,'Guard Bestrom','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220150,'Timmy','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220154,'Toranim Skyblade','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220155,'Ethri Vasou','<Celestial Watch Priest>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220156,'Prelate Lorhym Ithpsym','<Celestial Watch Priest>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220157,'Prophet Bainyn Fairwind','<Prophet of Rodcet Nife>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,262136,0,0,0,0,0,0,0,0),
(2220158,'Merchant Meredeth','<Merchant>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220159,'a Spirit Steed','','','','',255,6921,32,0,1,1,9,0,0,0,0,1,0,0,36,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220160,'Missionary Jenson','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,616,616,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2220161,'Partisan Keladerouo','<Merchant>','','','',3,1606,32,0,1,1,10,0,0,0,0,1,0,0,34,721,721,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2220162,'Priestess Avarona Wenhaver','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,1186,1186,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2220163,'Priestess Allora Reed','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220164,'Priest Ian Turner','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220165,'Arthin Dawnhammer','<Celestial Watch Acolyte>','','','',8,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220166,'Guard MacMurris','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220167,'Thibodeaux','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220174,'Jojo','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220175,'Sage Ooliomoiloenlim','','','','',3,1589,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220177,'Grizz','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220179,'a baby owlbear','','','','',255,270,6,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220193,'City Merchant Aldermun','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9492,0,64,0,0,0,0,0,0,0,0,0,0),
(2220195,'Meredeth','<Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,36815,0,0,0,0,0,0,0,0,0,0,0,0),
(2220196,'Kong','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220200,'Chunk','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220223,'Captain Campos','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220224,'Captain McDuffie','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220228,'Captain Lovato','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220229,'Merchant Fhara Hanford','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,286,286,0,0,100493,0,0,0,786439,0,0,0,0,0,0,0,0),
(2220230,'Armsdealer Dylan Ironforge','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,402049,0,0,0,0,0,0,0,0,0,0,0,0),
(2220231,'Armorsmith Gavin Ironforge','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402043,0,0,0,0,0,0,0,0,0,0,0,0),
(2220232,'Captain Penley','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220233,'Arthin Dawnhammer','','','','',8,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220237,'Guard MacMurris','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220238,'Guard Bestrom','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220242,'coin_player_housing_inn_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220243,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220244,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220245,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220246,'coin_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220247,'coin_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220248,'coin_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220249,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220250,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220251,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220252,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220253,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220254,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220255,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220256,'qey_guildhall_tier1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220257,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220258,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220259,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220260,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220261,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220262,'quest_tome_rivervale_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220263,'quest_tome_rendingend_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220264,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220265,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220266,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220267,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220268,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220269,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220270,'widget_iron_forge',NULL,'','','',0,49,32,0,1,1,540,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220271,'event_halloween_haunted_house',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220272,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220273,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220274,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220275,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220276,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220277,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220278,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220279,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220280,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220281,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220282,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220283,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220284,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220285,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220286,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220287,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220288,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220289,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220290,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220291,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220292,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220293,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220295,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2220296,'dpo_christmas_snowtree_small01_houseitem',NULL,'','','',0,9239,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220297,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220298,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220299,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220300,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220301,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220302,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220303,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220304,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220305,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220306,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220307,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220308,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220309,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220310,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220311,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220312,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220313,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220314,'dpo_holiday_candycane_small03_blue',NULL,'','','',0,7052,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220315,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220316,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220317,'dpo_stocking_darkver_female_purple',NULL,'','','',0,8755,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220318,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220319,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220320,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220321,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220322,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220323,'floor_potionbottle_any_small02',NULL,'','','',0,2624,31,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220324,'Holy Shrine',NULL,'','','',0,1749,22,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220325,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220326,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220327,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220328,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220329,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220330,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220331,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220332,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220333,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220334,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220335,'floor_plate',NULL,'','','',0,2805,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220336,'frostfell chip cookies',NULL,'','','',0,7969,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220337,'halfling_innbook_01',NULL,'','','',0,1552,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220338,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220339,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220340,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220341,'teak bench',NULL,'','','',0,2981,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220342,'ash stool',NULL,'','','',0,2652,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220343,'briarwood stool',NULL,'','','',0,2142,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220344,'white holiday candle',NULL,'','','',0,7976,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220345,'qeynos plain single bar counter',NULL,'','','',0,8102,32,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220346,'standard oval briarwood table',NULL,'','','',0,2174,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2220347,'a bed',NULL,'','','',0,1997,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220348,'djinn_mirror_teleporter01',NULL,'','','',0,5127,6,0,0,0,0,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220349,'qey_roadside_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220350,'flower',NULL,'','','',0,1738,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220351,'floor_potionbottle_any_small01',NULL,'','','',0,2623,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220352,'throwing_knife001_ornate',NULL,'','','',0,3903,8,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220353,'pillow_green',NULL,'','','',0,2751,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220354,'thumore_teleporter',NULL,'','','',0,2306,48,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220355,'Altar of Rodcet Nife',NULL,'','','',0,9414,32,0,0,0,34,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,262136,0,0,0,0,0,0,0,0),
(2220356,'pumpkin',NULL,'','','',0,5786,24,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220357,'pumpkin',NULL,'','','',0,5785,31,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220358,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220359,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220360,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2220361,'',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220362,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220363,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220364,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220365,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220366,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220367,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220368,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,1,1,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220369,'betrayal ironforge',NULL,'','','',0,2512,34,0,1,1,379,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220370,'to_the_practice_arena',NULL,'','','',0,4161,25,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220371,'betrayal celestial',NULL,'','','',0,2512,32,0,1,1,379,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220372,'sign_stylist_shop_arrow',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220373,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2220374,'Sabotage_sabotage/freeport_3_x5_1',NULL,'','','',0,4645,32,0,1,1,296,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220375,'Sabotage_sabotage/freeport_3_x2_2',NULL,'','','',0,3532,32,0,1,1,753,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220376,'Sabotage_sabotage/freeport_3_x7_2',NULL,'','','',0,4614,32,0,1,1,754,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220377,'Sabotage_sabotage/freeport_3_x6_1',NULL,'','','',0,3074,16,0,1,1,755,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220378,'Sabotage_sabotage/freeport_3_x8_1',NULL,'','','',0,3156,32,0,1,1,296,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220379,'Sabotage_sabotage/freeport_3_x10_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220380,'Sabotage_sabotage/freeport_3_x7_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220381,'Sabotage_sabotage/freeport_3_x4_1',NULL,'','','',0,3545,32,0,1,1,228,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220382,'Sabotage_sabotage/freeport_3_x2_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220383,'Castle gates',NULL,'','','',0,49,32,0,0,1,45,0,0,0,0,0,0,0,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220384,'letter_tso',NULL,'','','',0,3497,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220385,'letter_rok',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220386,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0),
(2220387,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220388,'sign_stylist_shop_arrow',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220389,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220390,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220391,'assassin_epic_traitor_instance',NULL,'','','',0,49,32,0,1,1,376,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220392,'zone_to_antonica',NULL,'','','',0,49,32,0,1,1,362,0,0,0,0,1,0,0,386,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220393,'lottery sign',NULL,'','','',0,2223,32,0,1,1,1113,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220394,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220395,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220396,'Baron Kaefrin Ironforge''s Door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220397,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220398,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220399,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220400,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220401,'zone_to_qey_south',NULL,'','','',0,49,32,0,1,1,757,0,0,0,0,1,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220402,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,1,1,758,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220403,'wanted poster',NULL,'','','',0,3655,32,0,1,1,44,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220404,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220405,'portal_to_steamfont',NULL,'','','',0,2306,48,0,1,1,1179,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220406,'zone_to_qey_epic01_int_p19_cache',NULL,'','','',0,49,32,0,0,0,1229,0,0,0,0,1,1,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220407,'a Wooden Queen Bed',NULL,'','','',0,2097,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220408,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220409,'sign_faydark_bookcase',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220410,'a Qeynosian Dresser',NULL,'','','',0,2150,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220411,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220412,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220413,'a Small Wooden Chair	',NULL,'','','',0,2136,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220414,'a Wooden Oval Table',NULL,'','','',0,2180,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220415,'a Royal Antonican Chair',NULL,'','','',0,2099,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220416,'an Erudin Chair',NULL,'','','',0,2135,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220417,'a Carved Chair',NULL,'','','',0,2139,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220418,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220419,'an Ornate Chair',NULL,'','','',0,2134,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220420,'a Plain Stool',NULL,'','','',0,2016,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220421,'an Oaken Chair',NULL,'','','',0,2098,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220422,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220423,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220424,'an Ornate Bedside Table',NULL,'','','',0,2172,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220425,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220426,'an Erudin Chair',NULL,'','','',0,2135,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220427,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220428,'a Fine Painting of a Castle on a Hill',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220429,'a Wooden Desk',NULL,'','','',0,2174,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220430,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220431,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220432,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220433,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,1,1,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220434,'a Painting',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220435,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220436,'a Qeynosian Chest',NULL,'','','',0,2143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220437,'a Qeynosian Chest',NULL,'','','',0,2143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220438,'an Ornate Queen Bed',NULL,'','','',0,2096,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220439,'a Qeynosian Stool',NULL,'','','',0,2142,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220440,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220441,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220442,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220443,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220444,'an Ornate Bedside Table',NULL,'','','',0,2172,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220445,'a Small Chair',NULL,'','','',0,2138,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220446,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220447,'an Antonican Desk',NULL,'','','',0,2177,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220448,'a Qeynosian Oval Table',NULL,'','','',0,2115,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220449,'an Oil Painting of a Castle',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220450,'a Qeynosian Stove',NULL,'','','',0,2108,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220451,'an Ornate Chair',NULL,'','','',0,2134,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220452,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220453,'an Oaken Chair',NULL,'','','',0,2098,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220454,'a Medium Wooden Chair',NULL,'','','',0,2137,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220455,'an Antonican Dresser',NULL,'','','',0,2149,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220456,'an Oil Painting of a Stone Castle',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220457,'a Qeynosian Bedside Table',NULL,'','','',0,2171,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220458,'a Qeynosian Table',NULL,'','','',0,2114,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220459,'a Qeynosian Desk',NULL,'','','',0,2175,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220460,'a Plain Desk',NULL,'','','',0,1519,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220461,'a Butcherblock Table',NULL,'','','',0,2173,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220462,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220463,'a flower bloom',NULL,'','','',0,1738,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220464,'a school of Koalindl',NULL,'','','',0,8213,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220465,'Guard Blackhammer','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,2097120,0,0,0,0,0,0,0,0),
(2220466,'Guard Meyer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,1835039,0,0,0,0,0,0,0,0),
(2220467,'Knight-Lieutenant Laughlin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220468,'an Ironwood Table Lamp',NULL,'','','',0,2158,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220469,'a Qeynosian Bedside Table',NULL,'','','',0,2171,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220470,'Merchant Bernard Hanford','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,286,286,0,0,100066,0,0,0,786439,0,0,0,0,0,0,0,0),
(2220471,'Qeynos Candlestick',NULL,'','','',0,11615,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220472,'an Ornate Table Lamp',NULL,'','','',0,2156,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220473,'a Qeynosian Chest',NULL,'','','',0,2143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220474,'Sergeant-at-Arms Stoutiron','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,262080,0,0,0,0,0,0,0,0),
(2220475,'Armsdealer Gavin Ironforge','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,271,271,0,0,402049,0,0,0,1835015,0,0,0,0,0,0,0,0),
(2220476,'Squire-Guard Williamson','<Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,826,826,0,0,9474,0,64,0,262112,0,0,0,0,0,0,0,0),
(2220477,'Captain Woug','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(2220478,'Factor Kai Ferdinand','','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(2220479,'Sergeant-at-Arms Ironcast','<Merchant>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,100495,0,64,0,262112,0,0,0,0,0,0,0,0),
(2220480,'Knight-Captain Steelgaze','<Merchant>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,100495,0,64,0,262112,0,0,0,0,0,0,0,0),
(2220481,'Captain Campos','<Merchant>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220482,'Guard Bekker','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220483,'a door',NULL,'','','',0,14306,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220484,'Hierophant Aldalad','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220485,'Counselor Vemerik','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2220487,'Beta Merchant Wingus','<Merchant>','','','',9,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,145,65,0,0,402028,0,0,0,0,0,0,0,0,0,0,0,0),
(2220488,'Beta Merchant Dingus','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,145,65,0,0,402029,0,0,0,0,0,0,0,0,0,0,0,0),
(2230000,'a flesh feeder','','','','',0,5863,16,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230001,'Harold','','','','',0,7394,32,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230004,'a roving purple nightlight','','','','',0,10512,67,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230006,'a tinkered inspiration','','','','',0,10514,9,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230020,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230021,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230022,'three purple roses',NULL,'','','',0,7138,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230023,'three red roses',NULL,'','','',0,7145,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230024,'Sootfoot Forge',NULL,'','','',0,10086,64,0,1,1,4,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230025,'Goahmari Meditation Pit',NULL,'','','',0,403,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230026,'pot of Thekela''s honey',NULL,'','','',0,8355,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230027,'a pristine Kaladim bucket',NULL,'','','',0,2074,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230028,'round spuncloth rug',NULL,'','','',0,12145,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230029,'pristine small rounded urn',NULL,'','','',0,5228,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230030,'an oil painting of a claymore ',NULL,'','','',0,2194,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230031,'embellished sumac screen',NULL,'','','',0,11441,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230032,'a pristine ornate halasian chest',NULL,'','','',0,2187,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230033,'redwood bedside table',NULL,'','','',0,8351,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230034,'a pristine iron sconce',NULL,'','','',0,2736,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230035,'a pristine fulginate militia sconce',NULL,'','','',0,3471,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230036,'pristine single candle',NULL,'','','',0,7676,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230037,'titanium pitcher',NULL,'','','',0,12160,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230038,'titanium planter',NULL,'','','',0,12129,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230039,'a pristine archaic cedar chair',NULL,'','','',0,3046,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230040,'pristine ceremonial tapestry',NULL,'','','',0,6121,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230041,'sumac chaise lounge',NULL,'','','',0,11383,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230042,'pristine azurite chalice',NULL,'','','',0,7267,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230043,'pristine round quilted rug',NULL,'','','',0,5222,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230044,'pristine worn straw mat',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230045,'a pristine faydark wooden stool',NULL,'','','',0,2059,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230046,'a pristine standard ash stool',NULL,'','','',0,2652,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230047,'pristine Maj''Dul door knocker',NULL,'','','',0,5454,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230048,'Stoutgut''s Bookshelves',NULL,'','','',0,2586,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230049,'Pristine sandalwood octagonal chandelier',NULL,'','','',0,7280,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230050,'a pristine paladin brazier',NULL,'','','',0,2082,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230051,'burgundy spuncloth throw cushion',NULL,'','','',0,11378,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230052,'ornate kunzite hourglass',NULL,'','','',0,7708,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230053,'a pristine small weathered keg',NULL,'','','',0,2107,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230054,'a pristine ornate end table',NULL,'','','',0,2169,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230055,'a pristine short militia shelf',NULL,'','','',0,2167,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230056,'Vigilant screen',NULL,'','','',0,12115,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230057,'pristine small urn',NULL,'','','',0,5227,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230058,'An Ancient Neriak Scroll',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230059,'an elaborate potion bottle',NULL,'','','',0,12654,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230060,'Trophy: Earthblade',NULL,'','','',0,2260,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230061,'a golden potion bottle',NULL,'','','',0,12657,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230062,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230063,'Trophy: Lady Fiana''s Gentle Suggestion',NULL,'','','',0,3823,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230064,'Trophy: Sunder, The Hand of Zek',NULL,'','','',0,2520,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230065,'sumac couch',NULL,'','','',0,11384,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230066,'sumac chair',NULL,'','','',0,12219,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230067,'elegant green dining chair',NULL,'','','',0,8327,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230068,'quicksilver vase',NULL,'','','',0,12128,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230069,'Treants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230070,'Trophy: The Lumberjack',NULL,'','','',0,2252,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230071,'octagonal redwood table',NULL,'','','',0,8349,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230072,'Pristine large indium candelabra',NULL,'','','',0,7263,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230073,'Upright Oak Keg',NULL,'','','',0,1352,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230074,'a pristine vale briarwood chair',NULL,'','','',0,7345,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230075,'Qeynosian stove',NULL,'','','',0,7349,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230076,'a pristine wooden end table',NULL,'','','',0,2170,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230077,'a pristine chic cloth rug',NULL,'','','',0,3529,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230078,'ferrite brazier',NULL,'','','',0,7902,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230079,'a pristine fulginate chandelier',NULL,'','','',0,3429,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230080,'a pristine mine lantern',NULL,'','','',0,7326,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230081,'a paladin brazier',NULL,'','','',0,2082,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230082,'a roughspun rug',NULL,'','','',0,3514,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230083,'a pristine broadcloth rug',NULL,'','','',0,3512,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230084,'a pristine briarwood dining chair',NULL,'','','',0,2133,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230085,'a pristine oval broadcloth rug',NULL,'','','',0,7339,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230086,'Pristine stained tapestry of valor',NULL,'','','',0,7272,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230087,'deklium weighing scales',NULL,'','','',0,7710,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230088,'ferrite skeletal brazier',NULL,'','','',0,7607,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230089,'pristine river rock hearth',NULL,'','','',0,7089,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230090,'a pristine rough linen scenery painting',NULL,'','','',0,1958,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230091,'Baneful Pokers',NULL,'','','',0,13887,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230092,'Pristine indium candlestick',NULL,'','','',0,7266,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230093,'a pristine standard briarwood bedside table',NULL,'','','',0,2173,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230094,'pristine alabaster eggs',NULL,'','','',0,5174,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230095,'A Maj''Dul Gazing Orb',NULL,'','','',0,5264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230096,'a pristine rough linen portrait',NULL,'','','',0,3511,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230097,'a pristine feyiron sconce',NULL,'','','',0,3474,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230098,'Pristine teak wall mirror',NULL,'','','',0,7303,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230099,'octagonal redwood gaming table',NULL,'','','',0,8350,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230100,'Deactivated Listening Crystal',NULL,'','','',0,2681,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230101,'Wasteland Strider Eggs',NULL,'','','',0,12429,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230102,'an Order of Rime barrel',NULL,'','','',0,10980,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230103,'group of rolled rugs',NULL,'','','',0,11044,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230104,'Man or Beast: the Drolvarg',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230105,'Trophy: Drolvarg Cleaver',NULL,'','','',0,7422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230106,'a majestic dragon bust',NULL,'','','',0,5941,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230107,'Traditional Coldain Brazier',NULL,'','','',0,787,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230108,'Teir''dal shot glass',NULL,'','','',0,2808,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230109,'Trophy: Talon of the Aviaks',NULL,'','','',0,2229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230110,'Tapestry of the Blacktalon',NULL,'','','',0,12428,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230111,'an oil painting of a brick castle',NULL,'','','',0,2191,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230112,'pristine marble eggs',NULL,'','','',0,5200,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230113,'Trophy: The Honey Sting',NULL,'','','',0,3849,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230114,'Trophy: The Scaler',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230115,'large redwood room divider',NULL,'','','',0,8359,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230116,'a pristine bread pan',NULL,'','','',0,7346,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230117,'a pristine muffin pan',NULL,'','','',0,7270,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230118,'sumac washstand',NULL,'','','',0,11422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230119,'sumac towel rack',NULL,'','','',0,11377,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230120,'The Legendary Screaming Mace',NULL,'','','',0,2325,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230121,'Statue of Overlord Lucan D''Lere',NULL,'','','',0,16503,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230122,'sumac chest',NULL,'','','',0,11439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230123,'pristine ornate porcelain urn',NULL,'','','',0,5220,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230124,'Treasury of Claw Bookcase',NULL,'','','',0,12438,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230125,'Treasury of Claw Hanging Lantern',NULL,'','','',0,12433,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230126,'Bixie Talon Chandelier',NULL,'','','',0,12414,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230127,'a pristine sturdy alder chair',NULL,'','','',0,3048,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230128,'Pristine smoldering bone torch',NULL,'','','',0,7262,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230129,'stone planter',NULL,'','','',0,7703,58,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230130,'Pristine hanging plant',NULL,'','','',0,7338,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230131,'Tricky Toad',NULL,'','','',0,237,16,0,1,1,842,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230132,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230133,'Pristine large teak wine rack',NULL,'','','',0,8994,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230134,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230135,'Know Your Golems',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230136,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230137,'Tales of the Alliz Ew',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230138,'The Legendary Glowing Black Stone',NULL,'','','',0,1883,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230139,'Pristine teak wine rack',NULL,'','','',0,7271,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230140,'Teachings of Master Wu',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230141,'First Flight',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230142,'Scaleborn Skull Font',NULL,'','','',0,12409,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230143,'Know Your Bixies',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230144,'Scales in Balance',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230145,'Scaleborn Barrier',NULL,'','','',0,12416,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230146,'ornate ferrite chair',NULL,'','','',0,7618,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230147,'sumac king bed',NULL,'','','',0,11379,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230148,'a draconic tapestry',NULL,'','','',0,6121,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230149,'Droag Hide Tapestry',NULL,'','','',0,12411,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230150,'Ancient Treasure Chest',NULL,'','','',0,9853,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230151,'Ancient Draconic Relic',NULL,'','','',0,12422,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230152,'Curved Bowl of Gems',NULL,'','','',0,12420,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230153,'a pristine carbonite sconce',NULL,'','','',0,5869,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230154,'a pristine halfling jimba drum',NULL,'','','',0,7342,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230155,'a pristine halfling drum',NULL,'','','',0,2092,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230156,'a pristine thexian wine rack',NULL,'','','',0,2062,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230157,'pristine topaz gazing orb',NULL,'','','',0,6111,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230158,'sumac cabinet',NULL,'','','',0,11388,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230159,'a pristine canvas painting',NULL,'','','',0,4285,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230160,'a pristine small ash ornate table',NULL,'','','',0,2178,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230161,'pristine halfling hanging chimes',NULL,'','','',0,7337,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230162,'pristine awakened cult ritual tapestry',NULL,'','','',0,6120,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230163,'a pristine halfling xylophone',NULL,'','','',0,7336,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230164,'pristine azurite entwined sculpture',NULL,'','','',0,6110,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230165,'Jar of Bixie Honey',NULL,'','','',0,12405,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230166,'elaborate stained glass oval',NULL,'','','',0,12100,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230167,'pristine djinn''s mandolin',NULL,'','','',0,5188,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230168,'Basic Painting',NULL,'','','',0,1581,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230169,'Irontoe Sturdy Chair',NULL,'','','',0,12813,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230170,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230171,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230172,'an enchanter''s candelabra',NULL,'','','',0,2090,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230173,'Irontoe Side Table',NULL,'','','',0,12820,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230174,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230175,'Scars of Velious',NULL,'','','',0,15091,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230176,'Trophy: A Sharp Wooden Stake',NULL,'','','',0,6983,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230177,'The Legendary Greater Lightstone',NULL,'','','',0,2204,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230178,'Trophy: The Claws of Hadil',NULL,'','','',0,5871,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230179,'Trophy: The Bloodlathe',NULL,'','','',0,3844,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230180,'Trophy: Vhoren''s Seed',NULL,'','','',0,5872,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230181,'Trophy: Obrel''s Gambit',NULL,'','','',0,2892,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230182,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230183,'a Toxxulian guardian',NULL,'','','',0,7297,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230184,'EverQuest II 5th Anniversary Painting',NULL,'','','',0,10180,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230185,'Mirror of Reflected Achievements',NULL,'','','',0,8065,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230186,'Culling the Infidel',NULL,'','','',0,14187,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230187,'E''ci',NULL,'','','',0,14189,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230188,'Trophy: Fist of Mediation',NULL,'','','',0,6339,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230189,'Queen Antonia Bayle',NULL,'','','',0,4063,40,0,1,1,844,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230190,'Ancient Musical Harp',NULL,'','','',0,5189,16,0,1,1,845,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230191,'Withering Forest',NULL,'','','',0,593,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230192,'Victory of the Dain',NULL,'','','',0,596,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230193,'The Eternal Battle',NULL,'','','',0,595,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230194,'Otter''s Rest',NULL,'','','',0,594,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230195,'Fighting Baby Ice Dragon Plushie',NULL,'','','',0,9425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230196,'Young Ice Dragon Plushie',NULL,'','','',0,10471,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230197,'azure rug of the forsaken',NULL,'','','',0,9556,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230198,'The Legendary Stein of Moggok',NULL,'','','',0,4715,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230199,'Devotion Candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230200,'a Norrathian star chart',NULL,'','','',0,8358,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230201,'Glittering Temptation',NULL,'','','',0,2244,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230202,'a tiny magical gazer plushie',NULL,'','','',0,5918,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230203,'bloodstone shards',NULL,'','','',0,3914,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230204,'Treasure Hoard',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230205,'a Qeynos Claymore replica statue',NULL,'','','',0,11661,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230206,'Felwithe by Moonlight',NULL,'','','',0,14195,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230207,'The Legendary Golden Efreeti Boots',NULL,'','','',0,430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230208,'Brien - Clan Icereaver',NULL,'','','',0,8314,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230209,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230210,'Everburning Gnomish Love',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230211,'a magical mini beaver plushie',NULL,'','','',0,207,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230212,'The Legendary Rain Caller',NULL,'','','',0,6362,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230213,'a finished Wantia armoire',NULL,'','','',0,6484,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230214,'a Wantia canopy bed',NULL,'','','',0,6380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230215,'Lamp of Devotion',NULL,'','','',0,6385,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230216,'A Mysterious Black Tome',NULL,'','','',0,14342,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230217,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230218,'Trophy: The Darkmoon Crescent',NULL,'','','',0,3797,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230219,'Trophy: Silbern''s Sword ',NULL,'','','',0,6410,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230220,'Trophy: Sir Altan''s Strike',NULL,'','','',0,2524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230221,'Trophy: Shattersong',NULL,'','','',0,3280,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230222,'Trophy: Gokra Gesh''s Snare',NULL,'','','',0,1636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230223,'Trophy: Hogran''s Halberd',NULL,'','','',0,3838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230224,'Trophy: Mandibles of Night',NULL,'','','',0,6046,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230225,'Trophy: D''Vorlian''s Crudgel',NULL,'','','',0,4053,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230226,'Trophy: Brownie Toothpick Stabber',NULL,'','','',0,6984,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230227,'Trophy: Clockwork Cog',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230228,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230229,'Archaeologist''s Token of the Excavation',NULL,'','','',0,5265,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230230,'Trophy: Yha-lei Briney Poker',NULL,'','','',0,7408,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230231,'a tapestry of Luclin',NULL,'','','',0,11660,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230232,'The Legendary Journeyman''s Boots',NULL,'','','',0,1885,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230233,'The Legendary Hierophant''s Crook',NULL,'','','',0,2425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230234,'The Legendary Staff of the Observers',NULL,'','','',0,6599,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230235,'Coldain Butler',NULL,'','','',0,14961,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230236,'Shard of Love Globe',NULL,'','','',0,11659,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230237,'Empowered Research Orb',NULL,'','','',0,12715,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230238,'Gift of Nipik''s Haven',NULL,'','','',0,889,0,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230239,'a fancy Erudite scroll',NULL,'','','',0,12653,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230240,'The Legendary White Dragonscale Cloak',NULL,'','','',0,9612,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230241,'The Legendary Bow of Underfoot',NULL,'','','',0,12648,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230242,'Sathirian Ornamental Rug',NULL,'','','',0,8042,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230243,'The Necropolis of Lxanvon Vol. II',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230244,'The Diary of Tserrina Syl''Tor',NULL,'','','',0,3031,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230245,'The Antonican Snowglobe',NULL,'','','',0,7065,32,0,1,1,849,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230246,'an alchemist''s potion chest',NULL,'','','',0,12651,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230247,'Remembering Rivervale',NULL,'','','',0,2603,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230248,'The Dying',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230249,'The Orcs of Norrath',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230250,'The First Battle',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230251,'The Last Battle',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230252,'a granite pedestal',NULL,'','','',0,3180,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230253,'Waterfalls',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230254,'\"The Amygamalion - The Four That Are We\"',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230255,'Bowl of Growth',NULL,'','','',0,34,19,0,1,1,850,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230256,'a mystical droag orb',NULL,'','','',0,6102,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230257,'Anaz Mal, Blackfang',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230258,'Mounted Scepter of Fyr',NULL,'','','',0,9398,32,0,1,1,851,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230259,'Atrebe''s Sniveling Children',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230260,'The Spear of Sentries',NULL,'','','',0,3808,32,0,1,1,852,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230261,'The Far Pelican',NULL,'','','',0,5638,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230262,'Bird Watching - The Beast of the Enchanted Lands, Part II',NULL,'','','',0,8317,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230263,'Memories of Misty Thicket',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230264,'Enchanted Lands Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230265,'Drednever scrying sphere',NULL,'','','',0,3252,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230266,'The Poems of Alyarrah',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230267,'Keg of the Everlasting',NULL,'','','',0,3185,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230268,'Halls of the Dead Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230269,'Good Eatin''',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230270,'Local Color - Halas',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230271,'In Search of the Wooly Mammoth',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230272,'The Merchant''s Deal',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230273,'The Growing',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230274,'The Contentment',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230275,'A Mysterious Green Tome',NULL,'','','',0,14343,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230276,'A History of the Order of Nektulos',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230277,'Welcome to Qeynos, Citizen! - 2nd Edition',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230278,'a tarnished djinn lamp',NULL,'','','',0,5320,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230279,'a tiny magical stuffed droag plushie',NULL,'','','',0,5947,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230280,'laboratory research flask',NULL,'','','',0,12723,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230281,'The Blood of the Bear, Part Two',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230282,'Assistant Researcher''s Notes, Vol. 3, The High Council of Erudin',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230283,'A History of the Sporconid',NULL,'','','',0,3037,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230284,'Rise of the Orcs - The Rejoining',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230285,'Ruby Djinn Bottle',NULL,'','','',0,11786,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230286,'Alchemist''s Amore',NULL,'','','',0,4529,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230287,'Romantic Music Box',NULL,'','','',0,4439,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230288,'Mounted Celestial Mallet',NULL,'','','',0,4691,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230289,'Painting: Vengeful Gods',NULL,'','','',0,12871,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230290,'djinn dining plate',NULL,'','','',0,12038,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230291,'Tapestry of the Spire',NULL,'','','',0,52096,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230292,'The Legendary Bone Bladed Claymore',NULL,'','','',0,2541,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230293,'Jack In The Box',NULL,'','','',0,4456,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230294,'Glacial Sculpture',NULL,'','','',0,10004,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230295,'Smoking Glacial Brazier',NULL,'','','',0,10001,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230296,'wooden table setting',NULL,'','','',0,8251,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230297,'Obligation and Duty',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230298,'The Words of the Avatar',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230299,'The Tragic Tale of Brother Balatin',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230300,'The Tale of Brother Zephyl',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230301,'The Monastery of the Lost Circle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230302,'The Founding of the Whistling Fists Clan',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230303,'The Tale of Brother Qwinn',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230304,'Teir''dal cup and saucer',NULL,'','','',0,2809,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230305,'ornate spoon',NULL,'','','',0,8258,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230306,'Teir''dal cocktail glass',NULL,'','','',0,2811,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230307,'Quill of a Maj''Dul Poet',NULL,'','','',0,8637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230308,'Orthiss and Kirkata',NULL,'','','',0,3036,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230309,'tapestry of flames',NULL,'','','',0,8621,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230310,'Frostfell Greeting Card',NULL,'','','',0,7964,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230311,'Qeynosian Commendation for Material Assistance',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230312,'Miniature Replica Statue: Resolution',NULL,'','','',0,9095,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230313,'\"a scroll from the Celestial Watch\"',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230314,'The Final Days of the Leaky Drake',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230315,'Magma Golem Plushie',NULL,'','','',0,7600,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230316,'Male Ulteran Mannequin',NULL,'','','',0,11289,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230317,'\"a scroll from the Concordium\"',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230318,'The Second Wife''s Tale',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230319,'Selected Poems',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230320,'The Nights of the Dead',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230321,'Zeke Two Tone''s Diary',NULL,'','','',0,3036,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230322,'Naiad Waterworker Plushie',NULL,'','','',0,50006,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230323,'Evil Eye Musings',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230324,'Into the Hive',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230325,'The Hand of Ro',NULL,'','','',0,6652,35,0,1,1,854,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230326,'Pick of the Underfoot',NULL,'','','',0,2466,32,0,1,1,855,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230327,'a Drednever workbench',NULL,'','','',0,6094,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230328,'The Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230329,'Rise of the Orcs - The Rousing',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230330,'Rise of the Orcs - The Ascension',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230331,'Rise of the Orcs - The Deadtime',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230332,'The Lady of the Lake',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230333,'The Efreeti''s Scimitar',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230334,'An Ancient Erudin Scroll',NULL,'','','',0,3214,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230335,'Certificate: Treasure Hunter',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230336,'The Eye of the Night',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230337,'Windsisters'' Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230338,'a coffee cup and saucer',NULL,'','','',0,2806,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230339,'hua mein inkwell',NULL,'','','',0,12512,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230340,'The Coming of the True Creator',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230341,'The Estate of Rest',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230342,'The Tales of the Burynai',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230343,'The Fall of Erudin: Part 1',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230344,'The Fall of Erudin: Part 2',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230345,'The Precious Fairy Book',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230346,'The History of the Hua Mein: Part 1',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230347,'dervish glass chest',NULL,'','','',0,12041,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230348,'Rank Insignia of the Palace of the Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230349,'Trinni''s Adventures Aloft',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230350,'The Fledglings',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230351,'Aversion',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230352,'My True Beloved',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230353,'Our Lady of Betrayal',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230354,'From Below to Castle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230355,'The Lore of Fauna: The Behemoth',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230356,'ornate raised platform',NULL,'','','',0,12716,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230357,'Trophy: Caertaxian Skewer',NULL,'','','',0,9613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230358,'Synthetic Kaborite Gem',NULL,'','','',0,12524,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230359,'An Agenda to Carry Out',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230360,'Certificate: Artifact Raider',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230361,'an ornate chessboard set',NULL,'','','',0,4445,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230362,'Clockwork Chirurgeon User Manual',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230363,'Bayden''s Altar of Mithaniel Marr',NULL,'','','',0,6874,25,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230364,'Rules of the Sandscrawler Clan',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230365,'mystical Nayad plushie',NULL,'','','',0,50003,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230366,'warrior of chaos',NULL,'','','',0,12730,2,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230367,'Naiad Guardian Plushie',NULL,'','','',0,50004,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230368,'Golden Rug of the Beloved',NULL,'','','',0,9558,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230369,'Owchie Sootfoot Coals',NULL,'','','',0,8750,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230370,'Leatherfoot Tales: The Houndslayer, Part One',NULL,'','','',0,8319,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230371,'Prayer of the Righteous',NULL,'','','',0,11428,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230372,'Coldain Saucepan',NULL,'','','',0,15114,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230373,'Gnomish Pirate Spirits',NULL,'','','',0,15141,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230374,'To Slay a Dragon',NULL,'','','',0,8313,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230375,'Tale of the Hero',NULL,'','','',0,12724,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230376,'Writings of the Deepwater Knights',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230377,'Mistmoore Researcher''s Logbook',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230378,'a charred book',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230379,'The Tale of the Silent City',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230380,'ornate mahogany dining chair',NULL,'','','',0,10729,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230381,'Tapestry of Flame',NULL,'','','',0,9600,52,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230382,'pristine decorative pearl table',NULL,'','','',0,2795,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230383,'tapestry of the steam lord',NULL,'','','',0,9699,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230384,'arcane fire chandelier',NULL,'','','',0,7623,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230385,'Order Book: Blackshield Landing Party',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230386,'The Legend of Puab Closk: The Beginning',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230387,'Excerpts from the Journal of Puab Closk',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230388,'The Legend of Puab Closk: The End',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230389,'an intricately wrought bench from the Shard of Love',NULL,'','','',0,11192,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230390,'a dormant Erollisi Mantrap',NULL,'','','',0,11336,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230391,'A Tale of Victory',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230392,'The Storm Shepherds - Gremius Hazzengrav',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230393,'Stone Jug of Kaladim',NULL,'','','',0,9993,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230394,'The Legendary Flowing Black Silk Sash',NULL,'','','',0,4439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230395,'Thalz''Iz''Zaz Tribute Statue',NULL,'','','',0,50108,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230396,'ykeshan shellfish',NULL,'','','',0,3964,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230397,'Donnghail - Clan McNaggle',NULL,'','','',0,8312,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230398,'Fauna of the Enchanted Lands L - Z',NULL,'','','',0,8318,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230399,'Fauna of the Enchanted Lands A - K',NULL,'','','',0,8318,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230400,'Bird Watching - The Beast of the Enchanted Lands, Part I',NULL,'','','',0,8317,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230401,'\"The Amygamalion - The Form\"',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230402,'Motor Commotion all for Emotion',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230403,'A Dwarf''s Guide to Surviving a Minotaur Attack.',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230404,'Dancing with Bugbears',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230405,'A Mysterious Red Tome',NULL,'','','',0,14344,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230406,'Shepherd of the Celestial Watch',NULL,'','','',0,3032,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230407,'1st Lieutenant Danarg, 315 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230408,'1st Lieutenant Mugreeza, 291 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230409,'Smiting of the Werewolf',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230410,'Journal of Wu, Seeker of Enlightenment',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230411,'ornate knife',NULL,'','','',0,8250,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230412,'Master Alchemist Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230413,'a mystical droag scribing table',NULL,'','','',0,6099,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230414,'redwood teardrop wall lamp',NULL,'','','',0,7460,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230415,'pristine xegonite wall sconce',NULL,'','','',0,6103,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230416,'We Will Be Free Again',NULL,'','','',0,3034,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230417,'A Sojourn of Faith',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230418,'The Ant Tale',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230419,'The Littlest Hill Giant',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230420,'a small lab flask',NULL,'','','',0,2328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230421,'a shiny djinn lamp',NULL,'','','',0,5226,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230422,'Frostfell Wishes Greeting Card',NULL,'','','',0,7966,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230423,'gold djinn vase',NULL,'','','',0,12039,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230424,'Scholar Primarch Research Prospectus',NULL,'','','',0,11066,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230425,'The Weight of the Past',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230426,'The First Wife''s Tale',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230427,'The Corrival''s Blade',NULL,'','','',0,11330,32,0,1,1,0,0,1494,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230428,'The Legendary Grimblade',NULL,'','','',0,12751,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230429,'\"The Breath of Vox\"',NULL,'','','',0,2718,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230430,'Certificate: Relic Keeper',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230431,'\"a scroll from the Qeynos Guard\"',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230432,'Of Maj''Dul Am I',NULL,'','','',0,2599,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230433,'Poetry of the Djinn',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230434,'Legends of the Dragons',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230435,'The Mute Bard''s Tale',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230436,'The Tenebrous Tangle Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230437,'End of the Rending',NULL,'','','',0,2598,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230438,'Certificate: Lore Seeker',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230439,'Garanel''s Scorched Skull',NULL,'','','',0,2993,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230440,'Collapse',NULL,'','','',0,2603,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230441,'Roadyle Terethe''s Tapestry',NULL,'','','',0,11107,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230442,'a gilded potion bottle',NULL,'','','',0,12655,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230443,'platinum djinn lamp',NULL,'','','',0,12040,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230444,'Erollisi''s Arrow',NULL,'','','',0,11393,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230445,'The Enemy Within',NULL,'','','',0,2596,12,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230446,'Crystalline Wall Sconce',NULL,'','','',0,984,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230447,'Flying Reindeer Plushie',NULL,'','','',0,2414,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230448,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230449,'Qeynos Guard Logbook',NULL,'','','',0,14342,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230450,'A Dark Diary',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230451,'Seeress Ealaynya Ithis''s Prophecies: Book One',NULL,'','','',0,3033,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230452,'Personal Notes of Lorekeeper Solstrin',NULL,'','','',0,15225,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230453,'The Deepwater Circle',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230454,'Coldain Chalice',NULL,'','','',0,15112,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230455,'Glaciersmash Log',NULL,'','','',0,8313,16,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230456,'Pirate Grammar Manual - Second Edition',NULL,'','','',0,3033,16,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230457,'Coldain Cooking Utensils',NULL,'','','',0,15113,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230458,'Diary of Butrus',NULL,'','','',0,3323,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230459,'The Great Flood of Blackburrow',NULL,'','','',0,2599,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230460,'The Story of Ankexfen',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230461,'Encyclopedia of Haurelian Bibliophiles',NULL,'','','',0,11065,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230462,'The History of Gynok Moltor',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230463,'Collected Writings of Trepa',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230464,'Quellithulian Weapon Collection',NULL,'','','',0,12415,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230465,'an Erudite officer''s stool',NULL,'','','',0,12652,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230466,'a Ca''Na elitia',NULL,'','','',0,11248,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230467,'Replica: Soulfire',NULL,'','','',0,7357,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230468,'a pristine antonican rug',NULL,'','','',0,2205,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230469,'a peacock feather',NULL,'','','',0,11063,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230470,'Glacial Round Table',NULL,'','','',0,11396,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230471,'veiled bow of the shard',NULL,'','','',0,11202,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230472,'Dalron''s Small Black Book [extended edition]',NULL,'','','',0,2596,12,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230473,'Dalron''s Small Black Book',NULL,'','','',0,2596,12,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230474,'The Storm Shepherds - The Calm',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230475,'An Ancient Felwithe Scroll',NULL,'','','',0,3214,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230476,'The Least of Brell''s Creatures',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230477,'The Collected Tales of the Ethernauts',NULL,'','','',0,3322,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230478,'Painting: Taking Flight',NULL,'','','',0,9354,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230479,'A History of Veksar',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230480,'On the Origins of the Phylactery',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230481,'The Seeds of Corruption',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230482,'Tumpy Tonic Max',NULL,'','','',0,8132,32,0,1,1,856,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230483,'Red Roses in a Vase',NULL,'','','',0,7144,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230484,'Zoe''s Wild Deck of Playing Cards',NULL,'','','',0,3173,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230485,'\"a scroll from the Ironforge Exchange\"',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230486,'an ornate dining plate',NULL,'','','',0,2814,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230487,'a celestial crystal ball',NULL,'','','',0,2681,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230488,'Medium Male Mannequin',NULL,'','','',0,8051,35,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230489,'a blade of the righteous',NULL,'','','',0,4459,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230490,'orange termite',NULL,'','','',0,221,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230491,'Grimwell''s Signed Scroll',NULL,'','','',0,8001,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230492,'Fiery Crustacean Plushie',NULL,'','','',0,249,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230493,'a tiny magical stuffed aviak plushie',NULL,'','','',0,5940,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230494,'a guardian spirit',NULL,'','','',0,3694,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230495,'Norrathian Express Box',NULL,'','','',0,4709,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230496,'The Unclaimed Eye',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230497,'Geomancy',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230498,'Mayong''s Cruelty: the Drachnids',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230499,'Zapho''s Celestial Guide to the Stars',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230500,'Drakota',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230501,'swiftcloth carpet',NULL,'','','',0,7896,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230502,'Travels into a Remote Corner of Faydark',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230503,'pristine ironwood chair',NULL,'','','',0,6429,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230504,'The Undead of Ro - Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230505,'Pillars of Flame Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230506,'A Recent History of the Tunarians',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230507,'Bootstrutter''s Trail Guide to the Desert of Ro',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230508,'The Cleft Dweller',NULL,'','','',0,2601,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230509,'Sinking Sands Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230510,'Maj''Dul Inhabitants Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230511,'\"a scroll from the Tunarian Alliance\"',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230512,'Di''Zok Honor Banner',NULL,'','','',0,8043,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230513,'Wisdom of the Flock',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230514,'Generations',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230515,'The Bonemire Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230516,'The Barren Sky Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230517,'Servant of the Temple',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230518,'The Nightblood',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230519,'a sand blasted djinn lamp',NULL,'','','',0,5227,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230520,'Djinn Scriptorium Papers',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230521,'polished stein',NULL,'','','',0,9586,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230522,'polished jug',NULL,'','','',0,9584,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230523,'polished cup',NULL,'','','',0,9582,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230524,'a pristine long ornate shelf',NULL,'','','',0,2168,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230525,'laboratory research table',NULL,'','','',0,12722,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230526,'Feerrott Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230527,'an ornate vase',NULL,'','','',0,5220,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230528,'Wool Rug of New Beginnings',NULL,'','','',0,13362,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230529,'The Prophetic Mystery',NULL,'','','',0,3323,25,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230530,'Holy Moly Water',NULL,'','','',0,9995,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230531,'Ulteran Vintage',NULL,'','','',0,4604,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230532,'a silvered Erudite chest',NULL,'','','',0,12649,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230533,'Edicts of the Emperor',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230534,'A Tome of True Crushbone History',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230535,'Ardathium, Volume VI',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230536,'Consequences of Thralldom',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230537,'Destroy All Vampires!',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230538,'Sack of Coal',NULL,'','','',0,8750,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230539,'Polished Wooden Mirror',NULL,'','','',0,11623,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230540,'Energized Ulteran Spires Replica',NULL,'','','',0,6147,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230541,'Magic Mouth',NULL,'','','',0,6978,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230542,'Snoogle''s Party Keg',NULL,'','','',0,3184,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230543,'Mistmoore Piano Bench',NULL,'','','',0,6961,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230544,'Mistmoore Piano',NULL,'','','',0,6962,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230545,'Magic Door to the Guild Hall',NULL,'','','',0,2031,16,0,1,1,857,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230546,'Loving Cup',NULL,'','','',0,8356,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230547,'Passion Candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230548,'Love Candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230549,'Pitcher of Mulled Claret',NULL,'','','',0,3379,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230550,'The Legendary Tobrin''s Mystical Eyepatch',NULL,'','','',0,4439,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230551,'The Legendary Polished Granite Tomahawk',NULL,'','','',0,2450,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230552,'The Legendary Shiny Brass Halberd',NULL,'','','',0,2219,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230553,'The Legendary Ghoulbane',NULL,'','','',0,2259,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230554,'The Legendary Short Sword of the Ykesha',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230555,'The Legendary Crown of King Tranix',NULL,'','','',0,4713,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230556,'The Legendary Manastone',NULL,'','','',0,2681,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230557,'The enclosure at Poet''s Palace',NULL,'','','',0,5271,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230558,'1st Lieutenant Mugreeza, 290 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230559,'The Case of the Ursa Rhym',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230560,'Bayle''s Mounted Amulet of Benediction',NULL,'','','',0,2682,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230561,'1st Lieutenant Dergud, 279 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230562,'An Ancient Grobb Scroll',NULL,'','','',0,3213,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230563,'An Ancient Kaladim Scroll',NULL,'','','',0,3216,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230564,'Ernie Gimblelock''s Adventuring Journal',NULL,'','','',0,3034,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230565,'Journal of a Disciple of Marr',NULL,'','','',0,12725,19,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230566,'pristine ornate ironwood round table',NULL,'','','',0,3617,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230567,'Shimmering Carpet of the Citadel',NULL,'','','',0,5385,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230568,'Ancient Froglok Talisman',NULL,'','','',0,4915,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230569,'Black Granite Druid Ring',NULL,'','','',0,13824,1,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230570,'Blessed Sapling',NULL,'','','',0,1624,3,0,1,1,858,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230571,'a goblin''s notebook - The Hideout',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230572,'Ornate Sathirian Carpet',NULL,'','','',0,7897,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230573,'War of Fay: The Eve of Battle',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230574,'War of Fay: Kaladim',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230575,'Pristine Natural Stone Hearth',NULL,'','','',0,7089,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230576,'Painting: Illisia',NULL,'','','',0,9350,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230577,'Banner of the Void Tempest',NULL,'','','',0,10445,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230578,'a mushroom circlet',NULL,'','','',0,3949,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230579,'Cherry Grove Dining Room Chair',NULL,'','','',0,10221,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230580,'Nephrite Snowfang Dreamcatcher',NULL,'','','',0,756,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230581,'Preserved Roses',NULL,'','','',0,11390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230582,'The Legendary Bone-Clasped Girdle',NULL,'','','',0,5981,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230583,'Sleeping Baby Ice Dragon Plushie',NULL,'','','',0,9425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230584,'Heart-Shaped Pillow',NULL,'','','',0,7123,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230585,'Mavaerick''s Bath',NULL,'','','',0,6101,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230586,'Synthetic Kaborite Ward',NULL,'','','',0,12403,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230587,'Cloudy Square',NULL,'','','',0,12227,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230588,'Sathir''s Uplift',NULL,'','','',0,7911,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230589,'a Bastion lamp',NULL,'','','',0,12616,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230590,'Preserved Bloom',NULL,'','','',0,11335,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230591,'Ornate Bench of the Sands',NULL,'','','',0,8853,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230592,'Venerable Crib',NULL,'','','',0,7094,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230593,'Trophy: The Truth of Marr',NULL,'','','',0,8028,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230594,'Valorian Bloom',NULL,'','','',0,10325,19,0,1,1,0,0,1902,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230595,'Painting: The Righteous Defender',NULL,'','','',0,10748,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230596,'Desert Rose Cushion',NULL,'','','',0,8633,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230597,'tynnonium brazier',NULL,'','','',0,7912,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230598,'an ornate mirror',NULL,'','','',0,4448,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230599,'Trophy: Drachnid Claw Piercer',NULL,'','','',0,7288,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230600,'a feather-stuffed pillow',NULL,'','','',0,2751,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230601,'regal incarnadine bed',NULL,'','','',0,7621,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230602,'Sathirian lantern',NULL,'','','',0,9552,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230603,'ornate stone sconce',NULL,'','','',0,9553,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230604,'Silk Cushion of the Desert Bloom',NULL,'','','',0,8634,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230605,'Watery Platform',NULL,'','','',0,12131,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230606,'a small Teddy Burynai',NULL,'','','',0,8086,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230607,'A Book of Gnollish Orders',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230608,'Square Citrine Bottle',NULL,'','','',0,11787,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230609,'Nhjela''s Poem',NULL,'','','',0,3032,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230610,'An Ancient Ak''Anon Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230611,'Royal Scroll of Assistance',NULL,'','','',0,3216,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230612,'Humble Beginning, Higher Calling',NULL,'','','',0,11423,20,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230613,'A Gnollish Contingency Book',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230614,'Ale-stained Tapestry of the Gathering',NULL,'','','',0,9012,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230615,'a tiny magical stuffed hawk plushie',NULL,'','','',0,260,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230616,'a droag gazing orb',NULL,'','','',0,6226,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230617,'Dazzling Temptation',NULL,'','','',0,7658,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230618,'Vial of Passion',NULL,'','','',0,8791,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230619,'table of the forest bloom',NULL,'','','',0,14379,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230620,'large fae crate',NULL,'','','',0,14049,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230621,'an overripe pomegranate',NULL,'','','',0,11197,1,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230622,'a rotting piece of pomegranate',NULL,'','','',0,11196,1,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230623,'an earthen Ca''Na pot',NULL,'','','',0,12660,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230624,'Fiery Jewel of the Underfoot',NULL,'','','',0,3158,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230625,'an elaborate Ca''Na pot',NULL,'','','',0,12661,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230626,'a Ca''Na clay pot',NULL,'','','',0,12659,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230627,'frost-rimed chandelier',NULL,'','','',0,9596,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230628,'Hedge Hollow Tapestry',NULL,'','','',0,11131,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230629,'Glacial Brazier',NULL,'','','',0,9712,8,0,1,1,0,0,2049,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230630,'frost-rimed chair',NULL,'','','',0,9595,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230631,'Kaladim Altar',NULL,'','','',0,6966,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230632,'azure tapestry of the forsaken',NULL,'','','',0,9549,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230633,'basket of rotting pomegranates',NULL,'','','',0,11195,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230634,'Order of Rime flames',NULL,'','','',0,10992,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230635,'Lively Scarecrow Plushie',NULL,'','','',0,10810,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230636,'Trophy: Wrath of Nature',NULL,'','','',0,8029,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230637,'Sailing with Three Sheets to the Wind',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230638,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230639,'The Journal of Ubdub of the Reet',NULL,'','','',0,8312,16,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230640,'Zatirre''s First Zombie',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230641,'Female Ulteran Mannequin',NULL,'','','',0,11288,70,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230642,'Blood Iron Forge',NULL,'','','',0,10101,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230643,'Eva''s Altar of Tunare',NULL,'','','',0,6886,32,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230644,'a sapling',NULL,'','','',0,4075,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230645,'Jindrack''s Lucan D''Lere Action Figure',NULL,'','','',0,4112,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230646,'Life Among the Goblins',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230647,'an iksar throne',NULL,'','','',0,11035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230648,'Lady Shae''s Arrow',NULL,'','','',0,11201,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230649,'Chalice of Loving Incense',NULL,'','','',0,11193,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230650,'Lover''s settee',NULL,'','','',0,11192,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230651,'Tapestry of the Sisterhood',NULL,'','','',0,11205,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230652,'A Frostfell Carol',NULL,'','','',0,3322,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230653,'maroon tapestry of the forsaken',NULL,'','','',0,9547,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230654,'Trophy: Bugbear Basher',NULL,'','','',0,6932,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230655,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230656,'a Kaladim bucket',NULL,'','','',0,2074,39,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230657,'a wooden bucket',NULL,'','','',0,2188,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230658,'Ry''Gorr camp pelt',NULL,'','','',0,13388,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230659,'a Qeynosian medium wooden barrel',NULL,'','','',0,2022,21,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230660,'a Qeynosian small wooden barrel',NULL,'','','',0,2023,52,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230661,'Your future tomb stone',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230662,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230663,'reinforced coldain crate',NULL,'','','',0,13301,65,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230664,'hanging coldain coals',NULL,'','','',0,13298,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230665,'a Qeynosian large wooden barrel',NULL,'','','',0,2021,46,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230666,'an antonican wooden bucket',NULL,'','','',0,2018,27,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230667,'Irontoe Recruit''s Bed',NULL,'','','',0,12811,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230668,'Duel Flag',NULL,'','','',0,5015,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230669,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230670,'Blue Shiny Bauble',NULL,'','','',0,8722,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230671,'a wooden easel with canvas',NULL,'','','',0,2561,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230672,'Frostfell Pastries',NULL,'','','',0,8740,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230673,'Frosted Apples',NULL,'','','',0,7068,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230674,'Frostfell Baked Ham',NULL,'','','',0,8739,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230675,'Mama''s Eggnog',NULL,'','','',0,7070,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230676,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230677,'Skeletons',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230678,'Summoning an Elemental',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230679,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230680,'Flambe Custard Pie',NULL,'','','',0,9442,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230681,'Empress Anassa of the Oakmyst',NULL,'','','',0,4381,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230682,'The docks at sunset',NULL,'','','',0,5273,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230683,'The Legendary Dwarven Work Boots',NULL,'','','',0,868,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230684,'a desktop mirror',NULL,'','','',0,4447,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230685,'Swaying Blue Paper Lantern',NULL,'','','',0,7977,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230686,'pristine simple candelabra',NULL,'','','',0,2725,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230687,'orange and black candles',NULL,'','','',0,6706,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230688,'an oaken bench',NULL,'','','',0,2003,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230689,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230690,'Egg Warmer',NULL,'','','',0,2571,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230691,'Greenwisp',NULL,'','','',0,1622,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230692,'A Bouquet of Woodsun Flowers',NULL,'','','',0,1738,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230693,'Book of the Dead',NULL,'','','',0,3322,32,0,1,1,440,0,1796,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230694,'Frostfell Snowglobe',NULL,'','','',0,7059,32,0,1,1,1023,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230695,'swaying yellow paper lantern',NULL,'','','',0,7979,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230696,'a wooden pet cage',NULL,'','','',0,2559,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230697,'a red holiday candle',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230698,'Decorative Frostfell Greeting Card',NULL,'','','',0,9688,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230699,'An Ancient Rivervale Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230700,'An Ancient Halas Scroll',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230701,'A History of the Centaur',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230702,'The Haunting',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230703,'Creatures of the Creators Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230704,'Steppes Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230705,'Antonica Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230706,'Maj''Dul: a single tear',NULL,'','','',0,5272,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230707,'Faydark Melody music box',NULL,'','','',0,4647,16,0,1,1,1094,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230708,'a pristine tall halfling drum',NULL,'','','',0,7264,52,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230709,'a pristine rough linen rug',NULL,'','','',0,3211,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230710,'Freeport Theme music box',NULL,'','','',0,4647,11,0,1,1,1095,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230711,'a wooden chest',NULL,'','','',0,2028,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230712,'a pristine maple fancy gnome chair',NULL,'','','',0,3045,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230713,'a red and gold stocking',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230714,'Why the Grump Hated Frostfell',NULL,'','','',0,3322,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230715,'Eternal Bloom',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230716,'Qeynos Ironforge Exchange''s Basic Guide',NULL,'','','',0,1453,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230717,'Welcome to Qeynos, Citizen!',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230718,'Statuette of Sir Vallius Bayle',NULL,'','','',0,4625,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230719,'etched Frostfell snowflake',NULL,'','','',0,8752,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230720,'warg-spotted hanging boot',NULL,'','','',0,8756,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230721,'Decorative Frostfell Wishes Greeting Card',NULL,'','','',0,9690,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230722,'Decorative Frostfell Feast Greeting Card',NULL,'','','',0,9691,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230723,'a pristine short maple shelf',NULL,'','','',0,5868,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230724,'ornate Frostfell snowflake',NULL,'','','',0,8754,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230725,'purple hanging boot',NULL,'','','',0,8755,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230726,'swaying purple paper lantern',NULL,'','','',0,7978,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230727,'a pristine generic elm bed',NULL,'','','',0,2123,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230728,'a plain chair',NULL,'','','',0,2026,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230729,'a pristine maple dining chair',NULL,'','','',0,2635,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230730,'etched hanging snowflake',NULL,'','','',0,8751,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230731,'ornate hanging snowflake',NULL,'','','',0,8753,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230732,'A plate of Frostfell shaped cookies',NULL,'','','',0,7968,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230733,'Handbook of the Ironforge Exchange',NULL,'','','',0,7967,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230734,'a plain table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230735,'small purple candle',NULL,'','','',0,8733,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230736,'large purple candle',NULL,'','','',0,8734,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230737,'Natural Stone Hearth',NULL,'','','',0,7089,32,0,1,1,1105,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230738,'a primitive elm chair',NULL,'','','',0,2011,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230739,'a large alder militia table',NULL,'','','',0,3602,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230740,'a red stocking',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230741,'a green stocking',NULL,'','','',0,5958,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230742,'Evil Dirge music box',NULL,'','','',0,5980,16,0,1,1,1152,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230743,'Felwithe Aria music box',NULL,'','','',0,5978,16,0,1,1,1153,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230744,'a qeynos snowglobe',NULL,'','','',0,5974,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230745,'Rivervale Shanty music box',NULL,'','','',0,4647,16,0,1,1,1154,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230746,'a ruubika''s cryptic cube',NULL,'','','',0,4456,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230747,'Legendary Theme music box',NULL,'','','',0,5979,16,0,1,1,845,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230748,'Ak''anon Beats music box',NULL,'','','',0,5979,16,0,1,1,1155,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230749,'A Hunk of Scrap Metal',NULL,'','','',0,1580,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230750,'a generic wall sconce',NULL,'','','',0,3253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230751,'a pristine Kaladim wall chain',NULL,'','','',0,2070,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230752,'Crude Envious Frostfell Bow',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230753,'a pristine standard single maple bed',NULL,'','','',0,2122,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230754,'The Rat Queen of Vermin''s Snye',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230755,'Antonica Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230756,'Outlying Qeynos Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230757,'Cellus Family Bookcase',NULL,'','','',0,3004,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230758,'Rebuilding Norrath',NULL,'','','',0,4378,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230759,'Slaying Redwind and a Pint of Ale',NULL,'','','',0,4334,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230760,'Inner Flame',NULL,'','','',0,4198,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230761,'Smiting of the Werewolf',NULL,'','','',0,1453,32,0,1,1,1209,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230762,'a marvelous droag tapestry',NULL,'','','',0,6120,16,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230763,'a simple bookcase',NULL,'','','',0,2006,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230764,'Trinni''s Adventures Abroad',NULL,'','','',0,2602,32,0,1,1,1221,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230765,'a simple stool',NULL,'','','',0,2186,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230766,'a gnome thinking chair',NULL,'','','',0,2009,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230767,'The Feerrott Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230768,'The Dream of Innovation',NULL,'','','',0,4246,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230769,'\"The Age of Turmoil\"',NULL,'','','',0,3035,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230770,'Trophy: Veeshan''s Thorn',NULL,'','','',0,3819,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230771,'an antonican chest',NULL,'','','',0,2029,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230772,'Snuffing the Fireknight',NULL,'','','',0,3037,32,0,1,1,1222,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230773,'A Dwarf''s Guide to Surviving a Minotaur Attack.',NULL,'','','',0,2597,32,0,1,1,1223,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230774,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230775,'Mistmoore Crags Estate',NULL,'','','',0,4825,8,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230776,'Veteran''s Display Case',NULL,'','','',0,2150,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230777,'A Goblin Popsicle',NULL,'','','',0,9678,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230778,'Veteran''s Display Case',NULL,'','','',0,2150,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230779,'temp',NULL,'','','',151,2199,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230780,'temp',NULL,'','','',234,2026,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230781,'temp',NULL,'','','',95,11615,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230782,'temp',NULL,'','','',220,2524,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230783,'temp',NULL,'','','',24,2328,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230784,'temp',NULL,'','','',140,2188,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230785,'Caretaker Fairlee','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230786,'temp',NULL,'','','',222,3550,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230787,'temp',NULL,'','','',195,4291,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230788,'temp',NULL,'','','',236,2028,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230789,'temp',NULL,'','','',255,2559,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230790,'temp',NULL,'','','',217,3033,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230791,'temp',NULL,'','','',6,6,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230792,'temp',NULL,'','','',45,1581,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230793,'temp',NULL,'','','',5,5,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230794,'temp',NULL,'','','',42,2346,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230795,'temp',NULL,'','','',70,11334,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230796,'temp',NULL,'','','',202,1738,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230797,'temp',NULL,'','','',44,1580,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230798,'temp',NULL,'','','',231,2023,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230799,'Caretaker Fairlee','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2230800,'temp',NULL,'','','',120,1400,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230801,'temp',NULL,'','','',227,4067,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230802,'temp',NULL,'','','',248,2040,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230803,'temp',NULL,'','','',254,1534,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2230804,'temp',NULL,'','','',1,2561,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(2250000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260000,'Eyestalker','','','','',0,5918,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260001,'a halasian mauler','','','','',0,3711,22,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260002,'Phoebe','','','','',0,5219,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260003,'Page','','','','',0,5946,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260004,'a greenblood river frog','','','','',0,224,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260005,'a white pet monkey','','','','',0,5006,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260006,'Fountain Spirit','','','','',0,2389,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260007,'Tidal Lord','','','','',0,5230,12,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260008,'Harvey','','','','',0,5940,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260009,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260010,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260011,'a pristine fulginate militia sconce',NULL,'','','',0,3471,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260012,'pristine ceremonial tapestry',NULL,'','','',0,6121,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260013,'a pristine standard ash stool',NULL,'','','',0,2652,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260014,'pristine Maj''Dul door knocker',NULL,'','','',0,5454,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260015,'a pristine paladin brazier',NULL,'','','',0,2082,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260016,'An Ancient Neriak Scroll',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260017,'Trophy: Earthblade',NULL,'','','',0,2260,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260018,'Trophy: Lady Fiana''s Gentle Suggestion',NULL,'','','',0,3823,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260019,'a pristine wooden end table',NULL,'','','',0,2170,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260020,'a pristine fulginate chandelier',NULL,'','','',0,3429,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260021,'a pristine broadcloth rug',NULL,'','','',0,3512,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260022,'A Maj''Dul Gazing Orb',NULL,'','','',0,5264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260023,'a majestic dragon bust',NULL,'','','',0,5941,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260024,'Trophy: Talon of the Aviaks',NULL,'','','',0,2229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260025,'Trophy: The Scaler',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260026,'The Legendary Screaming Mace',NULL,'','','',0,2325,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260027,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260028,'Know Your Golems',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260029,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260030,'Tales of the Alliz Ew',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260031,'The Legendary Glowing Black Stone',NULL,'','','',0,1883,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260032,'Scales in Balance',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260033,'a draconic tapestry',NULL,'','','',0,6121,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260034,'a pristine carbonite sconce',NULL,'','','',0,5869,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260035,'a pristine thexian wine rack',NULL,'','','',0,2062,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260036,'a pristine small ash ornate table',NULL,'','','',0,2178,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260037,'pristine awakened cult ritual tapestry',NULL,'','','',0,6120,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260038,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260039,'The Legendary Greater Lightstone',NULL,'','','',0,2204,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260040,'Trophy: Vhoren''s Seed',NULL,'','','',0,5872,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260041,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260042,'Queen Antonia Bayle',NULL,'','','',0,4063,40,0,1,1,844,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260043,'Mounted Erollisi''s Charm',NULL,'','','',0,3875,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260044,'bloodstone shards',NULL,'','','',0,3914,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260045,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260046,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260047,'Trophy: Sir Altan''s Strike',NULL,'','','',0,2524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260048,'Trophy: Hogran''s Halberd',NULL,'','','',0,3838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260049,'Trophy: D''Vorlian''s Crudgel',NULL,'','','',0,4053,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260050,'The Legendary Journeyman''s Boots',NULL,'','','',0,1885,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260051,'Keg of the Everlasting',NULL,'','','',0,3185,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260052,'The Legendary Bone Bladed Claymore',NULL,'','','',0,2541,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260053,'Zeke Two Tone''s Diary',NULL,'','','',0,3036,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260054,'a Drednever workbench',NULL,'','','',0,6094,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260055,'The Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260056,'An Ancient Erudin Scroll',NULL,'','','',0,3214,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260057,'Certificate: Treasure Hunter',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260058,'The Precious Fairy Book',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260059,'a small lab flask',NULL,'','','',0,2328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260060,'Certificate: Lore Seeker',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260061,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260062,'\"a scroll from the Ironforge Exchange\"',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260063,'Djinn Scriptorium Papers',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260064,'a pristine long ornate shelf',NULL,'','','',0,2168,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260065,'an ornate vase',NULL,'','','',0,5220,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260066,'The Legendary Polished Granite Tomahawk',NULL,'','','',0,2450,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260067,'The Legendary Shiny Brass Halberd',NULL,'','','',0,2219,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260068,'The Legendary Manastone',NULL,'','','',0,2681,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260069,'An Ancient Grobb Scroll',NULL,'','','',0,3213,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260070,'Shimmering Carpet of the Citadel',NULL,'','','',0,5385,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260071,'Ancient Froglok Talisman',NULL,'','','',0,4915,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260072,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260073,'Zatirre''s First Zombie',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260074,'Life Among the Goblins',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260075,'a wooden bucket',NULL,'','','',0,2188,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260076,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260077,'a pristine standard teak bench',NULL,'','','',0,2981,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260078,'a pristine standard ash shelf',NULL,'','','',0,2113,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260079,'The Trials of Sir Morgan',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260080,'pristine adamantine papasan chair',NULL,'','','',0,6096,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260081,'a pristine oil painting of a sea shore cliff',NULL,'','','',0,2195,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260082,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260083,'a pristine Coalition ornate rug',NULL,'','','',0,3528,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260084,'Skeletons',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260085,'Summoning an Elemental',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260086,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260087,'Empress Anassa of the Oakmyst',NULL,'','','',0,4381,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260088,'The Legendary Dwarven Work Boots',NULL,'','','',0,868,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260089,'Work Order Clipboard',NULL,'','','',0,6657,96,0,1,1,31,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260090,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260091,'Egg Warmer',NULL,'','','',0,2571,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260092,'a passion candle',NULL,'','','',0,3451,80,0,1,1,0,0,11343,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260093,'a mounted dreadsnout head',NULL,'','','',0,2111,32,0,1,1,0,0,491,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260094,'an ornate display case',NULL,'','','',0,4461,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260095,'an erudin crucible',NULL,'','','',0,3302,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260096,'An Ancient Rivervale Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260097,'An Ancient Halas Scroll',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260098,'The Haunting',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260099,'\"The Varsoon Collection, Volume 1 - Varsoon and the Combine Era\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260100,'Basic Mining Guide, Part One',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260101,'The Legendary Guise of the Deceiver',NULL,'','','',0,4440,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260102,'a pristine light ash office chair',NULL,'','','',0,2637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260103,'a pristine standard teak chair',NULL,'','','',0,2099,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260104,'a pristine carbonite military chandelier',NULL,'','','',0,3428,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260105,'Faydark Melody music box',NULL,'','','',0,4647,16,0,1,1,1094,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260106,'a devotion candle',NULL,'','','',0,3451,57,0,1,1,0,0,11342,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260107,'Norrathian Holiday Candles',NULL,'','','',0,2712,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260108,'Qeynos Theme music box',NULL,'','','',0,5981,22,0,1,1,1096,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260109,'blue and silver candles',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260110,'red and green candles',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260111,'a red and gold stocking',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260112,'a pristine briarwood bookcase',NULL,'','','',0,2586,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260113,'Why the Grump Hated Frostfell',NULL,'','','',0,3322,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260114,'The Commander''s Wife',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260115,'Qeynos Ironforge Exchange''s Basic Guide',NULL,'','','',0,1453,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260116,'Welcome to Qeynos, Citizen!',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260117,'Basic Mining Guide, Part Two',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260118,'a pristine comely teak chair',NULL,'','','',0,2134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260119,'a red stocking',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260120,'a green stocking',NULL,'','','',0,5958,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260121,'a qeynos snowglobe',NULL,'','','',0,5974,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260122,'Legendary Theme music box',NULL,'','','',0,5979,16,0,1,1,845,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260123,'Ak''anon Beats music box',NULL,'','','',0,5979,16,0,1,1,1155,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260124,'pristine Rujarkian signal fire',NULL,'','','',0,5169,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260125,'a pristine ash chest',NULL,'','','',0,3080,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260126,'a pristine skull post',NULL,'','','',0,2112,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260127,'a pristine fine painting of a stone building',NULL,'','','',0,2201,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260128,'a pristine teak oval table',NULL,'','','',0,2064,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260129,'a pristine ash dining chair',NULL,'','','',0,2634,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260130,'a pristine large ash ornate table',NULL,'','','',0,2179,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260131,'a pristine bone militia bench',NULL,'','','',0,2980,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260132,'a lust candle',NULL,'','','',0,3451,32,0,1,1,0,0,11344,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260133,'a pristine small fulginate militia sconce',NULL,'','','',0,3470,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260134,'a model griffon tower',NULL,'','','',0,5873,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260135,'a pristine teak single bed',NULL,'','','',0,2951,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260136,'a pristine teak dining chair',NULL,'','','',0,2098,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260137,'a pristine standard ash bookcase',NULL,'','','',0,2581,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260138,'a pristine bone rocking chair',NULL,'','','',0,1907,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260139,'Ulteran Spires Replica',NULL,'','','',0,6147,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260140,'pristine small sandalwood crate',NULL,'','','',0,5149,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260141,'\"a letter from the Ironforge Exchange\"',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260142,'a pristine briarwood king bed',NULL,'','','',0,2097,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260143,'The Halls of the Dead Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260144,'a pristine elaborate oval briarwood table',NULL,'','','',0,2175,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260145,'a love candle',NULL,'','','',0,3451,32,0,1,1,0,0,11337,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260146,'a pristine teak military stool',NULL,'','','',0,2140,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260147,'\"The Varsoon Collection, Volume 3 - The Gift of Immortality\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260148,'Lair of Icy Doom',NULL,'','','',0,4335,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260149,'a pristine alluring bone table',NULL,'','','',0,2177,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260150,'a pristine dark ash office chair',NULL,'','','',0,2639,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260151,'\"a letter from the Concordium\"',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260152,'\"a letter from the Qeynos Guard\"',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260153,'\"a message from the Ironforge Exchange\"',NULL,'','','',0,3499,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260154,'a halasian rug',NULL,'','','',0,4460,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260155,'a pristine small teak table',NULL,'','','',0,2037,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260156,'a pristine canvas painting',NULL,'','','',0,2203,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260157,'a pristine embellished rug',NULL,'','','',0,2206,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260158,'a pristine small ornate teak table',NULL,'','','',0,3596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260159,'a sad jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260160,'a pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260161,'an angry jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260162,'a chained bat',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260163,'An Ancient Oggok Scroll',NULL,'','','',0,3215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260164,'a pristine elegant bone stool',NULL,'','','',0,2141,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260165,'an ash chest',NULL,'','','',0,3080,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260166,'a carbonite sconce',NULL,'','','',0,5869,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260167,'a pristine oil painting of a brick castle',NULL,'','','',0,2191,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2260168,'a \"scare\" crow',NULL,'','','',0,3835,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270000,'Mayana','','','','',0,306,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270001,'Hannibll','','','','',0,304,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270002,'Esmerelda','','','','',0,182,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270003,'Skippy','','','','',0,2901,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270004,'Ria','','','','',0,306,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270005,'Moterprise','','','','',0,5006,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270006,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270007,'door_widget_up_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270008,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270009,'door_widget_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270010,'a pristine archaic cedar chair',NULL,'','','',0,3046,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270011,'pristine round quilted rug',NULL,'','','',0,5222,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270012,'a pristine faydark wooden stool',NULL,'','','',0,2059,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270013,'a pristine standard ash stool',NULL,'','','',0,2652,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270014,'a pristine ornate end table',NULL,'','','',0,2169,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270015,'An Ancient Neriak Scroll',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270016,'Treants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270017,'a paladin brazier',NULL,'','','',0,2082,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270018,'Trophy: Talon of the Aviaks',NULL,'','','',0,2229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270019,'an oil painting of a brick castle',NULL,'','','',0,2191,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270020,'Trophy: The Scaler',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270021,'The Legendary Screaming Mace',NULL,'','','',0,2325,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270022,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270023,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270024,'Know Your Golems',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270025,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270026,'Tales of the Alliz Ew',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270027,'The Legendary Glowing Black Stone',NULL,'','','',0,1883,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270028,'Teachings of Master Wu',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270029,'First Flight',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270030,'Scales in Balance',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270031,'a pristine carbonite sconce',NULL,'','','',0,5869,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270032,'pristine azurite entwined sculpture',NULL,'','','',0,6110,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270033,'pristine djinn''s mandolin',NULL,'','','',0,5188,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270034,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270035,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270036,'The Legendary Greater Lightstone',NULL,'','','',0,2204,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270037,'Trophy: The Claws of Hadil',NULL,'','','',0,5871,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270038,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270039,'Trophy: Fist of Mediation',NULL,'','','',0,6339,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270040,'Queen Antonia Bayle',NULL,'','','',0,4063,40,0,1,1,844,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270041,'Mounted Erollisi''s Charm',NULL,'','','',0,3875,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270042,'The Legendary Stein of Moggok',NULL,'','','',0,4715,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270043,'The Legendary Golden Efreeti Boots',NULL,'','','',0,430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270044,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270045,'Everburning Gnomish Love',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270046,'a finished Wantia armoire',NULL,'','','',0,6484,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270047,'a Wantia canopy bed',NULL,'','','',0,6380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270048,'Lamp of Devotion',NULL,'','','',0,6385,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270049,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270050,'Trophy: The Darkmoon Crescent',NULL,'','','',0,3797,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270051,'Trophy: Shattersong',NULL,'','','',0,3280,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270052,'Trophy: Mezmith''s Chance',NULL,'','','',0,3880,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270053,'Trophy: Hogran''s Halberd',NULL,'','','',0,3838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270054,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270055,'Trophy: The Master''s Crown',NULL,'','','',0,4005,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270056,'The Legendary Hierophant''s Crook',NULL,'','','',0,2425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270057,'a granite pedestal',NULL,'','','',0,3180,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270058,'Waterfalls',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270059,'Bowl of Growth',NULL,'','','',0,34,19,0,1,1,850,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270060,'The Spear of Sentries',NULL,'','','',0,3808,32,0,1,1,852,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270061,'Halls of the Dead Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270062,'A History of the Order of Nektulos',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270063,'The Legendary Bone Bladed Claymore',NULL,'','','',0,2541,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270064,'The Second Wife''s Tale',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270065,'The Nights of the Dead',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270066,'Zeke Two Tone''s Diary',NULL,'','','',0,3036,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270067,'Evil Eye Musings',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270068,'The Hand of Ro',NULL,'','','',0,6652,35,0,1,1,854,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270069,'Pick of the Underfoot',NULL,'','','',0,2466,32,0,1,1,855,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270070,'The Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270071,'Certificate: Treasure Hunter',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270072,'The Eye of the Night',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270073,'Windsisters'' Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270074,'The Precious Fairy Book',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270075,'Rank Insignia of the Palace of the Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270076,'The Legendary Flowing Black Silk Sash',NULL,'','','',0,4439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270077,'The Weight of the Past',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270078,'Certificate: Relic Keeper',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270079,'The Tenebrous Tangle Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270080,'Certificate: Lore Seeker',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270081,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270082,'The Seeds of Corruption',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270083,'a guardian spirit',NULL,'','','',0,3694,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270084,'Geomancy',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270085,'Drakota',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270086,'A Recent History of the Tunarians',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270087,'Bootstrutter''s Trail Guide to the Desert of Ro',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270088,'Wisdom of the Flock',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270089,'The Bonemire Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270090,'The Barren Sky Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270091,'Djinn Scriptorium Papers',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270092,'an ornate vase',NULL,'','','',0,5220,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270093,'The Legendary Tobrin''s Mystical Eyepatch',NULL,'','','',0,4439,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270094,'The Legendary Polished Granite Tomahawk',NULL,'','','',0,2450,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270095,'The Legendary Shiny Brass Halberd',NULL,'','','',0,2219,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270096,'The Legendary Ghoulbane',NULL,'','','',0,2259,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270097,'The Legendary Short Sword of the Ykesha',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270098,'The Legendary Crown of King Tranix',NULL,'','','',0,4713,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270099,'An Ancient Grobb Scroll',NULL,'','','',0,3213,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270100,'Shimmering Carpet of the Citadel',NULL,'','','',0,5385,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270101,'The Legendary Bone-Clasped Girdle',NULL,'','','',0,5981,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270102,'Mavaerick''s Bath',NULL,'','','',0,6101,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270103,'a feather-stuffed pillow',NULL,'','','',0,2751,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270104,'A Book of Gnollish Orders',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270105,'Nhjela''s Poem',NULL,'','','',0,3032,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270106,'An Ancient Ak''Anon Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270107,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270108,'Zatirre''s First Zombie',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270109,'a sapling',NULL,'','','',0,4075,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270110,'Life Among the Goblins',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270111,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270112,'Your future tomb stone',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270113,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270114,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270115,'a pristine standard maple stool',NULL,'','','',0,2649,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270116,'pristine djinn''s pillow set',NULL,'','','',0,5225,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270117,'pristine potted palm',NULL,'','','',0,5224,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270118,'The Trials of Sir Morgan',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270119,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270120,'Skeletons',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270121,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270122,'a pristine teak bookcase',NULL,'','','',0,2582,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO `spawn` VALUES
(2270123,'an erudin ornate urn',NULL,'','','',0,2116,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270124,'a pool of divinity',NULL,'','','',0,4451,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270125,'Trophy: The Gouger',NULL,'','','',0,2547,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270126,'pristine mystical mirror',NULL,'','','',0,5127,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270127,'Upon Reflection',NULL,'','','',0,4364,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270128,'The Legendary Dwarven Work Boots',NULL,'','','',0,868,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270129,'a pristine erudin globe',NULL,'','','',0,1953,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270130,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270131,'Greenwisp',NULL,'','','',0,1622,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270132,'a square Wantia table',NULL,'','','',0,6381,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270133,'a passion candle',NULL,'','','',0,3451,80,0,1,1,0,0,11343,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270134,'pristine azurite tall entwined sculpture',NULL,'','','',0,6109,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270135,'pristine azurite rotating sculpture',NULL,'','','',0,6108,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270136,'a pristine oggokian chair',NULL,'','','',0,2055,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270137,'a mounted dreadsnout head',NULL,'','','',0,2111,32,0,1,1,0,0,491,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270138,'The History of Halflings',NULL,'','','',0,2597,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270139,'The History of Koada''Dal',NULL,'','','',0,2597,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270140,'An Ancient Rivervale Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270141,'An Ancient Halas Scroll',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270142,'The Idol of Everling',NULL,'','','',0,1987,38,0,1,1,0,0,1426,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270143,'The Haunting',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270144,'Nektulos Forest, by Torq De''Rech',NULL,'','','',0,3323,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270145,'The Legendary Guise of the Deceiver',NULL,'','','',0,4440,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270146,'The Legendary Fishbone Earring',NULL,'','','',0,4439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270147,'The History of Kerra',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270148,'grinnin bones',NULL,'','','',0,2430,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270149,'Creatures of the Creators Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270150,'a pristine carbonite military chandelier',NULL,'','','',0,3428,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270151,'a pristine small burlap rug',NULL,'','','',0,3524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270152,'a devotion candle',NULL,'','','',0,3451,57,0,1,1,0,0,11342,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270153,'a pristine rough linen rug',NULL,'','','',0,3211,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270154,'a pristine large dark cedar table',NULL,'','','',0,2066,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270155,'Freeport Theme music box',NULL,'','','',0,4647,11,0,1,1,1095,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270156,'Qeynos Theme music box',NULL,'','','',0,5981,22,0,1,1,1096,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270157,'blue and silver candles',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270158,'Rivervale Remembered',NULL,'','','',0,4413,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270159,'Why the Grump Hated Frostfell',NULL,'','','',0,3322,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270160,'Cleaning with the Cryptkeeper',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270161,'Qeynos Ironforge Exchange''s Basic Guide',NULL,'','','',0,1453,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270162,'Guide to Collecting Crypt Plates',NULL,'','','',0,1453,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270163,'A Martyr''s Tale',NULL,'','','',0,2604,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270164,'Welcome to Qeynos, Citizen!',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270165,'From the Trial of Kane Bayle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270166,'A Collection of Epitaphs',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270167,'a Freeport wooden counter',NULL,'','','',0,2189,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270168,'pristine rosewood table',NULL,'','','',0,6119,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270169,'Evil Dirge music box',NULL,'','','',0,5980,16,0,1,1,1152,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270170,'Felwithe Aria music box',NULL,'','','',0,5978,16,0,1,1,1153,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270171,'a qeynos snowglobe',NULL,'','','',0,5974,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270172,'Rivervale Shanty music box',NULL,'','','',0,4647,16,0,1,1,1154,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270173,'Ak''anon Beats music box',NULL,'','','',0,5979,16,0,1,1,1155,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270174,'a generic wall sconce',NULL,'','','',0,3253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270175,'a pristine Kaladim wall chain',NULL,'','','',0,2070,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270176,'Elaborate Stove & Keg',NULL,'','','',0,2345,35,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270177,'pristine dervish lashing board',NULL,'','','',0,5221,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270178,'The Rat Queen of Vermin''s Snye',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270179,'Antonica Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270180,'Inner Flame',NULL,'','','',0,4198,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270181,'a lust candle',NULL,'','','',0,3451,32,0,1,1,0,0,11344,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270182,'a pristine teak single bed',NULL,'','','',0,2951,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270183,'Ulteran Spires Replica',NULL,'','','',0,6147,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270184,'The Halls of the Dead Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270185,'a love candle',NULL,'','','',0,3451,32,0,1,1,0,0,11337,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270186,'a pristine small ornate teak table',NULL,'','','',0,3596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270187,'An Ancient Oggok Scroll',NULL,'','','',0,3215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270188,'a pristine comely iron chandelier',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270189,'blue and white wall hanging candles',NULL,'','','',0,5965,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270190,'The Freeport Citizen''s Guide to Opportunity',NULL,'','','',0,2604,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270191,'a pristine standard briarwood stool',NULL,'','','',0,2142,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270192,'a shaped carbonite sconce',NULL,'','','',0,5869,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270193,'a fancy teak shelf',NULL,'','','',0,3562,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270194,'a Wantia armoire',NULL,'','','',0,6384,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270195,'The Sceptre of Rahotep',NULL,'','','',0,3280,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270196,'Nektulos Creature Cataloging',NULL,'','','',0,1453,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270197,'a standard ash bookcase',NULL,'','','',0,2581,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270198,'Motor Commotion all for Emotion',NULL,'','','',0,2599,32,0,1,1,1224,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270199,'a large burlap rug',NULL,'','','',0,3523,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270200,'a pristine elaborate teak shelf',NULL,'','','',0,3563,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270201,'a crafted vase',NULL,'','','',0,2079,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270202,'Dancing with Bugbears',NULL,'','','',0,2596,32,0,1,1,1225,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270203,'a pristine sturdy teak chair',NULL,'','','',0,2135,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270204,'Beyond the Rune',NULL,'','','',0,3033,32,0,1,1,1226,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270205,'a pristine large burlap rug',NULL,'','','',0,3523,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270206,'a thexian wine rack',NULL,'','','',0,2062,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270207,'a teak dining chair',NULL,'','','',0,2098,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270208,'a pristine large ash dining table',NULL,'','','',0,3605,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270209,'A Shadebloom Bouquet',NULL,'','','',0,1738,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270210,'a pristine standard feyiron chandelier',NULL,'','','',0,2694,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270211,'a lab flask',NULL,'','','',0,4470,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270212,'a pristine vale briarwood bookcase',NULL,'','','',0,2586,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270213,'a pristine fancy teak shelf',NULL,'','','',0,3562,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270214,'an oil painting of a castle',NULL,'','','',0,2192,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270215,'The Desert Serpent',NULL,'','','',0,3034,32,0,1,1,1227,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270216,'Daughter of the Void',NULL,'','','',0,4417,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270217,'a pristine elaborate briarwood bedside table',NULL,'','','',0,2172,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270218,'a fine painting of a stone building',NULL,'','','',0,2201,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270219,'a pristine steel sconce',NULL,'','','',0,2728,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270220,'a fine landscape painting',NULL,'','','',0,2203,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270221,'Ordained Altar of Tunare',NULL,'','','',0,6886,32,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270222,'a qeynosian bedside table',NULL,'','','',0,2171,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270223,'Pool of Tranquility',NULL,'','','',0,4451,32,0,1,1,1228,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270224,'The Idol of The Soaring',NULL,'','','',0,3481,6,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270225,'an aviak bath',NULL,'','','',0,6100,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270226,'Salesman''s Crate',NULL,'','','',0,6471,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2270227,'Veteran''s Display Case',NULL,'','','',0,2150,32,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310000,'a kitten','','','','',255,306,17,6,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310001,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310002,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2310003,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310004,'Clarya Blake','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,6106,0,0,0,0,0,0,0,0,0,0,0,0),
(2310005,'a pig','','','','',255,271,28,6,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310006,'Queen Antonia Bayle','','','','',9,4063,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310007,'Tabby Copperpot','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9448,0,0,0,0,0,0,0,0,0,0,0,0),
(2310008,'Tibby Copperpot','<Baker>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310009,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310010,'a cow','','','','',255,259,28,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310011,'Cartographer Blanche','','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0),
(2310012,'a Maj''Dul Enchanted Carpet','','','','',255,1369,32,0,0,0,9,0,0,0,0,1,0,0,36,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310013,'Velan','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310014,'Popelia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310015,'Eraanus','<Guard>','','','',3,1590,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310016,'Morgessa','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310017,'Knight-Lieutenant Ilgar','<Qeynos Guard>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310018,'Faminae Telethar','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310019,'Stable Hand Marcellun Iver','<Horse Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,703541,0,0,0,0,0,0,0,0,0,0,0,0),
(2310020,'a Parade Karana Plainstrider','','','','',255,6853,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310021,'a Parade Rujarkian Clydesdale','','','','',255,6854,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310022,'Stable Hand Stonebear','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310023,'Squire Rion Rolana','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310024,'Leona Ward','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32401,0,0,0,0,0,0,0,0,0,0,0,0),
(2310025,'Maile','<Broker>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310026,'Merriou','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,26,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310027,'Drappi Oakheart','<Selwyn''s Assistant>','','','',7,108,32,0,1,1,10,0,0,0,0,1,0,0,17,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310028,'Selwyn Oakheart','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310029,'Captain Chapman','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310030,'a piglet','','','','',255,271,12,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310031,'a Misty Mustang','','','','',255,6851,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310032,'Captain Lawler','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2310033,'Azima Kaddor','<Armorsmith>','','','',3,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32410,0,0,0,0,0,0,0,0,0,0,0,0),
(2310034,'Handla Taseela','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310035,'Marcen Quillfingers','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310036,'Atiyah Kaddor','<Weaponsmith>','','','',3,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32413,0,0,0,0,0,0,0,0,0,0,0,0),
(2310037,'Gauldry','<Shieldsmith>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32414,0,0,0,0,0,0,0,0,0,0,0,0),
(2310038,'Hegrenn','<Blacksmith & Bowyer>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32415,0,0,0,0,0,0,0,0,0,0,0,0),
(2310039,'Jason Walton','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310040,'Mender Steve Echar','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2310041,'Feidre Kelin','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310042,'Trevor Minturn','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,32419,0,0,0,0,0,0,0,0,0,0,0,0),
(2310043,'Thierry Dillon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310044,'Captain Cahptor','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310045,'Celes','<City Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32422,0,64,0,0,0,0,0,0,0,0,0,0),
(2310046,'Jowling','<City Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32424,0,64,0,0,0,0,0,0,0,0,0,0),
(2310047,'Alchemist Katlyn Paisley','<Alchemist>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,6131,0,0,0,0,0,0,0,0,0,0,0,0),
(2310048,'Alchemist Khalil`mun','<Alchemist>','','','',3,1597,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,41760,0,0,0,0,0,0,0,0,0,0,0,0),
(2310049,'Donovan Herald','<Pet Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32427,0,0,0,0,0,0,0,0,0,0,0,0),
(2310050,'Guard Ulir','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310051,'Marla','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310052,'Knight-Lieutenant Raleigh','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310053,'Neena Ocoggin','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,26,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310054,'Lanalie','<Guard>','','','',8,135,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310055,'Stanhyl','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310056,'Jebula Marrsing','','','','',4,3789,32,0,1,1,9,0,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310057,'Woodrow','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310058,'Tabatha Keltor','<Teleport Trainer>','','','',3,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,32436,0,0,0,262140,0,0,0,0,0,0,0,0),
(2310059,'Chronicler Steelwill','<Concordium Mage>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,100495,0,0,0,0,0,0,0,0,0,0,0,0),
(2310060,'Librarian Dungil','','','','',2,1484,32,0,1,1,9,0,0,0,0,1,0,0,18,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310061,'Ellinnea Umalia','','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310062,'Vishra','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310063,'Melinnae Welxen','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(2310064,'Duryo Valstath','','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(2310065,'Shinolio','<Concordium Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,32443,0,0,0,0,0,0,0,0,0,0,0,0),
(2310066,'Felion Shadoweater','<Warlock Trainer>','','','',8,78,32,0,1,1,10,1265,0,0,0,1,0,0,28,301,301,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(2310067,'Sage Indis Surion','<Sage>','','','',8,136,32,0,1,1,10,9,0,0,0,1,0,0,28,16,16,0,0,32445,0,0,0,0,0,0,0,0,0,0,0,0),
(2310068,'Ashtur Lawton','<Feudal Historian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,262112,0,0,0,0,0,0,0,0),
(2310069,'Telamoninioon Orinsidian','<Illusionist Trainer>','','','',3,1601,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(2310070,'Pupil Adept Wazzlefop','<Concordium Mage>','','','',5,121,32,0,1,1,1265,0,0,0,0,1,0,0,16,241,241,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2310071,'Amren Talbot','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310072,'an oakmyst fawn','','','','',255,206,20,1,1,1,9,0,0,0,0,1,0,0,38,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310073,'Bellengere the Three','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1096,1096,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310074,'Eoradalanu Otuden','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310075,'Augur Prichard Fizzburn','<Concordium Mage>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,16,16,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2310076,'Aristide Calais','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310077,'Tilliana Steamsieve','<Conjuror Trainer>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,301,301,0,0,100484,0,4,0,0,0,0,0,0,0,0,0,0),
(2310078,'Guard Krelal','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310079,'Percivous','','','','',4,1430,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310080,'Corryn Menai','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310081,'Rune Shimmerstar','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310082,'Exalted Milanthroo','<Concordium Mage>','','','',3,1593,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2310083,'Vhret Retharo','<Concordium Mage>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310084,'Wynia Vethe','<Advancement Counsel>','','','',8,135,32,0,1,1,22,0,0,0,0,1,0,0,28,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310085,'Astrynia Burnwynd','<Wizard Trainer>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(2310086,'Librarian Dalmas','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310087,'Elspeth Astley','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310088,'Aesthetic Winchester','<Concordium Mage>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100495,0,64,0,0,0,0,0,0,0,0,0,0),
(2310089,'Ubuu','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310091,'Guard Popelia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310092,'Velan','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310093,'Guard Eraanus','','','','',3,1590,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310094,'Augurer Simias','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,601,601,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310095,'Augurer Arnon','','','','',3,1598,32,0,1,1,0,0,0,0,0,1,0,0,34,601,601,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310096,'an Elddarian Charger','','','','',255,6844,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310097,'Peanut','Windstone''s kitten.','','','',255,305,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310098,'Abelard Raleigh','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310099,'Calathin','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310100,'Feodra Iceslayer','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310101,'Casey','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310102,'Representative Klen''thall','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310103,'Greldane Irongut','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310104,'Loowoonla','','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310105,'Bella Ward','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310106,'Angie Patterson','<Legends of Norrath Greeter>','','','',9,107,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2310107,'Tristan Galliway','','','','',9,134,32,0,1,1,9,0,11500,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310108,'Fredrick Losce','','','','',6,78,32,0,1,1,9,0,11500,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310109,'Kayben Eatny','<Bartender>','','','',9,78,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,33046,0,0,0,0,0,0,0,0,0,0,0,0),
(2310110,'Arth Treeskipper','','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310111,'Krelal','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310112,'Guard Woodrow','<Guard>','','','',9,134,32,0,1,1,13,0,11737,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310113,'Kenika','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310114,'Guard Gavinfell','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310115,'Guard Galla','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310116,'Knight-Lieutenant Erwin','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310117,'Albrecht Tesilah','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310118,'Marla','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310119,'Guard Mott','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310120,'Guard Barr','','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310121,'Mott','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310122,'Barr','<Guard>','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310123,'Shinolio','<Concondium Merchant>','','','',3,1605,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100090,0,0,0,0,0,0,0,0,0,0,0,0),
(2310124,'Captain Cahptor','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,0,0,0,0,0,0,0,0,262140,0,0,0,0,0,0,0,0),
(2310125,'Boggmarr','Boggmarr''s fiery magician','','','',255,9656,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310126,'Gavinfell','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310127,'Knight-Lieutenant Erwin','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310128,'Galla','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310129,'Warley Theodoric','','','','',9,23908,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310130,'Captain Chapman','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2310131,'Captain Lawler','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310132,'Guard Stanhyl','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310133,'Guard Lanalie','<Guard>','','','',8,135,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310134,'Knight-Lieutenant Raleigh','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310135,'Kellarra Cloudsend','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310136,'Guard Urach','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310137,'Calathin','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310138,'a Parade Steppes Pony','','','','',255,6858,32,0,1,0,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310139,'a pocket goblin','','','','',255,7039,17,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310140,'Lupin','Cipia''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310141,'Augurer Ortasco','','','','',3,1590,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310142,'Augurer Vharlan','','','','',3,1605,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310143,'Chronicler Saerfas','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,751,751,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310144,'Augurer Caranthir','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,751,751,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310145,'Irritation','Ptezula''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310147,'Representative Klen`thall','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310148,'Shaylie','Shaylie''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310153,'Blackfell','Ellisendra''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310155,'Granstwin','Gran''s Personae Duplicate','','','',9,108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310156,'Shinolio','<Merchant>','','','',3,1605,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310157,'Augurer Zhorshan','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310158,'Augurer Phineas','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,1310712,0,0,0,0,0,0,0,0),
(2310159,'Kobartik','Nukeman''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310161,'Kylah','Kylah''s Personae Mirror','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310163,'Wynia Vethe','<Achievement Counsel>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310164,'Hothead','Froststryke''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310166,'Stallone','Underfoot Attendant','','','',255,152,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310168,'Ringo','Elda''s earthen avatar','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310169,'Vanyel','Aleksie''s Personae Shift','','','',9,1488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310170,'Lunch','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310171,'Willis','Wach''s Personae Duplicate','','','',9,108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310173,'Muse','Daydream''s romance','','','',9,2306,48,0,1,1,0,0,11340,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310174,'Peaches','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310175,'Brun','','','','',255,198,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310176,'a blighted gnome','','','','',5,121,32,0,1,1,9,0,1498,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310177,'Grael','Naelya''s aery hunter','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310178,'a blighted froglok','','','','',4,3792,32,0,1,1,9,0,1498,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310179,'a blighted halfling','','','','',7,107,32,0,1,1,9,0,1498,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310180,'a blighted barbarian','','','','',0,112,32,0,1,1,9,0,1498,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310181,'Lyriel','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310182,'a blighted fae','','','','',255,6489,32,0,1,1,9,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310185,'Whiskers','Minougris''s familiar','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310186,'a blighted human','','','','',9,134,32,0,1,1,9,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310187,'coin_player_housing_three_room_6',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310188,'coin_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310189,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310190,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310191,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310192,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310193,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310194,'door_widget23',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310195,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310196,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310197,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310198,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310199,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310200,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310201,'coin_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310202,'coin_player_housing_three_room_7',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310203,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310204,'status_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310205,'coin_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310206,'status_player_housing_three_room_6',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310207,'door_widget22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310208,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310209,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310210,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310211,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310212,'status_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310213,'status_player_housing_three_room_7',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310214,'qst_reading_tree',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,712,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310215,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310216,'coin_player_housing_three_room_9',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310217,'coin_player_housing_three_room_8',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310218,'coin_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310219,'status_player_housing_five_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310220,'coin_player_housing_three_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310221,'coin_player_housing_three_room_10',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310222,'status_player_housing_three_room_8',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310223,'status_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310224,'door_magetower2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310225,'door_magetower1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310226,'status_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310227,'status_player_housing_three_room_9',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310228,'status_player_housing_three_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310229,'status_player_housing_three_room_10',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310230,'status_player_housing_five_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310231,'status_player_housing_five_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310232,'Concordium Tower Magical Manor housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310233,'quest_tome_lakerathetear_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310234,'quest_tome_cmdrwife_tome_01',NULL,'','','',0,49,32,0,0,0,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310235,'status_player_housing_five_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310236,'widget_liveevent_exp05_prelude02_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310237,'tome_mastery_shadowman_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310238,'tome_mastery_elemental_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310239,'quest_tome_froglokwar_tome_01',NULL,'','','',0,49,32,0,0,0,55,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310240,'coin_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310241,'coin_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310242,'coin_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310243,'qey_guildhall_entrance',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310244,'coin_player_housing_inn_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310245,'status_player_housing_inn_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310246,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310247,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310248,'status_player_housing_five_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310249,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310250,'Concordium Tower Magical Manor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310251,'Guild_hall_access_HallofThunder',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310252,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310253,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310254,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310255,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310256,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310257,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310258,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310259,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310260,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310261,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310262,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310263,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310264,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310265,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310266,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310267,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310268,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310269,'holiday_snowpile01',NULL,'','','',0,7093,77,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310270,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310271,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310272,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310273,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310274,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310275,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310276,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310277,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310278,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310279,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310280,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310281,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310282,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310283,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310284,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310285,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310286,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310287,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310288,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310289,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310290,'gutten_frostfell_decoration01',NULL,'','','',0,7078,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310291,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310292,'floor_book_human_open02',NULL,'','','',0,3323,19,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310293,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310294,'pedestal',NULL,'','','',0,4639,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310295,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,0,0,64,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310296,'solusek ro history',NULL,'','','',0,3030,15,0,0,0,58,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310297,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310298,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310299,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310300,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310301,'pumpkin',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310302,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310303,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310304,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310305,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310306,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310307,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310308,'halfling_innbook_01',NULL,'','','',0,1552,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310309,'qeynos_sign_post01',NULL,'','','',0,30,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310310,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310311,'Concordium science books stack',NULL,'','','',0,3027,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310312,'Concordium fiction and myth books stack',NULL,'','','',0,1607,32,0,0,0,55,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310313,'qey_table_desk_plain',NULL,'','','',0,1519,32,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310314,'Allysha Lanne',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,4080,0,0,0,0,0,0,0,0),
(2310315,'draconic_widget01',NULL,'','','',0,4185,32,0,0,0,124,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310316,'adv1_quest_hom_ytheri_info',NULL,'','','',0,3031,32,0,0,0,60,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310317,'cr_librariansdesk_01',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310318,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310319,'book_chaotic_history',NULL,'','','',0,3322,18,0,0,0,0,0,3859,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310320,'Zone Teleporter',NULL,'','','',0,7008,16,0,1,1,82,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310321,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310322,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310323,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310324,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2310325,'Sabotage_sabotage/freeport_3_x5_1',NULL,'','','',0,4645,32,0,1,1,296,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310326,'Sabotage_sabotage/freeport_3_x2_2',NULL,'','','',0,3532,32,0,1,1,753,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310327,'Sabotage_sabotage/freeport_3_x7_2',NULL,'','','',0,4614,32,0,1,1,754,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310328,'Sabotage_sabotage/freeport_3_x6_1',NULL,'','','',0,3074,16,0,1,1,755,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310329,'Sabotage_sabotage/freeport_3_x8_1',NULL,'','','',0,3156,32,0,1,1,296,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310330,'Sabotage_sabotage/freeport_3_x10_1',NULL,'','','',0,3323,32,0,1,1,228,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310331,'Sabotage_sabotage/freeport_3_x7_1',NULL,'','','',0,4611,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310332,'Sabotage_sabotage/freeport_3_x4_1',NULL,'','','',0,3545,32,0,1,1,228,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310333,'Sabotage_sabotage/freeport_3_x2_1',NULL,'','','',0,4529,32,0,1,1,755,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310334,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310335,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310336,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0),
(2310337,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310338,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310339,'sign_tubals_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310340,'sign_coldwind_coast_stables_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310341,'zone_to_antonica_south',NULL,'','','',0,49,32,0,1,1,362,0,0,0,0,1,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310342,'zone_to_qey_epic07_p08_sneeds',NULL,'','','',0,49,32,0,0,0,1052,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310343,'scout_subclass_door',NULL,'','','',0,49,32,0,1,1,1053,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310344,'zone_to_qey_epic12_L08_sanctum',NULL,'','','',0,49,32,0,1,1,1054,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310345,'zone_to_qey_north',NULL,'','','',0,49,32,0,1,1,1003,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310346,'sign_tubals',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310347,'zone_to_qey_epic08_p06_voleens',NULL,'','','',0,49,32,0,0,0,1055,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310348,'zone_to_qey_epic03_village03_ph',NULL,'','','',0,49,32,0,1,1,1056,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310349,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310350,'qey_roadsign_sign02',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310351,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310352,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310353,'sign_coldwind_coast_stables',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310354,'sign_tin_soldier',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310355,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310356,'zone_to_qey_village01',NULL,'','','',0,49,32,0,1,1,1014,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310357,'zone_to_qey_village02',NULL,'','','',0,49,32,0,1,1,1015,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310358,'sign_herbjar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310359,'sign_herbjar_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310360,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,1,1,1017,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310361,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310362,'to_dismal_den',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310363,'sign_betrayal_notes',NULL,'','','',0,5981,17,0,1,1,1057,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310364,'The Book of Illusions',NULL,'','','',0,3322,32,0,0,0,9497,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310365,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310366,'sign_hall_of_thunder_fountain',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310367,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310368,'sign_lions_mane_inn_and_tavern',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310369,'sign_food_on_foot_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310370,'sign_food_on_foot',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310371,'sign_coldwind_coast_stables_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310372,'mage_tower_first_floor_door',NULL,'','','',0,49,32,0,1,1,1205,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310373,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310374,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310376,'Magister Niksel','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,136,136,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0),
(2310377,'Master-at-Arms Dagorel','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,11,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310378,'Knight-Lieutenant Steelnerve','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310379,'Sergeant-at-Arms Ileea','<Guard>','','','',8,135,32,0,1,1,11,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2310380,'Guard Gnollbane','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310381,'Guard Wyrmok','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310382,'Cunty Door',NULL,'','','',0,0,32,0,0,0,1205,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310383,'Finn','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310384,'Telamina Garendell','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310385,' ',NULL,'','','',0,1725,36,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310386,'Stupid thingy',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2310387,'Tree',NULL,'','','',0,33,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320000,'Gom Kusuba','<Broker>','','','',11,101,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320001,'Angtris Denyn','<Work Orders>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320002,'Farri Koude','<Rush Orders>','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320003,'Bendeer Toronga','<Tradeskill Tutorial>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320004,'Wholesaler Baldmaer Duneof','','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402031,0,0,0,0,0,0,0,0,0,0,0,0),
(2320005,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320006,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320007,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320008,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320009,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320010,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320011,'Forge',NULL,'','','',0,1859,32,0,1,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320012,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320013,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320014,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320015,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320016,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320017,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320018,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320019,'to Nettleville',NULL,'','','',0,49,32,0,0,0,1014,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2320020,'Nawal Tahri','<Crafting Trainer>','','','',9,94,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2330000,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,1),
(2330001,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330002,'a pig','','','','',255,271,25,6,1,1,0,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330003,'a shining nibbler','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,1,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330004,'Greybul','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330005,'a stone scrabbler','','','','',255,208,16,0,1,1,11,0,0,1,1,1,0,0,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330006,'Fallsworth','<Qeynos Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330007,'Helain Conyers','<Human Mentor>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330008,'Aves','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330009,'Talliak','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330010,'Tailor Ehuraa Rotherham','<Merchant>','','','',9,132,32,0,1,1,10,1265,13039,0,0,1,0,0,34,166,166,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(2330011,'Vida Sweeps','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330012,'Barmaid Lolla Cotgrove','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2330013,'Laudine Shardalow','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330014,'Bartender Kathey Brewsher','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2330015,'Amazu Kharliko','','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330016,'Innkeeper Baily Dowden','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,33609,0,0,0,0,0,0,0,0,0,0,0,0),
(2330017,'Banker Caroline Copperstone','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330018,'Logan MacAdie','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330019,'Scrably','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330020,'Dirk Vagrin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330021,'Karrie Clayton','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330022,'Knight-Captain Hastings','','','','',9,134,38,0,1,1,9,0,0,1,1,1,0,11,32,15000,5000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330023,'Nia Jaja','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330024,'Friar Montego','<Nettleville Restoration Project>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,751,751,0,0,100496,0,0,0,0,0,0,0,0,0,0,0,0),
(2330025,'Foster Graham','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330026,'Gunta','<Assistant Alchemist>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330027,'Alchemist Garion Dunam','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2330028,'Guard Wendy','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330029,'Guard Lowden','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330030,'Knight-Captain Elgrondeth','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,11,32,15000,5000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330031,'Marjani Kenan','','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330033,'Johfrit Gythell','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330034,'a dog','','','','',255,216,19,0,1,1,9,9494,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330035,'Andret Surtees','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330036,'Willim Barclay','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330037,'Merchant Barika Ijumaa','<Merchant>','','','',11,93,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2330038,'Merchant Caryn Swell','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(2330039,'Merchant Darian Wells','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2330040,'Bahati Linnxar','','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330041,'Armorsmith Cayless Chambers','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(2330042,'Shieldsmith Ajarn','<Merchant>','','','',11,101,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(2330043,'Bowyer Fesante','<Merchant>','','','',11,93,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(2330044,'Nawal Tahri','<Crafting Trainer>','','','',9,94,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2330045,'Guard Nea','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330046,'Mender Aldin Dunwick','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,196,196,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2330047,'Armsdealer Kumbufu Ari','<Merchant>','','','',11,98,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(2330048,'Constable Arathur','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330049,'Spiritist Laharn Rahai','','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330050,'Guard Essex','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330051,'Verth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330052,'a baby owlbear','','','','',255,270,6,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330053,'Lakosha Maera','<Kerra Mentor>','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330055,'Trainer Tanglmayn','<Merchant>','','','',11,95,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100504,0,0,0,0,0,0,0,0,0,0,0,0),
(2330056,'Scribe Varion Smitelin','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402021,0,0,0,0,0,0,0,0,0,0,0,0),
(2330058,'Poof','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330060,'Firedude','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330061,'Kantik','Ravelshian''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330062,'Xonartik','Ravelshian''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330063,'Janer','Ravelshian''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330064,'Numbies','Fistill''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330065,'Ralkesh Orto','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330066,'The Rage of Ja''Neth','','','','',255,2912,32,0,1,1,11,0,0,1,1,1,0,1,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330067,'Fangs','Codum''s familiar','','','',255,239,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330068,'Konekab','Bigjoez''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330069,'Zentik','Masterconjurer''s aery outrider','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330070,'Stormcaller','Medalan''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330071,'Namelessnevermore','Greybo''s tellurian myrmidon','','','',255,8308,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330072,'Weeneeroaster','Thouart''s igneous adept','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330074,'Aphid','Morningglory''s tellurian soldier','','','',255,2463,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330075,'Nuttnhoney','Phalanxx''s pet gazer','','','',255,5918,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330076,'Dejavu','Sendra''s Personae Split','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330077,'Phal','Phal''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330078,'Raukus','Raukus''s Personae Duplicate','','','',9,1604,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330079,'Pooky','Keep''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330080,'Erenor','Erenor''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330081,'Sagga','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330082,'Fuzzy','Veriheri''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330085,'Takeout','Soulfood''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330086,'Clarence','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330087,'Faith','Douglas''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330088,'Chilaquilesverdes','Chilaquiles''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330089,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330090,'inspect_reagentshelf01',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330091,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330092,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330093,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330094,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330095,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330096,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330097,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330098,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330099,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330100,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330101,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330102,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330103,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330104,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330105,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330106,'Researcher Tanglmayn',NULL,'','','',255,95,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330107,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330108,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330109,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330110,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330111,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2330112,'Sabotage_sabotage/freeport_2_x9_1',NULL,'','','',0,4613,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330113,'Sabotage_sabotage/freeport_2_x10_1',NULL,'','','',0,4659,32,0,1,1,228,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330114,'Sabotage_sabotage/freeport_2_x2_1',NULL,'','','',0,4609,32,0,1,1,878,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330115,'Sabotage_sabotage/freeport_2_x5_1',NULL,'','','',0,3189,32,0,1,1,357,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330116,'Sabotage_sabotage/freeport_2_x7_1',NULL,'','','',0,2143,32,0,1,1,296,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330117,'Sabotage_sabotage/freeport_2_x8_1',NULL,'','','',0,4605,32,0,1,1,296,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330118,'Sabotage_sabotage/freeport_2_x4_1',NULL,'','','',0,4615,32,0,1,1,228,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330119,'Sabotage_sabotage/freeport_2_x6_2',NULL,'','','',0,4607,32,0,1,1,879,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330120,'Sabotage_sabotage/freeport_2_x1_1',NULL,'','','',0,3552,32,0,1,1,755,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330121,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,262136,0,0,0,0,0,0,0,0),
(2330122,'Sabotage_sabotage/freeport_2_x6_1',NULL,'','','',0,4610,32,0,1,1,755,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330123,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330124,'sign_scribe',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330125,'zone_to_qey_south',NULL,'','','',0,49,32,0,1,1,757,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330126,'sign_bank',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330127,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,1,1,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330128,'zone_to_peat_bog',NULL,'','','',0,49,32,0,1,1,363,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330129,'sign_weapon',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330130,'zone_to_peat_bog',NULL,'','','',0,49,32,0,1,1,363,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330131,'portal_to_antonica',NULL,'','','',0,2306,48,0,1,1,1070,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330132,'Selkie Mushroom',NULL,'','','',0,4550,29,0,0,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330133,'loose soil',NULL,'','','',0,2916,16,0,0,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330134,'a book page',NULL,'','','',0,5261,32,0,0,0,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330135,'a waterlogged crate',NULL,'','','',0,2060,32,0,0,0,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330136,'a waterproof barrel',NULL,'','','',0,2944,32,0,0,0,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330137,'Soothsayer Reyala','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330138,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330139,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330141,'Marsha Strohn','','','','',9,132,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330142,'Duncan Airth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330143,'Guard Sanooielo','','','','',0,100,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330144,'Hadiya Pili','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330145,'Jabari Ola','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330146,'Guard Ashburn','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330147,'Nettleville_BlackburrowStout',NULL,'','','',0,2942,32,0,0,0,1337,0,0,0,0,1,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330148,'Issak Teech','','','','',11,98,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330149,'Bana Shez','','','','',11,96,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2330150,'Ladir Wick','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330151,'Guard Valerie','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330152,'Dawn Tross','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330153,'Tilla Perkins','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330154,'Andrew Leicester','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330155,'Sudi Abasi','','','','',11,102,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330156,'Guard Falkoner','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330158,'Duni Diiun','','','','',9,23908,32,0,1,1,9,0,0,0,0,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330159,'Evanloono','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330160,'Laurel Vivan','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330161,'Bana Shez','','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330162,'Kura Balik','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330163,'Francine Talino','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330164,'Kenneth Ashburn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330165,'Kenneth Ashburn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330166,'Fantalosia','','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330167,'Avilon Blueheart','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330169,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9502,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2330170,'Steward Loralei','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,11,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340000,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340001,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340002,'Kitty','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340003,'Molly Daysun','','','','',9,132,21,1,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340004,'a shining nibbler','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,1,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340005,'Burt Everett','<Human Mentor Assistant>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340006,'Maareona Ludimintium','<Erudite Mentor>','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340007,'Guard Torbin','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340008,'Taggan Brookrich','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340009,'Shieldsmith Harstead','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(2340010,'Armsdealer Barrik','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(2340011,'Vandis','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340012,'Oomitelmora','','','','',3,1602,32,0,1,1,9,0,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340013,'Provisioner Wilhemena','<Merchant>','','','',8,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,91,91,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2340014,'Oovalinius','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340015,'Guard Trinoonae','','','','',8,1594,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340016,'Armorsmith Piers Isplock','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,196,196,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(2340017,'Cayan Sable','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340018,'Knight-Captain Santis','','','','',9,134,32,0,1,1,9,13,0,1,1,1,0,11,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340019,'Mender Payne Bathton','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,91,91,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2340020,'Zentomaron Croosinaden','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340021,'Elliasenka Croosinaden','','','','',3,1590,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340022,'Farnsby Dunworth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340023,'Vondorinsarnoo','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340024,'Proprietor Blagard','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340025,'Bartender Bermo','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,136,136,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2340026,'Merchant Unuesh','<Merchant>','','','',3,1603,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(2340027,'Guard Renea','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340028,'Philosopher Orrinalanya','','','','',3,1593,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340029,'Angelia Clayton','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340030,'Innkeeper Jerben Sleepwell','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,241,241,0,0,33682,0,0,0,0,0,0,0,0,0,0,0,0),
(2340031,'Banker Orudormo','<Banker>','','','',3,1605,32,0,1,1,14,9,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340032,'Fawn Starstone','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340033,'Merchant Zinun Loospakina','<Merchant>','','','',3,1600,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2340034,'Scholar Obidudyn','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340035,'Alamara Luthanyia','','','','',3,1591,32,0,1,1,9,0,0,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340036,'Erian Seaver','<Crafting Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2340037,'Bowyer Grekin','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(2340038,'a scrawny rat','','','','',255,196,9,0,1,1,11,0,0,1,1,1,0,0,12,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340039,'Guard Sanoolielo','','','','',3,1603,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340040,'Alchemist Tanaira','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,136,136,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2340041,'Ommanoden','<Merchant>','','','',3,1606,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340042,'Luvile Binlee','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340043,'Gracen Docks','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340044,'Anevaya Starchaser','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340045,'Guard Binkum','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340046,'Oolimeminoso Pindiliana','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340052,'Scribe Ommanoden','<Merchant>','','','',3,1606,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402022,0,0,0,0,0,0,0,0,0,0,0,0),
(2340053,'Trainer Andor Quist','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100504,0,0,0,0,0,0,0,0,0,0,0,0),
(2340062,'Velderoth Malraen','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340072,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340073,'fountain_widget_object',NULL,'','','',0,49,32,0,1,1,1090,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340074,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340075,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340076,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340077,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340078,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340079,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340080,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340081,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340082,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340083,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340084,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340085,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340086,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340087,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340088,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340089,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340090,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340091,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340092,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340093,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2340094,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340095,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340096,'dpo_bow01_green',NULL,'','','',0,7075,31,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340097,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340098,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340099,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340100,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340101,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340102,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340103,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2340104,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340105,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340106,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340107,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340108,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340109,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340110,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340111,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340112,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340113,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340114,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340115,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340116,'qst_galintos_chess_1',NULL,'','','',0,1413,25,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340117,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340118,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340119,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2340120,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340121,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340122,'quest_relic_box_maareona',NULL,'','','',0,4658,32,0,1,1,1087,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340123,'quest_climbing_bench_maareona_cayan',NULL,'','','',0,2003,31,0,0,0,1088,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340124,'quest_crawling_bush_maareona_cayan',NULL,'','','',0,4076,49,0,0,0,1089,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340125,'Researcher Andor Quist',NULL,'','','',255,134,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340126,'Soul Spike Rack',NULL,'','','',0,2062,32,0,1,0,1202,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340127,'Soul Spike',NULL,'','','',0,2213,32,0,1,1,228,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340128,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340129,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340130,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340131,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340132,'mariners_bell',NULL,'','','',0,16,32,0,0,0,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2340133,'Sabotage_sabotage/freeport_2_x9_1',NULL,'','','',0,4613,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340134,'Sabotage_sabotage/freeport_2_x10_1',NULL,'','','',0,4659,32,0,1,1,228,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340135,'Sabotage_sabotage/freeport_2_x2_1',NULL,'','','',0,4609,32,0,1,1,878,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340136,'Sabotage_sabotage/freeport_2_x5_1',NULL,'','','',0,3189,32,0,1,1,357,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340137,'Sabotage_sabotage/freeport_2_x7_1',NULL,'','','',0,2143,32,0,1,1,296,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340138,'Sabotage_sabotage/freeport_2_x8_1',NULL,'','','',0,4605,32,0,1,1,296,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340139,'Sabotage_sabotage/freeport_2_x4_1',NULL,'','','',0,4615,32,0,1,1,228,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340140,'Sabotage_sabotage/freeport_2_x6_2',NULL,'','','',0,4607,32,0,1,1,879,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340141,'Sabotage_sabotage/freeport_2_x1_1',NULL,'','','',0,3552,32,0,1,1,755,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340142,'mariners_bell',NULL,'','','',0,16,32,0,0,0,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,196600,0,0,0,0,0,0,0,0),
(2340143,'Sabotage_sabotage/freeport_2_x6_1',NULL,'','','',0,4610,32,0,1,1,755,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340144,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340145,'sign_armorer',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340146,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340147,'zone_to_peatbog',NULL,'','','',0,49,32,0,0,0,363,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340148,'zone_to_qey_south',NULL,'','','',0,49,32,0,0,0,757,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340149,'coercer_epic_laelium_filmalilium',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340150,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,0,0,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340151,'sign_alchemist',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340152,'(unnamed)',NULL,'','','',0,49,32,0,1,1,363,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340153,'portal_to_steamfont',NULL,'','','',0,2306,48,0,1,1,1179,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340154,'Red Sun Berries',NULL,'','','',0,3909,25,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340155,'Chess Piece',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340156,'Guard Valerie','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340157,'Francine Talino','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340158,'Laurel Vivan','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340159,'Chadwick Strohn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2340160,'Evanloono','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,33638,0,0,0,0,0,0,0,0,0,0,0,0),
(2340161,'Fantalosia','','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340162,'Eusimonae','','','','',3,1590,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340163,'Hubert Downes','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340164,'Edgar Swoats','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340165,'Hubert Downes','','','','',9,23908,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340166,'Steward Daedeakovoon','','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,11,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340167,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9502,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340168,'Erian Seaver','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2340169,'garden soil',NULL,'','','',0,2916,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340170,'flowers',NULL,'','','',0,48,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340171,'shrub',NULL,'','','',0,1624,2,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2340172,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350000,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2350001,'a rat','','','','',255,196,9,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350002,'a shining nibbler','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,1,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350003,'a wharf rat','','','','',255,196,16,0,1,1,11,0,0,1,1,1,0,0,12,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350004,'Shipping Coordinator Hando','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350005,'Brice Strongmend','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350006,'Guard Deadeye','','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350007,'Burk Stoneshatter','<Barbarian Mentor>','','','',0,1468,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350008,'Provisioner Rafki','<Merchant>','','','',11,99,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2350009,'Angus Fallowfur','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350010,'Armsdealer Kaya','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(2350011,'Watcher Curmogliel Kar`thal','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350012,'Mender Ironmallet','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,18,151,151,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2350013,'Weaponsmith Soulforge','<Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,121,121,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(2350014,'Pathfinder Silentstride','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350015,'Watchman Fiercecry','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,2550,725,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350016,'Mav Boilfist','<Dwarf Mentor>','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350017,'Shieldsmith Steelvein','<Merchant>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(2350018,'Armorsmith Snowboot','<Merchant>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(2350019,'Gruffin Goldtooth','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350020,'Tacklemaster Moyna','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2350021,'Karg Icemoore','','','','',0,112,32,0,1,1,9,0,11500,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350022,'Jodi','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350023,'Lars Silverbrace','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350024,'Barry Viceheart','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350025,'Watchman Frerin','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350026,'Banker Dori','<Banker>','','','',2,109,32,0,1,1,14,9,0,0,0,1,0,0,18,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350027,'Assistant Jalan','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350028,'Ubani','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350029,'Fenris','','','','',255,216,16,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350030,'Carpenter Jorgie Icearmor','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350031,'Hargan Icethaw','','','','',0,112,32,0,1,1,9,0,11420,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350032,'Merchant Keldra Frosthaven','<Merchant>','','','',0,1464,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2350033,'Innkeeper Rothskild','<Merchant>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,33540,0,0,0,0,0,0,0,0,0,0,0,0),
(2350034,'Barmaid Violet','<Merchant>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,136,136,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2350035,'Marus Donoval','','','','',0,1467,32,0,1,1,9,0,11500,0,0,1,0,0,34,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350036,'Gnor Farven','','','','',2,1482,32,0,1,1,9,0,11500,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350037,'Dane Steelfist','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350038,'Bartender Coppershot','<Merchant>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,136,136,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2350039,'Cuddles','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,0,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350040,'Guile','','','','',255,272,22,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350041,'Tailor Bonin Broadhammer','<Merchant>','','','',2,1483,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(2350042,'Gurna Hadel','','','','',2,109,32,0,1,1,9,0,11500,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350043,'Knight-Captain Salomar','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,15000,5000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350044,'Bowyer McGuiggen','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2350045,'Valkyrie','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350046,'Guard Jenison','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350047,'Dunda Frostgrip','','','','',0,1463,32,0,1,1,9,0,0,0,0,1,0,0,34,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350048,'Graystone Courier Dirvel','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350049,'Golan Panicward','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350050,'Dorak Everstock','<Merchant>','','','',9,1481,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2350051,'Guard Beerocks','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350052,'Friskit','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350053,'an oily beetle','','','','',255,208,16,0,1,1,11,0,0,1,1,1,0,0,8,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350054,'Takk','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350055,'Mr. Clark','','','','',255,238,9,0,1,1,9,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350056,'Assistant Tillheel','<Merchant>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2350057,'Boomcast','<Linguist>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350058,'Trainer Oakfist','<Merchant>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100504,0,0,0,0,0,0,0,0,0,0,0,0),
(2350059,'Scribe Boomcast','<Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,201010,0,0,0,0,0,0,0,0,0,0,0,0),
(2350067,'courier_stop_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350068,'brew_barrel',NULL,'','','',0,49,32,0,0,0,1086,0,0,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350069,'courier_stop_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350070,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350071,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350072,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350073,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350074,'door_widget6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350075,'door_widget6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350076,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350077,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350078,'courier_stop_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350079,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350080,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350081,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350082,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350083,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350084,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350085,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350086,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350087,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350088,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350089,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350090,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350091,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350092,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350093,'dpo_bow01_red',NULL,'','','',0,7076,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350094,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350095,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350096,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350097,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350098,'dpo_holiday_candycane_small03_blue',NULL,'','','',0,7052,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350099,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350100,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4098,0,0,0),
(2350101,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,61,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350102,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,61,0,0,0,0,1,1,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350103,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350104,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350105,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350106,'floor_book_human_open02',NULL,'','','',0,3323,35,0,1,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350107,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350108,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350109,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350110,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350111,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350112,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350113,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350114,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350115,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350116,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350117,'fprt_tables_scribedesk01 ',NULL,'','','',0,1517,32,0,1,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350118,'qeynos_sign_post01',NULL,'','','',0,30,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350119,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350120,'dock_crate_1',NULL,'','','',0,1393,12,0,0,0,61,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350121,'dock_barrel_1',NULL,'','','',0,1389,32,0,0,0,61,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350122,'dock_barrel_correct',NULL,'','','',0,1389,32,0,0,0,61,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350123,'quest_shipment_1',NULL,'','','',0,1393,32,0,0,0,61,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350124,'quest_shipment_3',NULL,'','','',0,1393,32,0,0,0,61,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350125,'quest_shipment_2',NULL,'','','',0,1393,32,0,0,0,61,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350126,'Researcher Oakfist',NULL,'','','',255,110,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350127,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350128,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350129,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350130,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350131,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2350132,'floor_distillery_human_kitchen01',NULL,'','','',0,3412,64,0,1,1,830,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350133,'Sabotage_sabotage/freeport_2_x9_1',NULL,'','','',0,4613,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350134,'Sabotage_sabotage/freeport_2_x10_1',NULL,'','','',0,4659,32,0,1,1,228,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350135,'Sabotage_sabotage/freeport_2_x2_1',NULL,'','','',0,4609,32,0,1,1,878,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350136,'Sabotage_sabotage/freeport_2_x5_1',NULL,'','','',0,3189,32,0,1,1,357,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350137,'Sabotage_sabotage/freeport_2_x7_1',NULL,'','','',0,2143,32,0,1,1,296,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350138,'Sabotage_sabotage/freeport_2_x8_1',NULL,'','','',0,4605,32,0,1,1,296,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350139,'Sabotage_sabotage/freeport_2_x4_1',NULL,'','','',0,4615,32,0,1,1,228,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350140,'Sabotage_sabotage/freeport_2_x6_2',NULL,'','','',0,4607,32,0,1,1,879,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350141,'Sabotage_sabotage/freeport_2_x1_1',NULL,'','','',0,3552,32,0,1,1,755,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350142,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350143,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,262136,0,0,0,0,0,0,0,0),
(2350144,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350145,'Sabotage_sabotage/freeport_2_x6_1',NULL,'','','',0,4610,32,0,1,1,755,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350146,'sign_armorsmith',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350147,'sign_bank',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350148,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350149,'honey_4',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350150,'honey_2',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350151,'honey_1',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350152,'',NULL,'','','',0,49,32,0,1,1,1085,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350153,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,1,1,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350154,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350155,'sign_tavern',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350156,'yeast_3',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350157,'yeast_2',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350158,'yeast_1',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350159,'sign_scribe_shop',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350160,'frozen_cherries_3',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350161,'frozen_cherries_2',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350162,'frozen_cherries_1',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350163,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,1,1,1017,0,0,0,0,1,0,0,261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350164,'honey_3',NULL,'','','',0,49,32,0,1,1,257,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350165,'(unnamed)',NULL,'','','',0,49,32,0,1,1,1085,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350166,'location buoy',NULL,'','','',0,1389,9,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350167,'qst_unseenhand_crate_2',NULL,'','','',255,1393,32,0,0,0,61,0,0,0,0,1,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350168,'StoneOfKaladim',NULL,'','','',255,18980,32,0,1,1,0,0,0,1,1,0,0,0,32,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0),
(2350171,'Miner Goldclamp','','','','',2,110,32,0,1,1,9,0,11420,0,0,1,0,0,18,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350172,'Miner McHammer','','','','',2,1482,32,0,1,1,9,0,11420,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350173,'Haggard Talontear','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350174,'Lona Dolsar','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350175,'Tully Jamtoe','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350176,'Guard Evad','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350177,'Torr Hailstomp','','','','',0,1699,32,0,1,1,9,0,0,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350178,'Daisy Rockanger','','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350179,'Rolona Steinhold','','','','',2,1479,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350180,'Norville Burninghaunch','','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,33545,0,0,0,0,0,0,0,0,0,0,0,0),
(2350181,'Voltas Sealegs','','','','',6,78,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2350182,'Hanna Furycleaver','','','','',0,1462,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350183,'Lodz Bouldercrack','','','','',2,1484,32,0,1,1,9,0,0,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350184,'Steward Sal','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,11,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350185,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9502,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2350186,'Dorak Everstock','<Crafting Trainer>','','','',9,1481,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2360000,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2360001,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360002,'a shining nibbler','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360004,'Kwa Stalwart','<Froglok Mentor>','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360005,'Graac Justheart','','','','',4,4938,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360006,'Daylena Telanthis','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360007,'Vindain Greenfaith','<High Elf Mentor>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360008,'Bupipa Guryup','','','','',4,4940,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360009,'Guard Fibrone','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360010,'Kethelin Shadowcross','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360011,'Listalania Vainederian','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360012,'Taneranthalis Nedaiveren','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360013,'Foorog Gallantblade','','','','',4,3793,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360014,'Frup Groaak','','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360015,'Carpenter Goroop','<Merchant>','','','',4,3790,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(2360016,'Armorsmith Bhalastia','<Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(2360017,'Mender Lynne Elia','<Mender>','','','',8,135,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2360018,'Armsdealer Froptub','<Merchant>','','','',4,3788,35,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(2360019,'Aadalian Farenair','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360020,'Shieldsmith Payge Menedor','<Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(2360021,'Bartender Bulurg','<Merchant>','','','',4,4942,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2360022,'Entertainer Faeadaen','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360023,'Felwithe','','','','',255,306,25,0,1,1,9494,9,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360024,'Innkeeper Valean','<Merchant>','','','',8,136,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33314,0,0,0,0,0,0,0,0,0,0,0,0),
(2360025,'Dolthyryr Helyanwe','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360026,'Waitress Brooak','','','','',4,4944,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360027,'Banker Dalonalis','<Banker>','','','',8,136,32,0,1,1,14,9,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360028,'Guard Cinaldar','','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360029,'Sir Antylus Teraeth','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360030,'Grommluk Oognee','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360031,'Knight-Captain Gerathalas','','','','',8,136,32,0,1,1,9,13,0,1,1,1,0,11,28,15000,5000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360032,'Gilcirith Elensar','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360033,'Trainer Glump Marrblade','','','','',9,1431,32,0,1,1,1265,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360035,'Shae''Ahla','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360036,'Eireneith Alannia','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360037,'Faydwer','','','','',255,305,25,0,1,1,9494,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360038,'Apprentice Boggi','','','','',4,3787,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360039,'Merchant Fevalin','<Merchant>','','','',8,136,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2360040,'Merchant Kruuprum','<Merchant>','','','',5,3789,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33352,0,0,0,0,0,0,0,0,0,0,0,0),
(2360041,'Guard Sinanyala','','','','',8,135,28,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360042,'a stingrat','','','','',255,231,12,0,1,1,11,0,0,1,1,1,0,0,12,37,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360043,'Tailor Valinar','<Merchant>','','','',8,136,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(2360044,'Rrak Boldfist','','','','',4,77,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360045,'Bleemeb','<Linguist>','','','',4,3790,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360046,'Alchemist Cilindari','<Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2360047,'Yanari Cyellann','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360048,'Thibodeaux','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360051,'Lober','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360055,'Scribe Bleemeb','<Merchant>','','','',4,3790,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,402020,0,0,0,0,0,0,0,0,0,0,0,0),
(2360056,'Trainer Bubbler','<Merchant>','','','',4,1431,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100504,0,0,0,0,0,0,0,0,0,0,0,0),
(2360057,'An Agitated Green Wisp','','','','',255,274,9,0,1,1,11,0,0,1,1,1,0,1,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360058,'a devious sunshimmer sprite','','','','',255,164,32,0,1,1,11,0,0,1,1,1,0,0,48,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360059,'a devious sunshimmer sprite spirit','','','','',255,164,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360061,'Karobtik','Ekaitha''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360062,'Elandil','Elandil''s tellurian myrmidon','','','',255,8303,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360067,'Sickem','Daviss''s tellurian avenger','','','',255,2411,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360069,'Destruct','Plonsje''s tellurian myrmidon','','','',255,152,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360073,'fountain_of_life',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360074,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360075,'inspect_top01_innbookcase',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360076,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360077,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360078,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360079,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360080,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360081,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360082,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360083,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360084,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360085,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360086,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360087,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360088,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360089,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360090,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360091,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360092,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360093,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360094,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360095,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360096,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360097,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360098,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360099,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360100,'dpo_bow01_green',NULL,'','','',0,7075,31,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360101,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360102,'dpo_bow01_red',NULL,'','','',0,7076,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360103,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360104,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360105,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360106,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360107,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360108,'wood_plank',NULL,'','','',0,4676,31,0,1,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360109,'dpo_apple_pie',NULL,'','','',0,8720,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360110,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360111,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360112,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360113,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360114,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360115,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360116,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360117,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360118,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360119,'jack-o-lantern',NULL,'','','',0,5786,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360120,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360121,'qeynos_sign_post01',NULL,'','','',0,30,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360122,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360123,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360124,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360125,'a Rivervale barrel',NULL,'','','',0,2566,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360126,'fprt_hood_counter_wood_4mlong001',NULL,'','','',0,1508,31,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360127,'dock_crate_1',NULL,'','','',0,1393,18,0,1,0,61,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360128,'dpo_stocking_darkver_purple_large',NULL,'','','',0,8762,27,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360129,'Researcher Bubbler',NULL,'','','',255,1431,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360130,'Corrupted Green Wisp',NULL,'','','',0,1622,16,0,1,1,1167,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360131,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360132,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360133,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360134,'mariners_bell',NULL,'','','',0,16,32,0,0,0,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2360135,'Sabotage_sabotage/freeport_2_x9_1',NULL,'','','',0,4613,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360136,'Sabotage_sabotage/freeport_2_x10_1',NULL,'','','',0,4659,32,0,1,1,228,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360137,'Sabotage_sabotage/freeport_2_x2_1',NULL,'','','',0,4609,32,0,1,1,878,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360138,'Sabotage_sabotage/freeport_2_x5_1',NULL,'','','',0,3189,32,0,1,1,357,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360139,'Sabotage_sabotage/freeport_2_x7_1',NULL,'','','',0,2143,32,0,1,1,296,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360140,'Sabotage_sabotage/freeport_2_x8_1',NULL,'','','',0,4605,32,0,1,1,296,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360141,'Sabotage_sabotage/freeport_2_x4_1',NULL,'','','',0,4615,32,0,1,1,228,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360142,'Sabotage_sabotage/freeport_2_x6_2',NULL,'','','',0,4607,32,0,1,1,879,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360143,'Sabotage_sabotage/freeport_2_x1_1',NULL,'','','',0,3552,32,0,1,1,755,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360144,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360145,'mariners_bell',NULL,'','','',0,16,32,0,0,0,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,262136,0,0,0,0,0,0,0,0),
(2360146,'planter_2',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360147,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360148,'planter_1',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360149,'Sabotage_sabotage/freeport_2_x6_1',NULL,'','','',0,4610,32,0,1,1,755,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360150,'sign_weaponsmith',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360151,'planter_7',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360152,'barrel_with_enriched_soil',NULL,'','','',0,49,32,0,1,1,1084,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360153,'planter_8',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360154,'sign_inn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360155,'planter_3',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360156,'sign_bank',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360157,'planter_4',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360158,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,0,0,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360159,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,1,1,1017,0,0,0,0,1,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360160,'',NULL,'','','',0,49,32,0,0,0,1085,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360161,'planter_6',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360162,'sign_alchemist',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360163,'planter_5',NULL,'','','',0,49,32,0,1,1,1083,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360164,'to_oakmyst',NULL,'','','',0,49,32,0,0,0,1085,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360165,'Green Wisp',NULL,'','','',0,1622,23,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360166,'Green Wisp 4',NULL,'','','',0,1622,19,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360167,'Green Wisp 3',NULL,'','','',0,1622,19,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360168,'Green Wisp 6',NULL,'','','',0,1622,17,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360169,'Green Wisp 5',NULL,'','','',0,1622,16,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360170,'Green Wisp 7',NULL,'','','',0,1622,19,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360171,'Green Wisp 8',NULL,'','','',0,1622,22,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360172,'Green Wisp 1',NULL,'','','',0,1622,20,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360173,'Green Wisp 2',NULL,'','','',0,1622,13,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360174,'Steward Quyntar','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,11,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360175,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360176,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,0,0,0,0,0,1,1,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360177,'Trilaea Millori','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360178,'Gurpkaye Marrcap','','','','',4,76,32,0,1,1,9,0,0,0,0,1,0,0,34,6800,800,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(2360179,'Trinatalis Valdamaya','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360180,'Fulb','','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360181,'Blurgg','','','','',4,4944,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360182,'Kerluk Marrstand','','','','',4,1430,32,0,1,1,9,0,0,0,0,1,0,0,34,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360183,'Vennip Ogbin','','','','',4,4938,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360184,'Siallo Halvion','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360185,'Guard Analaeia','','','','',8,135,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2360186,'Savanthis Halin''thel','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370000,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2370001,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370002,'Hunter Lathar Forestdeep','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370003,'Provisioner Aelia Oakweaver','<Merchant>','','','',15,1443,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2370004,'Banker Deephathom','<Banker>','','','',6,79,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370005,'Shieldsmith Summerglint','<Merchant>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(2370006,'Trelly Greenfoot','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,26,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370007,'Merchant Thea Wavecrasher','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(2370008,'Merchant Oseof Crestryder','<Crafting Trainer>','','','',9,78,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2370009,'Taval Zane','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370010,'Bowyer Trueshot','<Merchant>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402027,0,0,0,0,0,0,0,0,0,0,0,0),
(2370011,'Faydark','','','','',255,306,22,0,1,1,9494,9,0,0,0,1,1,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370012,'Innkeeper Yeoni','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,20,211,211,0,0,27473,0,0,0,0,0,0,0,0,0,0,0,0),
(2370013,'Feredir Na''Duath ','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370014,'Merchant Drystan Seaside','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,121,121,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2370015,'Kualdin Swoonsong','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370016,'Thayare Faystrider','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370018,'Alchemist Rainwander','<Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2370019,'Mender Zanhass Mossclean','<Mender>','','','',15,113,32,0,1,1,12,9,0,0,0,1,0,0,28,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2370020,'Armsdealer Briget Crestmyst','<Merchant>','','','',6,79,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(2370021,'Armorsmith Baynor','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,166,166,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(2370022,'Rebeka Lori','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370023,'Bartender Honeysuckle','<Merchant>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2370024,'Jana Windstream','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370025,'Kelethin','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370026,'Gar Smolten','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370027,'Guard Salinor','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370028,'Milo Faren','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370029,'Lyssia Delnara','','','','',15,1441,32,0,1,1,9,0,0,0,0,1,0,0,28,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370030,'Lia Serene','','','','',15,1442,32,0,1,1,9,0,0,0,0,1,0,0,28,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370031,'Guard Windstep','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370032,'Hunter Vannil','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370033,'Davyn Thornbranch','','','','',15,1448,32,0,1,1,9,0,0,0,0,1,0,0,28,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370034,'an oakmyst great bear','','','','',255,198,32,0,1,1,9495,0,0,0,0,1,1,0,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370035,'Jendan Greenthorn','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370036,'Guard Walterson','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370037,'Daelyn Twinstar','<Half Elf Mentor>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370038,'Aelis','<Wood Elf Mentor>','','','',15,1444,32,0,1,1,9,0,0,0,0,1,0,0,28,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370039,'a shining nibbler','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370042,'Trainer Sandsea','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,100504,0,0,0,0,0,0,0,0,0,0,0,0),
(2370043,'Scribe Salinia Brooklily','<Merchant>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,136,136,0,0,402023,0,0,0,0,0,0,0,0,0,0,0,0),
(2370045,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370046,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370047,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370048,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370049,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370050,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370051,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370052,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370053,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370054,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370055,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370056,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,33,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370057,'floor_book_human_open02',NULL,'','','',0,3323,19,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370058,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370059,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370060,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370061,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370062,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370063,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370064,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370065,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370066,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370067,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370068,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370069,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370070,'pillow_green',NULL,'','','',0,2751,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370071,'fishing_pole_00',NULL,'','','',0,5745,31,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370072,'Researcher Sandsea',NULL,'','','',255,78,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370073,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370074,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370075,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370076,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370077,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370078,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2370079,'Sabotage_sabotage/freeport_2_x9_1',NULL,'','','',0,4613,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370080,'Sabotage_sabotage/freeport_2_x10_1',NULL,'','','',0,4659,32,0,1,1,228,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370081,'sign_bank',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370082,'Sabotage_sabotage/freeport_2_x2_1',NULL,'','','',0,4609,32,0,1,1,878,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370083,'Sabotage_sabotage/freeport_2_x5_1',NULL,'','','',0,3189,32,0,1,1,357,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370084,'Sabotage_sabotage/freeport_2_x7_1',NULL,'','','',0,2143,32,0,1,1,296,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370085,'Sabotage_sabotage/freeport_2_x8_1',NULL,'','','',0,4605,32,0,1,1,296,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370086,'Sabotage_sabotage/freeport_2_x4_1',NULL,'','','',0,4615,32,0,1,1,228,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370087,'sign_inn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370088,'Sabotage_sabotage/freeport_2_x6_2',NULL,'','','',0,4607,32,0,1,1,879,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370089,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370090,'Sabotage_sabotage/freeport_2_x1_1',NULL,'','','',0,3552,32,0,1,1,755,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370091,'sign_scribe',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370092,'sign_armorer',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370093,'a crate',NULL,'','','',0,3150,32,0,1,1,322,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370094,'a crate',NULL,'','','',0,3150,50,0,1,1,322,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370095,'a crate',NULL,'','','',0,3150,32,0,1,1,322,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370096,'a crate',NULL,'','','',0,3150,31,0,1,1,322,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370097,'a crate',NULL,'','','',0,3150,45,0,1,1,322,0,0,0,0,1,1,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370098,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,1,1,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370099,'zone_to_qey_adv02_ruins',NULL,'','','',0,49,32,0,1,1,880,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370100,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,1,1,758,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370101,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,262136,0,0,0,0,0,0,0,0),
(2370102,'Woodsun Flowers',NULL,'','','',0,1738,26,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370103,'a Dewdrop bush',NULL,'','','',0,3908,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370104,'a fallen egg',NULL,'','','',0,1667,16,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370105,'a rescued egg',NULL,'','','',0,1667,9,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370106,'a loose piece of paper',NULL,'','','',0,5261,30,0,1,1,33,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370107,'a rabid wolf',NULL,'','','',255,216,20,0,1,1,0,0,0,1,1,0,0,0,32,101,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370108,'Daryann Stormrider',NULL,'','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0),
(2370109,'Avilon Blueheart','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370110,'Knight-Captain Skyreach','','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,32,15000,5000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370111,'Steward Kianoa','','','','',9,1444,32,0,1,1,9,0,0,0,0,1,0,11,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2370112,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9502,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380000,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2380001,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380002,'Rebik Sprocketrock','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380003,'Gornit Penwiggle','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380004,'Remo Zigg','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380005,'Fillzer Fuzzle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380006,'Tailor Peona Toughins','<Merchant>','','','',6,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(2380007,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380008,'a celebrating gnome','','','','',5,122,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380009,'Jayla Midhop','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380010,'Zipiff Clamorclang','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380011,'Smithy Findlebop','<Shieldsmith>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100508,0,0,0,0,0,0,0,0,0,0,0,0),
(2380012,'Deputy Cliffordson','','','','',7,108,32,0,1,1,13,11,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380013,'Mangler XIII','','','','',255,216,9,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380014,'Mangler XII','','','','',255,216,16,0,1,1,9,0,0,0,0,1,0,0,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380016,'Tinkerer Spindlecog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380017,'Bolo Brassharp','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380018,'Innkeeper Millbanks','<Housing>','','','',7,107,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,31554,0,0,0,0,0,0,0,0,0,0,0,0),
(2380019,'Banker Drizzcopper','<Banker>','','','',5,121,32,0,1,1,14,9,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380020,'Jum Jum','','','','',255,272,25,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380021,'Misty','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380022,'Ganla Dindlenod','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380023,'Nyla Diggs','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380024,'Guard Fullgrin','','','','',2,110,32,0,1,1,11,9,0,1,1,1,0,11,34,6000,1325,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380025,'Rala Eurocarry','<Crafting Trainer>','','','',9,122,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2380026,'Drundo Parn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380027,'Barmaid Estella Muddyfoot','<Merchant>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,91,91,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(2380028,'Tapster Bregun','<Bartender>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,121,121,0,0,100507,0,0,0,0,0,0,0,0,0,0,0,0),
(2380029,'Mirf Guinders','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380030,'Lozoria Shinkicker','','','','',7,108,32,0,1,1,9,0,11500,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380031,'Merchant Kaldin Deeppockets','<General Goods>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(2380032,'Yola Sindlefop','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380033,'Lance','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,11,32,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380034,'Deputy Splitshin','','','','',7,108,32,0,1,1,13,11,0,1,1,1,0,11,34,1475,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380035,'Maela Meadows','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380036,'Geologist Quardifle','','','','',5,121,32,0,1,1,9,0,11420,0,0,1,0,0,16,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380037,'Algan Tinmizer','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380038,'Neezer Grund','<Gnome Mentor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,76,76,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2380039,'Rondo \"The Belly\" Roundstew','<Halfling Mentor>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,136,136,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2380040,'Byrtle Bobblepeg','<Bowyer>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402027,0,0,0,1310716,0,0,0,0,0,0,0,0),
(2380041,'Bizrinn Clamorclang','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380042,'Arbuthnot Jumroller','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380043,'Sage Xoort','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380044,'Marshal Surefoot','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,780,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380045,'Pirnook Valewine','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380046,'Mender Brera Pinthumb','<Mender>','','','',5,122,32,0,1,1,12,9,0,0,0,1,0,0,34,181,181,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2380047,'Tawli Whiskwind','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380048,'Merchant Dondl Fuzzlecutter','<Curiosities>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100497,0,0,0,0,0,0,0,0,0,0,0,0),
(2380049,'Armorsmith Diggin Diggs','<Merchant>','','','',7,108,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(2380051,'Wholesaler Soly Gatherall','','','','',7,107,32,0,1,1,10,0,0,0,0,1,0,0,34,181,181,0,0,35531,0,0,0,0,0,0,0,0,0,0,0,0),
(2380053,'Fuddletupper','<Celebrations Coordinator>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380058,'Scribe Wazzleburn','<Scribe>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402024,0,0,0,0,0,0,0,0,0,0,0,0),
(2380059,'Trainer Oatheaver','<Combat Trainer>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100504,0,0,0,0,0,0,0,0,0,0,0,0),
(2380066,'Booboo','','','','',255,8869,9,3,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380067,'a honey guardian','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380071,'widget_player_housing_0',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380072,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380073,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380074,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380075,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380076,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380077,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380078,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380079,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380080,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380081,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380082,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380083,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380084,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380085,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380086,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380087,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380088,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380089,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380090,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380091,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380092,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380093,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380094,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380095,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380096,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380097,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380098,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380099,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380100,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380101,'candles1',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380102,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380103,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380104,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380105,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380106,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380107,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380108,'dpo_stocking_darkver_female_warg_spotted',NULL,'','','',0,8756,28,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380109,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380110,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380111,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380112,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380113,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380114,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380115,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380116,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380117,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380118,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380119,'jack-o-lantern',NULL,'','','',0,5787,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380120,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380121,'ornate_gold_gear',NULL,'','','',0,10625,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380122,'tinkers_round_table',NULL,'','','',0,10593,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380123,'gnome_lamppost_red',NULL,'','','',0,10579,32,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380124,'large_grey_gear',NULL,'','','',0,10557,53,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380125,'Gnomish Heating Device',NULL,'','','',0,5209,32,0,1,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380126,'a Baubbleshire rat',NULL,'','','',255,196,9,0,1,1,11,0,0,1,1,1,0,0,32,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380127,'beehive',NULL,'','','',0,5924,32,0,1,1,1020,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380128,'Researcher Oatheaver',NULL,'','','',255,108,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380129,'beehive',NULL,'','','',0,5923,32,0,1,1,1020,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380130,'beehive',NULL,'','','',0,5922,32,0,1,1,1020,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380131,'quest_bizrinnparts',NULL,'','','',0,3080,11,0,0,0,1021,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380132,'jack-o-lantern',NULL,'','','',0,5785,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380133,'dpo_soleye_gnome_rockpick02',NULL,'','','',0,10586,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380134,'gnome_lamp_green',NULL,'','','',0,10580,16,0,1,1,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380135,'gnome_mug',NULL,'','','',0,10594,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380136,'gnome_lamppost_green',NULL,'','','',0,10578,32,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380137,'spoked_yellow_gear_rotating',NULL,'','','',0,10569,8,0,1,1,0,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380138,'spoked_red_gear_rotating',NULL,'','','',0,10567,8,0,1,1,0,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380139,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380140,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380141,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380142,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,1,1,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380143,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(2380144,'Sabotage_sabotage/freeport_2_x9_1',NULL,'','','',0,4613,32,0,1,1,228,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380145,'Sabotage_sabotage/freeport_2_x10_1',NULL,'','','',0,4659,32,0,1,1,228,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380146,'Sabotage_sabotage/freeport_2_x2_1',NULL,'','','',0,4609,32,0,1,1,878,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380147,'Sabotage_sabotage/freeport_2_x5_1',NULL,'','','',0,3189,32,0,1,1,357,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380148,'Sabotage_sabotage/freeport_2_x7_1',NULL,'','','',0,2143,32,0,1,1,296,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380149,'Sabotage_sabotage/freeport_2_x8_1',NULL,'','','',0,4605,32,0,1,1,296,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380150,'Sabotage_sabotage/freeport_2_x4_1',NULL,'','','',0,4615,32,0,1,1,228,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380151,'Sabotage_sabotage/freeport_2_x6_2',NULL,'','','',0,4607,32,0,1,1,879,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380152,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380153,'Sabotage_sabotage/freeport_2_x1_1',NULL,'','','',0,3552,32,0,1,1,755,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380154,'gnome_crank_machine',NULL,'','','',0,5210,32,0,1,1,0,0,16301,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380155,'gnome_gearpiece',NULL,'','','',0,10574,32,0,1,1,0,0,1799,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380156,'sign_armorer',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380157,'sign_bank',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380158,'zone_to_qey_adv02_ruins',NULL,'','','',0,49,32,0,1,1,880,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380159,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,1,1,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380160,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,1,1,758,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380161,'sign_tavern',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380162,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,262136,0,0,0,0,0,0,0,0),
(2380163,'Gnomish Spirits',NULL,'','','',0,9584,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380164,'teleporter_to_steamfont',NULL,'','','',0,2306,32,0,1,1,45,0,14721,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380165,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,1024,0,0,0),
(2380166,'!',NULL,'','','',0,10634,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,256,0,0,0),
(2380167,'a Misty Thicket Shadebloom',NULL,'','','',0,1738,28,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380168,'scrap metal',NULL,'','','',0,1580,24,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380169,'Testing NPC','Script Testing','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380170,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2380171,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,256,0,0,0),
(2380172,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0),
(2380173,'Steward Leon','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380174,'Bink Oakshire','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380175,'Alchemist Drizzledrop','<Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(2380176,'Merchant Byrtle Bobblepeg','<General Goods>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,786435,0,0,0,0,0,0,0,0),
(2380177,'Bowyer Fallowheart','<Merchant>','','','',5,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402027,0,0,0,786435,0,0,0,0,0,0,0,0),
(2380178,'Groundskeeper Greenlock','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380179,'Donna Fairbanks','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380180,'Guard Tergon Tobokog','<Guard>','','','',5,121,32,0,1,1,13,9,0,1,1,1,0,11,17,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380181,'Kimble Gasketphizz','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380182,'Riddle Vandersplunk','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380183,'Jarah Wubblewagger','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380184,'a shining nibbler','','','','',255,204,9,0,1,0,0,0,0,0,0,0,0,0,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380185,'a harbor pincher','','','','',255,211,25,3,1,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380186,'to_qey_citizenship_trial',NULL,'','','',0,4064,32,0,0,0,9508,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380187,'Armsdealer Mugin Splitshin','<Merchant>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,11,34,226,226,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(2380188,'a duck','','','','',255,269,32,0,1,1,9,0,0,0,0,1,0,0,8,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380189,'Antonia''s Citizenship Gaze',NULL,'','','',0,2306,128,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380190,'Antonia''s Citizenship Gaze from City Gates',NULL,'','','',0,2306,128,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2380191,'Advancement Gaze',NULL,'','','',0,2306,128,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390000,'artifact adder 2','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390001,'artifact adder 3','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390002,'artifact adder 1','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390003,'artifact adder 4','','','','',0,4479,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390004,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390005,'a Stone Hive guardian','','','','',255,276,54,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390006,'a Stone Hive worker','','','','',255,276,46,2,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390007,'a carnivorous feeder','','','','',255,204,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390008,'a Darkflight reaper','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390009,'a Darkflight witch','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390010,'a desecrated vale sapling','','','','',255,212,64,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390011,'a bramble beast','','','','',255,274,54,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390012,'a Darkflight deathwisher','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390013,'a Darkflight painweaver','','','','',255,181,73,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390014,'a bramble terror','','','','',255,274,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390015,'a shadowed halfling','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390016,'a desecrated vale oak','','','','',255,212,112,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390017,'a shadowed halfling','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390018,'Kibarn','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390019,'a shadowed halfling','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390020,'a shadowed halfling','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390021,'a shadowed halfling','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390022,'Hammerthorn','','','','',255,274,83,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390023,'a shadow hound','','','','',255,1374,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390024,'a tainted maiden','','','','',255,174,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390025,'Deputy Hillview','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390026,'Deputy Carver','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390027,'Deputy Oakstout','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390028,'Tilla Oakshire','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390029,'Deputy Underthorn','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390030,'Tamli Warmweather','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390031,'Pugden Mistymorn','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390032,'Bartender Blestbarrel','<Bartender>','','','',7,108,32,0,1,1,9,1265,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390033,'a lamia deathcaller','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390034,'Edwyn Oakshire','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390035,'Lyricks Tonefork','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390036,'the hagralaphone','','','','',255,3495,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390037,'Janna Windleaf','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390038,'Trubba Golden','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390039,'Sprella Rushwater','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390040,'a carnivorous ripper','','','','',255,204,51,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390041,'a tainted nymph','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390042,'a direwolf','','','','',255,1374,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390043,'Liddy Bobick','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390044,'a rabid jaggedtooth','','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390045,'a rabid pup','','','','',255,1374,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390046,'a carnivorous hound','','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390047,'Nillipuss','','','','',15,1487,12,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390048,'a corrupted bandit','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390049,'a corrupted brigand','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390050,'Deputy Hawkeye','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390051,'a rabid hound','','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390052,'a crazed thief','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390053,'a deceptive thief','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390054,'a corrupted thief','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390055,'Grizzlemaw','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390056,'Merchant Timbertop','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390057,'Professor Dandle Farfeather','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390058,'Sheriff Anrey Scarfoot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390059,'Nerrith Underroot','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390060,'Nedrin Deeppockets','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390061,'Murial Silvershire','','','','',7,107,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390062,'Lissa Warmwind','','','','',7,107,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390063,'Lesly Riverwhisper','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390064,'Hethren Silvershire','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390065,'Deputy Slyfoot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390066,'Fredwen Goldsyrup','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390067,'Beanna Inktoes','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390068,'Deputy Bristletoe','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390069,'Provisioner Gundle','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390070,'Commissioner Dogweed','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390071,'Sorris Grubbelly','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390072,'Felderin Beddleknopps','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390073,'Dusty Gustrin','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390074,'Bartender Berrystein','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390075,'Deputy Spurrfire','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390076,'Thorpe','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390077,'Deputy Crookfellow','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390078,'Clay Trodden','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390079,'Banker Fargrove','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390080,'Merchant Alefirst','<General Goods>','','','',7,108,32,0,1,1,11,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390081,'Juno Oakbranch','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390082,'Deputy Shallowfoot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390083,'Terryn Brookwaters','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390084,'Franny','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390085,'Barmaid Rosaline','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390086,'Alchemist Janicia','<Alchemist>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390087,'Bindo Halfbottom','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390088,'Seelya Spoolfingers','','','','',7,107,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390089,'Darly Brookwaters','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390090,'Treedin Merrythorn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390091,'Ivy Dewshine','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390092,'a deputy moppet','','','','',255,149,12,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390093,'Merchant Rosewood','<General Goods>','','','',7,107,32,0,1,1,11,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390094,'Deputy Guraffin','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390095,'a vale nymph seedling','','','','',255,173,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390096,'a vale deer','','','','',255,206,20,4,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390097,'a vale nymph','','','','',255,173,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390098,'a wax worker','','','','',255,217,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390099,'a blightrat avenger','','','','',255,231,76,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390100,'Grumblerutt','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390101,'Yania Wanderhill','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390102,'Tobi Wanderhill','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390103,'a marshal moppet','','','','',255,149,12,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390104,'a young blightrat','','','','',255,231,64,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390105,'a snapjaw blightrat','','','','',255,231,76,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390106,'a Deranged Tailor','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390107,'a corrupted merchant','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390108,'a corrupted brewer','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390109,'a lamia assassin','','','','',255,1378,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390110,'Rando Vineweaver','','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390111,'Norma Vineweaver','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390112,'a blightrat','','','','',255,231,76,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390113,'Burdop','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390114,'a fetid blightrat','','','','',255,231,89,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390115,'Blightwhip','','','','',255,231,102,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390116,'a maiden of midnight','','','','',255,173,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390117,'a vale temptress','','','','',255,173,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390118,'Mangler','','','','',255,2835,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390119,'a vale maiden','','','','',255,173,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390120,'a tainted nymph seedling','','','','',255,174,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390121,'a withered bramble','','','','',255,274,44,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390122,'Kanto Guinders','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390123,'Valerunner','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390124,'a lamia soulsiren','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390125,'a lamia savage','','','','',255,1378,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390126,'a field fright','','','','',255,261,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390127,'Shakey','','','','',255,261,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390128,'a vale deer','','','','',255,206,24,8,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390129,'a corrupted seamstress','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390130,'Gann','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390131,'a corrupted tailor','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390132,'Jarer','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390133,'Gabaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390134,'Zibaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390135,'Niloo Riverbend','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390136,'an undertow puppet','','','','',255,195,44,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390137,'Deputy Humblefoot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390138,'Karn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390139,'a nightblood harrower','','','','',255,1585,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390140,'Merrin Northfield','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390141,'Chani Northfield','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390142,'Lebtik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390143,'a nightblood shadowrage','','','','',255,1585,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390144,'Ganer','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390145,'Jentik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390146,'Karer','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390147,'Xoner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390148,'Xann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390149,'Zonaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390150,'a nightblood tormentor','','','','',255,1585,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390151,'a nightblood firefury','','','','',255,1585,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390152,'Xelindros the Fearbringer','','','','',255,1585,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390153,'Zoneker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390154,'Gebeker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390155,'Zabab','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390156,'?','','','','',7,2306,32,0,1,1,0,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390157,'Deputy Stonewall','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390158,'Jabekab','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390159,'Xibann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390160,'Gibanab','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390161,'Kenantik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390162,'Xebekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390163,'Karekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390164,'Gobeker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390165,'a desecrated vale oak','','','','',255,212,112,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390166,'a desecrated vale oak','','','','',255,212,112,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390167,'a desecrated vale oak','','','','',255,212,112,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390168,'Willowmaw the Rotting','','','','',255,212,121,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390169,'Kastik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390170,'Vibobtik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390171,'Zebann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390172,'Gasn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390173,'Historian Elderoak','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390174,'Deputy Strongroot','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390175,'Deputy Grovewander','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390176,'Deputy Greenhill','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390177,'Alegos the Betrayer','','','','',255,1585,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390178,'Zebtik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390179,'Rukir Pineleaf','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390180,'Demeroth the Gnawer','','','','',255,1585,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390181,'Kenaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390182,'Lenarab','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390183,'a peculiar chest','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390184,'The Dawn Maiden','','','','',255,173,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390185,'Korav Traxul','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390186,'Zabarn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390187,'Gararn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390188,'Gebann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390189,'Jonobtik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390190,'Vonarn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390191,'Jasartik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390192,'Laner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390193,'Garer','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390194,'Gasekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390195,'Kebartik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390196,'The Overfiend','','','','',255,1585,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390197,'Gabekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390198,'Kosaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390199,'Kibeker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390200,'Xontik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390201,'Jararn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390202,'Kasaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390203,'Zekab','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390204,'Xararn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390205,'Kekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390206,'Kann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390207,'Jarer','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390208,'Zobaner','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390209,'Zabann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390210,'Jenarab','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390211,'Vabeker','A shadowed halfling''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390212,'Kobekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390213,'Genarn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390214,'Jeker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390215,'a Demented Alchemist','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390216,'Nekromel','Nekromel''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390217,'Nekromel','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390218,'Laner','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390219,'Gonartik','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390220,'Viber','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390221,'Kabtik','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390222,'Jarober','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390223,'Vasekn','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390224,'Joser','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390225,'Kobab','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390226,'Lenann','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390227,'Vebeker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390228,'Josarer','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390229,'Loneker','A lamia deathcaller''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390230,'Kebn','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390231,'Josn','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390232,'Borbin the Prevailer','','','','',7,2848,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390233,'Sackandsugar''s netherlord','','','','',255,1585,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390234,'Sackandsugar''s dark broodling','','','','',255,3693,26,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390236,'Pikelet','Sackandsugar''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390237,'Koseker','Minion of Thule','','','',255,1638,12,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390238,'Lonantik','Tecno''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390239,'Seipher','Seipher''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390240,'Bocu''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390241,'Myst','Azifigiveahoot''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390242,'The Dusk Maiden','','','','',255,174,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390243,'Gantik','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390244,'Mirrona','Babyolia''s Personae Reflection','','','',9,79,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390245,'Kobantik','A shadowed halfling''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390246,'Lonantik','A shadowed halfling''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390247,'10_drafling_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390248,'09_evil_home_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390249,'09_evil_home_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390250,'09_evil_home_7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390251,'09_evil_home_6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390252,'09_evil_home_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390253,'09_evil_home_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390254,'06_evil_house_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390255,'06_evil_house_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390256,'item_quest_ten_gallon_boots',NULL,'','','',0,49,32,0,1,1,566,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390257,'06_wearyfoot_13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390258,'06_wearyfoot_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390259,'06_wearyfoot_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390260,'06_wearyfoot_12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390261,'06_wearyfoot_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390262,'06_wearyfoot_9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390263,'06_wearyfoot_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390264,'06_wearyfoot_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390265,'06_wearyfoot_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390266,'06_wearyfoot_7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390267,'06_wearyfoot_6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390268,'06_wearyfoot_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390269,'06_evil_house_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390270,'06_evil_house_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390271,'quest_tome_deasie_proverbs',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390272,'widget_water_pump',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390273,'03_merchant_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390274,'03_foolsgold_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390275,'03_foolsgold_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390276,'03_foolsgold_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390277,'03_foolsgold_7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390278,'03_bank_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390279,'03_bank_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390280,'03_merchant_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390281,'02_alchemist_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390282,'03_foolsgold_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390283,'03_foolsgold_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390284,'03_foolsgold_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390285,'tome_mastery_nightblood_widget',NULL,'','','',0,49,32,0,0,0,567,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390286,'widget_spinning_wheel',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390287,'03_merchant_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390288,'03_home_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390289,'03_home_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390290,'03_evil_merchant_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390291,'03_evil_merchant_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390292,'04_evil_merchant_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390293,'02_evil_home_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390294,'04_evil_merchant_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390295,'04_evil_merchant_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390296,'quest_tartons_wheel_fana',NULL,'','','',0,49,32,0,1,1,568,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390297,'07_barn_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390298,'06_wearyfoot_11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390299,'06_wearyfoot_8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390300,'06_evil_mill_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390301,'06_evil_mill_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390302,'06_evil_mill_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390303,'06_evil_mill_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390304,'07_barn_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390305,'07_farmhouse_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390306,'widget_square_stove',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390307,'quest_tome_goblin_history_vol1',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390308,'08_granary_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390309,'08_granary_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390310,'09_evil_home_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390311,'09_evil_home_8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390312,'09_evil_home_9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390313,'09_evil_home_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390314,'quest_toolkeg',NULL,'','','',0,49,32,0,1,1,900,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390315,'09_hallcircles_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390316,'',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390317,'quest_tome_collapse',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390318,'widget_book_stack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390319,'09_evil_bank_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390320,'09_evil_bank_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390321,'widget_key_rack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390323,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390324,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390325,'magic_globe_red',NULL,'','','',0,4733,24,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390326,'floor_books_any_mixed04',NULL,'','','',0,2594,18,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390327,'white_candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390329,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390330,'widget_book',NULL,'','','',0,1607,32,0,1,1,59,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390331,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390332,'floor_books_any_mixed05',NULL,'','','',0,2595,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390333,'floor_distillery_human_crucible01',NULL,'','','',0,3410,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390334,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390335,'void_object_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390336,'floor_distillery_human_crucible02',NULL,'','','',0,3411,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390337,'aoi, drafling snoring',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390338,'Memos of the Drafling',NULL,'','','',0,1453,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390339,'gnome_musicmachine_03',NULL,'','','',0,7312,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390340,'gnome_musicmachine_02',NULL,'','','',0,3252,19,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390341,'gnome_musicmachine_01',NULL,'','','',0,5210,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390342,'creamy pie table',NULL,'','','',0,2095,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390343,'Neeta Cabbageleaf',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390344,'floor_potionbottle_any_medium02',NULL,'','','',0,2620,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390345,'floor_potionbottle_any_large01',NULL,'','','',0,2614,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390346,'Box of letters in Food on Foot',NULL,'','','',0,1937,14,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390347,'Book containing records of Kevlin''s Gear outfitter',NULL,'','','',0,1453,34,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390348,'Book containing orders for Digg''s Tall and Stout',NULL,'','','',0,1453,53,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390349,'draconic_widget10',NULL,'','','',0,4163,32,0,0,0,57,0,0,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390350,'jumjumjar',NULL,'','','',0,1434,32,0,1,1,878,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390351,'draconic_widget09',NULL,'','','',0,4168,32,0,0,0,57,0,0,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390352,'Chest contains the Fiddy Bobick Nautical Journal Sea, Sails and ',NULL,'','','',0,3075,25,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390353,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390354,'zone_to_drafling',NULL,'','','',0,49,32,0,0,0,563,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390355,'a crate of salted minnows',NULL,'','','',0,2679,32,0,1,1,211,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390356,'blueprint_kilroy',NULL,'','','',0,2434,32,0,1,1,135,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390357,'bucket_kilroy',NULL,'','','',0,1621,32,0,1,1,135,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390358,'zone_to_enchanted',NULL,'','','',0,49,32,0,0,0,136,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390359,'bench_kilroy',NULL,'','','',0,2002,19,0,1,1,135,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390360,'a mayor moppet',NULL,'','','',0,149,12,0,1,1,569,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390361,'a fisherman moppet',NULL,'','','',0,149,12,0,1,1,570,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390362,'a farmer moppet',NULL,'','','',0,149,12,0,1,1,571,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390363,'a tailor moppet',NULL,'','','',0,149,12,0,1,1,572,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390364,'skeleton_kilroy',NULL,'','','',0,2431,21,0,1,1,135,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390365,'ale_kilroy',NULL,'','','',0,2433,32,0,1,1,135,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390366,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390367,'bedlam of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390368,'lithic stone',NULL,'','','',0,1550,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390369,'sedimentary ore',NULL,'','','',0,3956,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390370,'corrupted arbor',NULL,'','','',0,3933,32,0,1,1,8,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390371,'insidious roots',NULL,'','','',0,1730,32,0,1,1,2,0,0,0,0,1,1,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390372,'tainted natural garden',NULL,'','','',0,3909,32,0,1,1,2,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390373,'animal den',NULL,'','','',0,4004,32,0,1,1,3,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390374,'bedlam of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2390375,'faeweed',NULL,'','','',0,1671,26,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420001,'a Runnyeye trickster','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420002,'a Runnyeye brawler','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420003,'a Runnyeye defiler','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420004,'a Gorehorn pitfighter','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420005,'a Runnyeye bruiser','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420006,'a mireworm','','','','',255,197,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420007,'a Runnyeye sorcerer','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420008,'an enslaved warboar','','','','',255,170,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420009,'a scrap dasher','','','','',255,200,9,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420010,'a Runnyeye smith','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420011,'a Runnyeye mender','','','','',255,145,36,4,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420012,'Janitor Zolbuk','','','','',255,145,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420013,'Snorgle Filthwallow','','','','',255,170,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420014,'a clay remnant','','','','',255,160,36,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420015,'Mudslinger','','','','',255,160,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420016,'a Gorehorn pitmaster','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420017,'a Gorehorn hoarder','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420018,'Dyrilisia','','','','',255,181,22,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420019,'a Gorehorn pitmaster','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420020,'an oculus illusionist','','','','',255,247,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420021,'a savage warboar','','','','',255,170,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420022,'a Gorehorn hulk','','','','',255,157,42,1,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420023,'The Gorehorn Butcher','','','','',255,157,57,0,1,1,11,0,0,1,1,1,0,0,37,37190,7100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420024,'a Gorehorn hulk','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420025,'a Gorehorn hulk','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420026,'Attendant Tithr''Vin','','','','',255,247,25,0,1,1,11,0,0,1,1,1,0,0,35,14154,2560,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420027,'Attendant Xyroc','','','','',255,247,25,0,1,1,11,0,0,1,1,1,0,0,35,16942,2560,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420028,'Attendant Gerk''Xik','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,20636,3872,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420029,'Hammerhead','','','','',255,157,57,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420030,'a Runnyeye brewer','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420031,'The Runnyeye Brewmeister','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,115,35,35739,8845,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420032,'a Runnyeye brewer','','','','',255,145,36,1,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420033,'an oculus defiler','','','','',255,247,28,6,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420034,'an oculus wizard','','','','',255,247,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420035,'a Runnyeye miner','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420036,'a Runnyeye foreman','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420037,'a Runnyeye diviner','','','','',255,145,39,1,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420038,'a Runnyeye clubber','','','','',255,145,39,1,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420039,'a Runnyeye crusader','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420040,'a Runnyeye assassin','','','','',255,145,39,1,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420041,'a junk heap','','','','',255,261,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420042,'a Runnyeye healer','','','','',255,145,39,1,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420043,'a Runnyeye warlock','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420044,'a Runnyeye servant','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420045,'a Runnyeye servant','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420046,'a Runnyeye cook','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420047,'a Runnyeye lackey','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420048,'The Runnyeye Chef','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,0,35,42741,7960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420049,'The Goblin Banker','','','','',255,145,51,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420050,'a Runnyeye apprentice','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420051,'Riklin the Forgemaster','','','','',255,145,44,0,1,1,11,0,0,1,1,1,0,115,35,35379,8845,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420052,'an oculus charmer','','','','',255,247,25,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420053,'an oculus warlock','','','','',255,247,25,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420054,'Labn','Thing of Shattered Iron''s grim thulian','','','',255,146,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420055,'Thing of Shattered Iron','','','','',255,312,32,0,1,1,11,0,0,1,1,1,0,1,32,15521,6925,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420056,'a Runnyeye torturer','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420057,'an oculus wizard','','','','',255,247,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420058,'a Runnyeye torturer','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420059,'The Cerebus','','','','',255,170,64,0,1,1,11,0,0,1,1,1,0,0,32,45473,8380,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420060,'Duke Zoryll','','','','',255,247,31,6,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420061,'an Oculus mender','','','','',255,247,28,3,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420062,'The Clay Insurgent','','','','',255,160,57,0,1,1,11,0,0,1,1,1,0,1,35,23188,3045,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420063,'Gann','Thing of Shattered Iron''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420064,'a Warboar protector','','','','',255,170,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420065,'a Warboar protector','','','','',255,170,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420066,'a Warboar protector','','','','',255,170,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420067,'a Warboar protector','','','','',255,170,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420068,'The Beguiler','','','','',255,247,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420069,'a burly Gorehorn','','','','',255,157,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420070,'a Runnyeye cook','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420071,'a Runnyeye sergeant','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420072,'Attendant Mealix','','','','',255,247,25,0,1,1,11,0,0,1,1,1,0,0,35,22862,2070,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420073,'Drina the Mess Cook','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,0,35,44570,7960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420074,'Blikritz Bauble-eye','','','','',255,145,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420075,'The Underfoot Forge',NULL,'','','',0,49,32,0,1,1,126,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420076,'widget_coal_bin',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420077,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420078,'evil_eye_mastery_tome',NULL,'','','',0,49,32,0,0,0,127,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420079,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420080,'',NULL,'','','',0,49,32,0,1,1,129,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420081,'',NULL,'','','',0,49,32,0,1,1,130,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420082,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420083,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420084,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420085,'',NULL,'','','',0,49,32,0,1,1,129,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420086,'inspect_hanging_evileye01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420087,'',NULL,'','','',0,49,32,0,1,1,131,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420088,'',NULL,'','','',0,49,32,0,1,1,131,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420089,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420090,'',NULL,'','','',0,49,32,0,1,1,131,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420091,'',NULL,'','','',0,49,32,0,1,1,131,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420092,'widget_spear_bucket',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420093,'widget_big_pot',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420094,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420095,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420096,'tome_mastery_goblin_widget',NULL,'','','',0,49,32,0,1,1,132,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420097,'bloodfurnace',NULL,'','','',0,49,32,0,1,1,133,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420098,'',NULL,'','','',0,49,32,0,1,1,131,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420099,'eyesore',NULL,'','','',0,49,32,0,1,1,134,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420100,'',NULL,'','','',0,49,32,0,1,1,131,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420101,'a dumped coal bin',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420102,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420103,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420104,'',NULL,'','','',0,49,32,0,1,1,130,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420105,'widget_big_barrel',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420106,'widget_dead_evileye',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420107,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420108,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420109,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420110,'',NULL,'','','',0,49,32,0,1,1,128,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420111,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420112,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420114,'draconic_widget07',NULL,'','','',0,4167,32,0,0,0,57,0,0,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420115,'goblin trash bucket',NULL,'','','',0,2659,31,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420116,'chest of grumblerutt',NULL,'','','',0,2902,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420117,'a puddle of gunk below the hanging evil eye',NULL,'','','',0,298,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420118,'draconic_widget08',NULL,'','','',0,4174,32,0,0,0,124,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420119,'one_way_exit_to_enchanted',NULL,'','','',0,13,32,0,1,1,125,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420120,'book stack stolen from the throne room',NULL,'','','',0,1607,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420121,'zone_to_enchanted',NULL,'','','',0,49,32,0,0,0,136,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420123,'zone_to_runnyeye_epic02_goblin',NULL,'','','',0,49,32,0,0,0,137,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420124,'zone_to_runnyeye_epic01_eye',NULL,'','','',0,49,32,0,0,0,138,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420125,'zone_to_enchanted02',NULL,'','','',0,49,32,0,1,1,136,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2420126,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430001,'an enspelled goblin','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430002,'an oculus sorcerer','','','','',255,247,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430003,'an oculus sorcerer','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430004,'an oculus sorcerer','','','','',255,247,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430005,'an oculus coercer','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430006,'an oculus soothsayer','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430007,'Duke Zoryll','','','','',255,247,31,6,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430008,'01_brazier_casting',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430009,'01_door_top',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2430010,'01_door_bottom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440001,'Duke Zoryll','','','','',255,247,31,6,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440002,'a Gorehorn elite guard','','','','',255,157,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440003,'a vault sorter','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440004,'a Gorehorn elite guardsman','','','','',255,157,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440005,'Overlord Baylzuthak','','','','',255,145,64,0,1,1,0,0,0,0,0,1,0,0,35,50473,8850,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440006,'Seneschal Piknin','','','','',255,145,38,0,1,1,0,0,0,0,0,1,0,0,35,8778,2100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440007,'an Oculus mender','','','','',255,247,28,3,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440008,'a Runnyeye deathguard','','','','',255,145,35,0,1,1,0,0,0,0,0,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440009,'a Gorehorn sentry','','','','',255,157,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440010,'a rune covered chest','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440011,'a Runnyeye archivist','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440012,'a warboar ravager','','','','',255,170,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440013,'a Gorehorn boar handler','','','','',255,159,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440014,'Assistant Curator Skint','','','','',255,145,51,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440015,'Vault Curator Ashuk','','','','',255,1346,54,0,1,1,0,0,0,0,0,1,0,0,35,22862,4300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440016,'Count Xanthen','','','','',255,247,28,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440017,'Treasury Room Door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440018,'Treasury Room Door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440019,'transport_throne_room_top',NULL,'','','',0,49,32,0,1,1,139,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440020,'transport_throne_room_bottom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440021,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440022,'qey_blacksmith_table001',NULL,'','','',0,46,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440023,'qey_blacksmith_oven001',NULL,'','','',0,44,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440024,'qey_blacksmith_bellows001',NULL,'','','',0,42,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440025,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440026,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440027,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440028,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440029,'qey_butcherblock',NULL,'','','',0,1518,34,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440031,'bookcase',NULL,'','','',0,1410,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440032,'fprt_hood_table_small01',NULL,'','','',0,1516,23,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440033,'goblin_brazier01',NULL,'','','',0,1547,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440034,'goblin_table01',NULL,'','','',0,1541,26,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440035,'gears_table',NULL,'','','',0,2417,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440036,'orc_candle_01',NULL,'','','',0,1613,10,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440037,'fprt_counter_straightornatesmall01',NULL,'','','',0,1503,24,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440038,'knife',NULL,'','','',0,3621,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440039,'paper_roll',NULL,'','','',0,3215,20,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440040,'widget_ballot_box',NULL,'','','',0,2060,12,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440041,'bulletin_board',NULL,'','','',0,4067,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440042,'wall_chains',NULL,'','','',0,3238,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440043,'vault_1',NULL,'','','',0,1512,37,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440044,'card_table',NULL,'','','',0,1386,28,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440045,'qst_galintos_chess_1',NULL,'','','',0,1413,25,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440046,'silver_coin',NULL,'','','',0,2814,2,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440047,'goblin_tent02',NULL,'','','',0,1545,29,0,1,1,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440048,'gold_coin',NULL,'','','',0,2813,3,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440049,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,17,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440050,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440051,'sign_painting_1',NULL,'','','',0,1581,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440052,'sign_mail_kiosk',NULL,'','','',0,4710,20,0,1,1,0,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440053,'sign_cheating_note',NULL,'','','',0,2599,25,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440054,'sign_sewer_covers',NULL,'','','',0,13,32,0,0,0,0,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440055,'sign_painting_3',NULL,'','','',0,4225,19,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440056,'sign_painting_2',NULL,'','','',0,4239,16,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440057,'sign_painting_easel',NULL,'','','',0,3303,35,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440058,'sign_gears_2',NULL,'','','',0,3179,4,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440059,'sign_suv_blueprint',NULL,'','','',0,2434,14,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440060,'widget_suv_engine',NULL,'','','',0,5210,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440061,'sign_clock_akanon',NULL,'','','',0,5877,17,0,1,1,0,0,0,0,0,0,0,0,285,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440062,'sign_torture_table',NULL,'','','',0,1542,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440063,'sign_gold_coin',NULL,'','','',0,2813,2,0,1,1,140,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440064,'sign_counterfit',NULL,'','','',0,2073,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2440066,'zone_to_enchanted',NULL,'','','',0,49,32,0,0,0,141,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450001,'a lava duct crawler','','','','',255,243,68,4,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450002,'a defender of Thyr','','','','',255,4110,54,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450003,'Onyxlam','','','','',255,153,112,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450004,'a solumite titan','','','','',255,153,81,7,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450005,'Armorsmith Gravik','','','','',255,4116,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450006,'a Bastion steward','','','','',255,4033,79,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450007,'a Bastion keeper','','','','',255,4033,81,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450008,'a protector of Thyr','','','','',255,4110,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450009,'a magma crawler','','','','',255,256,150,0,1,1,11,0,491,1,1,1,0,0,32,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450010,'a magmatic sentry','','','','',255,2899,59,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450011,'Keortor Talyse','<Armorsmith of Lord Nagafen>','','','',255,4116,67,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450012,'a pyreduke of Thyr','','','','',255,4110,54,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450013,'Cinderpede','','','','',255,256,320,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450014,'a diviner of Thyr','','','','',255,4110,52,1,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450015,'a fallen Solusek tinkerer','','','','',255,2844,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450016,'a fallen Solusek miner','','','','',255,2843,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450017,'a lava crawler','','','','',255,256,137,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450018,'a fallen Solusek scryer','','','','',255,2844,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450019,'a quetzsol','','','','',255,277,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450020,'a guardian of Thyr','','','','',255,4110,58,1,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450021,'a cinder bat','','','','',255,2393,70,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450022,'a magmatic golem','','','','',255,2899,54,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450023,'Weaponsmith Thaydor','','','','',255,4116,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450024,'a Cinderfoot lookout','','','','',255,2900,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450025,'a fallen Solusek orebender','','','','',255,2843,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450026,'a Cinderfoot guard','','','','',255,2900,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450027,'a Cinderfoot witch doctor','','','','',255,2900,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450028,'an expedition guard','','','','',5,121,32,0,1,1,9,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450029,'a blaze bat','','','','',255,2393,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450030,'an ember bat','','','','',255,2393,60,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450031,'an expedition archivist','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450032,'a firelord of Thyr','','','','',255,4110,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450033,'a stone spider','','','','',255,205,54,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450034,'a magmatic titan','','','','',255,2899,60,6,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450035,'an egg sac','','','','',255,209,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450036,'Hand of the Caldera','','','','',255,2899,160,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450037,'a flamestalker','','','','',255,3645,44,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450038,'a stone spider','','','','',255,205,66,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450039,'The Speaker of Fates','','','','',255,4110,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450040,'a fallen Solusek shift boss','','','','',255,2844,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450041,'Glowhammer','','','','',255,2899,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450042,'a Cinderfoot seer','','','','',255,2900,37,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450043,'The Cinderfoot Captain','','','','',255,2900,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450044,'a scorching ember','','','','',255,295,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450045,'a flamelord of Thyr','','','','',255,4110,62,5,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450046,'Lord Nagalik','','','','',255,4116,80,0,1,1,35,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450047,'Lieutenant Gordak','','','','',255,4116,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450048,'a plated fiend','','','','',255,2411,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450049,'an expedition explorer','','','','',5,121,32,0,1,1,9,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450050,'an expedition supplier','<General Goods>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450051,'an expedition mender','<Mender>','','','',5,122,32,0,1,1,12,9,0,1,1,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2450052,'Drillmaster Qix','','','','',255,2844,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450053,'a blacksmith of Thyr','','','','',255,4110,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450054,'Ognit Eznertob','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450055,'an expedition archaeologist','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450056,'Commander Kulcath','','','','',255,4116,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450057,'a fallen Solusek diviner','','','','',255,2843,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450058,'an efreeti soulslaver','','','','',255,4033,65,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450059,'a servant of Thyr','','','','',255,4033,75,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450060,'an armored fiend','','','','',255,2411,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450061,'an armored fiend','','','','',255,2411,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450062,'Darkcoil','','','','',255,2411,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450063,'The Castigator','','','','',255,4116,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450064,'The Steam Technician','','','','',255,2844,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450065,'Captain Vruux','','','','',255,2900,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450066,'The Inferno Overseer','','','','',255,4116,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450067,'a warlock of Thyr','','','','',255,4110,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450068,'The Black Queen','','','','',255,243,172,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450069,'a glass construct','','','','',255,309,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450070,'Gritok Fireclaw','','','','',255,2900,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450071,'Lord Crana','','','','',255,4110,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450072,'a magus of Thyr','','','','',255,4110,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450073,'Kebtik','Nurmol''s undead knight','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450074,'an underworld guard','','','','',255,4110,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450075,'Vabn','Undying Servant','','','',255,8220,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450076,'lamp_1537790031',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450077,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450078,'lamp_1046254484',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450079,'lamp_2676691913',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450080,'04_transport_gate_inferno_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450081,'widget_floor_cart',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450082,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450083,'widget_ruined_machine',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450084,'widget_giant_bellows',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450085,'',NULL,'','','',0,49,32,0,1,1,428,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450086,'lamp_2575296304',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450087,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450088,'04_door_right_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450089,'04_door_left_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450090,'04_door_left_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450091,'04_door_right_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450092,'04_door_left_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450093,'04_door_right_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450094,'04_door_right_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450095,'lavavator_magma_pit',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,957,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450096,'04_door_left_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450097,'lamp_3193188372',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450098,'lamp_10987623',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450099,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450100,'widget_old_sprocket',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450101,'widget_mine_rubble',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450102,'04_door_right_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450103,'04_door_left_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450104,'elevator_mine_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2409,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450105,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450106,'lamp_867022045',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450107,'switch_elevator_magma_pit_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450108,'switch_elevator_magma_pit_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450109,'transport_door_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450110,'widget_fire_sword',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450111,'lamp_1525697647',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450112,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450113,'transport_door_07',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450114,'lamp_2736403339',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450115,'elevator_mine_switch_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450116,'lamp_2641214216',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450117,'lamp_4180135863',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450118,'lamp_1198482205',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450119,'lamp_3987982146',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450120,'lamp_698920957',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450121,'lamp_1055671634',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450122,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450123,'widget_dead_dog',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450124,'lamp_2056770667',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450125,'elevator_mine_switch_2_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450126,'elevator_mine_switch_2_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450127,'widget_mine_cart',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450128,'lamp_385464872',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450129,'cof_ore_crusher',NULL,'','','',0,49,32,0,1,1,427,0,0,0,0,0,0,0,276,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450130,'elevator_mine_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2966,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450131,'transport_door_08',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450132,'05_door_right_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450133,'05_door_right_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450134,'transport_door_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450135,'05_door_left_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450136,'05_door_left_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450137,'05_door_left_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450138,'elevator_multi_level',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,702,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450139,'05_door_right_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450140,'05_door_right_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450141,'05_door_left_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450142,'lamp_191036018',NULL,'','','',0,49,32,0,1,1,426,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450143,'transport_door_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450144,'widget_giant_chair',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450145,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450146,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450147,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450148,'05_door_left_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450149,'05_door_right_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450150,'transport_door_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450151,'transport_door_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450152,'05_door_right_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450153,'05_door_left_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450154,'transport_door_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450156,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450157,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450158,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450159,'sproket_cluster',NULL,'','','',0,5211,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450160,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450161,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450162,'gear_single',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450163,'cog_table',NULL,'','','',0,5209,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450164,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450165,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450166,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450167,'dpo_invisible_cube',NULL,'','','',0,2451,16,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450168,'qst_cof_light_b',NULL,'','','',0,4610,45,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450169,'floor_distillery_human_crucible02',NULL,'','','',0,3411,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450170,'station_switch_b',NULL,'','','',0,6479,32,0,1,1,45,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450171,'switch',NULL,'','','',0,6478,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450172,'flame pillar',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450173,'qst_cof_light_machine',NULL,'','','',0,4610,45,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450174,'qst_cof_cage',NULL,'','','',0,1928,24,0,1,1,425,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450175,'qst_cof_gear',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450176,'shrine_teleporter_particles',NULL,'','','',0,2306,32,0,1,1,0,0,3451,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450177,'shrine_teleporter',NULL,'','','',0,3484,28,0,1,1,0,0,0,0,0,0,0,0,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450178,'qst_epic02_book',NULL,'','','',0,3322,64,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450179,'The Chest of Tranix',NULL,'','','',0,2902,54,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450180,'qst_cof_light_a',NULL,'','','',0,4610,45,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450181,'station_switch_a',NULL,'','','',0,6479,32,0,1,1,45,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450182,'elevator_switch',NULL,'','','',0,4499,32,0,1,1,45,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450183,'nektropos barracks lockerbox',NULL,'','','',0,1936,35,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450184,'signpost',NULL,'','','',0,19,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450185,'sprocket_cluster',NULL,'','','',0,5211,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450186,'mining_rock_blocker',NULL,'','','',0,4497,49,0,1,1,0,0,0,0,0,0,0,0,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450187,'draconic_widget25',NULL,'','','',0,4182,32,0,0,0,124,0,0,0,0,1,1,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450188,'draconic_widget26',NULL,'','','',0,4181,32,0,0,0,124,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450189,'kilroy_bottle',NULL,'','','',0,2606,32,0,1,1,135,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450190,'kilroy_eye',NULL,'','','',0,4133,47,0,1,1,135,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450191,'Forge Door',NULL,'','','',0,3738,96,0,1,1,45,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450192,'thyr_door_right',NULL,'','','',0,49,32,0,1,1,429,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450193,'thyr_door_left',NULL,'','','',0,49,32,0,1,1,429,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450194,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450195,'zone_to_lavastorm',NULL,'','','',0,49,32,0,1,1,550,0,0,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450196,'to_solusekseye_epic02_bastion',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450197,'kilroy_skeleton',NULL,'','','',0,2990,21,0,1,1,135,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450198,'kilroy_hammer',NULL,'','','',0,3626,32,0,1,1,135,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450199,'zone_teleporter_to_nagafens_lair',NULL,'','','',0,49,32,0,1,1,551,0,0,0,0,1,0,0,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450200,'kilroy_box',NULL,'','','',0,3102,32,0,1,1,135,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450201,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450202,'discarded scrap metal',NULL,'','','',0,1580,32,0,1,1,2,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2450203,'blocked passage',NULL,'','','',0,4497,32,0,1,1,1,0,0,0,0,1,0,0,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2460000,'Majordomo Inferinus','','','','',255,4110,32,0,1,1,9,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2460001,'Lord Nagafen','','','','',255,275,32,0,1,1,9,0,0,1,1,1,0,1,272,1651,1651,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2460002,'Lord Nagafen','','','','',255,275,32,0,1,1,9,0,0,1,1,1,0,34,272,1000000,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2460003,'zone_teleporter_soluseks_eye',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470000,'Lord Tanuk','','','','',255,4033,112,0,1,1,11,0,2074,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470001,'Vaber','Lord Maj''karet''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470002,'Lord Maj''karet','','','','',255,4033,112,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470003,'Jarer','Lord Maj''karet''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470004,'Lord Majeed','','','','',255,4033,112,0,1,1,11,0,2073,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470005,'Lord Sadeek','','','','',255,4033,112,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470006,'Efreeti Lord Djarn','','','','',255,4033,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470007,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470008,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470009,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,779,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470010,'',NULL,'','','',0,4478,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470011,'genie_bottle01',NULL,'','','',0,4434,48,0,1,1,552,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470012,'genie_bottle04',NULL,'','','',0,2626,128,0,1,1,552,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470013,'genie_bottle03',NULL,'','','',0,2619,128,0,1,1,552,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470014,'genie_bottle02',NULL,'','','',0,2614,128,0,1,1,552,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470015,'genie_bottle01',NULL,'','','',0,2606,128,0,1,1,552,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2470016,'genie_bottle02',NULL,'','','',0,2614,128,0,1,1,552,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480000,'a Thyr royal guardsman','','','','',255,4110,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480001,'a magma elemental','','','','',255,295,93,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480002,'a Cinderfoot prisoner','','','','',255,2900,48,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480003,'a lava walker','','','','',255,2899,96,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480004,'a captured Cinderfoot','','','','',255,2900,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480005,'a Thyr questioner','','','','',255,4110,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480006,'an efreeti prisoner','','','','',255,4033,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480007,'a steward of Thyr','','','','',255,4033,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480008,'a steward of Thyr','','','','',255,4033,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480009,'Flame Lord Thyr','','','','',255,4116,80,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480010,'baby monkey','','','','',255,5006,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480011,'a Nuknok piglet','','','','',255,170,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480012,'widget_caged_skeleton',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480013,'hanging_cage',NULL,'','','',0,4472,32,0,1,1,0,0,0,0,0,0,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480014,'zone_to_soluseks_left',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480015,'zone_to_soluseks_right',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480016,'zone_to_soluseks_nagafen_left',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2480017,'zone_to_soluseks_nagafen_right',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490000,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490001,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(2490007,'a small shore crab','','','','',255,211,20,1,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490008,'a shallows fish','','','','',255,204,38,0,1,1,11,0,0,1,1,1,0,1,8,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490009,'Scholar Milnik','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490010,'Soril Isaran','','','','',6,78,32,0,1,1,9,0,0,1,1,1,0,110,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490011,'Coy Baomar','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490012,'a seagull','','','','',255,2335,25,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490013,'Elowys Laceleaf','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490014,'Sage Elrendir','<Alchemist>','','','',8,136,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,5302,0,0,0,0,0,0,0,0,0,0,0,0),
(2490015,'Quint Cerlius M.E.','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490016,'Rellinn','<Wisened Fisherman>','','','',6,114,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490017,'a small silver snapper','','','','',255,204,45,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490018,'a silver snapper','','','','',255,204,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490019,'a tide octopus','','','','',255,210,35,4,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490020,'Harbormaster Stonebender','<Harbormaster>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490021,'Taskmaster Deldrin','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490022,'Tarnael','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2490023,'Kerath McMarrin','','','','',0,1467,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490024,'Uma Drandamir','','','','',0,111,32,0,1,1,9,0,0,1,1,1,0,110,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490025,'Blerton Blumble','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490026,'a dress merchant','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,5314,0,0,0,0,0,0,0,0,0,0,0,0),
(2490027,'Reinkor McCollin','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490028,'Edmund Slezaf','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490029,'Engineer Ximmix Wobblecog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490030,'Merchant Aedmarr','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,5318,0,0,0,0,0,0,0,0,0,0,0,0),
(2490031,'Koreg Baelstrom','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490033,'Clint Gilcrush','','','','',9,6371,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490034,'Merchant Stoker','<Provisioner>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,5323,0,0,0,0,0,0,0,0,0,0,0,0),
(2490035,'Brant Omannus','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490036,'Liets Rolyat','','','','',13,61,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,5325,0,0,0,0,0,0,0,0,0,0,0,0),
(2490037,'Alliam Brohne','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490040,'Vargbend Cogwinder','<Ekroosik''s Replicators>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490041,'a distressed merchant','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490042,'Tish Tickers','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490043,'a highland huntress','','','','',255,1372,28,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490044,'an Amazon spearmaiden','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490045,'a highland patriarch','','','','',255,303,48,2,1,1,11,0,0,1,1,1,0,1,35,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490046,'a highland matriarch','','','','',255,1372,38,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490047,'a young antelope','','','','',255,206,20,1,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490048,'a plains lurker','','','','',255,213,70,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490049,'a weald wolf pup','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490050,'a steppe beetle','','','','',255,208,86,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490051,'a highland stalker','','','','',255,303,30,0,1,1,11,0,0,1,1,1,0,1,35,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490052,'a mature antelope','','','','',255,206,27,5,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490053,'a weald wolf','','','','',255,216,19,3,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490054,'a griffawn','','','','',255,225,32,0,1,1,11,0,0,1,1,1,0,1,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490055,'a griffin','','','','',255,225,39,1,1,1,11,0,0,1,1,1,0,1,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490056,'a fledgling antelope','','','','',255,206,17,1,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490057,'an immature weald wolf','','','','',255,216,17,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490058,'a swarm beetle','','','','',255,208,47,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490059,'a Steelhoof pariah','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490060,'a young woodland kodiak','','','','',255,198,19,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490061,'Zail the Smoothmane','','','','',255,4098,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490062,'Watcher of the Fields','','','','',255,4098,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490063,'an Amazon archer','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490064,'an Amazon hedgewitch','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490065,'a young woodland bear','','','','',255,198,25,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490066,'a Steelhoof invader','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490067,'Captain Duranas','','','','',255,4098,48,0,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490068,'a Steelhoof mystic','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490069,'a mighty griffin','','','','',255,225,46,2,1,1,11,0,0,1,1,1,0,1,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490071,'a Firerock scout','','','','',255,3805,91,5,1,1,11,0,0,1,1,1,0,1,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490072,'Bloodtalon','','','','',255,225,54,0,1,1,11,0,0,1,1,1,0,1,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490073,'a juvenile hawk','','','','',255,260,19,0,1,1,11,0,0,1,1,1,0,0,17,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490074,'a mature hawk','','','','',255,260,25,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490076,'a Firerock giant','','','','',255,3812,94,8,1,1,11,0,0,1,1,1,0,1,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490078,'a drowned trooper','','','','',9,1521,36,3,1,1,11,0,0,1,1,1,0,1,36,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490079,'a drowned captain','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490080,'a drowned veteran','','','','',9,1521,41,3,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490081,'Grimfeather','','','','',255,225,80,0,1,1,11,0,0,1,1,1,0,1,40,175000,85000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490082,'a fallen goliath','','','','',255,139,102,3,1,1,11,0,0,1,1,1,0,1,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490083,'a pile of bones','','','','',9,139,86,0,1,1,269,0,3246,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490084,'a fallen giant','','','','',255,139,100,3,1,1,11,0,0,1,1,1,0,1,112,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490085,'a Firerock goliath','','','','',255,3805,111,3,1,1,11,0,0,1,1,1,0,1,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490086,'a crater fish','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490091,'Drinna the Pirate','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490093,'Chief Derrog','','','','',255,3813,112,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490094,'a Skindancer sentry','','','','',255,1384,26,1,1,1,11,0,0,1,1,1,0,122,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490095,'a Dead River swordsman','','','','',9,1521,44,2,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490096,'a Skindancer defiler','','','','',255,3816,31,3,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490097,'a Skindancer legionnaire','','','','',255,1384,33,8,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490098,'a Dead River manes','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490100,'a Skindancer knight','','','','',255,1384,36,4,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490102,'a Dead River knight','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490103,'a sparkling essence','','','','',255,273,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490104,'a Steelhoof marauder','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490105,'a Steelhoof seer','','','','',255,4098,48,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490106,'a crag writher','','','','',255,258,80,0,1,1,11,0,0,1,1,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490107,'a Steelhoof hunter','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490108,'an elder hawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490109,'a Steelhoof prophet','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490110,'a plains serpent','','','','',255,213,83,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490111,'a tamed griffin','','','','',255,225,32,0,1,1,9,0,11191,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490112,'Azrahn','','','','',3,1604,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490113,'an Amazon sharpshooter','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490114,'Athwyn Shaedon','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490115,'a Steelhoof raider','','','','',255,4098,48,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490116,'a Rallosian ghost','','','','',255,3647,38,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490117,'an irresistible siren','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490118,'a carrion gorger','','','','',255,211,23,4,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490119,'a Dead River eidolon','','','','',9,1521,48,0,1,1,11,0,0,1,1,1,0,1,36,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490120,'a Deathbone knight','','','','',9,1521,48,0,1,1,11,0,0,1,1,1,0,1,36,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490121,'a Deathbone berserker','','','','',9,1521,51,0,1,1,11,0,0,1,1,1,0,1,36,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490123,'a Deathbone theurgist','','','','',9,1521,47,2,1,1,11,0,0,1,1,1,0,1,36,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490128,'a corpse feeder','','','','',255,211,22,0,1,1,11,0,0,1,1,1,0,0,25,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490129,'an unsanctified rock heap','','','','',255,154,25,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490131,'a rubble writher','','','','',255,258,65,5,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490132,'an accursed rock heap','','','','',255,154,22,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490133,'a drowned lieutenant','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490134,'a Steelhoof tracker','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490135,'Tarby Boulderboom','','','','',255,198,16,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490136,'a skeletal lieutenant','','','','',9,1521,40,3,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490137,'a drowned footsoldier','','','','',9,1521,32,2,1,1,11,0,0,1,1,1,0,1,36,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490138,'an Amazon huntress','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490141,'a Steelhoof forager','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490142,'a pile of ancient bones','','','','',9,1521,102,0,1,1,269,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490145,'an enraged timber badger','','','','',255,267,15,1,1,1,11,0,0,1,1,1,0,1,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490146,'a pack leader','','','','',255,216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490147,'Miner Barden','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490148,'Bando Danforge','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490149,'Overseer Spardox','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490150,'an unearthed settler','','','','',255,140,33,3,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490151,'a revenant scout','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490152,'an unearthed villager','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490153,'Defender Braden','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490154,'Defender Alistar','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490155,'a skeletal protector','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490156,'a cow','','','','',255,2456,28,3,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490157,'Defender Captain Eivhan','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490158,'Old Man Pomerenke','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490159,'Smith Borren','','','','',2,110,32,0,1,1,9,0,0,1,1,1,0,110,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490160,'Defender Ashnock','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490161,'Olden Highguard','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490162,'Heather Highguard','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490163,'Mora Oshus','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490164,'Arven Oshus','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490165,'Tobias Vreldig','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490166,'Merchant Rhiannon','<Alchemist>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490167,'Ambassador Sandor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490168,'a pig','','','','',255,271,22,3,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490169,'Zha Gu''Lau','','','','',12,134,28,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490170,'Brianna','','','','',0,1463,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490171,'Merchant Amhurst','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490172,'Allelia Halkreeb','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490173,'Minty Frostbeard','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490174,'Grenn Stiles','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490175,'Holly Rowan','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490176,'Defender Rowan','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490177,'Defender Bolaris','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490178,'Tobias Granville','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490179,'Elize Flannagan','<Senior Griffin Trainer>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490180,'a rock writher','','','','',255,258,60,0,1,1,11,0,0,1,1,1,0,1,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490181,'a plains snake','','','','',255,213,58,1,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490182,'a Bloodtooth forestrunner','','','','',255,1384,28,3,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490183,'a puerile hawk','','','','',255,260,22,0,1,1,11,0,0,1,1,1,0,0,17,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490184,'an abandoned wagon','','','','',0,2243,29,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490187,'Ranis Duarry','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490188,'Merchant Valemist','<Provisioner>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490189,'Merchant Hadsby','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100359,0,0,0,0,0,0,0,0,0,0,0,0),
(2490190,'Logen Fayler','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490191,'Merchant Dunham','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100358,0,0,0,0,0,0,0,0,0,0,0,0),
(2490192,'Turgen Bremhurst','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490193,'Nelda Bremhurst','','','','',0,111,32,0,1,1,9,0,0,1,1,1,0,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490194,'Captain Sturman','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490195,'Eloril Vanandelle','','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,110,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490196,'Outland Sentry Orvin','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490197,'Outland Sentry Shadan','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490198,'Outland Sentry Vidhir','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490199,'James Messer','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490200,'a flesh scavenger','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490201,'Outland Sentry Amion','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490202,'Adelle Rilonna','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490203,'Outland Sentry Cuillinn','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490204,'Helmut Dorengard','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490205,'Sentry Captain Pierce','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490206,'a grassland beetle','','','','',255,208,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490207,'Amy Bhorgese','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490208,'Outland Sentry Talthar','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490209,'Outland Sentry Carthaigh','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490210,'a young timber badger','','','','',255,267,11,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490211,'a woodland bear cub','','','','',255,198,19,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490212,'Jacques','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490213,'a highland lion cub','','','','',255,1372,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490214,'Miner Mallus','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490215,'Dreyd Flurven','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490216,'Miner Larany','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490217,'a skeletal footsoldier','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490218,'a skeletal trooper','','','','',9,1521,37,3,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490219,'a spirited orb','','','','',255,195,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490220,'an arisen inducer','','','','',9,1521,40,3,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490222,'Doomsquall','','','','',255,195,192,0,1,1,11,0,0,1,1,1,0,1,89,100000,75000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490224,'a fanatical ranger','<Unkempt Druids>','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490225,'Eilwyn Loamskin','<Unkempt Druids>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490226,'a Varsoon apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490227,'Jiana Waterway','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490228,'an elderly hermit','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490229,'an arisen evoker','','','','',9,1521,48,3,1,1,11,0,0,1,1,1,0,1,36,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490231,'Waylon March','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490234,'a shadowed rift watcher','','','','',255,1584,32,0,1,1,11,0,0,1,1,1,0,1,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490235,'Googegguta','<Runnyeye Goblins>','','','',255,145,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490236,'Lessa Gentare','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490237,'a marine slug','','','','',255,284,9,0,1,1,11,0,0,1,1,1,0,0,36,2306,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490239,'Captain Abella Coranis','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490244,'a shadowed servitor','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,1,36,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490245,'an entrancing siren','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490246,'a beach clamper','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,1,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490247,'Outland Sentry Dunand','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490248,'a roekillik digger','','','','',13,66,21,0,1,1,11,0,13113,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490249,'a revenant soldier','','','','',9,1521,36,1,1,1,11,0,0,1,1,1,0,1,36,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490250,'Merchant Thorning','<Bartender>','','','',8,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490251,'a Tesch Mal scrapper','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,1575166,0,0,0,0,0,0,0,0),
(2490252,'a Sabertooth spotter','','','','',255,1384,28,3,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490253,'a Sabertooth hunter','','','','',255,1384,28,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490254,'a Sabertooth soothsayer','','','','',255,1384,28,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490255,'a Sabertooth warrior','','','','',255,3816,31,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490256,'a Tesch Mal abductor','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490257,'a gnollish tent','','','','',255,2467,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490258,'a Tesch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490259,'a ruined wagon','','','','',0,2209,29,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490260,'a Sabertooth scout','','','','',255,3816,28,3,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490261,'a lowland forestcrawler','','','','',255,208,80,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490262,'a Sabertooth lookout','','','','',255,3816,28,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490263,'an undead worker','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490266,'Holly Messer','','','','',9,18979,32,0,1,1,9,0,0,1,1,1,0,110,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490267,'Tiril Anemir','','','','',6,78,32,0,1,1,9,0,0,1,1,1,0,110,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490269,'a revenant commander','','','','',9,1521,48,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490270,'a fey rock heap','','','','',255,154,19,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490271,'a timber badger','','','','',255,267,20,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490273,'a pirate','','','','',6,132,38,3,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490275,'a granite rumbler','','','','',255,2412,23,1,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490276,'The Banished','','','','',255,4098,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490277,'a savage weald wolf','','','','',255,216,27,5,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490278,'Obsid Boulderboom','','','','',255,3805,96,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490279,'an earth rumbler','','','','',255,2412,19,0,1,1,11,0,0,1,1,1,0,0,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490280,'a large shore crab','','','','',255,211,25,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490281,'Glendarion the Unkempt','','','','',9,134,35,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490282,'Miner Razcsko','','','','',13,66,24,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490283,'a roekillik miner','','','','',13,66,21,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490285,'Coldtooth','','','','',255,232,112,0,1,1,11,0,0,1,1,1,0,0,16,200000,90000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490286,'a roekillik excavator','','','','',13,66,21,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490287,'an Amazon abbot','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490288,'Maestra Orlita','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,262128,0,0,0,0,0,0,0,0),
(2490289,'Outland Sentry Adrick','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490295,'a woodland bear','','','','',255,198,44,0,1,1,11,0,0,1,1,1,0,1,36,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490296,'a fierce woodland bear','','','','',255,198,49,1,1,1,11,0,0,1,1,1,0,1,36,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490297,'a skeletal veteran','','','','',9,1521,42,1,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490298,'a skeletal captain','','','','',9,1521,49,1,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490299,'Windfeather','','','','',255,260,102,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490300,'an alluring siren','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490301,'a reef stalker','','','','',255,242,52,3,1,1,11,0,0,1,1,1,0,1,17,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490302,'a wandering dead','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490303,'a roaming dead','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490304,'a creeping dead','','','','',255,140,35,3,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490305,'a hovering deathclaw','','','','',255,225,32,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490306,'a Sabertooth tracker','','','','',255,3816,22,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490307,'a Sabertooth fisher','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490308,'a Sabertooth harvester','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490309,'a Sabertooth forager','','','','',255,3816,35,0,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490310,'a Sabertooth tower guard','','','','',255,1384,25,3,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490312,'a Sabertooth diviner','','','','',255,1384,28,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490313,'a Sabertooth looter','','','','',255,3816,23,1,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490314,'a highland bloodpaw','','','','',255,303,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490315,'a Sabertooth chanter','','','','',255,3816,31,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490316,'Miner Gandu','','','','',2,110,32,0,1,1,9,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490317,'Outland Sentry Conlor','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490318,'The Wandering Augur','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490319,'an undead farmer','','','','',255,140,30,2,1,1,11,0,0,1,1,1,0,1,36,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490320,'an undead caretaker','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490321,'an animated scarecrow','','','','',255,261,32,2,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490322,'an undead settler','','','','',255,140,28,2,1,1,11,0,0,1,1,1,0,1,36,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490323,'an enraged strawwalker','','','','',255,261,25,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490324,'Outland Sentry Mullen','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,110,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490326,'verminous minion','','','','',255,233,32,0,1,1,11,0,0,1,1,1,0,1,12,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490327,'Trapper Borgus','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490328,'Outland Sentry Amward','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490329,'Outland Sentry Gunther','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490330,'Sentry Captain Garland','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490331,'Outland Sentry Landers','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490332,'a ghostly farmer','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490333,'a decrepit wraith','','','','',255,2915,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490334,'an Ancient Shoal Fish','','','','',255,204,80,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490335,'an unbound familiar','','','','',255,238,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490336,'a skeletal commander','','','','',9,1521,53,1,1,1,11,0,0,1,1,1,0,1,36,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490337,'a warlock orb','','','','',255,195,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490338,'Incaulebis the Maleficent','','','','',9,1521,64,0,1,1,11,0,0,1,1,1,0,1,36,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490339,'a gleam goblin','','','','',255,145,33,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490340,'a glimmer goblin','','','','',255,145,31,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490354,'a Greater Tunneller','','','','',255,232,64,0,1,1,11,0,0,1,1,1,0,0,16,28485,9800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490361,'Captain Ganwail','','','','',255,4098,38,0,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490364,'Cassondra','','','','',255,4106,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490375,'an Undead Overseer','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490378,'The Bloodless Commander','','','','',9,1521,64,0,1,1,11,0,0,1,1,1,0,1,36,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490380,'Claw','','','','',255,303,60,0,1,1,11,0,0,1,1,1,0,1,35,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490381,'a drowned commander','','','','',9,1521,51,0,1,1,11,0,0,1,1,1,0,1,36,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490382,'Braegana the Gailspear','','','','',255,4106,38,0,1,1,11,0,0,1,1,1,0,111,32,12000,6000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490388,'a Firerock guardian','','','','',9,139,86,0,1,1,11,0,0,1,1,1,0,1,36,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490391,'a spirited scarecrow','','','','',255,261,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490405,'a Sister of Sadness','','','','',255,2554,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490508,'a Fallen Ancient','','','','',255,139,108,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490538,'qst_solo_berry_sack',NULL,'','','',0,49,32,0,1,1,204,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490539,'lookbarrel',NULL,'','','',0,49,32,0,1,1,205,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490540,'widget_rusty_chest',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490541,'quest_tartons_wheel_starter',NULL,'','','',0,49,32,0,1,1,206,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490542,'widget_long_chest',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490543,'widget_quest_iridescent_brooch',NULL,'','','',0,49,32,0,1,1,207,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490544,'04_docks_door_5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490545,'04_docks_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490546,'04_docks_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490547,'04_docks_door_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490548,'widget_flour_sack',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490549,'',NULL,'','','',0,49,32,0,1,1,273,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490550,'widget_glyph_rock1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490551,'quest_trigger_stolen_lamp',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,202,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490552,'quest_trigger_scorn_shame_irisor',NULL,'','','',0,49,32,0,1,1,274,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490553,'qst_ct_bed_2',NULL,'','','',0,49,32,0,1,1,270,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490554,'tome_mastery_centaur_widget',NULL,'','','',0,49,32,0,0,0,275,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490555,'widget_wood_stool',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490556,'02_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490557,'02_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490558,'02_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490559,'02_door_4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490560,'02_door_0',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490561,'widget_small_barrel',NULL,'','','',0,49,32,0,0,0,412,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490562,'',NULL,'','','',0,49,32,0,1,1,276,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490563,'05_huge_door_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490564,'05_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490565,'05_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490566,'05_huge_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490567,'05_huge_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490568,'05_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490569,'05_door_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490570,'05_huge_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490571,'widget_quest_item_quest_starfall',NULL,'','','',0,49,32,0,1,1,277,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490572,'quest_tartons_wheel_caza',NULL,'','','',0,49,32,0,1,1,278,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490573,'',NULL,'','','',0,49,32,0,1,1,748,0,0,0,0,1,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490574,'widget_submerged_trunk',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490575,'widget_big_tarp',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490576,'tome_mastery_giant_widget',NULL,'','','',0,49,32,0,0,0,749,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490577,'widget_widget_lost_archaeologist',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490578,'widget_small_dresser',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490579,'widget_cazic_rubble',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490580,'widget_mail_chest',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490581,'(unnamed)',NULL,'','','',0,49,32,0,1,1,276,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490582,'04_docks_door_3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490583,'04_docks_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490584,'(unnamed)',NULL,'','','',0,49,32,0,1,1,273,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490585,'qst_outland_brigade_reports_rocks_widget',NULL,'','','',0,49,32,0,0,0,748,0,0,0,0,0,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490587,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490588,'floor_plate',NULL,'','','',0,2813,23,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490590,'Respawn Tent',NULL,'','','',0,12,26,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490592,'Bones of a Knight of the Swords of Flame',NULL,'','','',0,2991,32,0,1,1,61,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490593,'solusek ro brazier',NULL,'','','',0,1619,48,0,1,1,149,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490594,'egg_ice_01',NULL,'','','',0,1667,192,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490595,'taskmaster papers',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490596,'taskmaster papers',NULL,'','','',0,3553,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490597,'taskmaster desk',NULL,'','','',0,2782,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490598,'floor_plate',NULL,'','','',0,2805,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490599,'Duggin Brandywine',NULL,'','','',255,108,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490600,'teleportation cube',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490601,'void_object_1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490602,'quest_drinna_object',NULL,'','','',0,3307,32,0,1,1,257,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490603,'Respawn Tent',NULL,'','','',0,1723,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490604,'qst_ct_bed_bunk',NULL,'','','',0,2963,32,0,0,0,270,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490605,'draconic_widget06',NULL,'','','',0,4186,32,0,0,0,271,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490606,'qst_ct_pig_trough',NULL,'','','',0,2668,32,0,0,0,272,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490607,'qst_ct_bed_single',NULL,'','','',0,1999,32,0,0,0,270,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490608,'fire ring',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490609,'crate',NULL,'','','',0,3146,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490610,'chest',NULL,'','','',0,3083,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490612,'trash sack',NULL,'','','',0,4715,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490613,'altar of storms',NULL,'','','',0,7760,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490614,'sofa',NULL,'','','',0,7330,48,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490615,'Tom Frobisher',NULL,'','','',255,78,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490616,'qst_ct_cow_trough',NULL,'','','',0,2668,32,0,0,0,272,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490617,'Vul''Zet Druzaic Shrine',NULL,'','','',0,1704,32,0,1,1,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490618,'Tomb of Te''Anara',NULL,'','','',0,1347,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490619,'quest_drinna_body',NULL,'','','',0,2369,32,0,1,1,747,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490620,'a sphere of song',NULL,'','','',0,4139,121,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490621,'coin bait',NULL,'','','',0,9856,9,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490622,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2490623,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490624,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490625,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(2490627,'a chest of mara goods',NULL,'','','',0,2187,32,0,1,1,61,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490628,'shard_recovery_steppes_mini01',NULL,'','','',0,2025,32,0,1,1,45,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490629,'goblin_flag02',NULL,'','','',0,1531,32,0,1,1,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490630,'goblin_flag02',NULL,'','','',0,1531,32,0,1,1,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490631,'goblin_flag02',NULL,'','','',0,1531,32,0,1,1,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490632,'goblin_flag02',NULL,'','','',0,1531,32,0,1,1,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490633,'goblin_flag02',NULL,'','','',0,1531,32,0,1,1,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490634,'zone_to_haven',NULL,'','','',0,1489,32,0,0,0,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490635,'Sundered Splitpaw',NULL,'','','',0,49,32,0,1,1,280,0,0,0,0,1,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490636,'lantern_killroy',NULL,'','','',0,2072,32,0,1,1,135,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490637,'an open grave',NULL,'','','',0,2916,32,0,0,0,45,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490638,'shovel_killroy',NULL,'','','',0,2212,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490639,'a sink hole',NULL,'','','',0,2916,96,0,1,1,45,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490640,'Prew''s Hops',NULL,'','','',0,3533,32,0,1,1,281,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490641,'rock_killroy',NULL,'','','',0,2210,32,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490642,'report board',NULL,'','','',0,6657,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490643,'zone_to_tish_solo_quest',NULL,'','','',0,49,32,0,1,1,282,0,0,0,0,1,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490644,'zone_to_varsoon_upper',NULL,'','','',0,49,32,0,0,0,283,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490645,'portal_to_obelisk',NULL,'','','',0,2306,70,0,0,0,308,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490646,'to_spiritual_pocket',NULL,'','','',0,6559,32,0,1,1,382,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490647,'zone_to_steppes_epic01_cove_right',NULL,'','','',0,49,32,0,0,0,397,0,0,0,0,1,0,0,156,0,0,0,0,0,33006,0,0,0,0,0,0,0,0,0,0,0),
(2490648,'zone_to_steppes_epic01_cove_left',NULL,'','','',0,49,32,0,0,0,397,0,0,0,0,1,0,0,156,0,0,0,0,0,33006,0,0,0,0,0,0,0,0,0,0,0),
(2490649,'terraporter',NULL,'','','',0,4923,32,0,1,1,45,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490650,'a hidden door',NULL,'','','',0,2916,64,0,1,1,45,0,0,0,0,1,0,0,44,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0),
(2490651,'Tarew Marr, The Fathom Lord',NULL,'','','',0,4463,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490652,'The grave of Ritter Shortshank',NULL,'','','',0,5791,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490653,'zone_to_antonica_cave_1',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490654,'zone_to_antonica_cave_0',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490655,'rug_killroy',NULL,'','','',0,2205,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490656,'zone_to_antonica_road',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490657,'poppies_killroy',NULL,'','','',0,48,32,0,1,1,135,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490658,'zone_to_varsoon_lower',NULL,'','','',0,49,32,0,0,0,283,0,0,0,0,1,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490659,'banner_killroy',NULL,'','','',0,2241,64,0,1,1,135,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490666,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490667,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490668,'mob of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490670,'stonecrest ore',NULL,'','','',0,3957,37,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490671,'mesquite catch weed',NULL,'','','',0,1731,25,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490672,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490673,'felled high plains arbor',NULL,'','','',0,3948,44,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490674,'wind swept stones',NULL,'','','',0,2378,13,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490675,'high plains shrubbery',NULL,'','','',0,4075,38,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490677,'a clutch of griffin eggs',NULL,'','','',0,5200,48,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490678,'a Sister of Sorrow',NULL,'','','',255,2554,32,0,1,1,0,0,0,1,1,0,0,1,32,651,651,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490679,'a leg biter',NULL,'','','',255,216,15,0,1,1,0,0,0,1,1,0,0,1,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490680,'Two Face','<Coin flippin'' Hustler>','','','',255,66,32,0,1,1,9,0,0,0,0,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490681,'a blackjack table',NULL,'','','',255,3225,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490682,'Phil','<a blackjack dealer>','','','',255,121,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490683,'Door',NULL,'','','',255,49,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490684,'Scout Kaylinn',NULL,'','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490685,'Scout Deeryen',NULL,'','','',0,110,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490686,'Scout Eldyum',NULL,'','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490687,'Scout Cendalya',NULL,'','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490833,'Defender Rowan','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,110,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490834,'Defender Bolaris','','','','',0,112,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490835,'Ott Stompgutt',NULL,'','','',255,3813,75,0,1,1,11,0,0,1,1,0,0,1,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490836,'a trained bear','','','','',255,198,49,1,1,1,11,0,0,1,1,1,0,1,36,3040,1100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490837,'02_door_0',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,1,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490838,'04_docks_door_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490839,'04_docks_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490840,'InvisCube_Ott_ThunderingSteppes',NULL,'','','',255,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2490841,'Shadowdash',NULL,'','','',255,225,30,0,1,1,11,0,0,1,1,0,0,1,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490842,'Celeg Ixuri','','','','',9,1521,48,0,1,1,11,0,0,1,1,1,0,1,36,10112,6800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490843,'an animated scarecrow','','','','',255,261,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490844,'InvisCube_Celeg_ThunderingSteppes',NULL,'','','',255,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(2490845,'UndeadSettlerController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490846,'Resheza','','','','',255,4099,31,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490847,'Vaeshix','','','','',255,3816,31,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490848,'Sezule','','','','',255,3816,31,6,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490849,'GnollCampController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490850,'a Rotting Pioneer','','','','',255,140,42,0,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490852,'SwarmBeetleController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490853,'SteelhoofInvaderWagon',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490854,'AntelopeHerdController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490855,'Bruuhl Firerock','','','','',255,3813,112,8,1,1,11,0,0,1,1,1,0,1,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490856,'an unearthed explorer','','','','',255,138,33,3,1,1,11,0,0,1,1,1,0,1,36,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490857,'an undead explorer','','','','',255,138,28,2,1,1,11,0,0,1,1,1,0,1,36,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490858,'GnollHeroicSpawner',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490859,'SirenSisterController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490860,'FishSchoolController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490861,'a seagull','','','','',255,2335,25,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490862,'a Sea-swept Farmer','','','','',255,2852,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490863,'GhostlyFarmerController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490864,'WealdWolfPackController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490865,'LionPrideController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490866,'a majestic griffin','','','','',255,225,46,2,1,1,11,0,0,1,1,1,0,1,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490867,'BloodtalonController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490868,'Chieftain Shadus','','','','',255,4098,48,0,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490869,'an Amazon gatherer','','','','',255,4106,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490870,'DuranasController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490871,'CemetaryController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490872,'ashore crab','','','','',255,211,23,1,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490873,'a shore crab','','','','',255,211,23,1,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490874,'a Reef Ravager','','','','',255,242,57,3,1,1,11,0,0,1,1,1,0,1,17,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490875,'ReefSharkController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490876,'HillGiantController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490877,'BruuhlFirerockController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490878,'Aviak House',NULL,'','','',0,18814,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490879,'PirateController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490880,'a Giant Octopus','','','','',255,210,100,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490881,'GiantOctopusController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490882,'Azameil Luresong ','','','','',255,2554,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490883,'a Skindancer seer','','','','',255,3816,31,3,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490884,'The Skinchanter','','','','',255,4099,36,3,1,1,11,0,0,1,1,1,0,122,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490885,'Raider Anhgo','','','','',255,4098,52,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490886,'Wiseman Ehuti','','','','',255,4098,50,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490887,'a Rallosian lieutenant','','','','',255,3647,38,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490888,'a Rallosian General','','','','',255,3647,42,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490889,'RallosianGeneralController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490890,'a Deathbone Savage','','','','',9,1521,55,0,1,1,11,0,0,1,1,1,0,1,36,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490891,'DeathboneSavageController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490892,'a Steelhoof protector','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490893,'CaptainGanwailController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490894,'Targan Rockstrider','','','','',255,4098,42,0,1,1,11,0,0,1,1,1,0,111,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490895,'TarganRockstriderController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490896,'an Infernal Rock Heap','','','','',255,154,40,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490897,'Venepede','','','','',255,258,120,0,1,1,11,0,0,1,1,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2490898,'TestControllerA',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500001,'a barnacle covered skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500002,'a ravaged storm caller','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500003,'a rotting corsair','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500004,'a decayed corsair','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500005,'a flesh corrupter','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500006,'a tide octopus','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500007,'a cove shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500008,'The Octagorgon','','','','',255,210,288,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500009,'captains_bones',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500010,'quest_chest_captains_hand',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500013,'zone_to_steppes_right',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500014,'zone_to_steppes_left',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500015,'animal den',NULL,'','','',0,4002,103,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500016,'ferric ore',NULL,'','','',0,1725,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500017,'vestigial roots',NULL,'','','',0,1727,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500018,'marred arbor',NULL,'','','',0,3943,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500019,'flattened bed of thistle',NULL,'','','',0,4078,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2500020,'fury of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510000,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510001,'a treasure hoarder','','','','',5,122,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510002,'a treasure hoarder','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510003,'a treasure hoarder','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510004,'a pirate guard','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510005,'a treasure sorter','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510006,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510007,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510008,'a pirate guard','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510009,'a pirate guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510010,'Blark the Plank Pusher','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510011,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510012,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510013,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510014,'fprt_bench_plainlong01',NULL,'','','',0,1492,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510015,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510016,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510017,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510018,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510019,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510020,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510021,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510022,'qst_galintos_bedframe_1',NULL,'','','',0,1406,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2510023,'rock01',NULL,'','','',0,1550,32,0,0,0,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520000,'Rodcet Nife',NULL,'','','',0,8301,92,0,1,1,11,0,0,1,1,0,0,0,0,1000,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520001,'Tunare',NULL,'','','',0,6722,92,0,1,1,11,0,0,1,1,0,0,0,0,1000,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520002,'Innoruuk',NULL,'','','',0,6717,92,0,1,1,11,0,0,1,1,0,0,0,0,1000,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520004,'Talk Test - New',NULL,'','','',0,82,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520005,'Talk Test - Old',NULL,'','','',0,108,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520006,'Talk Test - Simple',NULL,'','','',0,123,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520007,'Talk Test - Script Me!',NULL,'','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520008,'Avatar of  Fear','<Planar Manifestation>','','','',0,24473,28,0,1,1,11,0,0,1,1,1,0,1,0,3500,3500,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2520009,'Avatar of  Fear','<Planar Manifestation>','','','',0,24473,28,0,1,1,11,0,0,1,1,1,0,1,0,350000,15000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520010,'Faydedar',NULL,'','','',0,20901,50,0,1,1,11,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520011,'Test Golem',NULL,'','','',255,6281,32,0,1,1,0,0,0,1,1,0,0,0,32,6376,6376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520012,'Placeholder','','','','',255,163,32,0,1,1,11,0,0,1,1,1,0,112,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520013,'Callout Scripting Test Dryad','<For Testing New Garbled Format>','','','',255,174,23,3,1,1,11,0,0,1,1,0,0,1,32,240,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520014,'Callout Script Collection','<Lua Collector of Callouts>','','','',255,174,45,3,1,1,11,0,0,1,1,0,0,1,32,240,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520015,'tutorial drake',NULL,'','','',255,18,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520016,'Lozoria Shinkicker','','','','',7,108,32,0,1,1,9,0,11500,0,0,1,0,0,17,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2520017,'Antonia Bayle','<Skill Master of EQ2Emulator>','','','',255,4111,40,0,1,1,9,0,15640,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530000,'a weak sparring partner','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,45,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530001,'an average sparring partner','','','','',9,110,32,0,1,1,11,0,0,1,1,1,0,0,18,60,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530002,'a formidable sparring partner','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,155,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530003,'a silt sucker','','','','',255,301,67,3,1,1,11,0,0,1,1,1,0,0,32,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530004,'a shoal glider','','','','',255,254,48,0,1,1,11,0,0,1,1,1,0,0,9,75,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530005,'a triggerfish','','','','',255,204,29,3,1,1,11,0,0,1,1,1,0,0,8,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530006,'a reef turtle','','','','',255,218,32,0,1,1,11,0,0,1,1,1,0,0,9,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530007,'a sawtooth shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,1,17,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530008,'a needlefang','','','','',255,194,38,0,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530009,'a grove deer','','','','',255,206,27,5,1,1,0,0,0,1,1,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530010,'a tainted Sapswill hunter','','','','',255,4672,35,0,1,1,11,0,0,1,1,1,0,1,36,50,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530011,'a tainted Sapswill warrior','','','','',255,4672,35,0,1,1,11,0,0,1,1,1,0,1,36,50,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530012,'a ghostly treant','','','','',255,3707,48,2,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530013,'a ghostly sapling','','','','',255,3707,29,2,1,1,11,0,0,1,1,1,0,0,32,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530014,'a razortooth shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,1,17,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530015,'a Morak devourer','','','','',255,1374,22,0,1,1,11,0,0,1,1,1,0,1,32,30,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530016,'a tainted falcon','','','','',255,3695,29,3,1,1,11,0,0,1,1,1,0,0,17,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530017,'a giant coastal crab','','','','',255,211,35,0,1,1,11,0,0,1,1,1,0,0,25,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530018,'a tainted Sapswill scout','','','','',255,4672,35,0,1,1,11,0,0,1,1,1,0,1,36,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530019,'a tainted Sapswill fighter','','','','',255,4672,35,0,1,1,11,0,0,1,1,1,0,1,36,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530020,'a defiled scout','','','','',9,4543,32,0,1,1,11,0,0,1,1,1,0,1,36,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530021,'a tainted Sapswill tapper','','','','',255,4672,32,0,1,1,11,0,0,1,1,1,0,0,36,45,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530022,'a Qeynosian scout','','','','',15,1486,32,0,1,1,9,0,221,0,0,1,0,0,28,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530023,'Grimroot','','','','',255,3707,70,0,1,1,11,0,0,1,1,1,0,0,32,175,75,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2530024,'a defiled soldier','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,1,36,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530025,'a defiled grove deer','','','','',255,206,27,5,1,1,11,0,11395,1,1,1,0,0,38,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530026,'Sorcerer Oofala','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530027,'a Sapswill scout','','','','',255,145,38,0,1,1,9,0,0,0,0,0,0,0,35,30,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530028,'a tainted Sapswill ambusher','','','','',255,4672,41,3,1,1,11,0,0,1,1,1,0,35,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530029,'a Morak mangler','','','','',255,1374,35,3,1,1,11,0,0,1,1,1,0,1,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530030,'a defiled mage','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,1,36,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530031,'a defiled priest','','','','',9,4538,32,0,1,1,11,0,0,1,1,1,0,1,36,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530032,'The Dark Blademaster','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,165,55,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2530034,'Gonk','','','','',255,145,58,0,1,1,9,0,0,0,0,0,0,34,35,20000,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530035,'Durg','','','','',255,145,58,0,1,1,9,0,0,0,0,0,0,34,35,20000,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530036,'a Sapswill survivor','','','','',0,145,36,1,1,1,9,0,540,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530037,'a Sapswill soothsayer','','','','',255,145,32,0,1,1,9,0,0,0,0,0,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530038,'High Chieftain Grexx','','','','',255,145,51,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530039,'a Sapswill villager','','','','',255,145,36,3,1,1,9,0,10989,0,0,0,0,0,35,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530040,'a fallen pirate','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,1,36,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530041,'a fallen brigand','','','','',9,4543,32,0,1,1,11,0,0,1,1,1,0,1,36,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530042,'a fallen assassin','','','','',9,4543,32,0,1,1,11,0,0,1,1,1,0,36,36,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530043,'The Dark Puppeteer','','','','',14,106,32,0,1,1,11,0,0,1,1,0,0,1,43,165,55,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2530044,'Vim','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530045,'Ingrid','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530046,'Geredo','','','','',5,121,29,0,1,1,9,0,0,0,0,1,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530047,'Waulon','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530048,'Helmsman Nyles','','','','',9,144,32,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530049,'The Vulth','','','','',255,210,96,0,1,1,11,0,0,1,1,1,0,1,32,175,85,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2530050,'Barth Mignus','','','','',0,1468,30,0,1,1,9,0,11500,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530051,'a coastal crab','','','','',255,211,22,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530052,'a large coastal crab','','','','',255,211,29,0,1,1,11,0,0,1,1,1,0,0,25,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530053,'Grakus Stonemallet','','','','',2,1481,32,0,1,1,9,0,0,0,0,1,0,0,18,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530054,'Timbo Alefirst','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530055,'Meri Bogfoot','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530056,'Groak','<Fishmonger>','','','',4,1431,32,0,1,1,10,1265,0,0,0,1,0,0,34,91,91,0,0,36249,0,0,0,0,0,0,0,0,0,0,0,0),
(2530057,'Goggin Cogspring','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530058,'Oshar Grahl','<Guard>','','','',11,97,33,0,1,1,13,0,0,1,1,1,0,214,38,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530059,'Ebik Wobblecog','','','','',5,121,29,0,1,1,9,0,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530060,'Maylin Meadowlark','','','','',15,1443,33,0,1,1,9,0,0,0,0,1,0,0,28,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530061,'Galan Crestrider','<General Goods>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,30,91,91,0,0,36255,0,0,0,0,0,0,0,0,0,0,0,0),
(2530062,'Banker Bogfoot','<Banker>','','','',7,108,32,0,1,1,14,9,13008,0,0,1,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530063,'Trainer Zidget Sprogrudder','<Knowledge of Repairs and Banking>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530064,'Trainer Charlene Stoutmuffin','<Know Your Inventory and Equipment>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530065,'Visage of the Queen','','','','',9,4063,64,0,0,1,0,0,0,0,0,0,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530066,'Mender Mannus','<Mender>','','','',0,1468,32,0,1,1,12,9,11812,0,0,1,0,0,34,91,91,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2530067,'Trainer Gurga Trueheart','<Expert in Physical Attributes>','','','',4,4943,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530068,'Trainer Verrin Glimmertide','<Recognizing Opportunities>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530069,'Trainer Marla Gilliam','<Know Your Enemy>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530070,'Trainer Hayl McGuinness','<Master of Combat Training>','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530071,'Captain Warrik','<Know Your Place in the World>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530072,'Trainer Myrrin the Magnific','<Keeper of Magical and Martial Knowledge>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530073,'Trainer Gregory Collins','<Skilled Artisan and Crafter>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530074,'Trainer Cheye Seawind','<Know Your Fate>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530075,'a Qeynos Guardsman','<Guard>','','','',9,18864,32,0,1,1,13,0,0,1,1,1,0,214,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530076,'Murrar Shar','<Emissary of Queen Antonia Bayle>','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530077,'Hanna Deeppockets','<General Goods>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,17,91,91,0,0,36274,0,0,0,0,0,0,0,0,0,0,0,0),
(2530078,'Sergeant Haggus','<Qeynos Guard>','','','',0,1469,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530079,'a small coastal crab','','','','',255,211,13,0,1,1,11,0,0,1,1,1,0,0,25,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530080,'Paula Marx','<Collector>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530081,'Trainer Borda Gemseeker','<Matron of the Harvest and Collections>','','','',2,1475,32,0,1,1,9,0,0,0,0,1,0,0,18,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530082,'Captain Varlos','<Passage from Queen''s Colony>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530083,'Nebble Underroot','','','','',7,108,32,0,1,1,9,0,11540,0,0,1,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530084,'a toxic crawler','','','','',255,205,38,6,1,1,11,0,0,1,1,1,0,1,10,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530085,'a tainted Sapswill invader','','','','',255,4672,26,0,1,1,11,0,0,1,1,1,0,35,36,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530086,'Defender Kuglup','<Guard>','','','',0,4939,32,0,1,1,0,0,0,0,0,1,0,34,34,20000,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530087,'a seaside falcon','','','','',255,2358,27,4,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530088,'Defender Bristlebrow','<Guard>','','','',0,1482,32,0,1,1,0,0,0,0,0,1,0,34,34,20000,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530089,'a dead soldier','','','','',9,132,32,0,1,1,0,0,228,0,0,0,0,0,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530090,'a tainted Sapswill grunt','','','','',255,4672,32,0,1,1,11,0,0,1,1,1,0,0,36,30,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530096,'The Guurok','','','','',255,299,95,0,1,1,11,0,0,0,0,0,0,0,32,560,350,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2530100,'Leebo','<Spell Scrolls>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530101,'Shirra','<Combat Arts>','','','',11,92,32,0,1,1,10,1265,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530103,'a dead deer','','','','',255,206,25,2,0,1,0,0,228,0,0,1,0,0,38,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530104,'a tainted grove deer','','','','',255,206,27,5,1,1,11,0,11395,1,1,1,0,0,38,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530105,'The Forest Keeper','','','','',255,212,83,0,1,1,9,0,0,0,0,0,0,0,56,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530106,'Direspike','','','','',255,205,64,0,1,1,11,0,0,1,1,1,0,1,10,120,55,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2530107,'Deianeira','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530108,'Predator Sha''dur','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530109,'a Qeynosian scout','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530110,'Lieutenant Westfall','','','','',9,134,32,0,1,1,9,0,0,0,0,0,0,34,32,2000,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530111,'Cleric Mara''Vaen','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,21,28,151,999999,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530112,'a lost scout','','','','',5,108,32,0,1,1,11,0,496,1,1,1,0,22,34,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530113,'a Qeynosian scout','','','','',15,1487,32,0,1,1,9,0,0,0,0,0,0,0,28,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530133,'statue_widget',NULL,'','','',0,49,32,0,0,0,882,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530134,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530135,'dpo_spiderweb_small02',NULL,'','','',0,5144,40,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530136,'dpo_spiderweb_large02',NULL,'','','',0,5142,18,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530137,'dpo_spiderweb_corner01',NULL,'','','',0,5140,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530138,'dpo_spiderweb_large01',NULL,'','','',0,5141,42,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530139,'grey_tent_small01',NULL,'','','',0,2817,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530140,'qst_unseenhand_keg_1',NULL,'','','',0,1398,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530142,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530143,'goblin_brazier01',NULL,'','','',0,1547,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530144,'goblin_tent02',NULL,'','','',0,1545,32,0,0,0,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530145,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530146,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530147,'goblin_cage01',NULL,'','','',0,1528,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530148,'hanging_meat01',NULL,'','','',0,1533,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530149,'sign_post',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530150,'goblin_tent01',NULL,'','','',0,1544,32,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530151,'goblin_rubble01',NULL,'','','',0,1535,32,0,0,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530152,'goblin_flag01',NULL,'','','',0,1530,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530153,'evil_totem',NULL,'','','',0,1615,16,0,1,0,184,0,0,0,0,1,1,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530154,'goblin_rubble03',NULL,'','','',0,1537,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530155,'fog_cube',NULL,'','','',0,2306,32,0,0,0,0,0,12115,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530158,'goblin_rubble02',NULL,'','','',0,1536,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530159,'a Qeynosian scout',NULL,'','','',0,108,32,0,1,0,1159,0,4496,0,0,0,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530160,'ebiks_spinner',NULL,'','','',0,1580,32,0,0,0,1158,0,0,0,0,1,1,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530163,'centaur_painting',NULL,'','','',0,4410,54,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530164,'good_bench',NULL,'','','',0,2981,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530165,'rivervale_painting',NULL,'','','',0,4371,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530166,'ebiks_springer',NULL,'','','',0,1578,32,0,0,0,1158,0,0,0,0,1,1,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530167,'goblin_flag02',NULL,'','','',0,1531,32,0,1,1,279,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530168,'sign_dead_canyon',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530169,'sign_abandoned_village',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530170,'sign_tainted_forest',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530171,'sign_hope_falls',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530172,'kilroy_keg',NULL,'','','',0,1398,32,0,1,1,135,0,0,0,0,1,1,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530173,'good_book_feeding_the_guurok',NULL,'','','',0,49,32,0,1,1,1011,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530174,'good_door_to_epic',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530175,'sign_queens_colony',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530176,'kilroy_staff',NULL,'','','',0,5121,32,0,1,1,135,0,0,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530177,'tradeskill_instance_door',NULL,'','','',0,2512,32,0,0,0,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530178,'kilroy_message_bottle',NULL,'','','',0,2622,32,0,1,1,135,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530179,'sign_sunset_meadow',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530180,'sign_crestriders',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530181,'sunken_treasure_01',NULL,'','','',0,1571,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530182,'Zone to Friend',NULL,'','','',0,1586,32,0,1,1,1163,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530183,'kilroy_sap_bucket',NULL,'','','',0,3105,32,0,1,1,135,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530184,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530185,'creature den',NULL,'','','',0,3996,34,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530186,'school of fish',NULL,'','','',0,4159,28,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530187,'unearthed ore',NULL,'','','',0,1668,23,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530188,'felled elm tree',NULL,'','','',0,3948,19,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530189,'rugged stones',NULL,'','','',0,3956,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530190,'roots',NULL,'','','',0,1733,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530191,'budding natural garden',NULL,'','','',0,3909,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530192,'a pirate skull',NULL,'','','',0,2993,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530193,'pile of sticks',NULL,'','','',0,4002,46,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530194,'a piece of parchment',NULL,'','','',0,3499,44,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530195,'pile of sticks',NULL,'','','',0,4002,46,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530196,'a lost scout',NULL,'','','',255,134,32,0,1,1,0,0,0,1,1,0,0,0,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530197,'a lost scout',NULL,'','','',255,108,32,0,1,1,9,0,0,0,0,1,0,0,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530198,'a grove deer',NULL,'','','',255,206,18,0,1,1,0,0,0,1,1,1,0,0,38,26,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530199,'a tainted grove deer',NULL,'','','',255,206,27,5,1,1,11,0,11395,1,1,1,0,0,38,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530200,'a defiled grove deer',NULL,'','','',255,206,27,5,1,1,11,0,11395,1,1,1,0,0,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530201,'a toxic crawler',NULL,'','','',255,205,39,6,1,1,11,0,0,1,1,1,0,1,10,45,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530202,'a toxic crawler',NULL,'','','',255,205,39,6,1,1,11,0,0,1,1,1,0,1,10,30,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530203,'a tainted Sapswill tapper',NULL,'','','',255,4672,32,0,1,1,11,0,0,1,1,1,0,0,36,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530204,'a dead deer',NULL,'','','',255,206,32,0,1,1,0,0,228,0,0,0,0,0,38,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530205,'a lost scout',NULL,'','','',255,113,32,0,1,1,11,0,496,1,1,1,0,22,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530206,'a lost scout',NULL,'','','',255,3789,32,0,1,1,11,0,496,1,1,1,0,22,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530207,'a lost scout',NULL,'','','',255,1464,32,0,1,1,11,0,496,1,1,1,0,22,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530208,'Goblin_tent11',NULL,'','','',0,1544,31,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530209,'Goblin_tent12',NULL,'','','',0,1544,33,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530210,'Goblin_tent13',NULL,'','','',0,1544,39,0,0,0,871,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530211,'',NULL,'','','',255,2306,32,0,1,0,0,0,4012,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530212,'fog_cube_spell',NULL,'','','',255,5987,32,0,0,0,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530213,'a Qeynos Guardsman','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,214,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530214,'a Qeynos Guardsman','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,214,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530215,'a Qeynos Guardsman','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,214,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530216,'WolfPup',NULL,'','','',255,14855,32,0,1,1,0,0,0,1,1,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530217,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530218,'Respawn Tent_02',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530219,'centaur_painting',NULL,'','','',0,4410,54,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530220,'a weak sparring partner',NULL,'','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,45,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530221,'a formidable sparring partner',NULL,'','','',255,111,32,0,1,1,11,0,0,1,1,1,0,0,32,155,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530222,'an average sparring partner',NULL,'','','',9,109,32,0,1,1,11,0,0,1,1,1,0,0,32,60,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530223,'a defiled soldier',NULL,'','','',9,140,32,0,1,1,11,0,0,1,1,1,0,1,32,35,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530224,'a Qeynosian scout',NULL,'','','',5,122,32,0,1,1,9,0,0,0,0,0,0,0,16,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530225,'a Sapswill survivor',NULL,'','','',0,145,36,1,1,1,9,0,0,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530226,'a Sapswill villager',NULL,'','','',255,145,36,3,1,1,9,0,10989,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530227,'a Sapswill villager',NULL,'','','',255,145,36,3,1,1,9,0,0,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530228,'a Sapswill villager',NULL,'','','',255,145,36,3,1,1,9,0,0,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530229,'a Sapswill villager',NULL,'','','',255,145,36,3,1,1,9,0,0,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530230,'a Sapswill villager',NULL,'','','',255,145,36,3,1,1,9,0,0,0,0,0,0,0,35,126,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530231,'a guardian staff',NULL,'','','',0,4468,32,0,0,0,0,0,3246,0,0,0,0,21,31,999999,9000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530232,'Captain Varlos','<Passage from Queen''s Colony>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2530233,'ebiks_clunker',NULL,'','','',0,1579,32,0,0,0,1158,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540000,'a tainted Sapswill hunter','','','','',255,4672,38,0,1,1,11,0,0,1,1,1,0,1,36,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540001,'a tainted Sapswill warrior','','','','',255,4672,38,0,1,1,11,0,0,1,1,1,0,1,36,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540002,'a defiled scout','','','','',9,4543,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540003,'a defiled soldier','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540004,'a defiled mage','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540005,'Vith L''Tar','','','','',1,116,32,0,1,1,0,0,11080,0,0,1,0,0,26,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(2540006,'Vabartik','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540007,'a defiled priest','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540008,'Gobantik','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,0,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540009,'Gasartik','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540010,'Kabekab','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540011,'Zekn','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540012,'Kaner','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540013,'Benas','Conjura''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540014,'Kosekn','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540015,'Gabab','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540016,'Lenann','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540018,'Xasaner','Osufak''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540019,'Lonarab','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540020,'Gasartik','Osufak''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540021,'Jabantik','Vith L''Tar''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,65,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540022,'evil_totem',NULL,'','','',0,1615,16,0,0,0,184,0,4032,0,0,0,1,0,90,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540023,'fog_cube',NULL,'','','',0,2306,32,0,1,1,0,0,12115,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540025,'spawn_disguise',NULL,'','','',0,2306,39,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540026,'good_necromancer_poison',NULL,'','','',0,4544,32,0,0,0,0,0,2073,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2540028,'widget_to_tutorial_island02_good',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550000,'table',NULL,'','','',0,6,32,0,0,0,1207,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550001,'mirror',NULL,'','','',0,7,32,0,0,0,1207,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550002,'rock',NULL,'','','',0,1550,32,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550003,'chair',NULL,'','','',0,4,32,0,0,0,1207,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550004,'barrel',NULL,'','','',0,9,32,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550005,'bed',NULL,'','','',0,3,32,0,0,0,1207,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550006,'log',NULL,'','','',0,3926,12,0,1,0,8,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550008,'Door',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550009,'Ladder',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550010,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550011,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550012,'smashed_barrel',NULL,'','','',0,1428,32,0,0,0,9505,0,3120,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550013,'smashed_barrel2',NULL,'','','',0,0,32,0,0,0,1207,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550014,'crushed rock',NULL,'','','',0,2265,41,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550015,'barrel_decorative',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550016,'box_decorative',NULL,'','','',0,1950,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550017,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550018,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550019,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550020,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550021,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550022,'table2',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550023,'mirror2',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550024,'chair2',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550025,'bed2',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550026,'fallen log',NULL,'','','',0,3926,12,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550027,'10m_FireLight',NULL,'','','',0,5748,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550028,'table3',NULL,'','','',0,6,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550029,'mirror3',NULL,'','','',0,7,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550030,'chair3',NULL,'','','',0,4,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2550031,'bed3',NULL,'','','',0,3,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560000,'a Varsoon apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560001,'a gleam goblin','','','','',255,145,33,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560002,'a glimmer goblin','','','','',255,145,31,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560004,'a deafening shrieker','','','','',255,239,31,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560005,'a living clay','','','','',255,299,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560006,'a clay crawler','','','','',255,205,31,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560007,'a regal crawler','','','','',255,205,73,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560008,'a loam cyst','','','','',255,299,96,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560009,'a mud shriller','','','','',255,193,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560010,'a prisoner of Varsoon','','','','',9,1521,31,3,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560011,'a Varsoon guard','','','','',9,1521,31,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560012,'a loam blister','','','','',255,299,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560013,'Dibble Rootweaver','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560014,'a dust shriller','','','','',255,193,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560015,'a highland lion','','','','',255,303,41,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560016,'a Varsoon jailor','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560017,'Grayl Turfstrider','','','','',255,4098,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560018,'Thana Rumblehoof','','','','',255,4106,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560019,'The Varsoon Painbringer','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560020,'a Varsoon Tormentor','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560021,'Nala Bunting','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560022,'a Guard Captain','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560023,'a loam boil','','','','',255,299,143,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560024,'a loam experiment','','','','',255,299,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560025,'magical sparks','','','','',255,308,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560026,'a Varsoon alchemist','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560027,'a servant of Varsoon','','','','',9,1521,31,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560028,'a clay guardian','','','','',255,160,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560029,'a spirited tome','','','','',255,280,50,2,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560030,'an enchanted tome','','','','',255,283,50,2,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560031,'Tome of Life','','','','',255,279,105,0,1,1,11,0,0,1,1,1,0,1,9,29313,4800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560032,'a Varsoon scourge','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560033,'a Varsoon lackey','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560034,'a mindless tailor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560035,'a mindless weaver','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560036,'a mindless spinner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560037,'Weavemaster Esh''rax','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,29313,5795,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560038,'a needle worker','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560039,'a servant of Varsoon','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560040,'a mindless cook','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560041,'a glimmer goblin brute','','','','',255,145,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560042,'an incomplete guardian','','','','',255,160,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560043,'a thought engineer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560044,'an assembler','','','','',9,1521,26,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560045,'an assembly overseer','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560046,'an enchanted clay','','','','',255,297,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560047,'a claychanter','','','','',9,138,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560048,'The Creator','','','','',9,138,38,0,1,1,11,0,0,1,1,1,0,1,36,25941,6445,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560049,'a reserve protector','','','','',9,1521,30,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560050,'a cask keeper','','','','',9,1521,31,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560051,'a cellar guard','','','','',9,1521,30,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560052,'a barrel cleaner','','','','',9,1521,31,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560053,'Keneker','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560054,'Kenarn','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560055,'a Sumyd apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560056,'an enchanted tome','','','','',255,281,80,2,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560057,'a spirited tome','','','','',255,282,80,2,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560058,'a Sumyd guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560059,'a hulking clay guardian','','','','',255,161,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560060,'a Varsoon disciple','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560061,'a Varsoon sergeant','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560062,'Master Alchemist Pinjula','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560063,'a Varsoon taster','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560064,'a spirited tome','','','','',255,280,107,1,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560065,'Tome of Death','','','','',255,283,105,0,1,1,11,0,0,1,1,1,0,1,9,31042,6445,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560066,'Geneker','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560067,'Mibble Toad','','','','',255,145,36,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560068,'Dalmat Rageshree','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560069,'a Ci`Re guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560070,'a Ci`Re apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560071,'a brute controller','','','','',9,1521,36,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560072,'a brute caretaker','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560073,'a forge stoker','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560074,'Forge Overseer Eid''un','','','','',9,1521,44,0,1,1,11,0,0,1,1,1,0,1,36,34382,5800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560075,'a forge spark','','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560076,'a Ymeresh apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560077,'a Ymeresh pounder','','','','',255,151,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560078,'a spirited tome','','','','',255,282,80,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560079,'a Ymeresh guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560080,'a Ymeresh apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560081,'a mindless brute','','','','',255,151,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560082,'Jasaner','A replacement Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560083,'Karobn','A replacement Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560084,'Vasektik','A replacement Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560085,'a replacement Sumyd apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560086,'a replacement Sumyd guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560087,'The Crimson Butcher','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,1,36,30761,5275,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560088,'Garer','An enraged Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560089,'Zonarn','An enraged Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560090,'Venobtik','An enraged Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560091,'an enraged Sumyd apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560092,'an enraged Sumyd guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560093,'Zarab','Erbmys Sumyd''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560094,'Erbmys Sumyd','','','','',9,146,44,0,1,1,11,0,0,1,1,1,0,1,36,30633,7250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560095,'a replacement Ymeresh apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560096,'a replacement Ymeresh guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560097,'a replacement Ymeresh apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560098,'an enraged Ymeresh apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560099,'an enraged Ymeresh guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560100,'an enraged Ymeresh apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560101,'Et''sipe Ymeresh','','','','',9,146,44,0,1,1,11,0,0,1,1,1,0,1,36,30633,7250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560102,'a replacement Ci`Re guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560103,'a replacement Ci`Re apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560104,'an enraged Ci`Re guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560105,'an enraged Ci`Re apprentice','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560106,'Thimzem Ci''Re','','','','',9,146,44,0,1,1,11,0,0,1,1,1,0,1,36,30633,7250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560107,'Kebobn','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560108,'Zoner','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560109,'Xabarn','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560110,'Gabantik','A replacement Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560111,'Jabantik','A replacement Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560112,'Gentik','A replacement Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560113,'Varaner','An enraged Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560114,'Jarab','An enraged Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560115,'Konantik','An enraged Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560116,'Jabn','Erbmys Sumyd''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560117,'The Crawler Queen','','','','',255,205,99,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560118,'a journeyman weaver','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560119,'a curiously animated tome','','','','',255,279,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560120,'Jabtik','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560121,'Goneker','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560122,'Karab','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560123,'a skeletal smith','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560124,'a forge ember','','','','',255,295,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560125,'a dominant claychanter','','','','',9,138,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560126,'a Varsoon steward','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560127,'Zabarn','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560128,'Jener','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560129,'Labobn','A Sumyd apprentice''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560130,'qst_journal_corpse_0',NULL,'','','',0,49,32,0,1,1,1005,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560131,'quest_tartons_wheel_ena',NULL,'','','',0,49,32,0,1,1,1006,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560132,'widget_torture_drawer',NULL,'','','',0,49,32,0,1,1,9493,0,0,0,0,1,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560133,'a_bubbling_beaker',NULL,'','','',0,49,32,0,1,1,9492,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560134,'tome_mastery_golem_widget',NULL,'','','',0,49,32,0,0,0,64,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560135,'',NULL,'','','',0,49,32,0,1,1,1007,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560136,'Neatzfuckedwiththis2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560137,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560138,'',NULL,'','','',0,49,32,0,1,1,1008,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560139,'item_finesilkroll',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560140,'02_r10_door01_right_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560141,'02_r10_door01_left_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560142,'02_r11_door01_right_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560143,'02_r11_door01_left_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560144,'02_r12_door01_right_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560145,'02_r12_door01_left_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560146,'widget_quest_trigger_irisor',NULL,'','','',0,49,32,0,1,1,1009,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560147,'03_r15_door01_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560148,'widget_varsoon_scroll',NULL,'','','',0,49,32,0,1,1,780,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560149,'quest_tome_northlands03',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560150,'quest_tome_varsoon_volume_one',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560151,'',NULL,'','','',0,49,32,0,1,1,1007,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560152,'widget_guard_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560153,'03_r21_door01_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560154,'widget_varsoon_book',NULL,'','','',0,49,32,0,1,1,1011,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560155,'03_r19_door01_0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560156,'Tome of Life Door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560157,'Neatzfuckedwiththis(unnamed)',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560160,'widget_book',NULL,'','','',0,1607,32,0,1,1,59,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560163,'bookcase with the secret puzzle box vault',NULL,'','','',0,2126,32,0,1,1,61,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560164,'draconic_widget11',NULL,'','','',0,4190,24,0,0,0,57,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560165,'draconic_widget12',NULL,'','','',0,4191,32,0,0,0,124,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560166,'zone_to_steppes_upper',NULL,'','','',0,49,32,0,0,0,1004,0,0,0,0,1,0,0,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560167,'zone_to_steppes_lower',NULL,'','','',0,49,32,0,0,0,1010,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560168,'killroy_golemhead_creationroom01',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560169,'killroy_book_library01',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560170,'zone_varsoon_epic_right_door',NULL,'','','',0,49,32,0,0,0,1012,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560171,'zone_varsoon_epic_left_door',NULL,'','','',0,49,32,0,0,0,1012,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560172,'kilroy_brute_anvil',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2560173,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570000,'Varsoon the Undying','','','','',255,2852,35,0,1,1,0,0,0,0,0,1,0,0,32,20173,7250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570001,'an extraplanar invader','','','','',255,240,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570002,'an extraplanar aggressor','','','','',255,240,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570003,'an extraplanar lurker','','','','',255,240,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570004,'an extraplanar denizen','','','','',255,240,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570005,'an ethereal fiend','','','','',255,1378,35,0,1,1,11,0,0,1,1,1,0,1,32,28985,7250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570008,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570009,'zone_to_varsoon_right_door',NULL,'','','',0,49,32,0,0,0,1013,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2570010,'zone_to_varsoon_left_door',NULL,'','','',0,49,32,0,1,1,1013,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580000,'a Shin`Ree avenger','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,767,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580001,'Cog Burn','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580002,'a Shin`Ree apprentice','','','','',9,139,25,0,1,1,11,0,0,1,1,1,0,1,36,719,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580003,'a Ree recruit','','','','',19,137,28,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580004,'a lurid crawler','','','','',255,244,28,0,1,1,11,0,0,1,1,1,0,1,10,655,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580005,'a spectral shriller','','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,655,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580006,'a Ree defender','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580007,'a Ree defender','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580008,'a Shin`Ree pawn','','','','',9,139,25,0,1,1,11,0,0,1,1,1,0,1,36,655,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580009,'Mess Sergeant Slogg','','','','',19,137,41,0,1,1,11,0,0,1,1,1,0,0,36,5419,3428,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580010,'a Primordial Seep','','','','',255,299,64,0,1,1,11,0,0,1,1,1,0,0,32,943,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580011,'a lurid ripper','','','','',255,244,44,0,1,1,11,0,0,1,1,1,0,1,10,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580012,'a lurid feeder','','','','',255,244,50,2,1,1,11,0,0,1,1,1,0,1,10,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580013,'a lurid creeper','','','','',255,244,38,0,1,1,11,0,0,1,1,1,0,1,10,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580014,'a raider of Ree','','','','',19,137,36,3,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580015,'a Shin`Ree spiritist','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580016,'a Ree jailer','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580017,'a Ree protector','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580018,'a Ree protector','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580019,'Advisor Kre''lak','','','','',19,141,41,0,1,1,11,0,0,1,1,1,0,1,36,3179,1540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580020,'a Ree protector','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580021,'Ariana Neovra','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580022,'a storeroom laborer','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580023,'a hoard hound','','','','',255,216,19,0,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580024,'a Ree underguard','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580025,'a Ree armorer','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580026,'a primordial menace','','','','',255,301,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580027,'a strongbox deceiver','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,1,12,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580028,'a debris scavenger','','','','',255,196,19,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580029,'a scout of Ree','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,1,36,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580030,'a sentry of Ree','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580031,'Garreg Stonecrusher','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580032,'a sentry of Ree','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580033,'a Shin`Ree aggressor','','','','',9,139,35,3,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580034,'a Shin''Ree spirit','','','','',255,3710,64,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580035,'a dervish cutthroat','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,1,43,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580036,'a dervish cutthroat','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580037,'Soulspike','','','','',255,244,76,0,1,1,11,0,0,1,1,1,0,1,10,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580038,'a Shin`Ree augur','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580039,'a Shin`Ree stalker','','','','',9,139,35,0,1,1,11,0,0,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580040,'a Ree channeler','','','','',19,141,32,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580041,'a Ree steelworker','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580042,'a Ree weaponsmith','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580043,'a Shin`Ree augur','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580044,'a Shin`Ree augur','','','','',9,139,32,0,1,1,11,0,0,1,1,1,0,1,36,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580045,'Druhdak Shin`Ree','','','','',9,139,51,0,1,1,11,0,0,1,1,1,0,0,36,4591,3200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580046,'spike_trap','','','','',0,2306,9,0,1,1,0,0,0,0,0,0,0,0,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580047,'a raid schemer','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580048,'a raid leader','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580049,'a loyal attendant','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580050,'Kyllik the Fated','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,1,34,5464,4500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580051,'a loyal attendant','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580052,'a Ree jailer','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580053,'Punisher Kharg','','','','',19,137,41,0,1,1,11,0,0,1,1,1,0,1,36,5367,3594,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580054,'a Ree Spiritkeeper','','','','',19,141,38,0,1,1,11,0,0,1,1,1,0,1,36,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580055,'a lurid shadowlurker','','','','',255,244,48,0,1,1,11,0,0,1,1,1,0,1,10,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580056,'a Ree underguard','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580057,'The Spirit of General Zherg','','','','',255,3710,96,0,1,1,11,0,1592,1,1,1,0,0,32,3890,1990,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580058,'a concubine','','','','',9,132,32,0,1,1,11,0,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580059,'Lord Ree','','','','',19,137,51,0,1,1,9,0,0,0,0,1,0,0,36,10445,4530,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580060,'a blackguard','','','','',19,2901,48,0,1,1,11,0,0,1,1,1,0,1,36,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580061,'Bufftest''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580062,'a bloodthirsty worg','','','','',255,1374,22,3,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580063,'Ghi''Zard the Worg Master','','','','',255,4126,57,0,1,1,11,0,0,0,0,0,0,0,35,4155,2000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580064,'Raid Chief Kregahn','','','','',19,137,44,0,1,1,11,0,0,1,1,1,0,1,36,5899,3760,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580065,'Weaponsmith Brothek','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,0,36,5225,3524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580084,'WailingCaves_Door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580085,'door5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580086,'door_wailing_20_secret',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580087,'door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580088,'door9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580089,'doubledoor3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580090,'doubledoor4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580091,'Dupedoorwidget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580092,'DupedoorWidget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580093,'door17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580094,'door18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580095,'door21',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580096,'door19',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580097,'door_wailing_11a',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580098,'Door22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580099,'door16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580100,'unknownQst2',NULL,'','','',0,49,32,0,1,1,957,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580101,'Soul Wailer quest hammer',NULL,'','','',0,49,32,0,0,0,958,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580102,'07_spike_trap',NULL,'','','',0,49,32,0,0,1,782,0,44141,0,0,0,0,0,367,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580103,'door_wailing_24a',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580104,'door_secret_boss',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580105,'door12(LordRee)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580106,'door3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580107,'door8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580108,'UnknownWidget',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580109,'door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580110,'doubledoor2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580111,'doubledoor1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580112,'door7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580113,'door6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580114,'door8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580115,'door15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580116,'door13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580117,'door4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580118,'door14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580119,'door10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580120,'unknownQst',NULL,'','','',0,49,32,0,0,0,957,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580122,'dpo_spiderweb_small02',NULL,'','','',0,5144,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580123,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580124,'dpo_spiderweb_large02',NULL,'','','',0,5142,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580125,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580126,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580130,'rock01',NULL,'','','',0,1550,27,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580131,'a dusty barrel',NULL,'','','',0,1909,80,0,1,1,295,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580132,'falling_rocks',NULL,'','','',0,2306,77,0,0,0,0,0,4001,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580133,'a guardian statue',NULL,'','','',0,2306,4,0,0,0,0,0,1412,0,0,0,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580134,'a gas vent',NULL,'','','',0,2306,85,0,0,0,0,0,2073,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580136,'killroy_meat_0',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580137,'to_commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580138,'killroy_skull_0',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580139,'killroy_chest_0',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580140,'under bridge killroy',NULL,'','','',0,2431,32,0,1,1,135,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580141,'book_of_soulfire_heist',NULL,'','','',0,3322,26,0,1,1,511,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580142,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2580143,'a guardian statue',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,1,36,0,9999,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590001,'an Essence of Fear','<The Will of Cazic-Thule>','','','',255,6861,128,0,1,1,9,0,1796,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590002,'frightflyer','','','','',255,236,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590003,'an amygdalan berserker','','','','',255,176,56,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590004,'a glare lord','','','','',255,247,72,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590005,'a worry wraith','','','','',255,273,49,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590006,'a phantasm','','','','',255,5000,56,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590007,'a singing scareling','','','','',255,6824,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590008,'a nightmare hound','','','','',255,4527,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590009,'a phoboplasm','','','','',255,175,80,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590010,'a worry wraith','','','','',255,273,32,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590011,'samhain','','','','',255,261,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590012,'a singing scareling','','','','',255,6824,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590013,'a fetid drake','','','','',255,5995,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590014,'Dracoliche','','','','',255,5919,192,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590015,'Eye of Thule','','','','',255,247,96,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590016,'a Thulian berserker','','','','',255,1638,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590017,'a Thulian caller','','','','',255,1638,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590018,'a shiverback terror','','','','',255,6825,56,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590019,'Kza''Bok','','','','',255,6825,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590020,'a spinechiller spider','','','','',255,244,148,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590021,'Labn','An offering of fear''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590022,'Xantik','An offering of fear''s shadowblade','','','',255,6491,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590023,'Kyr''Tok','','','','',255,7043,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590024,'a Thulian ruffian','','','','',255,1638,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590025,'Fearmonger','','','','',255,6825,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590026,'an offering of fear','','','','',10,104,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590027,'a spinechiller spider','','','','',255,244,133,5,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590028,'Gasekn','An offering of fear''s shadowblade','','','',255,6491,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590029,'a lost soul','','','','',9,4542,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590030,'a turmoil toad','','','','',4,4953,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590031,'a turmoil toad condemner','','','','',4,4953,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590032,'a fetid fiend','','','','',255,140,47,6,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590033,'a turmoil toad knight','','','','',4,4953,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590034,'a mass of iksar spirits','','','','',255,9421,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590035,'a scareling','','','','',255,6824,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590036,'a fetid fiend','','','','',255,140,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590037,'a spinechiller spider','','','','',255,244,158,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590038,'Karann','An offering of fear''s shadowblade','','','',255,6491,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590039,'Xibekn','An offering of fear''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590040,'Jonn','An offering of fear''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590041,'a dark foal','','','','',255,6911,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590042,'The Caretaker','','','','',255,140,80,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590043,'Terrock','','','','',255,4745,112,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590044,'Spinechill Venomfang','','','','',255,205,96,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590055,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590056,'invis_wall',NULL,'','','',0,7464,30,0,1,1,0,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590057,'dpo_invisible_wall',NULL,'','','',0,4544,38,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590058,'a dead gnome',NULL,'','','',0,121,32,0,1,1,0,0,6675,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590059,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590060,'grave 1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590061,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590062,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590063,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590064,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2590065,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600000,'Grassgalor','','','','',255,7323,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600001,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600002,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600003,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600004,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600005,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600006,'Mounted Fish',NULL,'','','',0,7380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600007,'pristine simple candelabra',NULL,'','','',0,2725,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2600008,'Egg Warmer',NULL,'','','',0,2571,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610000,'sokokar','','','','',255,7253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610001,'a sokokar tamer','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610002,'an elite flurryburst','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610003,'Yeal Jouse','','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610004,'an icy spirit','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610005,'an elite flurryburst','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610006,'an elite nova-vicar','<The Order of Rime>','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610007,'an elite shardhammer','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610008,'an elite shardfist','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610009,'an elite sleetsaber','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610010,'Jonarn','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610011,'a Rubble-rabble detector','','','','',255,7636,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610012,'a Rubble-rabble burrower','','','','',255,7637,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610013,'a kunzar tiger','','','','',255,2415,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610014,'Daluntiir Tiwele','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610015,'Varn','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610016,'The Rubble-rabble Clodburglar','<Burrow Thief>','','','',255,7394,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610017,'a jungle quatcha','','','','',255,7258,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610018,'Jasartik','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610019,'a bloodstripe kunzar bengal','','','','',255,2415,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610020,'Hunter Snake-Eye','','','','',255,1574,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610021,'an iksar hunter','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610022,'an elder jungle quatcha','','','','',255,7258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610023,'Kasn','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610024,'a slain kunzar tiger','','','','',255,2415,41,0,1,1,0,0,228,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610025,'a veteran shardtroop','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610026,'a chittering monkey','','','','',255,5006,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610027,'a tatterback gorilla','','','','',255,6825,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610028,'Jonekab','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610029,'Zarekn','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610030,'Taskmaster Urz','','','','',255,103,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610031,'Severilous','<Agent of Trakanon>','','','',255,5915,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610032,'a kunzar scaleripper','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610033,'a giant venom flow leech','','','','',255,7361,32,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610034,'a hardened clay vase','','','','',255,4564,64,0,1,1,712,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610035,'training wall','','','','',255,4642,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610036,'a Stone shackle monk','<Swifttail Caste>','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610037,'a Swifttail caste servant','','','','',255,1573,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610038,'a Rock shackle monk','<Swifttail Caste>','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610039,'Old Whitefoot','<Far Traveler>','','','',255,7257,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610040,'Karn','A Rubble-rabble detector''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610041,'a Rubble-rabble rouser','','','','',255,7637,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610042,'a pygmy cockhen','','','','',255,7235,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610043,'an ice-dazed iksar villager','','','','',255,1574,38,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610044,'Tangor','','','','',255,7043,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610045,'a spiritwracked chokidai','','','','',255,7323,64,0,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610046,'a veteran shardtroop','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610047,'a veteran shardtroop','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610048,'a highland gorilla','','','','',255,6825,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610049,'an iksar villager','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610050,'an iksar buyer','<Merchant>','','','',255,103,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610051,'a trakanasaur','','','','',255,7392,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610052,'Swifttail Trialmaster','<Swifttail Caste>','','','',255,103,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610053,'a senior Steel shackle monk','<Swifttail Caste>','','','',255,1575,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610054,'a hardened practice vase 06','','','','',255,4564,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610055,'a hardened practice vase 05','','','','',255,4564,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610056,'a hardened practice vase 04','','','','',255,4564,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610057,'a hardened practice vase 03','','','','',255,4564,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610058,'a hardened practice vase 02','','','','',255,4564,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610059,'a hardened practice vase 01','','','','',255,4564,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610060,'a Steel shackle monk','<Swifttail Caste>','','','',255,104,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610061,'a Clay shackle monk','<Swifttail Caste>','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610062,'Grandmaster Raakaz of the Tynonnium Shackle','<Swifttail Caste>','','','',255,1575,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610063,'Grandmaster Kaybal of the Tynonnium Shackle','<Swifttail Caste>','','','',255,1574,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610064,'a senior Bronze shackle monk','<Swifttail Caste>','','','',255,1574,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610065,'a Bronze shackle monk','<Swifttail Caste>','','','',255,1575,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610066,'a Copper shackle monk','<Swifttail Caste>','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610067,'a docile earth elemental','','','','',255,6282,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610068,'a trakaraptor','','','','',255,7392,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610069,'','','','','',255,2306,25,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610070,'an elite C-9 unit','','','','',255,7321,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610071,'a Sathirian oathsworn sentry','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610072,'a Sathirian oathsworn seeker','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610073,'a Sathirian oathsworn patroller','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610074,'a lost sabrecat wanderer','','','','',255,5249,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610075,'a timeworn spirit','','','','',255,1573,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610076,'Ireka Nazan','','','','',255,104,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610077,'a shrunken jade golem','','','','',255,7454,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610078,'Sirris Xanx','','','','',255,1575,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610079,'a shrunken iron golem','','','','',255,7465,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610080,'Ebenezer Sprockbok','<Traveling Master of the Mechanical>','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610081,'a mistgoblin warrior','','','','',255,7311,38,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610082,'a mistgoblin shaman','','','','',255,7296,38,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610083,'a Kunzar muckshredder','','','','',255,204,32,0,1,1,11,0,1498,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610084,'Skulker Slythe','','','','',255,1573,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610085,'a camp patcher','<Mender>','','','',255,103,38,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2610086,'a relic plunderer','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610087,'Skulker Traz','','','','',255,1574,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610088,'a renegade spy','<Ry''zilk''s Renegades>','','','',255,7368,46,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610089,'a rival plunderer','','','','',255,103,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610090,'Skulker Urix','<a relic plunderer>','','','',255,103,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610091,'a spurbone skeleton','','','','',255,7638,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610092,'a Torsis phantom','','','','',255,2853,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610093,'a Torsis spectre','','','','',255,2854,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610094,'Skulker Nazin','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610095,'Skulker Ganiz','','','','',255,103,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610096,'Trafficker Galax','<Faction Merchant>','','','',255,1574,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610097,'a Skulker buyer','<Merchant>','','','',255,103,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610098,'a jade construct','','','','',255,7454,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610099,'an iron construct','','','','',255,7465,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610100,'an iksar villager','','','','',255,1572,36,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610101,'Skulker Pyne','','','','',255,104,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610102,'fourth key guardian','','','','',255,7454,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610103,'The Black Reaver','<Venerable Guardian>','','','',255,7465,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610104,'third key guardian','','','','',255,7454,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610105,'a noble advisor','','','','',255,2854,41,0,1,1,0,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610106,'Lord Rak''Ashiir','','','','',255,1574,48,0,1,1,0,0,496,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610107,'a dead horse','','','','',255,6840,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610108,'a dead knight','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610109,'first key guardian','','','','',255,7454,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610110,'second key guardian','','','','',255,7454,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610111,'a mistgoblin scout','','','','',255,7324,38,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610112,'a mistgoblin Witchdoctor','','','','',255,7296,38,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610113,'a Sathirian trooper','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610114,'an iksar banker','<Banker>','','','',255,104,38,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610115,'Bax Nazan','','','','',255,103,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610116,'a wild chokidai predator','','','','',255,7323,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610117,'a venom flow leech','','','','',255,7361,19,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610118,'a feral chokidai scavenger','','','','',255,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610119,'an erollisi mantrap','','','','',255,7217,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610120,'Kyena the Eastern Lord','<Rider of Rime>','','','',0,132,48,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610121,'an undergrowth sabrecat','','','','',255,5249,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610122,'Black Lotus','<The Beautiful Destroyer>','','','',255,7217,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610123,'a chokidai scavenger','','','','',255,7323,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610124,'Ganab','An elite flurryburst''s wind sensei','','','',255,8049,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610125,'a veteran shardtroop','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610126,'Revva Kaz','','','','',255,1572,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610127,'Kazid Nazan','','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610128,'Garer','An elite flurryburst''s wind sensei','','','',255,8049,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610129,'a C-9 unit','','','','',255,7321,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610130,'a Sathirian patroller','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610131,'Moocher','<Scourge of the Lake>','','','',255,7361,25,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610132,'Sonjaz Manx','','','','',255,104,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610133,'a Jinisk mender','<Mender>','','','',255,1573,38,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2610134,'Yarvis Urx','','','','',255,103,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610135,'Karriz Yazler','','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610136,'a renegade snooper','<Ry''zilk''s Renegades>','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610137,'Kraz Rizzner','','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610138,'Snagglespine','<Chokidai Pack Leader>','','','',255,7323,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610139,'a renegade infiltrator','<Ry''zilk''s Renegades>','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610140,'Jinisk sentry remains','','','','',255,7638,38,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610141,'a Jinisk guard','<Jinisk outpost guard>','','','',255,1574,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610142,'a Jinisk regiment captain','<Jinisk outpost guard>','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610143,'Sharpeye Scoz','','','','',255,7368,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610144,'a chief renegade infiltrator','<Ry''zilk''s Renegades>','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610145,'Scout Brazyk','<Renegade Pathfinder>','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610146,'a renegade medic','<Ry''zilk''s Renegades>','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610147,'Quartermaster Bi''zin','','','','',255,7356,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610148,'Field Chief Ry''zilk','','','','',255,7368,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610149,'Quartermaster Kozik','<Faction Merchant>','','','',255,7157,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610150,'a renegade buyer','<Merchant>','','','',255,7356,48,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610151,'Engineer Trelk','<Mender>','','','',255,7356,48,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2610152,'an elusive ice construct','','','','',255,230,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610153,'a Vespid hornet','','','','',255,7095,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610154,'a Vespid cosm-caller','','','','',255,7095,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610155,'a Jinisk citizen','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610156,'a sentry of Jinisk','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610157,'Klok Vrells','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610158,'Trader Hisk Varn','','','','',255,103,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610159,'Kerss Rekssok','<The Wised Eye>','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610160,'Zikana Sly''ssar','','','','',255,1572,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610161,'a citizen of Jinisk','','','','',255,1573,39,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610162,'Captain Venk','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610163,'Braz Terrick','','','','',255,1575,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610164,'Kriinz Nax','','','','',255,1572,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610165,'Atira X''aphon','','','','',1,4965,35,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610166,'Urth Klavik','','','','',255,1574,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610167,'Baron Klavik','<Lord of Jinisk>','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610168,'Dealer Zaynx','<Faction Merchant>','','','',255,1575,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610169,'a Jinisk broker','<Broker>','','','',255,103,38,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610170,'a Jinisk banker','<Banker>','','','',255,1575,38,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610171,'Rhodoqiz Karazz','','','','',255,1573,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610172,'a Jinisk buyer','<Merchant>','','','',255,103,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610173,'a 7th wing lancer','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610174,'a young sokokar ','','','','',255,7253,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610175,'a Sathirian sokokar keeper','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610176,'Gredix''s crew member','','','','',255,103,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610177,'Gredix','','','','',255,103,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610178,'an emerald stonegazer','','','','',255,7235,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610179,'a foraging emerald stonegazer','','','','',255,7235,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610180,'Jinisk caravan guard leader','','','','',255,103,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610181,'a Jinisk caravan guard','','','','',255,1572,36,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610182,'a mature kunzar tiger','','','','',255,2415,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610183,'an erollisi bloodthorn','','','','',255,7217,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610184,'a maternal sokokar ','','','','',255,7253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610185,'a Sathirian tracker','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610186,'Squad Leader Sweepz','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610187,'a trained war sokokar ','','','','',255,7253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610188,'a leashed sokokar','','','','',255,7253,32,0,1,1,0,0,16377,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610189,'Sokokar Brood Mother','','','','',255,7253,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610190,'Thress Kivatei','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610191,'Kellaen Mednevn','<Stock Sergeant>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610192,'Ride Watcher Zakor','<The Order of Rime>','','','',0,132,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610193,'an emerald stoneleer','','','','',255,7235,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610194,'a Sathirian milite','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610195,'a risen brittlebone','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610196,'a liberated reet wizard','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610197,'a liberated reet slave','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610198,'a Sathirian squad leader','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610199,'a liberated reet','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610200,'Fisherman Quurp','<Synod Reet>','','','',255,7648,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610201,'Mender Kupput','<Synod Reet>','','','',255,7648,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610202,'Oracle Boppit','<Synod Reet>','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610203,'Foreman Guppka','<Synod Reet>','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610204,'Bulgup Urple','<Faction Merchant>','','','',255,7395,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610205,'a sporconid cultivator','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610206,'a sporconid redcap','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610207,'Stoneneb','<Ruler of the Roost>','','','',255,7235,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610208,'a kunzar swampfly','','','','',255,2389,38,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610209,'a kunzar scaleshredder','','','','',255,204,38,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610210,'a dragon drool leech','','','','',255,7361,32,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610211,'The Cluckatrice','','','','',255,7235,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610212,'Speaker Rup','<Synod Reet>','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610213,'Assistant Pubbit','<Synod Reet>','','','',255,7648,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610214,'a sporconid eyesore','','','','',255,5096,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610215,'Fisher Rissen','','','','',255,1575,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610216,'a fisher hand','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610217,'a lake fisher','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610218,'Fisher Ozrid','','','','',255,1573,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610219,'Snorespore','<Lethargic Leader>','','','',255,5096,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610220,'Enchanter Glowwp','<Synod Reet>','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610221,'Special Agent Froak','<Synod Reet>','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610222,'Duz Heronimous','','','','',255,7648,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610223,'Tralb the Mystic','<Spiritcaller>','','','',255,7395,32,0,1,1,0,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610224,'a sporconid ritualist','','','','',255,5096,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610225,'a sporconid sporeling','','','','',255,5096,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610226,'Sporconid Den Mother','','','','',255,5096,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610227,'Doom','<Ancient Evil>','','','',255,7638,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610228,'Marrax','','','','',255,1573,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610229,'an Outer Sebilisian sentry','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610230,'an Outer Sebilis resident','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610231,'Associate Yssith','','','','',255,104,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610232,'Associate Tuz','','','','',255,1572,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610233,'Fisher Sivv','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610234,'an Outer Sebilisian seeker','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610235,'an Outer Sebilisian patroller','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610236,'an Outer Sebilis broker','<Broker>','','','',255,1573,38,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610237,'a Dalnir''s Wheel watchman','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610238,'Taskmaster Scally','','','','',255,1574,41,0,1,1,9,0,12210,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610239,'Opp','','','','',255,7395,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610240,'a reet slave','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610241,'Baron Terrask','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610242,'Taskmaster Gax','<Chief Taskmaster>','','','',255,104,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610243,'Supplier Brillz','<Faction Merchant>','','','',255,1574,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610244,'a vicious Vespid hornet','','','','',255,7095,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610245,'an Outer Sebilis mender','<Mender>','','','',255,103,38,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2610246,'Merchant Crevik','','','','',255,1573,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610247,'an Outer Sebilis buyer','<Merchant>','','','',255,1575,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610248,'Refugee Yurix','','','','',255,104,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610249,'an Outer Sebilis banker','<Banker>','','','',255,1575,38,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610250,'Lorekeeper Havinox','<Academic of Outer Sebilis>','','','',255,103,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610251,'Lorekeeper Fazik','<Academic of Outer Sebilis>','','','',255,1573,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610252,'Loremaster Hax','<Academic of Outer Sebilis>','','','',255,1575,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610253,'Lorekeeper Vaz','<Academic of Outer Sebilis>','','','',255,104,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610254,'Lorekeeper Civix','<Academic of Outer Sebilis>','','','',255,1575,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610255,'a Sebilite guardian','','','','',255,7246,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610256,'Dominus Chottal','<The Herald of Syllokk>','','','',255,1575,48,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610257,'a massive juggernaut','','','','',255,7246,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610258,'Tradesman Zaalk','<Faction Merchant>','','','',255,1575,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610259,'Salik Niss','<Bartender>','','','',10,1575,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610260,'iksar remains','','','','',255,7638,38,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610261,'Foreman Vink','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610262,'a vicious Vespid cosm-caller','','','','',255,7095,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610263,'a hungry trakaraptor','','','','',255,7392,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610264,'Rataz','<Assistant to Cookie>','','','',255,103,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610265,'Cookie Yevek','<Head Cook of Dalnir''s Wheel>','','','',255,1574,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610266,'a skewered trakaraptor','','','','',255,7392,44,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610267,'an anxious iksar villager','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610268,'Peddler Nokken','<Faction Merchant>','','','',255,103,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610269,'Skar','','','','',255,7392,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610270,'a pox-ridden reet slave','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610271,'a shadow raptor','','','','',255,7392,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610272,'Havik Thyx','','','','',255,1574,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610273,'Slixin Drusar','','','','',255,104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610274,'Khassp Xivvix','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610275,'Kindo Youngfist','','','','',10,1575,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610276,'Taskmaster Oriss','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610277,'Kuza Sathak','','','','',255,1573,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610278,'Taskmaster Tsrazz','','','','',255,103,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610279,'Taskmaster Rik','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610280,'Brak','','','','',255,7395,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610281,'Emissary Tranz','<Emissary of the Tabernacle of Pain>','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610282,'a senior Copper shackle monk','<Swifttail Caste>','','','',255,103,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610283,'a senior Stone shackle monk','<Swifttail Caste>','','','',255,1575,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610284,'a senior Rock shackle monk','<Swifttail Caste>','','','',255,104,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610285,'a senior Clay shackle monk','<Swifttail Caste>','','','',255,103,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610286,'Merrik Hanz','','','','',255,1575,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610287,'Gasartik','An elite flurryburst''s wind sensei','','','',255,8049,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610288,'an elite flurryburst','<The Order of Rime>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610289,'monk_fighting_cage',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,435,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610290,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,3,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610291,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610292,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610293,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610294,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610295,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610296,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610297,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610298,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610299,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610300,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610301,'candle',NULL,'','','',0,2709,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610302,'floor_bottle_any_wine01',NULL,'','','',0,4604,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610303,'Ogre Remains',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610304,'The Fallen Village sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610305,'quatcha cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610306,'vase_pedestal',NULL,'','','',0,2904,12,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610307,'Swifttail weapons of challenge',NULL,'','','',0,8016,26,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610308,'',NULL,'','','',0,6704,32,0,1,1,0,0,9763,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610309,'sprockbok chest',NULL,'','','',0,2658,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610310,'Ganiz''s chest',NULL,'','','',0,3084,22,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610311,'Ganiz''s wine',NULL,'','','',0,4604,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610312,'iksar crate',NULL,'','','',0,3146,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610313,'iksar chest',NULL,'','','',0,3084,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610314,'City of Mist artifacts',NULL,'','','',0,2144,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610315,'Hidden Plunderers'' Camp sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610316,'City of Mist artifacts',NULL,'','','',0,6421,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610317,'Lord Rak''Ashiir''s Door',NULL,'','','',0,7643,24,0,1,1,16,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610318,'Rile''s Phlactery Case',NULL,'','','',0,2145,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610319,'rock_monk',NULL,'','','',0,3899,159,0,1,1,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610320,'Meditation Rock',NULL,'','','',0,3899,160,0,1,1,713,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610321,'ancient chest',NULL,'','','',0,2654,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610322,'door_frame_wood',NULL,'','','',0,6666,32,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610323,'mound',NULL,'','','',0,2916,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610324,'Kaiaren''s Grave',NULL,'','','',0,2917,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610325,'Ogre Remains',NULL,'','','',0,2998,32,0,1,1,714,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610326,'Jinisk sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610327,'iksar supply cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610328,'cave entrance',NULL,'','','',0,4544,57,0,1,1,715,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610329,'sokokar hitching post',NULL,'','','',0,2112,32,0,1,1,716,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610330,'Murkdwellers River sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610331,'mushroom_green_sporconid',NULL,'','','',0,4550,38,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610332,'sporconid cage',NULL,'','','',0,2283,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610333,'Outer Sebilis sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610334,'Cookie''s Fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610335,'floor_flask_any_glass01',NULL,'','','',0,4470,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610336,'floor_roundcounter_human_stone01',NULL,'','','',0,3145,32,0,1,1,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610337,'Cookie''s Debris',NULL,'','','',0,4476,25,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610338,'Cookie''s Bowls',NULL,'','','',0,3352,48,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610339,'Cookie''s Bowls',NULL,'','','',0,3357,35,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610340,'iksar meat barrel',NULL,'','','',0,2942,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610341,'Tabernacle of Pain sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610342,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,0,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(2610343,'door_to_kullabas_cave',NULL,'','','',0,6665,32,0,1,1,46,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610344,'doom_doomsday_stone_starter',NULL,'','','',0,2306,82,0,1,1,0,0,3393,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610345,'doom_moppet_battlefield',NULL,'','','',0,149,9,0,1,1,0,0,2142,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610346,'zone_to_moppet_shoppe',NULL,'','','',0,1857,32,0,1,1,717,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610347,'headstone',NULL,'','','',0,2925,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610348,'Kaiaren''s Gravestone',NULL,'','','',0,2923,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610349,'Mailbox',NULL,'','','',0,7927,32,0,1,1,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610350,'Order of Rime egg basket',NULL,'','','',0,11058,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610351,'widget_qst_rime_fishbarrel',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610352,'widget_qst_rime_bonebox',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610353,'zone_to_sebilis',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610354,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610355,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610356,'ferrite deposit',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610357,'kunzite node',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610358,'jungle beast den',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610359,'aerating root cord',NULL,'','','',0,6907,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610360,'kunzar berrybush',NULL,'','','',0,3908,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610361,'venom flow catch',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610362,'emerald jungle timber',NULL,'','','',0,6901,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610363,'?',NULL,'','','',0,2306,9,0,1,1,2,0,2772,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610364,'Jinisk sentry backpack',NULL,'','','',0,4186,32,0,1,1,2,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2610365,'Ry''zilk''s Chest',NULL,'','','',0,3080,32,0,1,1,2,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620000,'a horse','','','','',255,6846,31,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620001,'an Ulteran network scholar','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620002,'Maiden''s Grace','','','','',0,7941,32,0,1,1,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620003,'sokokar','','','','',255,7253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620004,'a sokokar tamer','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620005,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620006,'a Teren researcher','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620007,'Pultar','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620008,'Corm Hasia','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620009,'Gauwren Tarix','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620010,'a Teren guardian','','','','',4,4938,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620011,'Fuzl Springstrutter','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620012,'Yu''elta Moonlight','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620013,'Brenda Thoon','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620014,'Thurok','','','','',12,124,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620015,'a Kunark rhino','','','','',255,7206,37,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620016,'Laydin Haggus','<Horse Merchant>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620017,'Rullok Ironskull','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2620018,'Kaitlan Dekarn','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100222,0,0,0,0,0,0,0,0,0,0,0,0),
(2620019,'Ladir Maplewood','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620020,'Seri Q`Endu','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620021,'Stewlin Vincent','<Sokokar Trainer>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620022,'Rafelen Fraes','<Historian>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620023,'a Teren sergeant','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620024,'Fretta Toughtoes','<Pet Merchant>','','','',7,107,32,0,1,1,10,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620025,'Jalira Cobblebrick','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620026,'Zarkil Vulraz','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620027,'Sarklee Farlaq','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620028,'Aliona Maybelle','','','','',15,113,28,0,1,1,9,0,308,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620029,'Galadwen Dawnbreak','<Collector>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620030,'an Ulteran network researcher','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620031,'Joonius Khristus','<Purveyor of Strange Armor>','','','',255,7637,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620032,'Aila Helmsplitter','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620033,'Qua Tu''lys','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620034,'Verz Turlka','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620035,'Fidget','<Pack Rhino>','','','',255,7206,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620036,'Huradil Sullirion','<Accessories>','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620037,'Telri Willowglade','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620038,'Geobot XII','<Clockwork Minion>','','','',255,208,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620039,'Dwombo Twiggler','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620040,'Warden Glendrala','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620041,'Olmyr Deepwell','<Deepwater Circle>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620042,'Hollen the Runesage','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620043,'Caitlan Barkskin','<Warden Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(2620044,'Kelvi Julari','<Templar Trainer>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(2620045,'Gisella Spirithowler','<Mystic Trainer>','','','',0,1464,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100486,0,4,0,0,0,0,0,0,0,0,0,0),
(2620046,'Grason Blythe','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620047,'Isa Fernandi','','','','',9,132,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620048,'Blort','<Defiler Trainer>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(2620049,'Vulrask Xarthiz','<Inquisitor Trainer>','','','',10,1574,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(2620050,'Haoern Moonglade','<Fury Trainer>','','','',15,1488,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(2620051,'Zyn''Phro','','','','',255,6280,48,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620052,'an apprentice','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620053,'Trader Descamus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620054,'Moorha Tildaelaela','','','','',3,1593,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620055,'Bilm Threadspinner','<Tailor Patterns>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620056,'Morowe Whisperwind','<Master Tailor>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620057,'Disra G`Axx','<Necromancer Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(2620058,'Guraala the Weakminded','<Coercer Trainer>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(2620059,'Garglari','<Dark Arts and Languages>','','','',14,105,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620060,'Iaanoola Huuraana','<Warlock Trainer>','','','',3,1587,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(2620061,'Master Yolanda Ausir','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620062,'Neegua Looraana','','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620063,'Furgli Granitetooth','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620064,'Q`uenta Moonbeam','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620065,'Wiskee Baldfoot','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620066,'Kurk Granitetooth','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620067,'Dure T`Kul','<Alternate Advancement>','','','',1,116,32,0,1,1,22,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620068,'Juulika McDarid','<Sage Tomes and Scrolls>','','','',0,111,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620069,'Huzika Surrak','<Arcane Fuel>','','','',10,1572,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620070,'Breego Sunshimmer','<Light Arts and Languages>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620071,'Falimar the Farsighted','<Wizard Trainer>','','','',8,136,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(2620072,'Saeliri Burningstar','<Illusionist Trainer>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(2620073,'Fuzzle Boltbinder','<Conjuror Trainer>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100484,0,4,0,0,0,0,0,0,0,0,0,0),
(2620074,'Overlord''s Edge','','','','',0,7940,68,0,1,1,0,0,0,0,0,0,0,0,1346,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620075,'Tuurka Flintspark','<Crafting Trainer>','','','',2,109,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620076,'Kamzak','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620077,'Gurpo Steamburn','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620078,'Kalguki','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620079,'Ab''zorb the Wizmantle','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620080,'Goddin Ratsachak','<Master Chef>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620081,'Durtt','<Gud Eets Recipes>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620082,'Guraal','<Provisioner & Gud Eets>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620083,'Tular Wassar','<Fuels Merchant>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620084,'Talisen the Silent','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620085,'Morticus Belaern','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620086,'Nai Nosredna','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620087,'Grave','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620088,'Wyneta Splinterfeet','<Woodworker>','','','',7,107,32,0,1,1,10,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620089,'Fazoola Gemcutter','<Jeweler>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620090,'Spalamala','<Carpenter>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620091,'Drazden','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620092,'Lus Din`Z','<Weapon Craftsman>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620093,'Gurdi Burnforge','<Arms Dealer>','','','',2,109,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620094,'Sariwen Olivetree','<Shieldsmith>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620095,'Zoong Westlock','<Melee Skills and Techniques>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620096,'Gurdo Stonefist','<Armor Craftsman>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620097,'Oari the Just','<Paladin Trainer>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,100487,0,4,0,0,0,0,0,0,0,0,0,0),
(2620098,'Gurdeep Flycatcher','<Monk Trainer>','','','',4,1431,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(2620099,'Wizzle Sprocketputter','<Traveling Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620100,'Furddoan Quippoosa','<Guardian Trainer>','','','',3,1605,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(2620101,'Dylan McVelt','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620102,'Deliliah Rhubarb','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620103,'Taskmaster Greeblentus','<Foreman>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620104,'Rezul Spineshank','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620105,'Kuralz','<Master Armorsmith>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620106,'Hukulk the Haggard','<Shadowknight Trainer>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(2620107,'Failaa Ginton','<Bruiser Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(2620108,'Theod McDarby','<Berserker Trainer>','','','',0,1470,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(2620109,'Hark the Wretched','','','','',9,134,32,0,1,1,9,0,16114,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620110,'Celest I''alna','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620111,'Tibby Joopin','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620112,'Turluk Qukila','<Bartender>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620113,'Arianna Nybright','<Import / Export>','','','',6,79,32,0,1,1,20,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620114,'Havras \"Hack\" Scutter','<Relic Hunter>','','','',9,4990,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620115,'Shurann Derpal','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620116,'Benthaf Clovenshield','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620117,'Grenga the Stylist','<Barber>','','','',6,79,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620118,'Durlo Everpine','<General Goods>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620119,'Klask Vassil','<Lottery Tickets>','','','',10,1574,32,0,1,1,43,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620120,'Bappo Gumtree','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620121,'Surya Hammerman ','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620122,'Teren Rysis','<High Commander of the Forgotten>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620123,'Tinkles ''Copper'' Pincher','<First Kunark Savings & Loan>','','','',5,121,32,0,1,1,14,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620124,'Aliyah Vensdord','<Faction Merchant - General>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620125,'Urtt','','','','',12,124,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620126,'Branwyn Loamtoe','','','','',7,107,28,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620127,'Helena McWuld','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620128,'Tolan Darkwood','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620129,'Hokus McMoog','<Munitions Specialist>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620130,'Wendi Deeppockets','<Swashbuckler Trainer>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100485,0,4,0,0,0,0,0,0,0,0,0,0),
(2620131,'Durgo Sableglade','<Ranger Trainer>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(2620132,'Betty Hymncrafter','','','','',7,107,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620133,'Durwen Sureshot','<Bowyer>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620134,'Frubi Marr-touched','','','','',4,4943,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620135,'Balagog the Tiny','','','','',12,124,44,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620136,'snow badger','','','','',255,267,31,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620137,'Tahd Feek','<Master Alchemist>','','','',0,1471,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620138,'JP Poggleboddy','','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620139,'Yeal Jouse','','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620140,'Fakko Butterfingers','<Brigand Trainer>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(2620141,'Malvn Q`Tentu','<Assassin Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(2620142,'Zooraala Torsaa','<Alchemical Adept>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620143,'Hurde Rolaq','<Master Alchemist>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620144,'Faru N`Mar','<Faction Merchant - Weapons>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620145,'Nerissa Sorrowsong','<Dirge Trainer>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(2620146,'Gerika Dirki','<Troubador Trainer>','','','',15,114,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(2620147,'Haligan the Retired','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620148,'Buguk the Mighty','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620149,'Surla Sarthul','','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620150,'a Di''Zok infiltrator','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620151,'a Di''Zok vileguard','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620152,'a Di''Zok berserker','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620153,'Warlord Di''Ouz','<Neyir Brigade Commander>','','','',255,7368,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620154,'a Di''Zok diviner','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620155,'a Gwalnax mender','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620156,'a Gwalnax berserker','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620157,'Historian Holdak','<The Gwalnax Brigade>','','','',255,7356,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620158,'a Gwalnax vileguard','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620159,'a Gwalnax air cavalry lancer','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620160,'Battle Master Dolak','<The Gwalnax Brigade>','','','',255,7368,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620161,'a Sathirian hoplite','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620162,'a Sathirian medic','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620163,'a Sathirian arcanist','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620164,'a Sathirian centurion','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620165,'a river bloodsucker','','','','',255,7361,12,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620166,'Lanab','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620167,'Harbormaster Bronn','<Harbormaster>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620168,'Zeliss Vrang','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620169,'Borbin Happens','<Dreg''s Landing Lieutenant>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620170,'Jayda V''Drel','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620171,'Kosyi','','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620172,'Bison Bloodwarmer','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620173,'Sylvia Ciliasilk','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620174,'a Terenite mage','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620175,'Rosalia Pendago','','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620176,'Joce Pendago','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620177,'Deputy Gorelong','<The League of Freethinkers>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620178,'Jones','<Borbin''s Assistant>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620179,'an icy spirit','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620180,'a seasoned Rime pillager','<The Order of Rime>','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620181,'a Rime pillager','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620182,'a seasoned Rime pillager','<The Order of Rime>','','','',13,54,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620183,'a Rime pillager','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620184,'a Rime pillager','<The Order of Rime>','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620185,'a seasoned Rime pillager','<The Order of Rime>','','','',13,59,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620186,'a slain drachnid hunter','','','','',255,7226,32,0,1,1,0,0,228,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620187,'Joren Verkent','<Alchemist>','','','',6,78,32,0,1,1,9,1265,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620188,'Trader Walworth','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620189,'Zulzak Ku''Ti','','','','',255,7371,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620190,'Mosi Panthira','','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620191,'Kilur Beardback','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620192,'Beth Littlefort','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620193,'Kefitzat Haderech','','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620194,'Yersenia Sistephinos','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620195,'Tszuij Adawhi','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620196,'Charleston Gnomegomery','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620197,'Jaerm Farbles','<Provisions, Ammunition, & General Goods>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620198,'Brok','<Mender>','','','',14,106,32,0,1,1,12,9,0,0,0,1,0,0,43,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2620199,'Hailena Hoss','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620200,'a drachnid enthraller','','','','',255,7226,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620201,'a drachnid bloodknight','','','','',255,7302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620202,'Samraln','<Wayward Survivor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620203,'Harbormaster Shaery','<Harbormaster>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620204,'a seasoned Rime pillager','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620205,'Iloveyou','Trine''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620206,'Mesmeric','Mesmeric''s Personae Reflection','','','',9,1598,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620207,'a drachnid hunter','','','','',255,7300,32,0,1,1,11,0,0,1,1,1,0,0,32,1021,1021,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620208,'Kwok''s attack hawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620209,'Garggon''s construct of rationality','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620210,'Fautuna','<PVP Writs>','','','',1,104,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620211,'Rayek''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620212,'Rayek''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620213,'Rayek''s thug','','','','',13,62,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620214,'Wokkawokka','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620215,'Vebtik','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620216,'Lolzergers','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620217,'Ruari','Healing Companion','','','',255,182,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620218,'Shami','Shami''s Personae Reflection','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620219,'Youredumblol','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620220,'Grush McSearrin','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620221,'Nofour','Jaeknator''s companion','','','',255,149,9,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620222,'a crumbling spurbone','','','','',255,7638,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620223,'a lake lurker','','','','',255,7361,9,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620224,'a drolvarg scavenger','','','','',255,7425,49,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620225,'a drolvarg scavenger','','','','',255,7423,46,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620226,'a drolvarg scavenger','','','','',255,7423,49,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620227,'a drolvarg snarler','','','','',255,7423,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620228,'a drolvarg fodderling','','','','',255,7423,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620229,'a drolvarg fodderling','','','','',255,7425,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620230,'a drolvarg gnasher','','','','',255,7423,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620231,'a drolvarg snarler','','','','',255,7423,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620232,'a drolvarg snarler','','','','',255,7424,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620233,'a drolvarg gnasher','','','','',255,7424,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620234,'a drolvarg rager','','','','',255,7425,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620235,'a drolvarg gnasher','','','','',255,7423,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620236,'a drolvarg ravisher','','','','',255,7425,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620237,'a drolvarg rager','','','','',255,7423,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620238,'Xvenloo Ghox','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620239,'Ebet Corscrag','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620240,'a drolvarg snarler','','','','',255,7425,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620241,'a drolvarg gnasher','','','','',255,7425,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620242,'a stonewood treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620243,'a hillock crusher','','','','',255,7639,35,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620244,'a hulking brute','','','','',255,7258,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620245,'a huge brute','','','','',255,7258,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620246,'a Sathirian priest','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620247,'a Sathirian watcher','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620248,'a Sathirian scout','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620249,'a Sathirian mage','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620250,'a Venril adherent','<Cult of the Arisen>','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620251,'Grimma Fren','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620252,'Lanyir Dirin','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620253,'Gillin Henry','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620254,'Enchanter Phoebe','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620255,'Basher Malgon','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620256,'Drobbs Swifttoe','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620257,'a Freedom Ambassador pilgrim','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620258,'Ambassador Raflin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620259,'a corpse','','','','',9,134,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620260,'a drolvarg scavenger','','','','',255,7424,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620261,'Anda','','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620262,'a tundra beast','','','','',255,7257,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620263,'Lynchpin','','','','',255,7253,32,0,1,1,1187,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620264,'a docile air elemental','','','','',255,197,128,0,1,1,11,0,496,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620265,'a tundra brute','','','','',255,7257,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620266,'a Di''Zok battlerager','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620267,'a Di''Zok bonedancer','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620268,'a Di''Zok saboteur','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620269,'a Di''Zok zealot','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620270,'a brittle spurbone','','','','',255,7638,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620271,'a tatterback','','','','',255,6825,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620272,'an ember drone','','','','',255,7250,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620273,'a flesh feeder','','','','',255,5863,96,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620274,'Seepay','','','','',255,7395,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620275,'Bogo','Bogo''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620276,'a Ryjesium ore miner','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620277,'Laydin Haggus','<Stable Master>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620278,'Lady Arlen Sunbeam','<Antonican Rewards Merchant>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620279,'Sir Drofecid Tops','<Lucanic Rewards Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620280,'Dure T`Kul','<Achievements>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620281,'Bob','','','','',9,7647,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620282,'Gurdi Burnforge','<Armsdealer>','','','',2,109,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620283,'a brittle shardbone','','','','',255,7638,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620284,'Ddog','Ddude''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620285,'Johnnydankseed','Dustey''s Possessed Essence','','','',9,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620286,'Cutnutsjr','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620287,'a listening crystal','','','','',9,4457,9,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620288,'Hawkfighter''s attack hawk','','','','',255,260,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620289,'Jibanab','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620290,'Kararer','Breegio''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620291,'Slapaho','','','','',255,7302,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620292,'Bagabones','Misiz''s dreadnought','','','',255,4545,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620293,'Vebekn','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620294,'Bagabones','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620295,'Spike','Carazi''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620296,'Hoochie','Nichee''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620297,'Heartacramp','Rothaz''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620298,'Thezoo','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620299,'Gotmilk','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620300,'Gabobn','XXXXXX''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620301,'Lampie','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620302,'a drolvarg fodderling','','','','',255,7424,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620303,'a drolvarg fodderling','','','','',255,7423,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620304,'a drachnid recluse','','','','',255,7302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620305,'a drachnid adept','','','','',255,7301,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620306,'a Jaded Shroud trailblazer','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620307,'Toad','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620308,'Ecoich''s awaken grave','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620309,'Ecoich''s blighted horde','','','','',255,5095,29,7,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620310,'Kenaner','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620311,'Kenaner','Ecoich''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620312,'a drolvarg sergeant','','','','',255,7423,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620313,'a Di''Zok bloodfrenzy','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620314,'a Di''Zok blademaster','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620315,'a Di''Zok darkweaver','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620316,'a Di''Zok mender','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620317,'a Di''Zok marshall','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620318,'A drachnid recluse''s nefarious sacrament','','','','',9,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620319,'a young wyvern','','','','',255,7185,44,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620320,'Maozore''s Forge of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620321,'a Broken Toe backbiter','','','','',255,7311,53,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620322,'Libarn','Ecoich''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620323,'Konobn','Ecoich''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620324,'Xaser','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620325,'a Broken Toe stabber','','','','',255,7324,43,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620326,'Lonarn','Ecoich''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620327,'a drolvarg rager','','','','',255,7423,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620328,'a drolvarg rager','','','','',255,7424,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620329,'a drolvarg ravisher','','','','',255,7423,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620330,'a Broken Toe dust mystic','','','','',255,7296,60,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620331,'Hooktalon','','','','',255,7185,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620332,'Kaizik Tyvkl','','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620333,'Teren''s Grasp Sokokar Post',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620334,'Fens of Nathsar Sokokar Post',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620335,'tower_door_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620336,'Dreg''s Landing Sokokar Post',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620337,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620338,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620339,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620340,'charleston_x5_agent_wrong_and_drachnid_mastery',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620341,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620342,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620343,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620344,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620345,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620346,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620347,'charleston_x5_agent',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620348,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620349,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620350,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620351,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620352,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620353,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620354,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620355,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620356,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620357,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620358,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620360,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620361,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620362,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620363,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620364,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620365,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620366,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620367,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620369,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620370,'bedroll',NULL,'','','',0,1997,20,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620371,'floor_distillery_human_crucible02',NULL,'','','',0,3411,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620372,'Exp03 Kylong Sorcerer Rune',NULL,'','','',0,4180,32,0,1,1,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620373,'floor_table_gnome_ornate01',NULL,'','','',0,3596,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620374,'Durga Durnbard',NULL,'','','',255,109,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620375,'Gold Chest',NULL,'','','',0,2654,96,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620376,'Hut Foundation',NULL,'','','',0,2501,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620377,'Hrodryr''s Bag',NULL,'','','',0,50111,128,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620395,'a potential artifact',NULL,'','','',255,3993,80,8,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620396,'a potential artifact',NULL,'','','',255,3993,84,7,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620397,'Doola Tiddle',NULL,'','','',255,122,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620398,'Vilma Aeter',NULL,'','','',255,116,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620404,'contamination',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620405,'drachnid_grush_x6_charleston_x3',NULL,'','','',0,7301,32,0,1,1,0,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620406,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620407,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(2620408,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(2620409,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620410,'Mailbox',NULL,'','','',0,7925,32,0,1,1,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620411,'totem_zynphro',NULL,'','','',0,2774,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620412,'psychomalleable_ice',NULL,'','','',0,311,12,0,1,1,46,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620413,'zone_to_chardok',NULL,'','','',0,49,32,0,0,0,678,0,0,0,0,1,0,0,305,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620414,'Mailbox',NULL,'','','',0,7925,32,0,1,1,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620415,'mariners_bell',NULL,'','','',0,16,32,0,0,0,1109,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620416,'an ancient brick',NULL,'','','',0,2265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620417,'zone_to_karnors',NULL,'','','',0,49,32,0,0,0,1188,0,0,0,0,1,0,0,283,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620418,'malgon_x3_supplies',NULL,'','','',0,1393,40,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620419,'a green hood report01',NULL,'','','',0,6657,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620420,'E''ci, the Wintry Guardian',NULL,'','','',0,4463,96,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620421,'The Chest of Charnax',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620422,'a death notice',NULL,'','','',0,6657,39,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620423,'a green hood report02',NULL,'','','',0,6657,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620424,'The Chest of Rouk',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620425,'a green hood report04',NULL,'','','',0,6657,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620426,'a green hood report05',NULL,'','','',0,6657,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620427,'portal_to_kunzar_jungle',NULL,'','','',0,2306,48,0,1,1,1204,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620428,'a green hood report03',NULL,'','','',0,6657,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620429,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620430,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620431,'Ryjesium Leek',NULL,'','','',0,1737,11,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620432,'frostberry bush',NULL,'','','',0,9563,16,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620433,'kylong briar',NULL,'','','',0,3908,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620434,'germinating roots',NULL,'','','',0,6907,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620435,'varmint burrow',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620436,'calcified timber',NULL,'','','',0,6901,64,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620437,'southshore school',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620438,'ryjesium node',NULL,'','','',0,6904,41,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620439,'ornamental geode',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620440,'waterlogged artifact',NULL,'','','',0,7397,48,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620441,'Blight Blossom',NULL,'','','',0,1738,39,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620442,'a scattered page',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620443,'kunzar snapper school',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620444,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620445,'Maiden''s Grace','','','','',0,7941,32,0,0,0,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620446,'sokokar','','','','',255,7253,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620447,'a sokokar tamer','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620448,'Kalligah','<Warder of Shalih Mar>','','','',255,2415,32,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620449,'Shalih Mar','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620450,'a Teren researcher','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620451,'a Teren guardian','','','','',4,4938,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620452,'Yu''elta Moonlight','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620453,'Rafelen Fraes','<Historian>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620454,'a Teren sergeant','','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620455,'an Ulteran network researcher','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620456,'Joonius Khristus','<Purveyor of Strange Armor>','','','',255,7637,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620457,'Fidget','<Pack Rhino>','','','',255,7206,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620458,'Geobot XII','<Clockwork Minion>','','','',255,208,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620459,'Zyn''Phro','','','','',255,6280,48,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620460,'Overlord''s Edge','','','','',0,7940,68,0,0,0,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620461,'Goddin Ratsachak','<Master Chef>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620462,'Nai Nosredna','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620463,'Grave','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620464,'Drazden','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620465,'Oari the Just','<Paladin Trainer>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,100487,0,4,0,0,0,0,0,0,0,0,0,0),
(2620466,'Gurdeep Flycatcher','<Monk Trainer>','','','',4,1431,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(2620467,'Wizzle Sprocketputter','<Traveling Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620468,'Taskmaster Greeblentus','<Foreman>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620469,'Rezul Spineshank','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620470,'Failaa Ginton','<Bruiser Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(2620471,'snow badger','','','','',255,267,31,6,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620472,'Tahd Feek','<Master Alchemist>','','','',0,1471,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620473,'Yeal Jouse','','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620474,'Haligan the Retired','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620475,'an icy spirit','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620476,'an invading sleetsaber','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620477,'an invading shardhammer','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620478,'a Di''Zok infiltrator','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620479,'a Di''Zok vileguard','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620480,'a Di''Zok berserker','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620481,'a Di''Zok diviner','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620482,'a Gwalnax mender','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620483,'a Gwalnax berserker','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620484,'Historian Holdak','<The Gwalnax Brigade>','','','',255,7356,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620485,'a Gwalnax vileguard','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620486,'a Gwalnax air cavalry lancer','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620487,'Battle Master Dolak','<The Gwalnax Brigade>','','','',255,7368,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620488,'a Sathirian hoplite','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620489,'a Sathirian medic','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620490,'a Sathirian arcanist','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620491,'a Sathirian centurion','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620492,'a river bloodsucker','','','','',255,7361,12,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620493,'a Terenite mage','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620494,'Rosalia Pendago','','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620495,'Joce Pendago','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620496,'an icy spirit','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620497,'a Rime pillager','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620498,'a seasoned Rime pillager','<The Order of Rime>','','','',13,54,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620499,'a Rime pillager','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620500,'a seasoned Rime pillager','<The Order of Rime>','','','',13,59,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620501,'a slain drachnid hunter','','','','',255,7226,32,0,0,0,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620502,'Joren Verkent','<Alchemist>','','','',6,78,32,0,1,1,9,1265,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620503,'Kefitzat Haderech','','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620504,'Yersenia Sistephinos','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620505,'Tszuij Adawhi','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620506,'Hailena Hoss','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620507,'a drachnid enthraller','','','','',255,7226,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620508,'a drachnid bloodknight','','','','',255,7302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620509,'Samraln','<Wayward Survivor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620510,'Harbormaster Shaery','<Harbormaster>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620511,'a seasoned Rime pillager','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620512,'a drachnid hunter','','','','',255,7300,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620513,'Grush McSearrin','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620514,'a crumbling spurbone','','','','',255,7638,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620515,'a lake lurker','','','','',255,7361,9,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620516,'a drolvarg scavenger','','','','',255,7425,49,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620517,'a drolvarg scavenger','','','','',255,7423,46,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620518,'a drolvarg scavenger','','','','',255,7423,46,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620519,'a drolvarg snarler','','','','',255,7423,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620520,'a drolvarg fodderling','','','','',255,7423,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620521,'a drolvarg fodderling','','','','',255,7425,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620522,'a drolvarg gnasher','','','','',255,7423,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620523,'a drolvarg snarler','','','','',255,7423,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620524,'a drolvarg snarler','','','','',255,7424,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620525,'a drolvarg gnasher','','','','',255,7424,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620526,'a drolvarg rager','','','','',255,7425,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620527,'a drolvarg gnasher','','','','',255,7423,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620528,'a drolvarg ravisher','','','','',255,7425,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620529,'a drolvarg rager','','','','',255,7423,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620530,'a drolvarg snarler','','','','',255,7425,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620531,'a drolvarg gnasher','','','','',255,7425,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620532,'a hillock crusher','','','','',255,7639,35,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620533,'a hulking brute','','','','',255,7258,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620534,'a Sathirian priest','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620535,'a Sathirian watcher','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620536,'a Sathirian scout','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620537,'a Sathirian mage','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620538,'a Venril adherent','<Cult of the Arisen>','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620539,'a Freedom Ambassador pilgrim','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620540,'a drolvarg scavenger','','','','',255,7424,46,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620541,'Anda','','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620542,'a tundra beast','','','','',255,7257,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620543,'Lynchpin','','','','',255,7253,32,0,0,0,1187,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620544,'a docile air elemental','','','','',255,197,128,0,1,1,11,0,496,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620545,'a Di''Zok battlerager','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620546,'a Di''Zok bonedancer','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620547,'a Di''Zok saboteur','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620548,'a Di''Zok zealot','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620549,'a tatterback','','','','',255,6825,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620550,'an ember drone','','','','',255,7250,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620551,'a flesh feeder','','','','',255,5863,96,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620552,'Seepay','','','','',255,7395,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620553,'a Ryjesium ore miner','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620554,'a listening crystal','','','','',9,4457,9,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620555,'a drolvarg fodderling','','','','',255,7424,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620556,'a drolvarg fodderling','','','','',255,7423,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620557,'a drachnid recluse','','','','',255,7302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620558,'a drachnid adept','','','','',255,7301,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620559,'a Jaded Shroud trailblazer','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620560,'Toad','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620561,'a Di''Zok bloodfrenzy','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620562,'a Di''Zok blademaster','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620563,'a Di''Zok darkweaver','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620564,'a Di''Zok mender','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620565,'a young wyvern','','','','',255,7185,44,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620566,'a Broken Toe backbiter','','','','',255,7311,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620567,'a Broken Toe stabber','','','','',255,7324,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620568,'a drolvarg rager','','','','',255,7423,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620569,'a drolvarg rager','','','','',255,7424,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620570,'a drolvarg ravisher','','','','',255,7423,73,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620571,'a Broken Toe dust mystic','','','','',255,7296,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620572,'Hooktalon','','','','',255,7185,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620574,'Verner Ormarr','<New Halas Representative>','','','',0,1696,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620575,'a Rime pillager','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620576,'a seasoned Rime pillager','<The Order of Rime>','','','',6,79,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620577,'Widow Mistress Xalthera','','','','',255,7300,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620579,'a Rime garrison sergeant','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620580,'a garrison sleetsaber','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620581,'a garrison shardhammer','<The Order of Rime>','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620582,'a garrison flurryburst','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620583,'a slain sarnak','','','','',255,7356,48,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620584,'a Rime garrison sergeant','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620585,'a Rime garrison sergeant','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620586,'a drolvarg ravisher','','','','',255,7423,74,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620588,'Shade of the Great Chokidai','<Projection of Ralissk>','','','',255,7323,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620589,'Spinebreaker','','','','',255,7258,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620590,'Tabbin Juniper','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620594,'Merchant Taelyrrk','<Fishmonger>','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620595,'a Drolvarg Captain','','','','',255,7423,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620596,'a Sathirian enchanter','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620597,'Commander Vask','<Varis Outpost>','','','',255,1575,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620598,'Colonel Leevan','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620599,'Gullerback','','','','',255,7043,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620600,'a mudfin warrior','','','','',255,7211,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620601,'a mudfin warrior','','','','',255,7175,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620602,'a ravenous leech','','','','',255,7361,80,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620603,'a chokidai mauler','','','','',255,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620604,'a slain Sathirian','','','','',255,1574,38,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620605,'a coerced mudfin','','','','',255,7211,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620606,'a Gra''al Shul coercer','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620607,'Gorguolatha','<Hand of the Leviathan>','','','',255,7212,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620608,'a Gra''al Shul medic','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620609,'a Gra''al Shul centurion','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620610,'a Gra''al Shul priest','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620611,'a Gra''al Shul watcher','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620612,'a Gra''al Shul arcanist','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620613,'a Gra''al Shul scout','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620614,'a drolvarg hooligan','<The Seaside Manglers>','','','',255,7423,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620615,'Indigo','<The Seaside Manglers>','','','',255,7425,80,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620616,'a drolvarg henchman','<The Seaside Manglers>','','','',255,7423,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620617,'a drolvarg ravisher','','','','',255,7424,73,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620618,'a Gra''al Shul guard','<Gra''al Shul Temple Elite>','','','',10,103,41,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620619,'Snarl Fangtooth','','','','',255,5123,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620620,'a Gra''al Shul alchemist','','','','',255,104,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620621,'a captive mudfin','','','','',255,7186,48,0,1,1,1265,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620622,'a coerced mudfin','','','','',255,7212,48,0,1,1,1265,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620623,'a Gra''al Shul archaeologist','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620624,'a Gra''al Shul mage','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620625,'Velga Thenn','<Director of Gra''al Shul Temple>','','','',255,1573,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620626,'a murdered corpse','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620628,'Hilbraega Stoutmun','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620629,'Hroar Kalacious','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620630,'Hraen Vutha','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620631,'Selethisk','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620632,'Fillzer Faramant','<Alchemist>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620633,'a mudfin warrior','','','','',255,7175,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620634,'a large elemental','','','','',255,195,64,0,1,1,35,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620635,'a Ryjesium ore foreman','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620636,'a Broken Toe raider','','','','',255,7324,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620637,'a fractured shardbone','','','','',255,7638,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620638,'Greater Spurbone','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620639,'a Broken Toe scrapper','','','','',255,7311,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620640,'an arbor giant','','','','',255,7639,38,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620641,'corpse of Caleb Swifttoe','','','','',7,108,32,0,0,0,37,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620642,'Frostcoat','','','','',255,7257,118,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620643,'Laydin Haggus','<Mount Merchant>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620644,'Sethus','<Iksar Historian>','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620645,'Emissary Glochk','','','','',255,7368,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620646,'a flesh fiend','','','','',255,5863,112,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620647,'Infiltrator Zatuk','<The Gwalnax Brigade>','','','',255,7368,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620648,'Infiltrator Jax','<The Gwalnax Brigade>','','','',255,7157,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620649,'Infiltrator Grazkin','<The Gwalnax Brigade>','','','',255,7356,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620650,'Spudtop','','','','',255,7639,36,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620651,'Infiltrator Tylenok','<The Gwalnax Brigade>','','','',255,7368,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620652,'Infiltrator Tarkaz','<The Gwalnax Brigade>','','','',255,7157,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620653,'Infiltrator Shozak','<The Gwalnax Brigade>','','','',255,7356,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620654,'a Di''Zok overseer','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620655,'Germa Prash','<Intelligence Coordinator>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620656,'Joolin Verk','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620657,'Traigia Hothkin','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620658,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620659,'a flesh feaster','','','','',255,5863,96,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620660,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620661,'Silverback','','','','',255,7043,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620662,'an ember worker','','','','',255,7250,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620663,'an ember soldier','','','','',255,7250,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620664,'The Ember Queen','','','','',255,7095,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620665,'an angry wasp','','','','',255,7250,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620666,'The Honey Grubber','','','','',255,7311,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620667,'a mature wurm','','','','',255,7297,43,2,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620668,'Queue','<Research & Development>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620669,'a Brood Mother','','','','',255,7297,67,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620670,'an elder wurm','','','','',255,7297,57,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620671,'Chilzerrn the Sly','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620672,'Entalon the Old','','','','',255,7297,112,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620673,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620674,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620675,'a Broken Toe shaman','','','','',255,7296,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620676,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620677,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620678,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620679,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620680,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620681,'a chokidai bonesnapper','','','','',255,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620682,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620683,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620684,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620685,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620686,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620687,'a Di''Zok poacher','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620688,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620689,'knowing chokidai','','','','',255,7323,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620690,'Overseer Rotsnot III','<Broken Toe Clan>','','','',255,7311,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620691,'a Sel''Nok infiltrator','','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620692,'Blood Ritualist Grubeater','','','','',255,7296,50,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620693,'Poogs','','','','',255,7324,37,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620694,'a dreaded stonepeep','','','','',255,7235,16,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620695,'The Vault of Sel''Nok','','','','',255,7246,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620696,'Scarpaw','','','','',255,7323,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620697,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620698,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620699,'a stonebark treant','','','','',255,7362,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620700,'a slain goblin','','','','',255,7311,56,2,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620701,'an invading flurryburst','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620702,'a seasoned Rime soldier','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620703,'a seasoned Rime soldier','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620704,'a seasoned Rime soldier','<The Order of Rime>','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620705,'Gabeker','A seasoned Rime soldier''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620706,'Warlord Gadar Gwalnax','<The Gwalnax Brigade>','','','',255,7356,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620707,'Skyrider Tosuj','<The Gwalnax Brigade>','','','',255,7368,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620708,'Death','','','','',255,1860,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620709,'Slayer','','','','',255,1860,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620710,'Dragoon Slitek','<The Gwalnax Brigade>','','','',255,7368,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620711,'a Di''Zok messenger','','','','',255,7356,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620714,'Jontik','A Rime pillager''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620715,'a Rime garrison sergeant','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620716,'Vabantik','A garrison flurryburst''s igneous savant','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620719,'Teren''s Grasp Sokokar Post',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620720,'Fens of Nathsar Sokokar Post',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620721,'tower_door_02',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620722,'Dreg''s Landing Sokokar Post',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620723,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620724,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620725,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620726,'charleston_x5_agent_wrong_and_drachnid_mastery',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620727,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620728,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620729,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620730,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620731,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620732,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620733,'charleston_x5_agent',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620734,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620735,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620736,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620737,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620738,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620739,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620740,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620741,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620742,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620743,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620744,'charleston_x5_agent_wrong',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620745,'tower_door_01',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620746,'stoutmun_x2_challenge',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620747,'hroar_x9_table',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620748,'hroar_x9_table',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620749,'hroar_x9_table',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620750,'hroar_x9_table',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620751,'tower_door_03',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620752,'Kunzar''s Edge Sokokar Post',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620753,'germa_x3_poison_cup',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620754,'Highton Sokokar Post',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620755,'Jarsath Wastes Sokokar Post',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620756,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620757,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620758,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620759,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620760,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620761,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620762,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620763,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620764,'bedroll',NULL,'','','',0,1997,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620765,'iksar skull 02',NULL,'','','',0,2997,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620766,'iksar skull 01',NULL,'','','',0,2996,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620767,'floor_distillery_human_crucible02',NULL,'','','',0,3411,32,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620768,'Exp03 Kylong Sorcerer Rune',NULL,'','','',0,4180,32,0,0,0,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620769,'floor_table_gnome_ornate01',NULL,'','','',0,3596,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620770,'Gold Chest',NULL,'','','',0,2654,96,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620771,'Hut Foundation',NULL,'','','',0,2501,32,0,0,0,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620772,'a potential artifact',NULL,'','','',255,3993,80,8,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620773,'a potential artifact',NULL,'','','',255,3993,84,7,0,0,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620776,'contamination',NULL,'','','',0,2306,64,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620777,'drachnid_grush_x6_charleston_x3',NULL,'','','',0,7301,32,0,0,0,0,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620778,'a dead wyvern',NULL,'','','',0,7185,44,0,0,0,0,0,0,0,0,0,0,0,290,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620779,'hraen_x5_beacon',NULL,'','','',0,2683,48,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620780,'a slain mudfin',NULL,'','','',0,7212,32,0,0,0,52,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620781,'fishman_coerced',NULL,'','','',0,7646,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620782,'Summoning Circle',NULL,'','','',0,2684,64,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620783,'',NULL,'','','',0,1528,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620784,'Ulmallara Liatopa',NULL,'','','',255,120,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620785,'Blumbar Eating',NULL,'','','',255,124,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620786,'Shard of the Storm Reapers',NULL,'','','',0,1911,16,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620787,'Shard of the Pines',NULL,'','','',0,1910,16,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620788,'Shard of the Rain Keeper',NULL,'','','',0,1912,16,0,0,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620789,'sleepers_tomb_bookgroup01',NULL,'','','',0,19263,9,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620790,'Vanzenk Tintallyn',NULL,'','','',255,134,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620791,'Gorbil',NULL,'','','',255,7296,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620792,'Borgil',NULL,'','','',255,7296,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620793,'',NULL,'','','',0,1392,24,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620794,'traigia_x4_apopheli',NULL,'','','',0,7095,4,0,0,0,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620795,'traigia_x3_wax_source',NULL,'','','',0,300,128,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620796,'traigia_widget_x2',NULL,'','','',0,7095,4,0,0,0,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620797,'traigia_widget_x3',NULL,'','','',0,7095,4,0,0,0,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620798,'traigia_widget_x1',NULL,'','','',0,7095,4,0,0,0,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620799,'queues_data_station',NULL,'','','',0,3252,64,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620800,'germa_x6_hidden_package',NULL,'','','',0,3993,96,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620801,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2620802,'lottery sign',NULL,'','','',0,1552,31,0,0,0,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620803,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,0,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(2620804,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(2620805,'Mailbox',NULL,'','','',0,7925,32,0,0,0,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620806,'totem_zynphro',NULL,'','','',0,2774,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620807,'psychomalleable_ice',NULL,'','','',0,311,12,0,0,0,46,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620809,'Mailbox',NULL,'','','',0,7925,32,0,0,0,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620810,'an ancient brick',NULL,'','','',0,2265,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620812,'malgon_x3_supplies',NULL,'','','',0,1393,40,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620813,'a green hood report01',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620814,'E''ci, the Wintry Guardian',NULL,'','','',0,4463,96,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620815,'The Chest of Charnax',NULL,'','','',0,4015,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620816,'a death notice',NULL,'','','',0,6657,39,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620817,'a green hood report02',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620818,'The Chest of Rouk',NULL,'','','',0,4015,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620819,'a green hood report04',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620820,'a green hood report05',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620821,'a green hood report03',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620822,'malgon_x2_munitions',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620823,'a green hood report06',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620824,'Mailbox',NULL,'','','',0,7925,32,0,0,0,29,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620825,'stolen coin bladder',NULL,'','','',0,3543,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620826,'dull kromslayer',NULL,'','','',0,3774,64,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620827,'Mailbox',NULL,'','','',0,4710,16,0,0,0,29,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620828,'sarnak petroglyphs',NULL,'','','',0,2265,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620829,'awaken th evault notice',NULL,'','','',0,6657,65,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620830,'The Chest of Sel''Nok',NULL,'','','',0,4015,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620831,'The Chest of Gwalnax',NULL,'','','',0,4015,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620832,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620833,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620834,'Ryjesium Leek',NULL,'','','',0,1737,11,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620835,'frostberry bush',NULL,'','','',0,9563,16,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620836,'kylong briar',NULL,'','','',0,3908,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620837,'germinating roots',NULL,'','','',0,6907,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620838,'varmint burrow',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620839,'calcified timber',NULL,'','','',0,6901,64,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620840,'southshore school',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620841,'ryjesium node',NULL,'','','',0,6904,41,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620842,'ornamental geode',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620843,'waterlogged artifact',NULL,'','','',0,7397,48,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620844,'Blight Blossom',NULL,'','','',0,1738,39,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620845,'a scattered page',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620846,'kunzar snapper school',NULL,'','','',0,4159,32,0,0,0,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620847,'Mudcorpse Mushroom',NULL,'','','',0,3949,32,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620848,'ember wax',NULL,'','','',0,300,24,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620849,'blyzurite speckled ore',NULL,'','','',0,3957,27,0,0,0,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620850,'blyzurite speckled ore',NULL,'','','',0,3956,27,0,0,0,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620851,'blyzurite speckled ore',NULL,'','','',0,3955,34,0,0,0,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2620852,'Dominus Atrebe','<The Architect of Life>','','','',255,103,48,0,1,1,0,0,10137,1,1,1,0,0,32,1261,1261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630000,'a weak sparring partner','','','','',6,78,31,1,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630001,'an average sparring partner','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630002,'a formidable sparring partner','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630003,'Keetra Morrow','<Beastlord Trainer>','','','',11,81,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(2630004,'Timeless Chronomage','','','','',3,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630005,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630006,'Gutten Gigglegibber','<Frostfell tree handler>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2630007,'Aimee','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630008,'G''shugahplum Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2630009,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630010,'Oolieamim','<Master Sage>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630011,'Drallin Caelthis','<Foreign Broker>','','','',9,134,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630012,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630013,'a disreputable boatman','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630014,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630015,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630016,'Gh''lad Tydingz Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2630017,'Taroche Dry''Zok','<Chrykori Village Provisioner>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630018,'a sand snapper','','','','',255,7741,9,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630019,'Agh''Tok Je''ar','<Root Vendor>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630020,'a Haoaeran poacher','','','','',255,7254,25,0,1,1,11,0,0,1,1,1,0,0,32,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630021,'Tykor Gi''Lok','<Chrykori Village Secondary>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630022,'Trainer Tuzik Hir''Xin','<Know Your Fate>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630023,'a timorous tortoise','','','','',255,215,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630024,'a Haoaeran digger','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630025,'a grit gorger','','','','',255,7741,22,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630026,'a Chrykori lookout','<Chrykori Standard>','','','',255,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630027,'Zelchyk Gi''rul','<Griffin Trainer>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630028,'a large filament strangler','','','','',255,5946,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630029,'a ravenous raptor','','','','',255,7392,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630030,'a sated raptor','','','','',255,7392,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630031,'a dead sarnak scout','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630032,'a skittering monitor','','','','',255,201,6,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630033,'a filament strangler','','','','',255,5946,64,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630034,'a Haoaeran skyhunter','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630035,'a dead spiroc','','','','',255,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630036,'a Haoaeran turf-hunter','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630037,'Citizen Niba''Ouz','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630038,'a seaborne tortoise','','','','',255,218,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630040,'Elder Frostbeard','<Alchemist>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,575,0,0,0,0,0,0,0,0,0,0,0,0),
(2630041,'Trainer Torak Riz''Tu','<Keeper of Magical and Martial Knowledge>','','','',255,7924,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630042,'a Chrykori guard','<Chrykori Standard>','','','',255,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630043,'Zeldikil Gi''Sok','<Mender>','','','',255,7390,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630044,'a dunescale lizard','','','','',255,190,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630045,'Cholkonli Zum''Lun','<Spells>','','','',255,7377,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630047,'Varkori Riz''Lul','<Chrykori Village Chef>','','','',255,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630048,'Tertiary Mak''Ki','','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630049,'Civ-Parser Di''Xin','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630051,'Trundokli Zo''Uul','<Cloth & Leather Armor>','','','',255,7375,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,586,0,0,0,0,0,0,0,0,0,0,0,0),
(2630052,'Rashid','','','','',11,98,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630053,'Al''Amin','','','','',3,1602,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630054,'Bezikla Hir''Uul','<Containers>','','','',255,7924,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100165,0,0,0,0,0,0,0,0,0,0,0,0),
(2630057,'Meklin','<Collector>','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630058,'Trainer Chorkan Mok''Dn','<Know Your Inventory and Equipment>','','','',255,7921,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630059,'Trainer Tleclukal Sky''Zin','<Knowledge of Banking>','','','',255,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630060,'Trainer Charlok Zum''Ele','<Expert in Physical Attributes>','','','',255,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630061,'Wyrche Nibi''Zi','<Combat Arts>','','','',255,7375,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630062,'Venn Galewind','','','','',6,79,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630063,'Parser Eruche Ska''Ele','','','','',255,7391,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630064,'Captain Greta Greiswite','','','','',9,132,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630066,'Trainer Byrkuri Myli''Lok','<Recognizing Opportunities>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630067,'Trainer Rolzykla Al''Zi','<Know Your Enemy>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630068,'Justinian Theo','<Prophet of the Tribunal>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630069,'Tan McNein','','','','',0,112,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630070,'Tholchi Mak''Din','','','','',255,7390,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630071,'Clozzyk Zum''Mok','','','','',255,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630072,'First Mate Brendan Stewart','','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630073,'Brugga Windsmight','','','','',0,111,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630074,'a depth lurker','','','','',255,242,192,0,1,1,11,0,0,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630075,'a Blackshield brute','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630076,'a Blackshield assassin','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630077,'a Blackshield pirate','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630078,'a Blackshield cleric','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630079,'Chelduk Hir''Vin','<Chrykori Standard>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630080,'a Haoaeran sentry','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630081,'a Blackshield brute','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630082,'Captain Gorth','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630083,'a Haoaeran advancer','','','','',255,7254,27,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630084,'Ralzyk Dih''Vi','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630085,'Tirlykla Zo''Ha','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630086,'Ralzyk Zum''Dok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630087,'Gurwon Mok''Kin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630088,'Eyrzekla Sky''Oul','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630089,'Pram MacFalloway','<Mender>','','','',0,111,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630090,'Morlieus Parleear','<Ammo Merchant>','','','',3,1604,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630091,'a resting soldier','<Chrykori Standard>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630093,'Cluzdak Dih''Vi','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630094,'Arozykla Al''Ele','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630095,'Zolwin Niba''Ki','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630096,'Prime Parser Riz''Lin','<Gorowyn Parser>','','','',255,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630097,'a tame griffin','','','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630098,'a Gorowyn parser','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630099,'Secondary Shai''Dn','<Chrykori Secondary>','','','',255,7921,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630100,'Clazzykla Mak''Vin','<Chrykori Tertiary>','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630101,'Vallik Gi''Zin','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630102,'a thrashing spearnose','','','','',255,241,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630103,'Arizokal Gi''Lok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630104,'a Haoaeran skyscreecher','','','','',255,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630105,'Tertiary Gurowyn Riz''Din','<Mok Island Tertiary>','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630106,'Secondary Terkenil Niba''Xi','<Mok Island Secondary>','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630107,'Standard Ruk''Dok','<Mok Island Standard>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630108,'Tertiary Karlanz Mi''xin','<Mok Island Tertiary>','','','',255,7919,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630109,'a jungle khvara','','','','',255,293,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630110,'Josantik','Kaldrakhan''s warboar warder','','','',255,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630111,'a dead Haoaeran','','','','',255,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630112,'a dead sarnak scout','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630113,'an enthralling shorecaller','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630114,'an alluring shorecaller','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630115,'a shorecaller guardian','','','','',255,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630116,'a captive Blackshield smuggler','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630117,'a vicious raptor','','','','',255,7392,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630118,'a voracious maneater','','','','',255,5946,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630119,'a wilting maneater','','','','',255,5946,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630120,'a timorous octopus','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630121,'a putrid sathirian sentry','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630122,'Vict','','','','',255,7392,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630123,'a crushmaw croc','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630124,'Oerka Lightfeather','<Haoaeran Emissaries>','','','',255,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630125,'Rakon Daka','<Haoaeran Emissaries>','','','',255,7254,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630126,'Brekka Beakspiker','<Haoaeran Emissaries>','','','',255,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630127,'Prak Takraw','<Haoaeran Emissaries>','','','',255,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630128,'Tizyk Niba''Ti','<Chef>','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630129,'Crushmaw','','','','',255,4745,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630130,'Fringo Fronkle','<Provisioner & Ammo Merchant>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630131,'Arowon Myli''Tak','<Gorowyn Beach Secondary>','','','',255,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630132,'Parser Scrum McFeely','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630133,'Thrawk For''Ork','<Academy of Logistics>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630134,'Trainer Charkin Myli''Dok','<Harvesting and Collections>','','','',255,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630135,'Scout Chillekla','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630136,'Primary Sha''Ki','<Gorowyn Beach Primary>','','','',255,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630137,'Graem Vorbent','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630138,'Askr','<Prophet of Karana>','','','',9,134,28,0,1,1,9,0,3246,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630139,'a Haoaeran venturer','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630140,'Tholzykla Gi''guur','<Wholesaler>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100155,0,0,0,0,0,0,0,0,0,0,0,0),
(2630141,'Watcher Eyrzikla','<Guard>','','','',255,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630142,'a fire breather','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2630143,'Verkaera Myr''zok','<Mount Merchant>','','','',255,7377,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,100156,0,0,0,0,0,0,0,0,0,0,0,0),
(2630144,'Ambassador Godwin','<Freeport Emissary>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630145,'Tadal Blurdcog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630146,'a horse','','','','',255,6846,31,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630148,'Dockworker Warlak','','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630149,'Dughall Macleod','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630150,'Burrin Vor''Ork','<Gorowyn Commander>','','','',255,7921,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630151,'Jenni Merrytoe','<Fine Food and Drink>','','','',7,107,32,0,1,1,10,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2630152,'Sanya Farshore','<General Goods>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,16,16,0,0,726,0,0,0,0,0,0,0,0,8192,0,0,0),
(2630153,'Sussan Swiftneedle','<Temporary Clothing Rental>','','','',11,92,32,0,1,1,10,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2630154,'Chris Weathers','<Local Specialties>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2630155,'Eredykil Zum''tok','<Linguist>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630156,'Finnes Larcious','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630157,'Aether Racing Referee','<The Flying Freebooters>','','','',5,121,41,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,256,0,0,0),
(2630158,'Claudia','<Token Exchange Merchant>','','','',13,56,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630159,'Kella Swampfoot','<Far Seas Quartermaster>','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630160,'Chelzyk Gi''rul','<Griffin Trainer>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630161,'Chullyk Mi''xin','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630162,'Dockworker Aridek','','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630163,'a trained griffin','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630164,'Aether Racing Promoter','<The Flying Freebooters>','','','',5,121,41,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630165,'Byrkonli','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630166,'a Far Seas worker','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630167,'Captain Ingrid','','','','',6,135,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630168,'a Far Seas guard','','','','',12,124,32,0,1,1,35,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630169,'Dockworker Talzukal','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630171,'Gurodekil Hir''xi','<Provisioner>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100152,0,0,0,0,0,0,0,0,0,0,0,0),
(2630172,'Welza Bittlescope','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630173,'Dockworker Eyrwon','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630174,'Dockworker Daarlekla','','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630175,'Dockkeeper Al''rok','','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630176,'Behry Wavehand','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630177,'Al''Zeem','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630178,'Melsin Axelsnurb','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630179,'Belvor Riverclaw','<Mender>','','','',0,1468,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630180,'Terla Caelious','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630181,'Omiir Z''kay','<Alchemist>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,779,0,0,0,0,0,0,0,0,0,0,0,0),
(2630182,'Jellis Willnausin','<Barber>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100158,0,0,0,0,0,0,0,0,0,0,0,0),
(2630184,'Barrlin','<Provisioner>','','','',11,82,32,0,1,1,10,1265,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630185,'Eralok Riz''Rok','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630186,'Norian Deathblow','','','','',9,102,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630187,'Student Clozzik','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630188,'Vulkun Niab''li','<Wizard Trainer>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(2630189,'Tomas Strongbellow','<Festival Crier>','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630190,'Trainee Turowin','','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630191,'Trainee Arenkenil','','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630192,'Student Chelzchun','','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630193,'Aldrid Eltham','<Templar Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(2630194,'Chilkinil Zol''ele','<Shadowknight Trainer>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(2630195,'Flannin Garibay','<Monk Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(2630196,'Thallek Al''ha','<Guardian Trainer>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(2630197,'Chrywen the Claw','<Bruiser Trainer>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(2630198,'Sentry Gorodekil','<Guard>','','','',255,7377,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630199,'Sentry Arezak','<Guard>','','','',255,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630200,'Sarheid','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630201,'Nariib','<General Goods>','','','',3,1602,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100157,0,0,0,0,0,0,0,0,0,0,0,0),
(2630202,'Sentry Wykaera','<Guard>','','','',255,7390,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630203,'Sentry Cholkin','<Guard>','','','',255,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630204,'Dima Fahim','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630205,'Researcher Rulluk','','','','',255,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630206,'Gorowyn Sentry Tertiary','<Guard>','','','',255,7919,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630207,'Gorowyn Sentry Secondary','<Guard>','','','',255,7375,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630208,'Moorcha','','','','',255,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630209,'Kieran Wingrove','<Ranger Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(2630210,'June Blankensay','<Illusionist Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(2630211,'Andok Ska''Lul','<Guard>','','','',255,7918,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630212,'Rulzokal Sky''Nok','<Guard>','','','',255,7375,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630213,'Magus Primary Myli''nin','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630214,'Apprentice Tawen','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630215,'Apprentice Chalak','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630216,'Dvorzyk','','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630217,'Krymok Quel''Gok','<Primary Civ-Parser>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630218,'Prime Captain Vurzuk','<Gorowyn Military Officer>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630219,'Tarkunli Ku''ti','<Arcane Studies Archiver>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630220,'Tlelwin Zo''touz','<Warlock Trainer>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(2630221,'Conak Dih''tu','<Defiler Trainer>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(2630222,'Eyrlokal Nebi''lyn','<Coercer Trainer>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(2630223,'Tholwana Di''nok','<Berserker Trainer>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(2630224,'Apprentice Tholak','','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630225,'Verdek Al''rin','<Gorowyn Tactical Advisor>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630226,'Chalkanil','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630227,'Smendrik','<Instrument Aficionado>','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630228,'Tunzokal Ku''zen','<Troubador Trainer>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(2630229,'Tilwyn Mok''guul','<Dirge Trainer>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(2630230,'Talkur Sky''touz','<Broker>','','','',255,7315,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630231,'Observer Rahmid','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630232,'Observer Nattra','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630233,'Observer Glakkin','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630234,'Prime Researcher Mak''bin','','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630235,'Clozak Ska''oul','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630236,'Thaldokli Riz''Dn','<General Goods>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630237,'Eurkon Al''ouz','<Bartender>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630238,'Arochu Ku''xin','<Brigand Trainer>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(2630239,'Gorolak Al''Xin','<Assassin Trainer>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(2630240,'Arakor Niba''uul','<Weaponsmith>','','','',255,7370,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630241,'Brewen Al''tak','<Armorsmith>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630242,'Zulzek Mirt''rok','<Inquisitor Trainer>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(2630243,'Garnik Haum''va','<Tailor>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630244,'Hilachi Zo''roul','<Shieldsmith>','','','',255,7370,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630245,'poisonous froad','','','','',255,224,16,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630246,'a favorable wind','','','','',2,15261,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630247,'an insect swarm','','','','',2,15317,64,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630248,'Bio-Parser Zo''Dok','','','','',255,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630249,'Arozik Sky''Ki','<Chrykori Secondary>','','','',255,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630250,'Turf-Hunter Valcryn','','','','',255,7254,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630251,'Craewen Ku''Vi','<Chrykori Standard>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630252,'a Haoaeran ritualist','','','','',255,7254,32,0,1,1,11,0,1218,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630253,'a power infused Haoaeran','','','','',255,7254,57,0,1,1,0,0,3341,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630254,'a Haoaeran enforcer','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630255,'a Haoaeran warrior','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630256,'a briny lizard','','','','',255,200,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630257,'a crusty rustbeast','','','','',255,235,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630258,'a captured sarnak','','','','',255,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630259,'a Haoaeran scavenger','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630260,'Taskmaster Hoinc','','','','',255,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630261,'a shedding rustbeast','','','','',255,235,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630262,'a Haoaeran lightfoot','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630263,'Gerwen Di''Ki','<Chrykori Standard>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630264,'Bezok Myli''Ki','<Chrykori Standard>','','','',255,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630265,'Assault Captain Phezzryn','','','','',255,7254,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630266,'a Haoaeran strategist','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630267,'a Haoaeran trapper','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630268,'a captive griffin','','','','',255,7742,32,0,1,1,9,0,1854,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630269,'Arlukal Nibi''Lun','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630270,'Arewana Gi''Lok','<Chrykori Standard>','','','',255,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630271,'Vurlok Nibi''Zi','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630272,'Chrywin Zum''Ti','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630273,'Erekori Di''Guur','<Chrykori Standard>','','','',255,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630274,'Chardyk Al''Ele','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630275,'Telchun Zo''Nok','<Chrykori Standard>','','','',255,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630276,'a Chrykori defender','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630277,'a dead Haoaeran lightfoot','','','','',255,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630278,'Arlukal Zum''Dok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630279,'Arlukal Dih''Vi','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630280,'Erken Zum''Ti','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630281,'Genekn','Ballsmack''s reptile warder','','','',255,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630282,'Arlukal Gi''Lok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630283,'Gerwana Sky''Vin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630284,'Tertiary Dih''Ha','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630285,'Tanzikla Hir''Ki','<Chrykori Standard>','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630286,'Chilzukal Gi''Zin','<Field Mender>','','','',255,7919,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630287,'Vorkonli Dih''Sok','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630288,'Gerche Ska''Li','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630289,'Tilwun Mirt''Ouz','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630290,'Bykur Gi''Zin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630291,'Dvarak Zo''Ha','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630292,'Clezlokal Mok''Bin','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630293,'Ralzyk Ma''Kuul','<Chrykori Standard>','','','',255,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630294,'Volkon Ku''Dn','<Chrykori Standard>','','','',255,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630295,'Tinzok Sky''Oul','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630296,'Tyzokal Zum''Dok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630297,'Terokynil Ma''Kuul','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630298,'Tholzik Ku''Dn','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630299,'a mountain throm','','','','',255,166,76,5,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630300,'Assault Captain Frazykyr','','','','',255,7254,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630301,'a Haoaeran engineer','','','','',255,7254,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630302,'a mountain throm','','','','',255,166,76,6,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630303,'a mountain throm gatherer','','','','',255,166,76,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630304,'a mountain throm fixer','<Mender>','','','',255,166,89,0,1,1,12,9,0,0,0,1,0,0,33,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630305,'Grund','','','','',255,166,96,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630306,'a mountain throm sentinel','','','','',255,166,89,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630307,'Vertak Cho''Zyr','<Mok Rent Secondary>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630308,'a silvered stonechest gorilla','','','','',255,6825,54,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630309,'King Grugla','','','','',255,6825,83,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630310,'a stonechest gorilla','','','','',255,6825,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630311,'a stonechest gorilla','','','','',255,6825,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630312,'a spotted pouncer','','','','',255,5685,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630313,'Queen Mumansi','','','','',255,5685,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630314,'The Jungle King','','','','',255,1373,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630315,'a rotting sathirian guard','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630316,'a slain historian','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630317,'a slain devout','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630318,'a rotting sathirian priest','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630319,'a sand stalker','','','','',255,250,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630320,'a wild chokidai','','','','',255,7323,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630321,'a Blackshield mate','','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630322,'a Blackshield master','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630323,'a Blackshield quartermaster','','','','',3,1592,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630324,'Captain Redspit','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630325,'a Blackshield bosun','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630326,'a captured mountain throm','','','','',255,166,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630327,'a Blackshield carpenter','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630328,'Blacktalon','','','','',255,225,32,0,1,1,38,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630329,'a frightened chokidai','','','','',255,7323,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630330,'Navigator Helmy','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630331,'Captain Boil','','','','',9,134,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630332,'Rrarwrk','','','','',255,7254,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630333,'Sentry Vylkren','','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630334,'a Haoaeran escort','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630335,'Second Supervisor Turwin','<Housing>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630336,'Claurk D''Arket','<Chronomagi Tasker>','','','',255,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630337,'Prime Supervisor Golglosh','<Housing>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630338,'Xasarer','Myastia''s earthen avatar','','','',255,8303,3,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630339,'a cat','','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630340,'Caretaker Velshin','<Housing>','','','',255,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630341,'Cholzik Mirt''xa','<Wholesaler>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630342,'Keeper Chorwin','<House Pets>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630343,'Voldykil','','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630344,'Grandmaster Jayak Lat''wasr','<Trades Coordinator>','','','',0,7917,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630345,'Todokli Mirt''Touz','<Housing>','','','',255,7390,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630346,'Andok Al''lok','<Banker>','','','',255,7315,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630347,'Prime Stockmajor Grelishh','<Academy of Logistics Supplier>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630348,'Belokal Myli''rok','<Banker>','','','',255,7377,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630349,'Counsel Lord Ver''dvon','<Speaker of the Gorowyn Counselors>','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630350,'Parser Voldik Myli''sok','','','','',255,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630351,'Darkuli Mirt''ha','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630352,'Tyrkunli Ska''rok','<Broker>','','','',255,7315,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630353,'Craeak Mirt''nin','<Guild Cloak Designer>','','','',255,7377,32,0,1,1,24,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630354,'Counselor Volche','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630355,'Counselor Thelkori','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630356,'reeking cod','','','','',255,194,25,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630357,'Ambassador Zelzekla','<Change of Citizenship>','','','',18,7919,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630358,'Warzok Riz''sok','<Advancement Counsel>','','','',255,7315,32,0,1,1,22,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630359,'Byrzyk Dry''tak','<Guild Registrar>','','','',255,7369,32,0,1,1,25,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630360,'Erlwyn Riz''mok','<Guild Merchant>','','','',255,7369,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630361,'Aruzek','','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630362,'Counselor Bakunli','','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630363,'Neophyte Zilzyk','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630364,'Neophyte Rilcha','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630365,'Neophyte Arizok','','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630366,'Bhaltair Tanicus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630367,'Sentry Salssra','<Guard>','','','',255,7390,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630368,'Sentry Glazrah','<Guard>','','','',255,7375,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630369,'Neophyte Kulzra','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630370,'Neophyte Dylrinna','','','','',255,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630371,'Counselor Asidral','','','','',255,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630373,'Verdek','','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630374,'Sentry Virak','<Guard>','','','',255,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630375,'Sentry Tokor','<Guard>','','','',255,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630376,'Researcher Hlawen','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630377,'Neophyte Chulche','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630378,'Clozdykil Kul''Ul','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630379,'Erikunli Zum''Ti','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630380,'Chelcha Mok''Bin','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630381,'Clozdykil Di''Tu','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630382,'Karotbottom','Ajep''s gathering goblin','','','',255,7296,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630383,'Fiery Magician VII Adept','Ajep''s fiery magician','','','',255,19955,25,0,1,1,11,0,0,1,1,1,0,0,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630384,'Clynka B''Zaln','<Bowyer>','','','',255,7369,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630385,'Gorak','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630386,'Tardukli Ku''li','','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630387,'Prime Sentry Zulwen','<Guard>','','','',255,7315,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630388,'Zalduk Riz''lun','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630389,'Clezak Riz''Xi','<Teleport Trainer>','','','',3,7369,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630390,'Zallikla Niba''nok','<Necromancer Trainer>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(2630391,'Crozuk Ky''irra','<Jeweler>','','','',255,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630392,'Teldek Dih''sok','<Alchemist>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630393,'Sentry Bykinil','<Guard>','','','',255,7377,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630394,'Sentry Zollikla','<Guard>','','','',255,7390,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630395,'Sentry Arakun','<Guard>','','','',255,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630396,'a slain parser','','','','',255,7377,22,0,1,1,0,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630397,'Hrath Everstill','<Prophet of Bertoxxulous>','','','',9,134,41,0,1,1,9,0,16114,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630398,'Volkonli Sky''ele','<Mender>','','','',255,7377,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630399,'Denva Loogei','<Protector Mercenary>','','','',255,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630400,'Dvorzylka Zum''lul','<Provisioner>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630401,'Gerak Nibi''ki','<General Goods>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630402,'Sentry Tekenil','<Guard>','','','',255,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630403,'Sentry Clezzok','<Guard>','','','',255,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630404,'Prime Parser Tolok Ku''ele','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630405,'Parser Talakla Dih''dl','','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630406,'Shulzel Mek''nan','<City Merchant>','','','',255,7369,38,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,1041,0,64,0,0,0,0,0,0,0,0,0,0),
(2630407,'Blurt Grasplung','<Tempest Mercenary>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630408,'Vikori Dry''eyn','<Keeper of the Conservatory>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630409,'Gerowun Mak''rol','<Warden Trainer>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(2630410,'Tukaer Dih''uul','<Portals Trainer>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,1045,0,0,0,0,0,0,0,0,0,0,0,0),
(2630411,'Tarwon Ska''lin','<Fury Trainer>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(2630412,'Arazokal Shai''ri','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630413,'a scarecrow','','','','',255,261,34,5,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2630414,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2630415,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630416,'a Gigglegibber Illusionist','','','','',255,7039,25,2,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630417,'Karl Den Hamm','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2630418,'Thulkanil Shai''lin','<City of Gorowyn Faction Merchant>','','','',255,7315,28,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630419,'Aruzykla Niba''zin','<Collector>','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630420,'Sentry Warwen','<Guard>','','','',255,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630421,'Edward Hyde','','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630422,'Freid Deekat','<Gigglegibber Goblin-ish>','','','',11,100,16,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2630423,'Mykel Miers','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2630424,'Denva Loogei','<Goromercs'' Protector Mercenary>','','','',255,7375,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630425,'Damy Thorn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2630426,'Tleccha','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630427,'Sentry Zulkin','<Guard>','','','',255,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630428,'Sentry Rolkaera','<Guard>','','','',255,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630429,'Blurt Grasplung','<Goromercs'' Tempest Mercenary>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630430,'Denva Loogei','<Goromercs'' Protector Mercenary>','','','',255,7375,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630431,'Blurt Grasplung','<Goromercs'' Tempest Mercenary>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630432,'Scion of War','<Vintage Wares>','','','',12,124,36,1,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630433,'Konann','Edward''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630434,'Zosekn','Shefia''s attack hawk','','','',255,260,32,0,1,1,0,0,0,1,1,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630435,'Purrla','<Far Seas Supply Division>','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630436,'Gabann','Flaucujoil''s grim sorcerer','','','',255,4547,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630437,'a silt storm','','','','',255,7304,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630438,'an ironback armadillo','','','','',255,220,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630439,'Labaner','Flaucujoil''s grim sorcerer','','','',255,3654,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630440,'Gabarn','Flaucujoil''s grim sorcerer','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630441,'Laraner','Flaucujoil''s grim sorcerer','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630442,'Jenarn','Flaucujoil''s grim sorcerer','','','',255,5002,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630443,'Joner','Flaucujoil''s grim sorcerer','','','',255,7300,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630444,'Gabarn','Flaucujoil''s grim sorcerer','','','',255,12302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630445,'Gasarn','Flaucujoil''s nightshade','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630446,'Jaraner','Flaucujoil''s nightshade','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630447,'Kasann','Flaucujoil''s nightshade','','','',255,4632,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630448,'Konobn','Flaucujoil''s nightshade','','','',255,6490,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630449,'Kosarn','Flaucujoil''s nightshade','','','',255,8892,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630450,'Jarartik','Flaucujoil''s undead knight','','','',255,4558,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630451,'Lastik','Flaucujoil''s undead knight','','','',255,8718,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630452,'Zonartik','Flaucujoil''s undead knight','','','',255,9403,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630453,'Janer','Flaucujoil''s undead knight','','','',255,9026,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630454,'Gararn','Flaucujoil''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630455,'Gebober','Flaucujoil''s undead knight','','','',255,4545,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630456,'Lonantik','Flaucujoil''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630457,'Jonober','Flaucujoil''s undead knight','','','',255,12214,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630458,'Xibann','Flaucujoil''s undead knight','','','',255,12214,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630459,'Cholkonli Zum''Lun','<Spells>','','','',0,7377,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0),
(2630460,'Primary Conzuk Zum''Ha','<Chrykori Island Primary>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630461,'Varkori Riz''Lul','<Chrykori Village Chef>','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630462,'Tertiary Mak''Ki','','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630463,'Civ-Parser Di''Xin','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630464,'Virzuk Mak''Lok','<Provisioner>','','','',0,7370,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,585,0,0,0,0,0,0,0,0,0,0,0,0),
(2630466,'Rashid','','','','',0,98,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630467,'Al''Amin','','','','',0,1602,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630469,'Tarzykla Riz''Dok','<Bowyer>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100162,0,0,0,0,0,0,0,0,0,0,0,0),
(2630470,'Cholluk Myli''Tok','<Banker>','','','',0,7922,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630471,'Meklin','<Collector>','','','',0,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630472,'Trainer Chorkan Mok''Dn','<Know Your Inventory and Equipment>','','','',0,7921,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630473,'Trainer Tleclukal Sky''Zin','<Knowledge of Banking>','','','',0,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630474,'Trainer Charlok Zum''Ele','<Expert in Physical Attributes>','','','',0,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630475,'a Chrykori lookout','<Chrykori Standard>','','','',0,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630476,'a grit gorger','','','','',0,7741,22,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630477,'a timorous tortoise','','','','',0,215,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630479,'Elder Frostbeard','<Alchemist>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630480,'Trainer Torak Riz''Tu','<Keeper of Magical and Martial Knowledge>','','','',0,7924,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630481,'a Chrykori guard','<Chrykori Standard>','','','',0,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630482,'Wyrche Nibi''Zi','<Combat Arts>','','','',0,7375,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630483,'Venn Galewind','','','','',0,79,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630484,'Parser Eruche Ska''Ele','','','','',0,7391,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630485,'Captain Greta Greiswite','','','','',0,132,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630486,'Fibbly Gnarmerson','<General Goods & Accessories>','','','',0,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100163,0,0,0,0,0,0,0,0,0,0,0,0),
(2630487,'Trainer Byrkuri Myli''Lok','<Recognizing Opportunities>','','','',0,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630488,'Trainer Rolzykla Al''Zi','<Know Your Enemy>','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630489,'a Chrykori guard','<Chrykori Standard>','','','',0,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630490,'Zeldikil Gi''Sok','<Mender>','','','',0,7390,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630491,'Erwon Hir''Lul','<Armor & Weapons>','','','',0,7917,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,574,0,0,0,0,0,0,0,0,0,0,0,0),
(2630492,'Keetra Morrow','<Beastlord Trainer>','','','',0,81,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(2630493,'Timeless Chronomage','','','','',0,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630494,'Timeless Trader','<Chronomagic Reward Merchant>','','','',0,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630495,'Londiar Inygad','<Adorning Daily Tasks>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630496,'Oolieamim','<Master Sage>','','','',0,1606,32,0,1,1,9,0,12193,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630497,'Drallin Caelthis','<Foreign Broker>','','','',0,134,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630498,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630499,'a disreputable boatman','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630500,'Scion of Discord','<Victory Appraiser>','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630501,'Scion of Discord','<Carnage Appraiser>','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630502,'a trained griffin','','','','',0,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630503,'Taroche Dry''Zok','<Chrykori Village Provisioner>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630504,'Agh''Tok Je''ar','<Root Vendor>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630507,'Trainer Tuzik Hir''Xin','<Know Your Fate>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630508,'Zelchyk Gi''rul','<Griffin Trainer>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630509,'a Haoaeran digger','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630510,'a seaborne tortoise','','','','',0,218,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630511,'Citizen Niba''Ouz','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630512,'Tan McNein','','','','',0,112,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630513,'Tholchi Mak''Din','','','','',0,7390,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630514,'Clozzyk Zum''Mok','','','','',0,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630515,'First Mate Brendan Stewart','','','','',0,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630516,'Brugga Windsmight','','','','',0,111,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630517,'a ravenous raptor','','','','',0,7392,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630518,'a Haoaeran skyhunter','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630519,'a large filament strangler','','','','',0,5946,160,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630520,'a skittering monitor','','','','',0,201,6,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630521,'a filament strangler','','','','',0,5946,64,0,1,1,33,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630522,'a dunescale lizard','','','','',0,190,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630523,'Craewen Ku''Vi','<Chrykori Standard>','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630524,'a sated raptor','','','','',0,7392,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630525,'a dead sarnak scout','','','','',0,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630526,'a Haoaeran turf-hunter','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630527,'a dead spiroc','','','','',0,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630528,'Vobab','Ladypann''s bat warder','','','',0,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630529,'Ziber','Uglymf''s aquatic warder','','','',0,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630530,'Bio-Parser Zo''Dok','','','','',0,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630531,'Arozik Sky''Ki','<Chrykori Secondary>','','','',0,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630532,'a briny lizard','','','','',0,200,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630533,'a Haoaeran scavenger','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630534,'a silt storm','','','','',0,7304,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630535,'Turf-Hunter Valcryn','','','','',0,7254,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630536,'Taskmaster Hoinc','','','','',0,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630537,'a Haoaeran ritualist','','','','',0,7254,32,0,1,1,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630538,'a captured sarnak','','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630539,'a Haoaeran sentry','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630540,'a Haoaeran warrior','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630541,'a crusty rustbeast','','','','',0,235,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630542,'a Haoaeran enforcer','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630543,'Pyrrin','','','','',0,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630544,'a power infused Haoaeran','','','','',0,7254,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630545,'a shedding rustbeast','','','','',0,235,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630546,'Gerwen Di''Ki','<Chrykori Standard>','','','',0,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630547,'Bezok Myli''Ki','<Chrykori Standard>','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630548,'Tertiary Dih''Ha','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630549,'Tanzikla Hir''Ki','<Chrykori Standard>','','','',0,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630550,'Terokynil Ma''Kuul','<Field Mender>','','','',0,7391,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630551,'a Haoaeran lightfoot','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630552,'Terokynil Mok''Bin','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630553,'a dead Haoaeran lightfoot','','','','',0,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630554,'a Chrykori defender','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630555,'Tyrzykla Myli''Rin','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630556,'Tarodakil Dih''Sok','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630557,'Virchon Ku''Dn','<Chrykori Standard>','','','',0,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630558,'Anzekla Hirt''Ouz','<Chrykori Standard>','','','',0,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630559,'Hlorwin Myli''Zok','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630560,'an ironback armadillo','','','','',0,220,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630561,'Eyrzekla Ska''Rok','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630562,'Eyrlek Gi''Zin','<Chrykori Standard>','','','',0,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630563,'a Haoaeran turf-hunter','','','','',0,7254,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630564,'Tank','Fightzalot''s bear warder','','','',0,198,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630565,'Justinian Theo','<Prophet of the Tribunal>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630566,'a depth lurker','','','','',0,242,192,0,1,1,11,0,0,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630567,'a Blackshield assassin','','','','',0,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630568,'a Blackshield brute','','','','',0,105,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630569,'a Blackshield pirate','','','','',0,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630570,'a Blackshield cleric','','','','',0,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630571,'Chelduk Hir''Vin','<Chrykori Standard>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630572,'Captain Gorth','','','','',0,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630573,'Arukenil Mirt''Nin','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630574,'a Haoaeran advancer','','','','',0,7254,27,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630575,'Trunwen Shai''Ki','<Chrykori Standard>','','','',0,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630576,'Arewana Mok''Kin','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630577,'Cholkanil Nibi''Lun','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630578,'Vollekla Myli''Rin','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630579,'Tidikil Gi''Lok','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630580,'Pram MacFalloway','<Mender>','','','',0,111,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630581,'Morlieus Parleear','<Ammo Merchant>','','','',0,1604,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100166,0,0,0,0,0,0,0,0,0,0,0,0),
(2630582,'a resting soldier','<Chrykori Standard>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630583,'Thilzik Dih''Tak','<Bartender>','','','',0,7917,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630584,'Chrywin Ma''Kuul','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630585,'Tyzokal Shai''Ervs','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630586,'Conwun Niba''Ki','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630587,'Prime Parser Riz''Lin','<Gorowyn Parser>','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630588,'a thrashing spearnose','','','','',0,241,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630589,'a tame griffin','','','','',0,7742,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630590,'a Gorowyn parser','','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630591,'Secondary Shai''Dn','<Chrykori Secondary>','','','',0,7921,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630592,'Clazzykla Mak''Vin','<Chrykori Tertiary>','','','',0,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630593,'Chaldokli Ska''Li','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630594,'Tarkanil Shai''Ki','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630595,'a Haoaeran skyscreecher','','','','',0,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630596,'Tertiary Gurowyn Riz''Din','<Mok Island Tertiary>','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630597,'Secondary Terkenil Niba''Xi','<Mok Island Secondary>','','','',0,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630598,'Standard Ruk''Dok','<Mok Island Standard>','','','',0,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630599,'Tertiary Karlanz Mi''xin','<Mok Island Tertiary>','','','',0,7919,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630600,'a jungle khvara','','','','',0,293,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630601,'a dead Haoaeran','','','','',0,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630602,'a dead sarnak scout','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630603,'an alluring shorecaller','','','','',0,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630604,'an enthralling shorecaller','','','','',0,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630605,'a shorecaller guardian','','','','',0,180,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630606,'a captive Blackshield smuggler','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630607,'a vicious raptor','','','','',0,7392,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630608,'a voracious maneater','','','','',0,5946,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630609,'a wilting maneater','','','','',0,5946,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630610,'a wilting maneater','','','','',0,5946,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630611,'a timorous octopus','','','','',0,210,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630612,'a putrid sathirian sentry','','','','',0,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630613,'a slain devout','','','','',0,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630614,'a vicious raptor','','','','',0,7392,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630615,'Vict','','','','',0,7392,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630616,'a crushmaw croc','','','','',0,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630617,'Oerka Lightfeather','<Haoaeran Emissaries>','','','',0,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630618,'Rakon Daka','<Haoaeran Emissaries>','','','',0,7254,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630619,'Brekka Beakspiker','<Haoaeran Emissaries>','','','',0,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630620,'Prak Takraw','<Haoaeran Emissaries>','','','',0,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630621,'Tizyk Niba''Ti','<Chef>','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630622,'Crushmaw','','','','',0,4745,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630623,'Fringo Fronkle','<Provisioner & Ammo Merchant>','','','',0,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630624,'Arowon Myli''Tak','<Gorowyn Beach Secondary>','','','',0,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630625,'Parser Scrum McFeely','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630627,'Trainer Charkin Myli''Dok','<Harvesting and Collections>','','','',0,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630628,'Scout Chillekla','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630629,'a Haoaeran venturer','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630630,'Primary Sha''Ki','<Gorowyn Beach Primary>','','','',0,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630631,'Graem Vorbent','<Mender>','','','',0,134,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630632,'Askr','<Prophet of Karana>','','','',0,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630633,'Tholzykla Gi''guur','<Wholesaler>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630634,'Watcher Eyrzikla','<Guard>','','','',0,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630635,'Verkaera Myr''zok','<Horse Merchant>','','','',0,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630636,'Ambassador Godwin','<Freeport Emissary>','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630637,'Tadal Blurdcog','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630638,'a horse','','','','',0,6846,31,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630639,'Halsiee Seatear','<Tailor>','','','',0,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,720,0,0,0,0,0,0,0,0,0,0,0,0),
(2630640,'Dockworker Warlak','','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630641,'Sarheid','','','','',0,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630643,'Sentry Wykaera','<Guard>','','','',0,7390,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630644,'Sentry Cholkin','<Guard>','','','',0,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630645,'Omiir Z''kay','<Alchemist>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630647,'Fhelrin Taelnew','<Ammunition>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100159,0,0,0,0,0,0,0,0,0,0,0,0),
(2630648,'Barrlin','<Provisioner>','','','',0,82,32,0,1,1,10,1265,0,0,0,1,0,0,38,0,0,0,0,100161,0,0,0,0,0,0,0,0,0,0,0,0),
(2630649,'Burrin Vor''Ork','<Gorowyn Commander>','','','',0,7921,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630651,'Finnes Larcious','','','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630652,'Chelzyk Gi''rul','<Griffin Trainer>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630653,'Chullyk Mi''xin','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630654,'Dockworker Aridek','','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630655,'Dockworker Talzukal','','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630656,'Byzak Dry''zi','<Banker>','','','',0,7369,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630658,'Welza Bittlescope','','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630659,'Dockworker Eyrwon','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630660,'Dockkeeper Al''rok','','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630661,'Byrkonli','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630662,'Behry Wavehand','','','','',0,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630663,'Al''Zeem','','','','',0,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630664,'Melsin Axelsnurb','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630665,'Belvor Riverclaw','<Mender>','','','',0,1468,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630666,'Terla Caelious','','','','',0,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630667,'Eralok Riz''Rok','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630668,'Student Clozzik','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630669,'Norian Deathblow','','','','',0,102,32,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630671,'Sentry Gorodekil','<Guard>','','','',0,7377,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630672,'Trainee Turowin','','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630673,'Trainee Arenkenil','','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630674,'Student Chelzchun','','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630675,'Aldrid Eltham','<Templar Trainer>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(2630676,'Chilkinil Zol''ele','<Shadowknight Trainer>','','','',0,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(2630677,'Flannin Garibay','<Monk Trainer>','','','',0,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(2630678,'Thallek Al''ha','<Guardian Trainer>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(2630679,'Chrywen the Claw','<Bruiser Trainer>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(2630680,'Sentry Arezak','<Guard>','','','',0,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630681,'Moorcha','','','','',0,7254,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630682,'Kieran Wingrove','<Ranger Trainer>','','','',0,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(2630683,'June Blankensay','<Illusionist Trainer>','','','',0,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(2630684,'Andok Ska''Lul','<Guard>','','','',0,7918,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630685,'Rulzokal Sky''Nok','<Guard>','','','',0,7375,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630686,'Magus Primary Myli''nin','','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630687,'Apprentice Tawen','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630688,'Apprentice Chalak','','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630689,'Dvorzyk','','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630690,'Gorowyn Sentry Tertiary','<Guard>','','','',0,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630691,'Gorowyn Sentry Secondary','<Guard>','','','',0,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630692,'Krymok Quel''Gok','<Primary Civ-Parser>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630693,'Prime Captain Vurzuk','<Gorowyn Military Officer>','','','',0,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630694,'Tarkunli Ku''ti','<Arcane Studies Archiver>','','','',0,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630695,'Tlelwin Zo''touz','<Warlock Trainer>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(2630696,'Conak Dih''tu','<Defiler Trainer>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(2630698,'Tholwana Di''nok','<Berserker Trainer>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(2630699,'Apprentice Tholak','','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630700,'poisonous froad','','','','',0,224,16,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630701,'Zalduk Riz''lun','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630702,'Clezak Riz''Xi','<Teleport Trainer>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630703,'Zallikla Niba''nok','<Necromancer Trainer>','','','',0,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(2630704,'Crozuk Ky''irra','<Jeweler>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630705,'Teldek Dih''sok','<Alchemist>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630706,'Researcher Rulluk','','','','',0,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630707,'Verdek Al''rin','<Gorowyn Tactical Advisor>','','','',0,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630708,'Chalkanil','','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630709,'Smendrik','<Instrument Aficionado>','','','',0,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630710,'Tunzokal Ku''zen','<Troubador Trainer>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(2630711,'Tilwyn Mok''guul','<Dirge Trainer>','','','',0,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(2630712,'Talkur Sky''touz','<Broker>','','','',0,7315,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630713,'Gorak','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630714,'Clozak Ska''oul','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630715,'Thaldokli Riz''Dn','<General Goods>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630716,'Eurkon Al''ouz','<Bartender>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630717,'Arochu Ku''xin','<Brigand Trainer>','','','',0,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(2630718,'Gorolak Al''Xin','<Assassin Trainer>','','','',0,7315,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(2630719,'Prime Sentry Zulwen','<Guard>','','','',0,7315,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630720,'Arakor Niba''uul','<Weaponsmith>','','','',0,7370,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630721,'Brewen Al''tak','<Armorsmith>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630723,'Garnik Haum''va','<Tailor>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630724,'Hilachi Zo''roul','<Shieldsmith>','','','',0,7370,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630725,'reeking cod','','','','',0,194,25,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630726,'Aruzek','','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630727,'Clynka B''Zaln','<Bowyer>','','','',0,7369,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630728,'a slain parser','','','','',0,7377,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630729,'Hrath Everstill','<Prophet of Bertoxxulous>','','','',0,134,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630730,'Volkonli Sky''ele','<Mender>','','','',0,7377,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630731,'Denva Loogei','<Protector Mercenary>','','','',0,7375,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630732,'Dvorzylka Zum''lul','<Provisioner>','','','',0,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630733,'Gerak Nibi''ki','<General Goods>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630734,'Sentry Tekenil','<Guard>','','','',0,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630735,'Sentry Clezzok','<Guard>','','','',0,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630736,'Terror','Minion of Thule','','','',0,1638,12,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630737,'Observer Rahmid','','','','',0,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630738,'Observer Nattra','','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630739,'Observer Glakkin','','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630740,'Prime Researcher Mak''bin','','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630741,'Sentry Salssra','<Guard>','','','',0,7390,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630742,'Sentry Glazrah','<Guard>','','','',0,7375,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630743,'Neophyte Kulzra','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630744,'Neophyte Dylrinna','','','','',0,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630745,'Counselor Asidral','','','','',0,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630746,'Zilzykla','','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630747,'Verdek','','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630748,'Sentry Virak','<Guard>','','','',0,7369,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630749,'Sentry Tokor','<Guard>','','','',0,7375,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630750,'Researcher Hlawen','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630751,'Neophyte Chulche','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630752,'Prime Parser Tolok Ku''ele','','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630753,'Parser Talakla Dih''dl','','','','',0,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630755,'Blurt Grasplung','<Tempest Mercenary>','','','',0,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630756,'Sentry Bykinil','<Guard>','','','',0,7377,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630757,'Sentry Zollikla','<Guard>','','','',0,7390,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630758,'Sentry Arakun','<Guard>','','','',0,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630759,'Sentry Clizwin','<Guard>','','','',0,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630764,'Arazokal Shai''ri','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630765,'Dockworker Daarlekla','','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630766,'Thulkanil Shai''lin','<City of Gorowyn Faction Merchant>','','','',0,7315,28,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630767,'Aruzykla Niba''zin','<Collector>','','','',0,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630768,'Sentry Warwen','<Guard>','','','',0,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630769,'Erwen','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630770,'Counselor Bakunli','','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630771,'Neophyte Zilzyk','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630772,'Neophyte Rilcha','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630773,'Neophyte Arizok','','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630774,'Tleccha','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630775,'Sentry Zulkin','<Guard>','','','',0,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630776,'Sentry Rolkaera','<Guard>','','','',0,7315,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630777,'Telgrakk','<Armorsmith>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630778,'Roldok Riz''ri','<Work Orders>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630779,'Dvorchon Al''tak','<Mender>','','','',0,7377,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2630780,'Clazwin Ku''kin','<Rush Orders>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630781,'Dvarkor Ska''nin','<Crafting Trainer>','','','',0,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630782,'Onilish Ven''Rik','<Weaponsmith>','','','',0,7377,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630783,'Parser Voldik Myli''sok','','','','',0,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630784,'Darkuli Mirt''ha','','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630785,'Tyrkunli Ska''rok','<Broker>','','','',0,7315,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630786,'Craeak Mirt''nin','<Guild Cloak Designer>','','','',0,7377,32,0,1,1,24,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630787,'Counselor Volche','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630788,'Counselor Thelkori','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630789,'Voldykil','','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630790,'Grandmaster Jayak Lat''wasr','<Trades Coordinator>','','','',0,7917,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630791,'Todokli Mirt''Touz','<Housing>','','','',0,7390,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630792,'Andok Al''lok','<Banker>','','','',0,7315,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630793,'Prime Stockmajor Grelishh','<Academy of Logistics Supplier>','','','',0,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630794,'Belokal Myli''rok','<Banker>','','','',0,7377,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630795,'Counsel Lord Ver''dvon','<Speaker of the Gorowyn Counselors>','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630796,'Archlord Gor''sok','<Military Commander of Gorowyn>','','','',0,7391,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630797,'Counselor Wyrwon','','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630798,'Counselor Tanzukal','','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630799,'Counselor Gerozik','','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630800,'Counselor Craewen','','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630801,'Second Supervisor Turwin','<Housing>','','','',0,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630802,'Claurk D''Arket','<Chronomagi Tasker>','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630803,'Prime Supervisor Golglosh','<Housing>','','','',0,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630804,'Ambassador Zelzekla','<Change of Citizenship>','','','',0,7919,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630805,'Warzok Riz''sok','<Advancement Counsel>','','','',0,7315,32,0,1,1,22,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630806,'Byrzyk Dry''tak','<Guild Registrar>','','','',0,7369,32,0,1,1,25,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630807,'Erlwyn Riz''mok','<Guild Merchant>','','','',0,7369,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630809,'Salviln Grau''tuz','<Tradeskill Career Counsellor>','','','',0,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630810,'Bobbi','<Cameal''s Tempest Mercenary>','','','',0,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630811,'a cat','','','','',0,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630812,'Caretaker Velshin','<Housing>','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630813,'Cholzik Mirt''xa','<Wholesaler>','','','',0,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630814,'Keeper Chorwin','<House Pets>','','','',0,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630815,'a wild chokidai','','','','',0,7323,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630816,'Eruwin Ska''Mok','<ChokÃ©mon Trainer>','','','',0,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630817,'Standard Ku''Uul','<Gorowyn Beach Standard>','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630818,'Cholzakla Al''Xin','<Bio-Parser>','','','',0,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630819,'a sand stalker','','','','',0,250,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630820,'Grassgalor','','','','',0,7323,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630821,'a Blackshield quartermaster','','','','',0,1593,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630822,'a Blackshield mate','','','','',0,54,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630823,'a captured mountain throm','','','','',0,166,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630824,'a frightened chokidai','','','','',0,7323,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630825,'Blacktalon','','','','',0,225,32,0,1,1,38,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630826,'a Blackshield bosun','','','','',0,105,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630827,'a Blackshield master','','','','',0,132,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630828,'Captain Redspit','','','','',0,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630829,'a captive lion','','','','',0,303,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630830,'a Haoaeran escort','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630831,'Sentry Vylkren','','','','',0,7369,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630832,'a Blackshield carpenter','','','','',0,123,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630833,'Alei','Alei''s grim sorcerer','','','',0,12302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630834,'Mellrych','Mellrych''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630835,'Zabarer','Vedrari''s bat warder','','','',0,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630836,'Lebarab','','','','',0,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630837,'Zabarn','Stringe''s companion','','','',0,7393,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630838,'Weirds','Stringe''s aquatic warder','','','',0,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630839,'Gabartik','Talliya''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630840,'Joner','Znala''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630841,'Xabanab','Thoreast''s canine warder','','','',0,14371,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630842,'Bacon','Doyce''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630843,'Varer','Swifthitter''s bat warder','','','',0,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630844,'Jebarer','Nahtaivel''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630845,'Kaber','Vedrari''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630846,'Vosarer','Sharakhan''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630847,'Vebarer','Jelouz''s bat warder','','','',0,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630848,'Vasab','Lourdez''s canine warder','','','',0,14371,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630849,'Zeber','Mantrarat''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630850,'Gosantik','Feldyren''s avian warder','','','',0,16217,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630851,'Gantik','Oghawkel''s canine warder','','','',0,14371,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630852,'Jibann','Mahana''s avian warder','','','',0,16217,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630853,'Omeye','Kemoedi''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630854,'Kibtik','Ironik''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630855,'Vibarn','Zanrac''s reptile warder','','','',0,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630856,'Gabeker','Mahana''s bat warder','','','',0,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630857,'Voneker','','','','',0,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630858,'Genekn','Tigrr''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630859,'Gasekn','Beastygirl''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630860,'Gruffle','Vedrari''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630861,'Wierd','Stringe''s aquatic warder','','','',0,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630862,'Thoret','Thoreast''s canine warder','','','',0,14371,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630863,'Gobeker','Sharakhan''s reptile warder','','','',0,201,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630864,'Gonarer','Kwarder''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630865,'Labarab','Vejak''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630868,'Lourdez','Lourdez''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630869,'Gobekn','Vejak''s bear warder','','','',0,198,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630870,'Gartik','Bloodwart''s aquatic warder','','','',0,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630871,'Gedhawk','Feldyren''s avian warder','','','',0,16217,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630872,'Kabobn','Slashmoore''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630873,'Spanky','Masurao''s reptile warder','','','',0,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630874,'Josober','Bloodwart''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630875,'Gobekn','Zailog''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630876,'Jarer','Masurao''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630877,'Zekn','Kemoedi''s reptile warder','','','',0,190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630878,'Gasantik','Lernaea''s bat warder','','','',0,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630879,'Jartik','Searay''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630880,'Labn','Purrfectly''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630881,'a Haoaeran tasker','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630882,'a Haoaeran excavator','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630883,'Excavator Boeler','','','','',0,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630884,'Gerwana Hir''Xi','<Field Mender>','','','',0,7391,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630885,'a Haoaeran strategist','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630886,'Shellshock','Kemoedi''s amphibian warder','','','',0,215,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630887,'Itsy','Bitsii''s canine warder','','','',0,14371,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630888,'Jute','Sisl''s warboar warder','','','',0,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630889,'Gonarer','Kwarder''s feline warder','','','',0,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630890,'Assault Captain Phezzryn','','','','',0,7254,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630891,'Gentik','Rarlay''s reptile warder','','','',0,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630892,'a captive griffin','','','','',0,7742,32,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630893,'Rallekla Al''Roul','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630894,'Bacho Mirt''Nin','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630895,'Atwan Mok''Bin','<Chrykori Standard>','','','',0,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630896,'Chordakil Myli''Rin','<Chrykori Standard>','','','',0,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630897,'Clizzak Mirt''Ouz','<Chrykori Standard>','','','',0,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630898,'a Haoaeran lightfoot','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630899,'a Haoaeran trapper','','','','',0,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630900,'Vorkonli Mirt''Ouz','<Chrykori Standard>','','','',0,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630901,'Erken Niba''Ki','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630902,'Girzykla Zum''Ti','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630903,'Bychon Sky''Vin','<Chrykori Standard>','','','',0,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630904,'Daarkan Nibi''Zi','<Chrykori Standard>','','','',0,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630905,'Dvarzikla Dry''Ri','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630906,'Wyrcha Ma''Kuul','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630907,'Eyrzekla Dih''Sok','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630908,'Erekin Gi''Zin','<Chrykori Standard>','','','',0,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630909,'Tanzukal Ska''Rok','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630910,'Zulchun Riz''Lin','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630911,'Rulwyn Dih''Sok','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630912,'Arolak Gi''Zin','<Chrykori Standard>','','','',0,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630913,'Dyrzok Mirt''Ouz','<Chrykori Standard>','','','',0,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630914,'Kenarer','Ssshereath''s reptile warder','','','',0,7323,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630915,'Chyrlikla Ku''Dn','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630916,'Carkonli Dih''Sok','<Chrykori Standard>','','','',0,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630917,'Rilkon Sky''Oul','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630918,'Garowen Shai''Ervs','<Chrykori Standard>','','','',0,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630919,'Trunlukal Kul''Ul','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630920,'Tukaera Gi''Lok','<Chrykori Standard>','','','',0,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630921,'Dyrlykla Sky''Vin','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630922,'Garlukal Ma''Kuul','<Chrykori Standard>','','','',0,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630923,'Tleczuk Kul''Ul','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630924,'Gorocho Riz''Tak','<Chrykori Standard>','','','',0,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630925,'Aerak Shai''Ervs','<Chrykori Standard>','','','',0,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630926,'Arolak Hirt''Ouz','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630927,'Tidikil Sky''Oul','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630928,'Tyrzykla Dih''Sok','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630929,'Arlukal Dry''Mok','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630930,'Volkon Mak''Tok','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630931,'Erekin Ku''Dn','<Chrykori Standard>','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630932,'Vuldokli Hir''Xi','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630933,'Tirokuri Nibi''Lun','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630934,'Zelkanil Nibi''Zi','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630935,'Daardikil Niba''Din','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630936,'Arolak Al''Ele','<Chrykori Standard>','','','',0,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630937,'Chyrlikla Hirt''Ouz','<Chrykori Standard>','','','',0,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630938,'Cluzdak Kul''Ul','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630939,'Erezuk Gi''Zin','<Chrykori Standard>','','','',0,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630940,'Terokynil Niba''Ki','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630941,'Tallikla Ska''Li','<Chrykori Standard>','','','',0,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630942,'Daarkan Riz''Lin','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630943,'Chullyk Zo''Nok','<Chrykori Standard>','','','',0,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630944,'Aerchar Ska''Li','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630945,'Vulchu Dih''Vi','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630946,'Rulchu Ska''Rok','<Chrykori Standard>','','','',0,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630947,'Zillyk Hir''Xi','<Chrykori Standard>','','','',0,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630948,'Chordakil Dih''Sok','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630949,'Eruak Sky''Vin','<Chrykori Standard>','','','',0,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630950,'Chillok Hir''Xi','<Chrykori Standard>','','','',0,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630951,'Tirodok Gi''Zin','<Chrykori Standard>','','','',0,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630952,'Tinzikla Kul''Ul','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630953,'Rulwyn Mok''Bin','<Chrykori Standard>','','','',0,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630954,'Verwon Dih''Vi','<Chrykori Standard>','','','',0,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630955,'Gosekn','Mishilie''s undead knight','','','',0,1521,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630956,'Quacker Yig','','','','',255,269,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630957,'Killer','Sprectro''s undead knight','','','',255,1521,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630958,'a Haoaeran tasker','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630960,'Chaldokli Di''Tu','<Field Mender>','','','',255,7918,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630961,'Tarwon Al''Ele','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630962,'Vordyk Zum''Ti','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630963,'Zoldek Al''Ele','<Chrykori Standard>','','','',255,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630964,'Verkur Gi''Zin','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630965,'Tenwyn Shai''Ki','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630966,'Thaldak Shai''Ervs','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630967,'Pyrrin','','','','',255,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630968,'Tyrzykla Dry''Ri','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630969,'Tyzokal Hir''Xi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630970,'Tlecwen Mirt''Nin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630971,'Eyrzekla Kul''Ul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630972,'Gurwon Mirt''Ouz','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630973,'Daarkan Mok''Kin','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630974,'Dvarzikla Al''Roul','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630975,'Eyrlek Shai''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630976,'Talzak Mirt''Ouz','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630977,'Gorodekil Ska''Li','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630978,'Aerak Gi''Lok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630979,'Gurokur Hir''Xi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630980,'Gorkenil Mak''Tok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630981,'Carzyk Niba''Ki','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630982,'Tarkanil Al''Roul','<Chrykori Standard>','','','',255,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630983,'Tolzakla Hirt''Ouz','<Chrykori Standard>','','','',255,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630984,'Tallikla Al''Ele','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630985,'Chilzukal Mirt''Ouz','<Chrykori Standard>','','','',255,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630986,'Traenzekla Nibi''Zi','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630987,'Volkon Ska''Li','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630988,'Tankor Gi''Zin','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630989,'Gerche Zum''Ti','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630990,'Zulwyn Sky''Vin','<Chrykori Standard>','','','',255,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630991,'Byrwin Myli''Rin','<Chrykori Standard>','','','',255,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630992,'Traenkaer Mok''Kin','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630993,'Atdekil Gi''Zin','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630994,'Eriduk Niba''Din','<Chrykori Standard>','','','',255,7921,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630995,'Vulchu Mok''Bin','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630996,'Gerozokal Myli''Zok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630997,'Gerche Zo''Ha','<Chrykori Standard>','','','',255,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630998,'Rulchu Myli''Zok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2630999,'Wyrcha Dih''Sok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631000,'Beche Myli''Zok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631001,'Chalkon Sky''Vin','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631002,'Aerchar Mirt''Ouz','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631003,'Roldyk Gi''Zin','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631004,'Terokynil Myli''Zok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631005,'Rilkonli Sky''Vin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631006,'Gerozokal Niba''Ki','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631007,'Girzykla Nibi''Lun','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631008,'Terokynil Al''Ele','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631009,'Arewana Zum''Dok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631010,'Chardyk Niba''Din','<Chrykori Standard>','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631011,'Garlukal Niba''Ki','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631012,'Arakaer Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631013,'Rulwyn Dih''Vi','<Chrykori Standard>','','','',255,7918,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631014,'Vorkonli Sky''Oul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631015,'Clezwyn Mirt''Nin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631016,'Trunwen Dry''Ri','<Chrykori Standard>','','','',255,7370,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631017,'Gorodekil Al''Ele','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631018,'Vallik Myli''Zok','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631019,'Garlukal Di''Guur','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631020,'Bawon Zum''Dok','<Chrykori Standard>','','','',255,7919,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631021,'Aerchar Ku''Dn','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631022,'Virzyk Dry''Ri','<Chrykori Standard>','','','',255,7922,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631023,'Rulwyn Sky''Vin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631024,'Eyrlek Di''Guur','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631025,'Tirodok Myli''Zok','<Chrykori Standard>','','','',255,7375,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631026,'Garlukal Ku''Dn','<Chrykori Standard>','','','',255,7924,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631027,'Thulkinil Nibi''Zi','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631028,'Carzyk Riz''Tak','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631029,'Erodukli Sky''Oul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631030,'Erekin Ma''Kuul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631031,'Eradok Mok''Bin','<Chrykori Standard>','','','',255,7917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631032,'Gurwon Di''Tu','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631033,'a griffon tamer','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631034,'Gem-Forger of Khaalista','<Sisters of War>','','','',1,116,25,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631035,'a pirate captain','<Pirates of Gunthak>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631036,'a pirate first mate','<Pirates of Gunthak>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631037,'Scion of Khaalista','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631038,'Scion of Belamorte','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631039,'Scion of Bhaast','<Sisters of War>','','','',1,116,38,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631040,'a barbarian trader','<Far Seas Trading Company>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631041,'a tame griffon','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631042,'an iksar commander','<Battlefield of Ganak>','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631043,'an iksar warrior','<Battlefield of Ganak>','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631044,'an iksar observer','<Battlefield of Ganak>','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631045,'a gnome researcher','<Meldrath''s Machinists>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631046,'a gnome researcher','<Tinmizer''s Tinkerers>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631047,'a gnome observer','<Smuggler''s Den>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631048,'an enthused barbarian','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631049,'Clazwin Ku''kin','<Rush Orders>','','','',18,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631051,'Onilish Ven''Rik','<Weaponsmith>','','','',255,7377,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631052,'Archlord Gor''sok','<Military Commander of Gorowyn>','','','',255,7391,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631053,'Counselor Wyrwon','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631054,'Counselor Tanzukal','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631055,'Counselor Gerozik','','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631056,'Counselor Craewen','','','','',255,7369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631057,'Todokli Mirt''Touz','<Housing Goods>','','','',255,7390,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631058,'Telgrakk','<Armorsmith>','','','',255,7369,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631059,'Roldok Riz''ri','<Work Orders>','','','',9,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631060,'Dvorchon Al''tak','<Mender>','','','',255,7377,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2631061,'Salviln Grau''tuz','<Tradeskill Career Counsellor>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631063,'Kenekab','Tempurafutomaki''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631064,'Grassgalor','','','','',255,7323,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631065,'Erwen','','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631066,'Virwon Nibi''rok','<Arcane Transcription>','','','',255,7377,32,0,1,1,960,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631067,'a captive lion','','','','',255,303,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631068,'Scion of War','<Adornment Merchant>','','','',12,124,38,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631069,'Scion of War','<Weapon Merchant>','','','',12,124,38,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631070,'Scion of War','<Jewelry Merchant>','','','',12,124,38,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631071,'Scion of War','<Armor Merchant>','','','',12,124,38,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631072,'Zilvdia','<PVP Writs>','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631073,'Verkaera Myr''zok','<Stable Master>','','','',255,7377,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631074,'a tormented barbarian','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631075,'a trained griffon','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631076,'Chelzyk Gi''rul','<Griffon Trainer>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631077,'Sentry Clizwin','<Guard>','','','',255,7370,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631078,'a tame griffon','','','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631079,'Eruwin Ska''Mok','<ChokÃ©mon Trainer>','','','',255,7918,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631080,'Standard Ku''Uul','<Gorowyn Beach Standard>','','','',255,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631081,'Cholzakla Al''Xin','<Bio-Parser>','','','',255,7922,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631082,'a captive rhino','','','','',255,266,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631083,'Losartik','Darkus''s sacrament','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631084,'Atlantic','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631085,'Xuxhu','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631086,'Deciums','<Springview Healer>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631087,'Griffon Defender','','','','',255,7742,16,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631088,'a celebrating barbarian','<Halas Pilgrimage Planner>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631089,'Vasartik','Ovohia''s slimy slug friend','','','',255,252,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631090,'Snowflake','Ovohia''s frostpaw kitten','','','',255,13657,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631091,'Lonobn','Ovohia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631092,'Doesitrlytakeagrp','Domeem''s pet gazer','','','',255,5918,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631093,'Oeleomioleinlom','<Master Sage>','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631095,'Verkon Gi''Zok','<General Supply Primary>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631096,'Virdekil Riz''oul','<Supply Primary>','','','',255,7369,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631097,'Vanq','Vanq''s grim sorcerer','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631098,'Tonwun Myli''ele','<Supply Primary>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631099,'Tonkuri Mak''ha','<Supply Primary>','','','',255,7377,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631100,'Dvarken Dry''lun','<Supply Primary>','','','',255,7369,35,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631101,'Legionsucks','Child of Karana','','','',255,195,16,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631102,'Grassgalor','','','','',255,7323,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631103,'a delighted human','<Disciple of Hate>','','','',9,132,33,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631104,'a worried halfling','<Disciple of Love>','','','',7,108,29,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631105,'Gorowyn Sentry Tertiary','<Guard>','','','',255,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631106,'Gorowyn Sentry Secondary','<Guard>','','','',255,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631107,'Andok Ska''Lul','<Guard>','','','',255,7391,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631108,'Prime Sentry Zulwen','<Guard>','','','',255,7315,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631109,'Rulzokal Sky''Nok','<Guard>','','','',255,7377,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631110,'Oeliomioleonlem','<Master Sage>','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631111,'a fleshless guard','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631112,'Tilwun Sky''Oul','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631113,'Tarkanil Riz''Tak','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631114,'Zalwon Hir''Xi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631115,'Tyrokenil Riz''Lin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631116,'Garokaera Hir''Xi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631117,'Terlokal Zum''Ti','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631118,'Darwun Di''Tu','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631119,'Arizokal Di''Guur','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631120,'Chelchu Sky''Oul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631121,'Tidik Dih''Vi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631122,'Tleczuk Riz''Lin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631123,'Vollekla Gi''Lok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631124,'Rilkon Ska''Rok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631125,'Tordukli Ma''Kuul','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631126,'Vuldokli Riz''Lin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631127,'a mountain throm provisioner','<Throm Goods>','','','',255,167,76,0,1,1,10,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631128,'Groag Froam','','','','',255,166,83,0,1,1,9,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631129,'a mountain throm charger','','','','',255,166,89,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631130,'a mountain throm shielder','<Shieldsmith>','','','',255,167,89,0,1,1,10,1265,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631131,'a young stonechest','','','','',255,6825,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631132,'a stonechest matron','','','','',255,6825,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631133,'a dead sarnak soldier','','','','',255,7315,32,0,1,1,1110,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631134,'Urg Drom','','','','',255,166,89,0,1,1,9,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631135,'a dead spiroc researcher','','','','',255,7254,32,0,1,1,61,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631136,'a Shadow Lord attendant','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631137,'The Grim Reaver','','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631138,'Toofy','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631139,'Xonantik','Decaybringer''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631140,'Xenarn','Iceb''s undead knight','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631141,'a baby stonechest gorilla','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631142,'a Haoaeran tapper','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631143,'a Haoaeran keeneye','','','','',255,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631144,'a Haoaeran proven','','','','',255,7254,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631145,'a captured mountain throm','','','','',255,167,77,6,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631146,'Secondary Tykenil Riz''Dn','<Mok Island Secondary>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631147,'Ancho Mok''Nok','<Mok Rent Tertiary>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631148,'Gordyk Gi''Zok','<Spells>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631149,'Vircho Ku''Guur','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631150,'Vaerha Farsight','<Bio-Parser>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631151,'Tonkaera Di''Zi','<Mok Rent Tertiary>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631152,'Carchar Ku''Zok','<Combat Arts>','','','',255,7315,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631153,'a Haoaeran fisher','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631154,'Brum Druglar','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2631155,'Gruna Druglar','<Cloth & Leather Armor>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,34463,0,0,0,0,0,0,0,0,0,0,0,0),
(2631156,'Thun Druglar','<Armor & Weapons>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,34464,0,0,0,0,0,0,0,0,0,0,0,0),
(2631157,'Drothyr Virian','<General Goods & Accessories>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,0,0,0,0,100167,0,0,0,0,0,0,0,0,0,0,0,0),
(2631158,'Citizen Vurken Zum''Dn','','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631159,'Gwen N''Rya','<Bio-Parser>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631160,'Mioleimeeliomtom Joliimteeeeliem','<Civ-Parser>','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631161,'Aralokal Di''Kin','<Civ-Parser>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631162,'James Granven','<Provisioner>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,34470,0,0,0,0,0,0,0,0,0,0,0,0),
(2631163,'a slain Haoaeran fisher','','','','',255,7254,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631164,'Primary Tlecche Myli''Din','<Mok Rent Primary>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631165,'Zelkaera Sky''Vi','<Banker>','','','',255,7391,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631166,'Mulaena Vil','<Alchemist>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,34474,0,0,0,0,0,0,0,0,0,0,0,0),
(2631167,'a Haoaeran clutch tender','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631168,'a Haoaeran archivist','','','','',255,7254,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631169,'Mon Haoaera','','','','',255,7254,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631170,'Gurok the Old','','','','',255,166,79,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631171,'a wilting maneater','','','','',255,5946,32,7,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631172,'a baby owlbear','','','','',255,270,6,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631173,'Trainer Thelzakla Niba''Dok','<Combat Trainer>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631174,'Tyrokenil Ma''Kuul','<Field Mender>','','','',255,7377,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631175,'Belik Sky''Vin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631176,'Vulchu Myli''Zok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631177,'Gurwon Riz''Tak','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631178,'Vuldokli Gi''Lok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631179,'Arakaera Hirt''Ouz','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631180,'Gurokur Myli''Zok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631181,'a captive griffon','','','','',255,7742,32,0,1,1,9,0,1854,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631182,'Arizokal Mirt''Nin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631183,'Thilwun Ku''Dn','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631184,'Guroche Ska''Li','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631185,'Dyrzok Hir''Xi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631186,'Tolduk Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631187,'Erkuri Dry''Mok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631188,'Chilzukal Ska''Li','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631189,'Tyrokenil Dry''Ri','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631190,'Cholkor Zum''Ti','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631191,'Rilkon Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631192,'Gerche Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631193,'Thulkinil Mak''Tok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631194,'Dyrzok Ku''Dn','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631195,'Tidikil Ku''Dn','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631196,'Chulchun Sky''Vin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631197,'Dardik Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631198,'Gorodekil Mok''Kin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631199,'Cluzchi Zum''Dok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631200,'Tidik Gi''Lok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631201,'Daardikil Al''Ele','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631202,'Valdekil Nibi''Zi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631203,'Aerak Ska''Rok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631204,'Chyrlikla Ku''Dn','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631205,'Arukun Sky''Oul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631206,'Hlorchon Ma''Kuul','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631207,'Thaldykil Niba''Din','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631208,'Gurlik Gi''Lok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631209,'Erkuri Ska''Rok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631210,'Zalzukal Mak''Tok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631211,'Tleczuk Mak''Tok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631212,'Chryzek Al''Ele','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631213,'Arewen Mok''Bin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631214,'Vollekla Nibi''Zi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631215,'Vallik Ku''Dn','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631216,'Tidik Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631217,'Tyrocho Dih''Vi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631218,'Eruchi Mok''Kin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631219,'Teldek Niba''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631220,'Thilchi Riz''Lin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631221,'Vilche Sky''Vin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631222,'Cholkor Dry''Mok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631223,'Hlorchon Dih''Sok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631224,'Eradok Riz''Tak','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631225,'Chardyk Kul''Ul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631226,'Darwun Dih''Vi','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631227,'Tolzakla Di''Tu','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631228,'Tonkunli Myli''Zok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631229,'Teldek Myli''Zok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631230,'Arewen Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631231,'Dardik Ma''Kuul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631232,'Vuldokli Al''Ele','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631233,'Virchon Ska''Rok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631234,'Tholzik Mok''Kin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631235,'Thaldak Ska''Rok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631236,'Zolwin Mok''Bin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631237,'Byrwin Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631238,'Tholzik Dih''Sok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631239,'Thulkinil Al''Roul','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631240,'Vollekla Kul''Ul','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631241,'Tyrzykla Dih''Vi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631242,'Traenzekla Niba''Din','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631243,'Belik Di''Tu','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631244,'Trunwen Zum''Ti','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631245,'Cluzdak Niba''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631246,'Cluzdak Ku''Dn','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631247,'Carzyk Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631248,'Rallekla Zum''Dok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631249,'Bychon Sky''Vin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631250,'Verkur Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631251,'Chyrdek Myli''Rin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631252,'Pooh','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631253,'Zillyk Myli''Rin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631254,'Chordakil Nibi''Lun','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631255,'Charwyn Ma''Kuul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631256,'Cholkanil Shai''Ervs','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631257,'Eradok Gi''Lok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631258,'Tirodok Zum''Dok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631259,'Anzekla Dih''Sok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631260,'Chryzek Dry''Mok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631261,'Chelchu Niba''Din','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631262,'Tholzik Zo''Nok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631263,'Wyrkor Dih''Sok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631264,'Erekin Gi''Zin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631265,'Dyrzok Shai''Ervs','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631266,'Tullak Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631267,'Gurlik Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631268,'Tokin Dry''Mok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631269,'Talzak Kul''Ul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631270,'Clozluk Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631271,'Aerchar Dih''Vi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631272,'Ralzyk Niba''Din','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631273,'Tinzikla Mirt''Nin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631274,'Thaldykil Shai''Ki','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631275,'Clezlokal Riz''Tak','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631276,'Tolduk Myli''Rin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631277,'Guroche Ma''Kuul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631278,'Chordakil Riz''Tak','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631279,'Tirodok Riz''Lin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631280,'Vallik Zum''Dok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631281,'Erawen Zo''Ha','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631282,'Zalzukal Niba''Ki','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631283,'Chryzek Mok''Kin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631284,'Vuldokli Ska''Li','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631285,'Toroak Nibi''Zi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631286,'Gorwan Mok''Kin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631287,'Tyrocho Gi''Zin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631288,'Tykun Shai''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631289,'Tyzokal Di''Guur','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631290,'Thulkan Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631291,'Teldek Hirt''Ouz','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631292,'Eruak Zum''Ti','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631293,'Tenwyn Hirt''Ouz','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631294,'Bykur Riz''Tak','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631295,'Tirodok Ska''Rok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631296,'Chaldokli Dih''Sok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631297,'Tirlykla Nibi''Zi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631298,'Arizokal Ku''Dn','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631299,'Dvarzikla Ska''Li','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631300,'Vurwyn Shai''Ki','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631301,'Chorwon Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631302,'Craekinil Nibi''Lun','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631303,'Tarkanil Sky''Vin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631304,'Jabekn','Dethisans''s undead knight','','','',255,8714,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631305,'Moileimoeloimtim Jeloimteiieliom','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631306,'Kebeker','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631307,'Miniknight','Croman''s undead knight','','','',255,8716,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631308,'Warzok Riz''sok','<Achievement Counsel>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631309,'Oiloemeeloonlem','<Master Sage>','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631310,'Taryne','Taryne''s Personae Reflection','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631311,'Simba','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631312,'Kenanab','Oashoahok''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631313,'Walter','Oashoahok''s familiar','','','',255,3835,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631314,'Vober','Eshoco''s undead knight','','','',255,9403,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631315,'Jarn','Fust''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631316,'Arikaera Mok''Ki','<Spells>','','','',255,7390,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631317,'Byrche Di''Ervs','<Combat Arts>','','','',255,7370,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631318,'Target','Silvanessa''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631319,'Bones','Alairik''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631320,'Borntobebad','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631321,'Punkwock','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631322,'Kartik','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631323,'Pottingsoil','Lilla''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631324,'Newt','Torturella''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631325,'an Ebon Mask attacker','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631326,'a parser disciple','','','','',255,7315,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631327,'Jarazi','Velic''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631328,'Fugly','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631329,'Tink','Vual''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631330,'Phloem','Underfoot Attendant','','','',255,152,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631331,'Vladd','Oatunub''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631332,'Mike the God of Big Rocks','<The Shadow Odyssey Beta Buffer>','','','',255,7315,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631333,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631334,'dark seepage','','','','',255,296,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631335,'Void Tempest','','','','',255,8264,62,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631336,'dark horror','','','','',255,240,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631337,'dark seepage','','','','',255,296,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631338,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631339,'Gurwon Sky''Vin','<Field Mender>','','','',255,7377,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631340,'Gurokur Dih''Sok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631341,'Ariche Riz''Tak','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631342,'Bykur Niba''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631343,'Zoldek Al''Roul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631344,'Chrywin Nibi''Zi','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631345,'Gurlik Kul''Ul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631346,'Clozdykil Dry''Ri','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631347,'Talzak Riz''Lin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631348,'Teroluk Niba''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631349,'Bychon Ma''Kuul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631350,'dark horror','','','','',255,240,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631351,'Void Tempest','','','','',255,8264,64,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631352,'Rholl','Rholl''s nightshade','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631353,'Baconater','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631354,'Kasann','Ladierose''s minion','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631355,'an Arcane Science apprentice','','','','',3,1592,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631356,'Darkangelz','Shadora''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631357,'Guroche Myli''Zok','<Field Mender>','','','',255,7377,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631358,'Gerolak Ska''Li','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631359,'Bawon Di''Tu','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631360,'Traenzekla Dry''Mok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631361,'Vurlok Di''Guur','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631362,'Zolwin Myli''Zok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631363,'Gurwon Mok''Bin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631364,'Eyrlek Kul''Ul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631365,'Zelkanil Gi''Lok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631366,'Roldokli Riz''Tak','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631367,'Gorodekil Nibi''Lun','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631368,'Zillyk Ma''Kuul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631369,'Clozluk Zo''Ha','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631370,'Trunlukal Mok''Kin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631371,'Wyrcha Hir''Xi','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631372,'Gerwana Di''Tu','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631373,'Hlorchon Shai''Ki','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631374,'Erken Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631375,'Tirokuri Riz''Lin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631376,'Arizokal Al''Roul','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631377,'Clizzak Niba''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631378,'Gurokur Mirt''Ouz','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631379,'Zildakil Sky''Vin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631380,'Aerchar Mok''Bin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631381,'Gurlik Riz''Lin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631382,'Zelkanil Kul''Ul','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631383,'Tonkunli Nibi''Zi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631384,'Zulwyn Sky''Oul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631385,'Erkuri Mirt''Nin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631386,'Arlukal Ska''Rok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631387,'Vilche Al''Ele','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631388,'Tyrwan Di''Guur','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631389,'Vurwyn Zo''Ha','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631390,'Gurlik Mok''Bin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631391,'Tholzik Kul''Ul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631392,'Dyrlykla Dih''Vi','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631393,'Tordukli Di''Guur','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631394,'Anchi Zum''Dok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631395,'Thaldykil Kul''Ul','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631396,'Chulchun Mirt''Ouz','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631397,'Dyrzok Zum''Ti','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631398,'Vilwin Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631399,'Virchon Al''Roul','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631400,'Talzak Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631401,'Craekinil Riz''Lin','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631402,'Bykur Ska''Rok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631403,'Vollekla Di''Guur','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631404,'Terlokal Nibi''Lun','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631405,'Tleczuk Riz''Tak','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631406,'Tirokuri Sky''Vin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631407,'Garlukal Ska''Rok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631408,'Erikunli Ska''Li','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631409,'Teroluk Niba''Din','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631410,'Carkonli Sky''Vin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631411,'Chalkon Dry''Ri','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631412,'Tinzok Niba''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631413,'Tacha Shai''Ervs','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631414,'Tirken Zo''Ha','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631415,'Teroluk Mirt''Nin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631416,'Eyrlek Myli''Zok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631417,'Belik Myli''Zok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631418,'Vulchu Ska''Rok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631419,'Chillok Riz''Lin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631420,'Erken Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631421,'Tirodok Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631422,'Erken Dih''Sok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631423,'Zildakil Di''Guur','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631424,'Atdekil Mirt''Nin','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631425,'Tyrokenil Gi''Zin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631426,'Tukaera Mok''Bin','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631427,'Erkuri Hir''Xi','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631428,'Tallikla Mirt''Ouz','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631429,'Tolduk Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631430,'Garkaer Hirt''Ouz','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631431,'Clozluk Zum''Dok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631432,'Tirken Zum''Ti','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631433,'Erkuri Ku''Dn','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631434,'Zulchun Zum''Dok','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631435,'Carzyk Mak''Tok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631436,'Tina','Smoak''s Personae Twin','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631437,'a Disciple of Disease Teleportation Wizard','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631438,'Garochi Mirt''dok','','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631439,'Isgood','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631440,'Evdokia','<Disciple of Disease>','','','',13,54,32,0,1,1,9,0,14023,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631441,'Vobarn','Perniium''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631442,'Banba MacBryne','','','','',0,1463,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631443,'Veker','Handofevil''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631444,'Battyforu','Gambnecro''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631445,'Rainyy','Dayy''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631446,'Jarer','Sankari''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631447,'an Arcane Science Teleportation Scholar','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631448,'a treant sapling','','','','',255,212,8,2,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631449,'Bucky Withywindle','<Shrub Tender>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631450,'Wangari Fisshar','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631451,'Nazareth','Chaotisys''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631452,'Uuugly','Gambnecro''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631453,'Kabeker','Handofevil''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631454,'Adonut','Devlian''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631455,'Spanky','Dommi''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631456,'Vareker','Handofevil''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631457,'Xobtik','Reptille''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631458,'Genekab','Sheela''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631459,'Vosarn','Nimmy''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631460,'Vobarn','Perniium''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631461,'Mrpudgeface','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631462,'Minime','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631463,'Vibann','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631464,'Spike','Carazi''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631465,'Makenzy','Makenzy''s inferno golem','','','',255,8305,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631466,'Dagimp','Angelize''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631467,'Arach','','','','',255,7393,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631468,'an average sparring partner','','','','',255,7391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631469,'a weak sparring partner','','','','',255,7391,30,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631470,'Eyrzekla Ska''Li','<Field Mender>','','','',255,7391,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2631471,'Tonchar Mok''Kin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631472,'Girkun Nibi''Zi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631473,'Arolak Gi''Lok','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631474,'Eriduk Ma''Kuul','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631475,'Tarwon Mirt''Nin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631476,'Ariche Riz''Lin','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631477,'Gorodekil Gi''Lok','<Chrykori Standard>','','','',255,7391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631478,'Tilwun Dry''Ri','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631479,'Zalwon Zum''Ti','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631480,'Zillyk Shai''Ervs','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631481,'Eriduk Dih''Vi','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631482,'Erekori Dih''Sok','<Chrykori Standard>','','','',255,7377,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631483,'Garowen Shai''Ki','<Chrykori Standard>','','','',255,7315,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631484,'Roldokli Hir''Xi','<Chrykori Standard>','','','',255,7390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631485,'Rozokal Niba''mok','<Tradeskill Tutorial>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631486,'Misty','Bloodmoons''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631487,'Cannonfodder','Tazumi''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631488,'Terry','Aijai''s grim spellbinder','','','',255,4547,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631489,'Juggernaut','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631490,'Lucy Lovewing','<Erollisi Day Promoter>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631491,'Kebarer','Lucinious''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631492,'Buster','Zimmie''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631493,'Dawn','Frailer''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631494,'Peasandgreavy','Michan''s grim thulian','','','',255,2901,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631495,'Slugballa','Kornball''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631496,'Chunash','Moggie''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631497,'Chonk','Jubal''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631498,'Deadly','Necromere''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631499,'Kenny','Niff''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631500,'Bookie','Disilusion''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631501,'Ezekial','Scheurbuik''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631502,'Lonanab','Zimmie''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631503,'Georgedoors','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631504,'Slugb','Kornball''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631505,'Bibi','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631506,'Kosab','Tazumi''s rotting thrall','','','',255,4672,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631507,'Kebantik','Vedarkin''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631508,'Sluggggggghaxxxxxxxx','Kornball''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631509,'Vendetta','Lyria''s servant','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631510,'Barrathos','Barrathos''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631511,'Kasantik','Jiggy''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631512,'Jebekn','Morwenna''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631513,'Superslug','Kornball''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631514,'Strife','Jehnna''s familiar','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631515,'Kabeker','Owenoone''s servant','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631516,'Dontfeedthedoggie','Alendrakos''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631517,'Growler','Cyrene''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631518,'Godpetsannoyme','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631519,'Decombones','Amoshia''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631520,'Goner','Zammie''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631521,'Jabekn','Zammie''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631522,'Lofofora','','','','',255,7302,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631523,'Vabaner','Amoshia''s diseased servant','','','',255,4543,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631524,'Ankh','Necromankh''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631525,'Karann','Louanne''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631526,'Ikary','Firstborn''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631527,'Jostik','Ragdoll''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631528,'Kastik','Naboen''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631529,'Sssspider','Darkshade''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631530,'Hansel','Derelicte''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631531,'Apetoodeetoo','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631532,'Tjuvnyp','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631533,'Lemvile','Lemvile''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631534,'Fang','Gralkz''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631535,'Steelballs','','','','',255,7465,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631536,'Bookie','Disilusion''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631537,'Hannahrexic','Belladragon''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631538,'Vendetta','Lyria''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631539,'Anita','Televinken''s tellurian follower','','','',255,256,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631540,'Niff','Niff''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631541,'Kunarg','Snakey''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631542,'Necronomicon','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631543,'Necronomicon','Qilin''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631544,'Salviln Grau''tuz','<Tradeskill Classification Advisor>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631545,'Kenab','Nenad''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631546,'Zabaner','Xilias''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631547,'Khalina','Khalina''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631548,'Gebekn','Dreamsilencer''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631549,'Kasober','Jiinia''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631550,'Zasann','Turb''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631551,'Notmachia','Machia''s Personae Twin','','','',9,1598,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631552,'Fido','Frostburn''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631553,'Fido','Frostburn''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631554,'Xasn','Dreamsilencer''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631555,'George','Viston''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631556,'Zarer','Daevar''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631557,'Milk','Cookies''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631558,'Sssspider','Darkshade''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631559,'Lemvile','Lemvile''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631560,'Kaber','Milrena''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631561,'Kibaner','Lacorous''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631562,'Gartik','Edelia''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631563,'Kvak','Kvaaak''s tellurian follower','','','',255,258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631564,'Meeleomieliemtom Joloemteoiiliom','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631565,'Mariposa','Mareposa''s Personae Twin','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631566,'Meoleemeeliomtem Joleemtoiieloom','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631567,'Notmachia','Machia''s Personae Twin','','','',9,1598,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631568,'Caramel','Frappucina''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631569,'Geker','Vaporr''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631570,'Moileimooleimtem Jiliomtioieleom','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631571,'Xabartik','Vaporr''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631572,'Garantik','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631573,'Jasantik','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631574,'Jaraner','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631575,'Xonarn','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631576,'Gibanab','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631577,'Jasann','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631578,'Jeker','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631579,'Gosekn','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631580,'Xobarer','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631581,'Lofofora','Lofofora''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631582,'Xabeker','Vishimtar''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631583,'Juggz','Sunade''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631584,'Zarn','Faylie''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631585,'Vasarn','Phoebia''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631586,'Woffletags','Hadenuff''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631587,'Beedlin','Faezarch''s tellurian follower','','','',255,258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631588,'Mieleemieloimtem Jileemteioiliim','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631589,'Gobarer','Derelicte''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631590,'Vantik','Mygg''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631591,'Meeloemieleomtim Joliomtoeieloom','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631592,'Cookies','Minda''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631593,'Scavenge','Scavenge''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631594,'Kosartik','Fiskandantilus''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631595,'Thingy','Dragonbabe''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631596,'Zoseker','Citrine''s servant','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631597,'Zabantik','Prop''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631598,'Pillar','Cata''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631599,'Whisbob','Hoke''s servant','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631600,'Roar','Tiegra''s tellurian recruit','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631601,'Glam','Glitz''s Personae Twin','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631602,'Xabeker','Viston''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631603,'George','Viston''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631604,'Rexy','Astocia''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631605,'Mooliimeoloomtim Joloomtoeeeliom','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631606,'Jararab','Drist''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631607,'Voseker','Oafa''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631608,'Kenny','Sheemix''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631609,'Mioliomeeloemtom Jileimtioeeloem','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631610,'Meiliemeoliomtem Joliimteieoliim','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631611,'Kabn','Laceration''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631612,'Aegisfang','Kesegowaasa''s companion','','','',255,260,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631613,'Guenhwyvar','Kesegowaasa''s pet gazer','','','',255,5918,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631614,'Chronotrigger','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631615,'Guenhwyvar','Kesegowaasa''s companion','','','',255,2415,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631616,'Judgedredd','Gavel of Justice','','','',255,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631617,'Sluggersjr','Kornball''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631618,'Xobaner','Tazumi''s undying adherent','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631619,'Spanky','Yamitik''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631620,'Mioleomooliimtim Joloomtoiooloem','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631621,'Jararer','Huldra''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631622,'Uermel','Kiroyal''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631623,'Moeleomeoleimtim Jiliimteioeloem','<Civ-Parser>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631624,'Vebaner','Sslac''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631625,'Barney','Siyena''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631626,'Hansel','Derelicte''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631627,'Nazosa','Nazosa''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631628,'Superslug','Kornball''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631629,'Lemvile','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631631,'Superslug','Kornball''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631632,'Xobartik','Nenad''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631633,'Chuckles','Zordethk''s diseased servant','','','',255,4541,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631634,'Sssspider','Darkshade''s nightshade','','','',255,4631,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631635,'Leker','Dreamsilencer''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631636,'Lunch','Razieal''s pet gorg?','','','',255,5940,9,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631637,'Gobaner','Asunder''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631638,'Harvo','Harvo''s tellurian avenger','','','',255,2413,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631639,'Kobarer','Rocko''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631640,'Libarn','Duncker''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631641,'Buster','Viston''s servant','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631642,'Labaner','Steggi''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631643,'Kornsbuttt','Epakolipse''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631644,'Caramel','Frappucina''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631645,'kuuul_x1_chest',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631646,'player_housing_5_room',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631647,'player_housing_5_room',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631648,'player_housing_3_room',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631649,'guildhall_entrance_tier1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631650,'player_housing_1_room',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631651,'player_housing_3_room',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631652,'player_housing_1_room',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631653,'Blacktalon''s Hitching Post',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631654,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,348,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631655,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,348,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631656,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,358,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631657,'erudite_x3_sarcophagus',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631658,'erudite_x3_sarcophagus',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631659,'erudite_x3_sarcophagus',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631660,'Blacktalon''s Hitching Post',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631661,'Guild Hall',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631662,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631663,'present03_big',NULL,'','','',0,7077,22,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631664,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631665,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631666,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631667,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631669,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631670,'candycane',NULL,'','','',0,5983,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631671,'presents01',NULL,'','','',0,5968,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631672,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631673,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631674,'presents01',NULL,'','','',0,5977,23,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631675,'presents01',NULL,'','','',0,5972,26,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631676,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631677,'presents01',NULL,'','','',0,5967,23,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631678,'presents01',NULL,'','','',0,5970,22,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631679,'holiday_fatcandle_white',NULL,'','','',0,7976,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631680,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631681,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631682,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631683,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631684,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631685,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631686,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631687,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631688,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631689,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631690,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631691,'dpo_holiday_cookie_plate02',NULL,'','','',0,7969,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631692,'snowwoman',NULL,'','','',0,5976,24,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631694,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631695,'dpo_christmas_snowtree_small01_houseitem',NULL,'','','',0,9239,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631696,'candycane',NULL,'','','',0,5985,31,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631697,'dpo_bow01_green',NULL,'','','',0,7075,31,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631698,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631699,'presents01',NULL,'','','',0,5969,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631700,'dpo_bow01_red',NULL,'','','',0,7076,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631701,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631702,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631703,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631704,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631705,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,1,1,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631706,'dpo_present03_medium',NULL,'','','',0,7078,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631707,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631708,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631709,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631710,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631711,'aether_teleport_exit',NULL,'','','',0,2306,32,0,1,1,0,0,23059,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631712,'aether_teleport_a',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631713,'aether_teleport_b',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631714,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631715,'qey_blacksmith_hammer001',NULL,'','','',0,43,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631716,'qey_blacksmith_table001',NULL,'','','',0,46,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631717,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631718,'qey_blacksmith_pliers001',NULL,'','','',0,45,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631719,'qey_blacksmith_oven001',NULL,'','','',0,44,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631720,'qey_blacksmith_bellows001',NULL,'','','',0,42,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631721,'altar_tribunal_exceptional',NULL,'','','',0,7765,40,0,1,1,34,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631722,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631723,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631724,'floor_tent_human_open01',NULL,'','','',0,4617,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631725,'qst_hirki_x1_supplies',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631726,'rizdin_x2_steamer_repair',NULL,'','','',0,7354,32,0,1,1,0,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631727,'barricade_long',NULL,'','','',0,1556,32,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631728,'Skeleton Bush',NULL,'','','',255,4078,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631729,'Altar to Karana',NULL,'','','',0,7762,32,0,1,1,34,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631730,'sproket_cluster',NULL,'','','',0,5211,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631731,'a pile of volcanic ash',NULL,'','','',0,2917,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631732,'Lesharra',NULL,'','','',255,96,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631733,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631734,'barrel_small_light',NULL,'','','',0,1909,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631735,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631736,'Mystic Margreth',NULL,'','','',255,5236,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631737,'crystal_ball',NULL,'','','',0,2681,54,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631738,'round_table',NULL,'','','',0,3617,22,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631739,'brazier',NULL,'','','',0,2025,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631740,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631741,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631742,'tent',NULL,'','','',0,12193,31,0,1,1,0,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631743,'fabric roll',NULL,'','','',0,11673,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631744,'ensorcelled_purple_lantern',NULL,'','','',0,10379,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631745,'wood_plank',NULL,'','','',0,4676,31,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631746,'floor_barrel_any_ornate01',NULL,'','','',0,2563,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631747,'open crate',NULL,'','','',0,9856,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631748,'chessboard',NULL,'','','',0,1957,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631749,'fprt_crate_large_militaryboarded01',NULL,'','','',0,6263,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631750,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631751,'basket',NULL,'','','',0,11817,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631752,'dpo_present_darkver_black_big',NULL,'','','',0,8741,60,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631753,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631754,'Military Table',NULL,'','','',0,9332,32,0,1,1,36,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631755,'basket',NULL,'','','',0,5317,25,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631756,'basket',NULL,'','','',0,11814,40,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631757,'basket',NULL,'','','',0,11816,23,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631758,'cranberries',NULL,'','','',0,11588,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631759,'basket',NULL,'','','',0,11815,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631760,'basket',NULL,'','','',0,11812,21,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631761,'ensorcelled_yellow_lantern',NULL,'','','',0,10381,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631762,'ensorcelled_green_lantern',NULL,'','','',0,10378,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631763,'ensorcelled_red_lantern',NULL,'','','',0,10380,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631764,'ensorcelled_blue_lantern',NULL,'','','',0,10377,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,8192,0,0,0),
(2631765,'candycane',NULL,'','','',0,5984,44,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631766,'floor_chair_human_fancy01',NULL,'','','',0,2131,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631767,'gear_single',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631768,'cog_table',NULL,'','','',0,5209,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631769,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631770,'qey_tent03',NULL,'','','',0,6304,32,0,1,1,0,0,0,0,0,0,0,0,269,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631771,'dpo_holiday_cookie_plate01',NULL,'','','',0,7968,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631772,'Far Seas Trading Company boat',NULL,'','','',0,11818,32,0,1,1,0,0,0,0,0,0,0,0,822,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631773,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631774,'drv_rug_round_worn02',NULL,'','','',0,5387,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631775,'dpo_christmas_tree_small01_kelethin',NULL,'','','',0,7084,84,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631776,'dpo_stocking_darkver_female_purple',NULL,'','','',0,8755,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631777,'dpo_stocking_darkver_purple_small',NULL,'','','',0,8763,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631778,'qst_diki_x1_spear',NULL,'','','',0,2304,31,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631779,'qst_diki_x1_tribalspear',NULL,'','','',0,2396,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631780,'qst_diki_x1_trident',NULL,'','','',0,2289,31,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631781,'gnomish_heating_device',NULL,'','','',0,3252,16,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631782,'shaki_x1_boat_collide',NULL,'','','',0,4644,28,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631783,'a Blackshield landing craft',NULL,'','','',255,4644,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631784,'shaki_x2_blackshield_orders',NULL,'','','',0,5768,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631785,'spiced_chokidai',NULL,'','','',0,7323,24,0,1,1,37,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631786,'Rrarwrk Cage',NULL,'','','',0,1528,28,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631787,'qst_aviak_feather',NULL,'','','',0,2917,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631788,'dpo_bow01_gold',NULL,'','','',0,7074,39,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631789,'candycane',NULL,'','','',0,7950,11,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631790,'candycane',NULL,'','','',0,7951,14,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631791,'teleporter_lower',NULL,'','','',0,10357,32,0,1,1,0,0,0,0,0,0,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631792,'holiday_turkey',NULL,'','','',0,7072,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631793,'holiday_cranberry_plate',NULL,'','','',0,7090,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631794,'weaponrack01',NULL,'','','',0,4455,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631795,'floor_beaker_human_lab02',NULL,'','','',0,3407,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631796,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631797,'bertoxxulous altar',NULL,'','','',0,7759,32,0,1,1,34,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631798,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631799,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631800,'white_candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631801,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631802,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631803,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631804,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631805,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631806,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631808,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631809,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631810,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631811,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631812,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631813,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631814,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631815,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631816,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(2631817,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631819,'weaponrack03',NULL,'','','',0,4651,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631820,'training_dummy',NULL,'','','',0,1558,36,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631821,'training_dummy_hanging',NULL,'','','',0,1582,36,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631822,'dpo_candied_apple_plate',NULL,'','','',0,13875,32,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2631823,'teleporter_upper',NULL,'','','',0,10357,32,0,1,1,0,0,0,0,0,0,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631824,'ironmaiden01',NULL,'','','',0,4466,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631825,'evilpitchfork01',NULL,'','','',0,5783,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631826,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631827,'barricade_short',NULL,'','','',0,1557,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631828,'three purple roses',NULL,'','','',0,7138,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631829,'three red roses',NULL,'','','',0,7145,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631830,'cr_bucket_orc_full_meat',NULL,'','','',0,5165,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631831,'floor_table_human_lab02',NULL,'','','',0,3425,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631832,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631833,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631834,'Lady Luck',NULL,'','','',255,5234,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631835,'qst_diki_x1_pike',NULL,'','','',0,2385,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631836,'Skeleton Bush',NULL,'','','',0,4078,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631837,'Lesharra',NULL,'','','',0,96,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631838,'player_housing_5_room',NULL,'','','',0,14634,32,0,1,1,28,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631839,'Researcher Byrche Di''Ervs',NULL,'','','',255,7370,32,0,1,1,916,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631840,'qst_buried_feather',NULL,'','','',0,2916,32,0,1,1,37,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631841,'mok_rent_poison',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631842,'froam_x2_syrup_moknok_x1_sap',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631843,'a Haoaeran egg',NULL,'','','',255,3418,119,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631844,'a Haoaeran egg',NULL,'','','',255,3418,137,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631845,'drom_x1_doors',NULL,'','','',0,7597,56,0,1,1,228,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631846,'dikin_item_3',NULL,'','','',0,7397,31,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631847,'dikin_item_2',NULL,'','','',0,7397,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631848,'dikin_item_1',NULL,'','','',0,7397,31,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631849,'void_storm_fx',NULL,'','','',0,2306,32,0,1,1,0,0,16893,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631850,'a Thulwun Station intelligence report',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631851,'Diseased bone chip collection',NULL,'','','',255,5264,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631852,'a crate labeled \"MacBryne\"',NULL,'','','',0,2685,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631853,'a crate labeled \"MacBryne\"',NULL,'','','',0,3151,16,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631854,'a crate labeled \"MacBryne\"',NULL,'','','',0,3152,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631855,'Grandmaster Jayak Lat''wasr',NULL,'','','',255,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631856,'three pink roses',NULL,'','','',0,7132,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631857,'one white rose',NULL,'','','',0,7149,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631858,'three multi roses',NULL,'','','',0,7126,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631859,'a Haoaeran egg',NULL,'','','',255,3418,115,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631860,'frostfell_entrance',NULL,'','','',0,3165,32,0,1,1,30,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631861,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631862,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631863,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2631864,'Flying Race Beacon 01',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631865,'Flying Race Beacon 01',NULL,'','','',0,15270,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631866,'Flying Race Beacon 02',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631867,'Flying Race Beacon 03',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631868,'Flying Race Beacon 04',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631869,'Flying Race Beacon 05',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631870,'Flying Race Beacon 06',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631871,'Flying Race Beacon 07',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631872,'Flying Race Beacon 08',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631873,'Flying Race Beacon 09',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631874,'Flying Race Beacon 10',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631875,'Flying Race Beacon 11',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631876,'Flying Race Beacon 12',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631877,'Flying Race Beacon 13',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631878,'Flying Race Beacon 14',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631879,'Flying Race Beacon 15',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631880,'Flying Race Beacon 16',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631881,'Flying Race Beacon 17',NULL,'','','',0,15266,32,0,1,1,0,0,23058,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631882,'Flying Race Beacon 18',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631883,'Flying Race Beacon 19',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631884,'Flying Race Beacon 20',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631885,'Flying Race Beacon 21',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631886,'Flying Race Beacon 22',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631887,'Flying Race Beacon 23',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631888,'Flying Race Beacon 24',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631889,'Flying Race Beacon 25',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631890,'Flying Race Beacon 26',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631891,'Flying Race Beacon 27',NULL,'','','',0,15266,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631892,'Flying Race Beacon 28',NULL,'','','',0,15266,32,0,1,1,0,0,23058,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631893,'Flying Race Finish Line',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631894,'Flying Race Finish Line',NULL,'','','',0,15272,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631895,'Mailbox',NULL,'','','',0,7893,32,0,1,1,29,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631896,'flying_race_start_pad',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631897,'rizdin_steamer_1',NULL,'','','',0,7354,32,0,1,1,0,0,0,0,0,0,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631898,'flying_race_teleport_pad',NULL,'','','',0,15380,32,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631899,'Flying Race Score Board',NULL,'','','',0,15259,32,0,1,1,0,0,0,0,0,1,0,0,285,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631900,'Mailbox',NULL,'','','',0,7894,32,0,1,1,29,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631901,'Timorous Teleporter',NULL,'','','',0,7008,32,0,1,1,40,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631902,'A Mysterious Portal',NULL,'','','',0,7008,32,0,1,1,41,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631903,'Flying Race Beacon 01',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631904,'Flying Race Beacon 02',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631905,'Flying Race Beacon 02',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631906,'Flying Race Beacon 03',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631907,'Flying Race Beacon 03',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631908,'Flying Race Beacon 04',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631909,'Flying Race Beacon 04',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631910,'Flying Race Beacon 05',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631911,'Flying Race Beacon 05',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631912,'Flying Race Beacon 06',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631913,'Flying Race Beacon 06',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631914,'Flying Race Beacon 07',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631915,'Flying Race Beacon 07',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631916,'Flying Race Beacon 08',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631917,'Flying Race Beacon 08',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631918,'Flying Race Beacon 09',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631919,'Flying Race Beacon 09',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631920,'Flying Race Beacon 10',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631921,'Flying Race Beacon 10',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631922,'Flying Race Beacon 11',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631923,'Flying Race Beacon 11',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631924,'Flying Race Beacon 12',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631925,'Flying Race Beacon 12',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631926,'Flying Race Beacon 13',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631927,'Flying Race Beacon 13',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631928,'Flying Race Beacon 14',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631929,'Flying Race Beacon 14',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631930,'Flying Race Beacon 15',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631931,'Flying Race Beacon 15',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631932,'Flying Race Beacon 16',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631933,'Flying Race Beacon 16',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631934,'Flying Race Beacon 17',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631935,'Flying Race Beacon 17',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631936,'Flying Race Beacon 18',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631937,'Flying Race Beacon 18',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631938,'Flying Race Beacon 19',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631939,'Flying Race Beacon 19',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631940,'Flying Race Beacon 20',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631941,'Flying Race Beacon 20',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631942,'Flying Race Beacon 21',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631943,'Flying Race Beacon 21',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631944,'Flying Race Beacon 22',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631945,'Flying Race Beacon 22',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631946,'Flying Race Beacon 23',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631947,'Flying Race Beacon 23',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631948,'Flying Race Beacon 24',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631949,'Flying Race Beacon 24',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631950,'Flying Race Beacon 25',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631951,'Flying Race Beacon 25',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631952,'Flying Race Beacon 26',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631953,'Flying Race Beacon 26',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631954,'Flying Race Beacon 27',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631955,'Flying Race Beacon 27',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631956,'Flying Race Beacon 28',NULL,'','','',0,15265,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631957,'Flying Race Beacon 28',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631958,'staticobjects/liveevent/tinkerfest/dpo_gnomerace_ring_greengates',NULL,'','','',0,15273,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631959,'',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631960,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631961,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631962,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,1369,32,0,0,0,689,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631963,'letter_tso',NULL,'','','',0,3497,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631964,'letter_rok',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631965,'Romantic Bench',NULL,'','','',0,49,32,0,1,1,872,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631966,'mariners_bell',NULL,'','','',0,16,32,0,0,0,1033,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631967,'portal_to_darklight_wood',NULL,'','','',0,2306,48,0,0,0,1189,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631968,'A Mysterious Portal',NULL,'','','',0,7008,32,0,1,1,41,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631969,'A Mysterious Portal',NULL,'','','',0,7008,32,0,1,1,41,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631970,'portal_to_butcherblock',NULL,'','','',0,2306,48,0,0,0,1208,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631971,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631972,'school of saltfin',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631973,'school of saltfin',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631975,'curious ore',NULL,'','','',0,3956,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631976,'tortoise egg',NULL,'','','',0,3419,68,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631978,'Trythec roots',NULL,'','','',0,1671,16,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631979,'filament encapsulated monitor',NULL,'','','',0,201,6,0,1,1,2,0,15685,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631980,'Blackshield Orders',NULL,'','','',0,3033,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631981,'school of tiger barbs',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631982,'school of tiger barbs',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631983,'fallen palm',NULL,'','','',0,3925,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631984,'unkempt nest',NULL,'','','',0,4003,30,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631985,'flowering shrubbery',NULL,'','','',0,4075,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631986,'uncovered stone',NULL,'','','',0,3955,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631987,'dense rock',NULL,'','','',0,2265,24,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631988,'Windhowler Reed',NULL,'','','',0,1737,20,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631989,'tangled roots',NULL,'','','',0,1727,36,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631990,'Rot Blossom',NULL,'','','',0,1738,35,0,1,1,2,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631991,'felled lumber',NULL,'','','',0,3931,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631992,'salty garden',NULL,'','','',0,4076,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631993,'salty roots',NULL,'','','',0,1734,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631994,'small nest',NULL,'','','',0,3997,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631995,'dark stone',NULL,'','','',0,1550,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631996,'excavated ore',NULL,'','','',0,3955,6,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631997,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631998,'throm-spiced clams',NULL,'','','',0,6187,32,0,1,1,2,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2631999,'Throm Cap',NULL,'','','',0,4550,46,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2632000,'Enriched Sprouts',NULL,'','','',0,4075,38,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2632001,'salt sprout',NULL,'','','',0,1670,33,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2632002,'unearthed relic',NULL,'','','',0,7397,32,0,1,1,6,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2632003,'excavated debris',NULL,'','','',0,3923,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2632004,'Mokberry Bush',NULL,'','','',0,3909,25,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2632005,'griffon reins',NULL,'','','',0,2244,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640001,'','','','','',255,7933,1600,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640002,'sokokar','','','','',255,7253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640003,'a sokokar tamer','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640004,'','','','','',255,7933,1600,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640005,'a forsaken Cabilisian spirit','','','','',255,2854,63,3,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640006,'a wretched Cabilisian trooper','','','','',255,7638,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640007,'a restless Cabilisian dragoon','','','','',255,7638,60,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640008,'a Cabilisian ruins pillager','','','','',255,103,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640009,'a worn Cabilisian protector','','','','',255,7246,79,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640010,'Ziveth Vraeth','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640011,'a Rilissian sentry','','','','',255,1575,40,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640012,'a Rilissian rhino','','','','',255,7206,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640013,'Trooper Lannis','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640014,'a frontier bighorn','','','','',255,2336,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640015,'a warslik prowler','','','','',255,5685,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640016,'','','','','',9,20020,1600,0,1,1,11,0,27499,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640017,'a damaged cart','','','','',0,2242,33,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640018,'Elna Tsernin','','','','',10,104,32,0,1,1,9,0,17673,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640019,'a harried Teren Defender','','','','',8,136,35,3,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640020,'a Teren Archer','','','','',8,135,34,2,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640021,'a Yha-lei fouler','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640022,'a fallen Teren Defender','','','','',9,134,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640023,'a fallen Yha-lei attacker','','','','',255,7212,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640024,'a Yha-lei marauder','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640025,'a Yha-lei marauder','','','','',255,7186,28,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640026,'an Omen''s Call fisherman','','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640027,'Fauske Kadjers','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640028,'Jessith Malrion','','','','',9,132,31,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640029,'Huweld Vekshire','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640030,'Grulek','','','','',255,7212,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640031,'a Kunarkian tusker','','','','',255,266,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640032,'a Nathsarian fangtooth','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640033,'an omencuda','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640034,'an omensplinter clomper','','','','',255,6280,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640035,'Gnorkle Cracksproket','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640036,'a whirling guster','','','','',255,5634,41,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640037,'an aqua aggressor','','','','',255,8203,57,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640038,'Captain Wellshir','<Officer at Arms of Omen''s Call>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640039,'Cartographer Blanche','','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640040,'Sestina Ral''shir','','','','',3,1588,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640041,'Thalin Trueguard','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640042,'Cavil Restault','','','','',9,132,34,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640043,'Defender Tuakin','','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640044,'an Omen''s Call guard','','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640045,'Frida Fairbairn','<Banker>','','','',0,111,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640046,'Seithennin Attar','<Sworn Protector of Omen''s Call>','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640047,'Scholar Phinea','','','','',8,135,28,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640048,'Goldie Sams','<Omen''s Call>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640049,'Hydiel Lawborne','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640050,'Auleren Faithheart','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640051,'Karik Szizz','','','','',10,104,48,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640052,'Lieutenant Kresic','<Rilissian Historical Affairs>','','','',10,1574,48,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640053,'Ik''zen Xen''zir','<Bathezid''s Watch Spy>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640054,'Alleya Highlove','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640055,'Celeria Glandowin','','','','',9,132,32,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640056,'a Nurgan scavenger','','','','',255,7324,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640057,'an omenclaw pincer','','','','',255,211,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640058,'an exiled Rilissian bandit','','','','',255,103,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640059,'Silssa Kuinn','<Rilissian Emissary>','','','',10,104,51,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640060,'Burkmaiir','<Elite Aviator Raschaud''s Personal Mount>','','','',255,7253,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640061,'Raschaud Tuthosols','<Rilissian Guard Elite Aviator>','','','',255,1575,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640062,'Master Makoto Shoda','<Brother of Peace>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640063,'a sabretooth scuffler','','','','',255,5249,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640064,'a Nurgan scout','','','','',255,7324,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640065,'an exiled bandit aggressor','','','','',255,1573,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640066,'a Nathsar stonebeak','','','','',255,7235,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640067,'Valraen the Betrayer','','','','',8,136,41,2,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640068,'Lieutenant Velssris','','','','',255,1575,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640069,'a crystal whisperer','','','','',255,7258,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640070,'Lieutenant Galrizz','','','','',255,1575,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640071,'Observer Gilx','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640072,'an icy spirit','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640073,'an elite flurryburst','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640074,'an invading nova-vicar','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640075,'an invading shardfist','<The Order of Rime>','','','',13,59,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640076,'an invading sleetsaber','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640077,'an invading shardhammer','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640078,'Kasekn','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640079,'an invading flurryburst','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640080,'a Yha-lei explorer','','','','',255,7212,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640081,'a Rilissian trader','','','','',255,1573,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640082,'an elite nova-vicar','<The Order of Rime>','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640083,'an elite shardhammer','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640084,'Apprentice Trainer Hasika','','','','',255,104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640085,'a greater Nathsarian croc','','','','',255,4745,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640086,'Lonekn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640087,'a Yha-lei hydromancer','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640088,'Kartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640089,'a Bathezid outrider','','','','',255,7157,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640090,'a Rilissian Mender','<Mender>','','','',255,1575,31,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2640091,'Loreseeker Xeksin','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640092,'Span Captain Zilxx','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640093,'Merchant Hesskin','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640094,'Lartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640095,'Zosarer','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640096,'Shine','<The Omenwalker>','','','',255,6280,96,0,1,1,11,0,1862,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640097,'Zastik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640098,'a Yha-lei mindbender','','','','',255,7212,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640099,'Gabobab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640100,'Jaranab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640101,'Joneker','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640102,'a docile water elemental','','','','',255,195,71,7,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640103,'Gonantik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640104,'a hypnoglob','','','','',255,195,16,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640105,'Threeko','','','','',255,7394,44,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640106,'Labeker','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640107,'a docile water elemental','','','','',255,195,55,7,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640108,'Zoseker','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640109,'Lobekab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640110,'Jiber','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640111,'Gantik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640112,'Kosartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640113,'Zonarab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640114,'a domineering stonebeak','','','','',255,7235,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640115,'Outrider Bewin','','','','',255,7157,48,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640116,'Sstven Vly','<Fence>','','','',255,1575,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640117,'Pen Keeper Valjik','','','','',255,1572,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640118,'a Krupp slave','','','','',255,7395,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640119,'Revliss Dru''shyv','','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640120,'Researcher Teksi','','','','',255,1573,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640121,'Sethis Kai','','','','',10,103,19,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640122,'Trader Desthir','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640123,'a Nathsarian frog-biter','','','','',255,7217,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640124,'Junkers','<The Nurgan Collector>','','','',255,7324,92,0,1,1,11,0,2083,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640125,'a Nathsarian frog-biter','','','','',255,7217,47,3,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640126,'Vartik','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640127,'a captured sarnak conscript','','','','',255,7157,48,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640128,'Trooper Vilzix','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640129,'an elite shardfist','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640130,'an elite sleetsaber','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640131,'a Rilissian advancer','','','','',255,104,48,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640132,'Gabeker','An elite flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640133,'Gabartik','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640134,'Jenartik','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640135,'Karekab','An elite flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640136,'an iksar adherent','','','','',255,1575,40,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640137,'a cabalist apprentice','','','','',255,1575,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640138,'Outrider Clazkaer','','','','',255,7157,46,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640139,'Outrider Vi''zek','<Bathezid''s Chief Scout>','','','',255,7356,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640140,'Outrider Aerkun','','','','',255,7157,45,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640141,'Gaber','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640142,'Vekn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640143,'Xoseker','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640144,'Zabarer','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640145,'Gekn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640146,'Xabanab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640147,'Gann','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640148,'Kosarn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640149,'Laraner','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640150,'a Bathezid''s Watch swordbearer','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640151,'a Bathezid''s Watch revealer','','','','',255,7157,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640152,'Outrider Wyrlyk','','','','',255,7157,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640153,'a praetorian tracker','<The Riders of Ik>','','','',255,1574,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640154,'Captain Sivisk','<The Riders of Ik>','','','',255,1574,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640155,'Trooper Silviss','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640156,'Assistant Vihl','','','','',255,1573,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640157,'Twofang','<Terror of Rile''s Ridge>','','','',255,5249,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640158,'a swampent','','','','',255,7362,145,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640159,'Shorty','','','','',4,7395,16,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640160,'Jerome','','','','',4,7395,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640161,'a dragonhawk','','','','',255,2389,79,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640162,'Thrasunre','<The Fanged Horror>','','','',255,7253,96,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640163,'a carrion recluse','','','','',255,7252,127,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640164,'a wild sokokar','','','','',255,7253,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640165,'a no-hope needletail','','','','',255,7185,28,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640166,'Deathbloom','<The Never-Full>','','','',255,7217,121,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640167,'a swampent','','','','',255,7362,157,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640168,'a Nathsarian croc','','','','',255,4745,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640169,'Barkrich Oakleaf','<Protector of the Swamp>','','','',255,7362,112,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640170,'a Krupp knight','','','','',255,7648,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640171,'a Krupp shaman','','','','',255,7648,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640172,'Scales','<Nathsarian Leatherback>','','','',255,4745,96,0,1,1,11,0,14226,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640173,'a swampent','','','','',255,7362,131,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640174,'a Rilissian cabalist','','','','',255,1573,48,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640175,'a horribly diseased iksar','','','','',255,1575,22,0,1,1,0,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640176,'a fatally poisoned iksar','','','','',255,103,22,0,1,1,0,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640177,'a Bathezid subverter','','','','',255,7157,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640178,'a freed Krupp prisoner','','','','',255,7395,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640179,'Stonebranch','<The Petrified Giant>','','','',255,7362,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640180,'a spiritwracked sokokar','','','','',255,7253,57,0,1,1,11,0,3708,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640181,'a Krupp liberator','','','','',255,7648,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640182,'a Krupp liberator','','','','',255,7395,32,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640183,'a Krupp liberation leader','','','','',255,7395,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640184,'a Krupp liberator','','','','',255,7395,29,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640185,'a Krupp liberation leader','','','','',255,7648,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640186,'Ubdub the Scribe','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640187,'a Rilissian slaver','','','','',255,1575,38,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640188,'Keeper Slarn','','','','',255,1574,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640189,'a feasting frog-biter','','','','',255,7217,96,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640190,'a desiccated sokokar','','','','',255,7253,41,1,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640191,'a lifeless Nathsarian croc','','','','',255,4745,50,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640192,'Emancipator Kruppmet','','','','',255,7648,53,0,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640193,'Olieop','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640194,'Grimribbit','<The Fallen>','','','',255,7648,64,0,1,1,11,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640195,'a young wild sokokar','','','','',255,7253,26,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640196,'a crystal tender','','','','',255,7258,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640197,'Klok Xe''thas','<Riliss Rhino Vendor>','','','',255,1575,41,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640198,'Sparkle','<The Tended Crystal>','','','',255,6280,112,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640199,'Xonarer','Lieutenant Sarzass''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640200,'Lieutenant Sarzass','','','','',255,103,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640201,'A Rilissian bodyguard','','','','',255,1574,46,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640202,'S''neuchi','','','','',255,1575,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640203,'Crystalis','<The Crystal Gardener>','','','',255,7257,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640204,'Natoss the Seen','','','','',255,1575,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640205,'a Rilissian city guard','','','','',255,1575,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640206,'Dominus Rile','<The Conspirator of Ik>','','','',255,1575,64,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640207,'Proctor Talnisk','<Representative of Dominus Rile>','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640208,'Assistant Zhary','<Riliss Supply Assistant>','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640209,'Preparations Officer Zekilius','<Work Orders>','','','',255,1574,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640210,'High Klok Zilliss','','','','',255,1575,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640211,'Wholesaler Dressik','<Fuels for Crafting>','','','',255,1574,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640212,'Trader Silnn','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640213,'a drolvarg mercenary','','','','',255,7425,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640214,'Consol Klinsen','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640215,'Advisor Slisstel','','','','',255,103,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640216,'Trooper Hallisk','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640217,'Arbi the Mountainlord','','','','',255,7258,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640218,'a caravan escort','','','','',255,104,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640219,'Trooper Rellsin','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640220,'Lieutenant Xelsix','','','','',255,103,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640221,'Trooper Zathiid','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640222,'Crusader Jelexx','','','','',255,1574,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640223,'a Sarnshak sentry','','','','',255,7157,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640224,'Trainer Sulrig','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640225,'a Rilissian sokokar cavalier','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640226,'Klok Zlazx','<Riliss Quartermaster>','','','',255,1575,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640227,'Klok Tulren','','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640228,'Klok Kethiss','<Munitions Specialist>','','','',255,1575,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640229,'Klok Ilesia','','','','',255,104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640230,'Klok Vergath','<Riliss Mender>','','','',255,1575,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640231,'Trooper Kresix','','','','',255,1575,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640232,'Provisioner Vessk','<Provisioner>','','','',255,104,44,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640233,'Merchant Vix','','','','',255,103,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640234,'Sliza Xarezia','','','','',255,1573,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640235,'a Rilissian necromagus','','','','',255,103,40,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640236,'Lieutenant Valssed','','','','',255,1575,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640237,'a Rilissian elite guard','','','','',255,103,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640238,'Gilriss the Handler','','','','',255,1575,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640239,'a Rilissian elite trainee','','','','',255,103,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640240,'Drill Master Nessin','','','','',255,1574,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640241,'Lord Vi''torius','<Leader of the Rilissian Guard>','','','',255,1574,62,0,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640242,'Vessel Jarln','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640243,'Merchant Paxi','','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640244,'Trooper Sakred','','','','',255,1574,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640245,'Crusader Tastirr','','','','',255,1574,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640246,'Trooper Daxxin','','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640247,'Moonfang','<Prowler in the Dark>','','','',255,5685,80,0,1,1,11,0,1799,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640248,'a Sarnshak ranger','','','','',255,7157,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640249,'a Sarnshak arcanaught','','','','',255,7356,60,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640250,'Chilkrai D''Vourk','<Leader of the Sarnshak>','','','',255,7157,56,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640251,'Grezsh','<The Blackscale>','','','',255,1575,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640252,'The Dark Emissary','<Herald of the Rending>','','','',255,7638,80,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640253,'Remnant of Protectis','','','','',255,7465,112,0,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640254,'Protectis','<The Last Line>','','','',255,7465,144,0,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640255,'Seerbassador Chylik','','','','',255,7296,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640256,'a Drogan thaumacogist','','','','',255,7296,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640257,'Fizzles Fixitmajig','<Exiles of Droga Mender>','','','',255,7296,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640258,'a Drogan gearzerker','','','','',255,7296,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640259,'Captenant Liusis','','','','',255,7296,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640260,'Fixademic Gughlis','','','','',255,7296,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640261,'Tinkerist Glazid','','','','',255,7296,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640262,'Tinkerist Nalzie','','','','',255,7296,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640263,'Threep Woodguy','<Exiles of Droga Quartermaster>','','','',255,7324,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640264,'Stomps','','','','',255,7639,41,0,1,1,9,0,0,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640265,'a Nurgan mineguard','','','','',255,7311,52,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640266,'a Nurgan tinkermasher','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640267,'a Nurgan metalshaper','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640268,'Grethok','','','','',255,7639,45,1,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640269,'Lard','','','','',255,7639,42,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640270,'Quartermerchant Teerkin','','','','',255,7296,67,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640271,'Extermadier Blodd','','','','',255,7311,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640272,'Tiny','','','','',255,7639,38,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640273,'a Nurgan tentwatcher','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640274,'a Nurgan minedigger','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640275,'a Nurgan overseer','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640276,'a Kromdek warmonger','','','','',255,7639,41,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640277,'a Nurgan minegineer','','','','',255,7296,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640278,'a broken Nurgan machine','','','','',255,6286,60,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640279,'Wind-up','<The Nurgan Contraption>','','','',255,4711,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640280,'a Nurgan deathguard','','','','',255,7311,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640281,'Grumbles','','','','',255,7639,41,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640282,'Exploragist Zokil','','','','',255,7296,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640283,'a Kromdek stonegatherer','','','','',255,7639,38,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640284,'a Kromdek stonelord','','','','',255,7639,38,2,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640285,'Exile Grislihn','','','','',255,7157,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640286,'a Sarnshak scalecleaver','','','','',255,7368,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640287,'a Kromdek lumberjack','','','','',255,7639,31,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640288,'a Kromdek warbear','','','','',255,198,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640289,'Arcanaught Ska''tu','<Sarnshak Arcane Master>','','','',255,7356,80,0,1,1,11,0,3679,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640290,'a Bellywhumper collector','','','','',255,7394,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640291,'poisonous spider','','','','',255,205,6,0,1,1,640,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640292,'Blugie','<Son of Hammin>','','','',255,7636,57,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640293,'Hammin','','','','',255,7636,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640294,'a boneclaw pincher','','','','',255,250,67,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640295,'a Bellywhumper cursecleaner','','','','',255,7636,64,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640296,'a Bellywhumper dirtsniffer','','','','',255,7394,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640297,'a Bellywhumper battlewhiffer','','','','',255,7637,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640298,'a scaled hunter','','','','',255,7323,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640299,'Pulnil the Haggler','','','','',255,7394,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640300,'a Bonedigger pathfinder','','','','',255,7637,67,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640301,'Collector Gebblie','','','','',255,7636,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640302,'Evils Grumblepaws','<Collector of the Shinies>','','','',255,7394,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640303,'a Bonedigger harvester','','','','',255,7394,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640304,'a Bonedigger warcollector','','','','',255,7637,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640305,'Bone','<Marauder of the Wastes>','','','',255,7321,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640306,'a Bonedigger footpeddler','','','','',255,7394,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640307,'a dragonbone larva','','','','',255,7361,16,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640308,'a dragonbone scarab','','','','',255,208,191,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640309,'a dragonmage spellslinger','','','','',255,7638,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640310,'an ageless dragonslayer','','','','',255,7638,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640311,'a Bonedigger baublefinder','','','','',255,7636,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640312,'Commander Drisk','<Commander of Ganak''s Forces>','','','',255,7638,70,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640313,'Snouts','','','','',255,7637,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640314,'Tymon Smalltooth','','','','',255,7637,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640315,'Beezner the Short','','','','',255,7637,57,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640316,'a bonesplint spitter','','','','',255,5020,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640317,'a bonesplint piercer','','','','',255,5020,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640318,'a bonesplint protector','','','','',255,5020,112,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640319,'Snuffles Skunkstripe','<Bellywhumper Quartermaster>','','','',255,7636,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640320,'Gribs McDibbles','','','','',255,7637,60,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640321,'Gruffles Furrybushels','<Bellywhumper Mender>','','','',255,7636,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640322,'','','','','',255,7637,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640323,'Dromo the Agonizer','','','','',255,7236,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640324,'a parched cactulent','','','','',255,7255,52,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640325,'a cursed cactulent','','','','',255,7255,49,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640326,'a Bonedigger burrow maker','','','','',255,7394,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640327,'a shambling skeleton','','','','',9,7638,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640328,'Kaliis P''Radaa','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640329,'a cursed cactulent','','','','',255,7255,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640330,'a timorous tileshell','','','','',255,218,60,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640331,'a timorous octentacle','','','','',255,210,61,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640332,'Goredeth Maulhammer','<Protector of Rime>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640333,'Kreegar Krikneck','<Protector of Rime>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640334,'Tert Turganpuncher','<Turgan Wrangler>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640335,'Brendegor Bitelimb','<Protector of Rime>','','','',255,10753,48,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640336,'Kraytoc Killingfrost','<Master of Rime>','','','',255,10830,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640337,'a black rider','<The Order of Rime>','','','',0,1471,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640338,'a converted Rilissian','<The Order of Rime>','','','',255,103,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640339,'a defiant Rilissian','','','','',255,103,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640340,'a pointnose sailfin','','','','',255,241,60,3,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640341,'The Herald of Rime','<The Order of Rime>','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640342,'a timorous whitefin','','','','',255,242,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640343,'Crowhood the Olden','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640344,'Guagua','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640345,'a shardhammer sentinel','<The Order of Rime>','','','',0,1471,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640346,'Geldryy Alvek','<Order of Rime>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640347,'Rantiri Skelbre','<Order of Rime>','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640348,'Grand Restorer Lingwal','<Sage Commander>','','','',2,1481,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640349,'Bragek Joll','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640350,'Melimy Yolta','<Weapons Merchant>','','','',6,79,38,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640351,'Rorthav Kilka','<Armor Merchant>','','','',13,53,38,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640352,'Klendan Makeshift','<Order of Rime Blacksmith>','','','',0,112,38,0,1,1,12,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640353,'Xaser','An invading flurryburst''s inferno golem','','','',255,9657,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640354,'Zibarab','An invading flurryburst''s inferno golem','','','',255,9657,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640355,'a Rime warbird','','','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640356,'Setwa Rajsath','<Rime Griffin Wrangler>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640357,'a boneclaw destroyer','','','','',255,251,80,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640358,'Gregor Thunderfist','<Kromzek Warlord>','','','',255,7639,48,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640359,'Thunderbelly','<Old Hungry Giant>','','','',255,3813,64,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640360,'Thazolu','<The Destroyer>','','','',255,7236,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640361,'a parched cactulent','','','','',255,7255,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640362,'The Tangrin','','','','',255,7043,115,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640363,'a Nurgan mineguard','','','','',255,7311,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640364,'a Nurgan captor','','','','',255,7311,66,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640365,'a Nurgan deathguard','','','','',255,7311,60,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640366,'Captured Drogan Witchdoctor','','','','',255,7296,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640367,'a sleepy Nurgan minedigger','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640368,'Shamachanic Grizzik','','','','',255,7296,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640369,'Bisbing the Fuzzy','<The Nurgan Minelord>','','','',255,7296,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640370,'Zartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640371,'Jabanab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640372,'Labekn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640373,'Gabarer','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640374,'Lasn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640375,'Jabaner','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640376,'Gasobtik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640377,'Keneker','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640378,'Jibaner','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640379,'Lontik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640380,'Xebn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640381,'Kober','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640382,'Vartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640383,'Liber','Murgurgl''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640384,'Murgurgl','<The Yha-lei Explorer>','','','',255,7186,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640385,'Gararab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640386,'Purplequill','<The Stonebeak Flock Patriarch>','','','',255,7235,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640387,'Josn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640388,'Xonarer','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640389,'Xonn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640390,'Genann','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640391,'Larann','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640392,'Vosn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640393,'Gartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640394,'Zosaner','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640395,'Gabarn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640396,'Jebaner','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640397,'Gobartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640398,'Jaber','Murgurgl''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640399,'Gasekn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640400,'Jabarn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640401,'','','','','',255,7933,1600,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640402,'','','','','',255,7933,1600,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640403,'',NULL,'','','',0,49,32,0,1,1,641,0,0,0,0,0,0,0,292,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640404,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640405,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640406,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640407,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,660,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640408,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640409,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640410,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640411,'',NULL,'','','',0,49,32,0,1,1,641,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640412,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,563,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640413,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,644,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640414,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,634,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640415,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,621,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640416,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,629,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640417,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,726,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640418,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,611,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640419,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,655,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640420,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640421,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,560,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640422,'a crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640423,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640424,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640425,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640426,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640427,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640428,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640429,'barrel_small_light',NULL,'','','',0,1909,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640430,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640431,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640432,'weaponrack01',NULL,'','','',0,4455,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640433,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640434,'qst_unseenhand_firewood_2',NULL,'','','',0,1396,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640435,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640436,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640437,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640438,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640439,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640440,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640441,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640442,'goblin_brazier01',NULL,'','','',0,1547,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640443,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,17,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640444,'weaponrack03',NULL,'','','',0,4651,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640445,'bone collection',NULL,'','','',0,2368,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640446,'Kor-sha sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640447,'iksar skull 02',NULL,'','','',0,2997,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640448,'qst_tablet_fragment',NULL,'','','',0,2265,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640449,'earthquake_tremble',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640450,'Ruins of Cabilis sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640451,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640452,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640453,'goblin_cage01',NULL,'','','',0,1528,21,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640454,'a wooden cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640455,'qst_lost_coin',NULL,'','','',0,2916,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640456,'a jar of peanutbutter cookies',NULL,'','','',0,2666,9,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640457,'a tasty sandwich!',NULL,'','','',0,3359,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640458,'a bowl of apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640459,'a blueberry pie',NULL,'','','',0,3388,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640460,'burynai_mastery',NULL,'','','',0,2658,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640461,'Fishing Village sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640462,'qst_fenwheat_stalk',NULL,'','','',0,1737,32,0,1,1,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640463,'Sathir''s Span sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640464,'qst_veksar_fragment',NULL,'','','',0,7397,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640465,'yha-lei_mastery',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,1,3,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640466,'qst_shatterweed_stem',NULL,'','','',0,4075,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640467,'qst_spotted_budling',NULL,'','','',0,4550,64,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640468,'qst_warding_brazier',NULL,'','','',0,4926,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640469,'Kylong Plains sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640470,'shrine torch',NULL,'','','',0,4912,38,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640471,'stone mucus',NULL,'','','',0,299,32,0,1,1,0,0,4141,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640472,'Eastern Pens of Riliss sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640473,'caster',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640474,'qst_swamp_aconite',NULL,'','','',0,48,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640475,'qst_weapon_rack',NULL,'','','',0,4614,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640476,'Riliss sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640477,'qst_brute_poster',NULL,'','','',0,6657,32,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640478,'qst_overseer_poster',NULL,'','','',0,6657,32,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640479,'Tusker post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640480,'Drogan Exiles sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640481,'qst_goblin_poster',NULL,'','','',0,6657,32,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640482,'qst_discarded_part',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640483,'qst_nurgan_lockchest',NULL,'','','',0,1934,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640484,'a dragonbone stone',NULL,'','','',255,3914,32,0,1,1,0,0,17275,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640485,'shinies_green_burnyai01',NULL,'','','',0,11002,30,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640486,'',NULL,'','','',0,11053,11,0,1,1,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640487,'bucket',NULL,'','','',0,1941,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640488,'Narf the Wise',NULL,'','','',255,7394,70,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640489,'Bigdigger Ruggle',NULL,'','','',255,7394,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640490,'qst_despair_crystal',NULL,'','','',0,4109,64,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640491,'Bellywhumper Burrows sokokar post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640492,'Elder Shaman Klumm',NULL,'','','',255,7636,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640493,'Elder Shaman Tibler',NULL,'','','',255,7636,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640494,'Pudge the Brave',NULL,'','','',255,7637,67,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640495,'Chief Llump the Wise',NULL,'','','',255,7636,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640496,'shinies_aqua_burnyai01',NULL,'','','',0,11001,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640497,'shinies_red_burnyai01',NULL,'','','',0,11004,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640498,'Dragon''s Rest Shallows Sokokar Post',NULL,'','','',0,7625,32,0,1,1,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640499,'Granitegrip''s bowl',NULL,'','','',0,3103,48,0,1,1,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640500,'qst_wonderous_machine',NULL,'','','',0,3252,64,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640501,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2640502,'Atrebe''s Laboratory: The Fabled City of Kor-sha',NULL,'','','',0,49,32,0,0,0,230,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640503,'',NULL,'','','',0,49,32,0,1,1,231,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640504,'Mailbox',NULL,'','','',0,7926,32,0,1,1,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640506,'tumm tumm pot',NULL,'','','',0,4436,83,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640507,'door_zone_to_veksar',NULL,'','','',0,49,32,0,0,0,642,0,0,0,0,1,0,0,83,0,0,0,0,0,33008,0,0,0,0,0,0,0,0,0,0,0),
(2640508,'provisions_cache',NULL,'','','',0,7946,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640509,'an iksar wanted notice',NULL,'','','',0,6657,43,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640510,'coin case torsis ton',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640511,'a bowl of spoiled food',NULL,'','','',0,6709,22,0,1,1,0,0,14023,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640512,'a makeshift shrine',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640513,'tradeskill_work_order_table',NULL,'','','',0,7923,16,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640514,'coin case terraz ton',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640515,'Nu''roga',NULL,'','','',0,49,32,0,0,0,643,0,0,0,0,1,0,0,388,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640516,'coin case veksar gran',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640517,'coin case royal crown of dalnir',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640518,'coin case ik gran',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640519,'zone_to_kurns_tower',NULL,'','','',0,49,32,0,0,0,644,0,0,0,0,1,0,0,429,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640520,'Order of Rime weapon rack',NULL,'','','',0,10979,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640521,'widget_qst_rime_venomcask',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640522,'widget_qst_rime_bonecrate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640523,'',NULL,'','','',0,11103,128,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640524,'coin case danak gran',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640525,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640526,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640527,'Frontier geode',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640528,'Nathsarian roots',NULL,'','','',0,6907,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640529,'a loose page',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640530,'a school of churnfish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,0,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640531,'a Teren fishing pole',NULL,'','','',0,5745,32,0,1,1,2,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640532,'Omenfish school',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640533,'a shuffled page',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640534,'Cabilisian lode',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640535,'Nathsarian shrubbery',NULL,'','','',0,3908,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640536,'Warslik timber',NULL,'','','',0,6901,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640537,'field burrow',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640538,'tusker tack',NULL,'','','',0,3577,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640539,'branch of firebourne cedar',NULL,'','','',0,6901,32,0,1,1,8,0,3120,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640540,'a polished pike blade',NULL,'','','',0,5991,32,0,1,1,2,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640541,'a goblin workbench',NULL,'','','',0,2417,32,0,1,1,2,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640542,'deposit of Pi''ter Sahlt',NULL,'','','',0,6902,64,0,1,1,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640543,'a rocksnake',NULL,'','','',0,213,48,0,1,1,2,0,4141,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640544,'a boneshroom',NULL,'','','',0,1523,9,0,1,1,2,0,1566,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640545,'sokokar','','','','',255,7253,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640546,'a sokokar tamer','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640547,'a forsaken Cabilisian spirit','','','','',255,2854,63,3,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640548,'a wretched Cabilisian trooper','','','','',255,7638,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640549,'a restless Cabilisian dragoon','','','','',255,7638,60,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640550,'a Cabilisian ruins pillager','','','','',255,103,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640551,'a worn Cabilisian protector','','','','',255,7246,79,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640552,'Ziveth Vraeth','','','','',255,1574,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640553,'a Rilissian sentry','','','','',255,1575,40,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640554,'a Rilissian rhino','','','','',255,7206,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640555,'a frontier bighorn','','','','',255,2336,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640556,'a warslik prowler','','','','',255,5685,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640557,'a damaged cart','','','','',0,2242,33,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640558,'a Yha-lei fouler','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640559,'a Yha-lei marauder','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640560,'an Omen''s Call fisherman','','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640561,'Grulek','','','','',255,7212,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640562,'a Kunarkian tusker','','','','',255,266,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640563,'a Nathsarian fangtooth','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640564,'an omencuda','','','','',255,194,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640565,'an omensplinter clomper','','','','',255,6280,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640566,'Gnorkle Cracksproket','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640567,'a whirling guster','','','','',255,5634,41,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640568,'an aqua aggressor','','','','',255,8203,57,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640569,'Cartographer Blanche','','','','',9,132,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640570,'Defender Tuakin','','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640571,'an Omen''s Call guard','','','','',9,134,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640572,'Frida Fairbairn','<Banker>','','','',0,111,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640573,'Seithennin Attar','<Sworn Protector of Omen''s Call>','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640574,'Goldie Sams','<Omen''s Call>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640575,'a Nurgan scavenger','','','','',255,7324,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640576,'an omenclaw pincer','','','','',255,211,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640577,'an exiled Rilissian bandit','','','','',255,103,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640578,'Raschaud Tuthosols','<Rilissian Guard Elite Aviator>','','','',255,1575,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640579,'Master Makoto Shoda','<Brother of Peace>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640580,'a sabretooth scuffler','','','','',255,5249,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640581,'a Nurgan scout','','','','',255,7324,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640582,'an exiled bandit aggressor','','','','',255,1573,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640583,'a Nathsar stonebeak','','','','',255,7235,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640584,'a crystal whisperer','','','','',255,7258,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640585,'an icy spirit','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640586,'an elite flurryburst','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640587,'an invading nova-vicar','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640588,'an invading shardfist','<The Order of Rime>','','','',13,59,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640589,'an invading sleetsaber','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640590,'an invading shardhammer','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640591,'an invading flurryburst','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640592,'a Yha-lei explorer','','','','',255,7212,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640593,'a Rilissian trader','','','','',255,1573,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640594,'an elite nova-vicar','<The Order of Rime>','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640595,'an elite shardhammer','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640596,'a greater Nathsarian croc','','','','',255,4745,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640597,'a Yha-lei hydromancer','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640598,'a Bathezid outrider','','','','',255,7157,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640599,'a Rilissian Mender','<Mender>','','','',255,1575,30,1,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2640600,'Shine','<The Omenwalker>','','','',255,6280,96,0,1,1,11,0,1862,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640601,'a Yha-lei mindbender','','','','',255,7212,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640602,'a docile water elemental','','','','',255,195,71,8,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640603,'a hypnoglob','','','','',255,195,16,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640604,'Threeko','','','','',255,7394,44,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640605,'a docile water elemental','','','','',255,195,55,7,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640606,'a domineering stonebeak','','','','',255,7235,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640607,'Sstven Vly','<Fence>','','','',255,1575,33,1,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640608,'a Krupp slave','','','','',255,7395,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640609,'Researcher Teksi','','','','',255,1573,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640610,'Sethis Kai','','','','',10,103,19,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640611,'a Nathsarian frog-biter','','','','',255,7217,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640612,'Junkers','<The Nurgan Collector>','','','',255,7324,92,0,1,1,11,0,2083,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640613,'a Nathsarian frog-biter','','','','',255,7217,47,3,0,0,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640614,'a captured sarnak conscript','','','','',255,7157,48,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640615,'an elite shardfist','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640616,'an elite sleetsaber','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640617,'a Rilissian advancer','','','','',255,104,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640618,'Outrider Vi''zek','<Bathezid''s Chief Scout>','','','',255,7356,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640619,'a Bathezid''s Watch swordbearer','','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640620,'a Bathezid''s Watch revealer','','','','',255,7157,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640621,'a praetorian tracker','<The Riders of Ik>','','','',255,1574,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640622,'Captain Sivisk','<The Riders of Ik>','','','',255,1574,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640623,'a swampent','','','','',255,7362,145,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640624,'Shorty','','','','',4,7395,16,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640625,'Jerome','','','','',4,7395,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640626,'a dragonhawk','','','','',255,2389,79,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640627,'Thrasunre','<The Fanged Horror>','','','',255,7253,96,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640628,'a carrion recluse','','','','',255,7252,127,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640629,'a wild sokokar','','','','',255,7253,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640630,'a no-hope needletail','','','','',255,7185,28,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640631,'Deathbloom','<The Never-Full>','','','',255,7217,121,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640632,'a swampent','','','','',255,7362,157,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640633,'a Nathsarian croc','','','','',255,4745,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640634,'Barkrich Oakleaf','<Protector of the Swamp>','','','',255,7362,112,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640635,'a Krupp knight','','','','',255,7648,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640636,'a Krupp shaman','','','','',255,7648,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640637,'Scales','<Nathsarian Leatherback>','','','',255,4745,96,0,1,1,11,0,14226,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640638,'a swampent','','','','',255,7362,132,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640639,'a Rilissian cabalist','','','','',255,1573,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640640,'a horribly diseased iksar','','','','',255,1575,22,0,0,0,0,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640641,'a fatally poisoned iksar','','','','',255,103,22,0,0,0,0,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640642,'a Bathezid subverter','','','','',255,7157,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640643,'a freed Krupp prisoner','','','','',255,7395,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640644,'a Krupp liberator','','','','',255,7648,30,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640645,'a Krupp liberator','','','','',255,7395,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640646,'a Krupp liberation leader','','','','',255,7395,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640647,'a Krupp liberator','','','','',255,7395,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640648,'a Krupp liberation leader','','','','',255,7648,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640649,'a Rilissian slaver','','','','',255,1575,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640650,'a feasting frog-biter','','','','',255,7217,96,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640651,'a desiccated sokokar','','','','',255,7253,41,1,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640652,'a lifeless Nathsarian croc','','','','',255,4745,51,1,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640653,'Emancipator Kruppmet','','','','',255,7648,50,2,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640654,'Olieop','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640655,'Grimribbit','<The Fallen>','','','',255,7648,64,0,1,1,11,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640656,'a young wild sokokar','','','','',255,7253,25,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640657,'a crystal tender','','','','',255,7258,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640658,'Klok Xe''thas','<Riliss Rhino Vendor>','','','',255,1575,41,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640659,'Sparkle','<The Tended Crystal>','','','',255,6280,112,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640660,'A Rilissian bodyguard','','','','',255,1574,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640661,'Crystalis','<The Crystal Gardener>','','','',255,7257,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640662,'Natoss the Seen','','','','',255,1575,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640663,'a Rilissian city guard','','','','',255,1575,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640664,'Dominus Rile','<The Conspirator of Ik>','','','',255,1575,64,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640665,'Assistant Zhary','<Riliss Supply Assistant>','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640666,'Preparations Officer Zekilius','<Work Orders>','','','',255,1574,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640667,'Wholesaler Dressik','<Fuels for Crafting>','','','',255,1574,38,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640668,'a drolvarg mercenary','','','','',255,7425,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640669,'a caravan escort','','','','',255,104,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640670,'a Sarnshak sentry','','','','',255,7157,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640671,'a Rilissian sokokar cavalier','','','','',255,103,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640672,'Klok Zlazx','<Riliss Quartermaster>','','','',255,1575,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640673,'Klok Kethiss','<Munitions Specialist>','','','',255,1575,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640674,'Klok Vergath','<Riliss Mender>','','','',255,1575,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640675,'Provisioner Vessk','<Provisioner>','','','',255,104,44,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640676,'Merchant Vix','','','','',255,103,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640677,'a Rilissian necromagus','','','','',255,103,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640678,'a Rilissian elite guard','','','','',255,103,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640679,'a Rilissian elite trainee','','','','',255,103,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640680,'Lord Vi''torius','<Leader of the Rilissian Guard>','','','',255,1574,61,0,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640681,'Merchant Paxi','','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640682,'Moonfang','<Prowler in the Dark>','','','',255,5685,80,0,1,1,11,0,1799,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640683,'a Sarnshak ranger','','','','',255,7157,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640684,'a Sarnshak arcanaught','','','','',255,7356,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640685,'Grezsh','<The Blackscale>','','','',255,1575,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640686,'a Drogan thaumacogist','','','','',255,7296,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640687,'Fizzles Fixitmajig','<Exiles of Droga Mender>','','','',255,7296,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640688,'a Drogan gearzerker','','','','',255,7296,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640689,'Threep Woodguy','<Exiles of Droga Quartermaster>','','','',255,7324,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640690,'Stomps','','','','',255,7639,40,1,1,1,9,0,0,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640691,'a Nurgan mineguard','','','','',255,7311,52,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640692,'a Nurgan tinkermasher','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640693,'a Nurgan metalshaper','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640694,'Grethok','','','','',255,7639,45,1,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640695,'Lard','','','','',255,7639,43,1,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640696,'Tiny','','','','',255,7639,41,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640697,'a Nurgan tentwatcher','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640698,'a Nurgan minedigger','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640699,'a Nurgan overseer','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640700,'a Kromdek warmonger','','','','',255,7639,41,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640701,'a Nurgan minegineer','','','','',255,7296,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640702,'a broken Nurgan machine','','','','',255,6286,60,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640703,'a Nurgan deathguard','','','','',255,7311,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640704,'Grumbles','','','','',255,7639,41,1,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640705,'a Kromdek stonegatherer','','','','',255,7639,38,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640706,'a Kromdek stonelord','','','','',255,7639,38,2,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640707,'a Sarnshak scalecleaver','','','','',255,7368,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640708,'a Kromdek lumberjack','','','','',255,7639,31,3,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640709,'a Kromdek warbear','','','','',255,198,70,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640710,'Arcanaught Ska''tu','<Sarnshak Arcane Master>','','','',255,7356,80,0,1,1,11,0,3679,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640711,'a Bellywhumper collector','','','','',255,7394,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640712,'poisonous spider','','','','',255,205,6,0,1,1,640,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640713,'a boneclaw pincher','','','','',255,250,67,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640714,'a Bellywhumper cursecleaner','','','','',255,7636,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640715,'a Bellywhumper dirtsniffer','','','','',255,7394,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640716,'a Bellywhumper battlewhiffer','','','','',255,7637,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640717,'a scaled hunter','','','','',255,7323,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640718,'a Bonedigger pathfinder','','','','',255,7637,67,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640719,'Evils Grumblepaws','<Collector of the Shinies>','','','',255,7394,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640720,'a Bonedigger harvester','','','','',255,7394,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640721,'a Bonedigger warcollector','','','','',255,7637,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640722,'a Bonedigger footpeddler','','','','',255,7394,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640723,'a dragonbone larva','','','','',255,7361,16,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640724,'a dragonbone scarab','','','','',255,208,191,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640725,'a dragonmage spellslinger','','','','',255,7638,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640726,'an ageless dragonslayer','','','','',255,7638,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640727,'a Bonedigger baublefinder','','','','',255,7636,73,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640728,'Commander Drisk','<Commander of Ganak''s Forces>','','','',255,7638,70,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640729,'a bonesplint spitter','','','','',255,5020,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640730,'a bonesplint piercer','','','','',255,5020,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640731,'a bonesplint protector','','','','',255,5020,111,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640732,'Snuffles Skunkstripe','<Bellywhumper Quartermaster>','','','',255,7636,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640733,'Gribs McDibbles','','','','',255,7637,60,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640734,'Gruffles Furrybushels','<Bellywhumper Mender>','','','',255,7636,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640735,'','','','','',255,7637,64,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640736,'Dromo the Agonizer','','','','',255,7236,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640737,'a parched cactulent','','','','',255,7255,52,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640738,'a cursed cactulent','','','','',255,7255,49,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640739,'a Bonedigger burrow maker','','','','',255,7394,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640740,'a shambling skeleton','','','','',9,7638,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640741,'a cursed cactulent','','','','',255,7255,59,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640742,'a timorous tileshell','','','','',255,218,60,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640743,'a timorous octentacle','','','','',255,210,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640744,'Goredeth Maulhammer','<Protector of Rime>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640745,'Kreegar Krikneck','<Protector of Rime>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640746,'Tert Turganpuncher','<Turgan Wrangler>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640747,'Brendegor Bitelimb','<Protector of Rime>','','','',255,10753,48,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640748,'Kraytoc Killingfrost','<Master of Rime>','','','',255,10830,48,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640749,'a black rider','<The Order of Rime>','','','',0,1471,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640750,'a converted Rilissian','<The Order of Rime>','','','',255,103,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640751,'a defiant Rilissian','','','','',255,103,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640752,'a pointnose sailfin','','','','',255,241,60,3,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640753,'The Herald of Rime','<The Order of Rime>','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640754,'a timorous whitefin','','','','',255,242,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640755,'Crowhood the Olden','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640756,'Guagua','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640757,'a shardhammer sentinel','<The Order of Rime>','','','',0,1471,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640758,'Geldryy Alvek','<Order of Rime>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640759,'Rantiri Skelbre','<Order of Rime>','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640760,'Grand Restorer Lingwal','<Sage Commander>','','','',2,1481,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640761,'Bragek Joll','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640762,'Melimy Yolta','<Weapons Merchant>','','','',6,79,38,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640763,'Rorthav Kilka','<Armor Merchant>','','','',13,53,38,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640764,'a Rime warbird','','','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640765,'Setwa Rajsath','<Rime Griffin Wrangler>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640766,'a boneclaw destroyer','','','','',255,251,80,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640767,'Gregor Thunderfist','<Kromzek Warlord>','','','',255,7639,48,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640768,'Thazolu','<The Destroyer>','','','',255,7236,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640769,'a parched cactulent','','','','',255,7255,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640770,'a Nurgan mineguard','','','','',255,7311,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640771,'a sleepy Nurgan minedigger','','','','',255,7324,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640772,'Shamachanic Grizzik','','','','',255,7296,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640773,'Bisbing the Fuzzy','<The Nurgan Minelord>','','','',255,7296,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640774,'Jibaner','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640775,'Murgurgl','<The Yha-lei Explorer>','','','',255,7186,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640776,'Purplequill','<The Stonebeak Flock Patriarch>','','','',255,7235,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640777,'Gartik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640779,'Grand Acumen Ralosk','<The Gwalnax Brigade>','','','',255,7356,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640780,'Tildekil the Trader','','','','',255,7368,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640781,'Assistant Drylzin','','','','',255,7368,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640782,'a Bathezid''s Watch arcaneling','','','','',255,7356,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640783,'Outrider Kelgyn','','','','',255,7157,45,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640784,'Merchant Dalk','<General Goods>','','','',255,7356,51,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640785,'Flaxen','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640786,'Envoy Druzill','','','','',255,7356,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640787,'Vasann','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640788,'Venarab','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640789,'Dragoon Linzinek','','','','',255,7368,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640790,'Invigilator Warwyn Al''Xi','<Bathezid''s Watch>','','','',255,7368,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640791,'Zaloga','<Invigilator Warwyn''s Personal Mount>','','','',255,7253,29,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640792,'Legionnaire Captain Valkan','','','','',255,7368,60,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640793,'Conscript Chrydok','','','','',255,7368,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640794,'Conscript Vitaliz','','','','',255,7356,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640795,'Dragoon Tiwin','','','','',255,7368,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640796,'Assistant Volwon Zhi''dok','<Bathezid''s Watch Supply Assistant>','','','',255,7356,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640797,'Wholesaler Le''Gauqs','<Fuels for Crafting>','','','',255,7157,51,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640798,'Tac Ci''Toruen','<Bathezid''s Watch Quartermaster>','','','',255,7356,54,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640799,'Supply Sergeant Anuhadux','<Work Order Requisitions>','','','',255,7368,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640800,'Overseer Dra''soks','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640801,'Oracle Vorzalka','','','','',255,7356,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640802,'Weaponmaster Zalzak','','','','',255,7368,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640803,'Esli S''taks','<Bathezid''s Watch Mender>','','','',255,7368,54,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640804,'Commander Di''Varoc','<Bathezid''s Watch Commander>','','','',255,7368,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640805,'Student Mikyal','','','','',255,7157,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640806,'Zenarn','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640807,'Xener','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640808,'Jobtik','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640809,'Gener','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640810,'Gebober','A Yha-lei hydromancer''s aery hunter','','','',255,195,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640811,'Daleen Blackwood','','','','',15,1444,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640812,'','','','','',255,7933,1600,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640813,'Gonn','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640814,'Gabarer','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640815,'Zann','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640816,'Zarab','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640817,'Losaner','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640818,'Lonaner','An invading flurryburst''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640819,'a crazed sokokar','','','','',255,7253,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640820,'Overlord Gazraxx','','','','',255,1575,55,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640821,'a babbling reet slave','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640822,'Laraner','Lieutenant Sarzass''s undying dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640823,'a froglok captive','','','','',255,7395,31,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640824,'Keeper Vellis','','','','',255,1575,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640825,'Keeper Gresrik','','','','',255,1575,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640826,'Tofus Jepner','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640827,'Tundro Thunderhorn','<Scourge of the Omen Plains>','','','',255,266,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640828,'Kantik','Murgurgl''s tellurian champion','','','',255,5862,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640829,'a dragon''s rest pincer','','','','',255,7741,41,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640830,'Kebekn','An invading flurryburst''s inferno golem','','','',255,9657,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640831,'','','','','',255,7933,1600,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640832,'',NULL,'','','',0,49,32,0,0,0,641,0,0,0,0,0,0,0,292,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640833,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640834,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,660,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640835,'',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640836,'',NULL,'','','',0,49,32,0,0,0,641,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640837,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,563,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640838,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,644,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640839,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,634,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640840,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,621,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640841,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,629,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640842,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,726,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640843,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,611,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640844,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,655,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640845,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640846,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,560,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640847,'a crystal',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640848,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640849,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640850,'',NULL,'','','',0,49,32,0,0,0,641,0,0,0,0,0,0,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640851,'gravedirt01',NULL,'','','',0,2916,31,0,0,0,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640852,'Forge',NULL,'','','',0,1859,32,0,1,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640853,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640854,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640855,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640856,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640857,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640858,'barrel_small_light',NULL,'','','',0,1909,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640859,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640860,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640861,'weaponrack01',NULL,'','','',0,4455,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640862,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640863,'qst_unseenhand_firewood_2',NULL,'','','',0,1396,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640864,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640865,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640866,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640867,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640868,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640869,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640870,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640871,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640872,'gravestone01',NULL,'','','',0,1549,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640873,'gravestone05',NULL,'','','',0,2920,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640874,'goblin_brazier01',NULL,'','','',0,1547,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640875,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,17,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640876,'weaponrack03',NULL,'','','',0,4651,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640877,'gravestone04',NULL,'','','',0,2919,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640878,'gravestone02',NULL,'','','',0,1854,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640879,'bone collection',NULL,'','','',0,2368,96,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640880,'Kor-sha sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640881,'iksar skull 02',NULL,'','','',0,2997,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640882,'qst_tablet_fragment',NULL,'','','',0,2265,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640883,'earthquake_tremble',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640884,'Ruins of Cabilis sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640885,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640886,'gravestone08',NULL,'','','',0,2923,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640887,'gravestone03',NULL,'','','',0,2918,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640888,'skeletons',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640889,'goblin_cage01',NULL,'','','',0,1528,21,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640890,'a wooden cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640891,'qst_lost_coin',NULL,'','','',0,2916,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640892,'a tasty sandwich!',NULL,'','','',0,3359,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640893,'a bowl of apples',NULL,'','','',0,7068,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640894,'a blueberry pie',NULL,'','','',0,3388,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640895,'burynai_mastery',NULL,'','','',0,2658,32,0,0,0,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640896,'Fishing Village sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640897,'qst_fenwheat_stalk',NULL,'','','',0,1737,32,0,0,0,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640898,'Sathir''s Span sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640899,'qst_veksar_fragment',NULL,'','','',0,7397,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640900,'yha-lei_mastery',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,1,3,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640901,'qst_shatterweed_stem',NULL,'','','',0,4075,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640902,'qst_spotted_budling',NULL,'','','',0,4550,64,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640903,'qst_warding_brazier',NULL,'','','',0,4926,32,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640904,'Kylong Plains sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640905,'shrine torch',NULL,'','','',0,4912,38,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640906,'stone mucus',NULL,'','','',0,299,32,0,0,0,0,0,4141,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640907,'Eastern Pens of Riliss sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640908,'caster',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640909,'qst_swamp_aconite',NULL,'','','',0,48,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640910,'qst_weapon_rack',NULL,'','','',0,4614,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640911,'Riliss sokokar post',NULL,'','','',0,7625,32,0,1,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640912,'qst_brute_poster',NULL,'','','',0,6657,32,0,0,0,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640913,'qst_overseer_poster',NULL,'','','',0,6657,32,0,0,0,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640914,'Tusker post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640915,'Drogan Exiles sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640916,'qst_goblin_poster',NULL,'','','',0,6657,32,0,0,0,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640917,'qst_discarded_part',NULL,'','','',0,3179,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640918,'qst_nurgan_lockchest',NULL,'','','',0,1934,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640919,'a dragonbone stone',NULL,'','','',255,3914,32,0,1,1,0,0,17275,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640920,'shinies_green_burnyai01',NULL,'','','',0,11002,30,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640921,'',NULL,'','','',0,11053,11,0,0,0,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640922,'bucket',NULL,'','','',0,1941,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640923,'qst_despair_crystal',NULL,'','','',0,4109,64,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640924,'Bellywhumper Burrows sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640925,'shinies_aqua_burnyai01',NULL,'','','',0,11001,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640926,'shinies_red_burnyai01',NULL,'','','',0,11004,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640927,'Dragon''s Rest Shallows Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,1907,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640928,'Granitegrip''s bowl',NULL,'','','',0,3103,48,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640929,'qst_wonderous_machine',NULL,'','','',0,3252,64,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640930,'Bathezid''s Watch sokokar post',NULL,'','','',0,7625,32,0,1,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640931,'qst_overlord_poster',NULL,'','','',0,6657,32,0,0,0,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640932,'Danelak Hosfoak',NULL,'','','',255,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640933,'qst_froglok_poster',NULL,'','','',0,6657,32,0,0,0,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640934,'Western Pens of Riliss sokokar post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640935,'aloe plant',NULL,'','','',0,5151,3,0,0,0,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640936,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2640938,'',NULL,'','','',0,49,32,0,0,0,231,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640939,'Mailbox',NULL,'','','',0,7926,32,0,0,0,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640940,'zone_to_drachnid_queens',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640941,'tumm tumm pot',NULL,'','','',0,4436,83,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640942,'provisions_cache',NULL,'','','',0,7946,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640943,'an iksar wanted notice',NULL,'','','',0,6657,43,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640944,'coin case torsis ton',NULL,'','','',0,5978,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640945,'a bowl of spoiled food',NULL,'','','',0,6709,22,0,0,0,0,0,14023,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640946,'a makeshift shrine',NULL,'','','',0,2370,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640947,'tradeskill_work_order_table',NULL,'','','',0,7923,16,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640948,'coin case terraz ton',NULL,'','','',0,5978,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640949,'coin case veksar gran',NULL,'','','',0,5978,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640950,'coin case royal crown of dalnir',NULL,'','','',0,5978,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640951,'coin case ik gran',NULL,'','','',0,5978,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640952,'Order of Rime weapon rack',NULL,'','','',0,10979,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640953,'widget_qst_rime_venomcask',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640954,'widget_qst_rime_bonecrate',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640955,'',NULL,'','','',0,11103,128,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640956,'coin case danak gran',NULL,'','','',0,5978,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640957,'tradeskill_work_order_desk',NULL,'','','',0,6657,64,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640958,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640959,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640960,'Frontier geode',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640961,'Nathsarian roots',NULL,'','','',0,6907,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640962,'a loose page',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640963,'a school of churnfish',NULL,'','','',0,4159,32,0,0,0,7,0,0,0,0,0,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640964,'a Teren fishing pole',NULL,'','','',0,5745,32,0,0,0,2,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640965,'Omenfish school',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640966,'a shuffled page',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640967,'Cabilisian lode',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640968,'Nathsarian shrubbery',NULL,'','','',0,3908,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640969,'Warslik timber',NULL,'','','',0,6901,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640970,'field burrow',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640971,'tusker tack',NULL,'','','',0,3577,32,0,0,0,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640972,'branch of firebourne cedar',NULL,'','','',0,6901,32,0,0,0,8,0,3120,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640973,'a polished pike blade',NULL,'','','',0,5991,32,0,0,0,2,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640974,'deposit of Pi''ter Sahlt',NULL,'','','',0,6902,64,0,0,0,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640975,'a rocksnake',NULL,'','','',0,213,48,0,0,0,2,0,4141,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640976,'a boneshroom',NULL,'','','',0,1523,9,0,0,0,2,0,1566,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640977,'a fancy jewelry case',NULL,'','','',0,4016,32,0,0,0,2,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640978,'a set of froglok manacles',NULL,'','','',0,3238,32,0,0,0,2,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2640979,'a goblin Work Bench',NULL,'','','',0,2417,32,0,0,0,2,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650001,'a Yha-lei harpooner','','','','',255,7212,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650002,'a Yha-lei patroller','','','','',255,7212,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650003,'a Yha-lei netman','','','','',255,7212,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650004,'a terrorspine shark','','','','',255,242,176,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650005,'a runewake impaler','','','','',255,241,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650006,'a Jarsath jibsnapper','','','','',255,7741,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650007,'Queen Imayaruk','','','','',255,7741,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650008,'Yothe K''lohgk','','','','',255,7212,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650009,'a Deepwater researcher','<Deepwater Circle>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650010,'Clessi Hergravis','<Deepwater Circle Teleport Apprentice>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650011,'Ripcurl','','','','',255,241,224,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650012,'a volcanic leatherback','','','','',255,215,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650013,'a coastal guardian','','','','',255,7246,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650014,'Krag','<The Cliff Golem>','','','',255,154,160,0,1,1,9,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650015,'an elite Dracurion fireguard','','','','',255,6015,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650016,'an ancient guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650017,'a nettle spined succulent','','','','',255,7255,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650018,'a charging grindhoof','','','','',255,266,52,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650019,'a stinging spined succulent','','','','',255,7255,54,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650020,'a Durus flayer','','','','',255,7236,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650021,'a ferocious razorfang','','','','',255,5249,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650022,'an ambushing grindhoof','','','','',255,266,68,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650023,'a vile stoneleer','','','','',255,7235,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650024,'a Durus scar guardian','','','','',255,7236,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650025,'a Durus decapitator','','','','',255,7236,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650026,'an elite flurryburst','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650027,'Ulroth the Protector','','','','',255,7236,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650028,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650029,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650030,'Nevis Yewkus','<Pondo''s Warder Mercenary>','','','',0,1471,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650031,'Quiyn','','','','',17,6487,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650032,'a Danak regimental','','','','',255,104,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650033,'a deadly stoneglint','','','','',255,7235,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650034,'a deadly razorfang','','','','',255,5249,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650035,'Modani Qu''loni','','','','',255,7236,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650036,'Ignazina Thafni','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650037,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650038,'Lenarr','Lenarr''s Personae Reflection','','','',9,136,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650039,'Aciaja','Zuksharn''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650040,'Cannonphaughter','Bashira''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650041,'Raythe','Raythe''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650042,'Hornie','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650043,'Binkey','Xentor''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650044,'gravedirt01',NULL,'','','',0,2916,31,0,1,1,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650045,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650046,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650047,'magmatic crystal',NULL,'','','',0,10019,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650048,'a bit of broken pottery',NULL,'','','',0,3340,16,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650049,'a shell',NULL,'','','',0,3963,36,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650050,'a shell',NULL,'','','',0,3964,37,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650051,'a graveside weed',NULL,'','','',0,1671,13,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650052,'fanplantgroup_001',NULL,'','','',0,1670,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650053,'nbhum_cropplant02',NULL,'','','',0,1671,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650054,'gravedirt02',NULL,'','','',0,2916,62,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650055,'gravestone08',NULL,'','','',0,2923,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650056,'gravestone06',NULL,'','','',0,2921,48,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650057,'hrvst_rocks_mineralveins02',NULL,'','','',0,3956,48,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650058,'hrvst_rocks_mineralveins01',NULL,'','','',0,3955,28,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650059,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650060,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(2650061,'zone_to_chelsith',NULL,'','','',0,49,32,0,0,0,143,0,0,0,0,1,0,0,911,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650063,'to_wurmbone_end',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650064,'WurmboneCrag',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,242,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650065,'enter ancient vault zone',NULL,'','','',0,49,32,0,1,1,232,0,0,0,0,0,0,0,848,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650066,'Charasis_Emperors_Athenaeum',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650067,'Veeshan''s Peak',NULL,'','','',0,49,32,0,0,0,607,0,0,0,0,1,0,0,1880,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650068,'Charasis_Vault_Eternal_Sleep',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650069,'Maidens Chamber',NULL,'','','',0,49,32,0,0,0,46,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650070,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650071,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650072,'a briney catch',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650073,'badlands den',NULL,'','','',0,4004,32,0,1,1,3,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650074,'bedded ore',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650075,'exposed limestone',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650076,'sundrenched cordwood',NULL,'','','',0,6900,32,0,1,1,8,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650077,'wastelands shrub',NULL,'','','',0,4075,32,0,1,1,2,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650078,'prairie roots',NULL,'','','',0,6906,32,0,1,1,2,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650079,'a Yha-lei harpooner','','','','',255,7212,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650080,'a Yha-lei patroller','','','','',255,7212,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650081,'a Yha-lei netman','','','','',255,7212,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650082,'a terrorspine shark','','','','',255,242,176,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650083,'a runewake impaler','','','','',255,241,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650084,'a Jarsath jibsnapper','','','','',255,7741,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650085,'Queen Imayaruk','','','','',255,7741,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650086,'Yothe K''lohgk','','','','',255,7212,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650087,'a Deepwater researcher','<Deepwater Circle>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650088,'sokokar','','','','',255,7253,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650089,'a sokokar tamer','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650090,'Ripcurl','','','','',255,241,224,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650091,'a volcanic leatherback','','','','',255,215,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650092,'a coastal guardian','','','','',255,7246,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650093,'an elite Dracurion fireguard','','','','',255,6015,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650094,'an ancient guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650095,'a Defender of Growth','<Paladin of Tunare>','','','',8,136,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650096,'a nettle spined succulent','','','','',255,7255,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650097,'a charging grindhoof','','','','',255,266,53,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650098,'a stinging spined succulent','','','','',255,7255,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650099,'a Durus flayer','','','','',255,7236,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650100,'a ferocious razorfang','','','','',255,5249,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650101,'an ambushing grindhoof','','','','',255,266,70,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650102,'a vile stoneleer','','','','',255,7235,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650103,'a Durus scar guardian','','','','',255,7236,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650104,'a Durus decapitator','','','','',255,7236,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650105,'an elite flurryburst','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650106,'a Rime warbird','','','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650107,'Quiyn','','','','',17,6487,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650108,'a Danak regimental','','','','',255,104,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650109,'a deadly stoneglint','','','','',255,7235,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650110,'a deadly razorfang','','','','',255,5249,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650111,'Ignazina Thafni','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650112,'psychomalleable ice','','','','',255,311,32,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650114,'a Danak footguard','','','','',255,104,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650115,'Ethu','<Sandpaper Supplies>','','','',255,1574,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650116,'a Danak handler','','','','',255,104,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650117,'a chokidai sniffer','','','','',255,7321,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650118,'a Danak spellbinder','','','','',255,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650119,'a Danak shipwright','','','','',255,1572,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650120,'Master Mora','<Danak Shipwright>','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650121,'Lieutenant Dansiss','<Legion of Danak>','','','',255,1573,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650122,'a Danak sentinel','<Legion of Danak>','','','',255,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650123,'Scholar Mouldizz','<Legion of Danak>','','','',255,1574,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650124,'Utander Rizndown','<Danak Foreman>','','','',9,4540,41,0,1,1,12,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650125,'Somers the Hard','<Danak Marshal>','','','',255,104,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650126,'Captain Delshirrs','','','','',255,1573,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650127,'Rhe''taxus','<Fuel Merchant>','','','',10,1575,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650128,'Assistant Sziths','<Danak Shipyards Supply Assistant>','','','',255,1572,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650129,'Work Requisition Sergeant Zildrax','<Danak Work Requisitions>','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650130,'Gore','<Recipe scrolls>','','','',10,1574,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650131,'Eviss Ryiss','<Danak Quarter Master>','','','',255,103,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650132,'Avess Ryiss','','','','',255,103,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650133,'Supply Clerk Linxx','<Danak Armory>','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650134,'Darelen Stirg','<Danak Valuables Collector>','','','',255,104,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650135,'Kilriss Zessch','','','','',255,1574,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650136,'Xerlissus','<Danak Banker>','','','',255,104,32,0,1,1,14,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650137,'General V''Deers','','','','',1,115,48,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650138,'an undead worker','<Danak Sink and Salvage>','','','',255,4541,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650139,'Necromancer Corporiss','','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650140,'Ebonmaw','','','','',255,215,144,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650141,'a Far Seas deckhand','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650142,'Brind','<Deepwater Circle Teleporter>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650143,'a Far Seas shipping captain','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650144,'First Mate Rog Brinner','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650145,'Keelman Shinae Meta','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650146,'Cabin Boy McNabb','','','','',9,134,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650147,'Sulvin T. Smalls','<Far Seas Trading Co.>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650148,'Noolie Drewb','<Far Seas Trading Co.>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650149,'Shoran Sirrom','<Danak Vice- Marshal>','','','',255,1573,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650150,'Ssorn Stob','<Fence>','','','',255,1574,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650151,'Gamble Blitherton','<Cult and Secret Society Expert>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650152,'Ironhoof','','','','',255,6856,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650153,'Kror Stormshield','','','','',2,1482,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650154,'a sootfoot rabbit','','','','',255,23708,32,0,0,0,1261,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650155,'a Danak armored patrol','','','','',255,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650156,'Drill Sergeant Kish','<Danak Armored Patrol>','','','',255,1574,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650157,'a Danak regimental','','','','',255,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650158,'a Danak regimental','','','','',255,1573,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650159,'jibsnapper megalops','','','','',255,7741,9,0,1,1,1271,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650160,'Gorehoof','','','','',255,266,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650161,'Watch Sergeant Grolj','','','','',255,4543,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650162,'a Gazing Petrifier','','','','',255,7235,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650163,'an elite shardhammer','<The Order of Rime>','','','',2,109,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650164,'an invading shardhammer','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650165,'an elite sleetsaber','<The Order of Rime>','','','',13,59,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650166,'an icy spirit','','','','',255,10962,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650167,'an invading flurryburst','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650168,'an elite nova-vicar','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650169,'a charging grindhoof','','','','',255,266,54,2,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650170,'an elite shardfist','<The Order of Rime>','','','',13,53,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650171,'Pylemea Stoerki','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650172,'Storn Yeldree','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650173,'Nethsarn Osenef','<Rime Griffin Wrangler>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650174,'Delreri Feldrek','<Order of Rime Field Commander>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650175,'Tuuak Eiylorn','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650176,'Quartermaster Ulrothk','<Clan Skleross>','','','',255,7236,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650177,'Herd Master Rudek','<Clan Skleross>','','','',255,7236,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650178,'Master Sniks','<Clan Skleross>','','','',255,7236,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650179,'Drill Sergeant Zeshiss','<Danak Armored Patrol>','','','',255,1575,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650180,'a sabrecrest trooper','<Battlement Battalion 623>','','','',255,103,35,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650181,'Lance Corporal Sonoriss','<Legion of Danak>','','','',255,103,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650182,'Vixna Slizzis','','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650183,'Zixka Slizzis','','','','',255,1573,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650184,'Vice-Commander Nathash','<Legion of Danak>','','','',255,1574,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650185,'a Danak protector','<Legion of Danak>','','','',255,104,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650186,'Lieutenant Vakrisan Sakulvik','','','','',255,103,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650187,'Field Master Selrahc','<Battlement Battalion 623>','','','',255,103,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650188,'an unearthed sentry','','','','',255,7638,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650189,'an unearthed soldier','','','','',255,7638,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650190,'an unearthed dragoon','','','','',255,7638,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650191,'Scout Master Talisk V`Rass','<Legion of Danak>','','','',255,1574,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650192,'a hidden sleetsaber','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650193,'Warlord Zon''Kir','','','','',255,7638,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650194,'an iksar insurgent','','','','',255,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650195,'Nightfall','','','','',255,6840,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650196,'Agent Zhatia','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650197,'an ancient inhabitant','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650198,'an ancient denizen','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650199,'an ancient occupant','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650200,'a dreaded stonegazer','','','','',255,7235,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650201,'Scout Tirozok','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650202,'Scout Vazhda T`Larr','<Legion of Danak>','','','',255,1574,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650203,'Scout Dry''Rok','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650204,'a Skleross soldier','','','','',255,7236,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650205,'Lord Sheckt','<Clan Skleross>','','','',255,7236,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650206,'Tragen Gorschk','<Clan Skleross Trader>','','','',255,7236,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650207,'Nybor Efiw','<Clan Skleross Mender>','','','',255,7236,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650208,'Ryvenar Sal''Vara','<Ranger of the Wastes>','','','',15,1447,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650209,'a Sel''Nok sabletalon elite','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650210,'a tortured shadow','','','','',255,1575,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650211,'a forsaken vision','','','','',255,1573,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650212,'a forgotten phantasm','','','','',255,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650213,'Izzal Din','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650214,'a vicious razorfang','','','','',255,5249,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650215,'a prickly spined succulent','','','','',255,7255,31,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650216,'Irefang','','','','',255,5249,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650217,'an aggressive grindhoof','','','','',255,266,51,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650218,'sickly grindhoof','','','','',255,266,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650219,'Scout Ska''Tak','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650220,'Scout Cluzwen','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650221,'Scout Hir''Tak','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650222,'Scout Tonkur','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650223,'a fallen grindhoof','','','','',255,266,57,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650224,'grindhoof calf','','','','',255,266,24,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650225,'Scout Verkaera','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650226,'Barrelspike','','','','',255,7255,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650227,'Scout Mirt''Zin','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650228,'Scout Volzekla','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650229,'Mirg Nel''Ron','<The Sel''Nok Brigade Quartermaster>','','','',255,7157,48,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650230,'Nor Ver''Kiel','<Sel''Nok Brigade Mender>','','','',255,7368,48,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0),
(2650231,'Warlord Sel''Nok','','','','',255,7368,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650232,'Diviner De''Voch','<Sel''Nok Brigade>','','','',255,7356,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650233,'Battlemaster Kythe','<Sel''Nok Brigade>','','','',255,7368,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650234,'Emissary Dih''ri','<Sel''Nok Brigade>','','','',255,7157,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650235,'Scout Niba''Nin','<The Sel''Nok Brigade>','','','',255,7157,48,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650236,'a Dracurion hoplite','','','','',255,6015,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650237,'a Dracurion skyguard','','','','',255,5947,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650238,'a hidden elite sleetsaber','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650239,'a Dracurion siege officer','','','','',255,6015,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650240,'Siege Warden Darnan','','','','',255,6015,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650241,'a Dracurion hoplite elite','','','','',255,6015,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650242,'a docile fire elemental','','','','',255,2362,96,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650243,'a skyfire wurm','','','','',255,7297,48,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650244,'a skyfire drake','','','','',255,7393,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650245,'Daranus','','','','',18,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650246,'a Dracurion firemancer','','','','',255,6016,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650247,'a gnashing devourer','','','','',255,7293,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650248,'a Dracurion warder','','','','',255,6015,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650249,'a skyfire wyvern','','','','',255,7185,48,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650250,'Zok the Old','','','','',255,7393,176,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650251,'a Sel''Nok vileguard','','','','',255,7368,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650252,'a Sel''Nok dispatch','','','','',255,7157,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650253,'a Sel''Nok infiltrator','','','','',255,7157,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650254,'Scout Nan''Dor','<Sel''Nok Brigade>','','','',255,7157,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650255,'Grim Stormshield','','','','',2,1483,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650256,'a gnawing devourer','','','','',255,7293,99,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650257,'an elder skyfire wyvern','','','','',255,7185,54,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650258,'an ashfire drake','','','','',255,7393,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650259,'an elder skyfire wurm','','','','',255,7297,57,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650260,'Scarscale the Ravager','','','','',255,7185,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650261,'an Enraged Gnasher','','','','',255,7293,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650262,'a captured trooper','<Legion of Danak>','','','',255,104,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650263,'High Commander Ziz','<Skyfire Warlord>','','','',255,6015,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650264,'Flink the Impish','','','','',255,7393,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650265,'a feasting devourer','','','','',255,7293,102,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650266,'a skyshadow drake','','','','',255,7393,166,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650267,'Commander Glish','<Legion of Danak>','','','',255,1574,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650268,'a magmatic destroyer','','','','',255,7600,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650269,'an ancient skyfire wyvern','','','','',255,7185,57,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650270,'an ancient skyfire wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650271,'Eldrig the Young','','','','',255,7393,176,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650272,'a spiritwracked drake','','','','',255,7627,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650273,'Kaashanosak the Ancient','','','','',255,7297,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650274,'a temple sentinel','','','','',255,7454,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650275,'a burning familiar','','','','',255,7627,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650276,'A Dracurion keeper','','','','',255,5947,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650277,'Shaman Medicus','','','','',255,7236,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650278,'a drachnid widow guard','','','','',255,7302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650279,'a drachnid widow maiden','','','','',255,7300,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650280,'Widow Matron Eilyan','','','','',255,7227,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650281,'Qumus the Ominous','','','','',255,7393,176,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650282,'Borga Rallok','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650283,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650284,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650285,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,1096,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650286,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650287,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650288,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650289,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650290,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650291,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650292,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650293,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650294,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650295,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650296,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650297,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650298,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650299,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650300,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650301,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650302,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650303,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650304,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650305,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650306,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650307,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650308,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650309,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650310,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650311,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650312,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650313,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650314,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650315,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650316,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650317,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650318,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650319,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650320,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650321,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650322,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650323,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650324,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650325,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650326,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650327,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650328,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650329,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650330,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650331,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650332,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650333,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650334,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650335,'qst_magmabloom',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650336,'widget_droag_cage_door',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650337,'widget_droag_cage_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650338,'widget_droag_cage_door3',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650339,'temple transport',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650340,'Heart of the Lady',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650341,'gravedirt01',NULL,'','','',0,2916,31,0,0,0,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650342,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650343,'a pile of volcanic ash',NULL,'','','',0,2917,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650344,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650345,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650346,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650347,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650348,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650349,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650350,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650351,'rock01',NULL,'','','',0,1550,128,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650352,'magmatic crystal',NULL,'','','',0,10019,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650353,'a bit of broken pottery',NULL,'','','',0,3340,16,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650354,'a shell',NULL,'','','',0,3963,36,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650355,'a shell',NULL,'','','',0,3964,37,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650356,'bbm_crate_wood01',NULL,'','','',0,6697,32,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650357,'a graveside weed',NULL,'','','',0,1671,13,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650358,'fanplantgroup_001',NULL,'','','',0,1670,32,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650359,'nbhum_cropplant02',NULL,'','','',0,1671,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650360,'gravedirt02',NULL,'','','',0,2916,62,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650361,'gravestone08',NULL,'','','',0,2923,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650362,'gravestone06',NULL,'','','',0,2921,48,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650363,'hrvst_rocks_mineralveins02',NULL,'','','',0,3956,48,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650364,'hrvst_rocks_mineralveins01',NULL,'','','',0,3955,28,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650365,'Danak Shipyard Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650366,'a Danak barrel',NULL,'','','',0,2569,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650367,'a Danak crate',NULL,'','','',0,2680,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650368,'dpo magmatic crystal for looks only',NULL,'','','',0,10019,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650369,'Howling Stones Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650370,'a radiant shard of Luclin',NULL,'','','',0,6186,18,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650371,'barricade',NULL,'','','',0,7590,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650372,'a Iksar propaganda',NULL,'','','',0,5261,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650373,'Skleross Encampment Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650374,'Stonehoof Badlands Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650375,'Skyfire Mountains Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650376,'Sel''Nok Scout Camp Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650377,'ancient drake bones',NULL,'','','',0,5899,32,0,0,0,0,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650378,'Temple of the White Lady Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650379,'a dead skorpikis',NULL,'','','',0,7236,25,0,0,0,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650380,'Temple of the Red Lord Sokokar Post',NULL,'','','',0,7625,32,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650381,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(2650382,'zone_to_leviathan_raid',NULL,'','','',0,49,32,0,0,0,144,0,0,0,0,1,0,0,516,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650383,'Mail Kiosk',NULL,'','','',0,7947,32,0,0,0,29,0,0,0,0,1,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650384,'Order of Rime shark meat barrel',NULL,'','','',0,10993,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650385,'Order of Rime gem cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650386,'widget_qst_rime_fishcrate',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650387,'widget_qst_rime_poisondrum',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650388,'widget_qst_rime_leathercrate',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650389,'crafter messenger corpse',NULL,'','','',0,108,38,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650390,'Draconic Scale',NULL,'','','',0,3232,96,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650391,'yore_flame_of_modeus',NULL,'','','',0,6168,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650392,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650393,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650394,'a briney catch',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650395,'badlands den',NULL,'','','',0,4004,32,0,1,1,3,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650396,'bedded ore',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650397,'exposed limestone',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650398,'sundrenched cordwood',NULL,'','','',0,6900,32,0,1,1,8,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650399,'wastelands shrub',NULL,'','','',0,4075,32,0,1,1,2,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650400,'prairie roots',NULL,'','','',0,6906,32,0,1,1,2,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650401,'a molten school',NULL,'','','',0,7684,32,0,0,0,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650402,'charred timber',NULL,'','','',0,3935,32,0,1,1,8,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650403,'smoldering underbrush',NULL,'','','',0,4078,32,0,1,1,2,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650404,'pyroclastic cluster',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650405,'acrid roots',NULL,'','','',0,6905,32,0,1,1,2,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650406,'rhylotic mineral',NULL,'','','',0,4109,32,0,1,1,1,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650407,'blackened den',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2650408,'Dominus Ganak','<The Darslayer>','','','',255,1574,48,0,1,1,0,0,10137,1,1,1,0,0,32,1261,1261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670001,'Leviathor''Consuma','','','','',255,7641,32,0,1,1,0,0,0,0,0,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670002,'Mucus of the Deep One','','','','',255,299,1120,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670003,'Leviathor''Glamar','','','','',255,7728,32,0,1,1,0,0,0,0,0,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670004,'Majora Leviathora','','','','',255,7726,32,0,1,1,0,0,0,0,0,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670005,'Uguaz Tysk','','','','',255,7212,73,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670006,'an abyss lurker','','','','',255,210,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670007,'a ghastly excretion','','','','',255,297,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670008,'a Yha-lei sentinel','','','','',255,7212,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670009,'a Yha-lei defender','','','','',255,7211,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670010,'Krel''Vhap the Defeater','','','','',255,7212,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670011,'a stalwart Yha-lei champion','','','','',255,7212,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670012,'a Yha-lei feeder','','','','',255,7175,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670013,'a Yha-lei enforcer','','','','',255,7211,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670014,'a Yha-lei arbiter','','','','',255,7186,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670015,'a flammed secernment','','','','',255,294,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670016,'a Yha-lei vindicator','','','','',255,7212,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670017,'a Yha-lei prognosticator','','','','',255,7186,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670018,'a devoted Yha-lei sectary','','','','',255,7186,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670019,'Gabantik','Uth''Gak the Grand Devotor''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670020,'Uth''Gak the Grand Devotor','','','','',255,7186,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670021,'a murky sludge','','','','',255,299,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670022,'Gok''Chai the Substantiator','','','','',255,7186,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670023,'a devouring Yha-lei leech','','','','',255,7175,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670024,'an abyss jumper','','','','',255,237,35,3,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670025,'a Yha-lei worshipper','','','','',255,7175,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670026,'Kuom''Ziki the Prevailer','','','','',255,7212,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670027,'a brazen Yha-lei minion','','','','',255,7212,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670028,'The Blue Baron','','','','',255,237,192,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670029,'Leviathor''Glamar','','','','',255,7728,32,0,1,1,11,0,0,1,1,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670030,'a Yha-lei propagator','','','','',255,7175,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670031,'a docile Yha-lei servitor','','','','',255,7175,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670032,'Bbal''Gaz the Enthraller','','','','',255,7212,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670033,'Leviathor''Consuma','','','','',255,7641,32,0,1,1,11,0,0,1,1,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670034,'Leviathor''Tentar','','','','',255,7728,32,0,1,1,11,0,0,1,1,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670035,'Majora Leviathora','','','','',255,7726,32,0,1,1,11,0,0,1,1,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670036,'Gartik','Majora Leviathora''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670037,'idol_of_dominion',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,383,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670038,'shrine_of_the_behemoth',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,940,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670039,'idol_of_sustenance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670040,'idol_of_exaltation',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,265,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670041,'idol_of_obedience',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,353,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670043,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670044,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670047,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670048,'dpo_invisible_cube',NULL,'','','',0,7892,32,0,1,1,0,0,0,0,0,0,0,0,3013,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670049,'dpo_invisible_cube',NULL,'','','',0,7891,32,0,1,1,0,0,0,0,0,0,0,0,3907,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670050,'yorulas_chest',NULL,'','','',0,6914,73,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670051,'zone_to_jarsath_wastes',NULL,'','','',0,49,32,0,0,0,145,0,0,0,0,1,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2670052,'a school of bluefins',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690001,'a dead sarnak','','','','',255,7368,51,6,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690002,'a drolvarg sentry','','','','',255,7425,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690003,'a drolvarg guardian','','','','',255,7425,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690004,'a lurking sentinel','','','','',255,247,9,0,1,1,11,0,1862,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690005,'a drolvarg ballistaleer','','','','',255,7425,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690006,'a drolvarg trainee','','','','',255,7423,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690007,'a drolvarg trainer','','','','',255,7423,79,0,1,1,11,0,10376,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690008,'a drolvarg elite','','','','',255,7423,86,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690009,'a skeletal caretaker','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690010,'a drolvarg spiritist','','','','',255,7424,64,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690011,'a skeletal guardian','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690012,'a swirling spectre','','','','',255,5233,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690013,'a skeletal lookout','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690014,'a spectral knight','','','','',255,1575,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690015,'a Di''Zok infiltrator','','','','',255,7157,63,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690016,'a drolvarg warmonger','','','','',255,7425,64,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690017,'a dead drolvarg','','','','',255,7425,64,3,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690018,'an iksar entertainer','','','','',10,103,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690019,'a drolvarg bodyguard','','','','',255,7425,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690020,'Ventrek Hallgloom','','','','',255,1575,74,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690021,'a drolvarg advisor','','','','',255,7424,64,2,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690022,'a spectral protector','','','','',255,7157,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690023,'Xlenla Ghox','','','','',3,1588,32,0,1,1,9,0,228,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690024,'a spiritwracked drolvarg','','','','',255,7424,64,0,1,1,11,0,3752,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690025,'a skeletal scryer','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690026,'a burning apparition','','','','',255,5234,32,0,1,1,11,0,6866,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690027,'a skeletal watcher','','','','',255,7638,48,0,1,1,11,0,2031,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690028,'a Mistmoore emissary','','','','',255,6521,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690029,'Xalgoz','','','','',255,7640,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690030,'a stonetusk rhino','','','','',255,7206,76,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690031,'Vorador','','','','',255,247,14,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690032,'Rainbrittle','','','','',9,4557,45,0,1,1,11,0,10137,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690033,'An Undead Jailer','','','','',255,7246,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690034,'Gabobn','XXXXXX''s familiar','','','',255,2895,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690035,'a drolvarg lookout','','','','',255,7425,76,0,1,1,11,0,10516,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690036,'Throne of Blood',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,220,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690037,'Throne of Blood',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690038,'widget_log_scroll',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690039,'conjuror_group_2_x1_water_coercer_group_1_x7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690040,'Commander Jorah''s Portrait',NULL,'','','',0,7365,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690041,'drolvarg_mastery',NULL,'','','',0,4439,32,0,1,1,0,0,0,0,0,1,3,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690042,'capacitor_nub03',NULL,'','','',0,7944,32,0,1,1,685,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690043,'capacitor_nub02',NULL,'','','',0,7943,32,0,1,1,685,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690044,'capacitor_nub01',NULL,'','','',0,7942,32,0,1,1,685,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690045,'zone_to_kylong_plains',NULL,'','','',0,49,32,0,0,0,686,0,0,0,0,1,0,0,405,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690046,'Commander Jorah''s Chest',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2690047,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700001,'a Sathirian traitor','<Reet informant>','','','',255,1573,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700002,'a risen sentry','','','','',255,4953,32,3,1,1,11,0,16114,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700003,'a risen froglok','','','','',255,4953,31,2,1,1,11,0,16114,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700004,'a Sathirian revenant','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700005,'a chokidai pup','','','','',255,7321,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700006,'a Sathirian gravelord','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700007,'a chokidai handler','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700008,'Terrus','<Condemned Heretic>','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700009,'a tormented soul','','','','',255,7157,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700010,'a Sathirian student','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700011,'Arcanist Kulir','','','','',255,103,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700012,'a Sathirian spiritist','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700013,'a Sathirian archon','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700014,'a cursed traitor','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700015,'a Sathirian spirit','','','','',255,1573,32,0,1,1,9,0,15989,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700016,'a waterlogged wraith','<Shade of a Scallywag>','','','',9,4535,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700017,'a spectral harbinger','','','','',255,1575,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700018,'a Sathirian student','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700019,'a Sathirian heretic','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700020,'Quartermaster Shylav','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700021,'Nihilist Yeegarn','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700022,'a Broken Shackle initiate','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700023,'a traitorous spirit','','','','',255,1574,32,0,1,1,9,0,15989,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700024,'a Sathirian officer','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700025,'The Reet Armsman','','','','',255,7648,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700026,'a Sathirian lich','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700027,'a Sathirian legionnaire','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700028,'a Sathirian oracle','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700029,'a Sathirian zealot','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700030,'a chokidai mongrel','','','','',255,7321,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700031,'a Sathirian centurion','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700032,'a Sathirian dreadmage','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700033,'a Sathirian vicar','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700034,'a Sathirian witchdoctor','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700035,'a reet busboy','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700036,'a chokidai alpha','','','','',255,7321,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700037,'a Sathirian dignitary','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700038,'a Reet scout','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700039,'a reet busboy','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700040,'a captured spy','','','','',255,7368,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700041,'a Reet prisoner','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700042,'a clay enforcer','','','','',255,7246,49,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700043,'a Nu''roga prisoner','','','','',255,7324,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700044,'A Sathirian dreadmage''s blighted horde','','','','',255,5095,32,6,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700045,'a scorned reet slave','','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700046,'a reet slave','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700047,'a Sathirian whipcracker','','','','',255,1575,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700048,'High Ambassador Guralz','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700049,'a Sathirian high priest','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700050,'a Sathirian praetorian','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700051,'a Sathirian luminary','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700052,'a Sathirian arch lich','','','','',255,1574,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700053,'a chokidai handler','','','','',255,1572,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700054,'Imperial Crypt Guardian','','','','',255,7246,70,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700055,'a clay juggernaut','','','','',255,7246,65,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700056,'A Sebilite Guardian','','','','',255,7247,64,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700057,'Nihilist Zeegarn','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700058,'a Sathirian patron','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700059,'myconid priest','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700060,'Myconid Spore King','','','','',255,5096,96,0,1,1,11,0,16225,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700061,'First Lieutenant Rixol','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700062,'Xa''rgo the Cursed','','','','',255,7247,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700063,'myconid dweller','','','','',255,5096,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700064,'a Sathirian researcher','','','','',255,1573,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700065,'Grand Inquisitor Zeeir','','','','',255,1575,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700066,'a reet slave','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700067,'The Reet Pickler','','','','',255,7648,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700068,'Blacksmith Sathgar','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700069,'a reet stock keeper','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700070,'a reet stock keeper','','','','',255,7395,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700071,'Blipd','<a reet slave>','','','',255,7395,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700072,'a Sathirian slavemaster','','','','',255,1573,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700073,'Remkit','','','','',255,7648,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700074,'Banker Nulgar','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700075,'Franchiser Grixxer','','','','',255,1575,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700076,'Master-at-Arms Nishaz','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700077,'Grand Master Sathaz','','','','',255,103,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700078,'The Reet Chef','','','','',255,7648,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700079,'Maitre d'' Rixrir','','','','',255,1575,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700080,'Hierophant Prime Kulgarn','','','','',255,1574,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700081,'a forgotten soul','<Mage-Spirit>','','','',255,1575,32,0,1,1,243,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700082,'Eltilapumj','','','','',255,7648,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700083,'Praetorian Captain Nagol','','','','',255,1575,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700084,'quest_elder_jaago_cell_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,417,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700085,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700086,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700087,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700088,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700089,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700090,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700091,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700092,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700093,'widget_boppit_x2_bed_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700094,'main_jail_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700095,'main_jail_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700096,'widget_prison_door_1',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700097,'emergency_exit_prison_cell02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700098,'emergency_exit_prison_cell01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700099,'widget_prison_door_3',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700100,'widget_prison_door_2',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700101,'emergency_exit_prison_cell03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700102,'a Praetorian Footlocker',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700103,'a Praetorian Footlocker',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700104,'a Praetorian Footlocker',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700105,'a Praetorian Footlocker',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700106,'a Praetorian Footlocker',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700107,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700108,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700109,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700110,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700111,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700112,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700113,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700114,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700115,'widget_froak_x2_iksar_foodstuff_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700116,'lab_door_hidden',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700117,'lab_switch',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700118,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700119,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700120,'teleporter_to_mezzanine',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700121,'quest_jaago_loose_brick',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700122,'a Sathirian Crate ',NULL,'','','',0,7650,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700123,'sathirian book',NULL,'','','',0,2598,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700124,'sathirian book',NULL,'','','',0,2599,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700125,'',NULL,'','','',0,7650,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700126,'a Praetorian Footlocker',NULL,'','','',0,7650,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700127,'teleporter_to_lower_seb',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700128,'assassin_epic_corpse',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700129,'quest_defiler_skull',NULL,'','','',0,2996,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700130,'quest_defiler_skeleton',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700131,'a Sathirian scroll',NULL,'','','',255,3215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700132,'kotiz''s chest',NULL,'','','',0,2101,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700133,'torch_door_switch',NULL,'','','',0,8310,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700134,'Sathirian Alchemist''s Table',NULL,'','','',0,2825,32,0,1,1,4,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700135,'zone_to_kunzar',NULL,'','','',0,2306,135,0,0,0,719,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700136,'zone_to_crypt',NULL,'','','',0,49,32,0,0,0,720,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700137,'enter_the_reet_resistance_caves',NULL,'','','',0,4653,20,0,1,1,721,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700138,'zone_to_venrils_lair',NULL,'','','',0,49,32,0,1,1,1111,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700139,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700140,'karyotic algae',NULL,'','','',0,1671,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700141,'Venrils phylactery',NULL,'','','',0,2672,32,0,1,1,2,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700142,'extirpating powder',NULL,'','','',0,2328,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700143,'stolen cache',NULL,'','','',0,50111,32,0,1,1,2,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2700144,'a Sathirian Blood Vase',NULL,'','','',0,2145,32,0,1,1,2,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710000,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710001,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710002,'Nevis Yewkus','<Pondo''s Warder Mercenary>','','','',0,1471,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710003,'Druushk','','','','',255,5915,57,0,1,1,0,0,0,0,0,1,0,0,384,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710004,'Elder Ekron','','','','',255,7297,112,0,1,1,11,0,0,1,1,1,0,0,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710005,'Kluzen the Protector','','','','',255,7185,144,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710006,'Nexona','','','','',255,7633,70,0,1,1,11,0,0,1,1,1,0,0,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710007,'Phara Dar','','','','',255,7634,96,0,1,1,11,0,0,1,1,1,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710008,'Shade of Khalan Dar','','','','',255,7631,80,0,1,1,11,0,16012,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710009,'Qunard Ashenclaw','','','','',255,238,144,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710010,'Silverwing','','','','',255,7635,70,0,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710011,'Xygoz','','','','',255,7234,160,0,1,1,608,0,540,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710012,'Snyr''dok','<The Drudge>','','','',255,7157,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710013,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710014,'caster','','','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710015,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710016,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710017,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710018,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710019,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710020,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710021,'a guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710022,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710023,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710024,'a guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710025,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710026,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710027,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710028,'Hoshkar','','','','',255,7632,96,0,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710029,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710030,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710031,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710032,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710033,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710034,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710035,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710036,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710037,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710038,'a guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710039,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710040,'a guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710041,'a tortured specimen','','','','',255,103,32,0,1,1,11,0,15989,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710042,'a guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710043,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710044,'a ravenous wurmling','','','','',255,7297,16,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710045,'a ravenous wurmling','','','','',255,7297,16,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710046,'a ravenous wurmling','','','','',255,7297,16,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710047,'a ravenous wurmling','','','','',255,7297,16,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710048,'a ravenous wurmling','','','','',255,7297,16,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710049,'an adolescent wurmling','','','','',255,7297,25,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710050,'a newborn wurmling','','','','',255,7297,6,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710051,'a newborn wurmling','','','','',255,7297,6,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710052,'a tome of draconic lore','','','','',255,281,224,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710053,'a tome of draconic legend','','','','',255,279,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710054,'a tome of draconic legend','','','','',255,280,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710055,'a tome of draconic legend','','','','',255,283,160,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710056,'a draconic librarian','','','','',255,6016,91,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710057,'a magmatic parasite','','','','',255,3294,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710058,'a droag ritualist','<Draconic Thaumaturgist>','','','',255,6016,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710059,'a draconian sentinel','','','','',255,6015,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710060,'a draconian sentinel','','','','',255,6015,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710061,'an elder wyvern guardian','','','','',255,7185,64,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710062,'an elder wyvern guardian','','','','',255,7185,128,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710063,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710064,'an elder wyvern guardian','','','','',255,7185,64,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710065,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710066,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710067,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710068,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710069,'Mender Nixvisss','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710070,'a forge','','','','',255,1859,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710071,'a slave','<The Drudge>','','','',255,7157,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710072,'a slave','<The Drudge>','','','',255,7157,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710073,'a slave','<The Drudge>','','','',10,1574,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710074,'Taskmaster Nichok','','','','',255,6015,105,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710075,'a ravenous wurmling','','','','',255,7297,6,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710076,'a seething spark','','','','',255,3294,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710077,'a seething spark','','','','',255,3294,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710078,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710079,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710080,'an elder wyvern guardian','','','','',255,7185,64,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710081,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710082,'a seething spark','','','','',255,3294,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710083,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710084,'an elder wyvern guardian','','','','',255,7185,128,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710085,'a seething spark','','','','',255,3294,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710086,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710087,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710088,'damaged clockwork assistant','','','','',255,6288,16,0,1,1,0,0,3246,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710089,'an enslaved engineer','<The Drudge>','','','',10,1575,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710090,'Milyex Vioren','','','','',255,238,112,0,1,1,11,0,10308,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710091,'a seething spark','','','','',255,3294,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710092,'Power Generator Diamond','','','','',255,7934,6,0,1,1,11,0,0,1,1,1,0,0,1280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710093,'Power Generator Sapphire','','','','',255,7934,6,0,1,1,11,0,0,1,1,1,0,0,1280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710094,'Power Generator Emerald','','','','',255,7934,6,0,1,1,11,0,0,1,1,1,0,0,1280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710095,'Power Generator Opal','','','','',255,7934,6,0,1,1,11,0,0,1,1,1,0,0,1280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710096,'Power Generator Ruby','','','','',255,7934,6,0,1,1,11,0,0,1,1,1,0,0,1280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710097,'a seething spark','','','','',255,3294,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710098,'a seething spark','','','','',255,3294,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710099,'a seething spark','','','','',255,3294,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710100,'a discordant note','','','','',255,5590,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710101,'Xygoz','','','','',255,7234,12,3,1,1,0,0,0,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710102,'Nexona','','','','',255,7633,12,0,1,1,0,0,0,0,0,1,0,0,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710103,'Hoshkar','','','','',255,7632,12,0,1,1,0,0,0,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710104,'Druushk','','','','',255,5915,9,0,1,1,0,0,0,0,0,1,0,0,384,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710105,'Silverwing','','','','',255,7635,9,0,1,1,0,0,0,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710106,'Phara Dar','','','','',255,7634,9,0,1,1,0,0,0,0,0,1,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710107,'Trakanon','','','','',255,7591,19,0,1,1,0,0,0,0,0,1,0,0,544,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710108,'Pondo','','','','',255,15134,19,0,1,1,37,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710109,'Enala','','','','',255,14793,19,0,1,1,37,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710110,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710111,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710112,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710113,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710114,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710115,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710116,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710117,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710118,'a cinder wasp','','','','',255,7250,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710119,'Cinder Wasp Queen','','','','',255,7250,384,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710120,'Cinder Wasp Queen','','','','',255,7250,384,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710121,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710122,'a frenzied racnor','','','','',255,7392,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710123,'a draconian sentinel','','','','',255,6016,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710124,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710125,'a draconian sentinel','','','','',255,6015,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710126,'a draconian sentinel','','','','',255,6015,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710127,'a draconian sentinel','','','','',255,6015,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710128,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710129,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710130,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710131,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710132,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710133,'a draconian sentinel','','','','',255,6015,70,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710134,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710135,'Electric Generator','','','','',255,7230,32,0,1,1,0,0,3632,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710136,'Travenro the Skygazer','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710137,'travenro_sky_falling','','','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710138,'Static Generator','','','','',255,7230,32,0,1,1,0,0,3632,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710139,'static defender','','','','',255,7241,32,0,1,1,0,0,3632,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710140,'static medic','','','','',255,3710,32,0,1,1,0,0,3632,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710141,'a juggernaut golem','','','','',255,7600,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710142,'a draconian maintainer','<Thrall of Silverwing>','','','',255,6014,64,0,1,1,0,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710143,'Genaner','Skagerk''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710144,'a firedrake sentry','','','','',255,238,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710145,'Lener','Skagerk''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710146,'Gosantik','Skagerk''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710147,'Lenartik','Skagerk''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710148,'Jenanab','Skagerk''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710149,'Vasarn','Skagerk''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710150,'a magmatic globule','','','','',255,295,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710151,'hoshkar_rock_transport02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,443,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710152,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1386,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710153,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710155,'switch',NULL,'','','',0,6478,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710156,'stasis_chamber',NULL,'','','',0,7628,32,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710157,'ekron_eggs',NULL,'','','',0,7720,64,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710158,'dead_drake',NULL,'','','',0,5995,67,0,1,1,0,0,228,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710159,'ekron_eggs_broken',NULL,'','','',0,7718,64,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710160,'ls_statue_dragon_bust01',NULL,'','','',0,5954,16,0,1,1,0,0,0,0,0,0,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710161,'Rune of Sundering',NULL,'','','',0,2306,96,0,1,1,0,0,16392,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710162,'Rune of Death',NULL,'','','',0,2306,96,0,1,1,0,0,16391,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710163,'switch',NULL,'','','',0,6481,63,0,1,1,609,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710164,'switch',NULL,'','','',0,6480,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710165,'light_center',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,6524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710166,'light_04',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,6524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710167,'light_03',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,6524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710168,'light_02',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,6524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710169,'light_01',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,6524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710170,'Rune of Timesplit',NULL,'','','',0,2306,96,0,1,1,0,0,16394,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710171,'light_game_wall',NULL,'','','',0,7712,32,0,1,1,0,0,15913,0,0,0,0,0,777,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710172,'hive_starter',NULL,'','','',0,5922,160,0,1,1,610,0,6867,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710173,'silverwing_reprogrammer',NULL,'','','',0,2417,80,0,1,1,0,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710174,'elevator_button',NULL,'','','',0,7722,96,0,1,1,611,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710175,'switch',NULL,'','','',0,6479,90,0,1,1,609,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710176,'turret',NULL,'','','',0,7594,20,0,1,1,612,0,3632,0,0,1,0,0,336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710177,'teleporter',NULL,'','','',0,7630,32,0,0,1,0,0,15913,0,0,0,0,0,809,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710178,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710179,'To Jarsath Wastes',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,1301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2710180,'To Trakanon''s Lair',NULL,'','','',0,7630,32,0,0,0,45,0,15913,0,0,1,0,0,809,0,0,0,0,0,33005,0,0,0,0,0,0,0,0,0,0,0),
(2710181,'a possessed glimmer',NULL,'','','',0,7657,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720001,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720002,'Lenarr','Lenarr''s Personae Reflection','','','',9,136,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720003,'Aciaja','Zuksharn''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720004,'a drachnid ritualist','','','','',255,7226,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720005,'a risen tomb keeper','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720006,'a drachnid ritualist','','','','',255,7302,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720007,'a drachnid ritualist','','','','',255,7300,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720008,'a risen tomb keeper','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720009,'a risen tomb keeper','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720010,'a drachnid ritualist','','','','',255,7302,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720011,'a risen tomb keeper','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720012,'a risen tomb keeper','','','','',255,7638,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720013,'Tairiza the Widow Mistress','','','','',255,7227,64,0,1,1,11,0,11113,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720014,'Pokee','Pokee''s Possessed Essence','','','',9,7226,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720015,'Jecogga''s Acid Storm Cell','','','','',255,7230,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720016,'Smashblast''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720017,'Smashblast''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720018,'Smashblast''s thug','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720019,'Marilee''s construct of order','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720020,'Talcice','','','','',255,156,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720021,'Pokee''s Kobtik puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720022,'Pokee''s Xeber puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720023,'Pokee''s Genantik puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720024,'Pokee''s Libarn puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720025,'Windscorn''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720026,'Windscorn''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720027,'Windscorn''s thug','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720028,'Zuksharn''s Spiritual Shrine','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720029,'Cannonphaughter','Bashira''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720030,'Raythe','Raythe''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720031,'Binkey','Xentor''s grim sorcerer','','','',255,7226,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720032,'Strikkeer','','','','',9,112,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720033,'Pokee''s Lonobn puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720034,'Pokee''s Vabantik puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720035,'Pokee''s Genanab puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720036,'Pokee''s Karer puppet','A magical puppet','','','',9,7638,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720037,'Senedin','','','','',255,156,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720038,'Pokee''s Jebann puppet','A magical puppet','','','',9,7300,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720039,'Pokee''s Vibtik puppet','A magical puppet','','','',9,7300,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720040,'Pokee''s Lonartik puppet','A magical puppet','','','',9,7300,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720041,'Pokee''s Gebobab puppet','A magical puppet','','','',9,7300,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720042,'Pokee''s Zarn puppet','A magical puppet','','','',9,7226,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720043,'Pokee''s Xobarer puppet','A magical puppet','','','',9,7226,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720044,'Pokee''s Gosartik puppet','A magical puppet','','','',9,7226,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720045,'Pokee''s Zosanab puppet','A magical puppet','','','',9,7226,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720046,'Raythe''s blighted horde','','','','',255,8714,28,8,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720047,'Raythe''s awaken grave','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720048,'a digestive sac','','','','',255,7466,32,0,1,1,11,0,15818,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720049,'Bashira''s Spiritual Shrine','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720050,'Senedin''s Ring of Fire','','','','',255,4500,112,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720051,'Xentor''s blighted horde','','','','',255,8937,28,8,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720052,'Senedin''s ball lightning','','','','',255,7241,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720053,'a summoned spiderling','','','','',255,243,28,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720054,'Thuuga the Serpent Lord','','','','',255,7638,73,0,1,1,0,0,16011,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720055,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2720057,'To Fens of Nathsar',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730000,'','','','','',255,5597,88,8,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730001,'a sathirian raider','','','','',255,1575,50,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730002,'a dead sathirian raider','','','','',255,1573,34,2,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730003,'a chokidai gnawer','','','','',255,7321,25,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730004,'a dead sarnak','','','','',255,7356,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730005,'a Bathezid battler','','','','',255,7157,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730006,'a sokokar devourer','','','','',255,7253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730007,'a Bathezid veteran','','','','',255,7157,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730008,'a Bathezid sentinel','','','','',255,7368,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730009,'a Bathezid defender','','','','',255,7368,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730010,'','','','','',255,7241,39,7,1,1,0,0,3679,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730011,'a Bathezid aerodrome sentry','','','','',255,7368,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730012,'a Bathezid shadow guard','','','','',255,7157,51,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730013,'a Bathezid sky cavalry trainee','','','','',255,7368,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730014,'a sokokar ravager','','','','',255,7253,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730015,'a Bathezid beast handler','','','','',255,7368,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730016,'Master Skyrider Koonzid','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730017,'The Malefic Formation','','','','',255,3688,160,0,1,1,11,0,3679,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730018,'a blightscale infiltrator','','','','',255,6015,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730019,'a Bathezid dragoon','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730020,'a dead droag','','','','',255,6015,41,2,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730021,'a Bathezid vanguard','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730022,'a dead sarnak','','','','',255,7368,51,6,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730023,'a Bathezid enchanter','','','','',255,7356,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730024,'a chokidai bloodhound','','','','',255,7321,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730025,'a Nak''azar blackguard','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730026,'a Nak''azar ambusher','','','','',255,7157,54,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730027,'a Nak''azar wrangler','','','','',255,7157,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730028,'Wildhorn the Rampager','','','','',255,266,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730029,'a Bathezid beast tamer','','','','',255,7157,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730030,'a Nak''azar zealot','','','','',255,7356,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730031,'a Nak''azar high guard','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730032,'a Bathezid gatekeeper','','','','',255,7157,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730033,'a trampled iksar','<The Sathirian Empire>','','','',255,1574,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730034,'Lanab','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730035,'Vonaner','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730036,'The Chardok Trampler','','','','',255,160,256,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730037,'a drenched zombie','<Shade of a Buccaneer>','','','',9,4562,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730038,'The Reservoir Defender','','','','',255,5771,160,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730039,'Gebekab','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730040,'a grime crawler','','','','',255,7252,64,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730041,'a Villisis dweller','','','','',255,181,60,3,1,1,11,0,15913,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730042,'a sokokar thrasher','','','','',255,7253,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730043,'a Nak''azar slayer','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730044,'a Nak''azar myrmidon','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730045,'a sky watcher','','','','',255,1370,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730046,'The Bridge Keeper','','','','',255,7246,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730047,'a scalewing invader','','','','',255,7185,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730048,'Warlord Hir''roul','<The Nak''azar Brigade>','','','',255,7368,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730049,'a Nak''azar heretic','','','','',255,7356,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730050,'a Nak''azar gatekeeper','','','','',255,7157,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730051,'a Nak''azar thaumaturgist','','','','',255,7356,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730052,'a blightscale intruder','','','','',255,6015,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730053,'a Nak''azar rearguard','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730054,'a Nak''azar legionnaire','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730055,'a Nak''azar ritualist','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730056,'a Nak''azar diabolist','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730057,'an imperial golem','','','','',255,7246,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730058,'Gaodon','<The Shackle Keeper>','','','',255,7251,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730059,'Gaodon','<The Heart Keeper>','','','',255,7251,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730060,'Silzok Foi''zarth','<The Master Animator>','','','',255,7356,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730061,'a Caroeth vanquisher','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730062,'a Caroeth ridgeguard assassin','','','','',255,7157,54,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730063,'Zosekn','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730064,'Vabarer','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730065,'Labtik','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730066,'Foshia''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730067,'Foshia''s protoflame','','','','',255,2360,37,5,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730068,'a Nak''azar prison guard','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730069,'a chokidai mangler','','','','',255,7321,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730070,'A Nak''azar slayer''s grave sacrament','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730071,'a Nak''azar enforcer','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730072,'a Nak''azar enforcer','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730073,'Stiania''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730074,'Gonaner','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730075,'Kaseker','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730076,'a barracks servant','','','','',255,7157,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730077,'a Caroeth vindicator','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730078,'an enchanted barricade','','','','',255,6284,160,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730079,'a Caroeth battlepriest','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730080,'Warlord Kilrok Caroeth','<The Caroeth Brigade>','','','',255,7368,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730081,'a Caroeth gatekeeper','','','','',255,7157,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730082,'a Caroeth battlemage','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730083,'a chokidai warhound','','','','',255,7321,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730084,'a Caroeth battlepriest','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730085,'an imperial rampart','','','','',255,162,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730086,'an imperial rampart','','','','',255,162,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730087,'an imperial construct','','','','',255,7246,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730088,'a Chardok guardian','','','','',255,160,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730089,'a Chardok guardian','','','','',255,160,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730090,'an imperial rampart','','','','',255,162,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730091,'a Gorowyn knight dragoon','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730092,'a Chardok guardian','','','','',255,160,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730093,'a Chardok guardian','','','','',255,160,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730094,'an imperial rampart','','','','',255,162,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730095,'an imperial rampart','','','','',255,162,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730096,'a Chardok guardian','','','','',255,160,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730097,'a Chardok guardian','','','','',255,160,320,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730098,'a Gorowyn high priest','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730099,'a Gorowyn knight sentinel','','','','',255,7368,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730100,'a sokokar menacer','','','','',255,7253,55,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730101,'a Gorowyn archimage','','','','',255,7356,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730102,'a blightscale marauder','','','','',255,6014,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730103,'a blightscale master slayer','','','','',255,6015,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730104,'Gonn','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730105,'Vantik','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730106,'Kabarer','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730107,'Stalis Ra''Dal','<The Grand Seer>','','','',255,7356,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730108,'a Gorowyn scepter','','','','',255,7356,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730109,'Kromikus Di''Zok','<The Chardok Chancellor>','','','',255,7356,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730110,'an Immortal guardian','','','','',255,7315,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730111,'','','','','',255,5987,64,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730112,'Re''Adon','<The Bookkeeper>','','','',255,7246,54,0,1,1,772,0,9232,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730113,'a Gorowyn regal knight','','','','',255,7368,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730114,'Otzal Di''Zok','<Di''Zok Organ Tuner>','','','',255,7368,70,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730115,'a Gorowyn hierophant','','','','',255,7356,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730116,'Nortalz Di''Zok','<The Chardok Champion>','','','',255,7368,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730117,'a book of dissolution','','','','',255,280,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730118,'a book of subjugation','','','','',255,282,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730119,'a book of wrath','','','','',255,281,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730120,'A Gorowyn regal knight''s grave sacrament','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730121,'Gorogon','<The Fortune Keeper>','','','',255,7247,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730122,'an Immortal knight','','','','',255,7315,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730123,'Vebaner','Queen Velazul Dizok''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730124,'Queen Velazul Dizok','<The Chardok Apotheosis>','','','',255,7356,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730125,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730126,'Gonn','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730127,'spinning bridge',NULL,'','','',0,49,4326,0,1,1,26,0,0,0,0,1,0,0,961,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730128,'sarnak mastery',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730129,'chardok_palace_wall_door_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730130,'chardok_library_wall_door_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,386,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730131,'chardok_palace_wall_door_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730132,'chardok_library_wall_door_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,386,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730133,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730134,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730135,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730136,'fprt_crate_large_militaryboarded01',NULL,'','','',0,6263,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730138,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730139,'a wooden cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730140,'switch',NULL,'','','',0,7743,80,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730141,'chardok_entrance_sokokar_post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730142,'barricade_long',NULL,'','','',0,7748,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730143,'barricade_short',NULL,'','','',0,7748,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730144,'chardok_gate_force_field',NULL,'','','',0,7237,128,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730145,'fprt_crate_small_military01',NULL,'','','',0,6264,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730146,'nakazar_cavern_sokokar_post',NULL,'','','',0,7625,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730147,'effect, result dust blast',NULL,'','','',0,6313,11,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730148,'dpo_invisible_cube',NULL,'','','',0,4643,48,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730149,'?',NULL,'','','',0,2997,32,0,1,1,771,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730150,'?',NULL,'','','',0,3322,32,0,1,1,771,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730151,'qst_coercer_epic_hingestone',NULL,'','','',0,2483,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730152,'?',NULL,'','','',0,7735,16,0,1,1,771,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730153,'?',NULL,'','','',0,7736,25,0,1,1,771,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730154,'krom_stone04',NULL,'','','',0,7397,63,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730155,'switch',NULL,'','','',0,7744,80,0,1,1,616,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730156,'zone_to_kylong_plains',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730157,'The Horn of Zet',NULL,'','','',0,2306,32,0,1,1,647,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730158,'The Horn of Kab',NULL,'','','',0,2306,32,0,1,1,647,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730159,'flame_of_shazzuk',NULL,'','','',0,2025,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730160,'The Horn of Myr',NULL,'','','',0,2306,32,0,1,1,647,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730161,'The Horn of Vul',NULL,'','','',0,2306,32,0,1,1,647,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730162,'The Horn of Roehn',NULL,'','','',0,2306,32,0,1,1,647,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730163,'The Horn of Uzu',NULL,'','','',0,2306,32,0,1,1,647,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730164,'Totem of Iar''Eno',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730165,'Totem of Iar''Owt',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730166,'',NULL,'','','',0,7649,32,0,1,1,0,0,11550,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730167,'kromhair lariat',NULL,'','','',0,3574,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730168,'Totem of Iar''Ethre',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730169,'mincemeat stack',NULL,'','','',0,3572,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730170,'statue_of_thi_zok',NULL,'','','',0,1987,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730171,'Instafizz Fuzzlecutter',NULL,'','','',0,2614,32,0,1,1,0,0,1863,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730172,'bathezid blasting keg',NULL,'','','',0,5008,32,0,1,1,0,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730173,'jug of sokokar water',NULL,'','','',0,2144,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730174,'The Temple of Kor-Sha',NULL,'','','',0,49,32,0,0,0,773,0,0,0,0,1,0,0,257,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730175,'Totem of Iar''Xis',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730176,'Totem of Iar''Rofu',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730177,'Nak''azar chest',NULL,'','','',0,4015,51,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730178,'hanging tower weal link01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730179,'Nak''azar titan',NULL,'','','',0,160,316,0,1,1,0,0,9232,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730180,'Totem of Iar''Venes',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730181,'eye_of_gorowyn',NULL,'','','',0,4733,96,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730182,'Totem of Iar''Efiv',NULL,'','','',0,7649,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730183,'',NULL,'','','',0,7649,32,0,1,1,0,0,11549,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730184,'hand_of_the_lady_of_the_rose',NULL,'','','',0,1617,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730185,'zone_to_court_of_korucust',NULL,'','','',0,49,32,0,0,0,774,0,0,0,0,1,0,0,288,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730186,'caroeth_flavor_syrup',NULL,'','','',0,3188,32,0,1,1,775,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730187,'',NULL,'','','',0,7649,32,0,1,1,0,0,11551,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730188,'runes_of_gor',NULL,'','','',0,7649,19,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730189,'Caroeth chest',NULL,'','','',0,4015,37,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730190,'',NULL,'','','',0,279,64,0,1,1,37,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730191,'',NULL,'','','',0,279,64,0,1,1,37,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730192,'',NULL,'','','',0,279,64,0,1,1,37,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730193,'Tightly Locked Chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2730194,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750000,'Nexuz','','','','',0,7235,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750001,'Sarek','','','','',0,5006,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750002,'Jeanluke','','','','',0,5946,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750003,'Georgeharrison','','','','',0,7394,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750004,'Spectral Assassin','','','','',0,5002,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750005,'Frozen Maji','','','','',0,2365,16,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750006,'Rawr','','','','',0,5006,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750007,'Ribbit','','','','',0,7395,16,0,1,1,39,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750008,'Jessica','','','','',0,5006,96,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750009,'Igor','','','','',0,5946,96,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750010,'Noobface','','','','',0,7394,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750011,'Brighid','','','','',0,5006,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750012,'Uhura','','','','',0,5006,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750013,'a Gigglegibber Apprentice','','','','',0,7039,32,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750014,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750015,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750016,'An Ancient Neriak Scroll',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750017,'Trophy: Earthblade',NULL,'','','',0,2260,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750018,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750019,'Trophy: Lady Fiana''s Gentle Suggestion',NULL,'','','',0,3823,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750020,'Treants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750021,'Trophy: The Lumberjack',NULL,'','','',0,2252,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750022,'A Maj''Dul Gazing Orb',NULL,'','','',0,5264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750023,'Trophy: Talon of the Aviaks',NULL,'','','',0,2229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750024,'Trophy: The Honey Sting',NULL,'','','',0,3849,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750025,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750026,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750027,'Know Your Golems',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750028,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750029,'The Legendary Glowing Black Stone',NULL,'','','',0,1883,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750030,'First Flight',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750031,'Know Your Bixies',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750032,'Scales in Balance',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750033,'Moving Crate',NULL,'','','',0,2143,32,0,1,1,16,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750034,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750035,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750036,'an enchanter''s candelabra',NULL,'','','',0,2090,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750037,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750038,'Miniature Replica Statue: Domination',NULL,'','','',0,9094,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750039,'Trophy: A Sharp Wooden Stake',NULL,'','','',0,6983,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750040,'The Legendary Greater Lightstone',NULL,'','','',0,2204,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750041,'Trophy: The Pendulum',NULL,'','','',0,4057,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750042,'Trophy: Vhoren''s Seed',NULL,'','','',0,5872,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750043,'Trophy: Obrel''s Gambit',NULL,'','','',0,2892,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750044,'Trophy: Minotaur Protection Symbol ',NULL,'','','',0,6077,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750045,'Trophy: Kobold Runed Claws',NULL,'','','',0,4006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750046,'Tin Metal Helm of Protection',NULL,'','','',0,8133,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750047,'Trophy: Fist of Mediation',NULL,'','','',0,6339,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750048,'Certificate of Service to the State',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750049,'The Legendary Stein of Moggok',NULL,'','','',0,4715,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750050,'Glittering Temptation',NULL,'','','',0,2244,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750051,'Treasure Hoard',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750052,'Mounted Fish',NULL,'','','',0,7380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750053,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750054,'Everburning Gnomish Love',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750055,'a finished Wantia armoire',NULL,'','','',0,6484,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750056,'a Wantia canopy bed',NULL,'','','',0,6380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750057,'Lamp of Devotion',NULL,'','','',0,6385,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750058,'The Legendary Serrated Bone Dirk',NULL,'','','',0,2384,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750059,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750060,'Trophy: The Darkmoon Crescent',NULL,'','','',0,3797,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750061,'Trophy: Silbern''s Sword ',NULL,'','','',0,6410,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750062,'Trophy: Sir Altan''s Strike',NULL,'','','',0,2524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750063,'Trophy: Shattersong',NULL,'','','',0,3280,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750064,'Trophy: Gokra Gesh''s Snare',NULL,'','','',0,1636,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750065,'Trophy: Hogran''s Halberd',NULL,'','','',0,3838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750066,'Trophy: D''Vorlian''s Crudgel',NULL,'','','',0,4053,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750067,'Trophy: Clockwork Cog',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750068,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750069,'The Legendary Hierophant''s Crook',NULL,'','','',0,2425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750070,'The Antonican Snowglobe',NULL,'','','',0,7065,32,0,1,1,849,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750071,'The Orcs of Norrath',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750072,'Mounted Scepter of Fyr',NULL,'','','',0,9398,32,0,1,1,851,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750073,'The Far Pelican',NULL,'','','',0,5638,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750074,'Bird Watching - The Beast of the Enchanted Lands, Part II',NULL,'','','',0,8317,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750075,'Enchanted Lands Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750076,'Halls of the Dead Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750077,'The Merchant''s Deal',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750078,'A History of the Order of Nektulos',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750079,'Welcome to Qeynos, Citizen! - 2nd Edition',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750080,'The Blood of the Bear, Part Two',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750081,'Rise of the Orcs - The Rejoining',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750082,'Painting: Vengeful Gods',NULL,'','','',0,12871,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750083,'Obligation and Duty',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750084,'The Words of the Avatar',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750085,'The Tragic Tale of Brother Balatin',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750086,'The Tale of Brother Zephyl',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750087,'The Monastery of the Lost Circle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750088,'The Founding of the Whistling Fists Clan',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750089,'The Tale of Brother Qwinn',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750090,'Quill of a Maj''Dul Poet',NULL,'','','',0,8637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750091,'Frostfell Greeting Card',NULL,'','','',0,7964,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750092,'Qeynosian Commendation for Material Assistance',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750093,'Miniature Replica Statue: Resolution',NULL,'','','',0,9095,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750094,'The Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750095,'Rise of the Orcs - The Rousing',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750096,'Rise of the Orcs - The Deadtime',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750097,'An Ancient Erudin Scroll',NULL,'','','',0,3214,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750098,'Certificate: Treasure Hunter',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750099,'The Eye of the Night',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750100,'The Precious Fairy Book',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750101,'Trinni''s Adventures Aloft',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750102,'The Lore of Fauna: The Behemoth',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750103,'Clockwork Chirurgeon User Manual',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750104,'Order Book: Blackshield Landing Party',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750105,'The Storm Shepherds - Gremius Hazzengrav',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750106,'The Legendary Flowing Black Silk Sash',NULL,'','','',0,4439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750107,'Fauna of the Enchanted Lands L - Z',NULL,'','','',0,8318,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750108,'Fauna of the Enchanted Lands A - K',NULL,'','','',0,8318,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750109,'Bird Watching - The Beast of the Enchanted Lands, Part I',NULL,'','','',0,8317,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750110,'Motor Commotion all for Emotion',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750111,'A Dwarf''s Guide to Surviving a Minotaur Attack.',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750112,'Shepherd of the Celestial Watch',NULL,'','','',0,3032,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750113,'Smiting of the Werewolf',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750114,'The Ant Tale',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750115,'Frostfell Wishes Greeting Card',NULL,'','','',0,7966,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750116,'The Tenebrous Tangle Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750117,'Certificate: Lore Seeker',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750118,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750119,'The Great Flood of Blackburrow',NULL,'','','',0,2599,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750120,'Replica: Soulfire',NULL,'','','',0,7357,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750121,'Dalron''s Small Black Book',NULL,'','','',0,2596,12,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750122,'The Storm Shepherds - The Calm',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750123,'Zoe''s Wild Deck of Playing Cards',NULL,'','','',0,3173,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750124,'Geomancy',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750125,'Drakota',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750126,'The Undead of Ro - Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750127,'Pillars of Flame Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750128,'The Cleft Dweller',NULL,'','','',0,2601,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750129,'Sinking Sands Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750130,'Maj''Dul Inhabitants Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750131,'The Bonemire Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750132,'The Barren Sky Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750133,'The Nightblood',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750134,'Feerrott Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750135,'The Prophetic Mystery',NULL,'','','',0,3323,25,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO `spawn` VALUES
(2750136,'Edicts of the Emperor',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750137,'A Tome of True Crushbone History',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750138,'Destroy All Vampires!',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750139,'Mistmoore Piano',NULL,'','','',0,6962,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750140,'The Legendary Tobrin''s Mystical Eyepatch',NULL,'','','',0,4439,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750141,'The Legendary Polished Granite Tomahawk',NULL,'','','',0,2450,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750142,'The Legendary Shiny Brass Halberd',NULL,'','','',0,2219,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750143,'The Legendary Ghoulbane',NULL,'','','',0,2259,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750144,'The Legendary Short Sword of the Ykesha',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750145,'The Legendary Crown of King Tranix',NULL,'','','',0,4713,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750146,'1st Lieutenant Mugreeza, 290 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750147,'1st Lieutenant Dergud, 279 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750148,'An Ancient Grobb Scroll',NULL,'','','',0,3213,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750149,'Ancient Froglok Talisman',NULL,'','','',0,4915,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750150,'a goblin''s notebook - The Hideout',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750151,'War of Fay: The Eve of Battle',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750152,'War of Fay: Kaladim',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750153,'Desert Rose Cushion',NULL,'','','',0,8633,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750154,'a feather-stuffed pillow',NULL,'','','',0,2751,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750155,'Silk Cushion of the Desert Bloom',NULL,'','','',0,8634,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750156,'A Book of Gnollish Orders',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750157,'An Ancient Ak''Anon Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750158,'A Gnollish Contingency Book',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750159,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750160,'Zatirre''s First Zombie',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750161,'Life Among the Goblins',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750162,'A Frostfell Carol',NULL,'','','',0,3322,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750163,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750164,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750165,'Granville''s Dining Table',NULL,'','','',0,2780,56,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750166,'The Trials of Sir Morgan',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750167,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750168,'Skeletons',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750169,'Summoning an Elemental',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750170,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750171,'a fairy lantern',NULL,'','','',0,9686,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750172,'The Nine Contemplations',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750173,'Cylinder of Growth',NULL,'','','',0,8632,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750174,'Mother of Pearl Inlaid End Table',NULL,'','','',0,8636,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750175,'Seat of a Maj''Dul Artist',NULL,'','','',0,8848,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750176,'Armoire of the Forest Sprite',NULL,'','','',0,8850,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750177,'Chair of the Acorn Scholar',NULL,'','','',0,8629,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750178,'Refreshment in Maj''Dul',NULL,'','','',0,8643,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750179,'The docks at sunset',NULL,'','','',0,5273,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750180,'The Legendary Dwarven Work Boots',NULL,'','','',0,868,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750181,'The Legendary Robe of the Oracle',NULL,'','','',0,4439,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750182,'The Dwarven Ringmail Tunic',NULL,'','','',0,4015,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750183,'a Teddy Burynai',NULL,'','','',0,8086,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750184,'an Erollisi Teddy Bear',NULL,'','','',0,3836,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750185,'green and black candles',NULL,'','','',0,6705,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750186,'orange and black candles',NULL,'','','',0,6706,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750187,'Egg Warmer',NULL,'','','',0,2571,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750188,'bottle of glowing material',NULL,'','','',0,8791,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750189,'a pristine Freeport coffee table',NULL,'','','',0,2208,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750190,'a pristine oggokian chair',NULL,'','','',0,2055,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750191,'Frostfell Wreath',NULL,'','','',0,7073,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750192,'Book of the Dead',NULL,'','','',0,3322,32,0,1,1,440,0,1796,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750193,'Frostfell Snowglobe',NULL,'','','',0,7059,32,0,1,1,1023,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750194,'a mounted dreadsnout head',NULL,'','','',0,2111,32,0,1,1,0,0,491,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750195,'The Volcanic Snowglobe',NULL,'','','',0,7061,32,0,1,1,1024,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750196,'The Everling Snowglobe',NULL,'','','',0,7063,32,0,1,1,1025,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750197,'The Fae Snowglobe',NULL,'','','',0,7060,32,0,1,1,1026,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750198,'The Bixie Snowglobe',NULL,'','','',0,7058,32,0,1,1,1027,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750199,'The Gorowyn Snowglobe',NULL,'','','',0,7970,32,0,1,1,1023,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750200,'The Mystical Snowglobe',NULL,'','','',0,7064,32,0,1,1,1028,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750201,'The Thulian Snowglobe',NULL,'','','',0,7057,32,0,1,1,1029,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750202,'The Neriak Snowglobe',NULL,'','','',0,7971,32,0,1,1,1023,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750203,'The Dervish Snowglobe',NULL,'','','',0,7062,32,0,1,1,1030,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750205,'swaying yellow paper lantern',NULL,'','','',0,7979,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750206,'Granville''s Coffee Table',NULL,'','','',0,2208,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750207,'Berry Good Woven Basket',NULL,'','','',0,8628,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750208,'Cup of the Desert Nomad',NULL,'','','',0,8630,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750209,'Desert Scarab',NULL,'','','',0,8635,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750210,'Jug of the Desert Nomad',NULL,'','','',0,8631,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750211,'a Freeport fire pot',NULL,'','','',0,3465,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750212,'a wailing bone cage',NULL,'','','',0,2628,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750213,'painting of a knight champion',NULL,'','','',0,7612,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750214,'decorative runed crescent axe',NULL,'','','',0,8813,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750215,'Fae Distillery',NULL,'','','',0,6967,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750216,'Overlord Lucan D''Lere',NULL,'','','',0,3907,43,0,1,1,844,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750217,'an ornate display case',NULL,'','','',0,4461,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750218,'an erudin crucible',NULL,'','','',0,3302,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750219,'a fairy lantern',NULL,'','','',0,8341,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750220,'Anointed Altar Bowl of Bertoxxulous',NULL,'','','',0,1522,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750221,'Marble Effigy of Al''Kabor',NULL,'','','',0,12452,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750222,'Cushion of the Crimson Heart',NULL,'','','',0,8851,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750223,'an unfinished Wantia armoire',NULL,'','','',0,6384,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750224,'Praise the Prince of Hate',NULL,'','','',0,2705,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750225,'a wooden pet cage',NULL,'','','',0,2559,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750226,'wild honeysuckle',NULL,'','','',0,10458,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750227,'Magical Yellow Drake Plushie',NULL,'','','',0,6529,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750228,'a red holiday candle',NULL,'','','',0,7975,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750229,'Daughter of the Void',NULL,'','','',0,4287,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750230,'Eternity''s tomb unveiled',NULL,'','','',0,5274,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750231,'Dawn: The Blackburrow Bridge',NULL,'','','',0,4361,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750232,'Have no Fear',NULL,'','','',0,4253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750233,'Tears of Cazic-Thule',NULL,'','','',0,4229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750234,'fires of anguish',NULL,'','','',0,8144,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750235,'Sturdy Beech Wood Armchair',NULL,'','','',0,1391,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750236,'Erollisi Mistletoe',NULL,'','','',0,7973,67,0,1,1,1031,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750237,'decorative square-headed axe',NULL,'','','',0,8809,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750238,'decorative runed executioner''s axe',NULL,'','','',0,8815,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750239,'decorative runed battleaxe',NULL,'','','',0,8811,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750240,'decorative executioner''s axe',NULL,'','','',0,8814,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750241,'decorative dwarven battleaxe',NULL,'','','',0,8810,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750242,'decorative cleaver',NULL,'','','',0,8816,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750243,'decorative ceremonial hatchet',NULL,'','','',0,8812,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750244,'decorative ceremonial dwarven pickaxe',NULL,'','','',0,8817,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750245,'Decorative Frostfell Greeting Card',NULL,'','','',0,9688,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750246,'Tapestry of the Bard',NULL,'','','',0,11454,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750247,'The Trainee''s Test',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750248,'The History of Halflings',NULL,'','','',0,2597,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750249,'The History of Dwarves',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750250,'The History of Erudites',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750251,'The History of the Fae',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750252,'The History of Iksar',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750253,'The History of the Trolls',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750254,'The History of the Teir''Dal',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750255,'The History of Ratonga',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750256,'The History of Gnomes',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750257,'The History of Koada''Dal',NULL,'','','',0,2597,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750258,'An Ancient Rivervale Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750259,'An Ancient Halas Scroll',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750260,'Bert''s Big Book of Health',NULL,'','','',0,8187,32,0,1,1,440,0,7104,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750261,'The Idol of Everling',NULL,'','','',0,1987,38,0,1,1,0,0,1426,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750262,'The History of Ogres',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750263,'A History of the Centaur',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750264,'Handbook of the Coalition of Tradesfolke',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750265,'The Oops Factor',NULL,'','','',0,2603,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750266,'Shimmering Citadel Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750267,'The Blood of the Bear, Part Three',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750268,'The Blood of the Bear, Part One',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750269,'vase of gold mechanosynthetic roses',NULL,'','','',0,8789,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750270,'a pristine maple bookcase',NULL,'','','',0,1967,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750271,'The Journal of Rocco Barisano',NULL,'','','',0,3034,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750272,'Welcome to Haven',NULL,'','','',0,3037,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750273,'The Great Flood of Blackburrow',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750274,'The Haunting',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750275,'What We Know of Kunark',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750276,'Paying Homage to the Past',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750277,'The Mariner''s Lament',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750278,'Splitpaw Down Under, Part One',NULL,'','','',0,2597,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750279,'A Mysterious Red Tome',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750280,'The Far Side of Tears, Part Four',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750281,'The Far Side of Tears, Part Three',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750282,'The Far Side of Tears, Part Two',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750283,'The Far Side of Tears, Part One',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750284,'Gnomes and the Art of Clockwork Maintenance',NULL,'','','',0,3031,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750285,'War of Fay: Armies Across the Sea',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750286,'War of Fay: Crossing the Faydark',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750287,'War of Fay: Death',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750288,'War of Fay: Felwithe',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750289,'The Storm Shepherds - The Downpour',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750290,'The History of Ayr''Dal',NULL,'','','',0,2598,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750291,'Frostfell Carol Greeting Card',NULL,'','','',0,7965,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750292,'Frostfell Feast Greeting Card',NULL,'','','',0,7967,38,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750293,'\"The Varsoon Collection, Volume 1 - Varsoon and the Combine Era\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750294,'Jerb Northstar''s Journal',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750295,'1st Lieutenant Dergud, 263 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750296,'Handbook of the Ironforge Exchange',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750297,'Handbook of the Dark Bargainers',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750298,'More Adventures of Jorbo and Mappy',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750299,'Words to Remember - by Mother Deasie',NULL,'','','',0,8314,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750300,'Even More Adventures of Jorbo and Mappy',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750301,'Nektulos Forest, by Torq De''Rech',NULL,'','','',0,3323,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750302,'Remembrances - DyzAz',NULL,'','','',0,8316,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750303,'Welcome to Kelethin!',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750304,'The Freeport Citizen''s Guide to Opportunity - 2nd Edition',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750305,'the light of Kejaan',NULL,'','','',0,2083,34,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750306,'Tome of Order and Discord',NULL,'','','',0,9418,32,0,1,1,440,0,9733,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750307,'Handbook of the Academy of Logistics',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750308,'Rise of the Orcs - The Fall',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750309,'\"Dragoon Zytl - Blood Rank\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750310,'Foreman Garz''gog Dyeree',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750311,'Bestest Orc Emperors',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750312,'\"The Monsters\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750313,'\"Dragoon Zytl - Black Rank\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750314,'Seeress Ealaynya Ithis''s Prophecies: Book Three',NULL,'','','',0,3032,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750315,'Basic Mining Guide, Part One',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750316,'The History of Feir''Dal',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750317,'The History of Barbarians',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750318,'twin candle wall sconce',NULL,'','','',0,6945,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750319,'The Legendary Guise of the Deceiver',NULL,'','','',0,4440,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750320,'The Legendary Fishbone Earring',NULL,'','','',0,4439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750321,'a magical zealot''s tray',NULL,'','','',0,4441,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750322,'a lion''s palm table',NULL,'','','',0,4446,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750323,'The History of Kerra',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750324,'\"Bird Watching - The Do''s and Don''ts of Nektulos Forest\"',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750325,'An Old Cookbook',NULL,'','','',0,2600,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750326,'an ancient ark',NULL,'','','',0,3091,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750327,'grinnin bones',NULL,'','','',0,2430,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750328,'The Murkies',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750329,'a pristine light ash office chair',NULL,'','','',0,2637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750330,'The Legendary Electrified Bone Bladed Claymore',NULL,'','','',0,2541,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750331,'The Storm Shepherds - Darnalithenis of Felwithe',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750332,'Identifying Beetles',NULL,'','','',0,3037,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750333,'\"Dragoon Zytl - Green Rank\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750334,'\"The Varsoon Collection, Volume 2 - The Quest for Immortality\"',NULL,'','','',0,3035,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750335,'Quotes of General Urduuk',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750336,'Temple of Life',NULL,'','','',0,9110,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750337,'Collected Stories of Serpent Sewer',NULL,'','','',0,3037,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750338,'The Tale of Tirazzah',NULL,'','','',0,3037,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750339,'Commonlands Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750340,'Creatures of the Creators Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750341,'Fire and Ice Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750342,'Freeport Sewers Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750343,'Nektulos Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750344,'Outlying Freeport Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750345,'Outlying Qeynos Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750346,'Qeynos Catacombs Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750347,'Steppes Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750348,'The Minions of the Mighty Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750349,'Zek Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750350,'Antonica Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750351,'The History of Humans',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750352,'The Wall',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750353,'At Low Tide',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2750354,'Clefts of Rujark Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760000,'a drolvarg butcher','','','','',255,7424,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760001,'a drolvarg butcher','','','','',255,7424,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760002,'a drolvarg butcher','','','','',255,7424,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760003,'a drolvarg butcher','','','','',255,7423,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760004,'Pawbuster','','','','',255,7598,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760005,'a drolvarg butcher','','','','',255,7424,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760006,'a drolvarg butcher','','','','',255,7423,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760007,'a drolvarg butcher','','','','',255,7424,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760008,'a drolvarg butcher','','','','',255,7423,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760009,'a guardian wurm','','','','',255,7297,64,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760010,'a drolvarg champion','','','','',255,7424,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760011,'pit_grate',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760012,'switch',NULL,'','','',0,6478,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760013,'dead_drake',NULL,'','','',0,5995,67,0,0,0,0,0,228,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760014,'switch',NULL,'','','',0,6479,90,0,1,1,609,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760015,'dead_sarnak',NULL,'','','',0,7356,32,0,1,1,0,0,228,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760016,'dead_goblin',NULL,'','','',0,7296,32,0,1,1,0,0,228,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760017,'dead_droag',NULL,'','','',0,6017,64,0,1,1,0,0,228,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760018,'dead_drolvarg',NULL,'','','',0,7424,64,0,1,1,0,0,228,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760019,'blood_puddle',NULL,'','','',0,2306,32,0,1,1,0,0,16027,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2760020,'dead_wurm',NULL,'','','',0,7297,32,0,1,1,0,0,228,0,0,0,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770000,'an archaic sebilisian guardian','','','','',255,7454,57,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770001,'an Askalan Seer','','','','',255,7638,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770002,'Wymbulu Vyx','<Warchief of the Karengi>','','','',255,7638,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770003,'an Askalan Hierophant','','','','',255,7638,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770004,'Doomcoil','<The Sebilisian Horror>','','','',255,4662,332,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770005,'Blorgok the Brutal','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770006,'Meldrath Kloktik','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770007,'a froglok mercenary','','','','',255,7395,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770008,'Jracol Binari','','','','',9,132,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770009,'Ludmila Kystov','','','','',6,132,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770010,'Iztapa Vyx','<Warchief of the Pyaza>','','','',255,7638,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770011,'Zykluk Vyx','<Warchief of the Utala>','','','',255,7638,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770012,'Adkar Vyx','<Warchief of the Asakla>','','','',255,7638,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770013,'Imzok''s Revenge','<The Sebilite Protector>','','','',255,7247,102,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770014,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770015,'cobra wall 2',NULL,'','','',0,4544,40,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770016,'cobra wall',NULL,'','','',0,4544,40,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770017,'an invis cube to play effect',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770018,'a large pillar',NULL,'','','',0,2903,49,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2770019,'zone_to_sebilis',NULL,'','','',0,7711,60,0,1,1,723,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780000,'a weak sparring partner','','','','',6,78,31,1,1,1,11,0,0,1,1,1,0,0,30,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780001,'an average sparring partner','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780002,'a formidable sparring partner','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780003,'a cow','','','','',255,2456,29,4,1,1,0,0,0,0,0,1,0,0,35,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780004,'a shipwrecked explorer','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780005,'a shipwrecked swashbuckler','','','','',9,4543,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780006,'a Tunarian protector','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780007,'a Tunarian mourner','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780008,'a Tunarian gravedigger','','','','',15,114,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780009,'a wilderwolf','','','','',255,216,22,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780010,'a trained wolf','','','','',255,216,22,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780011,'a Tunarian wolfmaster','','','','',15,114,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780012,'a shoal glider','','','','',255,254,48,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780013,'a large sand tortoise','','','','',255,215,41,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780014,'a triggerfish','','','','',255,204,28,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780015,'a Tunarian fisher','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780016,'a reef turtle','','','','',255,218,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780017,'a sawtooth shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780018,'a sand tortoise','','','','',255,215,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780019,'Priestess Xaliea','','','','',6,116,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780020,'Bobble Whirlwidget','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780021,'Hogga Irongut','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780022,'Bladefin','','','','',255,242,38,0,1,1,11,0,0,1,1,1,0,1,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780023,'a sandstalker','','','','',255,210,12,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780024,'a needlefang','','','','',255,194,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780025,'Zito Graban','','','','',13,68,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780026,'Wix Wimblewick','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780027,'Oolar Omafa','<Guard>','','','',3,1604,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780028,'Kurgle Frogbane','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780029,'Callus Magnus','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780030,'Ashir','<Fishmonger>','','','',11,100,32,0,1,1,10,1265,0,0,0,1,0,0,38,0,0,0,0,29475,0,0,0,0,0,0,0,0,0,0,0,0),
(2780031,'Anius Oakwind','','','','',255,2864,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780032,'a vicious sandstalker','','','','',255,210,19,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780033,'Sirsi Rissar','','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780034,'Ebb Tide','<General Goods>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,29479,0,0,0,0,0,0,0,0,0,0,0,0),
(2780035,'Trainer Vissa Sathliss','<Knowledge of Repairs and Banking>','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780036,'Trainer Corx Knickknack','<Know Your Inventory and Equipment>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780037,'a Militia patroller','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780038,'Tayil N''Velex','<Emissary of the Overlord>','','','',1,116,32,0,1,1,9,0,0,0,0,0,0,0,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780039,'Gethe Huggs','<Collector>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780040,'a small sand tortoise','','','','',255,215,22,0,1,1,11,0,0,1,1,1,0,0,9,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780041,'Trainer Sythor the All-Seeing','<Keeper of Magical and Martial Knowledge>','','','',9,1597,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780042,'Trainer Arthur Merrin','<Skilled Artisan and Crafter>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780043,'Captain Pinious','<Know Your Place in the World>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780044,'Trainer Jayla Surfrider','<Know Your Fate>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780045,'Trainer Darg Frostwind','<Master of Combat Training>','','','',0,1469,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780046,'Greshar','<Mender>','','','',11,102,32,0,1,1,12,9,0,0,0,1,0,0,38,91,91,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2780047,'Visage of the Overlord','','','','',9,3907,64,0,0,0,0,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780048,'Trainer Nogg Dreadscar','<Expert in Physical Attributes>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780049,'Trainer Kasha Yitski','<Recognizing Opportunities>','','','',13,59,32,0,1,1,9,0,0,0,0,1,0,0,19,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780050,'Trainer Anna Winston','<Know Your Enemy>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780051,'Whizratchet','<Banker>','','','',5,121,32,0,1,1,14,9,0,0,0,1,0,0,16,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780052,'a Tunarian miner','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780053,'Saryl Scarscale','<General Goods>','','','',10,103,32,0,1,1,10,1265,0,0,0,0,0,0,34,91,91,0,0,36180,0,0,0,0,0,0,0,0,0,0,0,0),
(2780054,'Asyl Lysarz','<Guard>','','','',10,1575,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780055,'Trainer Vella N''Dur','<Matron of the Harvest and Collections>','','','',1,116,32,0,1,1,9,0,0,0,0,0,0,0,26,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780056,'Jonas Rollings','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780057,'Chef Gorga','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780058,'Vim','','','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780059,'Ingrid','','','','',8,135,32,0,1,1,9,0,0,0,0,0,0,0,28,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780060,'Geredo','','','','',5,121,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780061,'Captain Varlos','<Passage to Freeport>','','','',9,134,35,0,1,1,9,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780062,'Waulon','','','','',2,110,32,0,1,1,9,0,0,0,0,0,0,0,18,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780063,'Helmsman Nyles','','','','',9,144,32,0,1,1,9,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780064,'a worker bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780065,'an elk calf','','','','',255,5759,28,0,1,1,11,0,0,1,1,1,0,0,38,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780066,'a cow elk','','','','',255,5759,51,0,1,1,11,0,0,1,1,1,0,0,38,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780067,'a Tunarian scout','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780068,'a bull elk','','','','',255,2414,54,0,1,1,11,0,0,1,1,1,0,0,38,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780069,'a wilderbear cub','','','','',255,198,19,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780070,'a Tunarian horse sentry','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780071,'a wilderbear','','','','',255,198,25,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780072,'Coercer Zlith','','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780073,'Assassin Vamir','','','','',13,71,32,0,1,1,9,0,0,0,0,1,0,0,19,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780074,'a pudgy molerat','','','','',255,232,9,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780075,'Charles Arker','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780076,'a Queen Bee','','','','',255,217,51,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780077,'a cliffdiver hawk','','','','',255,260,33,1,1,1,11,0,0,1,1,1,0,0,17,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780078,'a soldier bee','','','','',255,217,41,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780079,'a Tunarian falconer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780080,'a giant wilderbear','','','','',255,198,35,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780081,'a trained bear','','','','',255,198,28,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780082,'a Tunarian bearmaster','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,1,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780083,'a training hawk','','','','',255,260,28,0,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780084,'a Tunarian lookout','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780085,'a training bear','','','','',255,198,28,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780086,'a training wolf','','','','',255,216,22,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780087,'a trained hawk','','','','',255,260,22,0,1,1,11,0,0,1,1,1,0,1,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780088,'a large mole rat','','','','',255,232,22,0,1,1,1161,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780089,'a pudgy mole rat','','','','',255,232,9,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780090,'The Great Hawk','','','','',255,260,105,0,1,1,11,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780091,'Mabel','','','','',255,2456,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780092,'Swift','','','','',255,260,22,0,1,1,11,0,0,1,1,1,0,1,17,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780093,'Dasher','','','','',255,260,22,0,1,1,11,0,0,1,1,1,0,1,17,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780094,'Falconer Lithkeen','','','','',15,1450,32,0,1,1,11,0,0,1,1,1,0,1,28,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780096,'a Field Investigator','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780097,'Laena','','','','',255,113,38,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780098,'Murg Leechtongue','<Guard>','','','',14,106,32,0,1,1,13,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780099,'Captain Tyreth','<Freeport Militia>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780100,'Pruk Skullpound','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780101,'Overseer Adrium','','','','',15,1487,35,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780102,'Kibbs','<Spell Scrolls>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,151,151,0,0,36620,0,4,0,0,0,0,0,0,0,0,0,0),
(2780103,'Droog','<Combat Arts>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,151,151,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0),
(2780107,'a fallen Tunarian','','','','',255,2863,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780108,'a fallen Tunarian','','','','',255,2864,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780119,'widget_evil_quest_tunarian_plot',NULL,'','','',0,49,32,0,1,1,1162,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780120,'beehive03',NULL,'','','',0,49,32,0,1,1,1160,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780121,'beehive01',NULL,'','','',0,49,32,0,1,1,1160,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780122,'beehive02',NULL,'','','',0,49,32,0,1,1,1160,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780123,'evil_goblin_tent_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780124,'evil_goblin_tent_2',NULL,'','','',0,49,32,0,0,0,871,0,0,0,0,1,1,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780125,'evil_goblin_tent_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780126,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780127,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,0,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(2780128,'hay_1',NULL,'','','',0,1848,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780129,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780130,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780131,'grey_tent_small01',NULL,'','','',0,2817,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780132,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780134,'goblin_brazier01',NULL,'','','',0,1547,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780135,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780136,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780137,'qey_boulder02',NULL,'','','',0,1725,60,0,1,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780138,'hanging_meat01',NULL,'','','',0,1533,16,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780139,'Duel Flag',NULL,'','','',0,5015,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780140,'burial_shroud',NULL,'','','',0,2880,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780141,'sign_post',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780142,'fprt_datepalm_02',NULL,'','','',0,4722,32,0,0,0,0,0,0,0,0,0,0,0,238,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780143,'goblin_tent01',NULL,'','','',0,1544,32,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780144,'a large mole rat hole',NULL,'','','',0,3988,117,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780145,'neriak_painting',NULL,'','','',0,4206,59,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780147,'speared_skeleton',NULL,'','','',0,2370,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780148,'statue_soldier',NULL,'','','',0,4463,144,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780149,'eye_temple_painting',NULL,'','','',0,4221,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780150,'dead_horse',NULL,'','','',0,2372,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780151,'beehive02',NULL,'','','',0,5923,74,0,0,0,1160,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780153,'evil_gravestone_spawner',NULL,'','','',0,49,32,0,1,1,947,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780154,'sign_fisher_falls',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780155,'sign_outpost_of_the_overlord',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780156,'kilroy_target',NULL,'','','',0,2185,18,0,1,1,135,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780157,'evil_door_to_epic',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780158,'sign_wilderwood',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780159,'sign_seaside_glade',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780160,'sign_ebb_tides',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780161,'tradeskill_instance_door',NULL,'','','',0,2512,32,0,0,0,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780162,'kilroy_gem',NULL,'','','',0,3162,28,0,1,1,135,0,0,0,0,1,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780163,'sign_cliffciver_canyon',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780164,'kilroy_dead_dog',NULL,'','','',0,2371,37,0,1,1,135,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780165,'sign_valley_of_discipline',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780166,'Zone to Friend',NULL,'','','',0,1586,32,0,1,1,1163,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780167,'kilroy_bucket_fish',NULL,'','','',0,4649,27,0,1,1,135,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780168,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780169,'creature den',NULL,'','','',0,3996,34,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780170,'school of fish',NULL,'','','',0,4159,28,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780171,'unearthed ore',NULL,'','','',0,1668,23,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780172,'felled elm tree',NULL,'','','',0,3948,19,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780173,'rugged stones',NULL,'','','',0,3956,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780174,'roots',NULL,'','','',0,1733,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780175,'budding natural garden',NULL,'','','',0,3909,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780176,'glimmering ore',NULL,'','','',0,1550,14,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2780177,'nautilus shell',NULL,'','','',0,3964,29,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790000,'Clover','<Broker>','','','',8,135,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790001,'Rocar Sayerar','<Work Orders>','','','',9,112,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790002,'Kroka Truthusher','<Rush Orders>','','','',9,4940,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790003,'Kaitlin Stonesmith','<Tradeskill Tutorial>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790004,'Wholesaler Gip Ebonleg','<Merchant>','','','',4,3792,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402031,0,0,0,0,0,0,0,0,0,0,0,0),
(2790009,'Kaitlin Stonesmith','','','','',2,109,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790011,'door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790012,'door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790013,'door3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790014,'Door4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790015,'Door5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790016,'Door6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790017,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790018,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790019,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790020,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790021,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790022,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790023,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790024,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790025,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790026,'to Castleview Hamlet',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2790027,'Glump Marrblade','<Crafting Trainer>','','','',9,1431,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2800000,'Quipa Madstaff','<Broker>','','','',5,122,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800001,'Tenumo Woris','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800002,'Ganth Wibblewham','<Rush Orders>','','','',9,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800003,'Talwith Darkcloud','<Tradeskill Tutorial>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800004,'Wholesaler Soly Gatherall','','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402031,0,0,0,0,0,0,0,0,0,0,0,0),
(2800007,'Talwith Darkcloud','','','','',15,114,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800009,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800010,'door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800011,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800012,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800013,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800015,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800016,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800017,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800018,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800019,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800020,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800021,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800022,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800023,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800024,'to The Baubbleshire',NULL,'','','',0,49,32,0,1,1,1019,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2800025,'Rala Eurocarry','<Crafting Trainer>','','','',9,122,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2810000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810001,'Hyacinth Hagglefoot','<Broker>','','','',7,107,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810002,'Hawthorne Carris','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810003,'Crier Madlyn Treebright','<Rush Orders>','','','',9,113,32,0,1,1,9,0,0,0,0,1,0,0,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810004,'Elbow','<Fuel Merchant>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9571,0,0,0,0,0,0,0,0,0,0,0,0),
(2810005,'Thibodeaux','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810006,'Executor Adept Sal`ynelle','<Rush Orders>','','','',9,113,32,0,1,1,9,0,0,0,0,1,0,0,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810007,'Fidelia Recolo','<Tradeskill Career Counsellor>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810008,'Elbow','<Ironforge Exchange Merchant>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9571,0,0,0,0,0,0,0,0,0,0,0,0),
(2810009,'Grandmaster Kimbialis','<Trades Coordinator>','','','',4,4937,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810010,'door4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810011,'door6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810012,'Door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810013,'door3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810014,'Door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810015,'door5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810016,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810017,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810018,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810019,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810020,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810021,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810022,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810023,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810024,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810025,'to North Qeynos',NULL,'','','',0,49,32,0,0,0,223,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2810026,'to North Qeynos',NULL,'','','',0,49,32,0,0,0,1003,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820000,'Cliffjumper','<Broker>','','','',6,79,32,0,1,1,20,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820001,'Rynar Kimst','<Work Orders>','','','',9,82,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820002,'Arolair Swellbreak','<Rush Orders>','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820003,'Kezlack Cogturner','<Tradeskill Tutorial>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820004,'Wholesaler Jaenia Shoalslyder','','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,226,226,0,0,402031,0,0,0,0,0,0,0,0,0,0,0,0),
(2820006,'Kezlack Cogturner','','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820010,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820011,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820012,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820013,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820015,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820016,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820017,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820018,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820019,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820020,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820021,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820022,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820023,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820024,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820025,'to The Willow Wood',NULL,'','','',0,49,32,0,0,0,1018,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2820026,'Oseof Crestryder','<Crafting Trainer>','','','',9,78,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2830000,'Newman Hines','<Wholesaler>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,36618,0,0,0,0,0,0,0,0,0,0,0,0),
(2830001,'Door_1',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830002,'Door_5',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830003,'Door_2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830004,'Door_3',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830005,'Door_6',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830006,'Door_4',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830007,'Forge',NULL,'','','',0,1859,32,0,1,0,4,0,0,0,0,1,1,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830008,'Work Bench',NULL,'','','',0,2531,32,0,1,0,4,0,0,0,0,1,1,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830009,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830010,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830011,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830012,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830013,'Woodworking Table',NULL,'','','',0,2346,32,0,1,0,4,0,0,0,0,1,1,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830014,'floor_bookcase_human_stone03',NULL,'','','',0,3021,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830015,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2830016,'to Queen''s Colony',NULL,'','','',0,49,32,0,0,0,1166,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840000,'a tide octopus','','','','',255,210,36,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840001,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840002,'a Bloodsaber guard','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840003,'a Bloodsaber laborer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840004,'a Bloodsaber surveyor','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840005,'a Bloodsaber medic','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840006,'a Steelhoof inspector','','','','',255,4098,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840007,'a Steelhoof taskmaster','','','','',255,4098,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840008,'a Bloodsaber elite guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840009,'a Steelhoof defender','','','','',255,4098,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840010,'a Bloodsaber emissary','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840011,'a shallows fish','','','','',255,204,32,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840012,'a Bloodsaber diver','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840013,'a Steelhoof diplomat','','','','',255,4098,50,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840014,'a Steelhoof planner','','','','',255,4098,49,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840015,'a Steelhoof healer','','','','',255,4098,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840016,'Master Diver Vladik','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840018,'chest_small',NULL,'','','',0,4034,32,0,1,1,1059,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840019,'chest_medium',NULL,'','','',0,4016,32,0,1,1,1059,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840020,'chest_large',NULL,'','','',0,4015,32,0,1,1,1059,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840021,'zone_to_steppes_right',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2840022,'zone_to_steppes_left',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850000,'Nunai Oehu','<Work Orders>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850001,'Dustinz','<Broker>','','','',13,68,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850002,'Yokla','<Rush Orders>','','','',9,54,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850003,'Wholesaler Kazi','','','','',13,60,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,39308,0,0,0,0,0,0,0,0,0,0,0,0),
(2850004,'Kamilis Shrezil','<Tradeskill Tutorial>','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850005,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850006,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850007,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850008,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850009,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850010,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850011,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850012,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2850013,'to Temple Street',NULL,'','','',0,49,32,0,0,0,85,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860000,'Naia Vesat','<Work Orders>','','','',9,92,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860001,'Anise Wavechaser','<Rush Orders>','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860002,'Wholesaler Kenda Foamrider','','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,196,196,0,0,34260,0,0,0,0,0,0,0,0,0,0,0,0),
(2860003,'Katia Aruzia','<Tradeskill Tutorial>','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860004,'Josab','XXXXXXX''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860005,'Sandra Windwalker','<Broker>','','','',6,79,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860006,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860007,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860008,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860009,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860010,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860011,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860012,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860013,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2860014,'to Beggar''s Court',NULL,'','','',0,49,32,0,1,1,304,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870000,'Josab','XXXXXXX''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870001,'Belph Worcon','<Work Orders>','','','',9,106,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870002,'Goraka Fleshreaver','<Broker>','','','',14,105,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870003,'Batoompa Lumberfist','<Rush Orders>','','','',9,124,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870004,'Wholesaler Jikoora Leaftoe','','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,34,181,181,0,0,39308,0,0,0,0,0,0,0,0,0,0,0,0),
(2870005,'Dahar Negaru','<Tradeskill Tutorial>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870006,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870007,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870008,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870009,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870010,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870011,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870012,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870013,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2870014,'to Big Bend',NULL,'','','',0,49,32,0,1,1,77,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880000,'Kebekn','Keela''s minion','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880001,'Sasit Soroth','<Work Orders>','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880002,'Ieam D''Lax','<Broker>','','','',1,115,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880003,'Dris Loth','<Rush Orders>','','','',9,115,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880004,'Wholesaler Zarethe N''Kor','','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,39308,0,0,0,0,0,0,0,0,0,0,0,0),
(2880005,'Lamados Dinaris','<Tradeskill Tutorial>','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880006,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880007,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880008,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880009,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880010,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880011,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880012,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880013,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2880014,'to Longshadow Alley',NULL,'','','',0,49,32,0,1,1,305,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890000,'Taubius Nyeus','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890001,'Essle Sesspha','<Broker>','','','',10,104,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890002,'Edalene Spiritrunner','<Rush Orders>','','','',9,1463,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890003,'Wholesaler Kiora Shiverstone','','','','',0,1463,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,38498,0,0,0,0,0,0,0,0,0,0,0,0),
(2890004,'Skeld Brewbeard','<Tradeskill Tutorial>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890005,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890006,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890007,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890008,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890009,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890010,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890011,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890012,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2890013,'to Scale Yard',NULL,'','','',0,49,32,0,0,0,86,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900000,'Tainy Nyril','<Work Orders>','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900001,'Kupel Inisem','<Broker>','','','',11,97,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900002,'Bahina Adeola','<Rush Orders>','','','',9,95,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900003,'Wholesaler Kali Uzima','','','','',11,82,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,39308,0,0,0,0,0,0,0,0,0,0,0,0),
(2900004,'Jekath Veris','<Tradeskill Tutorial>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900005,'Josab','XXXXXXX''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900006,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900007,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900008,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900009,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900010,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900011,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900012,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900013,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2900014,'to Stonestair Byway',NULL,'','','',0,49,32,0,1,1,306,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910001,'Gnaeus Ovidius','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910002,'Jangles Zobblebok','<Broker>','','','',5,121,32,0,1,1,20,9,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910003,'Commissioner Venilos','<Rush Orders>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910004,'Chrisana D''Abth','<Fuel Vendor>','','','',1,116,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,7856,0,0,0,0,0,0,0,0,0,0,0,0),
(2910005,'Juvena','<Coalition Merchant>','','','',11,81,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,30033,0,0,0,0,0,0,0,0,0,0,0,0),
(2910006,'Zekn','Minion of Thule','','','',255,1638,12,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910007,'Jonak Harvester','<Tradeskill Career Counsellor>','','','',12,4994,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910008,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910009,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910010,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910011,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910012,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910013,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910014,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910015,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910016,'to West Freeport',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2910017,'to West Freeport',NULL,'','','',0,49,32,0,0,0,931,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920000,'Lynn Kimball','<Broker>','','','',9,132,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920001,'Orurnusk Rakmosang','<Work Orders>','','','',9,1603,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920002,'Catheryn Wilona','<Rush Orders>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920003,'Bastian Eledan','<Tradeskill Tutorial>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920004,'Wholesaler Eadward Hrypa','','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402031,0,0,0,0,0,0,0,0,0,0,0,0),
(2920005,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920006,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920007,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920008,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920009,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920010,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920011,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920012,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920013,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920014,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920015,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920016,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920017,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920018,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920019,'to Starcrest Commune',NULL,'','','',0,49,32,0,0,0,1015,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2920020,'Erian Seaver','<Crafting Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(2930000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930001,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930002,'Mechanized Platinum Repository of Reconstruction','<Mender>','','','',255,6287,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(2930003,'Xibantik','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930004,'Murdoe Burnbean','<Old Bog Mountain Unit>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930005,'a mist grinnin savage','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930006,'a mist grinnin fisher','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930007,'a mist grinnin herbalist','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930008,'Runnyeye defender','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930009,'a dialated retaliator','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930010,'a mist grinnin angler','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930011,'Lindess''s dark broodling','','','','',255,3693,25,3,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930012,'a Runnyeye guard','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930013,'a fleeing Runnyeye guard','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930014,'Xorxx','<The Outraged>','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930015,'Lindess''s Acid Storm Cell','','','','',255,7230,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930016,'a Boombottom observer','','','','',255,2900,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930017,'Snok Eyegouger','<Eye Poking Champion>','','','',255,145,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930018,'Lenarr''s construct of rationality','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930019,'a Gigglegibber merchant','<Stuffs and Fixes>','','','',255,7039,28,0,1,1,12,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930020,'a Boombottom guest','','','','',255,2900,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930021,'a Grungetalon guest','','','','',255,4126,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930022,'a Boombottom smithy','','','','',255,2900,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930023,'a Boombottom patron','','','','',255,2900,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930024,'a Sandscrawler forger','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930025,'a meat runner','','','','',9,158,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930026,'a boiling halfling','','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930027,'Chef Grommulitz','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930028,'Chef Bugglegoon','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930029,'a mist grinnin patron','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930030,'a Gigglegibber chef','','','','',255,7039,28,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930031,'a Sandscrawler forger','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930032,'a Gigglegibber meatmaster','','','','',255,7039,28,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930033,'a desert crawler','','','','',255,208,160,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930034,'a mist grinnin guest','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930035,'a Sandscrawler herder','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930036,'a Sandscrawler patroller','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930037,'Chieftain Siltsea','<The Wind King>','','','',255,5218,64,0,1,1,11,0,2083,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930038,'a Grungetalon elite','','','','',255,4126,72,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930039,'a Sandscrawler shiv','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930040,'a Sandscrawler gritwitch','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930041,'a Sandscrawler ruffian','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930042,'a Runnyeye elite','','','','',255,145,51,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930043,'a Grungetalon cook','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930044,'Gasaner','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930045,'Jartik','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930046,'Gosarer','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930047,'Bellia','Lindess''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930048,'a Grungetalon clawer','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930049,'a Grungetalon clincher','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930050,'a displaced Runnyeye goblin','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930051,'a displaced Runnyeye goblin','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930052,'a displaced Runnyeye goblin','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930053,'a displaced Runnyeye goblin','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930054,'a Runnyeye mercenary','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930055,'a displaced Runnyeye goblin','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930056,'a displaced Runnyeye goblin','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930057,'a Runnyeye brawler','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930058,'a Runnyeye medic','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930059,'a Runnyeye scout','','','','',255,145,38,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930060,'Mariann''s Wildfire','','','','',255,4500,112,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930061,'Mariann''s ball lightning','','','','',255,7241,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930062,'an enslaved blacksmith','','','','',9,158,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930063,'Slamhammer','<The Mighty Smith>','','','',9,158,67,0,1,1,11,0,16905,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930064,'a Runnyeye host','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930065,'Xarab','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930066,'a magic crushing hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930067,'a Runnyeye concierge','','','','',255,145,44,0,1,1,11,0,0,1,1,1,0,115,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930068,'a Runnyeye envoy','','','','',255,7296,44,0,1,1,11,0,0,1,1,1,0,115,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930069,'a Grungetalon diplomat','','','','',255,4126,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930070,'a Sandscrawler petitioner','','','','',255,5190,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930071,'a Boombottom ambassador','','','','',255,2900,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930072,'a mist grinnin petitioner','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930073,'a Broken Toe shaman','','','','',255,7296,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930074,'a Boombottom politician','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930075,'High Shaman Vohan','<Master o'' da Pazt>','','','',255,145,80,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930076,'Grunblug Foesmasher','','','','',255,7296,38,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930077,'Bergo the Dirty','','','','',255,5218,38,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930078,'Usla the Fleshsscorcher','','','','',255,145,38,0,1,1,11,0,6193,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930079,'Gahdash the Backstabbie','','','','',255,1346,38,0,1,1,11,0,6193,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930080,'Lobtik','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930081,'Jekn','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930082,'a Grungetalon blesser','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930083,'a Broken Toe guest','','','','',255,7296,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930084,'a slain deputy','','','','',7,107,31,2,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930085,'Kabarn','Burrtoe the Gorged''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930086,'Burrtoe the Gorged','<Master o'' da Halfies!>','','','',255,145,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930087,'a hungry boarling','','','','',255,170,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930088,'a Sandscrawler patcher','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930089,'Boarkeeper Malleg','<The Boar Master>','','','',255,4126,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930090,'a reanimated deputy','','','','',7,7642,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930091,'a Grungetalon scratcher','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930092,'a Broken Toe backbiter','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930093,'a Nurgan raider','','','','',255,7311,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930094,'a Broken Toe dust mystic','','','','',255,7296,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930095,'a sleepy boarling','','','','',255,170,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930096,'a Broken Toe scrapper','','','','',255,7311,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930097,'Memnmamar Marrowgut','<Grungetalon Captain>','','','',255,7311,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930098,'a Nurgan stabber','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930099,'Zentik','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930100,'a Grungetalon advisor','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930101,'a Grungetalon advisor','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930102,'a Grungetalon advisor','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930103,'Chieftain Kanar','<Da Gas Passer>','','','',255,4126,81,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930104,'a Grungetalon gouger','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930105,'a wind wyrm','','','','',255,6003,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930106,'a Grungetalon windtamer','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930107,'Jarer','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930108,'a Golden Scarab','','','','',255,208,192,0,1,1,11,0,3750,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930109,'Zann','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930110,'a Sandscrawler cook','','','','',255,5190,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930111,'a Sandscrawler gouger','','','','',255,5218,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930112,'Gonann','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930113,'XXXXXXXX''s unflinching hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930114,'door_00_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930115,'door_00_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930116,'door_15_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930117,'door_15_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930118,'door_12_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930119,'door_12_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930120,'door_19_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930121,'door_01_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930122,'door_07_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930123,'door_07_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930124,'door_17_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930125,'door_11_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930126,'door_06_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930127,'door_02_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930128,'door_22_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930129,'door_22_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930130,'door_09_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930131,'door_09_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930132,'door_21_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930133,'door_21_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930134,'door_10_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930135,'door_18_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930136,'door_18_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930137,'door_08_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930138,'door_05_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930139,'door_16_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930140,'door_16_bottom',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930141,'door_14_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930142,'door_13_top',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930146,'slain_guard',NULL,'','','',0,145,33,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930147,'gassy gas',NULL,'','','',255,2306,32,0,1,1,0,0,12117,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930148,'zone_to_enchanted',NULL,'','','',0,49,32,0,0,0,136,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930149,'gigglegibber_soup_x1_kunark_herbs',NULL,'','','',0,2568,32,0,1,1,0,0,0,0,0,1,1,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930150,'gigglegibber_soup_x1_grungetalon_meat',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930151,'gigglegibber_soup_x1_grungetalon_meat',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930152,'gigglegibber_soup_x1_grungetalon_meat',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930153,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2930154,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940000,'a Yha-lei intruder','','','','',255,7186,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940001,'a Yha-lei extractor','','','','',255,7212,48,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940002,'a fallen Kwagan sentry','','','','',255,7311,48,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940003,'a Kwagan drenchmage','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940004,'a runed defender','','','','',255,8774,64,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940005,'a Kwagan sogger','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940006,'a Kwagan douser','','','','',255,7324,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940007,'a fallen Yha-lei invader','','','','',255,7212,48,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940008,'a fallen defender','','','','',8,136,35,0,1,1,0,0,0,0,0,1,7,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940009,'Squallic Destroyer','','','','',255,7241,112,0,1,1,11,0,1862,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940010,'a Kwagan mistduster','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940011,'Himai Kah''Bum','<Battlepriest>','','','',255,7296,64,0,1,1,11,0,10395,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940012,'Dmeng Bah''Dash','<Kwagan Warlord>','','','',255,7311,70,0,1,1,11,0,10374,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940013,'Krakal Goh-lum','','','','',255,7246,96,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940014,'a laved horror','','','','',255,8775,48,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940015,'a Kwagan sapient','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940019,'house_item_widget_veksar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940023,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940025,'egg_room_shield01',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940026,'map_cube_blue',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940027,'weapons_room_shield01',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940028,'goblin_area_shield01',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940029,'golem_room_shield01',NULL,'','','',0,4544,33,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940030,'goblin_door_open_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940031,'egg_room_chest',NULL,'','','',0,5768,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940032,'golem_door_switch',NULL,'','','',0,3323,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940033,'fens_door_exit',NULL,'','','',0,49,32,0,0,0,681,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940034,'a Yha-lei intruder','','','','',255,7186,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940035,'a Yha-lei extractor','','','','',255,7212,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940036,'a fallen Kwagan sentry','','','','',255,7311,48,0,0,0,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940037,'a Kwagan drenchmage','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940038,'a runed defender','','','','',255,8774,64,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940039,'a Kwagan sogger','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940040,'a Kwagan douser','','','','',255,7324,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940041,'a fallen Yha-lei invader','','','','',255,7212,48,0,0,0,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940042,'Squallic Destroyer','','','','',255,7241,112,0,1,1,11,0,1862,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940043,'a Kwagan mistduster','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940044,'Himai Kah''Bum','<Battlepriest>','','','',255,7296,64,0,1,1,11,0,10395,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940045,'Dmeng Bah''Dash','<Kwagan Warlord>','','','',255,7311,70,0,1,1,11,0,10374,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940046,'Krakal Goh-lum','','','','',255,7246,96,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940047,'a laved horror','','','','',255,8775,48,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940048,'a Kwagan sapient','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940050,'Krakals','','','','',255,7246,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940051,'Krakalings','','','','',255,7246,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940052,'a Kwagan grunt','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940053,'a Kwagan grunt','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940054,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940055,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940056,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940057,'house_item_widget_veksar',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940058,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940059,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940060,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940061,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940062,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940065,'map_cube_blue',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940066,'goblin_area_shield01',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940067,'golem_room_shield01',NULL,'','','',0,4544,33,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940068,'goblin_door_open_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940069,'egg_room_chest',NULL,'','','',0,5768,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940070,'golem_door_switch',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940071,'treasure_room_shield01',NULL,'','','',0,4544,29,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940072,'Shimmering Blue Mirror',NULL,'','','',0,8158,28,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940073,'qst_defender_longbow',NULL,'','','',0,4469,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940074,'qst_defender_sword',NULL,'','','',0,4459,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940075,'qst_defender_helm',NULL,'','','',0,4713,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2940076,'qst_defender_clasp',NULL,'','','',0,5864,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950000,'dreams invisible cube','','','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950001,'crystal positioner','','','','',0,7654,6,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950002,'nightmare invisible cube','','','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950003,'crystal positioner','','','','',0,7653,6,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950004,'a helot skeleton','','','','',255,7638,55,1,1,1,11,0,14871,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950005,'an undertaker skeleton','','','','',255,7638,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950006,'a sepulcher spirit','','','','',255,2854,54,1,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950007,'a sepulcher spectre','','','','',255,2854,45,2,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950008,'an elementalbone skeleton','','','','',255,7638,45,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950009,'a pyre golem','','','','',255,7246,80,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950010,'a bottomless feaster','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950011,'a crypt defender','','','','',255,7246,80,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950012,'Praetor of the Phylactery','<The Undertaker Lord>','','','',255,7638,80,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950013,'a sepulcher skeleton','','','','',255,7638,53,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950014,'Ganak''s tomb guardian','','','','',255,7465,54,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950015,'a helot spectre','','','','',255,7157,58,2,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950016,'a helot spirit','','','','',255,7157,56,2,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950017,'The Keeper of Dreams','<Helot Spectre>','','','',255,7356,96,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950018,'a bottomless devourer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950019,'The Keeper of Nightmares','<Sepulcher Spirit>','','','',255,2854,80,0,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950020,'a languid guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950021,'Guardian of Eternity','<Golem Master>','','','',255,7454,96,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950022,'a dormant guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950023,'an entranced guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950024,'Crystal of Dreams','','','','',0,7652,25,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950025,'Crystal of Nightmares','','','','',0,7651,22,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950026,'a torpid guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950027,'a haunting spectre','','','','',255,2854,42,1,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950028,'a haunting spirit','','','','',255,7157,41,1,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950029,'',NULL,'','','',0,49,32,0,1,1,609,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950030,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950031,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950032,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950033,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950034,'ganak_phylactery_widget',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950035,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950036,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950037,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950038,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950040,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950041,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950043,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950044,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950045,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950047,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950048,'',NULL,'','','',0,49,32,0,1,1,766,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950049,'',NULL,'','','',0,49,32,0,1,1,766,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950052,'',NULL,'','','',0,7736,32,0,1,1,0,0,3750,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950053,'to_jarsath',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,323,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950056,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950057,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950058,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950059,'dreams invisible cube','','','','',0,6313,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950060,'crystal positioner','','','','',0,7654,6,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950061,'nightmare invisible cube','','','','',0,6313,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950062,'crystal positioner','','','','',0,7653,6,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950063,'a helot skeleton','','','','',255,7638,54,3,1,1,11,0,14871,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950064,'an undertaker skeleton','','','','',255,7638,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950065,'a sepulcher spirit','','','','',255,2854,55,2,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950066,'a sepulcher spectre','','','','',255,2854,44,2,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950067,'an elementalbone skeleton','','','','',255,7638,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950068,'a pyre golem','','','','',255,7246,80,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950069,'a bottomless feaster','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950070,'a crypt defender','','','','',255,7246,80,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950071,'Praetor of the Phylactery','<The Undertaker Lord>','','','',255,7638,80,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950072,'a sepulcher skeleton','','','','',255,7638,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950073,'Ganak''s tomb guardian','','','','',255,7465,54,0,1,1,11,0,10137,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950074,'a helot spectre','','','','',255,7157,58,2,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950075,'a helot spirit','','','','',255,7157,57,3,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950076,'a bottomless devourer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950077,'a languid guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950078,'an entranced guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950079,'Crystal of Dreams','','','','',0,7652,25,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950080,'Crystal of Nightmares','','','','',0,7651,22,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950081,'a torpid guardian','','','','',255,7246,80,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950082,'a haunting spectre','','','','',255,2854,42,1,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950083,'a haunting spirit','','','','',255,7157,42,2,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950084,'a bottomless gnawer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950087,'a nightmarish vision','','','','',255,2854,49,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950088,'',NULL,'','','',0,49,32,0,0,0,609,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950089,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950090,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950091,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950092,'ganak_phylactery_widget',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950093,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950094,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950095,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950096,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950097,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950098,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950099,'',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950100,'',NULL,'','','',0,49,32,0,0,0,766,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950101,'',NULL,'','','',0,49,32,0,0,0,766,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950103,'',NULL,'','','',0,7736,32,0,0,0,0,0,3750,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950104,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,323,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950105,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950106,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950107,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2950108,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960000,'a bottomless feaster','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960001,'a bottomless devourer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960002,'a Sathirian sentry','','','','',255,7465,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960003,'a clay defender','','','','',255,7246,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960004,'an unfathomable devourer','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960005,'an unfathomable feaster','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960006,'Bi''lithu of the Old Ways','<The Crypt Feaster>','','','',255,7293,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960007,'a bottomless gnawer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960008,'an unfathomable gnawer','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960009,'Impaler Tzilug','<The Imprisoned>','','','',255,7236,64,0,1,1,11,0,16031,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960010,'Sandstorm','<Guardian of the Imprisoned>','','','',255,7687,64,0,1,1,11,0,4141,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960011,'a Jarsath tomb guard','','','','',255,7454,64,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960012,'Drusella Sathir','<Empress of the Sathiran Empire>','','','',255,7683,64,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960013,'Gear of the Ancients','<The Gear Windlass>','','','',255,7465,112,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960014,'a pile of bones','','','','',255,7638,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960015,'Xasann','Drusella Sathir''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960017,'',NULL,'','','',0,49,32,0,1,1,609,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,353,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960019,'',NULL,'','','',0,49,32,0,1,1,609,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960022,'',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960023,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960024,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960026,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960027,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960028,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960030,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960031,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960032,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,492,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960033,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960034,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960038,'pedestal',NULL,'','','',0,4639,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960039,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960040,'Totem',NULL,'','','',0,7735,32,0,1,1,0,0,11551,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960041,'Mysterious Obelisk',NULL,'','','',0,7735,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960042,'The Veil of the Seeing Eye',NULL,'','','',0,3322,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,323,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960045,'',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,323,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960047,'a bottomless feaster','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960048,'a bottomless devourer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960049,'a Sathirian sentry','','','','',255,7465,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960050,'a clay defender','','','','',255,7246,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960051,'an unfathomable devourer','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960052,'an unfathomable feaster','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960053,'Bi''lithu of the Old Ways','<The Crypt Feaster>','','','',255,7293,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960054,'a bottomless gnawer','','','','',255,7293,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960055,'an unfathomable gnawer','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960056,'Sandstorm','<Guardian of the Imprisoned>','','','',255,7687,64,0,1,1,11,0,4141,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960057,'a Jarsath tomb guard','','','','',255,7454,64,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960059,'Kabober','Drusella Sathir''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960061,'Thera''ta of the Jarsath','<Drusella''s Handmaiden>','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960062,'Derzitha of the Jarsath','<Drusella''s Handmaiden>','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960063,'Xe''ziza of the Jarsath','<Drusella''s Handmaiden>','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960064,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960065,'',NULL,'','','',0,49,32,0,0,0,609,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960066,'',NULL,'','','',0,49,32,0,0,0,609,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960067,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960068,'',NULL,'','','',0,49,32,0,0,0,26,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960069,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,492,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960070,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960072,'pedestal',NULL,'','','',0,4639,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960075,'Totem',NULL,'','','',0,7735,32,0,0,0,0,0,11551,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960076,'Mysterious Obelisk',NULL,'','','',0,7735,32,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960077,'The Veil of the Seeing Eye',NULL,'','','',0,3322,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960078,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,323,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960079,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2960080,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,323,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980000,'','','','','',255,8889,136,8,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980001,'a Nak''azar prison guard','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980002,'a chokidai mangler','','','','',255,7321,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980003,'a Nak''azar enforcer','','','','',255,7368,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980004,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980005,'Gonn','Stiania''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980006,'','','','','',255,138,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980007,'a dead prisoner','','','','',5,121,34,2,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980008,'a sarnak traitor','','','','',255,7368,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980009,'an imprisoned soul of Shai''din','','','','',255,7356,48,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980010,'a tortured sarnak traitor','','','','',255,7157,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980011,'a captured prisoner','','','','',4,3788,34,2,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980012,'an entrapped soul of Shai''din','','','','',255,7356,48,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980013,'Korucust','<The Betrayer of Chardok>','','','',255,7368,64,0,1,1,0,0,496,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980014,'a tortured prisoner','','','','',2,109,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980015,'a cenobite warden','','','','',255,2915,112,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980016,'a sarnak betrayer','','','','',255,7368,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980017,'a Nak''azar executioner','','','','',255,7368,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980018,'a dead sarnak prisoner','','','','',255,7356,40,1,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980019,'a Nak''azar puritan','','','','',255,7356,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980020,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980021,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980022,'korucust_iron_maiden',NULL,'','','',0,4466,59,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980023,'zone_to_chardok_from_prison',NULL,'','','',0,49,32,0,0,0,776,0,0,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980024,'blood_of_the_betrayer',NULL,'','','',0,1522,50,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980025,'missing_bone_four',NULL,'','','',0,2430,32,0,1,1,0,0,3849,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980026,'missing_bone_three',NULL,'','','',0,2430,32,0,1,1,0,0,3849,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980027,'missing_bone_one',NULL,'','','',0,2430,32,0,1,1,0,0,3849,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980028,'box_of_tortured_delights',NULL,'','','',0,4456,40,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2980029,'cage_lock',NULL,'','','',0,6480,32,0,1,1,0,0,0,0,0,1,1,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990007,'Marilee''s construct of order','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990020,'a tentacle','','','','',255,7682,32,0,1,1,0,0,0,0,0,1,0,0,960,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990021,'a Yha-lei disciple','','','','',255,7646,160,0,1,1,11,0,10137,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990022,'a Yha-lei disciple','','','','',255,7646,160,0,1,1,11,0,10137,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990023,'a gullet devourer','','','','',255,7293,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990024,'a Yha-lei disciple','','','','',255,7646,160,0,1,1,11,0,10137,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990025,'a Yha-lei disciple','','','','',255,7646,160,0,1,1,11,0,10137,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990026,'a Yha-lei disciple','','','','',255,7646,160,0,1,1,11,0,10137,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990044,'Pokee''s Jabobn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990045,'Pokee''s Kabarn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990046,'Pokee''s Zonarer puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990047,'Pokee''s Zobn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990048,'Pokee''s Jebtik puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990049,'Pokee''s Zebab puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990050,'Pokee''s Gibekn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990051,'Voser','','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990052,'Voser','','','','',255,2846,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990053,'Pokee''s Xarer puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990054,'Pokee''s Leker puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990055,'Pokee''s Gabarn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990056,'Pokee''s Xobann puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990057,'Kabn','Chelsie''s animated dagger','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990058,'Lekn','','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990059,'Lekn','','','','',255,2846,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990060,'Pokee''s Joner puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990061,'Pokee''s Xonarer puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990062,'Pokee''s Xosann puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990063,'Pokee''s Keker puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990064,'Pokee''s Jabekn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990065,'Pokee''s Kekn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990066,'Pokee''s Kaseker puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990067,'The Leviathan','','','','',255,7727,28,0,1,1,11,0,0,1,1,1,0,0,1664,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990068,'Spear of the Sun','Spear of the Sun','','','',255,5987,48,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990069,'Devourling','','','','',255,7293,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990070,'The Leviathan''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990071,'The Leviathan''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990072,'The Leviathan''s thug','','','','',13,64,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(2990073,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000001,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000002,'Lenarr','Lenarr''s Personae Reflection','','','',9,136,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000003,'Aciaja','Zuksharn''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000004,'Smashblast''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000005,'Smashblast''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000006,'Smashblast''s thug','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000007,'Zuksharn''s Spiritual Shrine','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000008,'Raythe','Raythe''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000009,'Pokee''s Gosartik puppet','A magical puppet','','','',9,7226,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000010,'Raythe''s blighted horde','','','','',255,8714,28,8,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000011,'Raythe''s awaken grave','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000012,'an ornamental statue','','','','',255,148,38,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000013,'Venril Sathir','<The Incarnate>','','','',255,7713,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000014,'a miniature statue','','','','',255,148,6,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000015,'Pokee''s Kabarab puppet','A magical puppet','','','',9,7713,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000016,'Pokee''s Janer puppet','A magical puppet','','','',9,7713,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000017,'Pokee''s Gebann puppet','A magical puppet','','','',9,7713,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3000018,'Raythe''s blighted horde','','','','',255,8714,15,3,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020000,'','','','','',255,8889,136,8,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020001,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020002,'a scorn fiend','','','','',255,6824,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020003,'an animus haunted chest','','','','',255,226,48,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020004,'Voice of K''Lorn','','','','',255,5987,128,0,1,1,9,0,9985,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020005,'a spite golem','','','','',255,6315,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020006,'a vexed abhorrence','','','','',1,4547,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020007,'Mender Gruug','','','','',9,1521,41,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020008,'Mender Gruug''s anvil','','','','',255,3316,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020009,'Master P`Tasa','<Lord of Repugnance>','','','',255,4634,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020010,'a scorn reaper','','','','',255,5002,48,0,1,1,11,0,14925,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020011,'a patron of hate','','','','',1,4548,38,0,1,1,11,0,10137,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020012,'a hatemonger','','','','',9,146,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020013,'Demetrius Crane','<Lord of Abhorrence>','','','',9,134,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020014,'a hate seeker','','','','',255,5987,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020015,'an ire wraith','','','','',255,236,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020016,'','','','','',255,8154,320,0,1,1,0,0,10137,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020017,'Byzola','<Manifestation of Malice>','','','',255,147,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020018,'Kpul D`Vngur','<Maestro of Rancor>','','','',255,4635,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020019,'Karn','Scorn''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020020,'Scorn','<Mistress of Hate>','','','',14,105,41,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020021,'Ire','<Mistress of Hate>','','','',14,105,41,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020022,'Spite','<Mistress of Hate>','','','',14,105,41,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020023,'Loathing','<Mistress of Hate>','','','',14,105,41,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020024,'Malevolence','<Mistress of Hate>','','','',14,105,41,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020025,'Zebartik','Scorn''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020026,'Zaseker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020027,'Dreadlord D`Somni','<Lord of Fury>','','','',1,115,51,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020028,'Varn','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020029,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020030,'',NULL,'','','',0,8154,19,0,1,1,0,0,10137,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3020031,'Shard of Hate Exit',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,1640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030000,'an agitated corpse','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030001,'a crypt enforcer','','','','',255,7246,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030002,'a tormented ilis','','','','',255,7395,31,1,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030003,'a tormented jin','','','','',255,7395,31,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030004,'a tormented krup','','','','',255,7395,31,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030005,'a tormented kor','','','','',255,7395,32,3,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030006,'a tormented dar','','','','',255,7395,30,1,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030007,'a tormented reet','','','','',255,7395,30,1,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030008,'Gruplinort','','','','',255,7395,44,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030009,'a tormented bok','','','','',255,7395,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030010,'a crypt juggernaut','','','','',255,7246,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030011,'an agitated protector','','','','',255,7638,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030012,'Hierophant Prime Grekal','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030013,'Baron Yosig','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030014,'Konekn','Harbinger Freglor''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030015,'Harbinger Freglor','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030016,'Arch Duke Latol','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030017,'Librarian Zimor','<Brood of Kotiz>','','','',255,103,38,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030018,'Lord Vizaroth','','','','',255,103,38,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030019,'a crypt skullcrusher','','','','',255,7246,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030020,'Fallen Emperor Vekin','<Legion of Cabilis>','','','',255,1575,48,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030021,'hurzaks_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030022,'zorvul_tomb',NULL,'','','',0,2306,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030023,'zone_to_sebilis',NULL,'','','',0,49,32,0,1,1,722,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030024,'grekals_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030025,'yosigs_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030026,'freglors_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030027,'latols_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030028,'verluz_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030029,'verluz_sign',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3030030,'lurask_tomb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050000,'an enslaved thrall','','','','',255,158,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050001,'a fettered guardian','','','','',255,2553,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050002,'a skeletal patrol leader','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050003,'a skeletal warrior','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050004,'an Ar''ticae scryer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050005,'an ice protector','','','','',255,2553,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050006,'an Ar''ticae cultist','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050007,'Raegh the Protector','','','','',255,158,64,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050008,'Ar''ticae, the Frost Maiden','','','','',255,238,128,0,1,1,0,0,1494,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050009,'a Ar''ticae summoner','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050010,'Gebobab','A Ar''ticae summoner''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050011,'Gibtik','A Ar''ticae summoner''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050012,'scrying_door_left',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050013,'scrying_door_right',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050014,'bedroom_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050015,'bedroom_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050016,'summoning_door_right',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050017,'summoning_door_left',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050018,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050019,'internal_summoning_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050020,'to_everfrost_left',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3050021,'to_everfrost_right',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060000,'a Bloodskull lookout','','','','',20,5021,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060001,'a Bloodskull fanatic','','','','',20,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060002,'a Bloodskull soldier','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060003,'a war elephant','','','','',255,264,48,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060004,'a bull war elephant','','','','',255,264,54,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060005,'a Bloodskull battlehound','','','','',255,278,48,0,1,1,11,0,0,1,1,1,0,120,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060006,'a redbelly slicer','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060008,'a Bloodskull high priest','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060010,'a Bloodskull heretic','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060011,'a Bloodskull herald','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060012,'Legioneer Gorlak','','','','',19,5021,38,0,1,1,11,0,0,1,1,1,0,0,36,6445,2020,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060013,'an elect Bloodskull heretic','','','','',19,5108,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060014,'a chosen Bloodskull herald','','','','',19,5108,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060015,'an elite Bloodskull fanatic','','','','',19,5108,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060016,'an elite Bloodskull soldier','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060018,'a frenzied Bloodskull high guard','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060019,'a Bloodskull high guard','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060020,'General Drull','','','','',19,5027,44,0,1,1,11,0,0,1,1,1,0,0,36,7500,1750,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060021,'a Bloodskull reinforcement','','','','',19,5021,36,1,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060022,'a Bloodskull warlock','','','','',19,5108,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060023,'a Bloodskull witch','','','','',19,5108,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060024,'a Bloodskull protector','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060025,'a Bloodskull spotter','','','','',19,5021,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060026,'a Bloodskull mender','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060027,'a Bloodskull savage','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060028,'a Bloodskull bouncer','','','','',19,5022,44,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060039,'zone_to_commonlands02',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060040,'zone_to_commonlands01',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060041,'animal den',NULL,'','','',0,4002,103,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060042,'mud stone',NULL,'','','',0,3914,58,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060043,'ferric ore',NULL,'','','',0,1725,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060044,'vestigial roots',NULL,'','','',0,1727,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060045,'marred arbor',NULL,'','','',0,3943,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060046,'flattened bed of thistle',NULL,'','','',0,4078,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3060047,'fury of fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080000,'Terithal','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080001,'a Bloodskull spiritcaller','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080002,'a Bloodskull footman','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080003,'a Bloodskull grunt','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080004,'a Bloodskull peon','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080005,'a Bloodskull excavator','','','','',19,5022,32,0,1,1,11,0,13113,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080006,'a Bloodskull foreman','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080007,'a Bloodskull miner','','','','',19,5022,32,0,1,1,11,0,13113,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080008,'a Bloodskull guardsman','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080009,'a Bloodskull prospector','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080010,'a Bloodskull supplier','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080011,'a Bloodskull engineer','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080012,'a Bloodskull machinist','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080013,'a Bloodskull carpenter','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080014,'a Bloodskull myrmidon','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080015,'a Bloodskull domesticator','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080016,'a troglodyte berserker','','','','',255,151,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080017,'a young troglodyte','','','','',255,151,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080018,'a Bloodskull scavenger','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080019,'a Bloodskull protector','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080020,'a Bloodskull architect','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080021,'a Bloodskull builder','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080022,'a Bloodskull treasure hunter','','','','',19,5022,32,0,1,1,11,0,13113,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080023,'a Bloodskull gemseeker','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080024,'Treasure Hunter Bakrok','','','','',19,5021,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080025,'a Bloodskull flamethrower','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080026,'a Bloodskull high priest','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080027,'a Bloodskull seer','','','','',19,5108,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080028,'a troglodyte chosen','','','','',255,151,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080029,'The Troglodyte Champion','','','','',255,151,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080030,'Conjura''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080031,'Benas','Conjura''s animated dagger','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080032,'Benas','Conjura''s animated dagger','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080033,'Conjura''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080034,'Benas','Conjura''s igneous apprentice','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080035,'Koneker','Keela''s servant','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080036,'A Bloodskull Overseer','','','','',19,5021,48,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080037,'warmachine_01',NULL,'','','',0,49,32,0,1,1,998,0,0,0,0,1,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080038,'warmachine_02',NULL,'','','',0,49,32,0,1,1,998,0,0,0,0,1,0,0,285,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080039,'arena_door01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080040,'arena_door00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080041,'warmachine_03',NULL,'','','',0,49,32,0,1,1,998,0,0,0,0,1,0,0,283,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080042,'warmachine_04',NULL,'','','',0,49,32,0,1,1,998,0,0,0,0,1,0,0,284,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080043,'warmachine_06',NULL,'','','',0,49,32,0,1,1,998,0,0,0,0,1,0,0,284,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080044,'warmachine_05',NULL,'','','',0,49,32,0,1,1,998,0,0,0,0,1,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080046,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080048,'qey_boulder02',NULL,'','','',0,1725,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080049,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080050,'quest_torch',NULL,'','','',0,4912,19,0,1,1,997,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080051,'quest_fire_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080052,'quest_fire_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080053,'quest_fire_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080054,'quest_fire_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080055,'quest_fire_06',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080056,'quest_fire_05',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080057,'zone_to_commonlands02',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3080058,'zone_to_commonlands01',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090000,'a Bloodskull soldier','','','','',20,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090003,'a Bloodskull savage','','','','',19,5022,35,3,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090004,'a Bloodskull sentinel','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090005,'a Bloodskull savage','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090006,'a Bloodskull sentinel','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090007,'a Bloodskull cleric','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090008,'a Bloodskull soldier','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090009,'a Bloodskull grunt','','','','',19,5021,32,0,1,1,0,0,10783,0,0,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090010,'a Bloodskull Mahut caller','','','','',19,5021,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090011,'a Bloodskull Mahut hurler','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090012,'a Bloodskull Mahut mangler','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090013,'a Bloodskull Mahut healer ','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090014,'a Bloodskull war elephant','','','','',255,264,48,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090015,'a War Elephant juvenile','','','','',255,264,25,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090016,'a Bloodskull Mahout youth','','','','',19,5022,28,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090017,'a Bloodskull Lieutenant','','','','',19,5021,38,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090018,'an elder Bloodskull war elephant','','','','',255,264,49,1,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090019,'a Bloodskull Mahut trainer','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090020,'a Bloodskull Mahut mender','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090021,'a Bloodskull Mahut wringer','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,120,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090022,'Taurook Thump','','','','',19,5023,38,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090023,'a Bloodskull war elephant juvenile','','','','',255,264,38,0,1,1,11,0,10783,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090024,'Gruktarn Redfist','','','','',19,5023,38,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090025,'an elder Bloodskull war elephant','','','','',255,264,54,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090026,'Mirak Thern','','','','',19,5023,38,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090027,'an elite Bloodskull Mahut trainer','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090028,'an elite  Bloodskull Mahut wringer','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090029,'an elite  Bloodskull Mahut trainer','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090030,'an elite Bloodskull Mahut mender','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090031,'an elite Bloodskull Mahut wringer','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090032,'a redbelly racer','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090033,'Ukgry the Trainer','','','','',19,5022,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090037,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090038,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090040,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,0,0,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090041,'zone_to_commonlands02',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3090042,'zone_to_commonlands01',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110001,'decaying crab','','','','',255,211,64,0,1,1,11,0,0,1,1,1,0,1,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110002,'Rognog the Angler','','','','',255,3812,48,0,1,1,11,0,0,1,1,1,0,1,112,781,781,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110003,'a catch','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110004,'swarming piranha','','','','',255,204,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110005,'captains_bones',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110006,'quest_chest_captains_hand',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110007,'zone_to_steppes_right',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110008,'zone_to_steppes_left',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3110009,'Rognog the Angler','','','','',255,3812,48,0,1,1,11,0,0,1,1,1,0,1,112,350000,200000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130000,'a warrior of Mjolni','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130001,'a servant of Mjolni','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130002,'Kibeker','A disciple of Mjolni''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130003,'a disciple of Mjolni','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130004,'a disciple of Mjolni','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130005,'Konaner','Mjolni, the Bringer of Storms''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130006,'a prophet of Mjolni','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130007,'Mjolni, the Bringer of Storms','','','','',255,238,96,0,1,1,11,0,0,1,1,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130008,'a scribe of Mjolni','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130009,'Jararn','A disciple of Mjolni''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130010,'Josobn','Mjolni, the Bringer of Storms''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130011,'zone_to_steppes_right',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3130012,'zone_to_steppes_left',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150000,'a drowned prisoner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150001,'a drowned prisoner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150002,'a Deathfist tower lookout','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150003,'a Deathfist tower lieutenant','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150004,'a baby swine','','','','',255,271,9,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150005,'a swine','','','','',255,272,28,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150006,'a cow','','','','',255,259,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150007,'a Deathfist royal praetorian','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150008,'a Deathfist elite praetorian','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150009,'a Deathfist bone construct','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150010,'a Deathfist shaman','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150011,'an arena spectator','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150012,'an arena spectator','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150013,'a Deathfist citizen','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150014,'a Deathfist royal praetorian','','','','',19,5022,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150015,'Regent Grozmag','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150016,'a concubine','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150017,'a pawn slaveminer','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150018,'a pawn slaveminer','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150019,'a gore cleaner','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150020,'a refuse cleaner','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150021,'a Deathfist centurion','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150022,'a Deathfist centurion','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150023,'a potion tester','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150024,'an assistant alchemist','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150025,'a master brewer','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150026,'a Deathfist praetorian','','','','',19,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150027,'a Deathfist centurion','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150028,'a treasure sorter','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150029,'a treasure sorter','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150030,'a Deathfist gladiator','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150031,'a goblin bookie','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150032,'a Deathfist elite guardsman','','','','',19,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150033,'a beaten prisoner','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150034,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150035,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150036,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150037,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150038,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150039,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150040,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150041,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150042,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150043,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150044,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150045,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150046,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150047,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150048,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150049,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150050,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150051,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150052,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150053,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150054,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150055,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150056,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150057,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150058,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150059,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150060,'quest_door_hatch_tower_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150061,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150062,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150063,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150064,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150065,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150066,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150067,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150068,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150069,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150070,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150071,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150072,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150073,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150074,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150075,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150076,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150077,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150078,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150079,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150080,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150081,'elevator_0',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150082,'elevator_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,269,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150083,'orcish_throne',NULL,'','','',0,1435,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150084,'zone_to_orcishwastes_b',NULL,'','','',0,49,32,0,1,1,925,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150085,'zone_to_orcishwastes_a',NULL,'','','',0,49,32,0,1,1,925,0,0,0,0,1,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3150086,'Zone to Orcish: Main Gate',NULL,'','','',0,49,32,0,1,1,926,0,0,0,0,1,0,0,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180000,'a Kromise statue','','','','',255,4014,96,0,1,1,0,0,1494,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180001,'a Kromise Royal Guard','','','','',255,4014,48,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180002,'King Drayek','','','','',255,4014,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180003,'a Kromise guardian','','','','',255,4014,32,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180004,'The Sage of Ages','','','','',8,136,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180005,'Lord Darathar','','','','',255,229,80,0,1,1,0,0,0,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180006,'egg_ice_01',NULL,'','','',0,1667,192,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180007,'zone_to_permafrost_right',NULL,'','','',0,49,32,0,1,1,518,0,0,0,0,1,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3180008,'zone_to_permafrost_left',NULL,'','','',0,49,32,0,1,1,518,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190000,'a Thulian zealot','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190001,'a Thulian thought weaver','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190002,'a Thulian hunter','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190003,'a Thulian devourer','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190004,'a Thulian warrior','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190005,'a lizardman brigand','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190006,'a lizardman templar','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190007,'a lizardman coercer','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190008,'a lizardman berserker','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190009,'a Thule fearmonger','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190010,'an Amygdalan proselytizer','','','','',255,176,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190011,'a Thule fearmonger','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190012,'a Thule fearmonger','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190013,'Jonab','A Thule fearmonger''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190014,'a Thulian adept','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190015,'a Thulian zealot','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190016,'a Thulian warrior','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190017,'a murkwater piranha','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190018,'a gloomwater piranha','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190019,'a blackwater piranha','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190020,'a Thulian zealot','','','','',255,1638,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190021,'Zantik','Dythra, the Gloombringer''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190022,'a Thulian converter','','','','',255,1638,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190023,'Dythra, the Gloombringer','','','','',255,238,80,0,1,1,11,0,0,1,1,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3190024,'to Feerrott',NULL,'','','',0,49,32,0,1,1,199,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210000,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210001,'a hired guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210002,'a strangleroot butcher','','','','',255,212,128,7,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210003,'Royal Attendant Fade','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210004,'High Guard Nien','','','','',0,1462,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210005,'High Guard Morel','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210006,'Prince Mianja','','','','',11,101,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210007,'a strangleroot vicar','','','','',255,212,129,8,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210008,'a strangleroot aggressor','','','','',255,212,123,4,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210009,'a strangleroot weaver','','','','',255,212,127,8,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210010,'Shenot the Forsaken','','','','',255,274,96,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210011,'Piali the Profane','','','','',255,274,96,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210012,'Envels the Heathen','','','','',255,274,96,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210013,'a strangleroot butcher','','','','',255,212,118,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210014,'Taegso the Wretched','','','','',255,274,96,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210015,'zone_to_antonica_0',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210016,'zone_to_antonica_1',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210017,'cloth_widget',NULL,'','','',0,4612,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210018,'fuel_widget',NULL,'','','',0,5307,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210019,'gem_widget',NULL,'','','',0,5979,32,0,1,1,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210020,'leather_widget',NULL,'','','',0,2658,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210021,'grain_widget',NULL,'','','',0,3534,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210022,'lumber_widget',NULL,'','','',0,3074,32,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3210023,'ingot_widget',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230000,'Vanudozalon the Elusive','','','','',255,238,160,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230001,'Vanudozalon the Elusive','','','','',255,238,160,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230002,'zone_to_antonica_0',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230003,'zone_to_antonica_1',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230004,'cloth_widget',NULL,'','','',0,4612,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230005,'fuel_widget',NULL,'','','',0,5307,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230006,'gem_widget',NULL,'','','',0,5979,32,0,1,1,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230007,'leather_widget',NULL,'','','',0,2658,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230008,'grain_widget',NULL,'','','',0,3534,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230009,'lumber_widget',NULL,'','','',0,3074,32,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3230010,'ingot_widget',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240000,'Grimgash the Black','','','','',9,137,38,0,1,1,11,0,0,1,1,1,0,1,36,340,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240001,'widget_to_IsleofRefuge',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240002,'a Gruttooth protector',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240005,'a Gruttooth sparkcaster',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240006,'a Gruttooth witch doctor',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240007,'a Gruttooth champion',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3240008,'BurningFire_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250002,'mizan_cellar',NULL,'','','',0,2907,32,0,0,0,9516,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250003,'Duke Ferrin','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250004,'Ambassador Saera','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250005,'Ambassador T''Kirr','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250006,'Ingrid','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250007,'Captain Varlos','','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250008,'Ebik Wobblecog','','','','',5,121,29,0,1,1,9,0,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250009,'Priestess Xaliea','','','','',6,116,28,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250010,'Holy Shrine',NULL,'','','',0,1749,32,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250011,'statue_widget',NULL,'','','',0,49,32,0,0,0,882,0,0,0,0,1,1,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250013,'Zone to Friend',NULL,'','','',0,16,32,0,1,1,1163,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250014,'Nathinia Sparklebright','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250016,'Vladiminn','','','','',13,53,32,0,1,1,9,0,0,0,0,1,0,0,34,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250017,'Braksan Steelforge','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250019,'Quartermaster Brennar','<Merchant>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,601,601,0,0,100499,0,0,0,0,0,0,0,0,0,0,0,0),
(3250020,'Garven Tralk','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250021,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250022,'goblin_tent01',NULL,'','','',0,1544,32,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250023,'goblin_tent02',NULL,'','','',0,1545,32,0,0,0,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250024,'goblin_rubble01',NULL,'','','',0,1535,32,0,0,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250025,'goblin_rubble02',NULL,'','','',0,1536,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250026,'goblin_rubble03',NULL,'','','',0,1537,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250027,'goblin_flag02',NULL,'','','',0,1531,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250028,'goblin_brazier01',NULL,'','','',0,1547,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250029,'Collector Rivicea Goldwind','','','','',0,135,32,0,1,1,9,0,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250030,'Guard Tanglor','','','','',11,101,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250031,'Master Malvonicus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250032,'Geredo',NULL,'','','',5,121,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250033,'Anikra',NULL,'','','',6,79,32,0,1,1,9,0,0,0,0,0,0,0,30,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250034,'Valik',NULL,'','','',11,101,32,0,1,1,9,0,0,0,0,0,0,0,38,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250035,'Weapon rack',NULL,'','','',0,1534,32,0,0,0,9503,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250036,'Banker Vertbridge','','','','',5,121,32,0,1,1,14,9,0,0,0,1,0,0,16,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250037,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250038,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250039,'felled tree',NULL,'','','',0,3945,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250040,'felled tree',NULL,'','','',0,3944,20,1,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250041,'felled tree',NULL,'','','',0,3948,19,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250042,'roots',NULL,'','','',0,1733,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250043,'unearthed stone',NULL,'','','',0,3956,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250044,'school of fish',NULL,'','','',0,4159,28,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250045,'unearthed stone',NULL,'','','',0,1668,23,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250046,'Vim','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250047,'Guard Ssilith','','','','',10,104,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250048,'evil_gravestone_spawner',NULL,'','','',0,49,25,0,1,1,947,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250049,'Merchant Ihaen','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,200,90,0,0,100498,0,0,0,0,0,0,0,0,0,0,0,0),
(3250050,'hanging_meat01',NULL,'','','',0,1533,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250051,'ebiks_clunker',NULL,'','','',0,1579,32,0,0,0,1158,0,0,0,0,1,1,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250052,'ebiks_spinner',NULL,'','','',0,1580,32,0,0,0,1158,0,0,0,0,1,1,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250053,'ebiks_springer',NULL,'','','',0,1578,32,0,0,0,1158,0,0,0,0,1,1,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250054,'Captain Rockbelly','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,1,32,375,180,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0),
(3250055,'High Chieftain Kryx','','','','',255,145,51,0,1,1,11,0,0,1,1,1,0,1,35,230,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250056,'Bladefin','','','','',255,242,42,0,1,1,11,0,0,1,1,1,0,1,17,275,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250057,'Mizan Vaeolin','','','','',3,1602,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250058,'Mender Mannus','','','','',0,112,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3250059,'Defender Branos','','','','',12,124,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250060,'Defender Camis','','','','',0,112,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250061,'Guard V''raen','','','','',1,116,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250062,'anvil',NULL,'','','',0,3315,33,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250063,'a Gruttooth invader',NULL,'','','',255,145,32,0,1,1,11,0,0,1,1,1,0,35,0,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250064,'a goliath beetle',NULL,'','','',35,208,75,0,1,1,11,0,0,1,1,1,0,0,0,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250065,'a shore crab','','','','',255,211,11,2,1,1,11,0,0,1,1,1,0,0,25,33,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250066,'Goblin_barrel',NULL,'','','',0,2941,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250067,'a supply crate',NULL,'','','',0,2187,32,0,1,1,11,0,0,1,0,1,0,0,0,70,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250068,'a coastal crab','','','','',255,211,11,2,1,1,11,0,0,1,1,1,0,0,25,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250069,'a Gruttooth runt',NULL,'','','',255,145,28,0,1,1,11,0,0,1,1,1,0,35,0,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250070,'a Gruttooth scout',NULL,'','','',255,145,32,0,1,1,11,0,0,1,1,1,0,35,0,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250071,'a grove deer',NULL,'','','',255,206,25,0,1,1,11,0,0,1,1,1,0,0,38,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250072,'a Gruttooth provider',NULL,'','','',255,145,35,0,1,1,11,0,0,1,1,1,0,35,0,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250073,'a mire bog',NULL,'','','',0,209,32,0,1,1,11,0,0,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250074,'Goblin_Scafold',NULL,'','','',0,1539,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250075,'goblin_flag01',NULL,'','','',0,1530,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250077,'a supply runner',NULL,'','','',255,145,32,0,1,1,11,0,0,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250078,'goblin_cage1',NULL,'','','',0,1526,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250079,'goblin_flag03',NULL,'','','',0,1532,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250080,'a timber wolf pup','','','','',255,216,16,1,1,1,11,0,0,1,1,1,0,0,32,75,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250081,'Strange Marking Rock',NULL,'','','',0,1550,25,0,0,0,135,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250082,'Marking Stump',NULL,'','','',0,1551,10,0,0,0,135,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250083,'Guard Mizmozzle','','','','',13,54,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250084,'a giant spider','','','','',255,205,55,0,1,1,11,0,0,1,1,1,0,0,10,75,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250085,'Direspike','','','','',255,205,70,0,1,1,11,0,0,1,1,1,0,1,10,165,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250086,'a Gruttooth mystic',NULL,'','','',255,145,32,0,1,1,11,0,0,1,1,1,0,35,0,75,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250087,'a mammoth beetle',NULL,'','','',35,208,52,0,1,1,11,0,0,1,1,1,0,0,0,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250088,'an emerald snake','','','','',255,213,47,8,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250089,'a War Totem',NULL,'','','',255,2223,20,0,1,1,11,0,0,1,0,1,0,35,0,10000,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250090,'Guard Tugar','','','','',2,110,32,0,1,1,9,11,0,1,1,1,0,34,38,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250091,'a shore crab','','','','',255,211,9,2,1,1,11,0,0,1,1,1,0,0,25,36,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250092,'a shore crab','','','','',255,211,15,2,1,1,11,0,0,1,1,1,0,0,25,34,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250093,'a timber wolf pup','','','','',255,216,16,1,1,1,11,0,0,1,1,1,0,0,32,40,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250094,'a Gruttooth guard',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250095,'a Gruttooth laborer',NULL,'','','',255,145,28,0,1,1,11,0,13308,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250096,'a Gruttooth laborer',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250097,'Goblin_barrel',NULL,'','','',0,3306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250098,'a Gruttooth laborer',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250099,'10m_FireLight',NULL,'','','',0,5748,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250100,'a reef turtle','','','','',255,218,32,0,1,1,11,0,0,1,1,1,0,0,9,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250101,'a shoal glider','','','','',255,254,48,0,1,1,11,0,0,1,1,1,0,0,9,75,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250102,'Marking Rock',NULL,'','','',0,1668,25,0,0,0,135,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250103,'qey_boulder02',NULL,'','','',0,1724,25,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250104,'a Gruttooth laborer','','','','',255,145,32,0,1,1,11,0,11420,1,1,1,0,35,18,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250105,'a Gruttooth laborer','','','','',255,145,38,0,1,1,11,0,11420,1,1,1,0,35,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250106,'goblin_cage2',NULL,'','','',0,1527,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250107,'goblin_cage3',NULL,'','','',0,1528,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250108,'goblin_cage4',NULL,'','','',0,1529,32,0,0,0,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250109,'a timber wolf','','','','',255,216,24,1,1,1,11,0,0,1,1,1,0,0,32,75,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250110,'a Gruttooth lookout',NULL,'','','',255,145,32,0,1,1,11,0,0,1,1,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250111,'goblin_torturetable',NULL,'','','',0,1542,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250112,'aggroGruttooth_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250113,'goblin_woodpile',NULL,'','','',0,3347,32,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250114,'goblin_stump',NULL,'','','',0,1750,7,0,0,0,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250115,'a Gruttooth aggressor',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250116,'a captive refugee',NULL,'','','',5,121,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250117,'a captive refugee',NULL,'','','',8,136,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250118,'a captive refugee',NULL,'','','',13,53,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250119,'a captive refugee',NULL,'','','',15,113,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250120,'a captive refugee',NULL,'','','',11,113,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250121,'a captive refugee',NULL,'','','',9,134,28,0,1,1,9,0,0,0,0,0,0,0,16,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250122,'a Gruttooth laborer',NULL,'','','',255,145,28,0,1,1,11,0,11244,1,1,1,0,35,0,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250123,'a Gruttooth brute',NULL,'','','',255,145,40,0,1,1,11,0,0,1,1,1,0,1,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250124,'a Gruttooth brute',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,1,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250126,'supplyGob_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250127,'a supply crate',NULL,'','','',255,2187,32,0,1,1,11,0,0,1,0,1,0,0,32,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250128,'a battle wolf','','','','',255,216,26,1,1,1,11,0,0,1,1,1,0,1,32,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250129,'a battle wolf','','','','',255,216,26,1,1,1,11,0,0,1,1,1,0,1,32,55,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250130,'a Gruttooth sentry',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,1,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250131,'a Gruttooth sentry',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,1,0,130,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250132,'Garven_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250133,'a Gruttooth Warmonger',NULL,'','','',255,145,42,0,1,1,11,0,0,1,1,1,0,1,0,195,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250134,'a Gruttooth brute',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,1,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250135,'a Titan Beetle',NULL,'','','',35,208,200,0,1,1,11,0,0,1,1,1,0,0,0,195,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250136,'a Siege Planner',NULL,'','','',255,145,42,0,1,1,11,0,0,1,1,1,0,1,0,195,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250137,'meteor',NULL,'','','',0,9885,32,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250138,'a copperhead','','','','',255,213,60,8,1,1,11,0,0,1,1,1,0,1,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250139,'Cleric Mara''Vaen','','','','',8,135,32,0,1,1,9,0,228,0,0,0,0,21,28,151,999999,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250140,'a Gruttooth hunter',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,0,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250141,'a grizzly bear cub','','','','',255,198,17,1,1,1,11,0,0,1,1,1,0,0,36,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250142,'Quagmaul','','','','',255,198,48,1,1,1,11,0,0,1,1,1,0,1,36,195,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250143,'Greybeard','','','','',9,138,40,0,1,1,11,0,0,1,1,1,0,1,36,225,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250144,'an Alpha Wolf','','','','',255,216,42,1,1,1,11,0,0,1,1,1,0,1,32,275,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250145,'a fallen pirate','','','','',9,138,32,0,1,1,11,0,0,1,1,1,0,1,36,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250146,'a grizzly bear','','','','',255,198,32,1,1,1,11,0,0,1,1,1,0,1,36,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250147,'a Gruttooth protector',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250148,'a war wolf','','','','',255,216,28,1,1,1,11,0,0,1,1,1,0,1,32,65,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250149,'a noxious cobra','','','','',255,234,70,8,1,1,11,0,0,1,1,1,0,1,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250150,'a Shadow Serpent','','','','',255,213,150,8,1,1,11,0,0,1,1,1,0,1,8,275,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250151,'a war wolf','','','','',255,216,28,1,1,1,11,0,0,1,1,1,0,1,32,165,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250152,'a Gruttooth hunter',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,1,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250153,'an island beaver','','','','',255,207,12,1,1,1,11,0,0,1,1,1,0,0,36,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250154,'a Gruttooth protector',NULL,'','','',255,145,38,0,1,1,11,0,0,1,1,1,0,1,0,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250155,'Gravestone_Marker',NULL,'','','',0,1854,32,0,1,1,135,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250156,'Grimgash_Lair',NULL,'','','',0,49,32,0,0,0,9517,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250157,'a sawtooth shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,1,17,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250158,'a needlefang','','','','',255,194,38,0,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250159,'a razortooth shark','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,1,17,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250160,'a triggerfish','','','','',255,204,29,3,1,1,11,0,0,1,1,1,0,0,8,45,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250161,'campfire_wood',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250162,'a redgill','','','','',255,204,7,0,1,1,11,0,0,1,1,1,0,0,8,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250163,'a Supply Captain',NULL,'','','',255,145,40,0,1,1,11,0,0,1,1,1,0,1,0,195,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250164,'a Gruttooth saboteur',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,125,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250165,'GoblinSaboteur_Firepit',NULL,'','','',0,3344,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250166,'a Gruttooth saboteur',NULL,'','','',255,145,36,0,1,1,11,0,0,1,1,1,0,1,0,125,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250167,'Assistant Dreak','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250168,'Leave the Isle of Refuge',NULL,'','','',0,16,32,0,1,1,9506,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250169,'BurningFire_invisible_cube',NULL,'','','',0,2306,10,0,0,0,0,0,492,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250170,'a seaside falcon','','','','',255,2358,27,4,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250171,'Marking Chest',NULL,'','','',0,5864,25,0,0,0,135,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250173,'The Far Journey',NULL,'','','',0,2557,32,0,0,0,0,0,0,0,0,0,0,0,1355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250174,'Helmsman Nyles',NULL,'','','',9,144,32,0,1,0,9,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250175,'Title Bot',NULL,'','','',255,145,28,0,1,1,11,0,0,1,1,1,0,0,0,30,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250176,'roots',NULL,'','','',0,1728,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250177,'piperaceae',NULL,'','','',0,1670,20,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250178,'Shady Swashbuckler XVII','< EMU Testing Buffer >','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3250179,'a weapon rack',NULL,'','','',0,1534,32,0,0,0,9503,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260000,'a Windrider maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260001,'a Galebreaker maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260002,'a Skyshield maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260003,'a Cloudsong maiden','','','','',255,182,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260004,'a trained ice wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260005,'a Skyshield maiden','','','','',255,182,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260006,'a trained winter wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260007,'Sky Marshal Valdis','','','','',255,182,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260008,'Gale Monarch E''yildir','','','','',255,182,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260009,'Eidolon of the Ancients','','','','',255,156,96,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260010,'Spirit of the Fallen','','','','',255,156,160,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260011,'an ice guardian','','','','',255,182,96,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260012,'an ice guardian','','','','',255,182,64,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260013,'an ice guardian','','','','',255,182,64,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260014,'an ice guardian','','','','',255,182,64,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260015,'quest_mana_ice_crystals',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,299,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260016,'valkyrie_statue',NULL,'','','',0,3582,96,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3260017,'to_everfrost',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280001,'a hunting mongrel','','','','',255,278,32,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280002,'a Giantslayer leasher','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280003,'an unlucky adventurer','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280004,'a giantslayer thug','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280005,'a Giantslayer tracker','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280006,'a giantslayer basher','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280007,'a giantslayer brute','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280008,'a Black Magi visionary','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280009,'a Black Magi elder','','','','',13,71,32,0,1,1,11,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280010,'a Black Magi initiate','','','','',13,56,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280011,'a Portal Abhorrent','','','','',255,159,96,0,1,1,11,0,0,1,1,1,0,1,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280012,'a Portal Atrocity','','','','',255,170,96,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280013,'a Portal Abomination','','','','',255,284,96,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280014,'a Windstalker grizzly','','','','',255,198,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280015,'Packhandler Jerit','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280016,'Kabaner','Rinso''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280017,'Scholar Moiek','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280019,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280020,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280021,'Small fire',NULL,'','','',0,2019,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280022,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280023,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280024,'Plain large bucket',NULL,'','','',0,1663,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280026,'fprt_hood_table_small01',NULL,'','','',0,1516,23,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280027,'halfling_bucket01',NULL,'','','',0,1621,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280028,'antonican_fence_piece04',NULL,'','','',0,4720,32,0,0,0,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280029,'invisible cube 1',NULL,'','','',0,2306,128,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280030,'invisible cube 2',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280031,'a wooden cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280032,'Orc Tent',NULL,'','','',0,2379,32,0,0,0,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280033,'invisible cube 3',NULL,'','','',0,2306,128,0,0,0,0,0,144,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3280034,'',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3290000,'Vyr''drais the Vicious','','','','',255,238,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3290001,'The Sage of Ages','','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3290002,'wyrm guardian','','','','',255,1375,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3290003,'a Drakota inquisitor','','','','',255,238,80,0,1,1,11,0,0,1,1,1,0,1,32,766,766,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3290004,'door_to_lavastorm',NULL,'','','',0,49,32,0,0,0,102,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310000,'Melanie Everling','','','','',255,2851,30,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310001,'a small soul sapper','','','','',255,244,19,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310002,'Chalandria the Queen of the Cursed','','','','',255,244,80,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310003,'a small soul sapper','','','','',255,244,22,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310004,'a small soul sapper','','','','',255,244,22,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310005,'Bishop Cephas','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310006,'a ghostly Thexian bishop','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310007,'a Thexian specter','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310008,'a Thexian specter','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310009,'a Thexian apparition','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310010,'an eidolon watch dog','','','','',255,3882,28,3,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310011,'a granite watcher','','','','',255,1370,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310012,'an eidolon watch dog','','','','',255,3882,25,2,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310013,'a rotting maid','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310014,'a rotting maid','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310015,'a rotting concubine','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310016,'a Thexian apparition','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310017,'a Thexian specter','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310018,'Deirdra Everling','','','','',255,2851,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310019,'Groundskeeper Edgan','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310020,'a rotting concubine','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310021,'a sous-chef','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310022,'an undying warden','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310023,'an undying jailer','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310024,'Watchman Gantder','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310025,'an undying watchman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310026,'an undying executioner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310027,'a Thexian specter','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310028,'a flesh rampager','','','','',255,161,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310029,'an everling butler','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310030,'an enslaved dwarven soul','','','','',255,3647,23,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310031,'a Thexian apparition','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310032,'Captain Greeves','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310033,'Demitry the Ravager','','','','',255,3882,38,0,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310034,'Unargin the Blacksmith','','','','',255,2840,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310035,'The Spirit Sucker','','','','',255,235,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310036,'a Thexian apparition','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310037,'Butler Balthazen','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310038,'a cursed soul','','','','',255,2306,50,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310039,'Lord Everling','','','','',255,2852,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310040,'a cursed soul','','','','',255,273,50,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310041,'a cursed soul','','','','',255,273,50,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310042,'a cursed soul','','','','',255,273,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310043,'a cursed soul','','','','',255,273,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310044,'a cursed soul','','','','',255,273,47,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310045,'a cursed soul','','','','',255,273,47,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310046,'a cursed soul','','','','',255,273,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310047,'a cursed soul','','','','',255,273,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310048,'a cursed soul','','','','',255,273,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310049,'a cursed soul','','','','',255,273,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310050,'a cursed Thexian soul','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310051,'a cursed Thexian soul','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310052,'The Thexian Overlord','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310053,'a cursed Thexian soul','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310054,'a cursed Thexian soul','','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310055,'a rotting chambermaid','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310056,'Jenni Everling','','','','',255,2851,30,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310057,'a decaying ambassador','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310058,'Alana Everling','','','','',255,2851,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310059,'a cursed soul','','','','',255,273,47,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310060,'Crysta Everling','','','','',255,2851,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310061,'a soul ember','','','','',255,171,19,3,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310062,'a soul ember','','','','',255,171,17,1,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310063,'a soul ember','','','','',255,171,20,1,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310064,'The Burning Soul','','','','',255,171,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310065,'a soul ember','','','','',255,171,19,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310066,'Sheila Everling','','','','',255,2851,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310067,'a cursed guardian','','','','',255,2852,32,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310068,'a cursed everling doll','','','','',255,149,16,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310069,'The Cursed Remains of Shiela Everling','','','','',9,1521,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310070,'a cursed everling doll','','','','',255,149,16,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310071,'The Cursed Remains of Jenni Everling','','','','',9,1521,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310072,'The Cursed Remains of Crysta Everling','','','','',9,1521,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310073,'The Cursed Remains of Deirdra Everling','','','','',9,1521,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310074,'The Cursed Remains of Alana Everling','','','','',9,1521,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310075,'The Cursed Remains of Melanie Everling','','','','',9,1521,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310076,'widget_idol_of_mortael',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310077,'door_17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310078,'door_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310079,'door_18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310080,'door_11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310081,'door_07_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310082,'door_07_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310083,'door_08_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310084,'door_08_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310085,'door_09',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310086,'door_04_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310087,'door_03_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310088,'door_03_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310089,'door_00_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310090,'door_00_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310091,'door_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310092,'door_12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310093,'door_15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310094,'door_02_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310095,'door_02_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310096,'door_01_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310097,'door_01_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310098,'door_13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310099,'door_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310100,'door_23_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310101,'door_23_00',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310102,'door_14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310103,'door_05_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310104,'door_05_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310105,'door_04_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310106,'door_22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310107,'door_21_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310108,'door_21_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310109,'door_20_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310110,'door_20_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310111,'door_19',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310112,'goblin_table01',NULL,'','','',0,1541,26,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310113,'fallengate_rock01',NULL,'','','',0,4652,44,0,1,1,0,0,0,0,0,0,0,0,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310114,'object_treasure_chest_high',NULL,'','','',0,4015,32,0,1,1,151,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310115,'object_treasure_chest_medium',NULL,'','','',0,4016,32,0,1,1,152,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310116,'treasure_chest_horse_corpse',NULL,'','','',0,2372,44,0,1,1,153,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310117,'object_treasure_chest_low',NULL,'','','',0,4034,32,0,1,1,154,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310118,'teleporter_01_00',NULL,'','','',0,2204,32,0,1,1,0,0,3451,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310119,'teleporter_00_00',NULL,'','','',0,2204,32,0,1,1,155,0,3451,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310120,'teleporter_00_01',NULL,'','','',0,2204,32,0,1,1,155,0,3451,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310121,'teleporter_01_01',NULL,'','','',0,2204,32,0,1,1,155,0,3451,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310122,'quest_oracle_robe_empty_crate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3310123,'zone_to_nektulos',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320001,'Angrimar the Torturer','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320002,'a ghastly jailer','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320003,'The Book of Sunder','','','','',255,3322,64,0,1,1,9,0,1907,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320004,'Tinmizer''s Ominous Army','','','','',255,230,32,0,1,1,0,0,228,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320005,'The Cauldron of Al''Kabor','','','','',255,4437,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320006,'an exsanguinated golem','','','','',255,161,48,0,1,1,0,0,228,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320007,'a pool of gore','','','','',255,294,40,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320008,'a pool of gore','','','','',255,294,61,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320009,'chunks of collapsed wall','','','','',255,6445,64,5,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320010,'a vengeful spirit','','','','',255,3710,48,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320011,'a possessed chest','','','','',255,226,38,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320012,'a putrid rat','','','','',255,233,37,2,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320013,'a servant of the Void','','','','',255,1584,44,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320014,'','','','','',255,6441,22,3,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320015,'','','','','',255,5987,32,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320016,'a benign spirit','','','','',255,2852,32,0,1,1,0,0,10843,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320017,'a crumbling parapet','','','','',255,6445,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320018,'a servant of the Void','','','','',255,1584,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320019,'a scythewarden','','','','',255,230,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320020,'a tormented soul','','','','',255,236,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320021,'a malign essence','','','','',255,236,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320022,'a baleful essence','','','','',255,236,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320023,'a nihilistic entity','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320024,'an ethereal guardian','','','','',255,2463,48,0,1,1,11,0,2565,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320025,'a mischievous spirit','','','','',255,2851,20,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320026,'an ancient codex','','','','',255,283,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320027,'an angry librarian','','','','',255,2851,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320028,'Melanie Everling','','','','',255,2851,30,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320029,'Tygrin Amenweth','<Band of the Scarlet Witch>','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320030,'Skrarot Snikdush','<Band of the Scarlet Witch>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320031,'Tiha Amenweth','<Band of the Scarlet Witch>','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320032,'Maskin Spindlefoot','<Band of the Scarlet Witch>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320033,'Szatch','<Band of the Scarlet Witch>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320034,'Grogsnot the Mellow','<Band of the Scarlet Witch>','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320035,'a whirling ember','','','','',255,308,27,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320036,'Coaltergeist','','','','',255,308,27,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320037,'a dolly','','','','',255,149,12,3,1,1,11,0,228,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320038,'an agitated poltergeist','','','','',255,5987,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320039,'an ancient codex','','','','',255,280,56,5,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320040,'a ghostly remains','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320041,'coagulated gore','','','','',255,300,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320042,'Rikantus Everling','','','','',255,134,32,0,1,1,9,0,496,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320043,'final_p41_cauldron_destroy',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320045,'p53_sliding_door_right',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320046,'p53_sliding_door_left',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320047,'widget_idol_of_mortael',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320048,'ollix_room_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320049,'maltus_tomb_secret_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320050,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320051,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320052,'dungeon_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320053,'wives_tomb_secret_door_east',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320056,'courtyard_east_door2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320057,'courtyard_east_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320058,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320059,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320060,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320061,'tomb_corridor_secret_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320062,'final_p41_right_inside',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320063,'final_p41_left_inside',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320064,'chapel_door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320065,'chapel_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320066,'secret_laboratory_entrance_secret_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320067,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320068,'guestroom2_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320069,'guestroom1_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320070,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320071,'gameroom_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320072,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320073,'banquet_hall_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320074,'wine_cellar_secret_passage_secret_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320075,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320076,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320077,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320078,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320079,'main_stair_door_east',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320080,'Wine cellar closed',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320081,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320082,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320083,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320084,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320085,'eunoch_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320086,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320087,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320088,'maltus_room_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320089,'final_basement_guardian_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320090,'eunoch_door3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320091,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320092,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320093,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320094,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320095,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320096,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320097,'final_p47_bookcase02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320098,'final_p47_bookcase01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320099,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320100,'lady_everling_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320101,'final_p50_bedroom_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320102,'eunoch_door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320103,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320104,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320105,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320106,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320107,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320108,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320109,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320110,'final_p47_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320111,'final_p47_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320112,'final_p49_locked_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320113,'final_p43_bedroom_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320114,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320115,'',NULL,'','','',0,49,32,0,1,1,114,0,3120,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320116,'speared skeleton',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320117,'a rusty spear',NULL,'','','',0,3673,55,0,1,1,113,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320118,'nektropos mounted boars head',NULL,'','','',0,6398,38,0,1,1,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320119,'a falling block',NULL,'','','',0,6395,77,0,1,1,113,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320120,'riktanus_statue',NULL,'','','',0,1987,48,0,1,1,0,0,1211,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320121,'p48_fire',NULL,'','','',0,2306,13,0,1,1,0,0,3120,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320122,'plate',NULL,'','','',0,2814,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320123,'knife',NULL,'','','',0,2812,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320124,'fork',NULL,'','','',0,2810,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320125,'swinging spikes',NULL,'','','',0,6394,32,0,1,1,113,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320126,'a dolly',NULL,'','','',0,149,10,0,1,1,52,0,540,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320127,'dolly',NULL,'','','',0,149,10,0,1,1,52,0,540,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320128,'p50_doll_trigger',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320129,'a toy chest',NULL,'','','',0,5768,32,0,1,1,16,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320130,'skid marks',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320131,'notes, rune of serilis',NULL,'','','',0,2306,20,0,1,1,115,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320132,'Book of Nektropos',NULL,'','','',0,3322,19,0,1,1,116,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320133,'zone_nektropos_to_nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320134,'quest_oracle_robe_empty_crate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320135,'book, The Book of Runes',NULL,'','','',0,2306,19,0,1,1,118,0,1907,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320136,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320137,'an incomplete manuscript, Our Lady of Betrayal',NULL,'','','',0,3322,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320138,'an incomplete manuscript, My True Beloved',NULL,'','','',0,3322,32,0,1,1,6,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3320139,'!',NULL,'','','',0,5261,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3330000,'Niscanith','','','','',255,238,160,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3330001,'zone_to_cazicthule_01',NULL,'','','',0,49,32,0,1,1,203,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3330002,'zone_to_cazicthule_01',NULL,'','','',0,49,32,0,1,1,203,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350000,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350001,'a Gnoll overseer','','','','',255,3815,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350002,'a Sabertooth watcher','','','','',255,3814,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350003,'a Sabertooth protector','','','','',255,3815,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350004,'a Sabertooth curate','','','','',255,3816,32,0,1,1,11,0,893,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350005,'High Shaman Vascha','','','','',255,4099,57,0,1,1,0,0,141,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350006,'Enraged Elemental Being','','','','',255,155,64,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350007,'a Sabertooth watcher','','','','',255,3814,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3350008,'',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380000,'Venekor','','','','',255,1628,57,0,1,1,11,0,0,1,1,1,0,0,272,500000,250000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380001,'golemic protectorate','','','','',255,160,38,6,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380002,'golemic minion','','','','',255,160,50,6,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380003,'Greater Stone Guardian','','','','',255,162,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380004,'golemic enforcer','','','','',255,160,60,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380005,'a lizardman sentry','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380006,'a lizardman goon','','','','',255,1638,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380007,'golemic archon','','','','',255,160,51,6,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380008,'a lizardman eliminator','','','','',255,1638,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380009,'Varanak the Everlasting','','','','',255,169,54,0,1,1,35,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380010,'Ukdan the Dark','','','','',255,1638,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380011,'a lizardman chanter','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380012,'Swfzk the Mad','','','','',255,1638,76,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380013,'golemic punisher','','','','',255,160,76,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380014,'eye of the watcher','','','','',255,2899,60,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380015,'Atrius the Watcher','','','','',255,2899,108,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380016,'Krakat the Cruel','','','','',255,176,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380017,'a lizardman mesmerist','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380018,'Enforcer Zifa','','','','',255,177,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380019,'Krakan the Wary','','','','',255,176,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380020,'Qzyk the Conqueror','','','','',255,1638,70,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380021,'Spirit of Marr''s Chosen','','','','',4,3787,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380022,'Greater Golemic Enforcer','','','','',255,162,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380023,'The Achiole','','','','',255,310,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380024,'amygdalan soldier','','','','',255,177,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380025,'amygdalan evoker','','','','',255,178,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380026,'amygdalan priest','','','','',255,178,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380027,'High Priest Y`aka`Y','','','','',255,176,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380028,'amygdalan ritual master','','','','',255,176,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380029,'amygdalan spirit caller','','','','',255,178,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380030,'amygdalan lurker','','','','',255,176,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380031,'amygdalan enforcer','','','','',255,177,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380032,'amygdalan executioner','','','','',255,176,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380033,'malevolent spirit','','','','',255,3726,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380034,'warrior spirit','','','','',255,3727,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380035,'defiling spirit','','','','',255,3727,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380036,'T`Lrzt the Tyrant','','','','',255,3726,57,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380037,'Uthka the Vigilant','','','','',255,176,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380038,'transport_door_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380039,'transport_door_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380040,'transport_door_05',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380041,'transport_door_06',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380042,'transport_door_03',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380043,'transport_door_04',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380044,'transport_door_11',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380045,'transport_door_12',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380046,'transport_door_13',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380047,'transport_door_09',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380048,'transport_door_08',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380049,'transport_door_07',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380050,'transport_door_10',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380051,'transport_door_16',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380052,'transport_door_15',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380053,'transport_door_14',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380054,'transport_door_17',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380055,'transport_door_29',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380056,'transport_door_20',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380057,'transport_door_19',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380058,'transport_door_18',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380059,'transport_door_27',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380060,'transport_door_22',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380061,'transport_door_21',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380062,'transport_door_23',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380063,'transport_door_28',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380064,'transport_door_29',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380065,'transport_door_25',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380066,'transport_door_24',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380067,'transport_door_26',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380068,'canopic jar medium',NULL,'','','',0,2874,45,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380069,'Idol of Thule',NULL,'','','',0,1987,40,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3380070,'zone_to_ferroott',NULL,'','','',0,49,32,0,1,1,199,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390001,'',NULL,'','','',0,1987,32,0,1,1,45,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390002,'House Statue 1',NULL,'','','',0,1987,32,0,1,1,45,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390003,'To Nektulos',NULL,'','','',0,49,32,0,0,0,117,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390006,'a lost soul','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390007,'a lost soul','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390008,'Venarer','A lost soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390009,'a lost soul','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390010,'a lost soul','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390011,'Gabartik','A lost soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390012,'Varobtik','A lost soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390013,'a lost spectre','','','','',255,2837,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390014,'The Restless Specter','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390015,'a lost spectre','','','','',255,2838,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390016,'a lost nymph soul','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390017,'Anoyaths Temptress','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390018,'forgotten goods','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390019,'forgotten goods','','','','',255,226,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390020,'The Troll Plunderer','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390021,'a Deathguard ','','','','',255,2862,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390022,'Descendant of the Torig','','','','',14,106,41,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390023,'Gonaner','A lost soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390024,'Zekn','A lost soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390025,'Haunted Nightmare ','','','','',255,247,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390026,'Jibaner','A restless soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390027,'a restless soul','','','','',1,1521,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390028,'a restless soul','','','','',1,1521,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390029,'Xoner','A lost soul''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390030,'a restless skeleton','','','','',1,1521,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390031,'Bumwuk the Oppressor','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390032,'3384',NULL,'','','',0,1987,32,0,0,0,45,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3390033,'House Statue 1',NULL,'','','',0,1987,32,0,0,0,45,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400001,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400002,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400003,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400004,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400005,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400006,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400007,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3400008,'rock01',NULL,'','','',0,1550,32,0,0,0,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410001,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410002,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410003,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410004,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410005,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410006,'a cave creeper','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410007,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3410008,'rock01',NULL,'','','',0,1550,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440000,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440001,'a rotting crewman','','','','',255,2935,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440002,'a spectral sailor','','','','',9,3636,32,0,1,1,0,0,3705,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440003,'Hairaza Sollen','','','','',1,116,32,0,1,1,0,0,3705,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440004,'Brineblender','<Wind Jammer''s Mess Cook>','','','',6,2846,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440005,'Navigator Nina','<Wind Jammer''s Coxswain>','','','',13,2859,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440006,'an infested scavenger','','','','',255,233,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440007,'Saltwater Saul','<Wind Jammer''s First Mate>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440008,'a frenzied thrasher','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440009,'a frenzied leaper','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440010,'an enraged shredder','','','','',255,242,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440011,'a drifting lilter','','','','',255,219,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440012,'a drifting glider','','','','',255,219,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440013,'Kor''allaztaraka the Feared','','','','',255,178,256,0,1,1,0,0,5973,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440014,'goblin_tent02',NULL,'','','',0,1545,29,0,1,1,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440015,'zone_to_steppes_right',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440016,'zone_to_steppes_left',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3440017,'The Wind Jammer''s Helm',NULL,'','','',0,1957,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460000,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460001,'a fallen sorcerer','','','','',9,4536,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460002,'a fallen counselor','','','','',9,4537,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460003,'Sister Melfind','','','','',3,1594,32,0,1,1,11,0,11116,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460004,'a fallen mercenary','','','','',9,2935,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460005,'a fallen defender','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460006,'Sister Oolinkp','','','','',3,120,32,0,1,1,11,0,11116,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460007,'Sister Halyous','','','','',3,1591,32,0,1,1,11,0,11116,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460008,'Sister Dowssha','','','','',3,1595,32,0,1,1,11,0,11116,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460009,'an undead sentinel','','','','',9,3735,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460010,'a forlorn sentry','','','','',9,2935,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460011,'a forlorn sentry','','','','',9,2935,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460012,'a rotting bodyguard','','','','',9,4541,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460013,'Mother Znedari','','','','',3,1588,32,0,1,1,0,0,11116,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460014,'gravedirt01',NULL,'','','',0,2916,31,0,1,1,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460015,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460016,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460017,'gravestone04',NULL,'','','',0,2919,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460018,'gravedirt02',NULL,'','','',0,2916,62,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460019,'gravestone08',NULL,'','','',0,2923,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460020,'gravestone07',NULL,'','','',0,2922,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460021,'gravestone10',NULL,'','','',0,2925,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460022,'gravestone03',NULL,'','','',0,2918,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3460023,'',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480000,'a Tunarian elder','','','','',15,1446,32,0,1,1,11,0,0,1,1,1,0,1,28,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480001,'Breeze','','','','',255,260,32,0,1,1,11,0,0,0,0,1,0,0,17,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480002,'Old Bruiser','','','','',255,198,32,0,1,1,11,0,0,0,0,1,0,0,36,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480003,'Rush','','','','',255,216,32,0,1,1,11,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480004,'Kayl of the Circle','','','','',15,114,32,0,1,1,0,0,0,0,0,1,0,0,28,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480005,'Tayil N''Velex','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,841,841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480007,'Boog','XXXXX''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480008,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480010,'fprt_chest_large_plain01',NULL,'','','',0,1498,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480011,'treasure_chest',NULL,'','','',0,2902,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480013,'widget_to_tutorial_island02_evil',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3480014,'Vo1d Buddy',NULL,'','','',255,240,32,0,1,1,9,0,0,0,0,1,0,0,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490000,'a Gobblerock swindler','','','','',255,4126,33,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490001,'a Gobblerock grunt','','','','',255,4126,36,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490002,'a Gobblerock shaman','','','','',255,4126,30,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490003,'a Gobblerock butcher','','','','',255,4126,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490004,'a Gobblerock haruspex','','','','',255,4126,31,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490005,'a Gobblerock trickster','','','','',255,4126,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490006,'a trained slug','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490007,'Trainer Mukluk','','','','',255,4126,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490008,'Gugrut','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490009,'a Gobblerock prophet','Pathing Spawn','','','',255,4126,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490010,'a Gobblerock hooligan','Pathing Spawn','','','',255,4126,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490011,'a Gobblerock brute','Pathing Spawn','','','',255,4126,41,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490012,'Lieutenant Charg','','','','',255,4126,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490013,'Cookie','','','','',255,4126,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490016,'The Gobbler','','','','',255,252,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490017,'Boss Gobblerock','','','','',255,4126,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490019,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490020,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490021,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490022,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490023,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490024,'rug',NULL,'','','',0,1669,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490026,'commonlandsmap01',NULL,'','','',0,1404,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490027,'goblin_table01',NULL,'','','',0,1541,32,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490028,'goblin_tent02',NULL,'','','',0,1545,20,0,0,0,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490029,'training_dummy',NULL,'','','',0,1558,36,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490030,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490031,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490032,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490033,'qst_unseenhand_bunkbead_1',NULL,'','','',0,1385,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490034,'barricade_corner_left',NULL,'','','',0,1554,31,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490035,'barricade_short',NULL,'','','',0,1557,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490036,'fprt_chest_large_plain01',NULL,'','','',0,1498,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490037,'debris_sewer_03',NULL,'','','',0,4476,100,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490038,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490039,'hanging_meat01',NULL,'','','',0,1533,16,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490040,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490041,'treasure_chest',NULL,'','','',0,2902,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490042,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490043,'orcish_throne',NULL,'','','',0,1435,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490044,'goblin_flag01',NULL,'','','',0,1530,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490045,'01_widget_chest_01',NULL,'','','',0,2656,12,0,0,0,1001,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490046,'goblin_flag03',NULL,'','','',0,1532,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490047,'01_widget_chest_00',NULL,'','','',0,2656,12,0,0,0,1001,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490048,'01_widget_chest_02',NULL,'','','',0,2656,12,0,1,1,1001,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490049,'goblin_chairs01',NULL,'','','',0,1529,32,0,0,0,0,0,0,0,0,0,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490050,'zone_to_commonlands',NULL,'','','',0,49,32,0,0,0,1131,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490051,'a Gobblerock swindler','Pathing Spawn','','','',255,4126,33,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490052,'a Gobblerock grunt','Pathing Spawns','','','',255,4126,36,4,1,1,11,0,0,1,1,1,0,0,35,35000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490053,'a Gobblerock shaman','Pathing Spawns','','','',255,4126,30,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490054,'a Gobblerock butcher','Pathing Spawns','','','',255,4126,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490055,'a Gobblerock haruspex','Pathing Spawn','','','',255,4126,31,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490056,'a Gobblerock trickster','Pathing Spawn','','','',255,4126,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490057,'a trained slug','','','','',255,252,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490060,'a Gobblerock prophet','','','','',255,4126,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490061,'a Gobblerock hooligan','','','','',255,4126,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490062,'a Gobblerock brute','','','','',255,4126,41,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490068,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490069,'qst_unseenhand_crate_1',NULL,'','','',0,1393,13,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490070,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490071,'crate_large_long001',NULL,'','','',0,1497,32,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490072,'rug',NULL,'','','',0,1669,32,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490073,'commonlandsmap01',NULL,'','','',0,1404,9,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490074,'goblin_table01',NULL,'','','',0,1541,26,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490075,'goblin_tent02',NULL,'','','',0,1545,20,0,0,0,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490076,'training_dummy',NULL,'','','',0,1558,36,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490077,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490078,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490079,'cauldron_1',NULL,'','','',0,1845,32,0,0,0,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490080,'qst_unseenhand_bunkbead_1',NULL,'','','',0,1385,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490081,'barricade_corner_left',NULL,'','','',0,1554,31,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490082,'barricade_short',NULL,'','','',0,1557,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490083,'fprt_chest_large_plain01',NULL,'','','',0,1498,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490084,'debris_sewer_03',NULL,'','','',0,4476,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490085,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490086,'hanging_meat01',NULL,'','','',0,1533,16,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490087,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490088,'treasure_chest',NULL,'','','',0,2902,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490089,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490090,'orcish_throne',NULL,'','','',0,1435,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490091,'goblin_flag01',NULL,'','','',0,1530,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490092,'01_widget_chest_01',NULL,'','','',0,2656,12,0,0,0,1001,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490093,'goblin_flag03',NULL,'','','',0,1532,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490094,'01_widget_chest_00',NULL,'','','',0,2656,12,0,0,0,1001,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490095,'01_widget_chest_02',NULL,'','','',0,2656,12,0,0,0,1001,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490096,'goblin_chairs01',NULL,'','','',0,1529,32,0,0,0,0,0,0,0,0,0,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3490097,'zone_to_commonlands',NULL,'','','',0,49,32,0,1,1,1131,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500000,'Garfa Gillgrinder','<Wholesaler>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,36657,0,0,0,0,0,0,0,0,0,0,0,0),
(3500001,'Boog','XXXXX''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500002,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500003,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500004,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500005,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500006,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500007,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500008,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3500009,'To Outpost of the Overlord',NULL,'','','',0,49,32,0,0,0,1169,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520001,'a dark widow','','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520002,'a risen vindicator','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520003,'an orb weaver','','','','',255,243,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520004,'a profane harbinger','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520005,'an abhorrent recreant','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520006,'a faithless necromancer','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520007,'an insurgent demagogue','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520008,'a subversive fanatic','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520009,'a lattice spider','','','','',255,243,28,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520010,'an awoken devotee','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520011,'a subversive fanatic','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520012,'a faithless necromancer','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520013,'an abhorrent recreant','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520014,'an insurgent demagogue','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520015,'a subversive fanatic','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520016,'Lonobab','T''Sarn V''Thal''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520017,'T''Sarn V''Thal','','','','',1,115,38,0,1,1,11,0,3849,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520018,'a lifeless minion','','','','',9,146,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520022,'qst_galintos_candelabra_1',NULL,'','','',0,1412,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520024,'orc_candle_01',NULL,'','','',0,1613,10,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520025,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520026,'death statue',NULL,'','','',0,3581,132,0,1,1,0,0,1911,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520027,'boss_effect',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520028,'orcish_throne',NULL,'','','',0,1435,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520029,'qst_galintos_mage_1',NULL,'','','',0,1417,41,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520030,'canopic jar medium',NULL,'','','',0,2877,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3520031,'nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550000,'a Thyr destroyer','','','','',255,4110,40,8,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550001,'a Thyr prisoner guardian','','','','',255,4110,32,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550002,'Lord Thygal','<Flamelord of the Thyr>','','','',255,4116,64,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550003,'Marathan Allim','<The Vessel of Ro>','','','',3,1606,38,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550004,'Avatar of Flames','<Planar Projection>','','','',3,6721,64,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550005,'hanging_cage',NULL,'','','',0,4472,32,0,1,1,0,0,0,0,0,0,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550006,'zone_to_soluseks_left',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550007,'zone_to_soluseks_right',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550008,'zone_to_soluseks_nagafen_right',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3550009,'zone_to_soluseks_nagafen_left',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3560000,'an undying Rallosian soldier','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3560001,'an undying Rallosian magi','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3560002,'an undying Rallosian priest','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3560003,'a Rallosian Captain','','','','',9,139,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3560004,'Boulden Smitestone','','','','',2,110,32,0,1,1,9,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3560005,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570000,'an under rumbler curate','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570001,'an under rumbler','','','','',255,2412,19,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570002,'an under rumbler sage','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,1,32,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570003,'a rubble eater pastor','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570004,'a rubble eater','','','','',255,2412,26,6,1,1,11,0,0,1,1,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570005,'a rubble eater magus','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,1,32,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570006,'a rubble rumbler','','','','',255,2412,21,6,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570007,'a rubble rumbler elder','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570008,'a rubble rumbler adept','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,1,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570009,'rock01',NULL,'','','',0,1550,128,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3570010,'rock01',NULL,'','','',0,1550,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640000,'Everstock','<Broker>','','','',2,110,32,0,1,1,20,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640001,'Raknis Denav','<Work Orders>','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640002,'Gimal Evership','<Rush Orders>','','','',9,1484,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640003,'Jacob Thornblade','<Tradeskill Tutorial>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640004,'Wholesaler Byan Rimepack','','','','',0,1469,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402031,0,0,0,0,0,0,0,0,0,0,0,0),
(3640008,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640009,'door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640010,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640011,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640012,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640013,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640014,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640015,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640016,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640017,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640018,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640019,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640020,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640021,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640022,'to Graystone Yard',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3640023,'Dorak Everstock','<Crafting Trainer>','','','',9,1481,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,402030,0,0,0,0,0,0,0,0,0,0,0,0),
(3680000,'a lurking masticator','','','','',255,194,31,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680001,'','','','','',255,4155,35,3,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680002,'an Underpaw angler','','','','',255,5098,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680003,'a resonant anathema','','','','',255,255,40,2,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680004,'a Zygomyd malignancy','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680005,'a Zygomyd pathogen','','','','',255,5096,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680006,'a lurking thrasher','','','','',255,194,37,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680007,'a parasitic slurper','','','','',255,239,37,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680008,'a parasitic imbiber','','','','',255,239,38,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680009,'a fathomless twister','','','','',255,197,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680010,'a resonant apparition','','','','',255,253,41,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680011,'a Blotch Pal lyrist','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680012,'a fathomless repulser','','','','',255,197,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680013,'a frenzied lacerator','','','','',255,204,38,3,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680014,'a Garatch Pal vindicator','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680015,'a purged Underpaw adherent','','','','',255,5098,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680016,'an Underpaw occultist','','','','',255,5098,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680017,'Vebarn','An Underpaw occultist''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680018,'a Zulretch Pal zealot','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680019,'a parasitic ingestor','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680020,'a Zygomyd replicate','','','','',255,5096,33,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680021,'a reclusive intoner','','','','',255,210,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680022,'an Underpaw gatekeeper','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680023,'a reclusive avenger','','','','',255,210,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680024,'Genarn','A Zygomyd contagion''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680025,'a Zygomyd contagion','','','','',255,5096,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680026,'a virulent engulfer','','','','',255,296,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680027,'a reclusive mender','','','','',255,210,38,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680028,'a virulent lasher','','','','',255,296,31,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680029,'a frenzied cleaver','','','','',255,204,35,5,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680030,'an Ilvitch Pal archmage','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680031,'a Garatch Nim watchman','','','','',255,5098,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680032,'a frenzied cleaver','','','','',255,204,48,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680033,'an Underpaw scrounger','','','','',255,5098,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680034,'an Underpaw collector','','','','',255,5098,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680035,'Garn','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680036,'Gonarer','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680037,'Josarer','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680038,'Keker','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680039,'a parasitic engorger','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680040,'Jabtik','An Underpaw occultist''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680041,'Vonn','An Underpaw occultist''s shadowy assassin','','','',255,3728,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680042,'an Underpaw initiator','','','','',255,5098,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680043,'Gebn','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680044,'Jibann','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680045,'Kabartik','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680046,'Laner','An Underpaw occultist''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680047,'widget_gnoll_tarp',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680048,'widget_terramite_shard',NULL,'','','',0,49,32,0,1,1,738,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680049,'widget_terramite_shard_2',NULL,'','','',0,49,32,0,1,1,738,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680050,'widget_soggy_bones',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680051,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680052,'collapse_01',NULL,'','','',0,4734,40,0,1,1,0,0,0,0,0,0,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680053,'zone_to_sundered_hub',NULL,'','','',0,49,32,0,1,1,280,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680054,'playground to fissure event teraporter',NULL,'','','',0,4923,21,0,1,1,739,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680055,'24 man raid',NULL,'','','',0,49,32,0,1,1,740,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680056,'playground to exploding barrels event teraporter',NULL,'','','',0,4923,19,0,1,1,741,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3680057,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700000,'Benas','Conjura''s earthen avatar','','','',255,2462,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700001,'Conjura''s aqueous swarm','','','','',255,2390,15,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700002,'Conjura''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700003,'Benas','Conjura''s animated dagger','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700004,'Bruggo','','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700005,'a Tesch Mal scrapper','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700006,'a Tesch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700007,'a Lteth Mas swindler','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700008,'a Nisch Mas supplier','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700009,'a Lteth Mas filcher','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700010,'a Rosch Mas sycophant','','','','',255,4099,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700011,'a pale feeder','','','','',255,5020,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700012,'a Nisch Mal brewer','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700013,'a Tesch Mal usurper','','','','',255,3814,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700014,'a Lteth Mal laggard','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700015,'an unlucky explorer','','','','',2,110,32,0,1,1,0,0,228,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700016,'Nibbcog Gonble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700017,'a Tesch Mas miner','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700018,'a Nisch Mas heretic','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700019,'a Nisch Mal pariah','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700020,'a Lteth Mal ransacker','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700021,'a rock crawler hatchling','','','','',255,5020,10,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700022,'a rock crawler hatchling','','','','',255,5020,7,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700023,'a rock crawler hatchling','','','','',255,5020,8,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700025,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700027,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700028,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700029,'broken teraporter',NULL,'','','',0,4923,24,0,1,1,33,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700030,'collapse_01',NULL,'','','',0,4734,40,0,1,1,0,0,0,0,0,0,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700031,'a frail wall',NULL,'','','',0,4746,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700032,'chessboard',NULL,'','','',0,4932,25,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700033,'a dusty crate',NULL,'','','',0,3150,64,0,1,1,52,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700034,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700035,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700036,'an exploding barrel',NULL,'','','',0,5008,32,0,1,1,52,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700037,'a wood plank',NULL,'','','',0,5086,32,0,1,1,52,0,0,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3700038,'foreshadow exit teraporter',NULL,'','','',0,4923,24,0,1,1,45,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710000,'an egg sac','','','','',255,209,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710001,'a rock crawler scout','','','','',255,5020,28,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710002,'a rock crawler runner','','','','',255,5020,27,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710003,'a noxious rock crawler','','','','',255,5020,25,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710004,'a rock crawler lurker','','','','',255,5020,41,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710005,'a rock crawler gatherer','','','','',255,5020,42,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710006,'a virulent rock crawler','','','','',255,5020,22,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710007,'a rock crawler soldier','','','','',255,5020,44,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710008,'a rock crawler worker','','','','',255,5020,37,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710009,'a bloated rock crawler','','','','',255,5020,64,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710010,'a rock crawler lair guard','','','','',255,5020,44,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710011,'a rock crawler egg tender','','','','',255,5020,25,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710012,'a rock crawler sentry','','','','',255,5020,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710013,'a rock crawler gatherer','','','','',255,5020,40,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710014,'a rock crawler gatherer','','','','',255,5020,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710015,'a rock crawler hatchling','','','','',255,5020,9,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710016,'a rock crawler hatchling','','','','',255,5020,9,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710017,'a rock crawler hatchling','','','','',255,5020,10,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710018,'a rock crawler hatchling','','','','',255,5020,8,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710019,'a rock crawler hatchling','','','','',255,5020,6,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710020,'a rock crawler hatchling','','','','',255,5020,9,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710021,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710022,'dpo_spiderweb_small02',NULL,'','','',0,5144,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710023,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710024,'dpo_spiderweb_large02',NULL,'','','',0,5142,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710025,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710026,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710027,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710028,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710029,'a frail wall',NULL,'','','',0,4746,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710030,'chessboard',NULL,'','','',0,4932,25,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710031,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710032,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3710033,'foreshadow exit teraporter',NULL,'','','',0,4923,24,0,1,1,45,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720000,'a Lteth Mas filcher','','','','',255,5019,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720001,'a Lteth Mas swindler','','','','',255,1384,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720002,'a Lteth Mal laggard','','','','',255,5019,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720003,'a Nisch Mas supplier','','','','',255,5019,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720004,'a Rosch Mal agitator','','','','',255,4099,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720005,'a Tesch Mas miner','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720006,'a Nisch Mas heretic','','','','',255,1384,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720007,'a Tesch Mal usurper','','','','',255,3814,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720008,'a Lteth Mal ransacker','','','','',255,5019,30,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720009,'Vobab','A Rosch Mal agitator''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720010,'an unlucky explorer','','','','',2,110,32,0,1,1,0,0,228,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720011,'a Nisch Mal brewer','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720012,'a Tesch Mal scrapper','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720013,'a Rosch Mas sycophant','','','','',255,4099,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720014,'a Rosch Mas malefactor','','','','',255,5019,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720015,'a Rosch Mal deceiver','','','','',255,5019,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720016,'a Tesch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720017,'a Nisch Mal pariah','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720018,'Ganer','A Rosch Mal agitator''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720019,'The Tesch Val Fanatic','','','','',255,5019,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720020,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720022,'object_treasure_chest_low',NULL,'','','',0,4034,32,0,1,1,154,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720023,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720024,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720025,'broken teraporter',NULL,'','','',0,4923,24,0,1,1,33,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720026,'collapse_01',NULL,'','','',0,4734,40,0,1,1,0,0,0,0,0,0,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720027,'a frail wall',NULL,'','','',0,4746,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720028,'chessboard',NULL,'','','',0,4932,25,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720029,'a dusty crate',NULL,'','','',0,3150,64,0,1,1,52,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720030,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720031,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720032,'an exploding barrel',NULL,'','','',0,5008,32,0,1,1,52,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720033,'a wood plank',NULL,'','','',0,5086,32,0,1,1,52,0,0,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3720034,'foreshadow exit teraporter',NULL,'','','',0,4923,24,0,1,1,45,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740000,'a Lteth Mas filcher','','','','',255,5019,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740001,'a Lteth Mas swindler','','','','',255,1384,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740002,'a Lteth Mal laggard','','','','',255,5019,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740003,'a Nisch Mas supplier','','','','',255,5019,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740004,'a Rosch Mal agitator','','','','',255,4099,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740005,'a Tesch Mas miner','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740006,'a Nisch Mas heretic','','','','',255,1384,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740007,'a Tesch Mal usurper','','','','',255,3814,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740008,'a Lteth Mal ransacker','','','','',255,5019,30,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740009,'a Nisch Mal brewer','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740010,'a Tesch Mal scrapper','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740011,'a Rosch Mas sycophant','','','','',255,4099,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740012,'a Rosch Mas malefactor','','','','',255,5019,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740013,'a Rosch Mal deceiver','','','','',255,5019,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740014,'a Tesch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740015,'a Nisch Mal pariah','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740016,'a supply crate','','','','',255,3152,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740017,'Jasober','A Rosch Mal agitator''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740018,'a Lteth Val saboteur','','','','',255,5019,28,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740019,'a Tesch Val conscript','','','','',255,3815,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740020,'a Nisch Val apostle','','','','',255,1384,29,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740021,'a Lteth Val groveler','','','','',255,1384,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740022,'a Tesch Val fanatic','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740023,'Gosarn','A Rosch Mal agitator''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740024,'a Nisch Val forager','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740025,'Gobober','A Rosch Mal agitator''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740026,'Varn','A Rosch Mal agitator''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740027,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740028,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740029,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740030,'collapse_01',NULL,'','','',0,4734,40,0,1,1,0,0,0,0,0,0,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740031,'a frail wall',NULL,'','','',0,4746,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740032,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740033,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740034,'an exploding barrel',NULL,'','','',0,5008,32,0,1,1,52,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740035,'a crumbling crate',NULL,'','','',0,1576,32,0,1,1,52,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740036,'hub_gnoll_tent',NULL,'','','',0,2467,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740037,'hub_gnoll_torch',NULL,'','','',0,2222,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740038,'hub_gnoll_bed',NULL,'','','',0,1997,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740039,'breakable_collision_small_wall',NULL,'','','',0,4686,32,0,1,1,0,0,0,0,0,0,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3740040,'foreshadow exit teraporter',NULL,'','','',0,4923,24,0,1,1,45,0,0,0,0,1,0,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760000,'a Lteth Mas filcher','','','','',255,5019,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760001,'a Lteth Mas swindler','','','','',255,1384,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760002,'a Nisch Mas supplier','','','','',255,5019,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760003,'a Tesch Mas miner','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760004,'a Nisch Mas heretic','','','','',255,1384,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760005,'a Rosch Mas sycophant','','','','',255,4099,31,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760006,'a Rosch Mas malefactor','','','','',255,5019,29,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760007,'a Tesch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760008,'a nocturnal ambusher','','','','',255,2833,86,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760009,'a desolate Nisch Mas ','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760010,'a wretched Rosch Mas ','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760011,'a damned Tesch Mas','','','','',255,5124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760012,'a disembodied Nisch Mas','','','','',255,5124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760013,'an infernal Tesch Mas ','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760014,'a forsaken Lteth Mas','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760015,'Gostik','A wretched Rosch Mas ''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760016,'a Zygomyd herbalist','','','','',255,5096,33,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760017,'a Zygomyd harvester','','','','',255,5096,33,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760018,'a vengeful Lteth Mas','','','','',255,5124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760019,'Ventik','An vengeful specter''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760020,'a disposed Rosch Val ','','','','',255,4099,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760021,'an vengeful specter','','','','',255,3723,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760022,'Vobantik','A spectral Rosch Mas''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760023,'a spectral Rosch Mas','','','','',255,5124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760024,'a Nisch Mas carpenter','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760025,'Varn','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760026,'','','','','',255,3723,32,0,1,1,0,0,13024,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760027,'a clumsy gnoll carcass','','','','',255,5019,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760028,'a Zygomyd cultivator','','','','',255,5096,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760029,'Janer','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760030,'Kabantik','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760031,'a clacking scamperer','','','','',255,5020,60,2,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760032,'Xenann','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760033,'Konekn','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760034,'a sulphurous emission','','','','',255,3691,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760035,'Jebober','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760036,'a sedimentary trembler','','','','',255,2411,35,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760037,'a sulphurous emission','','','','',255,3691,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760038,'Genarer','A spectral Rosch Mas''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760039,'Kibartik','A spectral Rosch Mas''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760040,'a pesky nocturnal ambusher','','','','',255,2833,86,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760041,'a dismal wraith','','','','',255,5124,32,0,1,1,11,0,3460,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760042,'a distressed Splitpaw','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760043,'a dead splitpaw gnoll','','','','',255,5019,27,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760044,'a Nisch Mas flesh brewer','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760045,'a Tasch Mas miner','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760046,'a Tesch Mas defender','','','','',255,3815,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760047,'a forsaken Lteth Mas lurker','','','','',255,4732,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760048,'Kibartik','A wretched Rosch Mas ''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760049,'Zararer','A wretched Rosch Mas ''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760050,'Ganer','A wretched Rosch Mas ''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760051,'a Tesch Mas locksmith','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760052,'Varab','A spectral Rosch Mas''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760053,'a Garatch Mas brute','','','','',255,5019,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760054,'Garaner','A spectral Rosch Mas''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760055,'Jibarer','A spectral Rosch Mas''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760056,'Konanab','A spectral Rosch Mas''s igneous magi','','','',255,171,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760057,'widget_human_bones',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760058,'widget_giant_skull',NULL,'','','',0,49,32,0,1,1,724,0,0,0,0,0,0,0,454,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760059,'widget_gnoll_hammer',NULL,'','','',0,49,32,0,1,1,727,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760060,'widget_skull_candle',NULL,'','','',0,49,32,0,1,1,724,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760061,'widget_gnoll_fire',NULL,'','','',0,49,32,0,1,1,728,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760062,'widget_gnoll_chest',NULL,'','','',0,49,32,0,1,1,413,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760063,'widget_gnoll_chair',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760064,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760065,'wood_plank',NULL,'','','',0,4676,31,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760066,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760067,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760068,'floor_brazier_gnoll',NULL,'','','',0,4926,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760069,'mushroom01_grp5',NULL,'','','',0,1740,31,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760070,'collapse_01',NULL,'','','',0,4735,32,0,1,1,0,0,0,0,0,0,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760071,'collapse_01',NULL,'','','',0,4734,40,0,1,1,0,0,0,0,0,0,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760072,'a frail wall',NULL,'','','',0,4746,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760073,'chessboard',NULL,'','','',0,4932,25,0,1,1,0,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760074,'chessboard',NULL,'','','',0,4934,40,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760075,'chessboard',NULL,'','','',0,4933,30,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760076,'an exploding barrel',NULL,'','','',0,5008,32,0,1,1,52,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760077,'a wood plank',NULL,'','','',0,5086,32,0,1,1,52,0,0,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760078,'a crumbling crate',NULL,'','','',0,1576,32,0,1,1,52,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760079,'nekf_mushroom_a_mature',NULL,'','','',0,1523,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760080,'a sallow feeder',NULL,'','','',255,2930,71,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760081,'a pale feeder',NULL,'','','',255,2930,59,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760082,'mushroom01_sk_green',NULL,'','','',0,1741,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760083,'nekf_mushroom_a_young',NULL,'','','',0,1524,30,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760084,'qst_playground_cap_3',NULL,'','','',0,1524,6,0,1,1,726,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760085,'qst_playground_cap_4',NULL,'','','',0,1524,9,0,1,1,726,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760086,'qst_playground_cap',NULL,'','','',0,1524,9,0,1,1,726,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760087,'qst_mushroom_starter',NULL,'','','',0,1523,32,0,1,1,0,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760088,'qst_playground_cap_2',NULL,'','','',0,1524,6,0,1,1,726,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760089,'a deadly fall treasure chest',NULL,'','','',0,5768,32,0,1,1,139,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760090,'champion_woodpile',NULL,'','','',0,3346,29,0,1,1,0,0,491,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760091,'playground exit teraporter',NULL,'','','',0,4735,39,0,1,1,725,0,0,0,0,1,0,0,447,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760092,'playground exit teraporter',NULL,'','','',0,4933,52,0,1,1,729,0,0,0,0,1,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3760093,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3770000,'zone_exit_right',NULL,'','','',0,49,32,0,1,0,28,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3770001,'zone_exit_left',NULL,'','','',0,49,32,0,1,0,28,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3780000,'zone_exit_right',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3780001,'zone_exit_left',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790000,'Guild Hall Exporter','<Guild Commodities Exporter>','','','',10,104,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790001,'Guild Hall Fuel Merchant','<Guild Fuel Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790002,'Guild Hall Mender','<Guild Mender>','','','',2,110,32,0,1,1,12,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790003,'Guild Hall Portal Druid','<Guild Portal Druid>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790004,'Guild Hall Kunark Writ Agent','<Kunark Adventure Writ Agent>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790005,'Guild Hall Relic & Signet Peddler','<Relic & Signet Peddler>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790006,'Guild Hall Collector','<Collector>','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790007,'Lock','<Hall Guard>','','','',14,106,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790008,'Key','<Hall Guard>','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790009,'Guild Hall World Market Broker','<Guild World Market Broker>','','','',8,135,32,0,1,1,20,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790010,'Guild Hall Banker','<Guild Banker>','','','',15,113,32,0,1,1,14,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790011,'Guild Hall Miner Hireling','<Guild Miner>','','','',16,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790012,'Guild Hall Hunter Hireling','<Guild Hunter>','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790013,'Guild Hall Gatherer Hireling','<Guild Gatherer>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790014,'Guild Hall Tradeskill Writ Agent','<Tradeskill Writ Agent>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790015,'Guild Hall Rush Order Agent','<Tradeskill Rush Order Agent>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790016,'Guild Hall Tradeskill Recipe Salesman','<Tradeskill Recipe Salesman>','','','',7,108,32,0,1,1,10,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790017,'Sonny','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790018,'exit_door_right',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790019,'exit_door_left',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790020,'qey_guildhall_door02_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790021,'qey_guildhall_door02_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790022,'qey_guildhall_door01_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790023,'qey_guildhall_door01_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790024,'qey_guildhall_door05_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790025,'qey_guildhall_door05_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790026,'qey_guildhall_door09_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790027,'qey_guildhall_door09_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790028,'qey_guildhall_door08_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790029,'qey_guildhall_door08_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790030,'qey_guildhall_door10_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790031,'qey_guildhall_door10_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790032,'tapestry of the malign',NULL,'','','',0,8625,128,0,1,1,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790033,'pristine small rounded urn',NULL,'','','',0,5228,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790034,'pristine ceremonial tapestry',NULL,'','','',0,6121,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790035,'pristine azurite chalice',NULL,'','','',0,7267,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790036,'Pristine sandalwood octagonal chandelier',NULL,'','','',0,7280,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790037,'ornate kunzite hourglass',NULL,'','','',0,7708,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790038,'a pristine small weathered keg',NULL,'','','',0,2107,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790039,'pristine small urn',NULL,'','','',0,5227,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790040,'An Ancient Neriak Scroll',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790041,'octagonal redwood table',NULL,'','','',0,8349,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790042,'Pristine large indium candelabra',NULL,'','','',0,7263,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790043,'ferrite brazier',NULL,'','','',0,7902,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790044,'Pristine stained tapestry of valor',NULL,'','','',0,7272,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790045,'deklium weighing scales',NULL,'','','',0,7710,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790046,'ferrite skeletal brazier',NULL,'','','',0,7607,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790047,'pristine river rock hearth',NULL,'','','',0,7089,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790048,'a pristine rough linen scenery painting',NULL,'','','',0,1958,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790049,'a pristine rough linen portrait',NULL,'','','',0,3511,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790050,'Pristine teak wall mirror',NULL,'','','',0,7303,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790051,'large redwood room divider',NULL,'','','',0,8359,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790052,'pristine ornate porcelain urn',NULL,'','','',0,5220,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790053,'Pristine hanging plant',NULL,'','','',0,7338,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790054,'Pristine large teak wine rack',NULL,'','','',0,8994,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790055,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790056,'Pristine teak wine rack',NULL,'','','',0,7271,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790057,'ornate ferrite chair',NULL,'','','',0,7618,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790058,'pristine topaz gazing orb',NULL,'','','',0,6111,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790059,'pristine halfling hanging chimes',NULL,'','','',0,7337,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790060,'Mounted Erollisi''s Charm',NULL,'','','',0,3875,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790061,'Fighting Baby Ice Dragon Plushie',NULL,'','','',0,9425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790062,'The Legendary Stein of Moggok',NULL,'','','',0,4715,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790063,'plain Nektulos pine tree',NULL,'','','',0,7995,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790064,'pristine azurite tall rotating sculpture',NULL,'','','',0,6107,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790065,'Pristine wild shrub',NULL,'','','',0,4076,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790066,'a repaired piano',NULL,'','','',0,8342,23,0,1,1,846,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790067,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790068,'Keg of the Everlasting',NULL,'','','',0,3185,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790069,'Glacial Sculpture',NULL,'','','',0,10004,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790070,'tapestry of flames',NULL,'','','',0,8621,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790071,'Frostfell Greeting Card',NULL,'','','',0,7964,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790072,'Miniature Replica Statue: Resolution',NULL,'','','',0,9095,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790073,'Golden Rug of the Beloved',NULL,'','','',0,9558,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790074,'tapestry of the steam lord',NULL,'','','',0,9699,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790075,'The Collected Tales of the Ethernauts',NULL,'','','',0,3322,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790076,'polished jug',NULL,'','','',0,9584,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790077,'Mistmoore Piano Bench',NULL,'','','',0,6961,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790078,'Loving Cup',NULL,'','','',0,8356,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790079,'Pitcher of Mulled Claret',NULL,'','','',0,3379,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790080,'ornate stone sconce',NULL,'','','',0,9553,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790081,'Glacial Brazier',NULL,'','','',0,9712,8,0,1,1,0,0,2049,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790082,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790083,'potted purple lilies',NULL,'','','',0,7462,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790084,'Grassy Knoll of Butterflies',NULL,'','','',0,9929,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790085,'potted white lilies',NULL,'','','',0,7463,21,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790086,'Pristine desert poppies',NULL,'','','',0,48,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790087,'a pristine standard teak bench',NULL,'','','',0,2981,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790088,'pristine adamantine round pool',NULL,'','','',0,7381,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790089,'Pristine indium brazier',NULL,'','','',0,7660,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790090,'pristine purple nomad tent',NULL,'','','',0,5160,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790091,'pristine djinn''s pillow set',NULL,'','','',0,5225,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790092,'a wooden easel with canvas',NULL,'','','',0,2561,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790093,'pristine square quilted rug',NULL,'','','',0,5223,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790094,'pristine blue tent',NULL,'','','',0,5155,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790095,'pristine Rujarkian firepit',NULL,'','','',0,5168,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790096,'pristine potted palm',NULL,'','','',0,5224,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790097,'pristine acrylia bench',NULL,'','','',0,6094,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790098,'Moist Fruitcake',NULL,'','','',0,7071,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790099,'Frostfell Pastries',NULL,'','','',0,8740,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790100,'Frosted Apples',NULL,'','','',0,7068,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790101,'Metalized Ring of Devotion',NULL,'','','',0,6327,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790102,'Traditional Apple Pie',NULL,'','','',0,8720,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790103,'Frostfell Baked Ham',NULL,'','','',0,8739,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790104,'a pristine halasian bearskin rug',NULL,'','','',0,4460,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790105,'a pristine oil painting of a stone castle ',NULL,'','','',0,2200,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790106,'exquisite windcloth rug',NULL,'','','',0,8345,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790107,'pristine adamantine papasan chair',NULL,'','','',0,6096,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790108,'a pristine oil painting of a sea shore cliff',NULL,'','','',0,2195,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790109,'ornate kunzite table lamp',NULL,'','','',0,2156,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790110,'a pristine vale briarwood padded chair',NULL,'','','',0,7331,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790111,'red damask couch',NULL,'','','',0,8330,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790112,'orc champion painting',NULL,'','','',0,7427,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790113,'painting of an orc dragon slayer',NULL,'','','',0,7455,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790114,'padded redwood stool',NULL,'','','',0,8332,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790115,'orc victory painting',NULL,'','','',0,7457,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790116,'a pristine archaic oak bench',NULL,'','','',0,2982,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790117,'Plush Chaise Lounge',NULL,'','','',0,8067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790118,'pristine xegonite knight''s sconce',NULL,'','','',0,7281,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790119,'red damask bench',NULL,'','','',0,8325,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790120,'Grassy Knoll of Fireflies',NULL,'','','',0,9930,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790121,'pristine mystical mirror',NULL,'','','',0,5127,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790122,'Swaying Blue Paper Lantern',NULL,'','','',0,7977,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790123,'woven leaf rug',NULL,'','','',0,8346,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790124,'Guild Translocation Beacon',NULL,'','','',0,4457,64,0,1,1,959,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790125,'Work Order Clipboard',NULL,'','','',0,6657,96,0,1,1,31,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790126,'Harvesting Supply Depot',NULL,'','','',0,3074,28,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790127,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790128,'ornate ferrite inkwell',NULL,'','','',0,7709,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790129,'Training Dummy Supply Chest',NULL,'','','',0,15,64,0,1,1,971,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790130,'a Frostfell Snowdrift',NULL,'','','',0,7093,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790131,'a pristine oggokian rock table',NULL,'','','',0,2067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790132,'Hot Chocolate Mug',NULL,'','','',0,3381,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790133,'pristine azurite tall entwined sculpture',NULL,'','','',0,6109,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790134,'pristine azurite rotating sculpture',NULL,'','','',0,6108,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790135,'pristine round acrylia griffon fountain',NULL,'','','',0,7928,122,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790136,'fae tavern counter',NULL,'','','',0,8335,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790137,'A plate of Frostfell chip cookies',NULL,'','','',0,7969,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790138,'Stuffed and Roasted Fowl',NULL,'','','',0,7072,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790139,'swaying yellow paper lantern',NULL,'','','',0,7979,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790140,'An Ancient Rivervale Scroll',NULL,'','','',0,3551,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790141,'The Freeport Citizen''s Guide to Opportunity - 2nd Edition',NULL,'','','',0,2604,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790142,'incarnadine throne',NULL,'','','',0,7622,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790143,'sinister pillows',NULL,'','','',0,9216,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790144,'fae tavern shelves',NULL,'','','',0,8347,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790145,'Farseas Express Mailbox',NULL,'','','',0,4710,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790146,'plain sandalwood screen',NULL,'','','',0,8337,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790147,'green damask couch',NULL,'','','',0,8329,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790148,'a white holiday candle',NULL,'','','',0,7976,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790149,'Pristine small indium candelabra',NULL,'','','',0,7265,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790150,'padded red dining chair',NULL,'','','',0,8328,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790151,'pristine death''s head drapery',NULL,'','','',0,7674,116,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790152,'pristine windcloth lantern',NULL,'','','',0,8054,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790153,'a pristine dark ash bunk bed',NULL,'','','',0,2576,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790154,'Love''s Gilded Cage',NULL,'','','',0,9726,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790155,'a pristine oil painting of a knight ',NULL,'','','',0,2198,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790156,'portrait of an orc berserker',NULL,'','','',0,7458,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790157,'portrait of an orc howler',NULL,'','','',0,7459,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790158,'painting of the orc gladiators',NULL,'','','',0,7456,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790159,'damask carpet',NULL,'','','',0,7905,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790160,'Pristine indium shackle',NULL,'','','',0,7662,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790161,'a pristine rough linen rug',NULL,'','','',0,3211,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790162,'pristine red tent',NULL,'','','',0,5157,47,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790163,'a pristine sackcloth rug',NULL,'','','',0,3513,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790164,'a pristine painting of the sun god',NULL,'','','',0,2202,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790165,'pristine acrylia griffon fountain',NULL,'','','',0,7378,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790166,'intricate windcloth rug',NULL,'','','',0,8344,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790167,'Druid Ring',NULL,'','','',0,9237,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790168,'Rilissian Ornamental Rug',NULL,'','','',0,8040,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790169,'Why the Grump Hated Frostfell',NULL,'','','',0,3322,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790170,'1st Lieutenant Danarg, 291 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790171,'pristine death''s head candle lamp',NULL,'','','',0,2709,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790172,'pristine forged venerable dragon statue',NULL,'','','',0,6113,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790173,'pristine sandstone hearth',NULL,'','','',0,7087,28,0,1,1,0,0,13745,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790174,'pristine horned leather rug',NULL,'','','',0,6104,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790175,'sinister tapestry',NULL,'','','',0,9223,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790176,'pristine rosewood table',NULL,'','','',0,6119,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790177,'alchemical flasks',NULL,'','','',0,9211,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790178,'swaying purple paper lantern',NULL,'','','',0,7978,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790179,'A plate of Frostfell shaped cookies',NULL,'','','',0,7968,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790180,'Luxurious Chaise Lounge',NULL,'','','',0,8066,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790181,'tall potted redwood streetlamp',NULL,'','','',0,7705,87,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790182,'captive audience',NULL,'','','',0,9221,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790183,'orb of death',NULL,'','','',0,9217,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790184,'tapestry of hate',NULL,'','','',0,8626,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790185,'a pristine standard oval briarwood table',NULL,'','','',0,2174,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790186,'a pristine vale briarwood loveseat',NULL,'','','',0,7330,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790187,'glacial statue',NULL,'','','',0,3582,76,0,1,1,0,0,1494,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790188,'chained blightbat',NULL,'','','',0,9396,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790189,'sombre Frostfell candles',NULL,'','','',0,8737,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790190,'pristine ornate pearl floor lamp',NULL,'','','',0,2154,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790191,'round redwood gaming table',NULL,'','','',0,7626,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790192,'tapestry of felt',NULL,'','','',0,8627,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790193,'fae tavern stool',NULL,'','','',0,8334,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790194,'pristine Rujarkian signal fire',NULL,'','','',0,5169,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790195,'pristine large urn',NULL,'','','',0,5226,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790196,'ornate mahogany bookcase',NULL,'','','',0,7604,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790197,'Handbook of the Coalition of Tradesfolke',NULL,'','','',0,7965,44,0,1,1,1171,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790198,'a pristine vale briarwood desk',NULL,'','','',0,7328,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790199,'Butcherblock Chess Table',NULL,'','','',0,6963,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790200,'Frosted Marble Statue of the Sisterhood',NULL,'','','',0,9598,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790201,'pristine tapestry of the sleeper',NULL,'','','',0,6122,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790202,'pristine teal tent',NULL,'','','',0,5158,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790203,'a pristine ash chest',NULL,'','','',0,3080,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790204,'Instant Gigglegibber Cranberry Sauce',NULL,'','','',0,7090,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790205,'sinister candelabra',NULL,'','','',0,9213,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790206,'sinister spider eggs',NULL,'','','',0,9229,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790207,'pristine adamantine lamp',NULL,'','','',0,6102,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790208,'pristine adamantine table',NULL,'','','',0,6115,27,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790209,'a red decorative present',NULL,'','','',0,7077,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790210,'a Kaladim wall chain',NULL,'','','',0,2070,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790211,'a generic wall sconce',NULL,'','','',0,3253,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790212,'Sathirian Skull Trophy',NULL,'','','',0,8037,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790213,'pristine sandalwood torture table',NULL,'','','',0,7666,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790214,'wall shackles',NULL,'','','',0,9220,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790215,'pristine worn torture chair',NULL,'','','',0,7663,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790216,'pristine sandalwood stockade',NULL,'','','',0,7665,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790217,'a pristine large fir table',NULL,'','','',0,2785,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790218,'a pristine eccentric fir stool',NULL,'','','',0,2650,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790219,'a pristine bizarre fir desk',NULL,'','','',0,2778,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790220,'butcher block',NULL,'','','',0,9212,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790221,'sinister cauldron',NULL,'','','',0,9214,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790222,'sinister sconce',NULL,'','','',0,9224,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790223,'Crushbone Torture Chair',NULL,'','','',0,6960,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790224,'a pristine Kaladim wall chain',NULL,'','','',0,2070,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790225,'sinister chandelier',NULL,'','','',0,9222,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790226,'shackled human skeleton',NULL,'','','',0,9218,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790227,'pristine simple sandalwood coffin',NULL,'','','',0,1856,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790228,'pristine meat hanger',NULL,'','','',0,5166,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790229,'Elaborate Stove & Keg',NULL,'','','',0,2345,35,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790230,'Elaborate Forge',NULL,'','','',0,1859,41,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790231,'shackled elf skeleton',NULL,'','','',0,9219,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790232,'a pristine skull post',NULL,'','','',0,2112,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790233,'Di''Zok Ornamental Rug',NULL,'','','',0,8034,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790234,'green damask bench',NULL,'','','',0,8324,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790235,'pristine orcish meat bucket',NULL,'','','',0,5165,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790236,'portrait of a gate guard',NULL,'','','',0,7611,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790237,'Elaborate Chemistry Table',NULL,'','','',0,2343,38,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790238,'Elaborate Engraved Desk',NULL,'','','',0,2344,38,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790239,'ornate stone candlestick',NULL,'','','',0,9551,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790240,'Pristine Ornate Cobalt Hearth',NULL,'','','',0,7088,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790241,'a pristine oval alder table',NULL,'','','',0,2115,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790242,'a pristine classy cedar double shelf',NULL,'','','',0,2165,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790243,'a pristine fine painting of a stone building',NULL,'','','',0,2201,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790244,'pristine moonstone pool',NULL,'','','',0,7351,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790245,'A Vampiric Mirror',NULL,'','','',0,9326,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790246,'pristine impaled skeleton',NULL,'','','',0,7680,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790247,'pristine dervish lashing board',NULL,'','','',0,5221,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790248,'pristine stained torture chair',NULL,'','','',0,7667,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790249,'a pristine open chest of skulls',NULL,'','','',0,2101,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790250,'Elaborate Work Bench',NULL,'','','',0,2531,41,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790251,'Elaborate Sewing Table & Mannequin',NULL,'','','',0,2545,35,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790252,'a pristine vale briarwood bench',NULL,'','','',0,7329,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790253,'ornate sandalwood screen',NULL,'','','',0,8336,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790254,'a pristine long eclectic cedar table',NULL,'','','',0,2796,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790255,'a pristine teak oval table',NULL,'','','',0,2064,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790256,'Elaborate Woodworking Table',NULL,'','','',0,2346,38,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790257,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790258,'A Goblin Popsicle',NULL,'','','',0,9678,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790259,'an encased void beast',NULL,'','','',0,9528,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790260,'Mariner''s Bell: Shattered Lands',NULL,'','','',0,16,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790261,'Teleportation Spire to the Overrealm',NULL,'','','',0,6147,608,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790262,'Mariner''s Bell: Island of Mara',NULL,'','','',0,16,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790263,'Mariner''s Bell: Kunark',NULL,'','','',0,16,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790264,'Mariner''s Bell: Faydwer',NULL,'','','',0,16,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790265,'Magic Carpet to Sinking Sands',NULL,'','','',0,1369,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3790266,'Portal to Member Housing',NULL,'','','',0,2306,32,0,1,1,1172,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810000,'Mr Drysdale','<Guild Banker>','','','',9,134,32,0,1,1,14,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810001,'Diablo','','','','',0,11211,22,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810002,'Guild Hall Portal Wizard','<Guild Portal Wizard>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810003,'Guild Hall Exporter','<Guild Commodities Exporter>','','','',10,104,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810004,'Guild Hall Fuel Merchant','<Guild Fuel Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810005,'Guild Lvling Services','<Tradeskill Rush Order Agent>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810006,'training dummy','','','','',255,4467,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810007,'Xaner','Ohforfs''s adept','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810008,'Lonarer','Ohforfs''s adept','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810009,'Jarann','Ohforfs''s adept','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810010,'Sakee','Ohforfs''s adept','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810011,'training dummy','','','','',255,4467,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810012,'Kabartik','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810013,'Kenarab','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810014,'Voneker','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810015,'Kobn','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810016,'Gibarer','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810017,'Jonantik','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810018,'Jeneker','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810019,'Jobtik','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810020,'Genartik','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810021,'Jontik','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810022,'Genobn','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810023,'Ohforfs''s Ring of Fire','','','','',255,4500,112,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810024,'Ohforfs''s ball lightning','','','','',255,7241,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810025,'Guild Hall Mender','<Guild Mender>','','','',2,110,32,0,1,1,12,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810026,'Ohforfs''s Faerie Ally','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810027,'Ohforfs''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810028,'Lantik','Ohforfs''s orc priest','','','',19,5108,19,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810029,'Labeker','Liquest''s sacrament','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810030,'Ohforfs''s Kibeker puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810031,'Ohforfs''s Jarann puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810032,'Ohforfs''s Kartik puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810033,'Ohforfs''s Gabekn puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810034,'Ohforfs''s Zarantik puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810035,'Ohforfs''s Jabartik puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810036,'Ohforfs''s Kabanab puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810037,'Ohforfs''s Zabarn puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810038,'Ohforfs''s Gebaner puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810039,'Ohforfs''s Zaner puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810040,'Ohforfs''s Xasaner puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810041,'Ohforfs''s Lebtik puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810042,'Ohforfs''s Jasarn puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810043,'Ohforfs''s Kantik puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810044,'Ohforfs''s Garab puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810045,'Ohforfs''s Gentik puppet','A magical puppet','','','',9,4467,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810046,'Zobaner','Ohforfs''s Possessed Essence','','','',9,4467,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810047,'Cheesecakeneverlies','Eradiance''s romance','','','',9,2306,48,0,1,1,0,0,11340,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810048,'Spires','<Guild Portal Wizard>','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810049,'Fuel','<Guild Fuel Merchant>','','','',4,76,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810050,'Guild Leveling Services','<Tradeskill Rush Order Agent>','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810051,'Tauceti','','','','',0,273,48,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810052,'Innie','<Guild Commodities Exporter>','','','',13,53,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810053,'a clear gelatinous cube','','','','',0,179,8,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810054,'Dusty','','','','',0,5191,28,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810055,'Jessica','','','','',0,5006,96,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810056,'zone_exit_right',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810057,'zone_exit_left',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810058,'Sootfoot Forge',NULL,'','','',0,10086,64,0,1,1,4,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810059,'a pristine Kaladim bucket',NULL,'','','',0,2074,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810060,'pristine worn straw mat',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810061,'ornate kunzite hourglass',NULL,'','','',0,7708,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810062,'a golden potion bottle',NULL,'','','',0,12657,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810063,'quicksilver vase',NULL,'','','',0,12128,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810064,'ferrite brazier',NULL,'','','',0,7902,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810065,'a pristine mine lantern',NULL,'','','',0,7326,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810066,'pristine alabaster eggs',NULL,'','','',0,5174,48,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810067,'a pristine bread pan',NULL,'','','',0,7346,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810068,'a pristine muffin pan',NULL,'','','',0,7270,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810069,'stone planter',NULL,'','','',0,7703,58,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810070,'Pristine hanging plant',NULL,'','','',0,7338,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810071,'pristine azurite entwined sculpture',NULL,'','','',0,6110,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810072,'Moving Crate',NULL,'','','',0,2143,32,0,1,1,16,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810073,'an enchanter''s candelabra',NULL,'','','',0,2090,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810074,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810075,'sapphire stained glass oval',NULL,'','','',0,12102,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810076,'rough stone table',NULL,'','','',0,9573,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810077,'rough stone bench',NULL,'','','',0,9569,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810078,'mirrored sumac platform',NULL,'','','',0,12134,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810079,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810080,'Rhododendron',NULL,'','','',0,10692,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810081,'Starflower Blossom',NULL,'','','',0,10461,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810082,'Cattails',NULL,'','','',0,10972,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810083,'ykeshan shrubbery',NULL,'','','',0,9565,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810084,'Pristine fruiting potted shrub',NULL,'','','',0,7344,60,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810085,'Savannah Tree',NULL,'','','',0,2382,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810086,'Master Carpenter Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810087,'a Norrathian star chart',NULL,'','','',0,8358,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810088,'Mounted Fish',NULL,'','','',0,7380,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810089,'a tiny octopus plushie',NULL,'','','',0,210,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810090,'a tiny barracuda plushie',NULL,'','','',0,194,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810091,'a tiny shark plushie',NULL,'','','',0,242,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810092,'plain Nektulos pine tree',NULL,'','','',0,7995,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810093,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810094,'Young Purple Mushroom',NULL,'','','',0,1524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810095,'The Far Pelican',NULL,'','','',0,5638,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810096,'Keg of the Everlasting',NULL,'','','',0,3185,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810097,'laboratory research flask',NULL,'','','',0,12723,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810098,'Teir''dal cup and saucer',NULL,'','','',0,2809,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810099,'ornate spoon',NULL,'','','',0,8258,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810100,'tapestry of flames',NULL,'','','',0,8621,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810101,'hua mein inkwell',NULL,'','','',0,12512,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810102,'ornate raised platform',NULL,'','','',0,12716,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810103,'Synthetic Kaborite Gem',NULL,'','','',0,12524,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810104,'warrior of chaos',NULL,'','','',0,12730,2,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810105,'tapestry of the steam lord',NULL,'','','',0,9699,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810106,'Stone Jug of Kaladim',NULL,'','','',0,9993,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810107,'ornate knife',NULL,'','','',0,8250,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810108,'Master Alchemist Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810109,'a small lab flask',NULL,'','','',0,2328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810110,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810111,'a peacock feather',NULL,'','','',0,11063,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810112,'Glacial Round Table',NULL,'','','',0,11396,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810113,'Tumpy Tonic Max',NULL,'','','',0,8132,32,0,1,1,856,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810114,'an ornate dining plate',NULL,'','','',0,2814,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810115,'orange termite',NULL,'','','',0,221,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810116,'laboratory research table',NULL,'','','',0,12722,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810117,'Snoogle''s Party Keg',NULL,'','','',0,3184,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810118,'Pitcher of Mulled Claret',NULL,'','','',0,3379,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810119,'Ancient Froglok Talisman',NULL,'','','',0,4915,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810120,'a mushroom circlet',NULL,'','','',0,3949,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810121,'Cloudy Square',NULL,'','','',0,12227,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810122,'Ornate Bench of the Sands',NULL,'','','',0,8853,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810123,'a tiny magical stuffed hawk plushie',NULL,'','','',0,260,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810124,'Glacial Brazier',NULL,'','','',0,9712,8,0,1,1,0,0,2049,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810125,'Blood Iron Forge',NULL,'','','',0,10101,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810126,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810127,'Wall-Clinging Vine',NULL,'','','',0,10456,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810128,'Grassy Knoll of Butterflies',NULL,'','','',0,9929,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810129,'Pristine desert poppies',NULL,'','','',0,48,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810130,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810131,'Faydwer Oak Tree',NULL,'','','',0,10327,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810132,'intricate stained glass oval',NULL,'','','',0,12218,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810133,'ruby stained glass oval',NULL,'','','',0,12217,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810134,'pristine adamantine round pool',NULL,'','','',0,7381,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810135,'Parade Steppes Pony',NULL,'','','',0,6858,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810136,'kerra short chair',NULL,'','','',0,12486,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810137,'Black Marble Pole',NULL,'','','',0,11611,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810138,'White Marble Divider',NULL,'','','',0,10674,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810139,'small fancy mahogany counter',NULL,'','','',0,7617,25,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810140,'large fancy mahogany counter',NULL,'','','',0,7615,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810141,'pristine djinn''s pillow set',NULL,'','','',0,5225,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810142,'ornate stained glass oval',NULL,'','','',0,12099,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810143,'Jarsath Oak Tree',NULL,'','','',0,10326,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810144,'Flowering Tree',NULL,'','','',0,1624,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810145,'A plate of Erollisi Marrsipan',NULL,'','','',0,8080,43,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810146,'Moist Fruitcake',NULL,'','','',0,7071,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810147,'Frosted Apples',NULL,'','','',0,7068,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810148,'Wavy Sand Square',NULL,'','','',0,11437,131,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810149,'Faeflower Blossom',NULL,'','','',0,10459,179,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810150,'star map scroll',NULL,'','','',0,12137,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810151,'Mossy Square',NULL,'','','',0,11435,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810152,'Black Marble Divider',NULL,'','','',0,10670,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810153,'White Marble Tile',NULL,'','','',0,11651,95,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810154,'Starry Square',NULL,'','','',0,12226,182,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810155,'Large Glacial Room Divider',NULL,'','','',0,10005,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810156,'Crystal Mosaic Square',NULL,'','','',0,12232,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810157,'Sand Urchin Shell',NULL,'','','',0,3968,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810158,'a marble vase',NULL,'','','',0,2144,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810159,'Blue Marble Mirror',NULL,'','','',0,11622,81,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810160,'Conch Shell',NULL,'','','',0,3963,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810161,'Freeport Round Counter',NULL,'','','',0,11632,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810162,'Black Marble Column',NULL,'','','',0,11645,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810163,'Black Marble Tile',NULL,'','','',0,11561,65,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810164,'Grassy Knoll of Fireflies',NULL,'','','',0,9930,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810165,'Refreshment in Maj''Dul',NULL,'','','',0,8643,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810166,'Glacial Scroll Rack',NULL,'','','',0,11395,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810167,'a bamboo plant',NULL,'','','',0,11338,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810168,'Fermented Cabbage Juice',NULL,'','','',0,9994,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810169,'Spicebracket Fungus',NULL,'','','',0,9489,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810170,'Swamp Reed',NULL,'','','',0,1737,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810171,'Fresh Water Tree Stump',NULL,'','','',0,10455,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810172,'Huge Mushroom',NULL,'','','',0,10453,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810173,'Naiad Elder Plushie',NULL,'','','',0,50003,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810174,'Mossy Red Mushrooms',NULL,'','','',0,1748,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810175,'mature purple mushroom',NULL,'','','',0,1523,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810176,'Feerrott Fern',NULL,'','','',0,10635,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810177,'Guild Translocation Beacon',NULL,'','','',0,4457,64,0,1,1,959,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810178,'Elaborate Sewing Table & Mannequin',NULL,'','','',0,2530,16,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810179,'Work Order Clipboard',NULL,'','','',0,6657,96,0,1,1,31,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810180,'Freeport sign',NULL,'','','',0,11637,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810181,'a pristine erudin globe',NULL,'','','',0,1953,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810182,'gem cluster',NULL,'','','',0,6895,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810183,'faceted blue crystals',NULL,'','','',0,10324,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810184,'sharp blue crystals',NULL,'','','',0,10451,26,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810185,'grouped crystal formation',NULL,'','','',0,10974,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810186,'Elaborate Chemistry Table',NULL,'','','',0,2338,19,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810187,'Elaborate Woodworking Table',NULL,'','','',0,2341,19,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810188,'Elaborate Stove & Keg',NULL,'','','',0,2340,19,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810189,'Elaborate Work Bench',NULL,'','','',0,2342,22,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810190,'Elaborate Engraved Desk',NULL,'','','',0,2339,22,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810191,'a bone fixture',NULL,'','','',0,6685,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810192,'green and black candles',NULL,'','','',0,6705,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810193,'orange and black candles',NULL,'','','',0,6706,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810194,'Harvesting Supply Depot',NULL,'','','',0,3074,28,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810195,'Palomino Pack Horse',NULL,'','','',0,9032,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810196,'a smelly dead barracuda',NULL,'','','',0,10099,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810197,'mussel shell',NULL,'','','',0,3961,96,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810198,'large mossy log',NULL,'','','',0,1752,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810199,'an oaken bench',NULL,'','','',0,2003,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810200,'Freeport decorative banner',NULL,'','','',0,11633,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810201,'Pirate flag',NULL,'','','',0,5758,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810202,'Prefabricated Regal Frostfell Candles',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810203,'Pristine Regal Frostfell Candles',NULL,'','','',0,5961,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810204,'a bone trophy',NULL,'','','',0,6684,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810205,'a bone sculpture',NULL,'','','',0,6686,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810206,'Egg Warmer',NULL,'','','',0,2571,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810207,'a tortured elf skeleton',NULL,'','','',0,7677,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810208,'black marble mirror',NULL,'','','',0,11625,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810209,'Tasty Baked Fish',NULL,'','','',0,12094,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810210,'Freeport tall lantern',NULL,'','','',0,11627,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810211,'Band of Gigglegibbery',NULL,'','','',0,6327,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810212,'ornate ferrite inkwell',NULL,'','','',0,7709,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810213,'Kerra Herbal Healing Salve',NULL,'','','',0,2606,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810214,'a crate of coin',NULL,'','','',0,9856,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810215,'a tortured halfling skeleton',NULL,'','','',0,7678,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810216,'a pristine lab flask',NULL,'','','',0,4470,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810217,'red glass bottle',NULL,'','','',0,12518,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810218,'bottle of glowing material',NULL,'','','',0,8791,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810219,'laboratory research stool',NULL,'','','',0,12721,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810220,'orange glass bottle',NULL,'','','',0,12517,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810221,'green glass bottle',NULL,'','','',0,12519,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810222,'hua mein potion sack',NULL,'','','',0,12511,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810223,'A Wispy Vampiric Mirror',NULL,'','','',0,11521,127,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810224,'Greenwisp',NULL,'','','',0,1622,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810225,'abalone shell',NULL,'','','',0,3960,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810226,'oyster shell',NULL,'','','',0,3967,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810227,'hollow log',NULL,'','','',0,1673,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810228,'Elaborate Forge',NULL,'','','',0,2529,16,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810229,'Training Dummy Supply Chest',NULL,'','','',0,15,64,0,1,1,971,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810230,'a square Wantia table',NULL,'','','',0,6381,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810231,'Farseas Express Mailbox',NULL,'','','',0,6862,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810232,'small carved bench',NULL,'','','',0,12515,29,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810233,'Grassy Square',NULL,'','','',0,11054,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810234,'Blessed Gigglegibber Mini-Comfort Crate',NULL,'','','',0,8130,9,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810235,'coral frond',NULL,'','','',0,3912,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810236,'Parade Halasian Draft Horse',NULL,'','','',0,6858,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810237,'plains fern',NULL,'','','',0,1670,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810238,'Shaped Frostfell Snowdrift',NULL,'','','',0,7093,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810239,'a Frostfell Snowdrift',NULL,'','','',0,7093,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810240,'plain green streetlamp',NULL,'','','',0,11569,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810241,'a pristine oggokian rock table',NULL,'','','',0,2067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810242,'turtle plushie',NULL,'','','',0,215,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810243,'coral cluster',NULL,'','','',0,3911,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810244,'a pristine Freeport coffee table',NULL,'','','',0,2208,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810245,'a tiny sea turtle plushie',NULL,'','','',0,218,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810246,'Hot Chocolate Mug',NULL,'','','',0,3381,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810247,'a passion candle',NULL,'','','',0,3451,80,0,1,1,0,0,11343,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810248,'plain red streetlamp',NULL,'','','',0,11567,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810249,'pristine azurite tall entwined sculpture',NULL,'','','',0,6109,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810250,'pristine azurite rotating sculpture',NULL,'','','',0,6108,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810251,'Crude Frostfell Snowdrift',NULL,'','','',0,7093,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810252,'Single Yellow Rose',NULL,'','','',0,7149,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810253,'a female terracotta warrior',NULL,'','','',0,6317,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810254,'pristine round acrylia griffon fountain',NULL,'','','',0,7928,122,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810255,'Sathirian Reverence Statue',NULL,'','','',0,8044,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810256,'Master Provisioner Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810257,'Master Jeweler Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810258,'an Order of Rime brazier',NULL,'','','',0,10991,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810259,'emerald stained glass oval',NULL,'','','',0,12098,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810260,'fae tavern counter',NULL,'','','',0,8335,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810261,'Master Woodworker Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810262,'Master Sage Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810263,'Master Tailor Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810264,'Master Armorer Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810265,'Master Weaponsmith Certification',NULL,'','','',0,8001,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810266,'Steaming Jumjum Pie',NULL,'','','',0,8248,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810267,'stag plushie',NULL,'','','',0,2414,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810268,'fawn plushie',NULL,'','','',0,206,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810269,'A Bouquet of Woodsun Flowers',NULL,'','','',0,1738,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810270,'ornate fork',NULL,'','','',0,8249,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810271,'shallow basket of oranges',NULL,'','','',0,11816,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810272,'mossy blue mushrooms',NULL,'','','',0,1525,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810273,'shallow basket of raspberries',NULL,'','','',0,11590,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810274,'A plate of Frostfell chip cookies',NULL,'','','',0,7969,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810275,'Bowl of Spiced Eggnog',NULL,'','','',0,7070,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810276,'Stuffed and Roasted Fowl',NULL,'','','',0,7072,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810277,'kerra grain basket',NULL,'','','',0,12487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810278,'hua mein fish basket',NULL,'','','',0,12505,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810279,'open basket of peppers',NULL,'','','',0,11814,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810280,'Gigglegibber Cranberry Sauce',NULL,'','','',0,7090,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810281,'basket of cranberries',NULL,'','','',0,11588,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810282,'basket of blueberries',NULL,'','','',0,11591,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810283,'Toxxulia forest flower',NULL,'','','',0,12402,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810284,'a pristine oggokian chair',NULL,'','','',0,2055,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810285,'glacial pillar',NULL,'','','',0,10003,69,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810286,'amethyst stone cluster',NULL,'','','',0,6904,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810287,'Rujarkian Hillrunner',NULL,'','','',0,6848,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810288,'Grobb stone bench',NULL,'','','',0,9567,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810289,'Grobb stone table',NULL,'','','',0,9572,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810290,'continental map scroll',NULL,'','','',0,12135,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810291,'Parade Elddarian Charger ',NULL,'','','',0,6856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810292,'Touch of Arasai',NULL,'','','',0,4551,136,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810293,'Preserved Sathirian Skulls',NULL,'','','',0,8039,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810294,'A Selkie Mushroom',NULL,'','','',0,4550,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810295,'a blessed shrubbery',NULL,'','','',0,3909,28,0,1,1,0,0,144,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810296,'A black granite druid ring',NULL,'','','',0,13824,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810297,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810298,'Translocator Spires',NULL,'','','',0,2306,96,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3810299,'metamorphic stone',NULL,'','','',0,3916,60,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3820000,'door_exit_right',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3820001,'door_exit_left',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830001,'','','','','',255,2306,25,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830002,'neglectful muck','','','','',0,8202,14,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830003,'Imperial Concubine ''Nora','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830004,'Royal Guard Dae''HipHop','','','','',4,77,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830005,'Emperor Vicarius','','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830006,'Keepers'' Stylist','<Guild Stylist>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830007,'Royal Advisor Pashka','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830008,'High Council Lexia','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830009,'Royal Performer Sylverwin','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830010,'Empress Yuukali','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830011,'Bruce Keepers'' Deal Maker','<Guild World Market Broker>','','','',9,134,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830012,'This isnt the strat your looking for','<Guild Strategist>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830013,'Tinky Keepers'' Signet Peddler','<Relic & Signet Peddler>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830014,'Keepers'' Banker','<Guild Banker>','','','',6,79,32,0,1,1,14,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830015,'Gigglegibber Goblin Gamblin'' Game Vendor','<Gigglegibber Gambler>','','','',255,7039,23,0,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830016,'Keepers'' Guidance Counselor','<Achievement Counsel>','','','',14,105,32,0,1,1,1093,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830017,'Black Jill Dealer','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830018,'Imperial Guard Bob','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830019,'Imperial Guard Kary','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830020,'Mia Keepers'' Armor Restorer','<Guild Mender>','','','',8,135,32,0,1,1,12,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830021,'Collection Quest Girl','<Collector>','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830022,'Breaka''Yo Fingas','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830023,'Madam P''imp','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830024,'Johnny Depp','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830025,'Brad Pitt','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830026,'Megan Fox','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830027,'Tera Patrick','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830028,'Jenna Jameson','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830029,'Bartender Mcduffie','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830030,'Busta''Yo Headin','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830031,'Amy Reid','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830032,'Imperial Guard Wegassio','','','','',11,82,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830033,'Imperial Guard Smemji','','','','',8,136,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830034,'Imperial Guard Kaybar','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830035,'Imperial Guard Madsie','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830036,'Imperial','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830037,'Imperial Guard Sleepy Matt','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830038,'Geezer Keepers'' Capitalist Consumer','<Guild Commodities Exporter>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830039,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830040,'Lenarr','Lenarr''s Personae Reflection','','','',9,136,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830041,'Ashari Keeper''s Poratalist','<Guild Portal Druid>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830042,'Ensign Silverwang','','','','',14,105,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830043,'Lieutenant Tanizzle','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830044,'Ensign Trakanonnon','','','','',14,106,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830045,'Beast','','','','',0,7235,48,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830046,'Lieutenant Lenardo','','','','',8,136,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830047,'Commander Dopey','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830048,'Lieutenant Striddeer','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830049,'Lieutenant Davomama','','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830050,'Lieutenant Commander Xristle','','','','',11,82,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830051,'Lieutenant Commander Data','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830052,'Captain Inpain','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830053,'Knight Captain Kizakka','','','','',11,82,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830054,'Knight CaptainValthrios','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830055,'Captain Gnome','','','','',5,122,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830056,'Commander G-Money','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830057,'a gold pet monkey','','','','',0,5006,44,0,1,1,39,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830058,'Librarian Noe Ital','','','','',3,119,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830059,'Windscorn''s Mom the Keepers'' Stylist','<Guild Stylist>','','','',12,123,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830060,'Captain Windless Hiphopapatamus','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830061,'Masta Safepulla','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830062,'Zendari Zee No Show','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830063,'Royal Guard Dae''HipHop The Delicious','','','','',4,77,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830064,'Arbitor Athrios the Voice','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830065,'Vallyn Son of Thor','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830066,'Odette Yustman loves Zendari','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830067,'Megan Fox does too','','','','',15,113,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830068,'Linnie Keepers'' Banker and Little''Ho','<Guild Banker>','','','',6,79,32,0,1,1,14,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830069,'Keepers'' Guidance Counselor','<Advancement Counsel>','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830070,'Zuksia Collection Quest Girl','<Collector>','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830071,'fprt_guildhall_door14_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830072,'fprt_guildhall_door14_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830073,'fprt_guildhall_door13_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830074,'fprt_guildhall_door12_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830075,'fprt_guildhall_door12_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830076,'fprt_guildhall_door07_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830077,'fprt_guildhall_door07_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830078,'fprt_guildhall_door13_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830079,'fprt_guildhall_door06_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830080,'fprt_guildhall_door06_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830081,'fprt_guildhall_door09_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830082,'fprt_guildhall_door09_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830083,'fprt_guildhall_door01_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830084,'fprt_guildhall_door01_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830085,'fprt_guildhall_door10_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830086,'fprt_guildhall_door10_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830087,'fprt_guildhall_door11_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830088,'fprt_guildhall_door08_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830089,'fprt_guildhall_door05_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830090,'fprt_guildhall_door05_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830091,'fprt_guildhall_door04_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830092,'fprt_guildhall_door04_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830093,'fprt_guildhall_door03_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830094,'fprt_guildhall_door03_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830095,'fprt_guildhall_door11_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830096,'fprt_guildhall_door08_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830097,'fprt_guildhall_door02_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830098,'fprt_guildhall_door02_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830099,'door_exit_right',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,370,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830100,'door_exit_left',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,370,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830101,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830102,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830103,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830104,'tapestry of the malign',NULL,'','','',0,8625,128,0,1,1,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830105,'redwood coffee table',NULL,'','','',0,8352,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830106,'a pristine ornate halasian chest',NULL,'','','',0,2187,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830107,'redwood bedside table',NULL,'','','',0,8351,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830108,'a pristine fulginate militia sconce',NULL,'','','',0,3471,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830109,'pristine single candle',NULL,'','','',0,7676,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830110,'pristine azurite chalice',NULL,'','','',0,7267,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830111,'pristine worn straw mat',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830112,'Stoutgut''s Bookshelves',NULL,'','','',0,2586,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830113,'a pristine short militia shelf',NULL,'','','',0,2167,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830114,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830115,'Trophy: Lady Fiana''s Gentle Suggestion',NULL,'','','',0,3823,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830116,'elegant green dining chair',NULL,'','','',0,8327,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830117,'Treants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830118,'Pristine large indium candelabra',NULL,'','','',0,7263,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830119,'ferrite brazier',NULL,'','','',0,7902,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830120,'a pristine broadcloth rug',NULL,'','','',0,3512,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830121,'a pristine oval broadcloth rug',NULL,'','','',0,7339,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830122,'Pristine stained tapestry of valor',NULL,'','','',0,7272,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830123,'deklium weighing scales',NULL,'','','',0,7710,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830124,'ferrite skeletal brazier',NULL,'','','',0,7607,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830125,'A Maj''Dul Gazing Orb',NULL,'','','',0,5264,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830126,'a pristine rough linen portrait',NULL,'','','',0,3511,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830127,'Pristine teak wall mirror',NULL,'','','',0,7303,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830128,'octagonal redwood gaming table',NULL,'','','',0,8350,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830129,'Man or Beast: the Drolvarg',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830130,'large redwood room divider',NULL,'','','',0,8359,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830131,'Pristine smoldering bone torch',NULL,'','','',0,7262,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830132,'stone planter',NULL,'','','',0,7703,58,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830133,'Pristine hanging plant',NULL,'','','',0,7338,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830134,'Pristine large teak wine rack',NULL,'','','',0,8994,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830135,'Know Your Giants',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830136,'Know Your Golems',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830137,'Orc Society',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830138,'Tales of the Alliz Ew',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830139,'Teachings of Master Wu',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830140,'First Flight',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830141,'Know Your Bixies',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830142,'Scales in Balance',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830143,'a pristine carbonite sconce',NULL,'','','',0,5869,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830144,'pristine azurite entwined sculpture',NULL,'','','',0,6110,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830145,'Basic Painting',NULL,'','','',0,1581,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830146,'Moving Crate',NULL,'','','',0,2143,32,0,1,1,16,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830147,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830148,'a tiny magical stuffed tiger',NULL,'','','',0,2415,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830149,'a fae lantern',NULL,'','','',0,8341,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830150,'Pristine fruiting potted shrub',NULL,'','','',0,7344,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830151,'azure rug of the forsaken',NULL,'','','',0,9556,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830152,'Certificate of Service to the State',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830153,'a Norrathian star chart',NULL,'','','',0,8358,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830154,'bloodstone shards',NULL,'','','',0,3914,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830155,'plain Nektulos pine tree',NULL,'','','',0,7995,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830156,'Pristine wild shrub',NULL,'','','',0,4076,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830157,'a repaired piano',NULL,'','','',0,8342,23,0,1,1,846,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830158,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830159,'Lamp of Devotion',NULL,'','','',0,6385,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830160,'Trophy: Silbern''s Sword ',NULL,'','','',0,6410,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830161,'Sathirian Ornamental Rug',NULL,'','','',0,8042,16,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830162,'Waterfalls',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830163,'Bowl of Growth',NULL,'','','',0,34,19,0,1,1,850,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830164,'a mystical droag orb',NULL,'','','',0,6102,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830165,'Mounted Scepter of Fyr',NULL,'','','',0,9398,32,0,1,1,851,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830166,'Atrebe''s Sniveling Children',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830167,'The Far Pelican',NULL,'','','',0,5638,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830168,'Memories of Misty Thicket',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830169,'The Poems of Alyarrah',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830170,'Halls of the Dead Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830171,'A History of the Order of Nektulos',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830172,'a tarnished djinn lamp',NULL,'','','',0,5320,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830173,'The Blood of the Bear, Part Two',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830174,'A History of the Sporconid',NULL,'','','',0,3037,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830175,'Obligation and Duty',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830176,'The Words of the Avatar',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830177,'The Tragic Tale of Brother Balatin',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830178,'The Tale of Brother Zephyl',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830179,'The Monastery of the Lost Circle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830180,'The Founding of the Whistling Fists Clan',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830181,'The Tale of Brother Qwinn',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830182,'Quill of a Maj''Dul Poet',NULL,'','','',0,8637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830183,'Frostfell Greeting Card',NULL,'','','',0,7964,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830184,'Miniature Replica Statue: Resolution',NULL,'','','',0,9095,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830185,'The Final Days of the Leaky Drake',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830186,'The Second Wife''s Tale',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830187,'The Nights of the Dead',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830188,'Zeke Two Tone''s Diary',NULL,'','','',0,3036,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830189,'Evil Eye Musings',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830190,'Into the Hive',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830191,'a Drednever workbench',NULL,'','','',0,6094,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830192,'The Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830193,'Rise of the Orcs - The Deadtime',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830194,'The Efreeti''s Scimitar',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830195,'Certificate: Treasure Hunter',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830196,'The Eye of the Night',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830197,'Windsisters'' Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830198,'The Coming of the True Creator',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830199,'The Tales of the Burynai',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830200,'The Precious Fairy Book',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830201,'Rank Insignia of the Palace of the Awakened',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830202,'Trinni''s Adventures Aloft',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830203,'an ornate chessboard set',NULL,'','','',0,4445,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830204,'Tapestry of Flame',NULL,'','','',0,9600,52,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830205,'Fauna of the Enchanted Lands L - Z',NULL,'','','',0,8318,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830206,'Fauna of the Enchanted Lands A - K',NULL,'','','',0,8318,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830207,'Motor Commotion all for Emotion',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830208,'A Dwarf''s Guide to Surviving a Minotaur Attack.',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830209,'Dancing with Bugbears',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830210,'Shepherd of the Celestial Watch',NULL,'','','',0,3032,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830211,'Smiting of the Werewolf',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830212,'a mystical droag scribing table',NULL,'','','',0,6099,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830213,'We Will Be Free Again',NULL,'','','',0,3034,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830214,'The Littlest Hill Giant',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830215,'a small lab flask',NULL,'','','',0,2328,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830216,'The Weight of the Past',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830217,'The First Wife''s Tale',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830218,'\"The Breath of Vox\"',NULL,'','','',0,2718,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830219,'Of Maj''Dul Am I',NULL,'','','',0,2599,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830220,'The Mute Bard''s Tale',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830221,'The Tenebrous Tangle Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830222,'End of the Rending',NULL,'','','',0,2598,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830223,'Garanel''s Scorched Skull',NULL,'','','',0,2993,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830224,'Collapse',NULL,'','','',0,2603,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830225,'An Unusual Bottle',NULL,'','','',0,2613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830226,'Dalron''s Small Black Book',NULL,'','','',0,2596,12,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830227,'A History of Veksar',NULL,'','','',0,3022,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830228,'The Seeds of Corruption',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830229,'Tumpy Tonic Max',NULL,'','','',0,8132,32,0,1,1,856,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830230,'Medium Male Mannequin',NULL,'','','',0,8051,35,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830231,'a guardian spirit',NULL,'','','',0,3694,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830232,'The Unclaimed Eye',NULL,'','','',0,3031,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830233,'Geomancy',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830234,'Mayong''s Cruelty: the Drachnids',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830235,'Drakota',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830236,'Travels into a Remote Corner of Faydark',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830237,'The Undead of Ro - Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830238,'Pillars of Flame Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830239,'A Recent History of the Tunarians',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830240,'Bootstrutter''s Trail Guide to the Desert of Ro',NULL,'','','',0,2596,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830241,'The Cleft Dweller',NULL,'','','',0,2601,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830242,'Sinking Sands Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830243,'Maj''Dul Inhabitants Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830244,'Wisdom of the Flock',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830245,'The Bonemire Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830246,'The Barren Sky Creature Catalog',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830247,'Servant of the Temple',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830248,'The Nightblood',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830249,'a sand blasted djinn lamp',NULL,'','','',0,5227,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830250,'Djinn Scriptorium Papers',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830251,'a pristine long ornate shelf',NULL,'','','',0,2168,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830252,'The Prophetic Mystery',NULL,'','','',0,3323,25,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830253,'Snoogle''s Party Keg',NULL,'','','',0,3184,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830254,'Mistmoore Piano Bench',NULL,'','','',0,6961,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830255,'The enclosure at Poet''s Palace',NULL,'','','',0,5271,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830256,'The Case of the Ursa Rhym',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830257,'Bayle''s Mounted Amulet of Benediction',NULL,'','','',0,2682,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830258,'Ernie Gimblelock''s Adventuring Journal',NULL,'','','',0,3034,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830259,'pristine ornate ironwood round table',NULL,'','','',0,3617,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830260,'Shimmering Carpet of the Citadel',NULL,'','','',0,5385,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830261,'Ancient Froglok Talisman',NULL,'','','',0,4915,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830262,'a goblin''s notebook - The Hideout',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830263,'Ornate Sathirian Carpet',NULL,'','','',0,7897,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830264,'a mushroom circlet',NULL,'','','',0,3949,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830265,'Heart-Shaped Pillow',NULL,'','','',0,7123,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830266,'an ornate mirror',NULL,'','','',0,4448,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830267,'Nhjela''s Poem',NULL,'','','',0,3032,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830268,'Ale-stained Tapestry of the Gathering',NULL,'','','',0,9012,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830269,'a tiny magical stuffed hawk plushie',NULL,'','','',0,260,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830270,'Vial of Passion',NULL,'','','',0,8791,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830271,'Kaladim Altar',NULL,'','','',0,6966,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830272,'Order of Rime flames',NULL,'','','',0,10992,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830273,'On the Origins of Shadowed Men',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830274,'Zatirre''s First Zombie',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830275,'Life Among the Goblins',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830276,'A Frostfell Carol',NULL,'','','',0,3322,22,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830277,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830278,'Weapon rack',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830279,'Froglok Male Mannequin',NULL,'','','',0,8098,67,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830280,'Pristine large sandworn pillar',NULL,'','','',0,7268,42,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830281,'Medium Female Mannequin',NULL,'','','',0,8052,67,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830282,'potted white lilies',NULL,'','','',0,7463,21,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830283,'Pristine desert poppies',NULL,'','','',0,48,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830284,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830285,'Purple Roses Blooming with Love',NULL,'','','',0,7137,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830286,'Pristine indium cage bars',NULL,'','','',0,7661,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830287,'pristine adamantine round pool',NULL,'','','',0,7381,28,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830288,'a pristine standard ash shelf',NULL,'','','',0,2113,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830289,'Pristine indium brazier',NULL,'','','',0,7660,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830290,'pristine purple nomad tent',NULL,'','','',0,5160,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830291,'a pristine briarwood chest',NULL,'','','',0,2654,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830292,'large fancy mahogany counter',NULL,'','','',0,7615,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830293,'pristine sandalwood platform',NULL,'','','',0,7664,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830294,'pristine djinn''s pillow set',NULL,'','','',0,5225,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830295,'a pristine broken large bench',NULL,'','','',0,3312,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830296,'pristine potted palm',NULL,'','','',0,5224,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830297,'A plate of Erollisi Marrsipan',NULL,'','','',0,8080,43,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830298,'redwood stool',NULL,'','','',0,7913,39,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830299,'The Trials of Sir Morgan',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830300,'a pristine oil painting of a stone castle ',NULL,'','','',0,2200,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830301,'padded green dining chair',NULL,'','','',0,8326,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830302,'a pristine oil painting of a sea shore cliff',NULL,'','','',0,2195,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830303,'ornate kunzite table lamp',NULL,'','','',0,2156,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830304,'Know Your Gnolls',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830305,'pristine ashen hearth',NULL,'','','',0,7088,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830306,'Skeletons',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830307,'Summoning an Elemental',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830308,'The Siren''s Song',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830309,'red damask couch',NULL,'','','',0,8330,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830310,'orc champion painting',NULL,'','','',0,7427,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830311,'painting of an orc dragon slayer',NULL,'','','',0,7455,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830312,'orc victory painting',NULL,'','','',0,7457,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830313,'an opened crate',NULL,'','','',0,11037,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830314,'a pristine halasian boiling pot',NULL,'','','',0,2075,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830315,'a pristine archaic oak bench',NULL,'','','',0,2982,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830316,'crude stone block',NULL,'','','',0,2952,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830317,'Large Glacial Room Divider',NULL,'','','',0,10005,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830318,'pristine gilded ironwood king bed',NULL,'','','',0,2965,58,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830319,'small white lilies',NULL,'','','',0,7463,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830320,'The Nine Contemplations',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830321,'Yellow Roses Blooming with Love',NULL,'','','',0,7151,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830322,'pristine xegonite knight''s sconce',NULL,'','','',0,7281,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830323,'pristine mystical mirror',NULL,'','','',0,5127,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830324,'Pink Roses Blooming with Love',NULL,'','','',0,7131,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830325,'Velious Mourns',NULL,'','','',0,4420,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830326,'The Dwarven Ringmail Tunic',NULL,'','','',0,4015,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830327,'Distilled Devotion Number Nine',NULL,'','','',0,8087,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830328,'a dirty bedroll',NULL,'','','',0,1997,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830329,'woven leaf rug',NULL,'','','',0,8346,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830330,'pristine simple candelabra',NULL,'','','',0,2725,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830331,'Guild Translocation Beacon',NULL,'','','',0,4457,64,0,1,1,959,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830332,'a pristine erudin globe',NULL,'','','',0,1953,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830333,'ornate ferrite inkwell',NULL,'','','',0,7709,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830334,'a pristine lab flask',NULL,'','','',0,4470,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830335,'Greenwisp',NULL,'','','',0,1622,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830336,'a square Wantia table',NULL,'','','',0,6381,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830337,'pristine azurite tall entwined sculpture',NULL,'','','',0,6109,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830338,'pristine azurite rotating sculpture',NULL,'','','',0,6108,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830339,'Single Yellow Rose',NULL,'','','',0,7149,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830340,'fae tavern counter',NULL,'','','',0,8335,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830341,'glacial pillar',NULL,'','','',0,10003,69,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830342,'Granville''s Coffee Table',NULL,'','','',0,2208,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830343,'Cup of the Desert Nomad',NULL,'','','',0,8630,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830344,'Jug of the Desert Nomad',NULL,'','','',0,8631,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830345,'a Freeport fire pot',NULL,'','','',0,3465,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830346,'an ornate display case',NULL,'','','',0,4461,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830347,'Anointed Altar Bowl of Bertoxxulous',NULL,'','','',0,1522,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830348,'an unfinished Wantia armoire',NULL,'','','',0,6384,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830349,'Bert''s Big Book of Health',NULL,'','','',0,8187,32,0,1,1,440,0,7104,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830350,'A History of the Centaur',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830351,'Handbook of the Coalition of Tradesfolke',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830352,'Shimmering Citadel Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830353,'The Blood of the Bear, Part Three',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830354,'The Blood of the Bear, Part One',NULL,'','','',0,2601,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830355,'The Haunting',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830356,'What We Know of Kunark',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830357,'The Mariner''s Lament',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830358,'Splitpaw Down Under, Part One',NULL,'','','',0,2597,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830359,'A Mysterious Red Tome',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830360,'The History of Ayr''Dal',NULL,'','','',0,2598,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830361,'Handbook of the Ironforge Exchange',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830362,'Words to Remember - by Mother Deasie',NULL,'','','',0,8314,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830363,'Even More Adventures of Jorbo and Mappy',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830364,'Nektulos Forest, by Torq De''Rech',NULL,'','','',0,3323,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830365,'Welcome to Kelethin!',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830366,'Basic Mining Guide, Part One',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830367,'a lion''s palm table',NULL,'','','',0,4446,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830368,'an ancient ark',NULL,'','','',0,3091,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830369,'a pristine light ash office chair',NULL,'','','',0,2637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830370,'Temple of Life',NULL,'','','',0,9110,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830371,'Commonlands Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830372,'Creatures of the Creators Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830373,'Freeport Sewers Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830374,'Nektulos Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830375,'Outlying Freeport Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830376,'Outlying Qeynos Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830377,'Qeynos Catacombs Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830378,'Zek Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830379,'Antonica Creature Catalog',NULL,'','','',0,1453,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830380,'Clefts of Rujark Creature Catalog',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830381,'incarnadine throne',NULL,'','','',0,7622,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830382,'Maj''Dul: a single tear',NULL,'','','',0,5272,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830383,'a pristine standard teak chair',NULL,'','','',0,2099,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830384,'pristine ornate ironwood rounded counter',NULL,'','','',0,2148,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830385,'a teleportation portal',NULL,'','','',0,2684,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830386,'Localized Guild Hall Teleportation Network',NULL,'','','',0,6226,16,0,1,1,1092,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830387,'a pristine carbonite military chandelier',NULL,'','','',0,3428,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830388,'a pristine small dark cedar table',NULL,'','','',0,2800,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830389,'sinister pillows',NULL,'','','',0,9216,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830390,'fae tavern shelves',NULL,'','','',0,8347,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830391,'Farseas Express Mailbox',NULL,'','','',0,4710,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830392,'pristine adamantine brazier',NULL,'','','',0,7672,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830393,'a captured void portal',NULL,'','','',0,11291,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830394,'uniform6',NULL,'','','',0,8051,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830395,'uniform4',NULL,'','','',0,8051,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830396,'uniform3',NULL,'','','',0,8052,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830397,'uniform5',NULL,'','','',0,8052,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830398,'uniform5',NULL,'','','',0,8051,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830399,'uniform2',NULL,'','','',0,8051,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830400,'uniform1',NULL,'','','',0,8051,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830401,'Red Heart-Shaped Pillow',NULL,'','','',0,7123,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830402,'plain sandalwood screen',NULL,'','','',0,8337,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830403,'pristine cobalt throne',NULL,'','','',0,6422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830404,'a pristine small burlap rug',NULL,'','','',0,3524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830405,'Faydark Melody music box',NULL,'','','',0,4647,16,0,1,1,1094,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830406,'incarnadine teardrop wall lamp',NULL,'','','',0,7461,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830407,'jar of fens fireflies',NULL,'','','',0,9608,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830408,'Green Mechanized Lamppost',NULL,'','','',0,10580,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830409,'small redwood room divider',NULL,'','','',0,8359,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830410,'green damask couch',NULL,'','','',0,8329,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830411,'pristine intricate xegonite bowl',NULL,'','','',0,7347,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830412,'a white holiday candle',NULL,'','','',0,7976,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830413,'pristine cobalt long table',NULL,'','','',0,6427,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830414,'Pristine small indium candelabra',NULL,'','','',0,7265,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830415,'padded red dining chair',NULL,'','','',0,8328,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830416,'pristine golden nimbus rug',NULL,'','','',0,7340,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830417,'a harp of jealousy',NULL,'','','',0,4452,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830418,'a devotion candle',NULL,'','','',0,3451,57,0,1,1,0,0,11342,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830419,'Essence of Amour',NULL,'','','',0,8088,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830420,'uniform7',NULL,'','','',0,8051,32,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830421,'pristine death''s head drapery',NULL,'','','',0,7674,116,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830422,'a pristine tall halfling drum',NULL,'','','',0,7264,52,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830423,'Purple Heart-Shaped Pillow',NULL,'','','',0,8082,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830424,'Norrathian Holiday Candles',NULL,'','','',0,2712,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830425,'pristine ironwood closet',NULL,'','','',0,6430,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830426,'The Wards of Kelkarn',NULL,'','','',0,3490,32,0,1,1,0,0,2794,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830427,'pristine windcloth lantern',NULL,'','','',0,8054,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830428,'a pristine teak chest',NULL,'','','',0,2143,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830429,'a pristine dark ash bunk bed',NULL,'','','',0,2576,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830430,'ferrite cupboard',NULL,'','','',0,7904,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830431,'pristine ebony warlock''s bookcase',NULL,'','','',0,6092,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830432,'pristine ebony wizard''s bookcase',NULL,'','','',0,6093,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830433,'Love''s Gilded Cage',NULL,'','','',0,9726,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830434,'a pristine vale briarwood candelabra',NULL,'','','',0,7333,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830435,'a pristine oil painting of a knight ',NULL,'','','',0,2198,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830436,'portrait of an orc berserker',NULL,'','','',0,7458,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830437,'portrait of an orc howler',NULL,'','','',0,7459,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830438,'painting of the orc gladiators',NULL,'','','',0,7456,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830439,'damask carpet',NULL,'','','',0,7905,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830440,'a guardian''s weapon rack',NULL,'','','',0,4455,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830441,'\"Sir Lucan\"',NULL,'','','',0,4467,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830442,'Sylvan Triptych',NULL,'','','',0,4406,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830443,'Sathirian Sarcophagus',NULL,'','','',0,8041,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830444,'Grand Bed of Kelethin',NULL,'','','',0,9725,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830445,'a pristine erudin warding orb',NULL,'','','',0,2204,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830446,'Tinkerer''s Round Table',NULL,'','','',0,10593,52,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830447,'Red Clockwork Lamppost',NULL,'','','',0,10579,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830448,'an ornate stein',NULL,'','','',0,3378,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830449,'Tynnonium Stool',NULL,'','','',0,8048,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830450,'a pristine eccentric cedar stool',NULL,'','','',0,2648,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830451,'Nightbloom Berries',NULL,'','','',0,9003,25,0,1,1,0,0,1906,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830452,'White Heart-Shaped Pillow',NULL,'','','',0,8083,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830453,'Pristine indium shackle',NULL,'','','',0,7662,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830454,'a pristine rough linen rug',NULL,'','','',0,3211,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830455,'pristine red tent',NULL,'','','',0,5157,47,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830456,'a Lucanic vase of enmity',NULL,'','','',0,2146,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830457,'a pristine large dark cedar table',NULL,'','','',0,2066,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830458,'a pristine sackcloth rug',NULL,'','','',0,3513,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830459,'a pristine mystic ebon sconce',NULL,'','','',0,2737,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830460,'pristine ironwood armoire',NULL,'','','',0,6431,95,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830461,'Freeport Theme music box',NULL,'','','',0,4647,11,0,1,1,1095,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830462,'Qeynos Theme music box',NULL,'','','',0,5981,22,0,1,1,1096,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830463,'a pristine painting of the sun god',NULL,'','','',0,2202,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830464,'Pristine small sandworn pillar',NULL,'','','',0,7269,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830465,'pristine dragon nest',NULL,'','','',0,5201,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830466,'Ghoulish Night tapestry',NULL,'','','',0,11132,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830467,'small purple lilies',NULL,'','','',0,7462,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830468,'pristine acrylia griffon fountain',NULL,'','','',0,7378,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830469,'Wantia ornate vessel',NULL,'','','',0,6375,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830470,'intricate windcloth rug',NULL,'','','',0,8344,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830471,'Fires of Tranquility',NULL,'','','',0,8157,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830472,'Courtyard Statue: Conqueror, South',NULL,'','','',0,8979,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830473,'Courtyard Statue: Conqueror, East',NULL,'','','',0,8979,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830474,'Courtyard Statue: Conqueror, West',NULL,'','','',0,8979,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830475,'Courtyard Statue: Conqueror, North',NULL,'','','',0,8979,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830476,'Druid Ring',NULL,'','','',0,9237,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830477,'\"Fealty to Freeport\"',NULL,'','','',0,4463,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830478,'redwood streetlamp',NULL,'','','',0,7704,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830479,'The Tender''s Growth Floret',NULL,'','','',0,9314,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830480,'Droag Banner',NULL,'','','',0,8035,32,0,1,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830481,'Courtyard Landmark Statue: Domination',NULL,'','','',0,8978,64,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830482,'Rilissian Firepot',NULL,'','','',0,8036,26,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830483,'a pristine briarwood bookcase',NULL,'','','',0,2586,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830484,'Fallen Iksar Skull',NULL,'','','',0,7903,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830485,'Statue of Trakanon',NULL,'','','',0,7916,1000,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830486,'a long stone corner counter',NULL,'','','',0,3129,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830487,'Exodus of the Knights of Marr',NULL,'','','',0,4421,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830488,'Nagafen Lord of Flame',NULL,'','','',0,4415,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830489,'Tempest in a Teacup',NULL,'','','',0,9039,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830490,'pristine xegonite chest',NULL,'','','',0,6098,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830491,'pristine forged archaic dragon statue',NULL,'','','',0,6112,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830492,'ornate temple light',NULL,'','','',0,7907,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830493,'Rilissian Ornamental Rug',NULL,'','','',0,8040,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830494,'an ornate globe of Norrath',NULL,'','','',0,7261,43,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830495,'Feral Protector',NULL,'','','',0,4245,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830496,'Crested Mistmoore Shield',NULL,'','','',0,7169,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830497,'pristine vanadium vase',NULL,'','','',0,6419,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830498,'Search for Redemption',NULL,'','','',0,4376,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830499,'a pristine spellbinder''s ebon sconce',NULL,'','','',0,2738,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830500,'Leviathan Unbound',NULL,'','','',0,4276,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830501,'The History of Poetry',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830502,'Engraved Scroll Stand',NULL,'','','',0,7898,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830503,'a pristine ornate linen rug',NULL,'','','',0,3530,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830504,'pristine ironwood square table',NULL,'','','',0,6435,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830505,'Children of Thunder',NULL,'','','',0,4410,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830506,'Rivervale Remembered',NULL,'','','',0,4413,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830507,'Servant of the Storm',NULL,'','','',0,4412,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830508,'a pristine intricate oak table',NULL,'','','',0,2794,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830509,'a pristine Antonican ornate end table',NULL,'','','',0,3586,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830510,'Luxurious Chaise Lounge',NULL,'','','',0,8066,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830511,'large redwood bookcase',NULL,'','','',0,7614,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830512,'Why the Grump Hated Frostfell',NULL,'','','',0,3322,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830513,'Cleaning with the Cryptkeeper',NULL,'','','',0,2598,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830514,'Dance of the Ancient',NULL,'','','',0,2601,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830515,'Through the Rathe Mountains',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830516,'The Lady of the Lake',NULL,'','','',0,3032,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830517,'The Commander''s Wife',NULL,'','','',0,2603,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830518,'a goblin''s notebook - History of the Condemned Catacomb',NULL,'','','',0,2599,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830519,'Deep Marshes',NULL,'','','',0,3037,28,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830520,'1st Lieutenant Danarg, 291 AS',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830521,'Eternal Bloom',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830522,'Qeynos Ironforge Exchange''s Basic Guide',NULL,'','','',0,1453,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830523,'Guide to Collecting Crypt Plates',NULL,'','','',0,1453,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830524,'Remembering Rivervale',NULL,'','','',0,2602,43,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830525,'A Martyr''s Tale',NULL,'','','',0,2604,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830526,'pristine death''s head candle lamp',NULL,'','','',0,2709,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830527,'Remembrances - Tel''riia''mil''an''ane''ie',NULL,'','','',0,8316,41,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830528,'The Amygamalion - The Form',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830529,'Welcome to Qeynos, Citizen!',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830530,'The Hammer of Below',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830531,'From the Trial of Kane Bayle',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830532,'A Mysterious Green Tome',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830533,'A Mysterious Black Tome',NULL,'','','',0,3033,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830534,'A Collection of Epitaphs',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830535,'Splitpaw Down Under, Part Two',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830536,'Over Halas',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830537,'Isabella Cellus'' Family History Book',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830538,'History of the Runnyeye Goblins, Vol. I',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830539,'Adventures of Jorbo and Mappy',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830540,'The Varsoon Collection, Volume 1 - Varsoon and the Combine Era',NULL,'','','',0,8316,41,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830541,'Ignatia Cellus'' Family History Book',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830542,'Ilene Cellus'' Family History Book',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830543,'a vivisection table',NULL,'','','',0,2789,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830544,'Banner of the Unseen',NULL,'','','',0,9683,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830545,'Freeport by Hasten Bootstrutter',NULL,'','','',0,4423,92,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830546,'a pristine traditional oak desk',NULL,'','','',0,2775,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830547,'Qeynos by Hasten Bootstrutter',NULL,'','','',0,4422,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830548,'Grotto Sailing Ship',NULL,'','','',0,7940,20,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830549,'pristine forged venerable dragon statue',NULL,'','','',0,6113,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830550,'a clay urn',NULL,'','','',0,2184,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830551,'a pristine bone dining chair',NULL,'','','',0,3045,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830552,'pristine sandstone hearth',NULL,'','','',0,7087,28,0,1,1,0,0,13745,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830553,'Prefabricated Glorious Frostfell Candles',NULL,'','','',0,7048,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830554,'dark Sathirian tapestry',NULL,'','','',0,9604,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830555,'pristine horned leather rug',NULL,'','','',0,6104,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830556,'tall redwood streetlamp',NULL,'','','',0,7706,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830557,'a pristine large bench',NULL,'','','',0,2004,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830558,'Statuette of Sir Vallius Bayle',NULL,'','','',0,4625,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830559,'stately Frostfell candles',NULL,'','','',0,8736,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830560,'sinister tapestry',NULL,'','','',0,9223,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830561,'Wantia round table',NULL,'','','',0,6382,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830562,'Purple Roses in a Vase',NULL,'','','',0,7137,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830563,'Ykeshan wraithguard guardian',NULL,'','','',0,9560,129,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830564,'Painting: Asharae',NULL,'','','',0,9352,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830565,'Painting: The Muse',NULL,'','','',0,7364,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830566,'Basic Mining Guide, Part Two',NULL,'','','',0,2597,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830567,'Iriana Cellus'' Family History Book',NULL,'','','',0,2600,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830568,'a Freeport wooden counter',NULL,'','','',0,2189,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830569,'pristine rosewood table',NULL,'','','',0,6119,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830570,'a pristine comely teak chair',NULL,'','','',0,2134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830571,'alchemical flasks',NULL,'','','',0,9211,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830572,'a pristine faydark vase',NULL,'','','',0,2077,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830573,'a pristine crafted vase',NULL,'','','',0,2079,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830574,'Handbook of the Ironforge Exchange',NULL,'','','',0,7967,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830575,'Luxurious Chaise Lounge',NULL,'','','',0,8066,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830576,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830577,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830578,'Trophy: Gynok Moltor''s Head',NULL,'','','',0,10109,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830579,'Trophy: The Headless Horseman',NULL,'','','',0,11310,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830580,'Trophy: Leviathan Tentacle',NULL,'','','',0,10103,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830581,'Trophy: Godking Anuk''s Head',NULL,'','','',0,10108,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830582,'Trophy: Djinn Master''s Head',NULL,'','','',0,10107,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830583,'Trophy: Vyemm''s Head',NULL,'','','',0,10117,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830584,'Trophy: Tarinax''s Head',NULL,'','','',0,10112,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830585,'Trophy: Aiden''s Head',NULL,'','','',0,10102,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830586,'Trophy: Vox''s Head',NULL,'','','',0,10116,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830587,'Trophy: Darathar''s Head',NULL,'','','',0,10106,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830588,'Trophy: Venril Sathir''s Head',NULL,'','','',0,10115,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830589,'Mariner''s Bell: Shattered Lands',NULL,'','','',0,16,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830590,'Teleportation Spire to the Overrealm',NULL,'','','',0,6147,608,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830591,'Trophy: Trakanon''s Head',NULL,'','','',0,10114,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3830592,'Trophy: Zarrakon''s Head',NULL,'','','',0,10120,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850000,'a canopy drifter','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850001,'Zara Dreamhopper','<Portal to the Unseen>','','','',255,4940,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850002,'info bot z7.0','','','','',255,6669,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850003,'Tandy Sprinklecog','<Tailor>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850004,'Dropship adjustor','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850005,'Dropship surveyor','<Scholars of the Lost>','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850006,'Rotheck Dragonforge','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850007,'Bittee Silvertail','<The Shadow Odyssey Armorer>','','','',13,64,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850008,'Belfie Bentsprocket','<Mender>','','','',5,122,32,0,1,1,12,9,0,0,0,1,0,0,16,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850009,'Liliadod Cogspinner','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850010,'Basha','','','','',11,95,32,3,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850011,'Osshiere','','','','',11,101,31,4,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850012,'The Skystrider','','','','',0,9446,32,0,1,1,0,0,0,0,0,0,0,0,2989,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850013,'Neshran','','','','',11,97,33,3,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850014,'a mysterious Quellithulian','<Scout Armor Exchange Merchant>','','','',255,1601,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850015,'a mysterious Quellithulian','<Infused Shard Jewelry Merchant>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850016,'a mysterious Quellithulian','<Shard Armor Merchant>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850017,'a mysterious Quellithulian','<Shard Jewelry Merchant>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850018,'Dropship tavern patron','<Scholars of the Lost>','','','',13,69,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850019,'Dropship engineer','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850020,'Obidiah Punwicket','<Food Engineer>','','','',5,121,38,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850021,'Dropship denizen','<Scholars of the Lost>','','','',5,121,30,2,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850022,'Dirby Umbridge','<Scholars of the Lost>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850023,'Ragheejb Yasir','<a mysterious erudite>','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850024,'Watcher Bogglepocket','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850025,'Udolpho Fiddletwig','<Scholars of the Lost>','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850026,'Ember Tizzlespring','<Expedition Director>','','','',5,122,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850027,'assessment bot','','','','',255,6286,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850028,'Rickty Sprockwaggle','<Scholars of the Lost>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850029,'Umbral','<Exchange Merchant>','','','',9,8937,19,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850030,'a mysterious Quellithulian','<Greater Shard Armor Merchant>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850031,'a mysterious Quellithulian','<Shard Miscellania Merchant>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850032,'a mysterious Quellithulian','<Black Market Shard Trader>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850033,'Aymee Quickspoke','<Far Seas Trading Company Liaison>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850034,'Ursel Wrenchwan','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850035,'Hambert Cogpocket','<Overseer of Operations>','','','',5,121,41,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850036,'Holly Sparesprocket','<Work Orders>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850037,'Grimb Nogglewot','<Rush Orders>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850038,'Edna Wingrocket','<Fuel Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850039,'clockwork worker','','','','',255,6447,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850040,'Gabblin Bittlegrip','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850041,'Chalkonli Myli`ki','<Gorowyn Representative>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850042,'Armyna V''Threx','<Neriak Representative>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850043,'Dropship watcher','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850044,'Krodin','<New Halas Representative>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850045,'Irwin Springcog','<Balloon Safety Conductor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850046,'Amelia Bogstrutter','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850047,'Wayth Bitsnbobs','','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850048,'Torbil Wagglewrench','<Weapons Worker>','','','',5,121,38,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850049,'Poppy Sprockbock','<Munitions Twinker>','','','',5,122,38,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850050,'Lexia','<Banker>','','','',11,81,35,0,1,1,14,9,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850051,'Mingy Cobblepot','<Banker>','','','',5,121,38,0,1,1,14,9,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850052,'Kali Hodpodge','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850053,'Skymaster Akiz Hoopster','<Skymaster>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850054,'Hoppy Cogsplitter','<Fence>','','','',5,121,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850055,'goods bot 6vH','<Broker>','','','',255,6669,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850056,'an Ulteran network scholar','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850057,'Hoight McCrest','','','','',0,112,31,5,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850058,'Gunder MacMannan','','','','',0,112,29,3,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850059,'Udiah Springcog','<Cannon Safety Operator>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850060,'Aino Boabaga','<Kelethin Representative>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850061,'Sken Elkheart','<Qeynos Representative>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850062,'Versokai','<Freeport Representative>','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850063,'a mountain crawler','','','','',255,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850064,'a wild sokokar','','','','',255,7253,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850065,'a Ykeshan scuttler','','','','',255,7741,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850066,'Dudley Sprocklit','<Scholars of the Lost>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850067,'voracious stone gnawer','','','','',255,257,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850068,'Nesbit','<D.L.Z. Research Bot>','','','',255,6446,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850069,'Mildred','<Repair Bot>','','','',255,6288,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850070,'Brobbina','<Balloon Safety Conductor>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850071,'voracious stone gnawer','','','','',255,257,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850072,'assessment bot','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850073,'bot wrangler','','','','',5,122,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850074,'excavation bot','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850075,'a Thalz''Iz''Zaz monk','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850076,'a Thalz''Iz''Zaz ranger','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850077,'a Thalz''Iz''Zaz mystic','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850078,'sweeper bot','','','','',255,6524,22,0,1,1,87,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850079,'Specimen Analyzer','<Veilbreaker Component>','','','',255,6287,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850080,'Pogsod','<Overseer of U.J.L. Bot Wranglers>','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850081,'Linguobot','<Language Authenticator Bot>','','','',255,6288,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850082,'a Thalz''Iz''Zaz warden','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850083,'Zi''za''zir','<Thalz''Iz''Zaz blacksmith>','','','',255,1638,41,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850084,'Ranger Zim''za''ai','','','','',255,1638,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850085,'a Nuknok gorer','<Clan Nuknok>','','','',255,9117,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850086,'a Nuknok pounder','<Clan Nuknok>','','','',255,9116,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850087,'subdued sokokar','','','','',255,7253,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850088,'a Nuknok screamer','<Clan Nuknok>','','','',255,9115,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850089,'Hoppshelper','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850090,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850091,'a void-touched Brokenskull deckhand','','','','',255,8838,45,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850092,'a void-touched Brokenskull mate','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850093,'a void-touched Brokenskull swabber','','','','',255,9064,45,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850094,'a void-touched Brokenskull officer','','','','',255,9065,45,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850095,'Captain Wavesmasher','','','','',255,8661,44,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850096,'a Gunthak razortooth','','','','',255,242,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850097,'Quartermaster Thumpstomp','','','','',255,8953,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850098,'monkey','','','','',255,5006,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850099,'a void-touched snapper','','','','',255,211,16,0,1,1,11,0,16914,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850100,'a Ykeshan cephalopod ','','','','',255,210,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850101,'highland sokokar','','','','',255,7253,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850102,'Brawgie','<Sokokar Keeper>','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850103,'a void-touched saltshell','','','','',255,218,63,6,1,1,11,0,16914,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850104,'Captain Azhub','','','','',255,8661,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850105,'Brokenskull fisher','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850106,'Brokenskull dockmaster','','','','',255,8838,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850107,'Brokenskull dockworker','','','','',255,8838,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850108,'ravenous stone gnawer','','','','',255,257,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850109,'a Ykeshan snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850110,'Swaggerin'' Grakk','','','','',255,8661,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850111,'a Ykeshan snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850112,'a Ykeshan saltshell','','','','',255,218,16,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850113,'Petty Officer Vyile','','','','',255,8661,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850114,'wayward Brokenskull','','','','',255,8838,43,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850115,'a Ykeshan snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850116,'Thulgo','<Mender>','','','',255,8953,48,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850117,'Sunza Bloodocean','','','','',255,8838,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850118,'Salty Jotz','','','','',255,9065,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850119,'a Brokenskull shipwright','','','','',255,9065,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850120,'a meadow glider','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850121,'Gunthak''s Shanty lookout','','','','',255,9065,45,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850122,'Crusty Cxyia','<General Goods>','','','',255,9064,48,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850123,'vile strider','','','','',255,6910,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850124,'a Ykeshan crocodilian','','','','',255,4745,31,6,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850125,'a Ykeshan rustyback','','','','',255,235,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850126,'Razorbeak','','','','',255,6910,64,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850127,'pigmy rustyback','','','','',255,235,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850128,'a Ykeshan rustyback','','','','',255,235,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850129,'a pigmy rustyback','','','','',255,235,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850130,'Junka Bloodocean','','','','',255,8838,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850131,'a Brokenskull officer','','','','',255,9064,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850132,'a Brokenskull deckhand','','','','',255,8661,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850133,'Pumtog','','','','',255,8953,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850134,'Octoravager','','','','',255,210,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850135,'a ruddyshell tortoise','','','','',255,215,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850136,'Moyrlla','','','','',255,215,128,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850137,'wooly sheep','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850138,'Polyphemus','','','','',255,8866,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850139,'Sweetness','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850140,'Precious','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850141,'a hollow poggy sifter','','','','',255,8174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850142,'a hollow twiggy sifter','','','','',255,8176,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850143,'a hollow bulbous sifter','','','','',255,8172,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850144,'Quinn Wobble','<Far Seas Trading Company Liaison>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850145,'Troll Guard','<Survival Accord>','','','',255,105,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850146,'Bezlog','<General Goods>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850147,'Froglok Guard','<Survival Accord>','','','',255,4940,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850148,'Chipp the Thinker','','','','',255,106,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850149,'Klip Marrsquire','<Survival Accord>','','','',255,4943,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850150,'Brokenskull striker','','','','',255,9065,47,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850151,'Grandpa Krill','','','','',255,106,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850152,'Vip Gloryshield','','','','',4,4940,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850153,'Lieutenant Fella','<Survival Accord>','','','',255,4940,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850154,'Skippit Valorarm','<Mender>','','','',255,4942,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850155,'Grumluk','<Bowyer>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850156,'a bulbous fens sifter','','','','',255,8171,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850157,'a twiggy fens sifter','','','','',255,8175,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850158,'a poggy fens sifter','','','','',255,8174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850159,'Alden Strongaxe','<Far Seas Trading Company Liaison>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850160,'Hazmek Skullsoup','<Provisioner>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850161,'Orgn','<Survival Accord>','','','',255,106,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850162,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850163,'a domineering sokokar','','','','',255,7253,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850164,'Petty Officer Zugtaz','','','','',255,8838,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850165,'a Brokenskull handler','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850166,'a Brokenskull handler','','','','',255,9065,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850167,'Nuknok handler','<Clan Nuknok>','','','',255,9116,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850168,'Nuknok handler','<Clan Nuknok>','','','',255,9117,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850169,'Guggh','<Clan Nuknok>','','','',255,9117,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850170,'a Brokenskull mate','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850171,'a Brokenskull swabber','','','','',255,9064,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850172,'a Thalz''Iz''Zaz illusionist','','','','',255,1638,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850173,'Shaman Zaz''i''zaz','','','','',255,1638,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850174,'a Thalz''Iz''Zaz worshipper','','','','',255,1638,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850175,'an Innothule swamp feeder','','','','',255,4745,38,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850176,'a ruin crawler','','','','',255,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850177,'z-bot XGO','','','','',255,6669,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850178,'Grak Liversplat','<Master of the Arena>','','','',255,9065,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850179,'a kitten','','','','',255,306,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850180,'Petty Officer Kimtiz','','','','',255,8838,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850181,'Cracky Krakatoa','','','','',255,3791,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850182,'Lessy Peng','','','','',255,4942,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850183,'Ykeshan troll','','','','',255,9230,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850184,'Ykeshan wanderer','','','','',255,9230,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850185,'Ykeshan wanderer','','','','',255,8143,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850186,'Ykeshan froglok','','','','',255,8143,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850187,'a dead froglok','','','','',255,3792,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850188,'Raza Dreamhopper','<Visionary Mystic>','','','',255,4944,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850189,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850190,'a void-touched Brokenskull','','','','',255,9065,32,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850191,'a void-touched fauna stalker','','','','',255,284,38,0,1,1,11,0,16914,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850192,'a void-touched snake','','','','',255,213,44,0,1,1,11,0,16914,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850193,'a void-touched alligator','','','','',255,4745,38,0,1,1,11,0,16914,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850194,'a fauna stalker','','','','',255,284,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850195,'a blood gorger','','','','',255,6289,46,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850196,'escaped baby gator','','','','',255,4745,12,0,1,1,0,0,0,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850197,'an Innothule glider','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850198,'Quartermaster Stumps','','','','',255,9065,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850199,'a Gunthak razortooth','','','','',255,242,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850200,'Magnus','Vulkoor''s undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850201,'Dropship Cannon',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850202,'U.J.L. Cannon',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850203,'horse carcass',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,685,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850204,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850205,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2038,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850206,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850207,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2038,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850208,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850209,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850210,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850211,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850212,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850213,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850214,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850215,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850216,'Xass''s Forge',NULL,'','','',0,3318,32,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850217,'Xass''s Forge',NULL,'','','',0,3319,19,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850218,'campfire',NULL,'','','',0,4606,32,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850219,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850220,'Exp05 Moors of Ykesha Sorcerer Rune',NULL,'','','',0,4180,32,0,1,1,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850221,'stalk of coral',NULL,'','','',0,3911,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850222,'wrecked boat',NULL,'','','',0,4644,32,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850223,'a vile strider egg',NULL,'','','',255,6045,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850224,'a mysterious mechanical part',NULL,'','','',0,6651,32,0,1,1,0,0,17434,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850225,'stack of sacks',NULL,'','','',0,3537,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850226,'weeping toothwort',NULL,'','','',0,1738,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850227,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,1,1,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850228,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(3850229,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850230,'Mail Kiosk',NULL,'','','',0,4710,32,0,1,1,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850231,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(3850232,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(3850233,'Upper DLZ Cannon',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850234,'U.J.L. Cannon Controller',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850235,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850236,'',NULL,'','','',0,49,32,0,1,1,121,0,0,0,0,1,0,0,2217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850237,'azhub_boat',NULL,'','','',0,1957,32,0,1,1,157,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850238,'scattered adventurer bones',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,1,1,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850239,'Door to Lower Guk',NULL,'','','',0,49,32,0,0,0,247,0,0,0,0,1,0,0,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850241,'Door to Upper Guk',NULL,'','','',0,49,32,0,0,0,249,0,0,0,0,1,0,0,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850242,'',NULL,'','','',0,2451,64,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850243,'fallen cypress',NULL,'','','',0,3938,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850244,'swamp mud',NULL,'','','',0,3992,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850245,'sandstone slab',NULL,'','','',0,6202,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850246,'zone_to_anchor_bazzul',NULL,'','','',0,49,32,0,0,0,750,0,0,0,0,1,0,0,2217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850247,'zone_to_Obelisk_ahkzul',NULL,'','','',0,49,32,0,0,0,246,0,0,0,0,1,0,0,2217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850248,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850249,'ykeshan stout shrubbery',NULL,'','','',0,4075,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850250,'ykeshan dark ore',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850251,'swamp foot',NULL,'','','',0,6906,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850252,'bleached timber',NULL,'','','',0,3937,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850253,'blackened hermatite',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850254,'Moor mole den',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850255,'spotted whitesurf fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850256,'a canopy drifter','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850257,'Zara Dreamhopper','<Portal to the Unseen>','','','',255,4940,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850258,'info bot z7.0','','','','',255,6669,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850259,'Tandy Sprinklecog','<Tailor>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850260,'Dropship adjustor','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850261,'Dropship surveyor','<Scholars of the Lost>','','','',13,62,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850262,'Rotheck Dragonforge','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850263,'Bittee Silvertail','<The Shadow Odyssey Armorer>','','','',13,64,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850264,'Belfie Bentsprocket','<Mender>','','','',5,122,32,0,1,1,12,9,0,0,0,1,0,0,16,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850265,'The Skystrider','','','','',0,9446,32,0,0,0,0,0,0,0,0,0,0,0,2989,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850266,'a mysterious Quellithulian','<Scout Armor Exchange Merchant>','','','',255,1601,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850267,'Dropship tavern patron','<Scholars of the Lost>','','','',13,69,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850268,'Dropship engineer','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850269,'Obidiah Punwicket','<Food Engineer>','','','',5,121,38,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850270,'Dropship denizen','<Scholars of the Lost>','','','',5,121,31,3,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850271,'Dirby Umbridge','<Scholars of the Lost>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850272,'Ragheejb Yasir','<a mysterious erudite>','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850273,'Watcher Bogglepocket','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850274,'Ember Tizzlespring','<Expedition Director>','','','',5,122,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850275,'assessment bot','','','','',255,6286,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850276,'Rickty Sprockwaggle','<Scholars of the Lost>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850277,'Umbral','<Exchange Merchant>','','','',9,8937,19,0,1,1,10,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850278,'a mysterious Quellithulian','<Black Market Shard Trader>','','','',3,1601,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850279,'Aymee Quickspoke','<Far Seas Trading Company Liaison>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850280,'Hambert Cogpocket','<Overseer of Operations>','','','',5,121,41,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850281,'Holly Sparesprocket','<Work Orders>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850282,'Grimb Nogglewot','<Rush Orders>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850283,'Edna Wingrocket','<Fuel Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850284,'clockwork worker','','','','',255,6447,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850285,'Chalkonli Myli`ki','<Gorowyn Representative>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850286,'Armyna V''Threx','<Neriak Representative>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850287,'Dropship watcher','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850288,'Krodin','<New Halas Representative>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850289,'Irwin Springcog','<Balloon Safety Conductor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850290,'Wayth Bitsnbobs','','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850291,'Torbil Wagglewrench','<Weapons Worker>','','','',5,121,38,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850292,'Lexia','<Banker>','','','',11,81,35,0,1,1,14,9,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850293,'Mingy Cobblepot','<Banker>','','','',5,121,38,0,1,1,14,9,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850294,'Kali Hodpodge','<Scholars of the Lost>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850295,'Skymaster Akiz Hoopster','<Skymaster>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850296,'Hoppy Cogsplitter','<Fence>','','','',5,121,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850297,'goods bot 6vH','<Broker>','','','',255,6669,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850298,'Hoight McCrest','','','','',0,112,31,5,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850299,'Udiah Springcog','<Cannon Safety Operator>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850300,'Aino Boabaga','<Kelethin Representative>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850301,'Sken Elkheart','<Qeynos Representative>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850302,'Versokai','<Freeport Representative>','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850303,'a mountain crawler','','','','',255,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850304,'a wild sokokar','','','','',255,7253,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850305,'a Ykeshan scuttler','','','','',255,7741,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850306,'voracious stone gnawer','','','','',255,257,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850307,'Nesbit','<D.L.Z. Research Bot>','','','',255,6446,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850308,'Mildred','<Repair Bot>','','','',255,6288,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850309,'voracious stone gnawer','','','','',255,257,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850310,'assessment bot','','','','',255,6286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850311,'bot wrangler','','','','',5,122,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850312,'excavation bot','','','','',255,6447,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850313,'a Thalz''Iz''Zaz monk','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850314,'a Thalz''Iz''Zaz ranger','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850315,'a Thalz''Iz''Zaz mystic','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850316,'sweeper bot','','','','',255,6524,22,0,1,1,87,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850317,'Specimen Analyzer','<Veilbreaker Component>','','','',255,6287,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850318,'Pogsod','<Overseer of U.J.L. Bot Wranglers>','','','',5,121,35,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850319,'Linguobot','<Language Authenticator Bot>','','','',255,6288,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850320,'a Thalz''Iz''Zaz warden','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850321,'Zi''za''zir','<Thalz''Iz''Zaz blacksmith>','','','',255,1638,41,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850322,'Ranger Zim''za''ai','','','','',255,1638,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850323,'a Nuknok gorer','<Clan Nuknok>','','','',255,9117,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850324,'a Nuknok pounder','<Clan Nuknok>','','','',255,9116,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850325,'subdued sokokar','','','','',255,7253,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850326,'a Nuknok screamer','<Clan Nuknok>','','','',255,9115,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850327,'a void-touched Brokenskull deckhand','','','','',255,8838,45,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850328,'a void-touched Brokenskull mate','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850329,'a void-touched Brokenskull swabber','','','','',255,9064,45,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850330,'a void-touched Brokenskull officer','','','','',255,9065,45,3,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850331,'Captain Wavesmasher','','','','',255,8661,44,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850332,'a Gunthak razortooth','','','','',255,242,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850333,'Quartermaster Thumpstomp','','','','',255,8953,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850334,'monkey','','','','',255,5006,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850335,'a void-touched snapper','','','','',255,211,16,0,1,1,11,0,16914,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850336,'a Ykeshan cephalopod ','','','','',255,210,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850337,'a void-touched saltshell','','','','',255,218,63,6,1,1,11,0,16914,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850338,'Brokenskull fisher','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850339,'Brokenskull dockmaster','','','','',255,8838,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850340,'Brokenskull dockworker','','','','',255,8838,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850341,'ravenous stone gnawer','','','','',255,257,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850342,'a Ykeshan snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850343,'a Ykeshan snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850344,'a Ykeshan saltshell','','','','',255,218,16,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850345,'Petty Officer Vyile','','','','',255,8661,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850346,'wayward Brokenskull','','','','',255,8838,42,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850347,'a Ykeshan snapper','','','','',255,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850348,'Thulgo','<Mender>','','','',255,8953,48,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850349,'a Brokenskull shipwright','','','','',255,9065,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850350,'a meadow glider','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850351,'Gunthak''s Shanty lookout','','','','',255,9065,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850352,'Crusty Cxyia','<General Goods>','','','',255,9064,48,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850353,'vile strider','','','','',255,6910,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850354,'a Ykeshan crocodilian','','','','',255,4745,31,6,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850355,'a Ykeshan rustyback','','','','',255,235,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850356,'pigmy rustyback','','','','',255,235,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850357,'a Ykeshan rustyback','','','','',255,235,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850358,'a pigmy rustyback','','','','',255,235,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850359,'Junka Bloodocean','','','','',255,8838,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850360,'a Brokenskull officer','','','','',255,9064,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850361,'a Brokenskull deckhand','','','','',255,8661,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850362,'Octoravager','','','','',255,210,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850363,'a ruddyshell tortoise','','','','',255,215,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850364,'Moyrlla','','','','',255,215,128,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850365,'wooly sheep','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850366,'Polyphemus','','','','',255,8866,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850367,'Sweetness','','','','',255,2336,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850368,'a hollow poggy sifter','','','','',255,8174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850369,'a hollow twiggy sifter','','','','',255,8176,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850370,'a hollow bulbous sifter','','','','',255,8172,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850371,'Quinn Wobble','<Far Seas Trading Company Liaison>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850372,'Troll Guard','<Survival Accord>','','','',255,105,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850373,'Bezlog','<General Goods>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850374,'Froglok Guard','<Survival Accord>','','','',255,4940,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850375,'Chipp the Thinker','','','','',255,106,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850376,'Klip Marrsquire','<Survival Accord>','','','',255,4943,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850377,'Brokenskull striker','','','','',255,9065,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850378,'Grandpa Krill','','','','',255,106,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850379,'Vip Gloryshield','','','','',4,4940,31,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850380,'Lieutenant Fella','<Survival Accord>','','','',255,4940,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850381,'Skippit Valorarm','<Mender>','','','',255,4942,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850382,'Grumluk','<Bowyer>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850383,'a bulbous fens sifter','','','','',255,8171,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850384,'a twiggy fens sifter','','','','',255,8175,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850385,'a poggy fens sifter','','','','',255,8174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850386,'Alden Strongaxe','<Far Seas Trading Company Liaison>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850387,'Hazmek Skullsoup','<Provisioner>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850388,'Orgn','<Survival Accord>','','','',255,106,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850389,'a domineering sokokar','','','','',255,7253,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850390,'Petty Officer Zugtaz','','','','',255,8838,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850391,'a Brokenskull handler','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850392,'a Brokenskull handler','','','','',255,9065,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850393,'Nuknok handler','<Clan Nuknok>','','','',255,9116,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850394,'Nuknok handler','<Clan Nuknok>','','','',255,9117,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850395,'a Brokenskull mate','','','','',255,8953,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850396,'a Brokenskull swabber','','','','',255,9064,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850397,'a Thalz''Iz''Zaz illusionist','','','','',255,1638,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850398,'Shaman Zaz''i''zaz','','','','',255,1638,41,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850399,'a Thalz''Iz''Zaz worshipper','','','','',255,1638,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850400,'an Innothule swamp feeder','','','','',255,4745,38,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850401,'a ruin crawler','','','','',255,205,41,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850402,'a kitten','','','','',255,306,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850403,'Petty Officer Kimtiz','','','','',255,8838,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850404,'Cracky Krakatoa','','','','',255,3791,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850405,'Lessy Peng','','','','',255,4942,30,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850406,'Ykeshan troll','','','','',255,9230,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850407,'Ykeshan wanderer','','','','',255,9230,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850408,'Ykeshan wanderer','','','','',255,8143,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850409,'Ykeshan froglok','','','','',255,8143,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850410,'a dead froglok','','','','',255,3792,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850411,'Raza Dreamhopper','<Visionary Mystic>','','','',255,4944,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850412,'a void-touched Brokenskull','','','','',255,9065,32,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850413,'a void-touched fauna stalker','','','','',255,284,38,0,1,1,11,0,16914,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850414,'a void-touched snake','','','','',255,213,44,0,1,1,11,0,16914,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850415,'a void-touched alligator','','','','',255,4745,38,0,1,1,11,0,16914,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850416,'a fauna stalker','','','','',255,284,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850417,'a blood gorger','','','','',255,6289,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850418,'escaped baby gator','','','','',255,4745,12,0,1,1,0,0,0,0,0,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850419,'an Innothule glider','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850420,'Quartermaster Stumps','','','','',255,9065,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850422,'Captain Reezz Seablood','','','','',255,8838,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850423,'Kraus','','','','',255,1431,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850424,'Sir Norbert Reilly','','','','',255,1431,34,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850425,'Raeg Faec','<Tuptan Lookout>','','','',255,1431,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850426,'Doorknob','','','','',255,3790,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850427,'Laupy Nooggen','','','','',255,1431,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850428,'Snappie Jurstin','','','','',255,77,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850429,'Frogmo','','','','',255,3790,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850430,'Froggins McShade','','','','',255,4943,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850431,'Scabby Gabby','','','','',255,9064,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850435,'Bugluk','<Clan Nuknok>','','','',255,9116,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850436,'Scrounger Lumph','<Clan Nuknok>','','','',255,9115,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850437,'Chieftain Puggot','<Clan Nuknok>','','','',255,9191,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850438,'a Nuknok piglet','','','','',255,170,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850439,'Denmother Yugguh','<Clan Nuknok>','','','',255,9117,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850440,'go bot z650i','','','','',255,6286,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850441,'Thullosian meat tender','','','','',255,8671,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850442,'Thullosian barsher','','','','',255,8671,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850443,'Thullosian poker','','','','',255,8672,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850444,'Thullosian mumbler','','','','',255,8671,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850445,'Sissili','<Balloon Safety Conductor>','','','',13,58,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850446,'Caretaker Murgox','','','','',255,8671,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850447,'Thullosian runt','','','','',12,124,16,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850448,'Thullosian grinder','','','','',255,8672,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850449,'Thullosian spearer','','','','',255,8672,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850450,'General Grummut Stomp','','','','',12,8672,58,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850451,'The Incredible Lumberer','','','','',255,8672,59,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850452,'a swamp sokokar','','','','',255,7253,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850453,'a swamp rat','','','','',255,196,9,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850454,'an Innothule threadspinner','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850455,'an Innothule threadspinner','','','','',255,276,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850456,'Jakobb','<Balloon Safety Conductor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850457,'Tuptan citizen','','','','',255,3789,35,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850458,'Luna Hawkview','<Tuptan Lookout>','','','',255,4943,45,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850459,'Hopgip Goodsale','<Wholesaler>','','','',255,3788,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850460,'Jingo Quicksew','<Tailor>','','','',255,1431,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850461,'Hopson Goodsoup','<Soup Cook of Tupta>','','','',4,1430,41,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850462,'Grandpa Valorarm','<Patron of Tupta''s Finest Restaurant>','','','',4,77,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850463,'a Tupta termite','','','','',255,208,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850464,'Flippit Valorarm','','','','',255,3790,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850465,'Froglok Guard','<Guktan Guard>','','','',255,4944,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850466,'Roakoak Flipperwill','<Guktan Guard Faction Merchant>','','','',255,3788,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850467,'Reedip Marrstongue','<Daily Tradeskill Tasks>','','','',255,1430,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850468,'Varick Stoutheart','<Far Seas Trading Company Liaison>','','','',255,3787,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850469,'Merza Valorarm','','','','',255,4944,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850470,'Fippit Goodsale','<Wholesaler>','','','',255,3789,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850471,'Froppen Heavyanvil','<Shieldsmith>','','','',255,1431,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850472,'Loppic Quicksell','<Broker>','','','',255,3792,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850473,'Padrock Vaultkeep','<Banker>','','','',255,3787,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850474,'Hoppic Longlife','<General Goods>','','','',255,3788,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850475,'Flippit Valorcraft','<Armorsmith>','','','',255,4938,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850476,'Head Groomer Marrithex','','','','',255,8838,49,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850477,'Nicholas Slipacus','','','','',255,3788,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850478,'Croark Windslasher','','','','',255,3788,37,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850479,'Botheg','','','','',255,77,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850480,'Oribi Chansez','','','','',255,4944,39,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850481,'Ciraa','<Balloon Safety Conductor>','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850482,'Ward Glanral','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850483,'Hopart Bigheart','<Provisioner>','','','',255,4936,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850484,'Urp Brightblade','','','','',4,3790,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850485,'Tuptan Guard','','','','',255,3792,34,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850486,'Tiptup Strongheart','','','','',255,3788,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850487,'Padton Longsip','<Provisioner>','','','',255,4940,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850488,'Eliza Eagle-eye','<Tuptan Lookout>','','','',255,4943,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850489,'Baird Hawkview','<Tuptan Lookout>','','','',255,3788,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850490,'Boggit Honorbound','<Weaponsmith>','','','',255,4942,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850491,'Swapton Swiftfix','<Mender>','','','',255,4936,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850492,'Tuptan tadtaker','','','','',255,4939,34,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850493,'Sir Libip Honorsmelt','','','','',255,3793,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850494,'Glip Heartkeeper','','','','',255,77,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850495,'Regent Wibbey Gallantblade','<The Frogloks of Guk>','','','',255,3790,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850496,'Sir Vipwi Marrswatch','','','','',4,3789,31,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850497,'Poppy Marrsquire','','','','',255,3793,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850498,'Mummy Marrsquire','','','','',255,4944,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850499,'Hoppity Silverfoot','','','','',255,4943,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850500,'Valor Goodsale','<Wholesaler>','','','',255,3787,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850501,'Dihop Strongarm','<Bowyer>','','','',255,3792,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850502,'Sipbip','','','','',255,4944,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850503,'Maxx Eagle-eye','<Tuptan Lookout>','','','',255,3793,52,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850504,'Uroomuh','','','','',255,8172,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850505,'Snappyjaw','','','','',255,4745,48,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850506,'Kilip the Green','','','','',255,4938,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850507,'Kiplok Valorarm','<Fuel Merchant>','','','',4,3790,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850508,'Rikhop Valorarm','<Mender>','','','',255,3788,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850509,'Lucius Vandermarr','','','','',9,134,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850510,'Hop Wrenchwit','','','','',5,121,28,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850511,'Bart','<General Goods>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850512,'Gudfix','<Bowyer>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850513,'Pirdy','<Balloon Safety Conductor>','','','',13,53,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850514,'Kutzz','<Survival Accord>','','','',255,106,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850515,'Historian Gluppin','','','','',4,3790,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850516,'Bulvariz','','','','',14,106,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850517,'Hophip Valorfeet','<Daily Tradeskill Tasks>','','','',255,3788,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850518,'Fribbit Longpaddle','<Survival Accord Faction Merchant>','','','',255,4940,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850519,'Mug','<Far Seas Trading Company Liaison>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850520,'Glipta Proudhunt','<Treasure Seeker>','','','',4,4936,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850521,'Freluup','','','','',4,4942,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850522,'Vegupa Marrsheart','<Crusaders of Guk>','','','',4,4937,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850523,'Gurlig Valorheart','<Keeper of Traditions>','','','',4,3787,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850524,'Kroaka','','','','',255,4939,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850525,'Muktop Quickpage','<Scholar of Marr>','','','',4,3787,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850526,'Gopton Braveheart','<City Guard of Firmroot Moot>','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850527,'Grezelda Razmadash','','','','',13,58,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850528,'Shaman Skullcleave','','','','',14,106,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850529,'Recorderbot lwf8.6','','','','',255,6669,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850530,'Captain Cogglespot','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850531,'The Great Morsley','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850532,'Beltza Gizzardslurper','','','','',14,105,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850533,'Captain Lip Marrsquire','<Survival Accord>','','','',255,4938,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850534,'Yurip Honorbound','','','','',4,4944,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850535,'Fip Marrsquire','<Survival Accord>','','','',255,3793,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850536,'The Warlord','','','','',14,106,41,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850537,'Nurtza Skullcrusher','','','','',14,105,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850538,'Scuz','<Survival Accord>','','','',255,105,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850541,'Troll Guard','<Clan Grobb>','','','',255,106,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850542,'Grunty','','','','',255,105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850543,'Lentak','<Bartender>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850544,'Grobb gator tender','','','','',255,105,31,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850545,'confined gator','','','','',255,4745,38,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850546,'Troll Guard in Training','<Clan Grobb>','','','',255,105,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850547,'confined gator','','','','',255,4745,9,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850548,'fighting gator','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850549,'Groluk','<Gator Wrangler>','','','',255,106,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850550,'Grobb citizen','','','','',255,106,33,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850551,'Yazz Guttswig','','','','',255,106,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850552,'Chieftain Irtzit Bloodweaver','<Clan Grobb>','','','',255,106,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850553,'Broosha Gatormarrow','<Daily Tradeskill Tasks>','','','',255,105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850554,'Zubzub','<Far Seas Trading Company Liaison>','','','',255,105,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850555,'Gudsteech','<Tailor>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850556,'Hukhuk','<General Goods>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850557,'Sewdak','<Mender>','','','',14,105,32,0,1,1,12,9,0,0,0,1,0,0,43,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850558,'Pazzt','<Weaponsmith>','','','',14,105,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850559,'Patguk','<Armorsmith>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850560,'Nontz','<Shieldsmith>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850561,'Fuds','<Provisioner>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850562,'Thomryp','<Wholesaler>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850563,'Warmonger Urziton','','','','',255,105,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850564,'Potabak','<Provisioner>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850565,'Ziczak','<Bowyer>','','','',14,106,32,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850566,'Lizz','<Grobb Faction Merchant>','','','',255,105,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850567,'Kull','<Broker>','','','',14,106,32,0,1,1,20,9,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850568,'Katak','<Banker>','','','',14,106,32,0,1,1,14,9,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850569,'Lucrzzt','<Banker>','','','',14,106,32,0,1,1,14,9,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850570,'Bogup','<Bank Guard>','','','',255,105,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850571,'Limga','<Bank Guard>','','','',255,106,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850572,'Feexzak','<Mender>','','','',14,105,32,0,1,1,12,9,0,0,0,1,0,0,43,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(3850573,'Belinza Skullsoup','','','','',255,105,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850574,'Grackz','','','','',255,106,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850575,'Russho','','','','',255,8171,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850576,'Olliee','<Balloon Safety Conductor>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850577,'Agata','<Far Seas Trading Company Liaison>','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850578,'Vroomba','','','','',255,8175,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850579,'Humphsh','','','','',255,8173,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850580,'Urdu','<Balloon Safety Conductor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850581,'Uzl','<Survival Accord>','','','',255,105,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850582,'Firivie','<Balloon Safety Conductor>','','','',13,57,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850583,'Butcher Sog','','','','',255,106,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850584,'Shadowed Cleft citizen','','','','',255,105,33,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850585,'Captain Skullcleave','','','','',255,8661,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850586,'Brokenskull wench','','','','',12,123,38,3,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850588,'Momo','','','','',255,5006,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850589,'skittering roach','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850590,'rat','','','','',255,196,6,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850591,'Mate Thugurg','','','','',255,8953,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850592,'Deckhand Vixil','','','','',255,9064,49,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850593,'Brokenskull extractor','','','','',255,9064,45,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850594,'Shipwright Ythkaz','','','','',255,9065,46,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850595,'The Great Rustyback','','','','',255,235,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850596,'Nezzin Ribraker','','','','',14,105,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850597,'Bogic Longjump','<General Goods>','','','',255,3787,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850598,'horse carcass',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,685,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850599,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,1841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850600,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,2038,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850601,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,1218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850602,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,2038,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850603,'pirate plans',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850604,'pirate plans',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850605,'pirate plans',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850606,'pirate plans',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850607,'pirate plans',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850608,'boarfiend bonfire',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,629,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850609,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,786,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850610,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,634,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850611,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,613,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850612,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,652,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850613,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,697,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850614,'basket of dried Tuptan berries',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850615,'basket of dried Tuptan berries',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850616,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,707,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850617,'froglok house',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,794,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850618,'basket of dried Tuptan berries',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850619,'basket of dried Tuptan berries',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850620,'basket of dried Tuptan berries',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850621,'basket of dried Tuptan berries',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850622,'horse carcass',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,667,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850623,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850624,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850625,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850626,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850627,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850628,'dog carcass',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850629,'dog carcass',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850630,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,634,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850631,'dog carcass',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850632,'',NULL,'','','',255,2306,32,8,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850633,'basket',NULL,'','','',0,11817,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850634,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850635,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850636,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850637,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850638,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850639,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850640,'Forge',NULL,'','','',0,2529,31,0,1,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850641,'Xass''s Forge',NULL,'','','',0,3318,32,0,0,0,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850642,'Xass''s Forge',NULL,'','','',0,3319,19,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850643,'campfire',NULL,'','','',0,4606,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850644,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850645,'Exp05 Moors of Ykesha Sorcerer Rune',NULL,'','','',0,4180,32,0,0,0,0,0,145,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850646,'stalk of coral',NULL,'','','',0,3911,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850647,'wrecked boat',NULL,'','','',0,4644,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850648,'a vile strider egg',NULL,'','','',255,6045,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850649,'human_skull_pile',NULL,'','','',0,4138,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850650,'seated skeleton',NULL,'','','',0,2431,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850651,'stack of sacks',NULL,'','','',0,3537,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850652,'wall_floor_3_shadow_oak',NULL,'','','',0,7237,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850653,'severed hand',NULL,'','','',0,12195,32,0,0,0,467,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850654,'cazic_bonefetisha001',NULL,'','','',0,6684,40,0,0,0,660,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850655,'weeping toothwort',NULL,'','','',0,1738,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850656,'crude stone bench',NULL,'','','',0,9570,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850657,'bucket of ore',NULL,'','','',0,8207,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850658,'Thullosian refuse',NULL,'','','',0,9650,32,0,0,0,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850659,'broken pottery',NULL,'','','',0,3923,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850660,'broken pottery',NULL,'','','',0,3924,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850661,'froglok tools',NULL,'','','',0,3426,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850662,'horse carcass',NULL,'','','',0,2372,48,0,0,0,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850663,'',NULL,'','','',0,1957,32,0,0,0,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850664,'Comfortable cushions',NULL,'','','',0,9216,48,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850665,'fungusman husk',NULL,'','','',0,9268,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850666,'fungusman husk',NULL,'','','',0,9270,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850667,'fungusman husk',NULL,'','','',0,9269,32,0,0,0,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850668,'playerstudio_tierdal_tome',NULL,'','','',0,23227,23,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850669,'dpo_halloween_poison_bottle',NULL,'','','',0,19635,54,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850670,'kc_lightsource_green_iksarskull01',NULL,'','','',0,13891,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850671,'hua_mat_round',NULL,'','','',0,12503,31,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850672,'cazic_bonefetishb001',NULL,'','','',0,6685,32,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850673,'halloween_cauldron',NULL,'','','',0,9214,32,0,0,0,0,0,0,0,0,0,0,0,417,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850674,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,0,0,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850675,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(3850676,'',NULL,'','','',0,2306,180,0,0,0,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850677,'Mail Kiosk',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850678,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,0,0,80,0,144,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850679,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,0,0,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(3850680,'',NULL,'','','',0,49,32,0,0,0,121,0,0,0,0,1,0,0,2217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850682,'Door to Guk Stronghold',NULL,'','','',0,49,32,0,0,0,248,0,0,0,0,1,0,0,282,0,0,0,0,0,385001,0,0,0,0,0,0,0,0,0,0,0),
(3850684,'',NULL,'','','',0,2451,64,0,0,0,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850685,'fallen cypress',NULL,'','','',0,3938,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850686,'swamp mud',NULL,'','','',0,3992,32,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850687,'sandstone slab',NULL,'','','',0,6202,32,0,0,0,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850690,'recipe book',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850691,'delivery basket',NULL,'','','',0,6187,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850692,'Mailbox',NULL,'','','',0,4710,32,0,0,0,29,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850693,'',NULL,'','','',0,49,32,0,0,0,1288,0,0,0,0,0,0,0,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850694,'recipe book',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850695,'Grobb delivery bin',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850696,'grain sack',NULL,'','','',0,3537,32,0,0,0,1289,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850697,'cheese platter',NULL,'','','',0,3393,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850698,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850699,'ykeshan stout shrubbery',NULL,'','','',0,4075,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850700,'ykeshan dark ore',NULL,'','','',0,6904,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850701,'swamp foot',NULL,'','','',0,6906,32,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850702,'bleached timber',NULL,'','','',0,3937,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850703,'blackened hermatite',NULL,'','','',0,6895,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850704,'Moor mole den',NULL,'','','',0,6898,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3850705,'spotted whitesurf fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860000,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860001,'','','','','',9,20019,96,0,1,1,11,0,27499,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860002,'','','','','',255,14762,17,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860003,'','','','','',255,233,7,1,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860004,'','','','','',9,2935,38,3,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860005,'Spahztyk Hathookine','<Executor of Solusek Ro>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860006,'a blood-drained aggressor','','','','',255,140,41,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860007,'a blood-drained corruptor','','','','',255,5135,42,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860008,'a blood-drained devourer','','','','',255,140,42,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860009,'a necrotic defiled gob','','','','',255,8200,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860010,'a necrotic defiled ooze','','','','',255,8200,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860011,'','','','','',255,243,27,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860012,'a shimmering laborer','','','','',5,122,48,0,1,1,11,0,17275,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860013,'a shimmering excavator','','','','',5,121,48,0,1,1,11,0,17275,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860014,'a shimmering miner','','','','',5,121,48,0,1,1,11,0,17275,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860015,'Captain Hamyr','<Leader of the Spelunking Expedition>','','','',9,110,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860016,'a tortured phantasm','','','','',255,9036,24,0,1,1,11,0,13024,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860017,'Vauth the Suffragan','<The Burning Dead>','','','',255,9184,71,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860018,'Necromalignant Bile-infused Acolyte','','','','',255,9227,32,1,1,1,0,0,16114,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,283,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,275,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,340,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860023,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860024,'A Dwarven Lantern',NULL,'','','',0,2072,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860025,'sacrifice_table',NULL,'','','',0,2791,32,0,1,1,765,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860026,'exit widget',NULL,'','','',0,49,32,0,0,0,762,0,0,0,0,1,0,0,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3860027,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870000,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870001,'a fallen knight guardsman','','','','',9,9339,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870002,'a fallen vigilant','','','','',9,2935,30,4,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870003,'a disturbed vicar','','','','',255,9341,37,5,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870004,'a disturbed vicar','','','','',255,9341,36,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870005,'a disturbed chevalier','','','','',255,9339,38,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870006,'a fallen chevalier','','','','',9,1521,37,5,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870007,'a fallen vicar','','','','',9,1521,41,8,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870008,'a disturbed knight','','','','',255,9339,36,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870009,'a Maledictive Terror','','','','',9,9028,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870010,'a burning soul','','','','',9,138,48,0,1,1,11,0,2688,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870011,'a wading cackler','','','','',9,2936,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870012,'a fallen chevalier','','','','',9,1521,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870013,'a fallen vicar','','','','',9,138,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870014,'a frightful darkening','','','','',255,8957,64,0,1,1,0,0,2104,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870015,'Fallen Scholar Edgars','','','','',255,9339,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870016,'a fallen vigilant','','','','',255,140,38,6,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870017,'Edgrim Bofstrem','','','','',2,1483,38,0,1,1,761,0,0,1,1,1,6,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870018,'The Undead Jester','','','','',255,9339,64,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870019,'a disturbed chevalier','','','','',255,9339,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870020,'a disturbed vigilant','','','','',255,9339,35,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870021,'a fetid varmint','','','','',255,233,9,3,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870022,'a sinuous creeper','','','','',255,7252,40,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870023,'well_rope',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870024,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870025,'human_skull',NULL,'','','',0,2993,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870026,'a low burning torch',NULL,'','','',0,4140,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870027,'Mithaniel Marr Statue - Broken',NULL,'','','',0,3482,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870028,'A Hidden Cache of Treasure',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870029,'an actual particle of fire in a campsite',NULL,'','','',0,8144,32,0,1,1,0,0,0,0,0,0,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870030,'An old headstone',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870031,'human_skull',NULL,'','','',0,5781,32,0,1,1,760,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870032,'Ever-burning Soul',NULL,'','','',255,8937,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870033,'exit widget',NULL,'','','',0,49,32,0,0,0,762,0,0,0,0,1,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870034,'',NULL,'','','',0,9556,32,0,1,1,0,0,0,0,0,1,1,0,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3870035,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880000,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880001,'','','','','',9,20019,96,0,1,1,11,0,27499,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880002,'','','','','',255,14762,43,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880003,'','','','','',255,14762,17,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880004,'','','','','',255,233,7,1,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880005,'','','','','',9,2935,38,3,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880006,'a forlorn watchman','','','','',255,9339,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880007,'a forlorn acolyte','','','','',255,9339,37,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880008,'a forlorn man-at-arms','','','','',255,9339,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880009,'a dark nimbus','','','','',255,3717,48,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880010,'a cackling dreadfiend','','','','',9,5002,41,0,1,1,11,0,3119,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880011,'','','','','',255,139,38,3,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880012,'a tormented spirit','','','','',255,9036,24,0,1,1,11,0,13024,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880013,'a brooding dreadfiend','','','','',9,5002,41,0,1,1,11,0,8179,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880023,'house_item_widget_foresaken',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880026,'placeholder web',NULL,'','','',0,9705,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880027,'placeholder web',NULL,'','','',0,9708,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880028,'placeholder web',NULL,'','','',0,9706,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880029,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880030,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880031,'The statue of Sir Xavier',NULL,'','','',0,9109,38,0,1,1,52,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880032,'bench_broken',NULL,'','','',0,9074,32,0,1,1,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880033,'chair',NULL,'','','',0,9077,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880034,'table_long',NULL,'','','',0,9079,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880035,'table_long',NULL,'','','',0,9078,32,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880036,'chair',NULL,'','','',0,9075,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880037,'chair',NULL,'','','',0,9076,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880038,'table_long',NULL,'','','',0,9072,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880039,'table_long',NULL,'','','',0,9073,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880040,'Sir Loros Highgarden',NULL,'','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880041,'The statue of Sir Mastri',NULL,'','','',0,9109,38,0,1,1,52,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880042,'placeholder web',NULL,'','','',0,9709,32,0,1,1,0,0,0,0,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880043,'placeholder web',NULL,'','','',0,9707,32,0,1,1,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880044,'placeholder web',NULL,'','','',0,9711,32,0,1,1,0,0,0,0,0,0,0,0,260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880045,'placeholder web',NULL,'','','',0,9710,38,0,1,1,0,0,0,0,0,0,0,0,232,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880046,'table_long',NULL,'','','',0,1515,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880047,'The Skeletal Remains of a Fallen Adventurer',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880048,'knight_statue_01',NULL,'','','',0,4478,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880049,'exit widget',NULL,'','','',0,49,32,0,0,0,762,0,0,0,0,1,0,0,189,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880050,'knight_statue_03',NULL,'','','',0,4478,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3880051,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890000,'a putrid tuk warrior','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890001,'a decaying tuk shaman','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890002,'a rotten tuk priest','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890003,'a fetid tuk knight','','','','',255,9406,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890004,'a baleful glimmer','','','','',255,297,30,8,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890005,'a crumbling Tuk supplier','','','','',255,8143,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890006,'a decrepit per egren tuk','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890007,'a rancid fulo vah tuk','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890008,'a crumbled gaz warrior','','','','',255,8126,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890009,'a ghoulish fungoid defender','','','','',255,8176,32,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890010,'a ghoulish fungoid drone','','','','',255,8176,32,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890011,'a turned gaz priest','','','','',255,8126,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890012,'a corrupted gaz shaman','','','','',255,9403,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890013,'a ghoulish fungoid soldier','','','','',255,8172,32,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890014,'an Ancient Fungoid','<Lord of Spores>','','','',255,8174,64,0,1,1,11,0,10395,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890015,'a decayed gaz knight','','','','',255,9403,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890016,'a decaying shin shaman','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890017,'a putrid shin warrior','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890018,'a fetid shin knight','','','','',255,9406,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890019,'a rotting shin priest','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890020,'a baleful glimmer','','','','',255,297,20,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890021,'a baleful glimmer','','','','',255,297,44,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890022,'Rideepa the Prideful','<Arch Priestess>','','','',255,8126,32,0,1,1,11,0,10375,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890023,'an ancient cadavodile','','','','',255,4745,80,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890024,'a turned ton priest','','','','',255,8126,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890025,'a rancid fulo vah tuk','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890026,'a reanimated unstable ghoul','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890027,'Froppit the Everliving','<Master Summoner>','','','',255,8143,32,0,1,1,11,0,152,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890028,'an unstable ghoul knight','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890029,'a crumbling ghoul knight','','','','',255,8143,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890030,'upper_guk_door_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890031,'upper_guk_door_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,429,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890032,'house_item_widget_guk_upper',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890033,'upper_guk_door_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,340,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890035,'',NULL,'','','',0,49,32,0,1,1,767,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890036,'',NULL,'','','',0,49,32,0,1,1,767,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890037,'',NULL,'','','',0,49,32,0,1,1,767,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890038,'a froglok idol',NULL,'','','',0,5866,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890039,'barracks_room_particle_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890040,'a giant mushroom',NULL,'','','',0,4551,96,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890041,'a froglok body',NULL,'','','',0,8143,32,0,1,1,52,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890042,'map_floor_cube_01',NULL,'','','',0,7653,9,0,1,1,0,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890043,'a sacrificial table',NULL,'','','',0,9490,32,0,1,1,33,0,0,0,0,1,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890044,'fountain_room_particle_cube_01',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890045,'fountain_room_particle_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890046,'Disfigured Symbol of Honor',NULL,'','','',0,5668,64,0,1,1,0,0,1592,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890047,'Disfigured Symbol of Justice',NULL,'','','',0,5673,64,0,1,1,0,0,1592,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890048,'Disfigured Symbol of Valor',NULL,'','','',0,5667,64,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890050,'exit_to_innothule_upper',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890051,'speared remains',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890052,'An Old Chest',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3890053,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900001,'a spoiled vis knight','','','','',255,9404,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900002,'Aruze Vleese','<The Patriarch>','','','',9,159,70,0,1,1,11,0,1902,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900003,'a Guk spider','','','','',255,245,22,0,1,1,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900004,'a Guk bat','','','','',255,239,22,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900005,'a deteriorated vis priest','','','','',255,9404,28,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900006,'a moldered vis wizard','','','','',255,8126,28,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900007,'a polluted dar knight','','','','',255,9406,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900008,'a moldering dar wizard','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900009,'a turned vis shaman','','','','',255,8126,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900010,'a Guk rat','','','','',255,196,22,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900011,'Krell Vruup','<The Vis Lord>','','','',255,9403,32,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900012,'a lost dwarven spirit','','','','',2,2840,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900013,'a deteriorating dar priest','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900014,'a turning dar shaman','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900015,'a greater putretaur','','','','',9,159,64,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900016,'a granite gargoyle','','','','',9,9395,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900017,'a dar exterminator','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900018,'a ghoul protector','','','','',9,8843,80,0,1,1,11,0,14023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900019,'Hoptor Thagglor','<The Ghoul Lord>','','','',255,9406,32,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900020,'a lost barbarian spirit','','','','',0,2836,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900021,'a Ykeshan dreadwraith','','','','',14,9327,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900022,'a Ykeshan attendant','','','','',14,9323,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900023,'a lost plunderer','','','','',1,2852,38,0,1,1,11,0,1796,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900024,'a reanimated hand','','','','',9,8787,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900025,'a Ykeshan drivelord','','','','',14,9323,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900026,'Gorscha Gahh','<Ykeshan Overseer>','','','',14,105,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900027,'a deadly zol knight','','','','',255,9406,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900028,'a Reanimated Hand','<The Ancient One>','','','',9,8788,112,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900029,'a royal guk knight','','','','',255,8784,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900030,'Furdip','<The Frenzied Ghoul>','','','',255,9406,32,0,1,1,11,0,9971,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900031,'a fetid guk noble','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900032,'a fetid guk noble','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900033,'King Vroak Vriipp','<The Froglok King>','','','',255,8782,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900034,'a helping hand','','','','',9,8787,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900035,'guk_lower_gate_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,343,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,357,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900039,'guk_lower_gate_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,343,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,467,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900045,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900048,'a forgotten skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900049,'a crumbled skeleton',NULL,'','','',0,2369,32,0,1,1,0,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900050,'a small keyhole',NULL,'','','',0,9491,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900051,'a forgotten skeleton',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900052,'root trap',NULL,'','','',0,1727,16,0,1,1,113,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900053,'a softly glowing orb',NULL,'','','',0,4444,197,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900054,'a broken axe',NULL,'','','',0,6495,32,0,1,1,0,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900055,'Lost Ykeshan Treasure',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900056,'a torn scroll',NULL,'','','',0,4172,32,0,1,1,0,0,17431,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900057,'a froglok idol',NULL,'','','',0,5866,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900058,'a tarnished mug',NULL,'','','',0,6692,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900059,'a cracked shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900060,'exit_to_innothule_lower',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3900061,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910000,'a Ykeshan outer sentry','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910001,'a Ykeshan outer sentry','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910002,'a Ykeshan outer sentry','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910003,'an ancient froglok sage','','','','',255,8143,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910004,'a captured Guk froglok','','','','',255,8143,32,0,1,1,0,0,3342,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910005,'a Ykeshan wrathguard','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910006,'a mangled zol wizard','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910007,'a destroyed zol assassin','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910008,'a beaten zol priest','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910009,'a broken zol knight','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910010,'a Ykeshan malevolor','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910011,'a Ykeshan pushwhip','','','','',14,9323,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910012,'a downtrodden zol knight','','','','',255,8143,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910013,'an elite Ykeshan wraithwarder','','','','',14,9327,41,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910014,'a Ykeshan malevolor','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910015,'a Ykeshan malevolor','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910016,'a Ykeshan wrathguard','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910017,'a Ykeshan wrathguard','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910018,'a captured Guk froglok','','','','',255,8143,32,0,1,1,0,0,3342,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910019,'a Ykeshan wraithguard','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910020,'a Ykeshan wraithguard','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910021,'a Ykeshan wraithguard','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910022,'a Ykeshan Quartermaster','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910023,'Lunchmeat','<The Irate Bovine>','','','',255,262,32,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910024,'Ferhustr Frupdor','<The Gukish Chef>','','','',255,8143,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910025,'Gruuper Groo','<The Zombie Armorer>','','','',255,9406,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910026,'A Ykeshan outer sentry''s grave sacrament','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910027,'A Ykeshan wrathguard''s grave sacrament','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910028,'',NULL,'','','',0,49,32,0,1,1,229,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910029,'',NULL,'','','',0,49,32,0,1,1,229,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910030,'slave_door_001',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910031,'stronghold_main_gate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910032,'slave_door_002',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910033,'slave_door_005',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910034,'slave_door_003',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910035,'slave_door_004',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910036,'stronghold_forge',NULL,'','','',0,49,32,0,1,1,768,0,0,0,0,1,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910037,'house_item_widget_guk_stronghold',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,172,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910038,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910039,'tome starter',NULL,'','','',0,3323,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910040,'exit_to_innothule_stronghold',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3910041,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920000,'a ykeshan conscript','','','','',14,9323,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920001,'a ykeshan infantry soldier','','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920002,'a ykeshan groundtrooper','','','','',14,9323,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920003,'Ykulka','<High Priestess of War>','','','',14,9323,35,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920004,'Takla','<Void Arcanist>','','','',14,9323,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920005,'Field General Uktap','<Ykesha''s Elite>','','','',14,9401,80,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920006,'a ykeshan patrol','<Ykesha''s Elite>','','','',14,9327,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920007,'a ykeshan guardian','','','','',14,9327,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920008,'Kultak the Cruel','<Ykesha''s Elite>','','','',14,9402,80,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920009,'Ykesha','<Legendary Warlord>','','','',14,9422,89,0,1,1,0,0,0,0,0,1,0,0,43,1321,1321,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920010,'a greater swamp shambler','','','','',255,9532,86,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920011,'a ykeshan researcher','','','','',14,106,28,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920012,'a tyrannical footsoldier','<Minion of Munzok>','','','',255,3636,48,0,1,1,11,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920013,'Tyrannus the Dark','<Minion of Munzok>','','','',255,3636,102,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920014,'Strange Stalker','','','','',255,298,172,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3920015,'exit_innothule',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,656,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930001,'Sanedrac the Lost','<Defender of Stone>','','','',255,7251,128,0,1,1,11,0,14681,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930002,'an Atrebite dreadpriest','','','','',255,8718,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930003,'a decaying hunter','','','','',255,7323,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930004,'an Atrebite direpriest','','','','',255,8714,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930005,'an Atrebite destroyer','','','','',255,8714,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930006,'Guard Captain Kelkrin','<The Stern>','','','',255,8713,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930007,'an Atrebite keybearer','','','','',255,8716,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930008,'an Atrebite deathreaver','','','','',255,8716,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930009,'an Atrebite researcher','','','','',255,8712,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930010,'an Atrebite scientist','','','','',255,8710,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930011,'a horrific creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930012,'an aberrant creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930013,'a disfigured creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930014,'a terrible creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930015,'a vicious trapdoor spider','','','','',255,243,131,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930016,'a ghostly memory','','','','',255,103,44,0,1,1,9,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930017,'Sannik the Unfinished','','','','',255,7253,80,0,1,1,11,0,4032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930018,'an Atrebite adviser','','','','',255,8712,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930019,'an Atrebite adviser','','','','',255,8710,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930020,'Atrebe Sathir','<Reminant of the Architect>','','','',255,103,44,0,1,1,0,0,1796,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930021,'Ka''El Ka''Vrish','<The Emperor''s  Weapon>','','','',255,7368,80,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930022,'an enduring defender','','','','',255,8711,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930023,'an enduring sebilisian guardian','','','','',255,7638,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930024,'a resolute sebilisian sentry','','','','',255,7638,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930025,'an enduring sebilisian defender','','','','',255,7638,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930026,'an unswerving sebilisian protector','','','','',255,8711,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930027,'an enduring assassin','','','','',255,8711,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,278,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930029,'west swtich',NULL,'','','',0,49,32,0,1,1,229,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930030,'east switch',NULL,'','','',0,49,32,0,1,1,229,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930031,'hall switch 01',NULL,'','','',0,49,32,0,1,1,229,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930032,'hall door 2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930033,'house_item_widget_korsha',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930035,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930037,'upper lift activator',NULL,'','','',0,4444,112,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930038,'an encrusted iksar skeleton',NULL,'','','',255,7638,32,0,1,1,0,0,4141,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930039,'an ancient idol',NULL,'','','',0,4465,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930040,'a tattered collection of notes',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930041,'Sealed Sathirian Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930042,'',NULL,'','','',0,4544,48,0,1,1,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930043,'exit_to_fens',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930044,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930045,'Sanedrac the Lost','<Defender of Stone>','','','',255,7251,128,0,1,1,11,0,14681,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930046,'an Atrebite dreadpriest','','','','',255,8718,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930047,'a decaying hunter','','','','',255,7323,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930048,'an Atrebite direpriest','','','','',255,8714,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930049,'an Atrebite destroyer','','','','',255,8714,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930050,'Guard Captain Kelkrin','<The Stern>','','','',255,8713,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930051,'an Atrebite deathreaver','','','','',255,8716,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930052,'an Atrebite researcher','','','','',255,8712,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930053,'an Atrebite scientist','','','','',255,8710,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930054,'a horrific creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930055,'an aberrant creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930056,'a disfigured creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930057,'a terrible creation','','','','',255,7157,44,0,1,1,11,0,16934,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930058,'an Atrebite adviser','','','','',255,8712,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930059,'an Atrebite adviser','','','','',255,8710,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930060,'Ka''El Ka''Vrish','<The Emperor''s  Weapon>','','','',255,7368,80,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930061,'an enduring defender','','','','',255,8711,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930062,'an enduring sebilisian guardian','','','','',255,7638,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930063,'a resolute sebilisian sentry','','','','',255,7638,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930064,'an enduring sebilisian defender','','','','',255,7638,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930065,'an unswerving sebilisian protector','','','','',255,8711,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930066,'an enduring assassin','','','','',255,8711,48,0,1,1,11,0,16032,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930071,'Atrebe Sathir','<Remnant of the Architect>','','','',255,103,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930072,'Selgrak the Monster','<Head Researcher>','','','',255,8712,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930073,'a called creation','','','','',255,7157,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930074,'mutagenica lasher','','','','',255,7241,44,0,0,0,0,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930075,'west swtich',NULL,'','','',0,49,32,0,0,0,229,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930076,'east switch',NULL,'','','',0,49,32,0,0,0,229,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930077,'hall switch 01',NULL,'','','',0,49,32,0,0,0,229,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930078,'hall door 2',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930079,'house_item_widget_korsha',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930080,'',NULL,'','','',255,2306,32,8,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930083,'upper lift activator',NULL,'','','',0,4444,112,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930084,'an encrusted iksar skeleton',NULL,'','','',255,7638,32,0,1,1,0,0,4141,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930085,'an ancient idol',NULL,'','','',0,4465,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930086,'a tattered collection of notes',NULL,'','','',0,5261,32,0,0,0,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930087,'Sealed Sathirian Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930088,'',NULL,'','','',0,4544,48,0,0,0,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3930090,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940000,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940001,'a Yha-lei elite leviaguard','','','','',255,7646,60,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940002,'Garudon','<The Abated One>','','','',255,9311,64,0,1,1,11,0,16011,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940003,'an enduring protector','','','','',255,8774,64,0,1,1,11,0,3246,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940004,'Ul''lugh the Divine','<High Priest>','','','',255,7186,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940005,'a tortured sentry','','','','',255,8716,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940006,'a rabid leech','','','','',255,7361,19,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940007,'a Yha-lei leech-leash','','','','',255,7212,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940008,'a Yha-lei elite extractor','','','','',255,7212,59,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940009,'Gruerg the Ravager','<Battlemaster>','','','',255,7212,80,0,1,1,11,0,3632,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940010,'a Yha-lei intruder','','','','',255,7186,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940011,'a phantom sentry','','','','',255,8714,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940012,'a Yha-lei extractor','','','','',255,7212,48,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940013,'Kwagan golem shaper','','','','',255,7324,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940014,'an undead petitioner','','','','',255,2853,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940015,'a fallen Kwagan sentry','','','','',255,7311,48,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940016,'a Kwagan drenchmage','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940017,'a runed defender','','','','',255,8774,64,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940018,'Kwagan golem shaper','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940019,'Kwagan golem shaper','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940020,'massive golem','','','','',255,7246,80,0,1,1,11,0,16973,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940021,'Boss Riggledub','<Factatory Golem Master>','','','',255,7296,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940022,'a Kwagan sogger','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940023,'a Kwagan douser','','','','',255,7324,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940024,'Cribblekeep','<The Prophet>','','','',255,7296,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940025,'an acolyte of the Whisperer','','','','',255,7296,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940029,'house_item_widget_veksar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940030,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940031,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940032,'egg_room_shield01',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940033,'map_cube_wallrunes',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940034,'map_cube_mapglow',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940035,'map_cube_sunshine',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940036,'map_cube_green',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940037,'map_cube_yellow',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940038,'map_cube_blue',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940039,'map_cube_center',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940040,'weapons_room_shield01',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940041,'cribblekeep_door_open_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940042,'goblin_area_shield01',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940043,'Waterlogged Kwagan Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940044,'Golem Head',NULL,'','','',0,8159,32,0,1,1,52,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940045,'Golem Right Leg',NULL,'','','',0,8161,32,0,1,1,52,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940046,'Golem Torso',NULL,'','','',0,8162,32,0,1,1,52,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940047,'golem positioner',NULL,'','','',0,2684,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940048,'golem_room_shield01',NULL,'','','',0,4544,33,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940049,'sasil_door_switch',NULL,'','','',0,4444,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940050,'fountain_wall_invisible',NULL,'','','',0,4544,67,0,1,1,680,0,0,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940051,'Golem Left Leg',NULL,'','','',0,8160,32,0,1,1,52,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940052,'fens_door_exit',NULL,'','','',0,49,32,0,0,0,681,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940053,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940054,'a Yha-lei elite leviaguard','','','','',255,7646,60,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940055,'Garudon','<The Abated One>','','','',255,9311,64,0,1,1,11,0,16011,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940056,'an enduring protector','','','','',255,8774,64,0,1,1,11,0,3246,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940057,'Ul''lugh the Divine','<High Priest>','','','',255,7186,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940058,'a tortured sentry','','','','',255,8716,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940059,'a rabid leech','','','','',255,7361,19,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940060,'a Yha-lei leech-leash','','','','',255,7212,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940061,'a Yha-lei elite extractor','','','','',255,7212,59,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940062,'Gruerg the Ravager','<Battlemaster>','','','',255,7212,80,0,1,1,11,0,3632,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940063,'a Yha-lei intruder','','','','',255,7186,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940064,'a phantom sentry','','','','',255,8714,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940065,'a Yha-lei extractor','','','','',255,7212,48,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940066,'Kwagan golem shaper','','','','',255,7324,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940067,'an undead petitioner','','','','',255,2853,41,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940068,'a fallen Kwagan sentry','','','','',255,7311,48,0,0,0,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940069,'a Kwagan drenchmage','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940070,'a runed defender','','','','',255,8774,64,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940071,'Kwagan golem shaper','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940072,'Kwagan golem shaper','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940073,'massive golem','','','','',255,7246,80,0,1,1,11,0,16973,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940074,'a Kwagan sogger','','','','',255,7311,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940075,'a Kwagan douser','','','','',255,7324,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940076,'a laved horror','','','','',255,8775,48,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940077,'a Kwagan sapient','','','','',255,7296,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940083,'Aqueous Protector','','','','',255,8061,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940084,'a hunting shade','','','','',255,3882,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940085,'Lord Sasil','<The Lost>','','','',255,8718,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940086,'Lord Sasil''s Arms','','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940087,'Lord Sasil''s Ribcage','','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940088,'Lord Sasil''s Head','','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940089,'Lord Sasil''s Legs','','','','',255,7638,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940090,'a dracoplasm','','','','',255,6315,38,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940091,'Garudon','<The Drawn>','','','',255,9312,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940092,'Garudon','<The Empowered>','','','',255,9313,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940093,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940094,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,197,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940095,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940096,'house_item_widget_veksar',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940097,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940098,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940099,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940100,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940101,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940105,'cribblekeep_door_open_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940106,'goblin_area_shield01',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940107,'Waterlogged Kwagan Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940108,'Golem Head',NULL,'','','',0,8159,32,0,0,0,52,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940109,'Golem Right Leg',NULL,'','','',0,8161,32,0,0,0,52,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940110,'golem_room_shield01',NULL,'','','',0,4544,33,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940111,'sasil_door_switch',NULL,'','','',0,4444,96,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940112,'fountain_wall_invisible',NULL,'','','',0,4544,67,0,0,0,680,0,0,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940113,'golem_door_switch',NULL,'','','',0,3323,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940114,'map_cube_red',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940115,'treasure_room_shield01',NULL,'','','',0,4544,29,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940116,'Shimmering Blue Mirror',NULL,'','','',0,8158,28,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940117,'Shimmering Red Mirror',NULL,'','','',0,8158,32,0,0,0,52,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940118,'',NULL,'','','',255,4603,48,0,1,0,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940119,'Shimmering Yellow Mirror',NULL,'','','',0,8158,32,0,0,0,52,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940120,'Shimmering Green Mirror',NULL,'','','',0,8158,32,0,0,0,52,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3940121,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960000,'','','','','',255,14762,43,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960001,'a rageful angst','','','','',9,2901,48,0,1,1,11,0,10395,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960002,'a bitter angst','','','','',9,2901,48,0,1,1,11,0,2103,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960003,'a dark malevolence','','','','',1,8957,48,0,1,1,11,0,9733,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960004,'a furious spark','','','','',255,8309,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960005,'Urn of Emotions','','','','',255,4564,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960006,'discarded zombie','','','','',255,140,32,0,1,1,645,0,228,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960007,'a hostile malevolence','','','','',1,8957,48,0,1,1,11,0,9733,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960008,'an envious malevolence','','','','',1,8957,48,0,1,1,11,0,9733,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960009,'a wrathful angst','','','','',9,2901,48,0,1,1,11,0,10395,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960010,'an overwhelming resentment','','','','',255,8223,112,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960011,'a mordant penitence','','','','',255,8670,160,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960012,'a vexing fear','','','','',9,6306,38,0,1,1,0,0,1796,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960013,'Patriae Vykel','<The Fallen>','','','',1,8246,57,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960014,'a deepened sadness','','','','',255,1378,51,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960015,'a sustained resentment','','','','',255,8668,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960016,'a bileful angst','','','','',9,2901,48,0,1,1,11,0,2103,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960017,'Labarer','A hostile malevolence''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960018,'a deathly malice','','','','',9,9037,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960019,'house_item_widget_miragul_lower',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960020,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960021,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960022,'ice trap',NULL,'','','',0,3418,64,0,1,1,113,0,0,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960023,'Door barrier',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960024,'Door shiney',NULL,'','','',0,7237,43,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960025,'undeath traps',NULL,'','','',0,2184,32,0,1,1,113,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960026,'A Music Box',NULL,'','','',0,4456,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960027,'Miragul''s wedding band',NULL,'','','',0,5979,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960028,'Miraugl''s baby boots',NULL,'','','',0,868,16,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960029,'Miragul''s looking glass',NULL,'','','',0,4444,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960030,'Miragul''s locket',NULL,'','','',0,5978,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960031,'zone_to_everfrost',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3960032,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970000,'a Deepwater knight','','','','',9,134,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970001,'a Gate Caller magician','','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970002,'a Gate Caller summoner','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970003,'a Craft Keeper enchanter','','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970004,'a Crimson Hands sorcerer','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970005,'a polar bear','','','','',255,3836,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970006,'a hidden tome','','','','',255,279,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970007,'a barbarian''s companion','','','','',255,3711,32,0,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970008,'a wandering barbarian','','','','',9,1469,32,0,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970009,'a wooly mammoth','','','','',255,3804,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970010,'a planar scientist','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970011,'a portal technician','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970012,'a portal researcher','','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970013,'Master Velihan','<The Elemental>','','','',9,134,38,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970014,'Xenarer','Master Velihan''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970015,'Master Delar','<The Enchanted>','','','',9,134,38,0,1,1,11,0,16225,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970016,'Master Rayne','<The Magic>','','','',9,134,38,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970017,'a hired mercenary','<The Circle of the Unseen Hand>','','','',255,115,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970018,'a hired mercenary','<The Circle of the Unseen Hand>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970019,'a hired mercenary','<The Circle of the Unseen Hand>','','','',9,103,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970020,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970021,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970022,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970023,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970024,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970025,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,746,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970027,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970028,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970030,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970031,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970032,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970033,'house_item_widget_miragul_shard',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970034,'stairs_ice_barrier',NULL,'','','',0,4544,71,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970035,'treasure_room_shield',NULL,'','','',0,7237,135,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970036,'mage_pad_green',NULL,'','','',0,2684,32,0,1,1,0,0,16903,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970037,'map_floor_cube_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970038,'mage_pad_red',NULL,'','','',0,2682,32,0,1,1,0,0,3753,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970039,'mage_pad_blue',NULL,'','','',0,2683,32,0,1,1,0,0,16902,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970040,'A Chest of Tangible Memories',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970041,'Miragul''s tome quest giver',NULL,'','','',0,3322,32,0,1,1,0,0,16012,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970042,'a tiny tree',NULL,'','','',0,9704,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970043,'a tiny fearling',NULL,'','','',0,9703,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970044,'a tiny cloud',NULL,'','','',0,273,22,0,1,1,52,0,1794,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970045,'a tiny fish',NULL,'','','',0,2394,32,0,1,1,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970046,'zone_to_everfrost',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3970047,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980000,'a chaotic inkling','','','','',255,311,128,0,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980001,'a charged theory','','','','',255,311,128,0,1,1,11,0,3632,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980002,'a verdant notion','','','','',255,311,128,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980003,'a blazing whim','','','','',255,311,128,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980004,'an icebound sentinel','','','','',255,2553,96,0,1,1,11,0,1794,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980005,'a suppressed subjugation','','','','',255,195,96,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980006,'a suppressed abjuration','','','','',255,195,96,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980007,'Chaotic Manipulation','','','','',255,311,192,0,1,1,0,0,6044,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980008,'an unfettered arcana','','','','',255,283,128,0,1,1,11,0,1494,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980009,'an unfettered arcana','','','','',255,283,128,0,1,1,11,0,3753,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980010,'an envisaged Frostthorn','','','','',9,158,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980011,'a forsaken reminiscence','','','','',255,8233,35,0,1,1,11,0,2716,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980012,'a forsaken remembrance','','','','',255,8233,35,0,1,1,11,0,2716,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980013,'a forsaken recollection','','','','',255,8233,35,0,1,1,11,0,2716,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980014,'a suppressed evocation','','','','',255,195,96,0,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980015,'a suppressed conjuration','','','','',255,195,96,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980016,'a malicious manifest','','','','',255,3647,48,0,1,1,11,0,3753,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980017,'a malicious manifest','','','','',255,3647,48,0,1,1,11,0,3632,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980018,'Door 1b',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980019,'Door 1a',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980020,'house_item_widget_miragul_upper',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980021,'Door 2b',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980022,'Door 2a',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980023,'Door 3a',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980024,'miragul_torch',NULL,'','','',0,3197,31,0,1,1,0,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980025,'ice trap',NULL,'','','',0,3418,64,0,1,1,113,0,0,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980026,'zone_attacking_scroll',NULL,'','','',0,3550,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980027,'zone_attacking_staff',NULL,'','','',0,5121,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980028,'A Chest of Tangible Memories',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980029,'West Enchantment Focus',NULL,'','','',0,8240,32,0,1,1,0,0,1494,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980030,'Door barrier',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980031,'Door shiney',NULL,'','','',0,7237,43,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980032,'North Enchantment Focus',NULL,'','','',0,8240,32,0,1,1,0,0,1494,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980033,'Major Enchantment Focus',NULL,'','','',0,5265,64,0,1,1,0,0,1494,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980034,'South Enchantment Focus',NULL,'','','',0,8240,32,0,1,1,0,0,1494,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980035,'East Enchantment Focus',NULL,'','','',0,8240,32,0,1,1,0,0,1494,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980036,'Torn Piece of Scroll',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980037,'Scroll Case',NULL,'','','',0,2865,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980038,'zone_to_everfrost',NULL,'','','',0,49,32,0,0,0,639,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3980039,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990000,'','','','','',255,9484,112,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990001,'a blighting nightswift','','','','',255,8290,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990002,'a Libant weard','','','','',255,8658,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990003,'a Libant wiglere','','','','',255,8657,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990004,'a Libant cempestre','','','','',255,8658,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990005,'a Libant wicce','','','','',255,8658,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990006,'Pythoness Olrga','','','','',255,8658,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990007,'Crypt Master T''golth','','','','',255,8657,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990008,'a Libant sweordwegend','','','','',255,8657,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990009,'a sarcophagus','','','','',9,4603,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990010,'a nightfuror','','','','',255,6290,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990011,'Kendel Druthers','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990012,'Nzhevar B''Texila','<The Caretaker>','','','',255,8657,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990013,'an enraged Libant weard','','','','',255,8657,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990014,'a bloodreaver','','','','',1,4548,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990015,'a bloodmar','','','','',255,6315,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990016,'Gabardine Obisgnul','','','','',255,8657,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990017,'house_item_widget_abbey',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990019,'widget_prison_door_clickthrough_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990020,'widget_prison_door_solid_05',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990021,'widget_prison_door_clickthrough_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990022,'widget_prison_door_solid_06',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990023,'widget_prison_door_solid_04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990024,'widget_prison_door_solid_03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990025,'widget_prison_door_solid_02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990026,'widget_prison_door_solid_01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990027,'A Tightly Locked Chest',NULL,'','','',0,6098,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990028,'zone_to_somborn_cemetary',NULL,'','','',0,2306,96,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(3990029,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4000000,'Zarrakon','<Abyssal Creation>','','','',255,9484,112,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4000001,'zone_to_parent',NULL,'','','',0,2306,112,0,0,0,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010000,'an animated sentinel','','','','',255,3646,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010001,'a Lubesh dignitary','','','','',255,115,43,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010002,'a Rajadevi intermediary','','','','',255,115,44,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010003,'a Belchoi surveyor','','','','',255,116,44,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010004,'a Vashota disciple','','','','',255,116,44,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010005,'an Ydal manservant','','','','',255,6490,38,3,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010006,'Ra''zul the Gallery Curator','','','','',255,115,48,0,1,1,11,0,16012,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010007,'an Yciid wayfarer','','','','',255,116,44,2,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010008,'an Ydal guardian','','','','',255,115,43,1,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010009,'','','','','',255,9484,112,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010010,'Taechun Welby','<Butler of Mistmyr Manor>','','','',255,6491,32,0,1,1,9,0,13024,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010011,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010013,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010017,'Statue of Mayong Mistmoore',NULL,'','','',0,7199,64,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010018,'A heavy ceiling stone',NULL,'','','',0,6159,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010019,'animated_suit_of_armor',NULL,'','','',0,9182,44,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010020,'zone_to_somborn_cemetary',NULL,'','','',0,2306,96,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4010021,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020000,'','','','','',255,14762,17,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020001,'','','','','',255,9484,112,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020002,'a rigorous armourine','','','','',255,8096,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020003,'a laborious armourine','','','','',255,8096,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020004,'a Ravenscale Purloiner','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020005,'a Libant blightweaver','','','','',255,8658,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020006,'a Libant soulmuser','','','','',255,8657,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020007,'an empowered armourine','','','','',255,8096,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020008,'a fractious drelock','','','','',1,8993,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020009,'a stalwart armourine','','','','',255,8096,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020010,'a ravaged Libant','','','','',255,8657,41,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020011,'a drachnid corpse','','','','',255,7302,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020012,'a maddened drachnid','','','','',255,9102,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020013,'an enchanted armourine','','','','',255,8096,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020014,'a fractious dreloc','','','','',1,8993,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020015,'a dreloc corpse','','','','',1,6528,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020016,'Hulking Drachnid Prototype','','','','',255,9102,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020017,'a Libant shrewdian','','','','',255,8657,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020018,'a Libant lexiconian','','','','',255,8657,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020019,'Noyle the Essence-Weaver','','','','',255,116,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020020,'a repository guardian','','','','',255,9207,32,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020021,'a Libant craftworker','','','','',255,8657,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020022,'a Libant armorinist','','','','',255,8658,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020023,'flickering image of Jaolaero','','','','',255,1467,32,0,1,1,0,0,17267,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020024,'Jaolaero''s corpse','','','','',255,1467,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020025,'Head Archivist R''Jhere','','','','',255,8657,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020026,'Hologram Projector Base',NULL,'','','',0,8845,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020027,'',NULL,'','','',255,8050,32,4,1,1,0,0,17267,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020028,'',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020029,'Statue of Mayong Mistmoore',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020030,'zone_to_somborn_cemetary',NULL,'','','',0,2306,96,0,0,0,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4020031,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030001,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030002,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030003,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030004,'a Najenaar souselord','','','','',255,9844,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030005,'a Najenaar hydroblight','','','','',255,9844,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030006,'a Najenaar tempestcaller','','','','',255,9848,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030007,'Khost Alur','<Corrupted Elder Water Elemental>','','','',255,9916,112,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030008,'a Najenaar blazermancer','','','','',12,8665,41,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030009,'a Najenaar dreadmaul','','','','',12,8665,42,1,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030010,'a Najenaar debilitator','','','','',12,8665,41,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030011,'a Najenaar darkmaul','','','','',12,8665,41,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030012,'a Najenaar frostguard','','','','',255,9847,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030013,'a Najenaar frostguard','','','','',255,9847,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030014,'Gelidus Ventus','<The Tempest>','','','',255,9781,96,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030015,'a Darkmaul trainee','','','','',12,8665,38,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030016,'Imperator Ignus','<General at Arms>','','','',12,8665,44,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030017,'Najena','','','','',1,116,38,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030018,'an eternal maul','','','','',12,8665,44,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030019,'Captain Grush','<Lord of the Mauls>','','','',12,8665,48,0,1,1,11,0,16914,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030020,'Moosh','<Corrupted Servant>','','','',12,8665,38,0,1,1,0,0,16914,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030021,'','','','','',255,5597,88,8,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030022,'an Elite Teir''Dal Swordsman','<Knowledge Centurion>','','','',1,115,32,0,1,1,11,0,16914,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030023,'an Elite Teir''Dal Knight','<Knowledge Centurion>','','','',1,115,32,0,1,1,11,0,16914,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030024,'a spectral tome','','','','',255,280,112,0,1,1,11,0,6193,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030025,'a spectral volume','','','','',255,281,160,0,1,1,11,0,6193,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030026,'a spectral tome','','','','',255,280,160,0,1,1,11,0,6193,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030027,'Aiden','<Elder Elemental Dragon>','','','',255,9779,32,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030028,'Aiden','<Corrupted Elder Elemental Dragon>','','','',255,9780,32,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030029,'a Najenaar scorchtroop','','','','',255,3645,48,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030030,'a Najenaar cindershock','','','','',255,3645,48,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030031,'a Najenaar debilitor','','','','',255,9846,64,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030032,'a Najenaar toxicar','','','','',255,9846,72,8,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030033,'flickering image of Najena','','','','',1,116,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030034,'Dayakara','<Corrupted Elder Fire Elemental>','','','',255,9782,96,0,1,1,11,0,16914,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030035,'Digg','<Corrupted Elder Earth Elemental>','','','',255,9915,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030036,'a burning demon','<Corrupted Elemental>','','','',255,6824,19,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030037,'a flaming warrior','<Corrupted Elemental>','','','',255,3645,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030038,'a drowned warrior','<Corrupted Elemental>','','','',255,9844,32,0,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030039,'a thundering warrior','<Corrupted Elemental>','','','',255,9848,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030040,'a frozen warrior','<Corrupted Elemental>','','','',255,9847,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030041,'a venomous warrior','<Corrupted Elemental>','','','',255,9846,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030042,'Benach Aglebar','<Spectral Scribe>','','','',1,2838,32,0,1,1,11,0,16914,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,219,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030052,'badger_walkway_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,195,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030057,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030061,'stairs_ice_barrier',NULL,'','','',0,4544,71,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030062,'invis cube tower 01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030063,'Lava-forged Crystal of Farseeing',NULL,'','','',0,9500,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030064,'invis cube tower water',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030065,'invis cube tower 02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030066,'invis cube tower 00',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030067,'Elemental Door - Entrance',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030068,'Najena Hologram Entrance',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030069,'Najena Hologram Air',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030070,'ice_fan_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030071,'ice_fan_04',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030072,'ice_fan_02',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030073,'ice_fan_03',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030074,'Elemental Door - Earth',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030075,'skull_beam_poison',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030076,'skull_beam_lightning',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030077,'skull_beam_snow',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030078,'skull_beam_water',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030079,'skull_beam_fire',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030080,'skull_beam_sources',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030081,'invis cube najena''s magical barrier',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030082,'clicker_to_tower',NULL,'','','',0,9879,48,0,1,1,0,0,0,0,0,1,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030083,'Elemental Door - Fire',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030084,'Elemental Door - Water',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030085,'Elemental Door - Ice',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030086,'Najena Hologram Water',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030087,'clicker_to_platform',NULL,'','','',0,9879,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030088,'digg totem base',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030089,'shiva imp portal',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030090,'rez_checker',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030091,'clicker_to_snake',NULL,'','','',0,9879,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030092,'lava portal',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030093,'Najena Hologram Fire',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030094,'Najena Hologram Earth',NULL,'','','',0,8982,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030095,'clicker_to_badger',NULL,'','','',0,9879,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030096,'clicker_to_mushroom',NULL,'','','',0,9879,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030097,'To Lavastorm',NULL,'','','',0,49,32,0,0,0,102,0,0,0,0,1,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030098,'lava boulder',NULL,'','','',0,9886,32,0,1,1,1,0,0,0,0,1,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4030099,'lava boulder',NULL,'','','',0,9885,32,0,1,1,1,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040000,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040001,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040002,'a Deep Forge footman','','','','',12,8665,38,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040003,'a Netherflame enforcer','','','','',255,4110,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040004,'Cruhm the Overseer','','','','',255,4116,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040005,'The Doomsmith','','','','',12,124,59,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040006,'a Spurned neophyte','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040007,'a Deep Forge toiler','','','','',12,8665,36,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040008,'a Deep Forge ironsmith','','','','',12,8665,38,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040009,'a Spurned alumnus','','','','',1,116,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040010,'a Spurned adherent','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040011,'an incomplete magmaborn','','','','',255,160,32,0,1,1,0,0,6867,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040012,'a Deep Forge magmaborn','','','','',12,8665,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040013,'a smelting magmaborn','','','','',255,2899,32,0,1,1,0,0,10129,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040014,'Firelord Kaern','','','','',12,8867,70,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040015,'Pool of Lava','','','','',255,2306,25,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040016,'Zonarn','XXXXXX''s grim sorcerer','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040017,'a Deep Forge footman','','','','',12,8665,38,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040018,'a Netherflame enforcer','','','','',255,4110,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040019,'Cruhm the Overseer','','','','',255,4116,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040020,'The Doomsmith','','','','',12,124,59,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040021,'a Spurned adherent','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040022,'a Deep Forge toiler','','','','',12,8665,38,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040023,'a Deep Forge ironsmith','','','','',12,8665,36,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040024,'a Spurned alumnus','','','','',1,116,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040025,'a Spurned neophyte','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040026,'The Deep Forge',NULL,'','','',0,49,32,0,1,1,4,0,0,0,0,1,0,0,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040030,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040031,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040032,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040034,'house_item_widget_forge',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2275,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,321,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,328,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,312,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,338,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,619,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040053,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040054,'a small bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040055,'a tiny bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040056,'a heavy bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040057,'a dull bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040058,'a bulky bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040059,'Ruddybupp',NULL,'','','',255,2900,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040060,'a regular bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040061,'a shiny bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040062,'West Steam Valve',NULL,'','','',0,8666,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040063,'West Steam Valve Base',NULL,'','','',0,8667,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040064,'East Steam Valve',NULL,'','','',0,8666,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040065,'East Steam Valve Base',NULL,'','','',0,8667,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040066,'Najena''s Treasure',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040067,'an automated hammer',NULL,'','','',255,5987,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040068,'a glowing bronze idol',NULL,'','','',0,5866,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040069,'Ruddybupp',NULL,'','','',255,2900,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040070,'',NULL,'','','',255,6313,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040071,'zone_to_lavastorm',NULL,'','','',0,49,32,0,0,0,561,0,0,0,0,1,0,0,380,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040072,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040073,'Magmatic Cluster',NULL,'','','',0,3916,16,0,1,1,1,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040074,'A curious book',NULL,'','','',0,3323,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4040075,'A curious page',NULL,'','','',0,5261,32,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050000,'a molten defender','','','','',255,7600,96,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050001,'The Reformed Magolemus','','','','',255,169,32,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050002,'Najena','','','','',1,116,38,0,1,1,0,0,1625,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050003,'a summoned Prexian','','','','',255,8656,48,0,1,1,11,0,0,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050004,'a Najenaar guard','','','','',12,8665,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050005,'a magma hatchling','','','','',255,238,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050006,'Fitzfangle','<Najena''s Foreman>','','','',5,121,44,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050007,'a gnomish tinkerer','','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050008,'a gnomish majikamaker','','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050009,'a gnomish warprotector','','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050010,'a sneaky goblin','','','','',255,145,22,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050011,'Magmadin','<Father of the Brood>','','','',255,8847,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050012,'a Najenaar flame construct','','','','',255,3645,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050013,'a Najenaar flame magus','','','','',255,3645,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050014,'Jailor Ca''iluer','<Master of the Flame Tempest>','','','',255,4922,41,0,1,1,0,0,6523,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050015,'an imprisoned Thyr lord','','','','',255,4110,32,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050016,'house_item_widget_hollow',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050017,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,6082,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2290,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050020,'floor3_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050021,'floor1_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050022,'floor2_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050023,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,281,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,281,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050025,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1292,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1287,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1287,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050030,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050031,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050032,'Najena''s Treasure',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050033,'backdoor_key01',NULL,'','','',0,6948,48,0,1,1,671,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050034,'steam_geyser',NULL,'','','',0,6313,4,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050035,'steam_geyser',NULL,'','','',0,2306,64,0,1,1,0,0,1854,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050036,'rock harvest',NULL,'','','',0,4729,12,0,1,1,0,0,0,0,0,1,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050046,'zone_to_lavastorm',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4050051,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060000,'a void enforcer','','','','',255,8221,50,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060001,'a void spark','','','','',255,7241,112,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060002,'a void enforcer','','','','',255,8221,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060003,'Di''zsho the Channeler','','','','',255,8928,64,0,1,1,0,0,9733,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060004,'a void destroyer','','','','',255,8225,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060005,'a void devourer','','','','',255,8223,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060006,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060007,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060008,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060009,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060010,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060011,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060012,'spark cube',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060013,'device_cube_center',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060014,'device_cube_left',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4060015,'device_cube_right',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070000,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070001,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070002,'Anashti Sul','','','','',255,8271,176,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070003,'a void portal','','','','',9,6313,9,0,1,1,33,0,17724,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070004,'a deepvoid shadowray','','','','',255,8889,256,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070005,'a voidshadow brute','','','','',255,8221,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070006,'','','','','',255,8889,136,8,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070007,'an essence drainer','','','','',255,8892,96,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070008,'a voidshadow defeater','','','','',255,8222,51,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070009,'Maldormous Exeter','<Voidshadow Arch-Astronomer>','','','',255,8924,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070010,'a voidshadow shifter','','','','',255,8923,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070011,'a voidshadow augur','','','','',255,8925,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070012,'a voidshadow beholder','','','','',255,8923,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070013,'a voidshadow subjugator','','','','',255,8927,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070014,'a voidshadow zealot','','','','',255,8927,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070015,'a voidshadow initiate','','','','',255,8923,41,0,1,1,0,0,3632,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070016,'Ferzhul','<Grand Exarch of the Voidshadow>','','','',255,8929,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070017,'a book of darkening void','','','','',255,281,320,0,1,1,0,0,9733,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070018,'a book of essence channeling','','','','',255,280,320,0,1,1,0,0,9733,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070019,'book of dimensional shadow','','','','',255,279,320,0,1,1,0,0,9733,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070020,'D''decill','<Timeless Librarian>','','','',255,8926,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070021,'a book of planar alignment','','','','',255,283,320,0,1,1,0,0,9733,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070022,'Mewaye','<Timeless Librarian>','','','',255,8926,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070023,'Llalortus','<Timeless Librarian>','','','',255,8926,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070024,'Sun Bomb','','','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070025,'a book of darkening void','','','','',255,281,320,0,1,1,11,0,9733,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070026,'Asharae','','','','',1,4965,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070027,'Nurgg Rockchest','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070028,'Kruzz Skullcleaver','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070029,'Kaltuk Ironstein','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070030,'Eylee Zephyrswell','','','','',15,5069,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070031,'Illisia Marrsheart','','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070032,'Professor A.M. Fiddlewiz','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070033,'Bayle','','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070034,'Twiddy Bobbick','','','','',7,4986,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070035,'a voidshadow vanquisher','','','','',255,8929,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070036,'a voidshadow soulbender','','','','',255,8928,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070037,'a voidshadow essence wielder','','','','',255,8924,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070038,'a voidshadow obliterator','','','','',255,8225,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070039,'Valdoartus Varsoon','','','','',9,8648,89,0,1,1,11,0,17735,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070040,'Flame Essence Guardian','','','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070041,'','','','','',255,8923,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070042,'Razor-edged Construct of Death','','','','',255,230,32,0,1,1,0,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070043,'Voidshadow Rejuvenator','','','','',255,8927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070044,'void beamascope',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3824,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070046,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070050,'invis cube with cyclone storm result',NULL,'','','',0,6313,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070051,'invis cube with cyclone storm result',NULL,'','','',0,2306,9,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070052,'invis cube with cyclone storm result',NULL,'','','',0,9693,16,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070053,'',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070054,'blue sun sphere',NULL,'','','',0,9700,3,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070055,'portal activator orb effect',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070056,'void vase portal effect',NULL,'','','',0,9692,2,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070057,'dpo_glass_orb',NULL,'','','',0,8238,64,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070058,'Maldormous Exeter',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070059,'suntrap asplosion',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070060,'heal portal',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070061,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070062,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070063,'area05_portal_02_to_01',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070064,'area05_portal_02_to_06',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070065,'portal_back_to_02',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070066,'area05_portal_02_to_07',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070067,'area05_portal_02_to_04',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070068,'area05_portal_02_to_03',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070069,'portal_back_to_02',NULL,'','','',0,2306,32,0,1,1,122,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070070,'',NULL,'','','',0,2306,32,0,1,1,123,0,16894,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070071,'area05_portal_02_to_05',NULL,'','','',0,2306,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4070072,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080000,'a void portal','','','','',9,6313,9,0,1,1,33,0,17724,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080001,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080002,'Xythus Davian','<Greater Sentry of the Void>','','','',255,8927,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080003,'Xythus Aransta','<Greater Sentry of the Void>','','','',255,8926,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080004,'a void ripper','<portal guard>','','','',255,8225,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080005,'Mynzak','<Guardian of the Inner Palace>','','','',255,8926,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080006,'Pentaclypse','<Nether Beast>','','','',255,8222,128,0,1,1,11,0,3341,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080007,'a void handler','<beast tamer>','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080008,'Ultaclypse','<Nether Beast>','','','',255,8223,128,0,1,1,11,0,3341,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080009,'Tythus Tinzok','<Gatecaller>','','','',255,8926,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080010,'a void gateway','','','','',9,2306,48,0,1,1,0,0,16894,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080013,'invis cube with cyclone storm result',NULL,'','','',0,6313,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4080014,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090000,'an abyssal biter','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090001,'a spectral nullifier','','','','',255,8957,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090002,'a Void lamia','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090003,'Adjunct Zorkus','<The Shadowed Men>','','','',255,8924,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090004,'a Void tyrant','','','','',255,9005,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090005,'spark cube',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090006,'teleport_cube_02a',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090008,'an abyssal biter','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090009,'a spectral nullifier','','','','',255,8957,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090010,'a Void lamia','','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090011,'Adjunct Zorkus','<The Shadowed Men>','','','',255,8924,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090013,'an abyssal sentinel','','','','',255,240,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090014,'a Void ravager','','','','',255,8225,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090015,'a fallen troll warrior','<Clan Grobb>','','','',255,106,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090016,'Proto-Ravager','','','','',255,8225,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090017,'a Void enforcer','','','','',255,9005,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090018,'Kierax the Energy Wielder','<The Shadowed Men>','','','',255,8929,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090019,'an energy orb','','','','',255,3691,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090020,'a dimensional anchor','','','','',9,309,192,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090021,'Executor Vark','<The Shadowed Men>','','','',255,8928,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090023,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090025,'spark cube',NULL,'','','',0,2306,64,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090026,'teleport_cube_02a',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090027,'first_room_activator',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090028,'teleport_cube_01',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090029,'nuke cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090030,'Grav Flux cube',NULL,'','','',0,5265,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090031,'teleport_cube_03',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090032,'Kierax''s Treasure',NULL,'','','',0,5864,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090033,'teleport_cube_02b',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090034,'The Moors of Ykesha',NULL,'','','',0,2306,256,0,0,0,751,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4090035,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100000,'a Drogan skulker','','','','',255,7324,25,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100001,'a Drogan ritual defender','','','','',255,7296,27,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100002,'a Drogan bodyguard','','','','',255,7311,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100003,'a Drogan soldier','','','','',255,7311,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100004,'a Drogan slinker','','','','',255,7324,25,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100005,'a Drogan blightcaller','','','','',255,7296,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100006,'a Drogan bonecharmer','','','','',255,7296,30,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100007,'a Drogan stalagknight','','','','',255,7311,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100008,'Tuz''Rak','<High Shaman>','','','',255,7296,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100009,'Gzaxr','<Drogan Ritualist>','','','',255,7296,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100010,'Witch Doctor Bzegon','','','','',255,7296,38,0,1,1,0,0,15851,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100011,'Drogan warlord','','','','',255,7311,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100012,'a Drogan construction enforcer','','','','',255,7296,29,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100013,'a Drogan ritual defender','','','','',255,7324,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100014,'Bricktop','','','','',255,7311,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100015,'a Drogan construction enforcer','','','','',255,7324,24,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100016,'a Drogan brickthrower eagle-eye','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100017,'a Drogan mad scientist''s assistant','','','','',255,7296,29,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100018,'a Drogan mad scientist','','','','',255,7296,32,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100019,'Rbumk','<Drogan Ritualist>','','','',255,7296,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100020,'a Drogan ritual defender','','','','',255,7311,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100021,'a Drogan fire stoker','','','','',255,7296,26,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100022,'a Drogan brickthrower','','','','',255,7324,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100023,'','','','','',255,7311,39,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100024,'a Drogan mad scientist','','','','',255,7296,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100025,'Bloodpriest Yak''Lar','','','','',255,7296,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100026,'a Drogan construction overseer','','','','',255,7296,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100027,'a Drogan fire stoker','','','','',255,7324,23,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100028,'a dozing Drogan horn blower','','','','',255,7324,38,0,1,1,0,0,11769,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100029,'house_item_widget_nuroga',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100030,'Shiny Treasure Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100031,'human_sacrifice_quest_trigger_dpo',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100032,'charging gemstone',NULL,'','','',0,9500,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100033,'Drogan Supply Crate',NULL,'','','',0,6697,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100034,'zone_to_fens',NULL,'','','',0,49,32,0,0,0,679,0,0,0,0,1,0,0,529,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4100035,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110000,'Simon','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110001,'a tamed yeti','','','','',255,7257,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110002,'a Guardian of D''Ina','<Maidens of E''ci>','','','',255,182,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110003,'a summoned barrier of ice','','','','',255,5012,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110004,'an Icy Construct','<Ice Creation of D''Ina>','','','',255,9482,192,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110005,'Kastus','<Mangler of Epithet>','','','',255,9483,64,0,1,1,11,0,1867,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110006,'Odaufe','','','','',255,9483,64,0,1,1,11,0,1867,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110007,'Ice Maiden D''Ina','<Maidens of E''ci>','','','',255,8234,256,0,1,1,0,0,1794,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110008,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,80,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110009,'Tamer Nicoli','<Yeti Tamer>','','','',255,7257,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110010,'a freezing goblin','','','','',255,7039,38,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110011,'a summoned barrier of ice','','','','',255,5012,96,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110012,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,56,5,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110013,'Snarf Frostfoot','','','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110014,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,33,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110015,'vox_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110016,'vox_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110017,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110018,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110019,'wall_gate_right_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110020,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110021,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110022,'wall_gate_right_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110023,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110024,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110025,'dust snow effect',NULL,'','','',0,2306,32,0,1,1,0,0,17068,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110026,'',NULL,'','','',0,5012,49,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110027,'A frozen length of ice',NULL,'','','',0,5086,43,0,1,1,52,0,1494,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110028,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110030,'egg1',NULL,'','','',0,2306,32,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110031,'egg_shells',NULL,'','','',0,2306,56,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110032,'egg1',NULL,'','','',0,6045,67,0,1,1,53,0,1494,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110033,'egg2',NULL,'','','',0,2306,67,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110034,'egg3_broken',NULL,'','','',0,2306,56,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110035,'invisible wall, force shield',NULL,'','','',0,3180,77,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110036,'barricade_corner_right',NULL,'','','',0,1555,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110037,'goblinpop1',NULL,'','','',0,9678,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110038,'goblinpop2',NULL,'','','',0,9679,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110039,'listening_device_01',NULL,'','','',0,3252,14,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110040,'listening_device_03',NULL,'','','',0,3252,19,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110041,'listening_device_04',NULL,'','','',0,3252,18,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110042,'listening_device_08',NULL,'','','',0,3252,22,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110043,'listening_device_02',NULL,'','','',0,3252,19,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110044,'listening_device_10',NULL,'','','',0,3252,20,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110045,'listening_device_09',NULL,'','','',0,3252,16,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110046,'listening_device_07',NULL,'','','',0,3252,18,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110047,'goblinpop3',NULL,'','','',0,9680,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110048,'listening_device_06',NULL,'','','',0,3252,17,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110049,'listening_device_05',NULL,'','','',0,3252,18,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110050,'collision cage',NULL,'','','',0,2451,106,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110051,'Ice Brazier',NULL,'','','',0,1905,132,0,1,1,0,0,1494,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110052,'a partially thawed goblin',NULL,'','','',255,7039,32,0,1,1,11,0,1867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110053,'Gate Captain H''Bri',NULL,'','','',255,182,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110054,'barricade_corner_right',NULL,'','','',0,1557,66,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110055,'barricade_long_middle',NULL,'','','',0,1556,67,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110056,'an enslaved snow goblin',NULL,'','','',255,7039,57,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110057,'a Guardian of D''Ina',NULL,'','','',255,182,66,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110058,'Ice Maiden D''Ina',NULL,'','','',255,8234,192,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110059,'Ice wall',NULL,'','','',0,8359,99,0,1,1,0,0,1494,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110060,'A Hatched Ice Dragon',NULL,'','','',255,9425,96,0,1,1,11,0,1867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110061,'a Snow Goblin Soldier',NULL,'','','',255,7039,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110062,'an enslaved snow goblin',NULL,'','','',255,7039,39,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110063,'invisible wall, force shield',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110064,'Exit',NULL,'','','',0,4997,87,0,1,1,54,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110065,'(unnamed)',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4110066,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120000,'Pumba','Thezoo''s warboar warder','','','',255,16385,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120001,'Nathan Ironforge','','','','',9,134,22,0,1,1,0,0,1493,0,0,1,0,0,26,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120002,'a Frostfell faun','','','','',255,7038,32,0,1,1,0,0,11299,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120003,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,21,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(4120004,'a frostfell cube','','','','',255,11823,19,0,1,1,0,0,0,0,0,0,0,0,30,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120005,'Jabarn','Groar''s bat warder','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120006,'Aildiun Mawdrun','<League of Freethinkers>','','','',9,134,41,0,0,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120007,'Giggawat Gigglegibber','<Frostfell Vendor>','','','',255,7039,25,0,1,1,10,0,0,0,0,1,0,0,35,16,16,0,0,1169,0,0,0,0,0,0,0,0,0,0,0,0),
(4120008,'Glank Gigglegibber','<Banker>','','','',255,7039,25,0,1,1,14,9,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120009,'a Frostfell elf','','','','',1,115,16,0,1,1,0,0,11854,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120010,'a Frostfell fae','','','','',255,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120011,'Sogs Frostfoot','<Crafting Recruiter>','','','',255,7039,32,0,1,1,9,0,23362,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120012,'Gerbi Frostfoot','<Frostfoot Merchant>','','','',255,7039,25,0,1,1,10,0,1794,0,0,1,0,0,35,16,16,0,0,1174,0,0,0,0,0,0,0,0,0,0,0,0),
(4120013,'Vaber','Waterfall''s dedicated jack-o-lantern','','','',255,18939,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120014,'Giffle Gigglegibber','<Mender>','','','',255,7039,25,0,1,1,12,9,0,0,0,1,0,0,35,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4120015,'Garsleblat Gigglegibber','<Frostfell Vendor>','','','',255,7039,25,0,1,1,10,0,0,0,0,1,0,0,35,151,151,0,0,1177,0,0,0,0,0,0,0,0,0,0,0,0),
(4120016,'Gasher','<Santa Glug''s helper>','','','',255,7039,20,2,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120017,'Santa Glug','<Frostfell Giftgiver>','','','',255,9397,25,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120018,'Gardy Ex-Giftgiver','','','','',1,115,19,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120019,'Shark','','','','',255,242,64,8,1,0,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120020,'Kaylie Brianne','','','','',15,1486,35,0,1,1,0,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120021,'Glitzen','<Santa Glug''s helper>','','','',255,7039,20,1,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120022,'Queen Bunny ','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120023,'Necrosis','Cryptosis''s feline warder','','','',255,2415,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120024,'Elmo','Elostirion''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120025,'Candice Cheriweth','','','','',7,11823,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120026,'Ginger Snaps','<Frostfell Fanatic>','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120027,'Guhtosle Gigglegibber','<Fuel Merchant>','','','',255,7039,25,0,1,1,10,1265,0,0,0,1,0,0,35,151,151,0,0,1192,0,0,0,0,0,0,0,0,0,0,0,0),
(4120028,'a candymaker','','','','',8,135,16,0,1,1,0,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120029,'a reindeer','','','','',255,2414,38,4,1,1,0,0,12960,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120030,'Brenlo Bixiebopper VI','','','','',15,108,38,0,1,1,0,0,2645,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120031,'a toymaker','','','','',8,136,16,0,1,1,0,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120032,'Gabarn','Kahrl''s simian warder','','','',255,9659,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120033,'Vittia Direshadow','<Moucia''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120034,'Acorn Kornelius','','','','',2,110,32,0,1,1,0,0,13113,0,0,1,0,0,18,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120035,'Marie Aillene','','','','',15,113,32,0,1,1,0,0,2645,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120036,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120037,'Mr. McScroogle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120038,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,12960,0,0,1,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120039,'a drakerfly','','','','',255,6536,19,0,1,1,0,0,0,0,0,1,0,0,48,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120040,'a unicorn','','','','',255,268,51,0,1,1,0,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120041,'Twiddledumber','Twiddletoes''s Personae Reflection','','','',9,108,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120042,'Giddlenerf Gigglegibber','<Fuel Merchant>','','','',255,7039,25,0,1,1,10,1265,0,0,0,1,0,0,35,0,0,0,0,1322,0,0,0,0,0,0,0,0,0,0,0,0),
(4120043,'Sethitep','<Khaimaru''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120044,'Docile Ice Slurry','Paquia''s icy companion','','','',255,3881,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120045,'Paquia','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120046,'Paquia','Paquia''s aery hunter','','','',255,12197,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120047,'Gann','','','','',255,9115,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120048,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120049,'Grassgalor','','','','',255,7323,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120050,'Konanab','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120051,'Kjrn','Ktjn''s Personae Reflection','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120052,'Trecc','Trecc''s fiery magician','','','',255,9656,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120053,'Jonarer','Fiud''s Personae Reflection','','','',9,1598,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120054,'Falsehood','Halftruth''s sacrament','','','',9,4558,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120055,'Veracity','Undying Servant','','','',255,8220,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120056,'Devalera','Aemmon''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120057,'Trecc','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120058,'Knowitall','Angaleek''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120059,'Oopi','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120060,'Jartik','Kalamitykid''s pet gazer','','','',255,5918,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120061,'Kontik','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120062,'Karab','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120063,'Grimagus Gigglegibber','<Formerly Grumpy>','','','',255,4126,44,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120064,'Lord Bowsprite','','','','',8,136,16,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120065,'Tinsel','<sweatermaker>','','','',15,113,16,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120066,'Ihaveahat','Kemset''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120067,'Package','Infenite''s earthen avatar','','','',255,8308,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120068,'Holybible','Rehn''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120069,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120070,'Simon','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120071,'Allen','Siriel''s rotting thrall','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120072,'Constitution','Pigtails''s dreadnought','','','',255,1371,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120073,'Mahsampig','','','','',255,7253,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120074,'Hahayoudied','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120075,'a sweatermaker','','','','',15,113,16,0,1,1,0,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120076,'Himato','Himato''s curious little pet monkey','','','',255,5006,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120077,'Himato','Himato''s shadowblade','','','',255,6491,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120078,'Himato','Pariah of Bertoxxulous','','','',255,6315,12,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120079,'Kasekn','Tithi''s tellurian myrmidon','','','',255,8303,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120080,'Faezed','Faezed''s Personae Reflection','','','',9,6488,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120081,'Cinderella','Scadianna''s Personae Duplicate','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120082,'Chip','','','','',255,6825,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120083,'Jonober','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120084,'Verta','Verta''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120085,'Gareker','Hunney''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120086,'Supercow','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120087,'Bonelily','Bloodlily''s undying adherent','','','',255,2936,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120088,'Wardone','Wardone''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120089,'Theshinkicker','Theshinkicker''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120090,'Joramora','Joramora''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120091,'Mintok','Mintok''s Personae Reflection','','','',9,124,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120092,'Snorft','Snorft''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120093,'Paragwen','Warrior of Zek','','','',255,3812,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120094,'Oscar','Medicinewoman''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120095,'present03_big',NULL,'','','',0,7077,22,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120096,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120097,'candycane',NULL,'','','',0,5983,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120098,'presents01',NULL,'','','',0,5968,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120099,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120100,'presents01',NULL,'','','',0,5977,23,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120101,'presents01',NULL,'','','',0,5972,26,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120102,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120103,'presents01',NULL,'','','',0,5967,23,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120104,'presents01',NULL,'','','',0,5970,22,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120105,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120106,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,1,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120107,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120108,'candycane',NULL,'','','',0,5986,5,0,1,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120109,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120110,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120111,'presents01',NULL,'','','',0,5971,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120112,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120113,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120114,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120115,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120116,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120117,'snowwoman',NULL,'','','',0,5976,24,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120118,'candycane',NULL,'','','',0,5985,31,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120119,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120120,'presents01',NULL,'','','',0,5969,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120121,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120122,'snowman',NULL,'','','',0,5975,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120123,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120124,'holiday_fruitcake',NULL,'','','',0,7071,32,0,0,0,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120125,'candles1',NULL,'','','',0,5961,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120126,'Snarf Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120127,'candles2',NULL,'','','',0,5962,32,0,1,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120128,'dpo_present03_medium',NULL,'','','',0,7078,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120129,'dpo_ham01',NULL,'','','',0,8739,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120130,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120131,'dpo_holiday_candycane_small03_blue',NULL,'','','',0,7052,18,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120132,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120133,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120134,'dpo_pastries01',NULL,'','','',0,8740,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120135,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120136,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120137,'candycane',NULL,'','','',0,5984,44,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120138,'cog_table',NULL,'','','',0,5209,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120139,'lamp_post',NULL,'','','',0,7085,32,0,0,0,0,0,0,0,0,0,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120140,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120141,'icy snowballs',NULL,'','','',0,5957,32,0,1,1,42,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120142,'dpo_present_darkver_purple_big',NULL,'','','',0,8747,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120143,'blank sign',NULL,'','','',0,1985,19,0,1,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120144,'floor_table_human_ornate04',NULL,'','','',0,2179,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120145,'dpo_apple_pie',NULL,'','','',0,8720,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120146,'an Ironforge anvil',NULL,'','','',0,2984,32,0,0,0,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120147,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,1,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120148,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,1,0,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120149,'qst_unseenhand_table_2',NULL,'','','',0,1402,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120150,'broken vase',NULL,'','','',0,3340,16,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120151,'Frostfell Workbench',NULL,'','','',0,2346,31,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120152,'qst_unseenhand_firewood_2',NULL,'','','',0,1396,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120153,'Frostfell Stove & Keg',NULL,'','','',0,2345,31,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120154,'frostfell_fanatic01',NULL,'','','',0,14234,32,0,0,0,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120155,'Frostfell Loom',NULL,'','','',0,2530,31,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120156,'Tactician Banner',NULL,'','','',0,5266,32,0,1,0,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120157,'lottery sign',NULL,'','','',0,4067,32,0,1,1,44,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120158,'danger sign',NULL,'','','',0,1985,41,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120159,'danger sign',NULL,'','','',0,40,88,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120160,'sign_slide',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120161,'Mailbox',NULL,'','','',0,11447,32,0,1,1,29,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120162,'sign_painting_1',NULL,'','','',0,1581,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120163,'Exit',NULL,'','','',0,3165,56,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120164,'',NULL,'','','',0,4997,90,0,1,1,46,0,0,0,0,0,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120165,'teleporter_to_steamfont',NULL,'','','',0,2306,32,0,1,1,45,0,23983,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120166,'sign_tree',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120167,'sign_candy',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120168,'sign_mcscroogle',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120169,'sign_reindeer',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120170,'sign_sweater',NULL,'','','',0,1985,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120171,'Shhh its a secret',NULL,'','','',0,4997,90,0,1,1,1184,0,0,0,0,1,0,0,289,0,0,0,0,0,33002,0,0,0,0,0,0,0,0,0,0,0),
(4120172,'portal_to_moors_of_ykesha',NULL,'','','',0,2306,48,0,1,1,1185,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120173,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120174,'present',NULL,'','','',0,5969,38,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120175,'present',NULL,'','','',0,5972,40,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120176,'present',NULL,'','','',0,5971,46,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120177,'dpo_holiday_candycane_large01_green',NULL,'','','',0,7050,62,0,1,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120178,'Jingle',NULL,'','','',6,79,16,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120179,'Snarf Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,1749,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120180,'a frostfell cube',NULL,'','','',255,11823,19,0,1,1,0,0,0,0,0,0,0,0,30,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120181,'a frostfell cube',NULL,'','','',255,11823,19,0,1,1,0,0,0,0,0,0,0,0,30,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120182,'a reindeer',NULL,'','','',255,2414,41,0,1,1,0,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4120183,'a reindeer',NULL,'','','',255,20678,38,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130000,'Mr. McScroogle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130001,'Nightingale Brede','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130002,'Gilby Gigglegibber','<Ghost of Frostfell Future>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130003,'an ice terror','','','','',255,2555,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130004,'Lani Cogspinner','<McScroogle''s Ex-Girlfriend>','','','',5,122,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130005,'a snow minotaur','','','','',255,158,70,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130006,'Mergott Mizzlefig McScroogle','','','','',5,121,32,0,1,1,0,0,10844,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130007,'an ice wyrm','','','','',255,1376,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130008,'Harbey Furlman','<Legal and Accounting Consultant>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130009,'Henry Cogsworth','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130010,'William Rofterson','<Qeynosian Taxation Services>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130011,'Tiny Jim','','','','',6,78,16,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130012,'Mr. McScroogle','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130013,'Gilby Gigglegibber','<Ghost of Frostfell Future>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130014,'an ice terror','','','','',255,2555,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130015,'Nightingale Brede','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130016,'Lani Cogspinner','<McScroogle''s Ex-Girlfriend>','','','',5,122,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130017,'a snow minotaur','','','','',255,158,70,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130018,'Mergott Mizzlefig McScroogle','','','','',5,121,32,0,1,1,0,0,10844,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130019,'an ice wyrm','','','','',255,1376,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130020,'Tiny Jim','','','','',6,78,16,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130021,'Harbey Furlman','<Legal and Accounting Consultant>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130022,'Henry Cogsworth','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130023,'William Rofterson','<Qeynosian Taxation Services>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130024,'grump_wall',NULL,'','','',0,4544,69,0,1,1,0,0,1867,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130025,'sign_teleporter',NULL,'','','',0,2306,32,0,1,1,49,0,1426,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4130026,'sign_grave',NULL,'','','',0,2919,32,0,1,1,50,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140000,'Mr. McScroogle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140001,'Gergus Gigglegibber','<Ghost of Frostfell Present>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140002,'Grandpa Sean','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140003,'Marge Kritchat','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140004,'Bobby Kritchat','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140005,'Melody Kritchat','','','','',6,79,22,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140006,'Tiny Jim','','','','',6,78,16,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140007,'Paws','','','','',255,304,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140008,'Grandma Jacqueline','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140009,'Grandpa Jack','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140010,'Grandma Shawna','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140011,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140012,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140013,'presents01',NULL,'','','',0,5971,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140014,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140015,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140016,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140017,'dpo_christmas_tree_small01_kelethin',NULL,'','','',0,7084,19,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140018,'holiday_turkey',NULL,'','','',0,7072,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140019,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140020,'divider',NULL,'','','',0,10682,24,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140021,'white_candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140022,'flat_brown_goldtrim_01',NULL,'','','',0,1453,31,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140023,'hum_shelf_simple_01',NULL,'','','',0,1491,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140024,'floor_mug_human_plain01',NULL,'','','',0,3382,29,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140025,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140026,'floor_dresser_any_wood',NULL,'','','',0,1981,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140027,'rug',NULL,'','','',0,1669,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140028,'fprt_bench_plainlong01',NULL,'','','',0,1492,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140029,'floor_table_any_dining02',NULL,'','','',0,2781,42,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140030,'floor_bread_human_french01',NULL,'','','',0,3359,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140031,'floor_plate_human_muffin01',NULL,'','','',0,3393,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140032,'floor_bread_human_loaf01',NULL,'','','',0,3360,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140033,'qey_butcherblock',NULL,'','','',0,1518,34,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140034,'stove',NULL,'','','',0,2108,36,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140035,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140036,'floor_knife_human_butcher01',NULL,'','','',0,3368,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140037,'floor_pot_human_cooking04',NULL,'','','',0,3397,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140038,'floor_plate',NULL,'','','',0,2813,23,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140039,'Plain large bucket',NULL,'','','',0,1663,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140040,'floor_bunkbed_human_step01',NULL,'','','',0,2963,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140041,'dirty_dishes',NULL,'','','',0,1459,40,0,1,1,47,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140042,'floor_stove_halfling_round01',NULL,'','','',0,7092,28,0,1,1,48,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4140043,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150000,'Mr. McScroogle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150001,'Mr. McScroogle (Nilamao)','','','','',5,121,32,0,1,1,0,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150002,'Gwenda Gurgley Gigglegibber','<Ghost of Frostfell Past>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150003,'Plippi Tailtwist','','','','',11,91,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150004,'Filp Glideleaf','','','','',255,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150005,'Meribert Jumbelly','','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150006,'Lani Cogspinner','<McScroogle''s Girlfriend>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150007,'Davis Fredericks','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150008,'Sheena Rockshearer','','','','',2,109,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150009,'Wiggle Tindercog','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150010,'Feane Cor''Then','','','','',8,136,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150011,'Nightingale Brede','','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150012,'Figgle Tindercog','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150013,'Chandi Tenderwing','','','','',255,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150014,'Jonny Brede','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150015,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150016,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150017,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150018,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150019,'holiday_wreath01',NULL,'','','',0,7073,53,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150020,'snowman',NULL,'','','',0,5975,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150021,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150022,'holiday_fruitcake',NULL,'','','',0,7071,32,0,1,1,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150023,'candles2',NULL,'','','',0,5962,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150024,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150025,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150026,'holiday_turkey',NULL,'','','',0,7072,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150027,'qst_unseenhand_table_2',NULL,'','','',0,1402,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150028,'ceiling_chandelier_human_ornate02',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150029,'floor_candelabra_human_plain01',NULL,'','','',0,3440,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150030,'floor_chair_gnome_ornate01',NULL,'','','',0,3045,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150031,'castle_painting',NULL,'','','',0,1581,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150032,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150033,'floor_mug_human_plain02',NULL,'','','',0,3383,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150034,'floor_mug_human_ornate01',NULL,'','','',0,3381,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150035,'rug',NULL,'','','',0,3513,26,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150036,'rug',NULL,'','','',0,3514,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150037,'qst_unseenhand_fireplace_1',NULL,'','','',0,1394,28,0,1,1,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150038,'floor_chair_human_plain01',NULL,'','','',0,2026,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150039,'floor_table_gnome_plain01',NULL,'','','',0,2037,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4150040,'Exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160000,'Mr. McScroogle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160001,'Mr. McScroogle (Nilamao)','','','','',5,121,32,0,1,1,0,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160002,'Gwenda Gurgley Gigglegibber','<Ghost of Frostfell Past>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160003,'Gergus Gigglegibber','<Ghost of Frostfell Present>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160004,'Gilby Gigglegibber','<Ghost of Frostfell Future>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160005,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160006,'Gwenda Gurgley Gigglegibber','<Ghost of Frostfell Past>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160007,'Mr. McScroogle','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160008,'Gwenda Gurgley Gigglegibber','<Ghost of Frostfell Past>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160009,'Mr. McScroogle','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160010,'wood_plank03',NULL,'','','',0,5086,32,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160011,'fireplace_2',NULL,'','','',0,7089,27,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160012,'elfbed01',NULL,'','','',0,1382,43,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160013,'ceiling_chandelier_human_ornate02',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160014,'qst_galintos_dresser_1',NULL,'','','',0,1414,42,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160015,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160016,'magic_globe_red',NULL,'','','',0,4733,24,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160017,'floor_candelabra_human_plain01',NULL,'','','',0,3440,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160018,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160019,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160020,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160021,'floor_chair_gnome_ornate01',NULL,'','','',0,3045,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160022,'floor_desk_gnome_wood01',NULL,'','','',0,3585,39,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160023,'floor_table_gnome_round',NULL,'','','',0,2064,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160024,'halfling_wall_light02_wood',NULL,'','','',0,1612,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160025,'floor_rug_kerra_ornate01',NULL,'','','',0,2205,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160026,'floor_bookcase_human_stone02',NULL,'','','',0,3020,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160027,'wall_painting_human_cathedral',NULL,'','','',0,2193,54,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160028,'wall_painting_human_sun',NULL,'','','',0,2202,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160029,'floor_books_any_mixed01',NULL,'','','',0,2591,16,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160030,'floor_books_any_mixed04',NULL,'','','',0,2594,18,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160031,'floor_books_any_mixed02',NULL,'','','',0,2592,23,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160032,'floor_books_any_mixed03',NULL,'','','',0,2593,18,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160033,'rug',NULL,'','','',0,4460,35,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160034,'qst_galintos_candelabra_1',NULL,'','','',0,1412,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160035,'castle_painting',NULL,'','','',0,1581,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160036,'frostfell_fanatic05',NULL,'','','',0,8750,48,0,1,1,2,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4160037,'Exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170000,'Simon','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170001,'a Gigglegibber worker','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170002,'a security bot','','','','',255,6447,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170003,'Mr. McScroogle','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170004,'a Gigglegibber worker','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170005,'(unnamed)',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170006,'switch',NULL,'','','',0,6480,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170007,'entry_door_switch',NULL,'','','',0,6481,27,0,1,1,1180,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170008,'printing_machine',NULL,'','','',0,2339,32,0,1,1,1181,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170009,'fire_alarm',NULL,'','','',0,6481,32,0,1,1,1182,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170010,'explosives_crate',NULL,'','','',0,2679,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170011,'fire_alarm_sign',NULL,'','','',0,4067,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170012,'fire_alarm_sign',NULL,'','','',0,4067,16,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4170013,'zone_to_steamfont',NULL,'','','',0,49,32,0,1,1,1183,0,0,0,0,1,0,0,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4180000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4180001,'a tamed yeti','','','','',255,7257,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4180002,'invis_cube_yeti',NULL,'','','',0,2306,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4180003,'dust snow effect',NULL,'','','',0,2306,32,0,1,1,0,0,17068,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4180004,'a dead yeti',NULL,'','','',255,7257,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4180005,'Exit',NULL,'','','',0,4997,87,0,1,1,54,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190000,'Princess Saphronia','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190001,'Tiny','','','','',0,112,41,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190002,'General Golias Sydwen','<Knight of Valor>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190003,'Queen Antonia Bayle','<Sovereign of Qeynos>','','','',9,4111,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190004,'Harkam Nubbytoe','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190005,'Sir Bayden Cauldthorn','<Knight of Valor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190006,'Murrar Shar','','','','',11,101,32,0,1,0,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190007,'Vishra','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190008,'Whiselia','<Attendant to the Princess>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190009,'floor_chair_human_fancy01',NULL,'','','',0,2131,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190010,'floor_books_any_mixed01',NULL,'','','',0,2591,16,0,1,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190011,'floor_books_any_mixed04',NULL,'','','',0,2594,18,0,1,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190012,'floor_books_any_mixed02',NULL,'','','',0,2592,23,0,1,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190013,'floor_books_any_mixed03',NULL,'','','',0,2593,18,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190014,'white_candle',NULL,'','','',0,3451,32,0,1,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190015,'chalice',NULL,'','','',0,7267,31,0,1,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190016,'qst_galintos_chess_1',NULL,'','','',0,1413,25,0,1,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190017,'floor_books_any_mixed05',NULL,'','','',0,2595,32,0,1,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190018,'soldier statue',NULL,'','','',0,4625,100,0,1,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190019,'poppies',NULL,'','','',0,48,32,0,1,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190020,'pearl floor lamp',NULL,'','','',0,2153,32,0,1,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190021,'floor_bookcase_human_preserves01',NULL,'','','',0,3017,32,0,1,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190022,'nurgg painting',NULL,'','','',0,9349,52,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190023,'door_blocker',NULL,'','','',0,7237,120,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190024,'tapestry of the malign',NULL,'','','',0,8625,100,0,1,0,0,0,0,0,0,0,0,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190025,'ornate pedastal',NULL,'','','',0,3180,64,0,1,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190026,'Female Suit of Armor',NULL,'','','',0,8798,32,0,1,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190027,'warrior statue',NULL,'','','',0,9095,32,0,1,0,0,0,0,0,0,0,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190028,'round pool',NULL,'','','',0,7381,22,0,1,0,0,0,0,0,0,0,0,0,358,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190029,'steaming xeognite bowl 2',NULL,'','','',0,7347,38,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190030,'crab',NULL,'','','',0,7741,12,0,1,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190031,'shark',NULL,'','','',0,242,16,0,1,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190032,'octopus',NULL,'','','',0,210,16,0,1,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190033,'seaturtle',NULL,'','','',0,218,19,0,1,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190034,'floor_roundcounter_human_plain01',NULL,'','','',0,3144,43,0,1,0,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190035,'illisia tapestry',NULL,'','','',0,8269,44,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190036,'asharae painting',NULL,'','','',0,9352,56,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190037,'mini_tabular_crystal',NULL,'','','',0,6186,20,0,1,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190038,'mini_drusy_crystal',NULL,'','','',0,6186,21,0,1,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190039,'adamantine stool',NULL,'','','',0,6095,32,0,1,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190040,'rug',NULL,'','','',0,7340,32,0,1,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190041,'mushroom_young',NULL,'','','',0,1524,9,0,1,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190042,'potted bonsai',NULL,'','','',0,6389,22,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190043,'snow drift',NULL,'','','',0,7093,32,0,1,1,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190044,'twisted sculpture',NULL,'','','',0,6965,16,0,1,0,0,0,0,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190045,'adamantine stool',NULL,'','','',0,7670,32,0,1,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190046,'round ironwood table',NULL,'','','',0,6428,48,0,1,0,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190047,'cristanos painting',NULL,'','','',0,8125,64,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190048,'azurite sculpture',NULL,'','','',0,6107,32,0,1,0,0,0,0,0,0,0,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190049,'azurite sculpture',NULL,'','','',0,6108,32,0,1,0,0,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190050,'illisia tapestry',NULL,'','','',0,9363,50,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190051,'Roses in a Majestic Vase',NULL,'','','',0,7121,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190052,'Cala Lilies in a Majestic Vase',NULL,'','','',0,7122,32,0,1,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190053,'frostfell candy',NULL,'','','',0,7069,32,0,1,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190054,'incense_burner',NULL,'','','',0,6969,32,0,1,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190055,'dragon tapestry',NULL,'','','',0,8266,32,0,1,0,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190056,'Star Chart',NULL,'','','',0,6968,96,0,1,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190057,'redwood coffee table',NULL,'','','',0,8352,32,0,1,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190058,'Mistmoore Double Gold Couch',NULL,'','','',0,8802,32,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190059,'padded redwood dining chair',NULL,'','','',0,8328,32,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190060,'small redwood table',NULL,'','','',0,7915,32,0,1,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190061,'rug',NULL,'','','',0,3529,96,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190062,'Droag Tapestry',NULL,'','','',0,6120,32,0,1,0,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190063,'kaltuk painting',NULL,'','','',0,9357,58,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190064,'illisia painting',NULL,'','','',0,9350,48,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190065,'Cala Lilies in a Heart-Shaped Vase',NULL,'','','',0,7124,32,0,1,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190066,'pink chaise lounge',NULL,'','','',0,8066,32,0,1,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190067,'water tapestry',NULL,'','','',0,8267,32,0,1,0,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190068,'rug',NULL,'','','',0,8040,48,0,1,0,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190069,'Concordium science books stack',NULL,'','','',0,3027,32,0,1,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190070,'Concordium fiction and myth books stack',NULL,'','','',0,1607,32,0,1,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190071,'Mistmoore Double Blue Couch',NULL,'','','',0,8800,32,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190072,'Mistmoore Single Blue Couch',NULL,'','','',0,8801,32,0,1,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190073,'Star Chart',NULL,'','','',0,9066,32,0,1,0,0,0,0,0,0,0,0,0,387,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190074,'kelethin star chart',NULL,'','','',0,8358,89,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190075,'Mayong Bookcase',NULL,'','','',0,8804,75,0,1,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190076,'steaming xeognite bowl',NULL,'','','',0,7348,16,0,1,0,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190077,'bayle tapestry',NULL,'','','',0,9362,50,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190078,'Roses in a Heart-Shaped Vase',NULL,'','','',0,7125,32,0,1,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190079,'Trakanon',NULL,'','','',0,7916,22,0,1,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190080,'drink cart',NULL,'','','',0,8119,32,0,1,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190081,'food cart',NULL,'','','',0,8120,32,0,1,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190082,'Mistmoore Desk Chair',NULL,'','','',0,8799,32,0,1,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190083,'redwood dining table',NULL,'','','',0,8353,48,0,1,0,0,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190084,'Tapestry of the Sleeper',NULL,'','','',0,6122,32,0,1,1,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190085,'piano',NULL,'','','',0,6961,32,0,1,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190086,'piano',NULL,'','','',0,6962,32,0,1,0,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190087,'twisted azurite sculpture',NULL,'','','',0,6109,32,0,1,0,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190088,'twisted azurite sculpture',NULL,'','','',0,6110,32,0,1,0,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190089,'asharae tapestry',NULL,'','','',0,9361,50,0,1,0,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190090,'chessboard',NULL,'','','',0,3582,32,0,1,0,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190091,'nagafen painting',NULL,'','','',0,7963,64,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190092,'pearl floor lamp',NULL,'','','',0,2154,32,0,1,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190093,'Mistmoore Single Gold Couch',NULL,'','','',0,8803,32,0,1,0,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190094,'small redwood table',NULL,'','','',0,8332,32,0,1,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190095,'small redwood table',NULL,'','','',0,8349,32,0,1,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190096,'blue chaise lounge',NULL,'','','',0,8067,32,0,1,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190097,'red unrest couch',NULL,'','','',0,8330,32,0,1,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190098,'door_exit',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4190099,'door_exit',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250001,'the entry guard','','','','',255,5130,38,0,1,1,11,0,17787,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250002,'an eternal loyalist','','','','',255,5130,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250003,'a reanimated guard','','','','',255,5130,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250004,'Senior Loyalist Tilas','','','','',255,9184,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250005,'Captain Ikalus','','','','',255,9231,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250006,'Nax Sorast','','','','',255,9097,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250007,'Zathra Kalystin','','','','',255,9227,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250008,'Marn Moltor','','','','',255,9232,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250009,'an undead tormentor','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250010,'Vin Moltor','','','','',255,9232,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250011,'Gynok Moltor','','','','',255,9096,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250012,'Xebnok the Wretched','','','','',255,9196,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250013,'Marilee','Marilee''s Personae Reflection','','','',9,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250014,'Lenarr','Lenarr''s Personae Reflection','','','',9,136,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250015,'Aciaja','Zuksharn''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250016,'Jecogga''s Acid Storm Cell','','','','',255,7230,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250017,'Marilee''s construct of order','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250018,'Talcice','','','','',255,156,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250019,'Zuksharn''s Spiritual Shrine','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250020,'Raythe','Raythe''s Servant of Vazaelle','','','',255,7227,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250021,'Raythe''s blighted horde','','','','',255,8714,28,8,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250022,'Raythe''s awaken grave','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250023,'Raythe''s blighted horde','','','','',255,8714,15,3,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250024,'Lenarr''s construct of order','','','','',255,2898,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250025,'Pokee''s Zonarer puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250026,'Pokee''s Jabekn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250027,'Pokee''s Kekn puppet','A magical puppet','','','',9,7646,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250028,'Meezik','Erisel''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250029,'Jecogga''s dark broodling','','','','',255,3693,25,3,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250030,'Pokee','Pokee''s Possessed Essence','','','',9,5130,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250031,'Yuukari','Yuukari''s Possessed Essence','','','',9,5130,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250032,'Pokee''s Koner puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250033,'Pokee''s Josarer puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250034,'Pokee''s Jenartik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250035,'Pokee''s Kobann puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250036,'Yuukari''s Yuukari puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250037,'Bayang''s thug','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250038,'Bayang''s thug','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250039,'Bayang''s thug','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250040,'Pokee''s Jabekab puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250041,'Pokee''s Karn puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250042,'Pokee''s Zeker puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250043,'Pokee''s Kebantik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250044,'Hayleee','Feanorr''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250045,'Erisel''s Lunar Attendant','','','','',255,2834,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250046,'Pokee''s Kosann puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250047,'Pokee''s Lebtik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250048,'Pokee''s Jabantik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250049,'Ancestral Sentry','','','','',255,115,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250050,'Pokee''s Kabanab puppet','A magical puppet','','','',9,9184,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250051,'Pokee''s Xasn puppet','A magical puppet','','','',9,9184,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250052,'Pokee''s Labann puppet','A magical puppet','','','',9,9184,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250053,'Pokee''s Zosarer puppet','A magical puppet','','','',9,9184,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250054,'Pokee''s Vober puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250055,'Pokee''s Jantik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250056,'Pokee''s Jebobtik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250057,'Pokee''s Venaner puppet','A magical puppet','','','',9,9231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250058,'Pokee''s Kaner puppet','A magical puppet','','','',9,9231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250059,'Pokee''s Jabeker puppet','A magical puppet','','','',9,9231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250060,'Pokee''s Lantik puppet','A magical puppet','','','',9,9231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250061,'Kashka''s Faerie Ally','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250062,'Kashka''s Healing Grove','','','','',255,1624,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250063,'Pokee''s Gonartik puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250064,'Pokee''s Jenekn puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250065,'Pokee''s Gobn puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250066,'Pokee''s Koneker puppet','A magical puppet','','','',9,5130,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250067,'Thet-em-aua','<The Pungent Protector>','','','',255,5231,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250068,'a thet disciple','','','','',255,5130,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250069,'Raythe''s blighted horde','','','','',255,7638,38,0,1,1,11,0,0,1,1,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250070,'Pokee''s Vobekn puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250071,'Pokee''s Jeneker puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250072,'Pokee''s Gabober puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250073,'Pokee''s Kekab puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250074,'Raythe''s undead horde','','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250075,'Raythe''s undead horde','','','','',255,4538,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250076,'Raythe''s undead horde','','','','',255,4535,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250077,'Pokee''s Gobantik puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250078,'Pokee''s Gebantik puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250079,'Pokee''s Jibantik puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250080,'Pokee''s Vonann puppet','A magical puppet','','','',9,5231,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250081,'Marilee''s clockwork army','','','','',255,6670,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250082,'Edelweiss''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250083,'Mechanized Platinum Repository of Reconstruction','<Mender>','','','',255,6287,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4250084,'an undead detonator','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250085,'Tumtum','Warrior of Zek','','','',255,3805,9,0,1,1,9,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250086,'Talcice','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250087,'Rawr','Undying Servant','','','',255,8220,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250088,'Goneker','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250089,'Meezik','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250090,'Pokee''s Garer puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250091,'Pokee''s Lekn puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250092,'Pokee''s Kosaner puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250093,'Pokee''s Lonarer puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250094,'Pokee''s Zarekn puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250095,'Pokee''s Xasartik puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250096,'Pokee''s Josaner puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250097,'Pokee''s Zonartik puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250098,'Pokee''s Varann puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250099,'Pokee''s Larer puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250100,'Pokee''s Voneker puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250101,'Pokee''s Gosantik puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250102,'Pokee''s Vabeker puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250103,'Pokee''s Gosobtik puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250104,'Pokee''s Garekn puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250105,'Pokee''s Jareker puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250106,'Pokee''s Gonn puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250107,'Pokee''s Kasann puppet','A magical puppet','','','',9,9196,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250108,'well_rope',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250109,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250111,'paw_of_opolla',NULL,'','','',0,6406,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250112,'exit widget',NULL,'','','',0,49,32,0,0,0,762,0,0,0,0,1,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4250113,'pungent mineral deposit',NULL,'','','',0,4108,38,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260000,'a witchbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260001,'a witchbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260002,'a vile scoundrel','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260003,'a witchbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260004,'Kabaner','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260005,'a vile summoner','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260006,'a vile witchdoctor','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260007,'a wailing spirit','','','','',255,2915,43,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260008,'a wailing spirit','','','','',255,2915,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260009,'Ilichia the Witch','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260010,'Kobn','Ilichia the Witch''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260011,'Zann','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260012,'To Nektulos',NULL,'','','',0,49,32,0,0,0,117,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260013,'a witchbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260014,'a witchbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260015,'a vile scoundrel','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260016,'a witchbone skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260017,'Kabaner','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260018,'a vile summoner','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260019,'a vile witchdoctor','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260020,'a wailing spirit','','','','',255,2915,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260021,'a wailing spirit','','','','',255,2915,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260023,'Shivantris the Wailing','','','','',255,2915,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260024,'Master D''Vaen','','','','',1,115,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260025,'Jaber','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260026,'Vabab','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260027,'Jann','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260028,'Vartik','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260029,'Zenartik','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260030,'Genekn','Master D''Vaen''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260031,'a wailing spirit','','','','',255,2915,43,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260032,'Jarn','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260033,'Gosaner','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260034,'Konaner','A wailing spirit''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260035,'Kabarer','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260036,'Jenanab','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260037,'Xarn','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260038,'Xebekn','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260039,'Lebekn','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260040,'Gobarab','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260041,'Gobekn','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260042,'Larer','A wailing spirit''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260043,'Zantik','A wailing spirit''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260044,'Xarann','A wailing spirit''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4260045,'Genober','A vile summoner''s grim spellbinder','','','',255,4548,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270001,'a charred minion','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,3150,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270002,'a charred acolyte','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,3060,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270003,'Sentry Yurur','','','','',2,110,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270004,'a charred diviner','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,3060,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270008,'a wraithly stalker','','','','',255,2930,44,3,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270009,'Sentry Bofon','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270010,'Sentry Thort','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270011,'Sentry Falthur','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270012,'Brother Bolerg','','','','',2,110,28,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270013,'Sir Whurar Darcal','<General Goods>','','','',2,110,28,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33210,0,0,0,0,0,0,0,0,0,0,0,0),
(4270014,'Sir Thothur Dorarr','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270015,'Lord Nalin Glordar','<Mender>','','','',2,110,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4270016,'Kalceta','','','','',255,6846,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270017,'Brother Morrim','','','','',2,110,28,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,33214,0,0,0,0,0,0,0,0,0,0,0,0),
(4270018,'Brother Gimeft','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270021,'Sentry Delain','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270023,'a charred sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,3485,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270025,'a scathe knight','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270026,'a scathe harbinger','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270027,'a scathe bishop','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270028,'a charred herald','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,3485,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270030,'a charred magus','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,3485,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270033,'a seared brute','','','','',255,161,64,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270038,'Galintari the Apocryphal','','','','',255,140,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270098,'Higban the Charred Sergeant','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270149,'01_widget_sigil_01',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270150,'01_widget_sigil_00',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270151,'01_widget_sigil_02',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270152,'widget_dog_corpse',NULL,'','','',0,2371,32,0,1,1,296,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270153,'01_widget_sigil_03',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270154,'01_widget_sigil_04',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270155,'widget_gravestone_0',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270156,'widget_gravestone_1',NULL,'','','',0,1854,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270157,'04_widget_grave_04',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270158,'04_widget_grave_03',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270159,'04_widget_grave_02',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270160,'04_widget_grave_01',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270161,'04_widget_grave_00',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270162,'04_widget_grave_12',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270163,'04_widget_grave_05',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270164,'04_widget_grave_15',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270165,'04_widget_grave_14',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270166,'04_widget_grave_13',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270167,'04_widget_grave_19',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270168,'04_widget_grave_16',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270169,'04_widget_grave_07',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270170,'04_widget_grave_06',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270171,'04_widget_grave_18',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270172,'04_widget_grave_17',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270173,'widget_horse_corpse',NULL,'','','',0,2372,32,0,1,1,296,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270174,'03_widget_sigil_00',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270175,'04_widget_grave_10',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270176,'04_widget_grave_08',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270177,'04_widget_grave_11',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270178,'04_widget_grave_09',NULL,'','','',0,2916,57,0,1,1,1082,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270179,'01_widget_sigil_07',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270180,'01_widget_sigil_06',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270181,'01_widget_sigil_05',NULL,'','','',0,2370,32,0,1,1,1081,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270182,'zone_to_antonica_0',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270183,'zone_to_antonica_1',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270184,'stonecrest ore',NULL,'','','',0,3957,37,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270185,'mesquite catch weed',NULL,'','','',0,1731,25,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270186,'beast den',NULL,'','','',0,4002,60,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270187,'wind swept stones',NULL,'','','',0,2378,13,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270188,'dry land shrubbery',NULL,'','','',0,4078,39,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4270189,'felled dry land arbor',NULL,'','','',0,3948,38,0,1,1,8,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280001,'a treespirit sapling','','','','',255,212,16,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280002,'a sunbathing treespirit','','','','',255,173,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280003,'a tainted treespirit','','','','',255,174,49,4,1,1,1097,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280004,'a treespirit protector','','','','',255,173,64,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280005,'a dryad trader','<Merchant>','','','',255,173,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280006,'Treespirit Elder','','','','',255,173,61,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280007,'Benas','Conjura''s earthen avatar','','','',255,2462,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280008,'a treespirit sapling','','','','',255,212,16,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280009,'a sunbathing treespirit','','','','',255,173,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280010,'a tainted treespirit','','','','',255,174,47,6,1,1,1097,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280011,'a treespirit protector','','','','',255,173,63,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280012,'a dryad trader','<Merchant>','','','',255,173,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280013,'Treespirit Elder','','','','',255,173,62,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280014,'Conch Shell',NULL,'','','',0,3963,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280015,'an airspirit',NULL,'','','',255,3710,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280016,'coral',NULL,'','','',0,3910,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280017,'a water sprite',NULL,'','','',255,195,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280018,'manifestation of pollution',NULL,'','','',255,8202,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280019,'sanddollar',NULL,'','','',0,3968,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280020,'coral',NULL,'','','',0,3912,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280021,'gem_cluster',NULL,'','','',0,6895,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280022,'an airspirit',NULL,'','','',255,3710,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280023,'a water sprite',NULL,'','','',255,8203,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280024,'manifestation of pollution',NULL,'','','',255,8202,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280025,'zone_to_antonica',NULL,'','','',0,10329,32,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4280026,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310001,'an athenaeum protector','','','','',255,7251,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310002,'The Athenaeum Curator','','','','',255,7251,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310003,'an entombed overseer','<The Flawlessly Preserved>','','','',255,1575,46,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310004,'an entombed embalmer','<The Flawlessly Preserved>','','','',255,1575,42,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310005,'an entombed runecaster','<The Flawlessly Preserved>','','','',255,1575,40,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310006,'a gathering scorpikis','','','','',255,7236,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310007,'an entombed architect','<The Flawlessly Preserved>','','','',255,1575,36,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310008,'an entranced spectator','<Charging Boar Fan>','','','',255,1575,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310009,'Sslatch','<Guardian of the Seal>','','','',255,7236,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310010,'an entombed spirit','','','','',255,9007,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310011,'Drago','<The Charging Boar>','','','',255,1575,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310012,'Cut-Me-Own-Tail Ssstibbler','<Arena Snack Hawker>','','','',255,1575,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310013,'Master of the Embalmers','<Guardian of the Seal>','','','',255,8773,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310014,'Octuss','<The Jade Warrior>','','','',255,1574,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310015,'Sslortis','<The Sapphire Swordsman>','','','',255,103,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310016,'Nightfall','<The Inexorable Darkness>','','','',255,1575,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310017,'Sunrise','<The Approaching Dawn>','','','',255,1574,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310018,'a mummified ritualist','','','','',255,8768,41,8,1,1,11,0,183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310019,'a predatory scorpion','','','','',255,251,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310020,'a rampaging scorpion','','','','',255,251,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310021,'a debilitating scorpion','','','','',255,250,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310023,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310028,'green_crystal',NULL,'','','',0,49,32,0,1,1,346,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310030,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310031,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310032,'widget_green_crystal_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,831,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,831,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,831,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,831,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310037,'yellow_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310038,'green_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310039,'purple_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310040,'To Jarsath Wastes',NULL,'','','',0,49,32,0,0,0,347,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4310041,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330000,'a moppet','','','','',255,149,9,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330001,'Antonius','','','','',255,149,9,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330002,'Fiddy Bobick','<The Moppet Master>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330003,'Lucan','','','','',255,149,9,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330004,'fprt_tables_scribedesk01 ',NULL,'','','',0,1517,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330005,'qst_unseenhand_kitchen_1',NULL,'','','',0,1399,32,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330006,'table',NULL,'','','',0,15126,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330007,'sebilis_door',NULL,'','','',0,7711,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330008,'moppet_globe',NULL,'','','',0,7261,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330009,'bookcase_long_table',NULL,'','','',0,2780,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330010,'bookcase_science',NULL,'','','',0,3002,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330011,'bookcase_mechanimagica',NULL,'','','',0,3005,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330012,'bookcase_arcana',NULL,'','','',0,3003,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330013,'bookcase_mechanimagica',NULL,'','','',0,3004,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330014,'force_field_scrolls',NULL,'','','',0,4544,36,0,1,1,0,0,3443,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330015,'shadow_scroll_case',NULL,'','','',0,5640,32,0,1,1,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330016,'moppet_loom',NULL,'','','',0,2828,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4330017,'zone_to_torsis_door',NULL,'','','',0,49,32,0,1,1,718,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380000,'a Broken Skull buccaneer','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380001,'a Broken Skull buccaneer','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,1,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380002,'a Broken Skull deathbringer','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380003,'a Broken Skull mystic','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,1,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380004,'Commander Rallosar','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380005,'Zibeker','A Broken Skull deathbringer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380006,'Vobartik','A Broken Skull deathbringer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380007,'a Spicerunner deck hand','','','','',11,92,32,0,1,1,11,0,0,1,1,1,0,1,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380008,'a Spicerunner trafficker','','','','',11,97,32,0,1,1,11,0,0,1,1,1,0,1,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380009,'a Spicerunner ember hurler','','','','',11,81,32,0,1,1,11,0,0,1,1,1,0,1,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380010,'a Spicerunner gale bringer','','','','',11,92,32,0,1,1,11,0,0,1,1,1,0,1,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380011,'a Spicerunner recruit','','','','',11,92,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380012,'a Spicerunner spicemistress','','','','',11,93,32,0,1,1,11,0,0,1,1,1,0,1,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380013,'a Thexian corsair','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380014,'a Thexian corsair','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380015,'a Thexian brine contaminator','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380016,'a Thexian wave crasher','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380017,'a Thexian corsair recruit','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380018,'a Thexian commander','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380019,'Xonekn','A Thexian brine contaminator''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380020,'Loseker','A Thexian brine contaminator''s minion','','','',255,2833,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380022,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380023,'foot_locker',NULL,'','','',0,2655,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380024,'goblin_table01',NULL,'','','',0,1541,26,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380025,'card_table',NULL,'','','',0,1386,28,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380026,'bookcase_2',NULL,'','','',0,1410,32,0,0,0,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380027,'bookcase_1',NULL,'','','',0,1409,32,0,0,0,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380028,'chair_1',NULL,'','','',0,1391,29,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380029,'treasure_chest',NULL,'','','',0,2902,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380030,'a large pillar',NULL,'','','',0,2903,49,0,1,1,0,0,0,0,0,0,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380031,'singlebed001',NULL,'','','',0,1472,32,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380032,'table_1',NULL,'','','',0,1401,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4380033,'stormhold_door',NULL,'','','',0,1881,32,0,0,0,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390000,'a dusty vase','','','','',255,4564,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390001,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390002,'a mist grinnin fisher','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390003,'a mist grinnin brute','','','','',255,1346,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390004,'a bloated muckfly','','','','',255,2389,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390005,'a larval feeder','','','','',255,284,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390006,'a mist grinnin herbalist','','','','',255,1346,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390007,'a Neonate vanquisher','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390008,'a Neonate satiator','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390009,'a crumbling wall','','','','',255,4642,35,3,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390010,'a dusty coffin','','','','',255,4602,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390011,'a fleshgoyle','','','','',255,4545,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390012,'a ravenous feeder','','','','',255,284,89,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390013,'a bloated muckfly','','','','',255,2389,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390014,'a mist grinnin theurgist','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390015,'a hellhound','','','','',255,4527,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390016,'a mist grinnin ruffian','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390017,'a flesh draped knight','','','','',9,4542,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390018,'a mist grinnin sporechanter','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390019,'an albino hatchling','','','','',255,227,95,2,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390020,'a soul parasite','','','','',255,236,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390021,'a mist grinnin netslinger','','','','',255,1346,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390022,'a jagmouth','','','','',255,204,80,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390023,'an Adherant slayer','','','','',1,4631,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390024,'a Neonate ravager','','','','',1,4632,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390025,'a flesh draped swordsman','','','','',9,4539,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390026,'an Adherant vanquisher','','','','',1,4631,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390027,'a Neonate seer','','','','',1,4632,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390028,'a Neonate diabolist','','','','',1,4633,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390029,'a flesh draped mage','','','','',9,4535,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390030,'an Adherant ravager','','','','',1,4632,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390031,'an albino cave snake','','','','',255,227,143,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390032,'a mist grinnin angler','','','','',255,1346,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390033,'a mist grinnin savage','','','','',255,1346,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390034,'a Neonate slayer','','','','',1,4636,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390035,'a mist grinnin witchclaw','','','','',255,1346,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390036,'a drained grinnin','','','','',255,1346,41,0,1,1,0,0,11769,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390037,'a Neonate slayer','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390038,'a mist grinnin cultivator','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390039,'an Adherant prophet','','','','',1,4636,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390040,'Dvith N''Zur','','','','',1,4634,44,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390041,'a wounded scout','','','','',9,134,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390042,'a weakened grinnin','','','','',255,4673,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390043,'Rhayn T`Dax','','','','',1,4634,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390044,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390045,'zone_to_nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4390046,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400000,'Legends of Norrath Armor mannequin','','','','',0,8050,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400001,'Mott Muttle','<Legends of Norrath Curator>','','','',0,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400002,'Collector Rattelis','','','','',0,59,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400003,'Legends of Norrath particle mannequin','','','','',0,8096,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400004,'Collector Rattelis','','','','',13,59,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400005,'Legends of Norrath backpack mannequin','','','','',2,8095,48,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400006,'Legends of Norrath Cloak mannequin','','','','',9,8050,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400007,'Mott Muttle','<Legends of Norrath Curator>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400008,'Legends of Norrath Armor mannequin','','','','',9,8050,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400009,'a Frost Dire Bear','','','','',255,9786,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400010,'a Fiery Dire Bear','','','','',255,9998,32,0,1,1,0,0,0,0,0,1,0,0,36,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400011,'Badge of the Kromise illusion','','','','',255,4014,19,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400012,'Sword of the Void illusion','','','','',255,8928,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400013,'Staff of the Lich illusion','','','','',255,8770,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400014,'Elon Ogulads','<Vhalen''s Tribute Band Promoter>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400015,'Mygar Ciato','<Vhalen''s Tribute Band: Vocals & Lead Mandolin>','','','',9,112,32,0,1,1,0,0,15260,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400016,'Gejer Emyss','<Vhalen''s Tribute Band: Drummer>','','','',9,134,32,0,1,1,0,0,15258,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400017,'Badge of Thyr illusion','','','','',255,4116,19,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400018,'a void warrior','','','','',255,8929,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400019,'hay_1',NULL,'','','',0,1848,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400020,'qey_guildhall_door_1',NULL,'','','',0,9889,40,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400021,'erudin sconce',NULL,'','','',0,12540,16,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400022,'grass',NULL,'','','',0,11054,180,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400023,'mine lantern',NULL,'','','',0,7326,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400024,'trough',NULL,'','','',0,3338,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400025,'Skeletal Valet',NULL,'','','',0,4538,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400026,'Bixie Companion',NULL,'','','',0,163,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400027,'Necromantic Construct Illusion',NULL,'','','',0,12471,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400028,'Tallonite Defender Illusion',NULL,'','','',0,14275,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400029,'Display Cushion',NULL,'','','',0,11438,25,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400030,'Mistress of Nizara Illusion',NULL,'','','',255,50003,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400031,'Beast of the Snows Illusion',NULL,'','','',255,7257,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400032,'Tamed Naiad House Pet',NULL,'','','',255,50006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400033,'Blooms of Renewal',NULL,'','','',0,15867,38,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400034,'a plaque',NULL,'','','',0,7004,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400035,'Grimebelly Wakes',NULL,'','','',0,15869,38,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400036,'The Sacred Grove',NULL,'','','',0,15868,38,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400037,'a plaque',NULL,'','','',0,7004,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400038,'Dark Shadowmagic',NULL,'','','',0,15866,38,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400039,'mount',NULL,'','','',0,15835,32,0,1,1,0,0,0,0,0,0,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400040,'mount',NULL,'','','',0,15730,32,0,1,1,0,0,0,0,0,0,0,0,177,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400041,'mount',NULL,'','','',0,15738,32,0,1,1,0,0,0,0,0,0,0,0,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400042,'mount',NULL,'','','',0,14498,32,0,1,1,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400043,'a plaque',NULL,'','','',0,7004,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400044,'',NULL,'','','',0,49,32,0,1,1,841,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400045,'',NULL,'','','',0,49,32,0,1,1,841,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400046,'void_remnant',NULL,'','','',0,8264,16,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400047,'a plaque',NULL,'','','',0,7004,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400048,'Traveler''s Backpack',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400049,'mysterious key',NULL,'','','',0,6948,64,0,1,1,0,0,1045,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400050,'defender painting',NULL,'','','',0,10748,44,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400051,'particle effect',NULL,'','','',0,8050,48,0,1,1,0,0,19036,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400052,'particle effect',NULL,'','','',0,8050,48,0,1,1,0,0,19035,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400053,'tapestry_arachnid',NULL,'','','',0,11106,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400054,'malevolence painting',NULL,'','','',0,10749,44,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400055,'tapestry_bard',NULL,'','','',0,11454,44,0,1,1,0,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400056,'paradox painting',NULL,'','','',0,10746,44,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400057,'sporali painting',NULL,'','','',0,10747,44,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400058,'defective lamp',NULL,'','','',0,5321,32,0,1,1,1138,0,0,0,0,1,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400059,'Sabertooth Tiger',NULL,'','','',0,5249,19,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400060,'tapestry_roadyle',NULL,'','','',0,11107,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400061,'tapestry_kruzz',NULL,'','','',0,11108,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400062,'',NULL,'','','',0,49,32,0,1,1,1139,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400063,'',NULL,'','','',0,49,32,0,1,1,1139,0,0,0,0,1,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400064,'painting_18',NULL,'','','',0,9349,44,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400065,'tapestry_5',NULL,'','','',0,9361,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400066,'painting_24',NULL,'','','',0,9355,44,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400067,'painting_27',NULL,'','','',0,9358,44,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400068,'painting_26',NULL,'','','',0,9357,44,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400069,'painting_25',NULL,'','','',0,9356,44,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400070,'golden_nightblood',NULL,'','','',0,9806,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400071,'tapestry_6',NULL,'','','',0,9362,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4400072,'tapestry_7',NULL,'','','',0,9363,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410001,'an earthspirit trader','<Merchant>','','','',255,5096,22,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410002,'a crystal cultivator','','','','',255,5096,15,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410003,'ss_rocks_group01',NULL,'','','',0,5106,16,0,1,1,0,0,0,0,0,0,0,0,442,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410004,'crystal group',NULL,'','','',0,10324,6,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410005,'nekf_mushroom_a_mature',NULL,'','','',0,1523,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410006,'mushroom_young',NULL,'','','',0,1524,9,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410007,'crystal_formation_01',NULL,'','','',0,10974,6,0,1,1,0,0,0,0,0,0,0,0,563,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410008,'crystals_01',NULL,'','','',0,1910,32,0,1,1,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410009,'an earthessence composter',NULL,'','','',255,8171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410010,'a nature spirit',NULL,'','','',255,9532,19,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410011,'mushroom_lavender',NULL,'','','',0,10328,35,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410012,'crystal_formation_03',NULL,'','','',0,10973,4,0,1,1,0,0,0,0,0,0,0,0,593,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410013,'crystal_formation_02',NULL,'','','',0,10975,5,0,1,1,0,0,0,0,0,0,0,0,560,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410014,'crystals_02',NULL,'','','',0,1911,5,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410015,'an earthessence cultivator',NULL,'','','',255,8175,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410016,'A Nature Spirit Elder',NULL,'','','',255,9532,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410017,'crystals_03',NULL,'','','',0,1912,55,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410018,'earth elemental',NULL,'','','',255,8059,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410019,'compost heap',NULL,'','','',0,3985,96,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410020,'zone_to_nektulos',NULL,'','','',0,10329,32,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4410021,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420001,'a brownie piper','','','','',15,1441,12,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420002,'a brownie minstrel','','','','',15,1443,12,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420003,'a brownie drummer','','','','',15,1451,12,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420004,'a brownie dancer','','','','',15,1445,12,0,1,1,1098,0,16589,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420005,'a brownie trader','<Merchant>','','','',15,1451,12,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420006,'A Brownie Elder','','','','',15,1447,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420007,'a brownie mischiefmaker','','','','',15,113,12,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420008,'qey_boulder02',NULL,'','','',0,1725,64,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420009,'Spicebracket Fungus',NULL,'','','',0,9489,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420010,'barrel',NULL,'','','',0,5287,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420011,'a fae drake',NULL,'','','',255,6536,19,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420012,'qst_flower',NULL,'','','',0,10168,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420013,'a faun dancer',NULL,'','','',255,6539,32,0,1,1,0,0,11299,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420014,'a faun',NULL,'','','',255,6539,32,0,1,1,0,0,11299,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420015,'A Faun Elder',NULL,'','','',255,7038,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420016,'a faun taster',NULL,'','','',255,6539,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420017,'a faun brewer',NULL,'','','',255,6539,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420018,'Brewing Stump',NULL,'','','',0,10455,19,0,1,1,4,0,0,0,0,1,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420019,'zone_to_darklight',NULL,'','','',0,10329,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4420020,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,16384,0,0,0),
(4420021,'sweetvine roots',NULL,'','','',0,1732,48,0,1,1,2,0,0,0,0,1,1,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430001,'a tunarean hawk','','','','',255,260,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430002,'a dragonfly','','','','',255,2389,46,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430003,'a tunarean eyass','','','','',255,260,9,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430004,'a tunarean stag','','','','',255,2414,49,7,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430005,'a tunarean fawn','','','','',255,206,15,5,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430006,'a hopper','','','','',255,224,36,5,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430007,'a beaver','','','','',255,207,35,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430008,'a baby beaver','','','','',255,207,6,0,1,1,0,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430009,'a pixie growthtender','','','','',255,181,32,0,1,1,0,0,3752,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430010,'a pixie trader','<Merchant>','','','',255,181,32,0,1,1,10,1265,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430011,'a dragonfly','','','','',255,2389,55,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430012,'A Pixie Elder','','','','',255,181,48,0,1,1,9,0,3749,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430013,'a grove protector','','','','',255,268,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430014,'pf_falconeggs_unbroken',NULL,'','','',0,5200,26,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430015,'eh medium rock',NULL,'','','',0,10432,15,0,1,1,0,0,0,0,0,0,0,0,454,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430016,'pf_nest_harpy01',NULL,'','','',0,5201,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430017,'a thicket',NULL,'','','',0,4004,90,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430018,'a thicket',NULL,'','','',0,4003,149,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430019,'a fae drake',NULL,'','','',255,6536,19,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430020,'lamppost',NULL,'','','',0,8343,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430021,'flower vine',NULL,'','','',0,10458,32,0,1,1,0,0,0,0,0,0,0,0,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430022,'flower vine',NULL,'','','',0,10460,32,0,1,1,0,0,0,0,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430023,'flower',NULL,'','','',0,10459,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430024,'zone_to_greater_faydark',NULL,'','','',0,10329,32,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4430025,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440001,'a naiad patroller','','','','',255,50004,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440002,'Pitcher Plant',NULL,'','','',0,1678,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440003,'a puddlejumper',NULL,'','','',255,237,12,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440004,'a turtle',NULL,'','','',255,215,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440005,'fern',NULL,'','','',0,1736,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440006,'a sea turtle',NULL,'','','',255,218,17,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440007,'a water spirit',NULL,'','','',255,195,17,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440008,'a mosquito',NULL,'','','',255,6289,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440009,'a water sprite',NULL,'','','',255,8203,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440010,'fern seeds',NULL,'','','',0,1670,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440011,'a naiad waterworker',NULL,'','','',255,50006,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440012,'a naiad trader',NULL,'','','',255,50005,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440013,'a naiad guardian',NULL,'','','',255,50004,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440014,'A Naiad Elder',NULL,'','','',255,50003,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440015,'zone_to_enchanted',NULL,'','','',0,10329,32,0,1,1,45,0,0,0,0,1,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4440016,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4450000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4450001,'Champion Ze''fien','','','','',1,116,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4450002,'a virulent creeper','','','','',255,243,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4450003,'orcish_throne',NULL,'','','',0,1435,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4450004,'evil skull flaming',NULL,'','','',0,2871,41,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4450005,'Zone to Nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460001,'a fallen challenger','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460002,'a fallen challenger','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460003,'a fallen challenger','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460004,'a failed contestant','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460005,'a failed contestant','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460006,'a cursed warrior','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460007,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460008,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460009,'burial_shroud',NULL,'','','',0,2880,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4460010,'Zone to Nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470000,'a Necrosis conscript','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470001,'a Necrosis auger','','','','',255,145,32,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470002,'a Necrosis shrew','','','','',255,145,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470003,'a Necrosis miner','','','','',255,145,39,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470004,'Ch''Uman the Forgotten','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470005,'a Necrosis guard','','','','',255,145,41,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470006,'a Necrosis crone','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470007,'a Necrosis thaumaturge','','','','',255,145,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470008,'a limestone watcher','','','','',255,1370,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470010,'a Necrosis miner','','','','',255,145,33,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470011,'a Necrosis miner','','','','',255,145,31,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470012,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470013,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470014,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470015,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470016,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470017,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470018,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470019,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470020,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470021,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470022,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470023,'',NULL,'','','',0,49,32,0,1,1,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470024,'debris_sewer_04',NULL,'','','',0,4477,41,0,1,1,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470025,'trapdoor',NULL,'','','',0,2907,33,0,1,1,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470026,'trapdoor_frame',NULL,'','','',0,2906,32,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470027,'01_widget_sigil_00',NULL,'','','',0,4462,12,0,1,1,1066,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470028,'zone_to_antonica',NULL,'','','',0,4104,32,0,1,1,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470029,'a Necrosis conscript','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470030,'a Necrosis auger','','','','',255,145,32,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470031,'a Necrosis shrew','','','','',255,145,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470032,'a Necrosis miner','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470033,'Ch''Uman the Forgotten','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470034,'a Necrosis guard','','','','',255,145,41,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470035,'a Necrosis crone','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470036,'a Necrosis thaumaturge','','','','',255,145,34,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470037,'a limestone watcher','','','','',255,1370,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470038,'a Necrosis miner','','','','',255,145,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470039,'a Necrosis miner','','','','',255,145,31,2,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470041,'Leetar the Old Crone','','','','',255,145,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470042,'Thaumaturge Zumzum','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470043,'a Necrosis beldame','','','','',255,145,41,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470044,'a Necrosis seer','','','','',255,145,38,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470045,'Bek''Tar the Mighty','','','','',255,145,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470046,'a Necrosis elite guard','','','','',255,145,44,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470047,'Wraithcaller Ji''Lum','','','','',255,145,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470048,'Vindiami the Ancient','','','','',255,1370,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470049,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470050,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470051,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470052,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470053,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470054,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470055,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470056,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470057,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470058,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470059,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470060,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470061,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470062,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470063,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470064,'',NULL,'','','',0,49,32,0,0,0,1067,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470065,'goblin_tent02',NULL,'','','',0,1545,29,0,0,0,0,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470066,'debris_sewer_04',NULL,'','','',0,4477,41,0,0,0,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470067,'goblin_tent01',NULL,'','','',0,1544,32,0,0,0,871,0,0,0,0,0,0,0,296,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470068,'trapdoor',NULL,'','','',0,2907,33,0,0,0,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470069,'trapdoor_frame',NULL,'','','',0,2906,32,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470070,'01_widget_sigil_00',NULL,'','','',0,4462,12,0,0,0,1066,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4470071,'zone_to_antonica',NULL,'','','',0,4104,32,0,0,0,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480000,'Jimmy Runner','<Barley Farmer>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480001,'a bar patron','','','','',13,56,32,0,1,1,0,0,0,0,0,1,0,0,19,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480002,'Dwayne Rockbeard','<Bartender>','','','',2,1482,32,0,1,1,9,1265,0,0,0,1,0,0,18,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480003,'ceiling_chandelier_human_ornate02',NULL,'','','',0,3430,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480004,'floor_table_gnome_round',NULL,'','','',0,2064,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480005,'floor_mug_human_plain02',NULL,'','','',0,3383,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480006,'floor_mug_human_ornate01',NULL,'','','',0,3381,32,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480007,'rug',NULL,'','','',0,3513,26,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480008,'rug',NULL,'','','',0,3514,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480009,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480010,'card_table',NULL,'','','',0,1386,28,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480011,'rug',NULL,'','','',0,3512,64,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480012,'floor_candleholder_human_ornate03',NULL,'','','',0,3443,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480013,'floor_crate_darkelf_wood02',NULL,'','','',0,2678,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480014,'floor_potionbottle_any_small01',NULL,'','','',0,2623,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480015,'floor_potionbottle_any_large01',NULL,'','','',0,2614,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480016,'floor_roundcounter_human_stone01',NULL,'','','',0,3145,32,0,0,0,0,0,0,0,0,0,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480017,'divider',NULL,'','','',0,10686,40,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480018,'floor_chair02_gnome_plain',NULL,'','','',0,2012,38,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480019,'floor_chessboard_any_ornate01',NULL,'','','',0,4445,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480020,'floor_chair01_gnome_plain',NULL,'','','',0,2009,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480021,'floor_chair_any_bar02',NULL,'','','',0,2633,28,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480022,'floor_potionbottle_any_medium01',NULL,'','','',0,2619,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4480023,'zone_to_bar',NULL,'','','',0,49,32,0,1,1,1044,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490000,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490001,'a pirate guard','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490002,'a treasure sorter','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490003,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490004,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490005,'a pirate guard','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490006,'a pirate guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490007,'an intoxicated pirate','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490008,'Grandpa Blumble','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490009,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490010,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490011,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490012,'fprt_bench_plainlong01',NULL,'','','',0,1492,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490014,'rock01',NULL,'','','',0,1550,128,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490015,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490016,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490017,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490018,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490019,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,0,0,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490020,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490021,'qst_galintos_bedframe_1',NULL,'','','',0,1406,32,0,0,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4490022,'rock01',NULL,'','','',0,1550,32,0,0,0,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500000,'Cloud','','','','',255,508,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500001,'a crazed sect member','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500002,'a Dismal Rage toxxulian','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500003,'a Dismal Rage plague carrier','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500004,'an injured sect member','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500005,'a Dismal Rage toxxulian','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500006,'a Dismal Rage plague carrier','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500007,'a Bloodsaber sect leader','','','','',13,63,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500008,'a Bloodsaber ritulaist','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500009,'a Bloodsaber thug','','','','',13,55,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500010,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500012,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500013,'wall_portrait_human_girl07',NULL,'','','',0,3206,16,0,0,0,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500014,'floor_table_human_workbench01',NULL,'','','',0,3619,32,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500015,'to_antonica',NULL,'','','',0,49,32,0,1,1,1077,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4500016,'stormhold_door',NULL,'','','',0,1881,45,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510001,'an Erudin bibliothecary','','','','',3,10020,40,2,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510002,'a distracted Erudin librarian','','','','',3,10020,41,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510003,'Custodian Tajiff','','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510004,'Cataloger Jamillah','','','','',3,10020,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510005,'Rafiqa','<Scions of the Deepwater Knights>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510006,'a Gruengach enforcer','','','','',255,11749,44,7,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510007,'an unstable enchanted tome','','','','',255,11067,54,3,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510008,'an Erudin primarch initiate','','','','',3,10020,44,2,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510009,'an unworthy Erudin apprentice','','','','',3,10020,31,1,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510010,'Custodian Jark','','','','',9,119,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510011,'Custodian Naddar','','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510012,'Conservator Haidar','','','','',3,10021,53,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510013,'Head Archivist Farooq','','','','',3,10021,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510014,'Shahrivar the Unquenchable','','','','',255,8958,126,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510015,'a grizzled Gruengach enforcer','','','','',255,11746,47,5,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510016,'Gosaner','Scholar Primarch Basir''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510017,'Scholar Primarch Basir','','','','',3,10021,55,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510018,'Scholar Primarch Zaahir','','','','',3,10021,53,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510019,'Zosekn','Scholar Primarch Abdalaziz''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510020,'Scholar Primarch Abdalaziz','','','','',3,10021,53,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510021,'Scholar Primarch Saif','','','','',3,10021,54,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510022,'an Erudin abecedarian','','','','',3,10021,32,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510023,'Archivist Fahim','','','','',3,10021,56,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510024,'an ancient enchanted tome','','','','',255,11066,64,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510025,'Scholar Primarch Rais','','','','',3,10021,51,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510026,'Scholar Primarch Jathibiyya','','','','',3,10021,57,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510027,'Scholar Primarch Najwa','','','','',3,10021,57,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510028,'erudin_exit_clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,503,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510030,'glass_case_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510031,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510032,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,789,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510033,'library_symbol',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510034,'house_item_widget_erudin_palace',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,417,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510035,'grand_hall_symbol_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510036,'grand_hall_symbol_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,388,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,388,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,388,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,383,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,383,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,383,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,383,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,388,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510054,'grand_hall_symbol_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510057,'archive_teleporter',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510058,'shadows book cube',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510059,'void book cube',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510060,'bookramp_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510062,'Trove of Knowledge',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510063,'Ancient Power Font',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510065,'',NULL,'','','',0,11065,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510066,'',NULL,'','','',0,11066,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510067,'corpse_primarch_chest_01',NULL,'','','',0,12634,32,0,1,1,0,0,0,0,0,1,1,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510068,'?',NULL,'','','',0,7656,32,0,1,1,6,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510069,'?',NULL,'','','',0,12643,32,0,1,1,6,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4510070,'?',NULL,'','','',0,7658,32,0,1,1,6,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520000,'Rafiqa','<Scions of the Deepwater Knights>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520001,'an incomplete magitech gazer','','','','',255,10529,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520002,'a revered lorespinner','<Erudin Loyalists>','','','',3,10021,47,6,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520003,'a merciless overseer','<Erudin Loyalists>','','','',3,10021,48,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520004,'a malevolent magitechnician','<Erudin Loyalists>','','','',3,10020,47,4,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520005,'an enslaved tinkerer','','','','',5,121,31,5,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520006,'Beam Handler Val''Kinad','<Erudin Loyalists>','','','',3,10020,54,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520007,'a malicious technomagus','<Erudin Loyalists>','','','',3,10020,47,6,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520008,'Beam Handler Polla','<Erudin Loyalists>','','','',3,10020,52,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520009,'Taranis Gazerra','','','','',255,10528,224,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520010,'Beam Handler Pin''Tannil','<Erudin Loyalists>','','','',3,10021,56,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520011,'Beam Handler Ran','<Erudin Loyalists>','','','',3,10021,54,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520012,'laser','','','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520013,'a magitech tarantula','','','','',255,6679,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520014,'an incomplete deathgazer','','','','',255,12993,176,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520015,'an awed technomagus','<Erudin Loyalists>','','','',3,10020,48,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520016,'V''lad Olkeen','<Erudin Loyalists>','','','',3,10021,64,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520017,'launcher','','','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520018,'erudin_exit_clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520023,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,814,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520025,'Flowing Banner',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,349,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520026,'sound_barrier',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520027,'contraption cube 1a',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520028,'contraption cube 4a',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520029,'Erudin Research Halls Cog Gear',NULL,'','','',0,3179,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520030,'contraption cube 1b',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520031,'gazer boss green shower',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520032,'wires and plugs',NULL,'','','',0,10806,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520033,'contraption cube 4b',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520034,'contraption cube 3a',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520035,'contraption cube 2a',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520036,'contraption cube 2b',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520037,'laser mirror',NULL,'','','',0,12662,22,0,1,1,52,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520038,'laser_blocker',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520039,'laser',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520040,'contraption cube 3b',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520041,'dormant_lights',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520042,'launchpad',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520043,'mirror_resetter',NULL,'','','',0,10466,32,0,1,1,802,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4520044,'mirror_resetter',NULL,'','','',0,49,32,0,1,1,803,0,0,0,0,1,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530001,'Rafiqa','<Scions of the Deepwater Knights>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530002,'an arrogant dark-magicker','<El''Arad''s Retinue>','','','',3,10021,37,5,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530003,'a defiled pegasus','<Dark-magicker Thrall>','','','',255,11726,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530004,'a conceited chevalier','<El''Arad''s Retinue>','','','',3,12875,44,6,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530005,'El''Arad, Lord Primarch of Erudin','<Emissary of Roehn Theer>','','','',3,12847,64,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530006,'Zordiac the Horned Negotiator','<El''Arad''s Retinue>','','','',255,11746,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530007,'Praun the Interrogator','<El''Arad''s Retinue>','','','',255,11748,44,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530008,'Warlord Yuengtash','<Shield-guardian of El''Arad>','','','',255,11747,54,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530009,'Clefthoof Archmagus Manno','<El''Arad''s Retinue>','','','',255,11749,41,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530010,'a palace gruengach royal guard','<El''Arad''s Retinue>','','','',255,11745,32,6,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530011,'a palace gruengach diviner','<El''Arad''s Retinue>','','','',255,11749,32,6,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530012,'a palace gruengach confessor','<El''Arad''s Retinue>','','','',255,11746,34,4,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530013,'a palace gruengach asperser','<El''Arad''s Retinue>','','','',255,11748,31,6,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530014,'a tortured cavalier','<Deepwater Knights>','','','',9,11865,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530015,'a slain knight','<Deepwater Knights>','','','',3,1521,45,3,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530016,'a sorrowful shade','<Deepwater Knights>','','','',9,134,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530017,'a haughty chevalier','<El''Arad''s Retinue>','','','',3,10020,38,6,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530018,'a contemptuous intimidator','<El''Arad''s Retinue>','','','',3,10020,38,6,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530019,'an aloof haruspex','<El''Arad''s Retinue>','','','',3,10020,38,5,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530020,'Fragment of Mash''al','','','','',3,10021,48,0,1,1,11,0,17267,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530021,'an imperious philosopher','<El''Arad''s Retinue>','','','',3,10021,38,6,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530022,'Fragment of Mash''al','','','','',3,10021,48,0,1,1,11,0,17267,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530023,'Gloom Chevalier Faris','<Prime Architect>','','','',3,10020,41,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530024,'tome of shadows','','','','',255,13134,48,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530025,'Al''Kabor','<The Duality>','','','',3,12875,48,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530026,'a furiously pacing psychopath','<El''Arad''s Retinue>','','','',3,10020,35,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530027,'a bloodthirsty psychopath','<El''Arad''s Retinue>','','','',3,10021,40,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530028,'a failed escapee','<Paineel Delegation>','','','',9,1593,30,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530029,'a trapped ambassador','<Paineel Delegation>','','','',9,1594,33,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530030,'a cowardly sycophant','<El''Arad''s Retinue>','','','',9,1603,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530031,'Roehn Theer','<The Sentinel of Balance>','','','',3,11675,128,0,1,1,0,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530032,'Mash''al','<The Necrolord>','','','',3,12875,48,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530033,'a venerable cavalier','<Deepwater Knights>','','','',9,119,32,3,1,1,0,0,496,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530034,'Mash''al','<The Necrolord>','','','',3,10021,48,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530035,'Mash''al','<The Fallen Necrolord>','','','',3,11219,48,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530036,'a palace gruengach confessor','<Zordiac Retainer>','','','',255,11746,31,4,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530037,'a palace gruengach diviner','<Manno Retainer>','','','',255,11749,25,4,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530038,'a palace gruengach asperser','<Praun Retainer>','','','',255,11745,24,2,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530039,'a palace gruengach royal guard','<Yeungtash Retainer>','','','',255,11748,33,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530040,'erudin_exit_clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530041,'2st floor top 03 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530042,'2st floor elevator 03 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530044,'1st floor elevator clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530045,'4th floor disc clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530046,'2st floor top 04 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530047,'2st floor elevator 04 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530049,'1st floor elevator clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530050,'2st floor top 01 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530051,'2st floor elevator 01 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530053,'house_item_widget_erudin_palace',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530054,'2st floor top 02 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530055,'2st floor elevator 02 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530056,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530057,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530058,'4th floor elevator clicky top',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530059,'4th floor elevator clicky bottom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530060,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,344,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530061,'02_pivot_door_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530062,'02_pivot_door_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530063,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,843,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530064,'02_pivot_door_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530065,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,729,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530066,'02_pivot_door_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530067,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3843,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530070,'defensive cube',NULL,'','','',0,6313,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530071,'4th_floor_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530072,'bookramp_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530073,'Secret Wall',NULL,'','','',0,12584,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530074,'An Ornate Lockbox',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4530075,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540000,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540001,'a tormented Zeklord','','','','',255,10531,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540002,'Stamper Jeralf','<Bloodfree''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540003,'Bellut Shortsong','<Inviteone''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540004,'a Tallonite Maru-zonn','','','','',9,11750,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540005,'a Tallonite Maru-amahn','','','','',9,11751,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540006,'a vicious zekling','','','','',255,10531,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540007,'Malenor','<The Battle Fury>','','','',9,5993,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540008,'Krronr','<The Destructor>','','','',9,5993,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540009,'High Marus Alaric','<Culler of the Weak>','','','',9,11754,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540010,'a primal zekling','','','','',255,10531,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540011,'a Tallonite Maru-lozonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540012,'Morgnon','<The Preserver>','','','',9,5993,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540013,'Kardag','<The Blade>','','','',9,5993,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540014,'Layily Tor''Em','<Bastion of the Tranquil>','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540015,'an ancient Zeklord','','','','',255,10531,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540016,'an angry Tallonite razor-maw','','','','',255,11051,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540017,'Thanaraax','<Iron Devourer>','','','',9,10529,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540018,'Ikm Ow''Od','<Bastion of the Tranquil>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540019,'a blood-rage daemon','','','','',9,5993,54,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540020,'a greater blood-rage daemon','<Tallonite Summoned Destroyer>','','','',9,5993,64,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540021,'Traah Isw''Gel','<Bastion of the Tranquil>','','','',9,1591,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540022,'Tartan of Zek','<The Strong>','','','',9,11050,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540023,'Cadducian of Zek','<The Furious>','','','',9,11050,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540024,'Raamum of Zek','<The Ever Living>','','','',9,11050,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540025,'a fanged Zeklord','','','','',255,10532,128,0,1,1,11,0,15640,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540026,'freezer_crate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540029,'Switch Sphere Navigation',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540030,'Con Switch Base 00',NULL,'','','',0,11845,48,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540031,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540032,'Switch Sphere Cargo',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540033,'portal effect cube',NULL,'','','',0,12006,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540034,'static_door_barrier',NULL,'','','',0,11780,32,0,1,1,0,0,0,0,0,0,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540035,'static_door_barrier_tunnel',NULL,'','','',0,11779,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540036,'Door Switch Base',NULL,'','','',0,11843,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540037,'Switch Sphere Skydeck',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540038,'portal_disc',NULL,'','','',0,11846,80,0,1,1,0,0,2602,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540039,'Sky Deck Barrier',NULL,'','','',0,11842,32,0,1,1,0,0,0,0,0,0,0,0,1294,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540040,'Tube Blocker',NULL,'','','',0,4544,128,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540041,'Switch Sphere Captain',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540042,'Door Sphere Sent03 - Lower Tunnel',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540043,'Containment Sphere',NULL,'','','',0,2306,128,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540044,'Switch Sphere Navigation Teleport',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540045,'Lower Tunnel 03 - Activated Sky Deck 2',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540046,'door_sphere_officer_02',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540047,'door_sphere_officer_01',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540048,'door_sphere_skydeck_02',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540049,'door_sphere_refectory_01',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540050,'door_sphere_refectory_02',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540051,'',NULL,'','','',0,12734,64,0,1,1,147,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4540052,'',NULL,'','','',0,49,32,0,1,1,458,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550001,'a submerged crazed construct','','','','',255,8050,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550002,'a crazed construct','','','','',255,8050,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550003,'an oily mass','<Corrupted Underfoot Essence>','','','',255,8200,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550004,'a pure coalescence of earth','<Underfoot Essence>','','','',255,8059,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550005,'an agitated storm','<Underfoot Essence>','','','',255,7241,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550006,'Gemon','<Knowledge Keeper>','','','',255,11748,28,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550007,'Lamis','<Master of Disguises>','','','',255,11749,28,0,1,1,10,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550008,'Jael','','','','',255,11749,28,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550009,'Petraeus','<Old Gruengach>','','','',255,11746,28,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550010,'a trapped prisoner','','','','',3,5987,27,5,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550011,'a disheveled refugee','<Caertaxian Legion>','','','',255,10871,19,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550012,'a vigilant watcher','<Defenders of the Seal>','','','',255,12471,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550013,'Accountant Bahir','<Defenders of the Seal>','','','',9,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550014,'Quartermaster Wajd','<Defenders of the Seal>','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550015,'Supply Master Essa''Mae','<Defenders of the Seal>','','','',9,1589,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550016,'Sami','<Defenders of the Seal>','','','',9,1594,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550017,'Imtithal','<Defenders of the Seal>','','','',9,1594,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550018,'Fortress Deputy Commander Ghadah','<Defenders of the Seal>','','','',9,1591,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550019,'Fortress Commander Labib','<Defenders of the Seal>','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550020,'Amir','<Defenders of the Seal>','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550021,'a hungry plotter','<Caertaxian Legion>','','','',255,10874,28,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550022,'a grumbling corpse handler','<Caertaxian Legion>','','','',255,10871,29,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550023,'an untrustworthy cook','<Caertaxian Legion>','','','',255,10874,38,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550024,'an animated storm','<Underfoot Essence>','','','',255,7241,38,0,1,1,11,0,2531,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550025,'Rockshaper Jorgun','<Guardians of the Underfoot>','','','',255,11363,64,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550026,'Gleb','<Guardians of the Underfoot>','','','',255,11363,35,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550027,'Mourne','<Guardians of the Underfoot>','','','',255,11679,41,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550028,'Ruf','','','','',255,11679,35,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550029,'Ormme','','','','',255,11678,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550030,'Nikfor','','','','',255,11363,38,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550031,'Faug','','','','',255,11679,41,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550032,'Maks','','','','',255,11678,35,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550033,'a crackling stormlord','<Guardians of the Underfoot>','','','',255,9848,43,5,1,1,11,0,16568,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550034,'a smoldering forgelord','<Guardians of the Underfoot>','','','',255,3645,41,3,1,1,11,0,17232,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550035,'a corrupted elemental','<Guardians of the Underfoot>','','','',255,9846,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550036,'a poisoned wave','<Corrupted Underfoot Essence>','','','',255,8889,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550037,'flowing mercury','<Corrupted Underfoot Essence>','','','',255,8199,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550038,'a corrupted conjuror','<Guardians of the Underfoot>','','','',255,9846,31,3,1,1,11,0,183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550039,'Matve','<Guardians of the Underfoot>','','','',255,11679,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550040,'a gliding wave','<Underfoot Essence>','','','',255,10668,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550041,'Ingvarr','<Guardians of the Underfoot>','','','',255,11363,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550042,'Ugtar the Persuader','<Guardians of the Underfoot>','','','',255,11679,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550043,'Filakt','<Guardians of the Underfoot>','','','',255,11679,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550044,'Petar','<Guardians of the Underfoot>','','','',255,11679,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550045,'Nomh the Nomadic Guardian','<Elder Underfoot Guardian>','','','',255,6280,112,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550046,'Haldor','<Underfoot Behemoth>','','','',255,11363,192,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550047,'Borris','<Guardians of the Underfoot>','','','',255,11363,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550048,'a crystallized guardian','<Underfoot Essence>','','','',255,6280,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550049,'an overzealous watchman','<Caertaxian Legion>','','','',255,10874,31,6,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550050,'Artyom','<Guardians of the Underfoot>','','','',255,11678,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550051,'Anisim','<Guardians of the Underfoot>','','','',255,11679,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550052,'Slav','<Guardians of the Underfoot>','','','',255,11363,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550053,'a shimmering guardian','<Guardians of the Underfoot>','','','',255,11215,160,0,1,1,11,0,0,1,1,1,0,0,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550054,'The Gorgon Wrangler','<Guardians of the Underfoot>','','','',255,11678,96,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550055,'a reinforcement officer','<Defenders of the Seal>','','','',3,1606,31,2,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550056,'Lyov','<Guardians of the Underfoot>','','','',255,11678,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550057,'Kirill','<Guardians of the Underfoot>','','','',255,11678,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550058,'a flowing aqualord','<Guardians of the Underfoot>','','','',255,9844,46,8,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550059,'Old One Asya','<Guardians of the Underfoot>','','','',255,11678,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550060,'Tikhon','<Guardians of the Underfoot>','','','',255,11363,41,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550061,'crazed Geonid','<Guardians of the Underfoot>','','','',255,11363,37,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550062,'disturbed crystal-grinder','<Guardians of the Underfoot>','','','',255,11678,44,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550063,'enraged Seal-guarder','<Guardians of the Underfoot>','','','',255,11679,50,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550064,'enraged gorgon','','','','',255,11215,320,0,1,1,11,0,0,1,1,1,0,0,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550065,'a vicious hooligan','','','','',255,10871,28,5,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550066,'a diabolical plotter','<Caertaxian Legion>','','','',255,10874,28,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550067,'Babati','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550068,'Nakurtum','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550069,'Alittum','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550070,'Vlad the Bargainer','<Caertaxian Legion>','','','',255,10874,38,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550071,'Ishme','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550072,'a mischievous instigator','<Caertaxian Legion>','','','',255,10871,28,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550073,'Undertaker Ilulu','<Culinary Artist>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550074,'Lipit-ishtar','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550075,'Ahatiwaqrat','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550076,'Belessunu','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550077,'a famished watchman','<Caertaxian Legion>','','','',255,10871,31,5,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550078,'a salivating instigator','<Caertaxian Legion>','','','',255,10871,28,5,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550079,'Ziyatum','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550080,'a Caertaxian dominator','<Caertaxian Legion>','','','',255,10874,38,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550081,'a crazed plotter','<Caertaxian Legion>','','','',255,10874,25,2,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550082,'Confectioner Shiptu','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550083,'Sous Chef Puabi','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550084,'Ekur','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550085,'an overjoyed corpse handler','<Caertaxian Legion>','','','',255,10871,28,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550086,'Voorschagt the Watchman','<Caertaxian Legion>','','','',255,10874,64,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550087,'Shulgi','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550088,'a paranoid backstabber','','','','',255,10871,28,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550089,'a scavenging bone collector','<Caertaxian Legion>','','','',255,10871,32,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550090,'a frenzied necromancer','<Caertaxian Legion>','','','',255,10871,28,6,1,1,11,0,183,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550091,'a chimaeric monstrosity','','','','',255,10820,56,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550092,'a frenzied necromancer','<Caertaxian Legion>','','','',255,10871,28,6,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550093,'an energetic pacer','<Caertaxian Minion>','','','',255,11050,83,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550094,'an idle handler','<Caertaxian Legion>','','','',255,10871,28,6,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550095,'a necromantic master','<Caertaxian Legion>','','','',255,10874,28,5,1,1,11,0,183,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550096,'The Unleashed','<Caertaxian Elder Demon>','','','',255,11212,112,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550097,'a terrified handler initiate','<Caertaxian Legion>','','','',255,10874,28,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550098,'a plodding charger','<Caertaxian Minion>','','','',255,10816,82,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550099,'Dazuzum','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550100,'Bahvrain','<Caertaxian Legion>','','','',255,10874,22,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550101,'Palinski','<Caertaxian Legion>','','','',255,10874,51,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550102,'a cackling cannoneer','<Caertaxian Legion>','','','',255,10871,41,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550103,'Ealamassi','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550104,'Master Poisoner Kammani','<Caertaxian Legion>','','','',255,10871,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550105,'Belanum','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550106,'a freed prisoner','','','','',13,65,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550107,'a plotting adherent','<Caertaxian Legion>','','','',255,10874,28,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550108,'Zuzu','<Caertaxian Legion>','','','',255,10874,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550109,'a chief conspirator','<Caertaxian Legion>','','','',255,10874,33,1,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550110,'Chief Conspirator Puvintinev','<Caertaxian Legion>','','','',255,10874,34,2,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550111,'an attentive adherent','<Court of Puvintinev>','','','',255,10871,28,3,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550112,'a triumphant necromancer','<Caertaxian Legion>','','','',255,10874,28,1,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550113,'Karlovsh the Enslaved','<Caertaxian Minion>','','','',255,10820,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550114,'Caertax the Deceiver','<Caertaxian Legion>','','','',255,10874,64,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550115,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550116,'Malik','<Defenders of the Seal>','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550117,'a Dartain battle cleric','<Defenders of the Seal>','','','',3,1589,31,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550118,'a submerged bound elemental','','','','',255,9844,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550119,'Maizah','<Defenders of the Seal>','','','',9,1589,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550120,'Amirah','<Defenders of the Seal>','','','',9,1594,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550121,'Dartain''s Personal Shield-Eidolon','<Defenders of the Seal>','','','',255,12472,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550122,'an alert watcher','<Defenders of the Seal>','','','',255,12471,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550123,'a fallen erudite','<Defenders of the Seal>','','','',3,1604,35,2,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550124,'a fallen erudite','<Defenders of the Seal>','','','',3,1606,31,2,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550125,'a fallen erudite','<Defenders of the Seal>','','','',3,1587,29,1,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550126,'an embattled cleric','<Defenders of the Seal>','','','',3,1603,31,2,1,1,11,0,183,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550127,'a veteran watcher','<Defenders of the Seal>','','','',255,12471,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550128,'a platinum-plated guardian','<Defenders of the Seal>','','','',255,12472,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550129,'Nasir','<Defenders of the Seal>','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550130,'Izdihar','<Defenders of the Seal>','','','',9,1588,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550131,'an exhausted battlemage','<Defenders of the Seal>','','','',3,119,48,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550132,'Stockmaster Zahra','<Defenders of the Seal>','','','',9,1594,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550133,'Guard-Captain Val''drin','<Defenders of the Seal>','','','',3,1601,57,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550134,'Cantara','<Defenders of the Seal>','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550135,'Tortured Elemental','<Guardians of the Underfoot>','','','',255,3645,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550136,'a molten construct','<Defenders of the Seal>','','','',255,12471,32,3,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550137,'a Dartain forge lord','<Defenders of the Seal>','','','',3,1605,35,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550138,'an enslaved forgelord','<Fuel for the Flames>','','','',255,3645,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550139,'a warlock groundskeeper','<Defenders of the Seal>','','','',3,1590,31,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550140,'a patient guardian','<Defenders of the Seal>','','','',255,12471,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550141,'Blacksmith Lava-eye','<Defenders of the Seal>','','','',9,1601,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550142,'Siraj','<Defenders of the Seal>','','','',9,119,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550143,'a Dartain warlock','<Defenders of the Seal>','','','',3,1592,31,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550144,'a skygazing astronomer','<Defenders of the Seal>','','','',3,1603,32,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550145,'a fallen warlock','','','','',3,11218,31,3,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550146,'Thaqib','<Defenders of the Seal>','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550147,'Basimah','<Defenders of the Seal>','','','',3,11218,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550148,'Onoho''s corpse','','','','',255,101,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550149,'Gosn','Thelene''s corpse''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550150,'Thelene''s corpse','','','','',255,135,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550151,'Skygazer Mon''Keed','<Defenders of the Seal>','','','',3,1603,57,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550152,'Saqr','<Defenders of the Seal>','','','',9,1597,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550153,'partial earthen essence','','','','',255,8059,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550154,'a focused headshotter','<Caertaxian Legion>','','','',255,10871,31,2,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550155,'Abok''s corpse','','','','',255,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550156,'Hole_Exit',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550157,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550158,'door OUT OF dartain''s',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550159,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550160,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550161,'Defenders'' Planetary Telescope',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2392,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550163,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550164,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550165,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550166,'gear_single',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550167,'floor_beaker_human_lab02',NULL,'','','',0,3407,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550169,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550171,'speared skeleton',NULL,'','','',0,2370,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550172,'floor_pan_human_bread02',NULL,'','','',0,3386,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550173,'floor_barrel_human_plain01',NULL,'','','',0,2941,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550174,'floor_rack_any_clothing01',NULL,'','','',0,4612,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550175,'ceiling_birdcage05_any_wood',NULL,'','','',0,1932,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550176,'magnifying_glass',NULL,'','','',0,2484,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550177,'lavastorm_black_rock_pile',NULL,'','','',0,4729,2,0,1,1,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550178,'rd_rock_small04',NULL,'','','',0,6202,5,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550179,'floor_lantern_dwarf_oil',NULL,'','','',0,2072,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550180,'floor_table_human_hood05',NULL,'','','',0,2045,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550181,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550182,'floor_chair_human_weathered',NULL,'','','',0,2014,41,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550183,'Tent',NULL,'','','',0,2816,32,0,1,1,0,0,0,0,0,0,0,0,308,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550184,'anvil',NULL,'','','',0,3316,32,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550185,'cazic_scroll_leather001',NULL,'','','',0,4171,37,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550186,'oblost_scroll_pil_l0',NULL,'','','',0,4183,8,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550187,'floor_table_any_bedside01',NULL,'','','',0,2207,56,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550188,'floor_tool_any_compass01',NULL,'','','',0,3235,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550189,'floor_barrel_any_small02',NULL,'','','',0,2566,22,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550190,'floor_barrel_any_storage01',NULL,'','','',0,2568,31,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550191,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550192,'floor_table_human_hood05',NULL,'','','',0,2689,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550193,'floor_table_human_hood05',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550194,'floor_table_human_hood05',NULL,'','','',0,5165,16,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550195,'floor_table_human_hood05',NULL,'','','',0,2780,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550196,'floor_table_human_hood05',NULL,'','','',0,10051,25,0,1,1,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550197,'pillar of corruption',NULL,'','','',0,6313,12,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550198,'essence summoner clicky',NULL,'','','',0,11123,64,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550199,'Underfoot anchor chain-link',NULL,'','','',0,6168,32,0,1,1,0,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550200,'bone portal',NULL,'','','',0,6313,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550201,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550202,'floor_table_human_hood05',NULL,'','','',0,2691,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550203,'floor_table_human_hood05',NULL,'','','',0,1421,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550204,'Mortiferous Venin',NULL,'','','',0,6374,9,0,1,1,0,0,2073,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550205,'abomination summoning clicky',NULL,'','','',0,8228,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550206,'spare construct part',NULL,'','','',0,6333,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550207,'forge effects',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550208,'!',NULL,'','','',0,7656,32,0,1,1,0,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550209,'door INTO dartains',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550210,'screw_elevator_control',NULL,'','','',0,4499,64,0,0,0,148,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4550211,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560000,'','','','','',255,8873,38,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560001,'Hafiz','<Roekillik Studies>','','','',9,1603,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560002,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560003,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560004,'Pushu-ken','<Caertaxian Legion>','','','',255,10874,38,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560005,'a roekillik spirit caller','','','','',255,10874,37,2,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560006,'a roekillik boneraiser','','','','',255,10871,38,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560007,'a ghostly afflicter','','','','',255,7249,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560008,'a risen walker','','','','',9,1521,64,0,1,1,11,0,10137,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560009,'','','','','',255,7249,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560010,'an ominous phantom','','','','',255,5003,96,0,1,1,11,0,3679,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560011,'a roekillik phantom watcher','','','','',255,10871,36,1,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560012,'Tiriini','','','','',255,10871,44,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560013,'Protector Ghondu','<A Summoned Specter>','','','',255,8771,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560014,'Shirinu','','','','',255,10871,44,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560015,'a risen knightmare','','','','',9,4543,32,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560016,'an underfoot drifter','','','','',255,8059,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560017,'an underfoot floater','','','','',255,8059,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560018,'a roekillik geomancer','','','','',255,10874,38,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560019,'a mocked elemental golem','','','','',255,7246,80,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560020,'Schteek Tavinos','<The Dark Rider>','','','',255,10874,41,0,1,1,11,0,10137,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560021,'a deficient elemental golem','','','','',255,7246,80,0,1,1,0,0,540,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560022,'a weakened wall','','','','',255,4747,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560023,'Nayt the Grate Keeper','<Corrupted Elemental Golem>','','','',255,7251,128,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560024,'Demitrik','<Commanding Officer>','','','',255,10874,64,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560025,'Coercer Pittles','','','','',255,10871,44,0,1,1,11,0,15989,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560026,'Shroombis the Coerced','','','','',255,8171,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560027,'a roekillik toiler','','','','',255,10874,31,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560028,'a roekillik taskmaster','','','','',255,10874,37,1,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560029,'house_item_widget_hole_bastion',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560031,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560032,'wood_plank',NULL,'','','',0,4676,31,0,1,1,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560033,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560034,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560036,'floor_potionbottle_any_large04',NULL,'','','',0,2617,31,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560039,'floor_diode_any_enchanter',NULL,'','','',0,2682,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560040,'Underfoot Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560041,'floor_egg_human_crystal01',NULL,'','','',0,3417,16,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560042,'Teleporter 01',NULL,'','','',0,2306,32,0,1,1,0,0,11355,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560043,'eh medium rock',NULL,'','','',0,10432,15,0,1,1,0,0,0,0,0,0,0,0,454,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560044,'Teleporter 02',NULL,'','','',0,2306,32,0,1,1,0,0,11355,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560045,'cage',NULL,'','','',0,10122,173,0,1,1,0,0,0,0,0,0,0,0,133,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560046,'Teleporter 03',NULL,'','','',0,2306,25,0,1,1,0,0,11355,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560047,'A Toxic Contraption',NULL,'','','',255,6288,224,0,1,1,345,0,1584,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560048,'nektropos mounted boars head',NULL,'','','',0,2111,32,0,1,1,61,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560049,'floor_urn_any_cazic01',NULL,'','','',0,3123,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560050,'debris_sewer_03',NULL,'','','',0,4476,32,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560051,'crystal group',NULL,'','','',0,10324,6,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560052,'fprt_music_bonexylophone001',NULL,'','','',0,2160,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560053,'canopic jar medium',NULL,'','','',0,2874,45,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560054,'qst_mq_pack_rat_treasure',NULL,'','','',0,4477,32,0,1,1,0,0,0,0,0,0,0,0,158,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560055,'Teleporter 05',NULL,'','','',0,2306,32,0,1,1,0,0,11355,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560056,'zone_to_paineel',NULL,'','','',0,49,32,0,1,1,147,0,0,0,0,1,0,0,212,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4560057,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570000,'Hafiz','<Roekillik Studies>','','','',9,1603,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570001,'Corrupted Guardian of the Seal','','','','',255,7465,256,0,1,1,11,0,10137,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570002,'Worff','<Guardians of the Underfoot>','','','',255,11363,41,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570003,'Gnimliks','<Guardian>','','','',5,121,28,3,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570004,'an inimical drizzler','','','','',255,195,48,0,1,1,11,0,1861,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570005,'a wading summoner','','','','',255,5771,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570006,'Rock','','','','',255,11678,128,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570007,'Cobble','','','','',255,11678,128,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570008,'Quarry','','','','',255,11678,128,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570009,'a stonehard smasher','<crystalline bouncer>','','','',255,11363,95,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570010,'Gnimliks','Guardian','','','',5,121,25,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570011,'an imperious crusher','','','','',255,11679,64,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570012,'a flight stone','','','','',255,8059,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570013,'a waterlogged tail lasher','','','','',255,12675,224,0,1,1,11,0,1862,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570014,'a crystalline ledge pounder','','','','',255,11363,128,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570015,'a stonehard impaler','<crystalline bouncer>','','','',255,11363,96,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570016,'Kahnder','<Brigand>','','','',1,115,35,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570017,'Cronus','<Templar>','','','',2,1484,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570018,'Rotha','<Ranger>','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570019,'a weakened wall','','','','',255,13157,64,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570020,'a stonehard ripper','<crystalline bouncer>','','','',255,11363,95,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570021,'The Sentinel of Stone','','','','',255,11863,128,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570022,'Doomni','<Dirge>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570023,'The Sentinel of Earth','','','','',255,11863,128,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570024,'Fyreflinger','<Conjuror>','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570025,'Crag','<Custodian of the Seal>','','','',255,6280,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570026,'a malefic extrusion','','','','',255,10832,90,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570027,'Platform life Collision','','','','',0,13079,32,0,1,1,0,0,0,0,0,0,0,0,1490,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570028,'a waterlogged crusher','','','','',255,11679,63,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570029,'An Irate Rockadile','','','','',255,4745,66,0,1,1,11,0,4141,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570030,'One of the Waterlogged Elemental Lord''s Tenticles','','','','',255,286,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570031,'Waterlogged Elemental Lord','','','','',255,195,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570032,'Slam Crushingfoot','','','','',255,11679,192,0,1,1,11,0,14681,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570033,'Platform Effects','','','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570034,'Cronus','Templar','','','',2,1484,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570035,'tantrum golem','','','','',255,11679,32,0,1,1,11,0,14681,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570036,'Doomni','Dirge','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570037,'Kahnder','Brigand','','','',1,115,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570038,'Giant Underfoot Mole','','','','',255,232,480,0,1,1,11,0,4142,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570039,'an abyss bubbler','','','','',255,8061,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570040,'a calcified malefic extrusion','','','','',255,10832,110,8,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570041,'a malefic extrusion','','','','',255,10832,126,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570042,'a calcified malefic extrusion','','','','',255,10832,82,6,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570043,'a malefic extrusion','','','','',255,10832,104,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570044,'A Craglin','','','','',255,6280,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570045,'a calcified malefic extrusion','','','','',255,10832,71,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570046,'a malefic extrusion','','','','',255,10832,68,2,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570047,'a calcified malefic extrusion','','','','',255,10832,125,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570048,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570049,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,441,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570050,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570051,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570052,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570053,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570054,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570055,'Tower Elevator',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4123,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570056,'house_item_widget_hole_vault',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,322,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570058,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570060,'Underfoot Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570061,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570062,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570063,'eh medium rock',NULL,'','','',0,10432,15,0,1,1,0,0,0,0,0,0,0,0,454,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570064,'Kardaxian',NULL,'','','',255,11363,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570065,'gravestones',NULL,'','','',0,13129,32,0,1,1,0,0,0,0,0,0,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570066,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570067,'a Stone chest',NULL,'','','',0,5766,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570068,'screw_elevator_control',NULL,'','','',0,4499,64,0,1,1,148,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570069,'zone_to_paineel',NULL,'','','',0,49,32,0,1,1,147,0,0,0,0,1,0,0,524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4570070,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580001,'Hafiz','<Roekillik Studies>','','','',9,1603,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580002,'','','','','',255,12471,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580003,'','','','','',255,12471,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580004,'a Dartain highguard','','','','',9,119,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580005,'','','','','',255,12471,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580006,'','','','','',255,12471,160,0,1,1,0,0,0,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580007,'a possessed Dartain highguard','','','','',9,1598,35,2,1,1,11,0,3679,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580008,'','','','','',255,12471,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580009,'a mystical droplet','','','','',255,195,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580010,'','','','','',255,157,36,4,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580011,'The Possessing Spirit of Kyrenna','','','','',255,11218,96,0,1,1,0,0,2103,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580012,'an impish firestarter','','','','',255,6824,64,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580013,'','','','','',255,12471,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580014,'a nebula mist','','','','',255,3710,126,8,1,1,11,0,17166,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580015,' a realm portal','','','','',9,2897,96,0,1,1,11,0,18826,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580016,'a nebula mist','','','','',255,3710,135,0,1,1,11,0,17166,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580017,'Al''tuur the Handyman','','','','',255,11219,96,0,1,1,11,0,16225,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580018,'a humongous graveyard stinkbug','','','','',255,4531,96,0,1,1,11,0,16114,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580019,'a graveyard stinkbug','','','','',255,4531,44,2,1,1,11,0,16114,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580020,'a graveyard watcher','','','','',255,6824,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580021,'a gargantuan graveyard stinkbug','','','','',255,4531,97,0,1,1,11,0,16114,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580022,'a solar fiend','','','','',255,9782,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580023,'a void philistine','','','','',255,9783,35,0,1,1,11,0,18954,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580024,'Researcher Jal''Dea''s Restless Spirit','','','','',255,11218,96,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580025,'a dark matter','','','','',255,7230,127,8,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580026,'a dark matter','','','','',255,7230,118,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580027,'a shadowray','','','','',255,8889,96,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580028,'Lenarn','Magicmelter the Summoned''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580029,'Magicmelter the Summoned','','','','',255,11219,96,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580030,'Joner','Magicmelter the Summoned''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580031,'Tyrid Pyreflame','<Illusionary Spirit>','','','',255,11219,96,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580032,'a dark matter','','','','',255,7230,136,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580035,'house_item_widget_hole_dartains',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,377,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580037,'Nebula',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580038,'Relict''s Tear',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580039,'Relict''s Tear',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580040,'Relict''s Tear',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580041,'Relict''s Tear',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580042,'Relict''s Tear',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580043,'The Solar System',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580044,'The Sun',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580045,'Luclin',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580046,'The Void',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580048,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580049,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580052,'dpo_invisible_cube',NULL,'','','',0,6159,256,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580053,'a rusting key',NULL,'','','',0,6948,32,0,1,1,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580054,'Nortlav the Scalekeeper',NULL,'','','',255,11219,96,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580055,'The Left Hand of Al''tuur',NULL,'','','',255,2306,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580056,'The Right Hand of Al''tuur',NULL,'','','',255,2306,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580057,'Underfoot Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580058,'A Water Lord',NULL,'','','',255,11864,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580059,'a burning spirit',NULL,'','','',255,3294,32,0,1,1,11,0,18224,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580060,'zone_to_paineel',NULL,'','','',0,49,32,0,1,1,147,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4580061,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590001,'Toxxulia','<Ancient Dragon>','','','',255,11770,57,0,1,1,0,0,0,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590002,'a strange dormant egg','','','','',9,12646,96,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590003,'a greater skyslayer','','','','',255,7185,57,0,1,1,0,0,491,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590004,'Wyvernlord Tuluun','<Elder Councilmember>','','','',255,7185,89,0,1,1,33,0,1592,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590005,'an elder battlewyrm','','','','',255,7297,38,0,1,1,0,0,491,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590006,'Wyrmlord Zaos','<Elder Councilmember>','','','',255,7297,57,0,1,1,33,0,491,0,0,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590007,'Vuulan','<Herald of Toxxulia>','','','',255,6015,83,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590008,'a radiant skyterror','','','','',255,238,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590009,'Sherra L''Arel','','','','',3,1596,35,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590010,'round pool',NULL,'','','',0,9587,32,0,1,1,0,0,0,0,0,0,0,0,274,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4590011,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,747,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600000,'Alia','','','','',9,1596,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600001,'a gilded custodian','','','','',255,11061,96,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600002,'an aqueous devourer','','','','',255,10831,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600003,'a degenerated guardian','','','','',255,10784,64,0,1,1,11,0,3910,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600004,'a lurking deathbloom','','','','',255,5946,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600005,'a cleansing entity','','','','',255,10837,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600006,'a bulb horror','','','','',255,10811,76,0,1,1,11,0,3910,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600007,'a bulb horror','','','','',255,10811,96,0,1,1,11,0,3910,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600008,'an aqueous scrubber','','','','',255,10831,134,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600009,'a cleansing essence','','','','',255,10837,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600010,'a moss covered centurion','','','','',255,10784,64,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600011,'a gilded custodian','','','','',255,11061,96,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600012,'Brappalec','<Roper Lord>','','','',255,10832,192,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600013,'an addled essence','','','','',255,10515,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600014,'house_item_widget_hole_vasty_conservatory',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600015,'magical water',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600016,'Submerged Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600017,'object_everliving_01',NULL,'','','',0,4733,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600018,'Dragon Room Barrier',NULL,'','','',0,4544,128,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600019,'Barrier',NULL,'','','',0,11866,32,0,1,1,0,0,0,0,0,0,0,0,1421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4600020,'zone_to_vasty_hub',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,579,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610000,'Alia','','','','',9,1596,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610001,'a slain lab worker','','','','',9,11219,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610002,'Kadara''Mola','<Main Assistant>','','','',9,11218,32,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610003,'a massacred lab worker','','','','',9,11218,32,0,1,1,11,0,10375,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610004,'a tortured lab worker','','','','',9,11218,32,0,1,1,11,0,10375,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610005,'a strange residue','','','','',255,11448,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610006,'a tortured lab worker','','','','',9,11219,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610007,'an empowered terror','','','','',255,11794,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610008,'Nekletk K''Tokt','<Ravasect Warlord>','','','',255,5860,51,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610009,'Gorad Tohll','<Crushbone Warlord>','','','',20,6244,80,0,1,1,0,0,228,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610010,'Kryvac Vel''Orn','<Lich Knight>','','','',255,8768,83,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610011,'Rrullrr Crrraagg','<Drolvarg Warlord>','','','',255,7598,83,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610012,'a savage escaped specimen','','','','',1,6527,54,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610013,'an essence of anger','','','','',255,11797,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610014,'an unfathomable horror','','','','',255,11795,92,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610015,'panel_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610016,'house_item_widget_hole_vasty_laboratory',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,95,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610017,'panel_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610018,'panel_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610019,'panel_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610020,'secret_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,379,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610021,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610022,'main_lab_port_01',NULL,'','','',0,11847,32,0,1,1,0,0,0,0,0,0,0,0,102,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610023,'Experimental Chamber (Fungal)',NULL,'','','',0,12880,32,0,1,1,0,0,0,0,0,0,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4610024,'',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620000,'Alia','','','','',9,1596,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620001,'an apparitional caller','','','','',255,8768,80,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620002,'a surging wight','','','','',255,10695,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620003,'The Wight Specter','<Keeper of Souls>','','','',255,8773,64,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620004,'Ca''Na blasphem','','','','',255,11248,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620005,'a deep widow','','','','',255,243,18,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620006,'a deep widow','','','','',255,243,15,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620007,'a deep widow','','','','',255,243,14,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620008,'a Kraitenae viper','','','','',255,11772,32,0,1,1,11,0,540,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620009,'an ever searching apparition','','','','',255,8768,80,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620010,'a deep cave fish','','','','',255,194,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620011,'Ca''Na captinania','<The Serpent Guard>','','','',255,11248,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620012,'Ca''Na elitia','<The Serpent Guard>','','','',255,11248,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620013,'Ca''Na desecratia','','','','',255,11248,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620014,'a striking arenae','','','','',255,243,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620015,'Ca''Na ravagia','','','','',255,11248,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620016,'Ca''Na oblitora','','','','',255,11248,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620017,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620018,'A Drenched Lockbox',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4620019,'zone_to_vasty_hub',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630000,'a twisted vindicator','<Deformed Abomination>','','','',255,11795,102,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630001,'a swirling mass','','','','',9,2306,19,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630002,'Ernax Heridion','<Mad Spirit>','','','',3,11219,64,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630003,'Utlak the Bold','<Legendary Warrior>','','','',20,6244,108,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630004,'Kyrallus the Invincible','<Tainted Champion>','','','',255,5185,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630005,'a twisted doomguard','<Deformed Abomination>','','','',255,161,70,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630006,'Scarakaas the Slayer','<Benthic Vindicator>','','','',255,7212,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630007,'Rakkaktus the Destroyer','<Ensorcelled Hero>','','','',255,11363,96,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630008,'Perah''Celsis','<Lichform >','','','',255,12676,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630009,'a rage-imbued raptor','<Deformed Abomination>','','','',255,5237,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630010,'fully energized malevolence','<Conjured Hatred>','','','',255,11794,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630011,'an elite doomguard','<Deformed Abomination>','','','',255,161,80,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630012,'a yha-lei conqueror','<Unprepared Specimen>','','','',255,7646,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630013,'secret_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,379,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630014,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4630015,'Experimental Chamber (Roekillik)',NULL,'','','',0,12880,32,0,1,1,33,0,0,0,0,0,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640000,'','','','','',255,8873,38,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640001,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640002,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640003,'Thesslin','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640004,'Lochanya','<Stonebrunt Saviors>','','','',3,1596,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640005,'an Erudin quisling','','','','',3,10021,31,3,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640006,'a void crusher','','','','',255,8221,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640007,'a netherpetal nibbler','','','','',255,5946,63,6,1,1,11,0,5973,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640008,'a Theerian blademaven','','','','',255,8929,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640009,'a slobberjaw drudge','','','','',255,6454,48,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640010,'a void destroyer','','','','',255,8223,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640011,'an Erudian slaver','','','','',3,10021,41,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640012,'a slain slobberjaw','','','','',255,6452,48,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640013,'a Theerian shadowblade','','','','',255,8929,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640014,'Xxuilz the Punisher','','','','',255,8225,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640015,'an Erudin voidcaller ','','','','',9,1602,35,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640016,'an Erudian acolyte','','','','',3,10020,38,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640017,'an Erudian theurgist','','','','',3,10020,38,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640018,'a whirling maelstrom','','','','',255,8264,80,6,1,1,11,0,16568,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640019,'Rafiqa','<Scions of the Deepwater Knights>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640020,'an Erudian neophyte','','','','',3,10020,38,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640021,'','','','','',255,8889,136,8,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640022,'','','','','',255,12471,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640023,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640024,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640025,'an enslaved slobberjaw','','','','',255,6453,38,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640026,'a Shadowed Man corruptor','','','','',255,9997,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640027,'an insectivorous nibbler','','','','',255,5946,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640028,'a Terrorfang aggressor','','','','',11,99,38,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640029,'a Terrorfang anarchist','','','','',11,99,38,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640030,'a Terrorfang arsonist','','','','',11,99,38,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640031,'a Terrorfang guerrilla','','','','',11,92,41,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640032,'a Terrorfang nihilist','','','','',11,92,38,3,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640033,'an enslaved slobberjaw','','','','',255,6450,38,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640034,'a tainted scintilla','','','','',255,10512,159,8,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640035,'an enslaved slobberjaw','','','','',255,6456,38,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640036,'a Terrorfang plunderpaw','','','','',11,92,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640037,'a Defender of Growth','<Paladin of Tunare>','','','',8,136,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640038,'Jaswinda','<Stonebrunt Saviors>','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640039,'a pavilion guardian','','','','',9,1605,37,2,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640040,'Beziz Monommin','<Deepwater Artificer>','','','',9,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640041,'Kallana Esshar','<Runic Scholar>','','','',9,1590,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640042,'a hulking undercrawler','','','','',255,243,160,8,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640043,'a carnivorous netherbloom','','','','',255,7217,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640044,'Labibah','<Scions of the Deepwater Knights>','','','',3,1593,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640045,'Qutaybah','<Scions of the Deepwater Knights>','','','',3,1600,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640046,'Uthalolth','<Scions of the Deepwater Knights>','','','',3,1597,28,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640047,'Sulayman','<Dramaturge>','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640048,'Muntasir','<Scions of the Deepwater Knights>','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640049,'Yasirah','<Erudin Refugee>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640050,'Ghazi','<Erudin Refugee>','','','',9,1602,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640051,'Sabirah','<Scions of the Deepwater Knights>','','','',9,1594,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640052,'Akilah','<Erudin Refugee>','','','',9,1591,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640053,'Niala','<Scions of the Deepwater Knights Faction Merchant>','','','',3,1594,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640054,'Nishant','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640055,'Jabbar','<Erudin Refugee>','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640056,'Talibah','<Erudin Refugee>','','','',9,1587,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640057,'Scientist Jawad','<Erudin Refugee>','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640058,'Cryptologist Hatim','<Erudin Refugee>','','','',9,1603,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640059,'a skeletal blightstalker','','','','',9,11212,64,0,1,1,11,0,16914,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640060,'an Erudian sycophant','','','','',3,10020,37,2,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640061,'Council Member Faridoon','','','','',3,10020,41,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640062,'a captured Kejekan sojourner','','','','',11,99,32,0,1,1,9,0,17787,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640063,'Laila','<Scions of the Deepwater Knights>','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640064,'Tawfiq En''Tal','<Scions of the Deepwater Knights>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640065,'a tainted scintilla','','','','',255,10512,150,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640066,'a pavilion performer','','','','',255,11219,95,6,1,1,0,0,13024,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640067,'a Glyphweald scintilla','','','','',255,7230,129,8,1,1,11,0,17166,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640068,'a paranoid overseer','','','','',255,10532,53,2,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640069,'a skeletal fearstalker','','','','',9,11212,54,0,1,1,11,0,10307,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640070,'a mausoleum protector','','','','',9,119,38,2,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640071,'a Gruengach annihilator','','','','',255,11748,34,2,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640072,'a Gruengach legionnaire','','','','',255,11747,38,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640073,'a summoned skeleton','Damodar''s skeletal minion','','','',9,146,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640074,'Damodar','','','','',3,1600,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640075,'Nabih Qusafi','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640076,'a Mausoleum pilgrim','','','','',9,119,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640077,'Amaht Darmhaziz','<Keeper of the Mausoleum of Scholars>','','','',9,1605,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640078,'Ithurial Ra''Nar','','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640079,'a Gruengach haruspex','','','','',255,11746,35,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640080,'a summoned air elemental','a Mausoleum pilgrim''s familiar','','','',255,3647,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640081,'Taysir Al''Babr','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640082,'Hannad Jaleel','<Scions of the Deepwater Knights>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640083,'a Gruengach striker','','','','',255,11745,35,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640084,'Captain Kalaarus Eihab','<Driven Seeker>','','','',11,99,35,0,1,1,33,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640085,'Grozdan Haunthoof','','','','',255,11747,51,0,1,1,11,0,10137,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640086,'Oxdaxius','<Legendary Behemoth>','','','',255,10819,160,0,1,1,11,0,20023,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640087,'Xosith the Greedy','','','','',255,11747,44,0,1,1,11,0,10137,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640088,'Shafi Af''Mon','<Scions of the Deepwater Knights>','','','',3,1597,22,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640089,'a Glyphweald scintilla','','','','',255,7230,119,1,1,1,11,0,17166,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640090,'Shredmistress Ikaika','','','','',11,92,28,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640091,'Shereem the Handler','','','','',255,1584,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640092,'a spell-shocked slobberjaw','','','','',255,6448,38,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640093,'a spell-shocked slobberjaw','','','','',255,6453,38,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640094,'a spell-shocked slobberjaw','','','','',255,6457,38,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640095,'a menacing overseer','','','','',255,10532,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640096,'a needlebeak bloodgorger','','','','',255,6289,25,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640097,'a Quel''ule excavator','','','','',9,1594,33,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640098,'a Quel''ule protector','','','','',9,1593,37,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640099,'a Quel''ule analyst','','','','',9,1604,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640100,'Munya Ziad','','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640101,'a summoned fire elemental','a Quel''ule researcher''s familiar','','','',255,8060,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640102,'a Quel''ule foreman','','','','',9,1600,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640103,'a Quel''ule researcher','','','','',9,1590,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640104,'a Quel''ule defender','','','','',9,1588,38,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640105,'a Quel''ule vindicator','','','','',9,1604,38,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640106,'Ghazi the Conqueror','','','','',3,10021,41,2,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640107,'a Theerian raider','','','','',255,8927,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640108,'a forgotten thrall','','','','',255,1521,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640109,'a Quel''ule guard','','','','',9,1587,38,3,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640110,'a Theerian sentinel','','','','',255,230,32,0,1,1,11,0,16914,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640111,'a void ruiner','','','','',255,8221,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640112,'a void dreadclaw','','','','',255,8224,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640113,'an Erudian scholar','','','','',3,10021,38,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640114,'an Erudian analyst','','','','',3,10020,38,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640115,'an Erudian observer','','','','',3,10021,38,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640116,'Voidgazer Wazir','','','','',3,10021,41,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640117,'Astronomer Omidar','','','','',3,10021,48,0,1,1,11,0,16914,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640118,'a tainted scintilla','','','','',255,10512,168,0,1,1,11,0,16914,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640119,'a void assaulter','','','','',255,8225,48,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640120,'a summoned fire elemental','a Quel''ule analyst''s familiar','','','',255,8060,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640121,'Criana','Criana''s Personae Reflection','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640122,'Ziya','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640123,'a raging slobberjaw','','','','',255,6452,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640124,'a slitherstrike mamba','','','','',255,12675,63,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640125,'a howling slobberjaw','','','','',255,6457,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640126,'a wretched slobberjaw','','','','',255,6454,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640127,'Eglak','<Spirit Speaker>','','','',255,6448,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640128,'a crazed slobberjaw','','','','',255,6449,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640129,'a meandering overseer','','','','',255,10532,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640130,'a highland fearstalker','','','','',255,11211,48,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640131,'a pond piranha','','','','',255,204,35,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640132,'a Stonebrunt scintilla','','','','',255,7230,96,0,1,1,11,0,17166,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640133,'Rawritor','','','','',255,11211,48,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640134,'Ozlem Fatar','<Archaeologian>','','','',3,1601,28,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640135,'a highland fearstalker','','','','',255,11211,28,0,1,1,0,0,0,1,1,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640136,'Silbian','','','','',3,1600,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640137,'Alwar Tissuyr','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640138,'a Moonfield Hamlet defender','','','','',9,1601,38,3,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640139,'fearstalker cub','','','','',255,11211,16,0,1,1,877,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640140,'a Gragnar ravager','','','','',255,6453,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640141,'a Quel''ule researcher','','','','',9,1592,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640142,'a Quel''ule analyst','','','','',9,1587,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640143,'Jinan Haffah','','','','',3,1591,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640144,'a Gragnar scrapper','','','','',255,6452,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640145,'Sanuit Al''radyr','<Seer of the Tranquil>','','','',9,1600,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640146,'Hulgin Khizar','<Seer of the Faceless>','','','',9,1606,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640147,'a summoned fire elemental','a Quel''ule analyst''s familiar','','','',255,8060,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640148,'a summoned air elemental','a Quel''ule researcher''s familiar','','','',255,3647,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640149,'a Quel''ule analyst','','','','',9,1598,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640150,'Feraa Yaldeh','','','','',9,1596,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640151,'a Moonfield resident','','','','',9,1601,33,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640152,'Qismato','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640153,'Fadila','','','','',3,1593,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640154,'Ibtisam','<Mender>','','','',3,1601,28,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4640155,'Exploration Member','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640156,'Exploration Commander Kuil','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640157,'Gamila Haziiya','<ChokÃ©mon Trainer>','','','',18,7924,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640158,'Jailaya','<Bahiyya''s Sous Chef>','','','',3,1593,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640159,'Bahadur','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640160,'Todden Gremner','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640161,'Chef Bahiyya','','','','',3,1591,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640162,'Mueri','<Moonfield Hamlet Banker>','','','',3,1593,25,0,1,1,14,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640163,'a summoned air elemental','a Moonfield resident''s familiar','','','',255,3647,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640164,'Soren','<A Simple Merchant>','','','',11,99,32,0,1,1,10,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640165,'Guzfran','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640166,'Ebodold Tongofur','','','','',3,1605,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640167,'Naji','','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640168,'Kalaish Al''Rabin','<Primary Archaeologian>','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640169,'Gawdit Gigglegibber','','','','',255,4126,38,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640170,'Mahfaza','<Moonfield Hamlet Market Broker>','','','',3,1598,25,0,1,1,20,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640171,'a summoned fire elemental','a Moonfield resident''s familiar','','','',255,8060,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640172,'Nizar Janos','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640173,'Lujayn Molefiir','','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640174,'Bad''Ushra','<Token Trader - Exceptional Armor>','','','',3,1596,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640175,'Tay Na''al','<Token Trader - Exceptional Jewelry>','','','',3,1603,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640176,'Numahiid','<Token Trader - Dangerous Martial Instruments>','','','',3,1602,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640177,'a Moonfield neophyte','','','','',9,1600,31,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640178,'Sorceress Numon','<Magus Extraordinaire>','','','',9,1593,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640179,'Kaliba Des''Sers','<Ulteran swashbuckler>','','','',3,1592,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640180,'a blighted fearstalker','','','','',255,11211,57,3,1,1,11,0,16914,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640181,'Bitt','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640182,'Darkstrider','','','','',255,11211,67,0,1,1,11,0,18012,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640183,'a Ning Yun resident','','','','',255,11245,35,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640184,'a Nin Yun denizen','','','','',255,11243,35,3,1,1,9,0,19047,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640185,'Buhuo Yurou','','','','',255,11245,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640186,'a Circling Destiny monk','','','','',255,11244,35,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640187,'a Ning Yun denizen','','','','',255,11243,34,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640188,'a Ning Yun resident','','','','',255,11245,35,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640189,'Bai Jin','','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640190,'Wen Wen','','','','',255,11243,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640191,'Dao Tom','<Circling Destiny Faction Merchant>','','','',255,11245,25,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640192,'a Ning Yun guard','','','','',255,11242,35,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640193,'Wu Gang','','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640194,'Mu Ping','','','','',255,11243,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640195,'a summoned air elemental','a Quel''ule analyst''s familiar','','','',255,3647,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640196,'an insectivorous nibbler','','','','',255,5946,32,7,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640197,'Hamzar','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640198,'Asad the Bitter','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640199,'Yahthrym','<Mender>','','','',3,1597,25,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4640200,'Lama Mukhlisah','','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640201,'Hanina','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640202,'a summoned earth elemental','a Quel''ule analyst''s familiar','','','',255,6284,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640203,'Administrator Badirasmi','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640204,'Khaliq Keshalian','<Archaeologian>','','','',3,1597,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640205,'Kalib Al''Sayegh','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640206,'a resting Quel''ule watcher','','','','',9,1598,37,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640207,'a resting Quel''ule defender','','','','',9,1588,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640208,'Fyr''remd Lorak','','','','',255,12621,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640209,'Chief Strategist Jasim','','','','',9,1599,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640210,'Defender Ruhi','','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640211,'Captain Rais','','','','',9,1601,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640212,'a resting Quel''ule soldier','','','','',9,1604,40,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640213,'a resting Quel''ule protector','','','','',9,1603,38,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640214,'a resting Quel''ule vindicator','','','','',9,1590,38,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640215,'a Gragnar shaman','','','','',255,6448,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640216,'a Gragnar hoarder','','','','',255,6452,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640217,'a summoned earth elemental','a Quel''ule researcher''s familiar','','','',255,6284,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640218,'Shahli','','','','',11,92,25,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640219,'Lyre Shiro','','','','',11,92,28,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640220,'Quartermaster Lythnx','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640221,'Pantheera','','','','',11,92,28,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640222,'Chordatan','<Stonemason>','','','',11,99,28,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640223,'Yaqub','<Hanina''s Assistant>','','','',3,1604,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640224,'Budiir Il''Nar','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640225,'Razim Othologold','','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640226,'a rescued Kejek sojourner','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640227,'a Kejekan sojourner','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640228,'Imba Shiro','','','','',11,99,35,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640229,'Marozi','','','','',11,92,25,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640230,'Tigon','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640231,'Lionnaeus','','','','',11,99,28,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640232,'Felidael','','','','',11,101,28,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640233,'a vanquished Kejekan rebel','','','','',255,12692,25,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640234,'a vanquished Kejekan radical','','','','',255,12691,24,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640235,'a vanquished Kejekan insurgent','','','','',255,12692,25,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640236,'a repelled Quel''ule eradicator','','','','',255,4541,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640237,'a repelled Quel''ule battler','','','','',255,4543,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640238,'Salatev the Banished','','','','',255,12692,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640239,'a repelled Quel''ule warmage','','','','',255,4536,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640240,'Owakanji the Forgotten','','','','',255,12692,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640241,'Arbitrator Roparzh','','','','',255,4560,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640242,'Tarrant','Tarrant''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640243,'Vosarer','Stormwitch''s earthen avatar','','','',255,11678,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640244,'a hulking undercrawler','','','','',255,243,150,0,1,1,243,0,16914,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640245,'Stormwitch''s aqueous swarm','','','','',255,2390,18,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640246,'a summoned fire elemental','a Mausoleum pilgrim''s familiar','','','',255,8060,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640247,'a summoned earth elemental','a Mausoleum pilgrim''s familiar','','','',255,6284,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640248,'a Ning Yun fisherman','','','','',255,11243,35,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640249,'Zhen Gao','','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640250,'Fisherman Uri','','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640251,'Gobobtik','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640252,'Querva''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640253,'a Ning Yun denizen','','','','',255,11243,36,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640254,'Kun Ling','','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640255,'a Circling Destiny instructor','','','','',255,11244,36,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640256,'Tai Wei','<The Enlightened One>','','','',255,11243,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640257,'Zhou Yin','','','','',255,11242,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640258,'Xue Chao','','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640259,'swarming piranha','','','','',255,204,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640260,'a Stonebrunt stalagmaw','','','','',255,12469,38,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640261,'Chief Gragnar','','','','',255,6451,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640262,'vasty_deep_door02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640263,'vasty_deep_door01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640264,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640265,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,606,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640266,'qst_chef_bahiyya_cauldron',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640267,'bamboo_woodpile01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640268,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640269,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,709,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640270,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,498,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640271,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,529,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640272,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640273,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,415,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640274,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,269,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640275,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640276,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640277,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,367,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640278,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,621,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640279,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640280,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,452,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640281,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,449,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640282,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640283,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640284,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640285,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,444,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640286,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640287,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640288,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640289,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640290,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640291,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640292,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640293,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,425,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640294,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640295,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640296,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640297,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640298,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,344,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640299,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640301,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640302,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640303,'exp07 druid ring - stage 3 - on',NULL,'','','',0,13715,48,0,1,1,0,0,0,0,0,0,0,0,607,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640304,'erudin_library_zone',NULL,'','','',0,11828,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640305,'respawn_graves',NULL,'','','',0,12632,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640306,'a Temporal guide',NULL,'','','',255,10020,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640307,'Vreshana Kestral',NULL,'','','',255,1590,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640308,'qst_teleporter_control_02',NULL,'','','',0,12401,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640309,'Necromancer Remains',NULL,'','','',0,2995,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640310,'Necromonstrosity Remains',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640311,'qst_teleporter_control_01',NULL,'','','',0,12401,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640312,'deepwater_pavilion_teleporter',NULL,'','','',0,2682,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640313,'hrtg_xosith_chest',NULL,'','','',0,2902,57,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640314,'qst_taysir_dirtpile_02',NULL,'','','',0,2917,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640315,'qst_taysir_gravestone_01',NULL,'','','',0,2916,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640316,'qst_taysir_gravestone_04',NULL,'','','',0,2925,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640317,'qst_taysir_gravestone_03',NULL,'','','',0,2921,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640318,'qst_taysir_gravestone_02',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640319,'qst_taysir_gravestone_01',NULL,'','','',0,2919,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640320,'erudin_garden_teleporter',NULL,'','','',0,2682,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640321,'void papers false',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640322,'',NULL,'','','',0,6159,320,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640323,'barricade_long',NULL,'','','',0,12872,32,0,1,1,0,0,0,0,0,0,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640324,'Kejekan Torch',NULL,'','','',0,13420,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640325,'qst_telescope_invis_cube',NULL,'','','',0,2306,258,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640326,'a Temporal pathfinder',NULL,'','','',255,1597,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640327,'qst_invis_cube_ozlem',NULL,'','','',0,2306,48,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640328,'hrtg_secondary_beacon',NULL,'','','',0,2681,167,0,1,1,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640329,'hrtg_tertiary_beacon',NULL,'','','',0,2681,143,0,1,1,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640330,'qst_ebodold_brazier',NULL,'','','',0,11397,32,0,1,1,0,0,33259,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640331,'qst_tai_mei_incense4',NULL,'','','',0,11828,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640332,'qst_tai_mei_incense5',NULL,'','','',0,11828,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640333,'Chemistry Table',NULL,'','','',0,11993,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640334,'Shareon Beliqeh',NULL,'','','',255,1596,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640335,'Assistant Larriden',NULL,'','','',255,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640336,'hrtg_primary_beacon',NULL,'','','',0,2681,155,0,1,1,0,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640337,'gragnar_cave_chests',NULL,'','','',0,3086,63,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640338,'Kejekan Torch',NULL,'','','',0,13421,32,0,1,1,0,0,0,0,0,0,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640339,'Sata',NULL,'','','',255,1605,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640340,'Engraved Desk',NULL,'','','',0,11994,32,0,1,1,4,0,0,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640341,'Work Bench',NULL,'','','',0,11992,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640342,'Researcher Tzuien',NULL,'','','',255,1604,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640343,'Researcher Tahar',NULL,'','','',255,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640344,'Researcher Azira',NULL,'','','',255,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640345,'Kejekan Campfire Lit',NULL,'','','',0,13567,32,0,1,1,0,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640346,'felidael_tombstone04',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640347,'felidael_gravesite04',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640348,'felidael_tombstone03',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640349,'felidael_gravesite03',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640350,'felidael_tombstone02',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640351,'felidael_gravesite02',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640352,'felidael_gravesite01',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640353,'felidael_tombstone01',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640354,'felidael_tombstone10',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640355,'felidael_gravesite10',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640356,'felidael_tombstone09',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640357,'felidael_gravesite09',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640358,'felidael_tombstone08',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640359,'felidael_gravesite08',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640360,'felidael_tombstone07',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640361,'felidael_gravesite07',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640362,'felidael_tombstone06',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640363,'felidael_gravesite06',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640364,'felidael_tombstone05',NULL,'','','',0,1854,16,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640365,'felidael_gravesite05',NULL,'','','',0,2916,22,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640366,'gravestones fixed',NULL,'','','',0,1854,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640367,'gravestones flowers',NULL,'','','',0,1738,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640368,'gravestones static',NULL,'','','',0,2377,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640369,'tunnel blocking',NULL,'','','',0,2067,64,0,1,1,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640370,'tunnel boulder 1',NULL,'','','',0,12326,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640371,'tunnel boulder 2',NULL,'','','',0,12327,35,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640372,'invis cube for teleporter',NULL,'','','',0,2306,32,0,1,1,0,0,11355,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640373,'gardener_listener_invis_cube01a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640374,'qst_garden_listening_device01',NULL,'','','',0,5680,14,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640375,'gardener_listener_invis_cube04a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640376,'qst_garden_listening_device04',NULL,'','','',0,5680,14,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640377,'gardener_listener_invis_cube03a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640378,'qst_garden_listening_device03',NULL,'','','',0,5680,14,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640379,'gardener_listener_invis_cube02a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640380,'qst_garden_listening_device02',NULL,'','','',0,5680,14,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640381,'observatory_runes_invis_cube01a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640382,'qst_observatory_listening_device01',NULL,'','','',0,5680,9,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640383,'observatory_runes_invis_cube04a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640384,'observatory_runes_invis_cube03a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640385,'qst_observatory_listening_device04',NULL,'','','',0,5680,9,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640386,'qst_observatory_listening_device03',NULL,'','','',0,5680,9,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640387,'observatory_runes_invis_cube02a',NULL,'','','',0,2306,16,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640388,'qst_observatory_listening_device02',NULL,'','','',0,5680,9,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640389,'Yavuz Kadir',NULL,'','','',255,8927,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640390,'qst_tai_mei_incense3',NULL,'','','',0,11828,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640391,'qst_tai_mei_incense2',NULL,'','','',0,11828,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640392,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640393,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(4640394,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0),
(4640395,'zone_erudin_library',NULL,'','','',0,14015,32,0,1,1,98,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640396,'zone_erudin_palace',NULL,'','','',0,14015,32,0,1,1,99,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640397,'Erudin Research Halls',NULL,'','','',0,14015,32,0,1,1,100,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640398,'The Vasty Deep',NULL,'','','',0,2451,64,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640399,'an old ladder',NULL,'','','',0,16448,32,0,1,1,45,0,0,0,0,1,0,0,201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640400,'an abandoned nest',NULL,'','','',0,2400,32,0,1,1,135,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640401,'quellious_altar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,545,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640402,'cazic_altar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640403,'Mailbox',NULL,'','','',0,12735,32,0,1,1,29,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640404,'a Hua Mein skull',NULL,'','','',0,11677,44,0,1,1,135,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640405,'a pile of skulls',NULL,'','','',0,4138,32,0,1,1,135,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640406,'a chest of skulls',NULL,'','','',0,1383,32,0,1,1,135,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640407,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640408,'Toxxulia timber',NULL,'','','',0,12346,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640409,'craggy lair',NULL,'','','',0,12349,38,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640410,'molten formation',NULL,'','','',0,12345,35,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640411,'Toxxulia root culm',NULL,'','','',0,12348,35,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640412,'infused deposit',NULL,'','','',0,12347,38,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640413,'perennial shrub',NULL,'','','',0,12350,9,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640414,'mined slobberjaw ore',NULL,'','','',0,3957,22,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640415,'Shamanroot shrub',NULL,'','','',0,3909,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640416,'school of tiny fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640417,'fractured headstone',NULL,'','','',0,2924,38,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640418,'blightbloom blossom',NULL,'','','',0,12306,3,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640419,'Odus sweet potato',NULL,'','','',0,1738,38,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640420,'void-laced kaborite',NULL,'','','',0,12203,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640421,'madcap mushroom',NULL,'','','',0,4551,26,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640422,'wizard cap mushroom',NULL,'','','',0,1523,3,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640423,'Aglthin pondweed',NULL,'','','',0,12359,47,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640424,'kaboritic tephra',NULL,'','','',0,3923,42,0,1,1,1,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4640425,'Mavenberry bush',NULL,'','','',0,3909,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650000,'','','','','',255,8873,38,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650001,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650002,'a Paineel guard','','','','',9,1603,38,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650003,'Gih''Laih Et''Kiad','<Collector>','','','',9,1587,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650004,'Gobtik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650005,'a local citizen','','','','',3,1605,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650006,'a lingering Paineel spirit','','','','',255,11218,35,3,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650007,'a lingering Paineel guard','','','','',255,4537,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650008,'a lingering slitherspine','','','','',255,4664,51,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650009,'Kosn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650010,'a lingering Paineel spirit','','','','',255,11219,38,3,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650011,'Jenobn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650012,'Konartik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650013,'a scrounging rat','','','','',255,196,15,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650014,'Lo''Lee Yasir','<a mysterious erudite>','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650015,'Ahgreebl Yasir','<a mysterious erudite>','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650016,'Jarnera','<Token Trader - Martial Instruments>','','','',3,1596,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650017,'Elendra','<Token Trader - Adornment>','','','',3,1587,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650018,'Falakhar','<Token Trader - Armor>','','','',3,1600,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650019,'Jeleth','<Token Trader - Jewelry>','','','',3,1600,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650020,'Sehesh','<Trader of Arad>','','','',3,1592,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650021,'Rialyen Farineth','<Qeynos Ambassador>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650022,'a Paineel highguard','<The Fell Blade>','','','',9,1593,41,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650023,'Jekn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650024,'Gartik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650025,'Gibekab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650026,'Mopin Clocklock','<Freeport Ambassador>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650027,'Delinah Khahiz','','','','',9,120,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650028,'Kobantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650029,'Aaliya','<Bastion of the Tranquil>','','','',9,1587,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650030,'Ayah','<Elemental Studies>','','','',9,1593,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650031,'Safa','<The Fell Blade>','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650032,'Kamal','<Paranormal Studies>','','','',9,1604,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650033,'Amid','<Paranormal Studies>','','','',9,1600,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650034,'Hafiz','<Roekillik Studies>','','','',9,1603,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650035,'Captain Ghalib Elbaz','<The Fell Blade>','','','',3,1605,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650036,'Bushra','','','','',9,1588,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650037,'Sherra L''Arel','','','','',3,1587,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650038,'Alim Dabir','<Bastion of the Tranquil>','','','',3,1605,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650039,'Dinu','<Research Alchemist>','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650040,'Sa''ib Waseem','<Bastion of the Tranquil>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650041,'Scholar Dahlia Dominique','<Artifact Researcher>','','','',3,1589,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650042,'Karn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650043,'Al''leed Velgho','<Bastions of the Tranquil>','','','',9,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650044,'a sneaky vermin','','','','',255,10874,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650045,'Researcher Ma''jok','<Fawzi''s Apprentice>','','','',9,1605,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650046,'Irfan','<Elemental Studies>','','','',9,1603,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650047,'Mu''adh','<Paranormal Studies>','','','',9,1598,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650048,'High Commander Fawzi Zaim','<The Fell Blade>','','','',3,1605,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650049,'Samad','<Roekillik Studies>','','','',9,1603,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650050,'Hanifa','<Roekillik Studies>','','','',9,1598,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650051,'Almas','<Elemental Studies>','','','',9,1589,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650052,'Jawhar A''Khattab','<Bastion of the Tranquil>','','','',3,1600,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650053,'Pleni Mas''arc','<Historiographer of Paineel>','','','',9,1593,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650054,'Inglorit Y''tiuri','<Ishaq''s Pupil>','','','',3,1600,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650055,'Ishaq Al''Nair','<Paineel City Council>','','','',3,1600,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650056,'Raml''iut','<Paineel Market Broker>','','','',3,1605,38,0,1,1,20,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650057,'Raml''ain','<Paineel Banker>','','','',3,1588,38,0,1,1,14,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650058,'Oolioomon','<Craftkeepers Coordinator>','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650059,'Yit''iuba the Magic Melter','<Purveyor of Artifacts>','','','',3,1600,38,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650060,'Ganer','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650061,'Saihah Al''Lad','<Seekers of the Dark Truth>','','','',3,1587,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650062,'Adeela','<Craftkeepers>','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650063,'Siut''Thiur','<Mender>','','','',3,1601,38,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4650064,'Kabeker','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650065,'Garantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650066,'Jibn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650067,'Zabekn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650068,'an Underfoot hardstomper','','','','',255,13107,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650069,'Labarn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650070,'Jarn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650071,'a Toxxulia winged sentinel','','','','',255,7185,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650072,'a Toxxulia guardian','','','','',255,7297,38,3,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650073,'','','','','',255,19311,72,8,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650074,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650075,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650076,'Vabantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650077,'Kantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650078,'Vann','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650079,'Vasobtik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650080,'Gonaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650081,'Jarab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650082,'Ganab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650083,'Konn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650084,'Xarantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650085,'Kebeker','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650086,'Gonantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650087,'Jobtik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650088,'Gontik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650089,'Genanab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650090,'Jibartik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650091,'Xasarab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650092,'Xasarn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650093,'Jabantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650094,'Lebann','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650095,'a spark of energy','','','','',255,10513,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650096,'a dune scrounger','','','','',255,4531,63,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650097,'Jantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650098,'Kaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650099,'Xebann','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650100,'a sand whirl','','','','',255,5596,95,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650101,'a dune twister','','','','',255,5634,95,2,1,1,11,0,4150,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650102,'Kamil Aziz','','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650103,'Kal''ila Saad','','','','',9,120,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650104,'Johara Najjar','','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650105,'A''lima Mansoor','<Researcher of the Necromantic Arts>','','','',9,1591,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650106,'Abbas L''on','<Craftcaller>','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650107,'Om''ran Quat''ir','<Magic Sanctioner>','','','',9,1597,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650108,'Amtul''lah Jad','<Subaltern to the Council of Manaar>','','','',9,1593,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650109,'Ismat','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650110,'Inayat Wijdani','<Bastion of the Tranquil>','','','',3,1600,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650111,'Zafirah Aamira','<Seekers of the Dark Truth>','','','',3,1591,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650112,'Nudhir Il''qatai','<Bastion of the Tranquil>','','','',3,1600,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650113,'Stamper Jeralf','<Bloodfree''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650114,'Bellut Shortsong','<Inviteone''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650115,'Sscire Slitherscale','<Invitetwo''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650116,'Kalligah','<Warder of Shalih Mar>','','','',255,2415,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650117,'Shalih Mar','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650118,'Prime Envoy Chiryli','<Representative of Gorowyn>','','','',255,7370,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650119,'a local traveler','','','','',3,1606,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650120,'Kasantik','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650121,'Jarekn','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650122,'Kenantik','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650123,'a trained Toxxulia prowler','A patrolling erudite''s pet','','','',255,11211,48,1,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650124,'a patrolling erudite','','','','',9,1596,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650125,'Felice Adae','<Far Seas Trading Company Representative>','','','',6,135,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650126,'Libaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650127,'Kosaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650128,'Xabaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650129,'Varekab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650130,'Kabantik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650131,'Gabober','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650132,'Goser','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650133,'Kosober','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650134,'Zibaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650135,'Xibobtik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650136,'Lonartik','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650137,'Laseker','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650138,'Zaner','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650139,'Sumit','<Seekers of the Dark Truth>','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650140,'Neophyte Dolor','<Seekers of the Dark Truth>','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650141,'Neophyte Sairal','<Seekers of the Dark Truth>','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650142,'an Underfoot mudslug','','','','',255,299,96,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650143,'a turbulent knot','','','','',255,8058,63,2,1,1,11,0,8179,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650144,'a Toxxulia prowler','','','','',255,11211,47,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650145,'a toxic crawler','','','','',255,258,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650146,'a scavenging vermin','','','','',255,10874,22,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650147,'a wandering vermin','','','','',255,10871,20,1,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650148,'a Roekillik malefactor','','','','',255,10874,38,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650149,'a Roekillik marauder','','','','',255,10874,38,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650150,'a Roekillik zealot','','','','',255,10874,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650151,'a Roekillik hoarder','','','','',255,10871,31,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650152,'a Roekillik despoiler','','','','',255,10874,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650153,'a Roekillik enforcer','','','','',255,10874,38,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650154,'a briarroot horror','','','','',255,10811,95,6,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650155,'a Roekillik Courier','','','','',255,10874,38,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650156,'Ritsy','','','','',255,10871,25,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650157,'a Tox fly','','','','',255,7095,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650158,'a bristlevine abhorrence','','','','',255,10809,70,3,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650159,'a root glimmer','','','','',255,11457,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650160,'a malignant seedling','','','','',255,7217,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650161,'a toxic goiter','','','','',255,6315,47,2,1,1,11,0,1498,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650162,'an inimical sparklet','','','','',255,7241,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650163,'a manglevine pariah','','','','',255,6540,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650164,'a toxicoid stormer','','','','',255,7687,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650165,'Hytkysis','<Forlorn Drake Spirit>','','','',255,238,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650166,'a Toxxulia winged avenger','','','','',255,7185,41,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650167,'a toxic kobold','','','','',255,6452,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650168,'a frenzied toxic kobold','','','','',255,6456,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650169,'a vile trampler','','','','',255,9532,54,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650170,'Animist Butrus','','','','',3,1600,28,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650171,'a bristlevine horror','','','','',255,10809,63,3,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650172,'Gibobn','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650173,'Vaber','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650174,'Varn','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650175,'Kener','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650176,'Lonantik','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650177,'a petrified cackler','','','','',255,2936,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650178,'Konn','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650179,'Gener','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650180,'Cuddles','Mrduggins''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650181,'Lonarn','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650182,'Konartik','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650183,'Grunglee Tekuluos','<Gorowyn Representative>','','','',255,7919,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650184,'Sasha Razorcut','<Freeport Representative>','','','',13,58,32,0,1,1,9,0,221,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650185,'Kelinos Nurellin','<Neriak Representative>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650186,'Henry Overwater','<Qeynos Representative>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650187,'Everian Mossway','<Kelethin Representative>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650188,'Lady Vienna Sanditerra','<New Halas Representative>','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650189,'Xosab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650190,'Vanab','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650191,'Kenober','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650192,'Koneker','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650193,'Garn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650194,'a sand scrapper','','','','',255,5862,67,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650195,'Lonarn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650196,'Zann','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650197,'Gabann','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650198,'Jibekn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650199,'Kasekn','A local citizen''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650200,'Or''Iku','<Craftkeepers>','','','',3,1587,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650201,'Kal''Jeketh','<Trader of Arad>','','','',3,1600,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650202,'a Paineel outland patrol guard','','','','',9,119,36,1,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650203,'Krin''Jilna','<Trader of Arad>','','','',3,1600,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650204,'a fossilfang rumbler','','','','',255,2412,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650205,'a muddy gob','','','','',255,8195,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650206,'A Strong Tornado','','','','',255,5634,128,0,1,1,11,0,4150,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650207,'A Cackling Fiend','','','','',255,4537,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650208,'a wayward stonevine','','','','',255,12555,95,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650209,'an underfoot levitatestone','','','','',255,8059,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650210,'a stonecold carrion','','','','',255,10531,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650211,'a crystalline protector','','','','',255,11363,64,0,1,1,11,0,15640,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650212,'a dead roekillik','','','','',255,10874,38,0,1,1,0,0,228,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650213,'a stonegraft scoundrel','','','','',255,10531,80,0,1,1,11,0,2083,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650214,'Apprentice Tam','','','','',3,1588,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650215,'a grimestone burrower','','','','',255,258,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650216,'a commanding vermin','','','','',255,10874,28,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650217,'Falleh Missar','<Chief Toxxulia Forest Researcher>','','','',9,119,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650218,'Apprentice Aulerun','<Nudhir''s Apprentice>','','','',9,1599,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650219,'Loridan Kol''Etta','','','','',9,1598,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650220,'a manifested Paineel spirit','','','','',255,11218,32,0,1,1,9,0,9733,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650221,'Malefactor Reekiteeth','','','','',255,10874,38,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650222,'','','','','',255,11363,120,8,1,1,0,0,2623,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650223,'a vehement whirlstorm','','','','',255,5634,159,3,1,1,11,0,4580,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650224,'Finglias','','','','',255,238,128,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650225,'a snaptail devourer','','','','',255,250,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650226,'Forager Rilloke','<Kerra Forager>','','','',11,93,38,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650227,'a skeletal candelabra','','','','',255,138,38,3,1,1,11,0,1625,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650228,'Hunter Rajik','<Kerra Hunter>','','','',11,102,41,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650229,'a kerra hunter','','','','',11,97,35,3,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650230,'a kerra hunter','','','','',11,93,35,3,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650231,'Taliah the Diviner','','','','',11,93,38,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650232,'a crageye stalker','','','','',255,5237,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650233,'a feral bruiser','','','','',255,7258,50,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650234,'Zumok the Untamed','','','','',255,7258,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650235,'Vladimir','Undying Servant','','','',255,8220,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650236,'a horned rampager','','','','',255,10816,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650237,'an animated tail slasher','','','','',255,11212,47,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650238,'an animated ruffian','','','','',255,1521,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650239,'a slate beetle','','','','',255,2361,44,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650240,'Criana','Criana''s Personae Reflection','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650241,'a Hua Mein soldier','','','','',255,11242,44,2,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650242,'a Hua Mein villager','','','','',255,11244,49,8,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650243,'Mashi Su''Wah','<Dish Crafter>','','','',255,11245,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650244,'a Hua Mein villager','','','','',255,11244,45,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650245,'Siakar','Siakar''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650246,'a Hua Mein guard','','','','',255,11242,44,3,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650247,'a pond tetra','','','','',255,194,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650248,'Loran Tico''Ma','','','','',255,11244,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650249,'Majho Jung','<Spiritual Artist>','','','',255,11244,37,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650250,'Wan Sengo','<Calligrapher>','','','',255,11244,39,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650251,'Mushien Lou','<Divine Poet>','','','',255,11245,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650252,'Shi''jan Sensou','<Arena Master>','','','',255,11242,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650253,'','','','','',255,11246,58,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650254,'Li Sing','<Provisioner>','','','',255,11243,38,0,1,1,9,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650255,'Yun Zi','<Hua Mein Craftsman>','','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650256,'Svyi Tu''usto','','','','',255,11244,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650257,'Luah Seigh','','','','',255,11243,34,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650258,'a wadi scavenger','','','','',255,201,35,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650259,'an uprooted abomination','','','','',255,274,80,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650260,'Joki the Bonepile','<Compilation of Bones>','','','',9,10813,96,0,1,1,0,0,540,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650261,'an animated tormentor','','','','',255,8771,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650262,'Philuphii the Destroyer','<Guardian of the Pit>','','','',255,11051,192,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650263,'Flamey','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650264,'Cringer','Orcko''s familiar','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650265,'a trapper of souls','','','','',255,10354,47,3,1,1,11,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650266,'a perished Hua Mein warrior','','','','',255,11247,37,2,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650267,'an abhorring spirit','','','','',255,11449,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650268,'a fallen erudite battlemage','','','','',255,4535,38,3,1,1,11,0,14627,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650269,'a boulder dasher','','','','',255,12542,64,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650270,'Lasann','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650271,'Vebann','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650272,'Zastik','A local traveler''s familiar','','','',255,6824,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650273,'Masih Najjar','','','','',9,119,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650274,'Fazia Al''Khattab','<Bastion of the Tranquil>','','','',9,1594,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650275,'Warriden Jupidor','','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650276,'a stoneslough coiler','','','','',255,2411,18,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650277,'','','','','',255,12469,191,4,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650278,'an enlightened adept','<Disciple of the Faceless>','','','',9,1592,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650279,'Varifor T`Sarn','<Disciple of the Faceless>','','','',9,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650280,'Klaaktuus','<Fear''s Juggernaut>','','','',255,11050,140,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650281,'a summoned bastion','','','','',255,12478,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650282,'a Paineel knight guardian','','','','',9,120,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650283,'a Paineel visionary','','','','',9,1591,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650284,'Seth Xrik''Sel','','','','',9,1606,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650285,'a Paineel realmgazer','','','','',9,1606,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650286,'a Paineel sage','','','','',9,1589,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650287,'a Paineel theorist','','','','',9,1590,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650288,'Aysha','<Bastion of the Tranquil>','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650289,'Quindel Far''Dorleh','','','','',9,1592,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650290,'Falizar D''Narin','<Chief Scholar of Dartain''s Eye>','','','',9,1600,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650291,'Jartik','Brinnoth''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650292,'a kerra hunter','','','','',11,82,35,3,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650293,'a penned tiger','','','','',255,2415,44,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650294,'a feathered vagabond','','','','',255,7235,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650295,'Pitmaster Shar''rik','','','','',11,102,41,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650296,'Tiger Caretaker Mik''roe','','','','',11,97,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650297,'a kerra hunter','','','','',11,93,33,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650298,'Jakna','<Chief Huntress>','','','',11,94,38,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650299,'Hitus Sharpclaw','','','','',11,101,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650300,'Ritualist Joyaren','','','','',11,100,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650301,'Kejek Chief Nuryen','<Kejek Tribal Leader>','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650302,'a kejekan stalwart','','','','',11,99,24,2,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650303,'a kerran hunter','','','','',11,93,35,3,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650304,'Cincia Gelt','','','','',11,93,37,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650305,'a primeval kobold','','','','',255,6455,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650306,'a kejekan adherent','','','','',11,99,25,2,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650307,'Lillithiah Feathertail','<Kerran Caretaker>','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650308,'a kerra villager','','','','',11,95,35,3,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650309,'a small wharf rat','','','','',255,196,15,2,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650310,'Keyta Wicker','<Kerran Shaman>','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650311,'Chinook','<Tailor>','','','',11,93,32,0,1,1,9,1265,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650312,'Harriet','<Kerra Outfitter>','','','',11,91,34,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650313,'Kerra Queen Martah','<Kerra Tribal Leader>','','','',11,92,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650314,'a Kerran bodyguard','','','','',11,82,35,2,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650315,'Nutmeg','','','','',255,304,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650316,'Natasha','<Mystic>','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650317,'Ootuko','<Shaman Elder>','','','',11,99,38,0,1,1,9,0,540,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650318,'Shaman Yityen','','','','',11,82,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650319,'Meelia','','','','',11,81,22,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650320,'Soknip the Raucous','<Village Mender>','','','',11,100,38,0,1,1,12,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650321,'Simerah Everfur','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650322,'Kerra Cub Miku','','','','',255,101,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650323,'Kulrah','<Keeper of the Hands of Kejaan>','','','',11,98,35,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650324,'a darkpaw pouncer','','','','',255,5685,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650325,'a young bush gorilla','','','','',255,6825,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650326,'a bush gorilla','','','','',255,6825,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650327,'Katatobi','<Kerra Village Banker>','','','',11,99,38,0,1,1,14,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650328,'Urix the Speaker','','','','',11,101,38,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650329,'a feral boldstripe tiger','','','','',255,2415,51,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650330,'a tiger cub','','','','',255,2415,19,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650331,'a boldstripe tigress','','','','',255,2415,38,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650332,'Gabobn','Lavasparxx''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650333,'Kitty','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650334,'a monstrous shoot','','','','',255,7217,66,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650335,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2982,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650336,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2998,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650337,'Teleporter',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650338,'Hole_Entrance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650339,'Hole_Entrance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650340,'Hole_Entrance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650341,'ruins_teleporter',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650342,'severed head',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,2,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650343,'ward 1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650344,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,659,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650345,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,705,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650346,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,728,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650347,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650348,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650349,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650350,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,728,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650351,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,705,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650352,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650353,'ward 9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650354,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650355,'ward 2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650356,'ward 3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650357,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650358,'ward 4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650359,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650360,'ward 8',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650361,'ward 7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650362,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650363,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650364,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,782,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650365,'ward 6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650366,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650367,'kerra meat',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650368,'kerra lettuce',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650369,'kerra bread',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650370,'kerra cheese',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650371,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,945,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650372,'ward 5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,355,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650373,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650374,'coconut tree',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650376,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650377,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650378,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650380,'a Temporal guide',NULL,'','','',255,10020,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650381,'invis cube for dock transport',NULL,'','','',0,2306,158,0,1,1,146,0,11355,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650382,'Strategic Scholar Jup''kib',NULL,'','','',255,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650383,'Archanic Scholar Lii''dial',NULL,'','','',255,1587,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650384,'ishaq page update',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650385,'Elder Shahib Zaim',NULL,'','','',255,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650386,'Sewing Table & Mannequin',NULL,'','','',0,7179,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650387,'Forge',NULL,'','','',0,7178,32,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650388,'floor_books_any_mixed05',NULL,'','','',0,2595,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650389,'roekillik_book',NULL,'','','',0,12336,19,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650390,'Wholesaler Kadot',NULL,'','','',255,1599,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650391,'Al''Diun Stirhinis',NULL,'','','',255,1600,41,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650392,'Woodworking Table',NULL,'','','',0,7181,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650393,'Work Bench',NULL,'','','',0,7182,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650394,'Wholesaler Dinoti',NULL,'','','',255,1599,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650395,'Stove & Keg',NULL,'','','',0,7180,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650396,'Chemistry Table',NULL,'','','',0,7176,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650397,'Engraved Desk',NULL,'','','',0,7177,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650398,'Toxxulia Actor',NULL,'','','',255,11770,128,0,1,1,0,0,11191,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650399,'gravestones',NULL,'','','',0,13129,32,0,1,1,0,0,0,0,0,0,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650400,'Daecon Joh''N',NULL,'','','',255,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650401,'a curious box',NULL,'','','',0,4439,12,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650402,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650403,'Ambassador Palius',NULL,'','','',255,1471,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650404,'Delegate Kyerah',NULL,'','','',255,1463,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650405,'Flutterflies',NULL,'','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650406,'Executor K''velix',NULL,'','','',255,115,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650407,'Taglfitz Von Gearbender',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650408,'Necromantic Scholar Kirarn',NULL,'','','',255,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650409,'twilight bloom',NULL,'','','',0,12402,37,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650410,'qst_invis_cube_butrus',NULL,'','','',0,2306,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650411,'a Temporal pathfinder',NULL,'','','',255,1597,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650412,'Alwari Yuk''sel',NULL,'','','',255,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650413,'a reanimated Toxxulia prowler',NULL,'','','',255,11212,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650414,'roekillik_mastery',NULL,'','','',0,3033,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650415,'Boralius',NULL,'','','',255,100,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650416,'Ma''lo',NULL,'','','',255,11244,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650417,'tradeskill_huamein_shell',NULL,'','','',0,3960,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650418,'invis_wall_waterfall',NULL,'','','',0,4544,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650419,'Caan',NULL,'','','',255,11244,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650420,'Matron T''Akinu',NULL,'','','',255,11245,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650421,'Jaen Tiuni',NULL,'','','',255,11244,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650422,'Elder Su''Linh',NULL,'','','',255,11245,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650423,'Bai''Yun',NULL,'','','',255,11246,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650424,'Culi',NULL,'','','',255,11245,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650425,'Hui''ya',NULL,'','','',255,11243,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650426,'hua scrolls 03',NULL,'','','',0,12325,80,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650427,'hua scrolls 02',NULL,'','','',0,12324,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650428,'hua scrolls 01',NULL,'','','',0,12324,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650429,'Cio''lii',NULL,'','','',255,11243,70,0,1,1,9,0,18947,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650430,'Ra''di',NULL,'','','',255,11245,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650431,'hua teatable',NULL,'','','',0,12328,41,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650432,'hua tea bowl',NULL,'','','',0,12344,12,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650433,'hua statue',NULL,'','','',0,12316,80,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650434,'Mgi''mu',NULL,'','','',255,11243,32,0,1,1,9,0,19040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650435,'Jin''tu',NULL,'','','',255,11252,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650436,'Sifter',NULL,'','','',0,12353,21,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650437,'elemental dirt',NULL,'','','',0,12334,92,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650439,'observatory_lens_fixed',NULL,'','','',0,12249,24,0,1,1,0,0,0,0,0,0,0,0,1108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650440,'Purrak',NULL,'','','',255,98,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650441,'kerra rat cage empty 01',NULL,'','','',0,12315,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650442,'an old milk cow',NULL,'','','',255,2456,32,0,1,1,876,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650443,'qst_heritage_jojo_fire_clickbox',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650444,'kerra rat cage empty 02',NULL,'','','',0,12315,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650445,'a reanimated Toxxulia cat',NULL,'','','',255,11212,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650446,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0),
(4650447,'Ulteran Spire Portal',NULL,'','','',0,2306,96,0,1,1,88,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650448,'Mailbox',NULL,'','','',0,12592,32,0,1,1,29,0,0,0,0,1,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650449,'Main elevator switch top',NULL,'','','',0,2306,64,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650450,'ishaq_podium',NULL,'','','',0,12331,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650451,'zone_to_tox_mound',NULL,'','','',0,49,32,0,1,1,156,0,18756,0,0,1,0,0,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650452,'The Vigilant',NULL,'','','',0,2451,48,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650453,'crate',NULL,'','','',0,12357,32,0,1,1,135,0,2623,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650454,'dead rat',NULL,'','','',0,12358,7,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650455,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650456,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650457,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650458,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650459,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650460,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650461,'roekillik_scribblings',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650462,'bucket',NULL,'','','',0,12332,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650463,'Drake Whelp Egg',NULL,'','','',0,12314,62,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650464,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650465,'Toxxulia timber',NULL,'','','',0,12346,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650466,'craggy lair',NULL,'','','',0,12349,38,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650467,'molten formation',NULL,'','','',0,12345,35,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650468,'Toxxulia root culm',NULL,'','','',0,12348,35,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650469,'infused deposit',NULL,'','','',0,12347,38,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650470,'perennial shrub',NULL,'','','',0,12350,9,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650471,'?',NULL,'','','',0,7658,32,0,1,1,6,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650472,'school of tiny fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4650473,'Toxxulia flower bud',NULL,'','','',0,12402,32,0,1,1,2,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4690000,'Snowflake','Antonia_Bayle.Telynia''s frostpaw kitten','','','',255,13657,16,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4690001,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,398,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4690002,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,398,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4690003,'gnomish_relic',NULL,'','','',0,12874,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700000,'Arrin Clelland','<Camp Provisioner>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700001,'Olydia Bladethrower','<Containers & Ammunition>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0),
(4700002,'a raiding sporetender','','','','',255,8176,15,3,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700003,'a crustose defender','','','','',255,8176,12,3,1,1,11,0,0,1,1,1,0,35,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700004,'Luda Ruthven','<General Goods>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0),
(4700005,'Yasha Redblade','','','','',0,111,35,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700006,'Gurtha McPherson','<Armor & Weapons>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0),
(4700007,'Trainer Aleks Silverhelm','<Keeper of Magical and Martial Knowledge>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700008,'Trainer Thorir Wolfskinner','<Know Your Enemy>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700009,'Bull the Crafty','<Mender>','','','',0,112,32,0,1,1,12,9,0,0,0,1,0,0,34,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4700010,'Adred Primculloch','<Hammer''s Wrath>','','','',0,112,33,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700011,'Trainer Gani Maccusson','<Knowledge of Repairs and Banking>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700012,'a guard dog','','','','',255,3711,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700013,'Norfryd Brisbane','<Banker>','','','',0,111,38,0,1,1,14,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700014,'a weak sparring partner','','','','',6,78,31,1,1,1,11,9,0,1,1,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700015,'Trainer Ragnhild Stonefist','<Combat Trainer>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700016,'Trainer Hawk Dunlop','<Harvesting and Collections>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700017,'an average sparring partner','','','','',9,132,32,0,1,1,11,9,0,1,1,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700018,'a formidable sparring partner','','','','',0,112,32,0,1,1,11,9,0,1,1,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700019,'a crustose sporetender','','','','',255,8174,12,4,1,1,11,0,0,1,1,1,0,355,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700020,'Galinda Goodfaith','','','','',7,107,35,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700021,'a frozen grappler','','','','',255,211,19,3,1,1,11,0,1494,1,1,1,0,35,25,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700022,'Defender Gesa','<Hammer''s Wrath>','','','',0,111,32,0,1,1,35,0,0,0,0,1,0,34,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700023,'Defender Detmer','<Hammer''s Wrath>','','','',0,112,32,0,1,1,35,0,0,0,0,1,0,34,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700024,'Defender Ranueig','<Hammer''s Wrath>','','','',0,111,32,0,1,1,35,0,0,0,0,1,0,34,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700025,'Defender Noralv','<Hammer''s Wrath>','','','',0,112,32,0,1,1,35,0,0,0,0,1,0,34,34,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700026,'a trampling rumbler','','','','',255,154,10,3,1,1,11,0,1494,1,1,1,0,355,112,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700027,'a Ry''Gorr centurion','','','','',20,13209,37,3,1,1,11,0,0,1,1,1,0,354,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700028,'an Iceclad cod','','','','',255,194,25,0,1,1,11,0,0,1,1,1,0,0,8,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700029,'a blue manta','','','','',255,10668,25,0,1,1,11,0,0,1,1,1,0,0,9,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700030,'a rolling stone','','','','',255,8875,60,5,1,1,11,0,0,1,1,1,0,35,32,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700031,'a large Iceclad cod','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700032,'Crushinator','','','','',255,8875,160,0,1,1,11,0,0,1,1,1,0,1,32,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700034,'Verien Skysigh','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700035,'Wregan Firebeard','','','','',0,1468,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700036,'Jaisen Tutwhittle','','','','',7,108,32,0,1,1,9,0,3693,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700037,'Trainer Levka Foeblade','<Recognizing Opportunities>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700038,'Trainer Naldur Fursythe','<Expert in Physical Attributes>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700039,'Blorpisa Bogchild','','','','',4,4939,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700040,'Trainer Cael Blackstock','<Know Your Inventory and Equipment>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700041,'Isen Greyfist','<Containers & Ammunition>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0),
(4700042,'Albrun Langheart','<Hammer''s Wrath>','','','',0,111,29,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700043,'a blizzard grizzly','','','','',255,3836,36,3,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700044,'Splorpy Quagmarr','','','','',4,3793,16,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700045,'Flibbit Quagmarr','','','','',4,3788,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700046,'Sigbrith MacInnes','<Mender>','','','',0,111,32,0,1,1,12,9,0,0,0,1,0,0,34,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4700047,'a blizzard matron','','','','',255,3836,40,3,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700048,'a blizzard grizzly cub','','','','',255,3836,17,3,1,1,11,0,0,1,1,1,0,1,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700049,'a fallen pilgrim','','','','',0,111,31,3,1,1,15,0,0,0,0,1,3,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700050,'a feeding blizzard grizzly','','','','',255,3836,38,3,1,1,11,0,0,1,1,1,0,35,36,76,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700051,'','','','','',255,8873,38,6,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700052,'a lounging blizzard grizzly','','','','',255,3836,35,3,1,1,11,0,0,1,1,1,0,0,36,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700053,'a snowpack','','','','',255,8201,42,8,1,1,11,0,0,1,1,1,0,35,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700054,'a frigid whirlstorm','','','','',255,9781,37,8,1,1,11,0,0,1,1,1,0,35,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700057,'a coldbreach snapper','','','','',255,218,32,0,1,1,11,0,0,1,1,1,0,0,9,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700060,'an icemane cub','','','','',255,10431,11,3,1,1,11,0,0,1,1,1,0,0,35,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700061,'an iceflow','','','','',255,8215,42,8,1,1,11,0,0,1,1,1,0,0,32,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700062,'The Inimical Slush','','','','',255,8201,128,0,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700064,'a luminous snowflurry','','','','',255,7230,32,0,1,1,11,0,19057,1,1,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700065,'a glacial scoundrel','','','','',255,6824,32,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700066,'a glacial miscreant','','','','',255,6824,32,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700067,'an iceshell snapper','','','','',255,218,35,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700068,'a frigid cuttlefish','','','','',255,210,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700069,'The Deadly Icestorm','','','','',255,9781,76,0,1,1,11,0,4570,1,1,1,0,1,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700070,'an icemane patriarch','','','','',255,10430,38,0,1,1,11,0,0,1,1,1,0,1,35,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700071,'a goremaw','','','','',255,242,28,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700072,'an icemane matriarch','','','','',255,10431,30,3,1,1,11,0,0,1,1,1,0,1,35,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700073,'a saberfish','','','','',255,241,28,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700074,'Rageclaw','','','','',255,10430,64,0,1,1,11,0,0,1,1,1,0,1,35,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700075,'a sprinting Ry''Gorr gatecaller','','','','',20,13209,38,6,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700076,'a vigilant gauntlet defender','','','','',2,11968,35,6,1,1,0,0,11420,0,0,1,0,21,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700077,'Elletilog Orrmont','','','','',0,111,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700078,'Dolur Axebeard','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700079,'Belka Thunderheart','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700080,'Deird MacAlister','<Banker>','','','',0,111,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700081,'Bergbegn Caldloch','','','','',0,112,35,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700082,'Rakan Rockbreaker','<Coldain Quartermaster>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700083,'Hilal Bluefoot','<General Goods>','','','',2,11968,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0),
(4700084,'Bofnur Grayback','<Mender and Armor Merchant>','','','',2,11868,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,108,0,16,0,0,0,0,0,0,0,0,0,0),
(4700085,'a deepice miasma','','','','',255,273,32,0,1,1,11,0,1794,1,1,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700086,'pile of Ry''Gorr bones','','','','',255,139,38,0,1,1,17,0,1494,0,0,1,0,0,36,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700087,'a risen Ry''Gorr','','','','',255,139,38,0,1,1,11,0,1494,1,1,1,0,1,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700088,'a slain coldain','','','','',2,11868,32,0,1,1,18,0,228,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700089,'a summoned coldain spirit','','','','',2,11868,34,1,1,1,0,0,6193,0,0,1,0,21,18,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700092,'a coldain spiritcaller','','','','',2,11868,33,1,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700095,'an Iceclad manta','','','','',255,10668,32,0,1,1,11,0,0,1,1,1,0,0,9,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700096,'a portal jumped Ry''Gorr raider','','','','',20,13209,28,6,1,1,11,0,11420,0,0,1,0,22,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700097,'a vigilant gauntlet defender','','','','',2,11968,30,6,1,1,0,0,11420,0,0,1,0,21,18,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700098,'Battlemaster Golben','<Guardians of Herga''s Choke>','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700099,'a giant goremaw','','','','',255,242,35,0,1,1,11,0,0,1,1,1,0,1,17,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700100,'Battlepriest Herga','','','','',2,11968,32,0,1,1,9,0,6193,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700101,'an ice slurry','','','','',255,3881,32,0,1,1,11,0,0,1,1,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700102,'an aged ice slurry','','','','',255,3692,33,3,1,1,11,0,1494,1,1,1,0,0,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700103,'a frostbiter','','','','',255,5862,60,6,1,1,11,0,1494,1,1,1,0,1,8,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700104,'a large Iceclad manta','','','','',255,10668,38,0,1,1,11,0,0,1,1,1,0,0,9,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700105,'a Ry''Gorr tunneler','','','','',20,13209,32,3,1,1,11,0,11420,1,1,1,0,1,32,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700106,'Tad Ironstein','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700107,'a primal goremaw','','','','',255,242,41,0,1,1,11,0,0,1,1,1,0,1,17,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700108,'Odon Scourgeson','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700109,'Millgard Sunknife','<Provisioner & Weapon Supplier>','','','',0,111,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700110,'Kordok Orcskinner','<Mender>','','','',2,11868,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4700111,'a coldain defender','','','','',2,11868,33,1,1,1,0,0,11420,0,0,1,0,0,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700112,'Thirin Veliumdelver','','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700113,'Knut Orcbane','','','','',0,1467,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700114,'a coldain defender','','','','',2,11868,33,1,1,1,0,0,11420,0,0,1,0,0,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700115,'Hillfred Kinloch','<Blade Maiden>','','','',0,1466,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700116,'a blasted Ry''Gorr invader','','','','',20,13209,38,3,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700117,'a Ry''Gorr invader','','','','',20,13209,41,3,1,1,11,0,16,1,1,1,0,354,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700118,'a Ry''Gorr shock trooper','','','','',20,13209,44,0,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700119,'a Ry''Gorr infiltrator','','','','',20,13209,37,3,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700120,'a Ry''Gorr grenadier','','','','',20,13209,42,3,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700121,'a Ry''Gorr war shaman','','','','',20,13209,36,3,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700122,'a downy kestrel','','','','',255,260,31,3,1,1,11,0,0,1,1,1,0,0,17,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700124,'Wolcott Chillborn','<Inquisitor Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(4700125,'Taskmaster Ru''Grof','','','','',20,13209,48,0,1,1,11,0,0,1,1,1,0,1,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700126,'Brogan MacLellan','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700127,'Commissioner Varla Z''Velran','<Coalition of Tradesfolke>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700128,'Garrot Nuesoon','<Assassin Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(4700130,'Keetra Morrow','<Beastlord Trainer>','','','',11,81,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(4700131,'Odhild Goblinblade','<Swashbuckler Trainer>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100485,0,4,0,0,0,0,0,0,0,0,0,0),
(4700132,'Cordt Metalpatcher','<Mender>','','','',0,112,32,0,1,1,12,9,0,0,0,1,0,0,34,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4700135,'Halik Pathstalker','<Ranger Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(4700136,'Naiish Wulfrage','<Rogues of the White Rose Taskmaster>','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700137,'Torli Blackbow','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700138,'Eidnar Aartsson','<Troubador Trainer>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(4700139,'Gilna Glorysong','<Dirge Trainer>','','','',2,11968,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(4700140,'Agrim MacTosh','<Broker>','','','',0,112,32,0,1,1,20,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700141,'a velinoid clasher','','','','',255,13581,55,3,1,1,11,0,0,1,1,1,0,1,43,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700142,'a rumbling geode','','','','',255,8877,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700143,'a large saberfish','','','','',255,241,35,0,1,1,11,0,0,1,1,1,0,0,17,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700144,'a Ry''Gorr pathfinder','','','','',20,13209,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700145,'an ancient goremaw','','','','',255,242,44,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700146,'Valgarth Galsong','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700147,'Gerna Coldfist','<Hammer''s Wrath>','','','',2,11968,29,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700148,'Blibba Nugrud','','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700149,'Tad Hopson','','','','',4,3790,16,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700150,'Grokka Hopson','','','','',4,4936,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700151,'Ribbit Hopson','','','','',4,3788,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700152,'Gomster Thunderhammer','','','','',2,11868,32,0,1,1,0,0,11500,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700153,'Bargan Farminer','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700154,'Tora Redcaster','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700155,'Marlthra Ironoath','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700156,'Gerna Spellarmor','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700159,'Halhard Caldcalum','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700160,'Timeless Chronomage','','','','',3,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700161,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700163,'Drobritt Caldmont','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700164,'a woolly silkspinner','','','','',255,246,32,0,1,1,11,0,0,1,1,1,0,0,10,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700165,'Shiharra Veldin','<Chronomagi Tasker>','','','',3,1587,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700166,'Gruu Fairbairn','<Advancement Counsel>','','','',0,111,32,0,1,1,22,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700168,'Tova Gilbride','<Wizard Trainer>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(4700169,'Jarda Silverstaff','<Conjuror Trainer>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100484,0,4,0,0,0,0,0,0,0,0,0,0),
(4700170,'Olio Saphatho','<Coercer Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(4700171,'Berta Isholm','<Provisioner>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,258,0,0,0,0,0,0,0,0,0,0,0,0),
(4700172,'Borgard Goldenswill','<Bartender>','','','',2,12003,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700174,'Ulfold Cranden','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700175,'Helvina Glendougall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700178,'Rov Ironkeg','','','','',2,11868,31,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700179,'Tidla Veliumpick','','','','',2,11968,29,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700180,'Danta Flamebeard','','','','',2,11968,33,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700182,'Filnn Shatterhand','<Historian>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700183,'Gerla Meltwater','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700184,'Vidkole Thartium','<Spear of the Spellweavers Taskmaster>','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700185,'Darren Daybreak','<Teleport Trainer>','','','',3,114,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700186,'Dannon Ramsdell','<Linguist>','','','',9,134,41,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,275,0,0,0,0,0,0,0,0,0,0,0,0),
(4700188,'Orn Iceheart','<Warlock Trainer>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(4700189,'Binny Shortwand','<Illusionist Trainer>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,16,16,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(4700190,'Klob Flameoath','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700191,'Yili Veliumbeard','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700192,'Delka Frozenkeg','<Hammer''s Wrath>','','','',2,11968,30,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700193,'Evigis the Ancient','','','','',255,13581,96,0,1,1,11,0,1794,1,1,1,0,1,43,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700194,'Gahild Forcalum','<Hammer''s Wrath>','','','',0,111,33,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700195,'Ricka Stonehide','<Sage>','','','',2,11968,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0),
(4700196,'Berguff Fullbeard','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700197,'Durf Orcslasher','<Mender>','','','',2,11868,32,0,1,1,12,9,0,0,0,1,0,0,18,16,16,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4700199,'Warden Bretta','<New Halas Housing>','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700200,'Torvil Beastamer','<Pet Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,300,0,0,0,0,0,0,0,0,0,0,0,0),
(4700201,'Corna Kilgour','<Housing>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,301,0,0,0,0,0,0,0,0,0,0,0,0),
(4700202,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700203,'Padraig McDougal','<Tradeskill Career Counsellor>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700204,'Morag McMarrin','<Fuel Merchant>','','','',0,1465,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,309,0,8,0,0,0,0,0,0,0,0,0,0),
(4700205,'Villgerd Gregorson','<Tailor>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,310,0,8,0,0,0,0,0,0,0,0,0,0),
(4700206,'Frofridour Farhan','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700207,'Volkrum Metalmaul','<Hammer''s Wrath>','','','',2,11868,30,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700208,'Veylda Veliumshield','<Hammer''s Wrath>','','','',2,11968,33,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700209,'Adoda Byradder','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700210,'Corva Eiskairn','<Fuel Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,316,0,8,0,0,0,0,0,0,0,0,0,0),
(4700211,'Nohr Flamel','<Alchemy Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700212,'Helfreck Lundgren','<Housing>','','','',0,111,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700213,'Oolieamim','<Master Sage>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700214,'a Far Seas dockhand','<Far Seas Trading Company>','','','',6,79,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700215,'a frozen pincer','','','','',255,211,19,3,1,1,11,0,1494,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700216,'an icewing ray','','','','',255,10668,41,0,1,1,11,0,0,0,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700217,'a primal iceshell snapper','','','','',255,218,44,0,1,1,11,0,0,0,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700218,'a colossal frigid cuttlefish','','','','',255,210,41,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700219,'Sana Strongbellow','<Work Orders>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700220,'Glin Hammerhelm','<Tradeskill Tutorial>','','','',0,110,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700221,'Jalfa Eiskairn','<Crafting Trainer>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,331,0,8,0,0,0,0,0,0,0,0,0,0),
(4700222,'Mikhail Eiskroft','<Rush Orders>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700223,'Grandmaster Cheri Glodsdottr','<Trades Coordinator>','','','',0,109,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700224,'Peregrine Helgreth Iceweaver','<Ravens of the North Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,334,0,0,0,0,0,0,0,0,0,0,0,0),
(4700225,'Gawig Kincaid','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700226,'Assistant Warden Bjerne','<Housing>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700228,'Vald Jerngard','<Broker>','','','',0,112,32,0,1,1,20,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700229,'Catherine Bowne','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700230,'Alice Swamprunner','','','','',4,4940,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700231,'Corwin Frostbeard','<Fuel Merchant>','','','',255,11868,38,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,348,0,8,0,0,0,0,0,0,0,0,0,0),
(4700232,'Gerta Frostbeard','<Bartender>','','','',2,11968,38,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,349,0,0,0,0,0,0,0,0,0,0,0,0),
(4700233,'Snowfist','','','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700234,'Hagley','','','','',255,216,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700235,'Drallin Caelthis','<Foreign Broker>','','','',9,134,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700236,'Agstoffur Fencall','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700237,'Ingvor Armadder','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700238,'a tame griffin','','','','',255,225,32,0,1,1,0,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700239,'a griffin tamer','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700240,'an aggressive saberfish','','','','',255,241,35,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700241,'a disreputable boatman','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700242,'Barker Gordon','','','','',0,112,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700243,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700244,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700245,'Froyred Dunshore','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700246,'Steinhilda Caldcalum','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700247,'Elbar Firekeg','','','','',2,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700248,'Svenbegn Crichdonald','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700249,'Gomster Grayspinner','<Hammer''s Wrath>','','','',2,11868,33,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700250,'Ore Coldstein','','','','',2,12003,32,0,1,1,9,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700251,'Bentor the Mighty','<Great Feast Pig>','','','',255,272,64,0,1,1,11,0,0,1,1,1,0,0,17,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700252,'Dandi McCarren','','','','',0,1464,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700253,'Kyna Blackhammer','<Shieldsmith>','','','',2,11968,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,376,0,0,0,0,0,0,0,0,0,0,0,0),
(4700254,'Tirla Gravelheart','<Jeweler>','','','',2,109,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,377,0,0,0,0,0,0,0,0,0,0,0,0),
(4700255,'Igdor Steelthorn','<Bowyer>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,378,0,0,0,0,0,0,0,0,0,0,0,0),
(4700256,'Bjarg Ironbeard','<Armorsmith>','','','',2,11968,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,379,0,0,0,0,0,0,0,0,0,0,0,0),
(4700258,'Olga Macleod','','','','',0,111,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700259,'Volkrum Thunderbreaker','','','','',2,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700260,'Eiki Flamecheek','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700261,'Elbar Faraxe','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700262,'Gesur Blueshield','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700263,'Tuli Grayarmor','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700264,'a rebellious rock roller','','','','',2,11868,31,2,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700265,'Egin Fireheart','<Arms Dealer>','','','',2,11868,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,389,0,0,0,0,0,0,0,0,0,0,0,0),
(4700266,'Hraflina Hunshore','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700267,'Sister Katey Dalwynn','<Sisterhood of Erollisi>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700268,'Priest Aaronolis Swornlove','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700270,'Britta Brightsky','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700271,'Pretchon Ironstein','','','','',2,11868,32,0,1,1,9,0,11422,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700272,'Agda Donillson','<Broker>','','','',0,111,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700273,'Marveig Kincaid','<Hammer''s Wrath>','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700274,'Waldhar Stoneback','<General Goods>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,401,0,0,0,0,0,0,0,0,0,0,0,0),
(4700275,'Taryn Highsea','<Barber>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,30,16,16,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0),
(4700276,'a young froglok citizen','','','','',4,4939,22,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700277,'a froglok citizen','','','','',4,4942,30,2,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700278,'Brynvor Crichwell','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700279,'Gjesrid Hunloch','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700280,'Gjeshild Forloch','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700281,'Gunvaldr Nescalum','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700284,'Sister Aalarya','<Sisterhood of Erollisi>','','','',15,1443,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700285,'Sister Thog MacGilly','<Sisterhood of Erollisi>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700286,'Sister Leela Prendyn','<Sisterhood of Erollisi>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700287,'Thilde Quickloom','<Heavy Armor>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,417,0,0,0,0,0,0,0,0,0,0,0,0),
(4700288,'Lif Erronson','<Light Armor>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,418,0,0,0,0,0,0,0,0,0,0,0,0),
(4700289,'Libbit Swampchild','<Guild Cloak Designer>','','','',4,4943,32,0,1,1,24,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700290,'Mirva Kilgour','<City Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,426,0,64,0,0,0,0,0,0,0,0,0,0),
(4700291,'Chargunda Langcaid','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700292,'Herfinn Lindland','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700293,'Envoy Tami Swifthammer','<Ironforge Exchange>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700295,'Wolfom Bonetooth','<Coldwind Hall Taskmaster>','','','',0,1696,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700296,'Ornulf Sweettongue','<City Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,432,0,64,0,0,0,0,0,0,0,0,0,0),
(4700297,'Plurpp Bogthumb','','','','',4,4943,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700298,'Mistress Thora','<Purveyor of Artifacts>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,436,0,0,0,0,0,0,0,0,0,0,0,0),
(4700299,'Orrim Thest','<Coldwind Hall Taskmaster>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700300,'Ambassador Brynhilde Maersdottr','<Change of Citizenship>','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700302,'Audrun Faradder','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700303,'Barfradr Terford','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700304,'Dyrunn Goldgrip','<Banker>','','','',0,111,32,0,1,1,14,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700305,'Bordis Glacierbane','<Elementalist Mercenary>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700306,'Nevis Yewkus','<Warder Mercenary>','','','',0,1471,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700307,'Topher Channing','<Guild Registrar>','','','',9,134,32,0,1,1,25,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700308,'Sharky Davis','<Wolves of the North Taskmaster>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700309,'Tergjerd Goreblade','<Paladin Trainer>','','','',0,111,28,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100487,0,4,0,0,0,0,0,0,0,0,0,0),
(4700310,'Baden Moonheart','<Monk Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(4700311,'Borya Stonehide','<Guardian Trainer>','','','',2,11868,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(4700312,'Tornal Haymaker','<Bruiser Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(4700313,'Suhuba Vankedisi','<Berserker Trainer>','','','',11,99,32,0,1,1,10,1265,0,0,0,1,0,0,38,16,16,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(4700314,'Wendy Spearhook','<Shaman of Justice Taskmaster>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700315,'Glippit Greenmuck','<Warden Trainer>','','','',4,4939,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(4700316,'Brrop Gloryblade','<Templar Trainer>','','','',4,3793,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(4700317,'Ledvin Axethrower','<Mystic Trainer>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100486,0,4,0,0,0,0,0,0,0,0,0,0),
(4700318,'Bronla Stonehide','<Fury Trainer>','','','',2,11968,32,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(4700319,'Nariel Aldaeme','<Portals Trainer>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700320,'Trainer Lillgard Thunderrider','<Mount Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,26331,0,0,0,0,0,0,0,0,0,0,0,0),
(4700324,'Kastor Glimmerbit','<General Goods>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,16,16,0,0,474,0,0,0,0,0,0,0,0,0,0,0,0),
(4700350,'Nelgjerd Fenley','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700351,'Fredard Calddougall','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700352,'Bjarngard Fenhan','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700353,'Mornarr Kinmer','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700389,'Ingder Ruthshore','<Hammer''s Wrath>','','','',0,112,34,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700394,'Maghard Robton','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700395,'Hjorrunn Neslop','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700396,'Alfbjort Lockcall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700397,'Gomgdar Coppercutter','<Hammer''s Wrath>','','','',2,11868,31,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700398,'Rigar Coldcaster','<Hammer''s Wrath>','','','',2,11868,35,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700399,'Gjesvarda Farmont','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700400,'Sigurrandr Spalcalum','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700401,'Larrandr Lockculloch','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700402,'Olginda Aberford','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700405,'a crustose defender','','','','',0,8176,10,3,1,1,11,0,0,1,1,1,0,35,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700408,'a crustose sporetender','','','','',0,8174,9,4,1,1,11,0,0,1,1,1,0,355,32,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700413,'a Ry''Gorr centurion','','','','',20,13209,42,3,1,1,11,0,0,1,1,1,0,354,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700418,'Aldbrith Spalmont','<Hammer''s Wrath>','','','',0,111,30,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700420,'a guard dog','','','','',0,3711,19,0,1,1,0,0,540,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700433,'Aldbrith Spalmont','<Hammer''s Wrath>','','','',0,111,30,0,1,1,13,0,0,0,1,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700441,'Ulvgard Byrloch','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700442,'Ulvgard Byrloch','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700456,'a blizzard matron','','','','',0,3836,38,3,1,0,243,0,540,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700465,'Hjarnjard Farwell','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700481,'an icemane cub','','','','',0,10431,11,3,1,1,11,0,0,1,1,1,0,0,35,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700499,'Haltilog Macheart','','','','',0,111,30,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700504,'a slain coldain','','','','',0,11868,32,0,1,1,18,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700505,'a summoned coldain spirit','','','','',0,11868,33,1,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700507,'Bjarnvald Forlop','','','','',0,112,31,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700510,'Bofnur Grayback','<Mender and Armor Merchant>','','','',0,11868,32,0,1,1,12,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700512,'a risen Ry''Gorr','','','','',0,139,38,0,1,1,11,0,1494,0,0,1,0,22,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700517,'a summoned coldain spirit','','','','',0,11968,33,1,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700523,'Twiggle the Defiled','','','','',0,6824,51,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700531,'a coldain defender','','','','',0,11968,33,1,1,1,0,0,11420,0,0,0,0,0,18,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700535,'a Ry''Gorr invader','','','','',0,13209,37,3,1,1,0,0,0,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700538,'a Ry''Gorr infiltrator','','','','',0,13209,38,3,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700542,'a Ry''Gorr war shaman','','','','',0,13209,39,3,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700543,'a Ry''Gorr grenadier','','','','',0,13209,39,3,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700554,'a velinoid smasher','','','','',0,13580,53,3,1,1,11,0,0,1,1,1,0,1,43,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700565,'Einved Lindbrayne','<Hammer''s Wrath>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700566,'Kildal Spelloath','<Hammer''s Wrath>','','','',0,11868,33,0,1,1,13,0,0,1,1,1,0,0,18,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700567,'Volkrum Firehammer','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700568,'Thir Firmfist','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700569,'Haegabo Flameminer','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700570,'Glorna Bluefist','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700571,'Bakba Frozenmaul','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700579,'Gunvaldr Orrhan','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700580,'Thorda Glenbrayne','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700584,'Edgard Byrwell','<Hammer''s Wrath>','','','',0,112,33,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700586,'Dagbart Falkren','<Collector>','','','',0,112,32,0,1,1,9,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700588,'Hildvard Presbrayne','<Hammer''s Wrath>','','','',0,112,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700592,'Skjolgjerd Lindsong','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700595,'Ore Coldstein','','','','',0,12003,32,0,1,1,9,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700599,'Norgan Flamekeg','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700600,'Kalina Grayshield','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700601,'Rigar Redbeard','','','','',0,11868,33,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700602,'Tanra Metalcutter','','','','',0,11968,31,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700603,'Yili Ironbeard','','','','',0,11968,29,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700612,'Zuthka Copperfoot','<Hammer''s Wrath>','','','',0,11968,34,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700615,'Alfveig Nesden','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700616,'Polrunn Caldcalum','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700620,'Ulvrun Crichlop','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700621,'Hjarnarr Terewen','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700622,'Keldgrim Grayaxe','','','','',0,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700623,'Embah Copperspinner','','','','',0,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700624,'Nosrum Veliumaxe','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700625,'Noan Thunderpick','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700626,'Yada Gemhammer','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700627,'Olga Macleod','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700629,'Elsvarda Abernott','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700640,'Nola Grayleg','<Hammer''s Wrath>','','','',0,11968,31,0,1,1,13,0,0,1,1,1,0,0,18,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700642,'Hrafhilda Mcewen','<Hammer''s Wrath>','','','',0,111,34,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700649,'Lif Erronson','<Light Fur Armor>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700664,'Hafbjorg Ternott','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700665,'Bergvald Ramnedy','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700669,'Marna Galbrayne','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700670,'Arnart Halewen','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700698,'Hagley','','','','',0,216,19,0,1,1,0,0,540,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700707,'Audfridour Galadder','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700708,'Bakba Ironkeg','<Hammer''s Wrath>','','','',0,11968,34,0,1,1,13,0,0,1,1,1,0,0,18,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700709,'Runina Firefist','<Hammer''s Wrath>','','','',0,11968,32,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700710,'Abeerda Ruthewen','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700711,'Oolieamim','<Master Sage>','','','',0,1606,32,0,1,1,9,0,12193,0,0,0,0,0,34,16,16,0,0,317,0,8,0,0,0,0,0,0,0,0,0,0),
(4700712,'Eeahildur Fenford','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700725,'Valr Farley','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700726,'Frogardh Fennaird','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO `spawn` VALUES
(4700730,'Thir Stoneshield','','','','',0,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700731,'Fjolgjerd Borson','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700732,'Nordnjard Terewen','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700733,'Sigwig Presdougall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700734,'a tame griffin','','','','',0,225,32,0,1,1,0,0,11191,0,0,0,0,0,40,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700741,'Geirbert Termer','<Hammer''s Wrath>','','','',0,112,34,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700749,'Charrid Galley','<Hammer''s Wrath>','','','',0,111,32,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700753,'Albhilda Aberheart','','','','',0,111,33,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700754,'Skjoluflr Fencaid','','','','',0,112,34,0,1,1,9,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700758,'Rognbjorn Haladder','<Hammer''s Wrath>','','','',0,112,34,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700759,'Baern Bluemaul','<Hammer''s Wrath>','','','',0,11868,29,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700760,'Nidar Metalheart','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700761,'Norgan Flamecheek','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700762,'Glorna Copperheart','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700763,'Torna Stonecutter','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700764,'Hilra Ironcrusher','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700765,'Froynar Crichnaird','<Hammer''s Wrath>','','','',0,112,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700767,'Steingardh Langheart','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700769,'Belkral Magicleg','','','','',0,11868,31,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700770,'Runda Ironkeg','','','','',0,11968,28,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700771,'Agli Farheart','','','','',0,11968,30,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700773,'Valag Gemspinner','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700774,'Eiki Firmcaster','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700776,'Ovra Coldkeg','<Hammer''s Wrath>','','','',0,11968,29,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700777,'Runda Thunderminer','<Hammer''s Wrath>','','','',0,11968,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700778,'Hermer Whitmont','<Hammer''s Wrath>','','','',0,112,33,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700780,'Maerl Copperfoot','','','','',0,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700781,'Zuthka Veliumoath','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700782,'Valdrek Bluecrusher','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700783,'Farus Thunderaxe','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700784,'Ridisi Stoneheart','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700785,'Aerolfur Robkirk','<Hammer''s Wrath>','','','',0,112,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700797,'Gesur Redspinner','','','','',0,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700799,'Dwan Flamefoot','<Hammer''s Wrath>','','','',0,11868,29,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700800,'Delka Farleg','<Hammer''s Wrath>','','','',0,11968,29,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700803,'Kareker','Kynia''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700810,'Gudnur Fenewen','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700811,'Elinikka Glenhan','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700812,'Froerda Abershore','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700813,'Siglaug Tershore','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700814,'Bjarnmer Malley','<Hammer''s Wrath>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700815,'Maafr Blueoath','<Hammer''s Wrath>','','','',0,11868,33,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700816,'Ridisi Ironcaster','<Hammer''s Wrath>','','','',0,11968,32,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700817,'Eearunn Langhan','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700818,'Kalina Graycheek','<Hammer''s Wrath>','','','',0,11968,33,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700819,'Rov Bluefoot','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700820,'Tetil Veliumoath','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700821,'Thordrek Grayleg','','','','',0,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700822,'Gudder Corewen','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700823,'Ferbjort Lockcall','<Hammer''s Wrath>','','','',0,111,33,0,1,1,13,0,0,1,1,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700824,'Elletilog Whitland','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700825,'Elbar Quartzpick','','','','',0,11868,31,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700826,'Gima Thundershield','','','','',0,11968,34,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700827,'Ovra Frozenhammer','','','','',0,11968,31,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700829,'Belkral Stonemaul','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700830,'Valag Farfist','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700831,'Tanna Spellhammer','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700832,'Nola Frozenmaul','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700833,'Marlthra Redheart','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700834,'Valhard Dunkirk','<Hammer''s Wrath>','','','',0,112,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700835,'Thoradgur Redbeard','<Hammer''s Wrath>','','','',0,11868,29,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700836,'Ulfgjerd Primloch','','','','',0,112,31,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700838,'Tidla Copperpick','<Hammer''s Wrath>','','','',0,11968,34,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700839,'Thorlaugur Bormer','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700840,'Ragnveig Orrcaid','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700841,'Bodta Fardougall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700843,'Veylda Ironpick','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700844,'Thir Firecrusher','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700845,'Belkral Quartzarmor','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700846,'Diril Stoneheart','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700847,'Knudborr Fencaid','<Hammer''s Wrath>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700848,'Fraborg Caldsong','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700849,'Steinrid Malcall','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700850,'Nelgard Orrley','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700851,'Gungard Locknott','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700852,'Hervard Borheart','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700853,'Marhildur Halcall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700857,'Knuddor Fordougall','','','','',0,112,34,0,1,1,9,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700858,'Eibna Cranheart','','','','',0,111,32,0,1,1,9,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700861,'a vigilant gauntlet defender','','','','',0,11868,39,6,1,1,0,0,11420,0,0,0,0,21,18,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700862,'a portal jumped Ry''Gorr raider','','','','',0,13209,31,6,1,1,0,0,52,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700868,'a Ry''Gorr raider','','','','',0,13209,33,6,1,1,11,0,0,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700872,'The Risen Ry''Gorr Conqueror','','','','',0,12215,48,0,1,1,11,0,1494,1,1,1,0,1,36,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700874,'a Ry''Gorr marauder','','','','',0,13209,36,3,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700875,'a Ry''Gorr zealot','','','','',0,13209,34,3,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700878,'a reanimated Ry''Gorr','','','','',0,139,44,0,1,1,11,0,1494,1,1,1,0,1,36,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700879,'Kibeker','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700880,'a Ry''Gorr necromancer','','','','',0,13209,44,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700881,'Vabarer','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700882,'Vabn','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700883,'Karn','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700885,'Kabartik','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700886,'Kekn','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700887,'Jasartik','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700888,'Zenekab','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700889,'Kasekn','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700890,'Konantik','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700891,'Zibaner','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700892,'Vosn','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700893,'Konekn','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700898,'a newly risen Ry''Gorr','','','','',0,139,38,0,1,0,243,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700918,'Kabantik','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700926,'Laber','A Ry''Gorr necromancer''s servant','','','',0,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700938,'a large frostbiter','','','','',0,5862,83,6,1,1,11,0,1494,1,1,1,0,1,8,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700948,'Yngthild Kinkirk','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700949,'Thorved Galden','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700960,'Olggardh Ruthdonald','<Hammer''s Wrath>','','','',0,111,29,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700965,'Ordin Sleetfoot','','','','',0,11868,32,0,1,1,9,0,221,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700966,'Catvor Spaldougall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700967,'Valgerta Bormont','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700973,'Duinda Corloch','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700974,'Halard Terloch','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700975,'Barurt Stonebeard','<Hammer''s Wrath>','','','',0,11868,34,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700976,'Tornurr Hunsong','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700977,'Rak Coldkeg','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700978,'Nosrum Metalbeard','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700979,'Tuli Firecheek','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700980,'Mabna Farhammer','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700981,'Yili Thunderoath','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700982,'Knudnur Borculloch','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700983,'Catrun Lindnaird','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700984,'Polgerd Glenheart','<Hammer''s Wrath>','','','',0,111,33,0,1,1,13,0,0,0,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700985,'Einuflr Glenford','<Hammer''s Wrath>','','','',0,112,28,0,1,1,13,0,0,1,1,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700990,'Beldrunn Maladder','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700991,'Eldthild Byrcalum','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700992,'Yili Blueshield','<Hammer''s Wrath>','','','',0,11968,29,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700993,'Thirro Thundercrusher','<Hammer''s Wrath>','','','',0,11868,33,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700994,'Ragnwig Spalden','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700997,'Belmaeani Spellkeg','<Hammer''s Wrath>','','','',0,11968,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700998,'Volkrum Coldbreaker','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4700999,'Yutte Spellbreaker','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701000,'Nidar Firmaxe','','','','',0,11868,28,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701001,'Veylda Veliumfist','','','','',0,11968,33,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701002,'Kalina Stonehammer','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701005,'Alffridour Dunnedy','<Hammer''s Wrath>','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701006,'Helvhild Aberbrayne','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701008,'Rognved Malkirk','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701009,'Gjesta Caldshore','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701011,'Tol Stonefoot','','','','',0,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701012,'Wagmann Galcall','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701017,'Vonida Flamecaster','<Hammer''s Wrath>','','','',0,11968,32,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701018,'Rov Metalfist','','','','',0,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701019,'Gerna Coldcrusher','','','','',0,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701020,'Belkral Blueshield','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701021,'Thirro Redheart','','','','',0,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701022,'Tetil Gemaxe','','','','',0,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701023,'Helvfrida Caldmer','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701034,'Skjoloth Robcaid','<Hammer''s Wrath>','','','',0,112,33,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701047,'Eibbritt Locknaird','<Hammer''s Wrath>','','','',0,111,32,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701058,'Bodgardh Kinlop','','','','',0,111,29,0,1,1,9,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701060,'Igoth Robdougall','','','','',0,112,29,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701063,'Duveig Armadder','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701064,'Ottr Duncaid','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701078,'Inggardh Spalnott','<Hammer''s Wrath>','','','',0,111,33,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701087,'Lonaner','Tygraa''s feline warder','','','',0,2415,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701093,'Padnjard Ruthdonald','<Hammer''s Wrath>','','','',0,112,33,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701095,'a Ry''Gorr ambusher','','','','',20,13209,32,6,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701097,'Bauggjerd Orrmer','<Hammer''s Wrath>','','','',0,111,34,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701098,'The Blizzard Grizzly Alpha','','','','',255,3836,57,0,1,1,11,0,0,1,1,1,0,1,36,91,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701102,'Thorida Cornott','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701103,'Brybegn Dunford','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701104,'Nikgar Roblop','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701105,'Hjargen Fenden','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701106,'Twiggle the Defiled','','','','',255,6824,51,0,1,1,11,0,0,1,1,1,0,1,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701107,'Drohildr Armadder','','','','',0,111,29,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701108,'a Ry''Gorr raider','','','','',20,13209,36,6,1,1,11,0,0,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701110,'an icemane cub','','','','',255,10431,10,2,1,1,0,0,20563,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701111,'Fridnjard Armculloch','','','','',0,112,31,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701112,'Orica Deadshot','<Guardians of Herga''s Choke>','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701114,'The Volatile Snowflurry','','','','',255,3710,48,0,1,1,11,0,19057,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701115,'a Ry''Gorr portal caster','','','','',20,13209,38,0,1,1,11,0,0,1,1,1,0,1,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701120,'Gatecaller Skullcracker','','','','',20,13209,54,0,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701121,'a newly risen Ry''Gorr','','','','',255,139,38,0,1,1,11,0,1494,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701122,'a frenzied Ry''Gorr','','','','',20,13209,35,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701123,'a Ry''Gorr bushwhacker','','','','',20,13209,44,0,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701124,'a Ry''Gorr marauder','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701125,'a Ry''Gorr zealot','','','','',20,13209,36,3,1,1,11,0,0,1,1,1,0,1,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701128,'Raid Captain Korzug','','','','',20,13209,44,0,1,1,11,0,0,1,1,1,0,1,32,181,181,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701130,'The Icy Snowbind','','','','',255,3881,64,0,1,1,11,0,16902,1,1,1,0,1,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701131,'a reanimated Ry''Gorr','','','','',255,139,44,0,1,1,11,0,1494,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701132,'Kostik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701133,'a Ry''Gorr necromancer','','','','',20,13209,44,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701134,'Xantik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701135,'Jontik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701137,'Mastermind Mon''Tagorr','<Operation Overseer>','','','',20,13209,48,0,1,1,11,0,0,1,1,1,0,1,32,286,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701138,'an icy whirlstorm','','','','',255,9781,38,5,1,1,0,0,1794,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701142,'The Frigid Icemaw','','','','',255,8670,108,0,1,1,11,0,3910,1,1,1,0,1,8,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701143,'an angered glacial scoundrel','','','','',255,6824,32,0,1,1,11,0,491,1,1,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701145,'Geker','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701146,'Gosantik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701147,'Xoneker','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701149,'Zenarab','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701150,'Gebantik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701151,'Jeker','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701152,'Zararer','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701153,'Gantik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701154,'Jenartik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701155,'Jasarab','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701156,'Josekn','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701157,'Gobn','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701172,'a Ry''Gorr patroller','','','','',20,13209,42,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701174,'Rear Commander Grokk','','','','',20,13209,48,0,1,1,11,0,0,1,1,1,0,1,32,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701175,'a lazy Ry''Gorr orc','','','','',20,13209,41,0,1,1,1289,0,228,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701177,'Joseker','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701178,'Beldlaug Lindhan','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701179,'Hjorlaug Glenmont','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701180,'Odenmer Galheart','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701181,'Albhildur Macden','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701183,'Ry''Gorr Explosive Mining Barrel','','','','',255,5008,32,0,1,1,11,0,0,0,1,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701184,'Sigfrida Galwell','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701186,'Danda Nesheart','<Hammer''s Wrath>','','','',0,111,33,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701187,'Bargan Firmfist','<Hammer''s Wrath>','','','',2,11868,35,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701188,'Kagak Farcrusher','','','','',2,11868,32,0,1,1,0,0,11500,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701189,'Norgan Coldhammer','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701190,'Mili Firearmor','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701191,'Tumra Spellheart','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701192,'Yili Redfist','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701194,'Stigred Nesdougall','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701195,'Andgjerd Maccall','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701198,'Dagvor Mcculloch','<Hammer''s Wrath>','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701200,'a velinoid seeker','','','','',255,13580,51,2,1,1,11,0,0,1,1,1,0,1,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701205,'Dwan Firecaster','','','','',2,11868,28,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701206,'Tetil Gemarmor','','','','',2,11968,30,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701207,'Torna Graybreaker','','','','',2,11968,31,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701208,'Fredodd Robadder','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701209,'Rodro Blueheart','<Hammer''s Wrath>','','','',2,11868,34,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701210,'Baern Farkeg','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701211,'Nola Magiccrusher','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701212,'Tumra Farpick','<Hammer''s Wrath>','','','',2,11968,30,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701214,'Ingborr Terlop','<Hammer''s Wrath>','','','',0,112,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701215,'Iollak Ironheart','','','','',2,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701216,'Glorna Frozenmaul','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701217,'Thoradgur Frozenfoot','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701218,'Belkral Gemkeg','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701219,'Eiki Metaloath','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701221,'Ordin Sleetfoot''s Corpse','','','','',2,11868,32,0,1,1,0,0,228,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701222,'Ingrandr Whitewen','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701223,'Yutte Frozenfoot','<Hammer''s Wrath>','','','',2,11968,33,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701226,'Baugbrith Hunnott','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701227,'Haegail Metalcrusher','<Hammer''s Wrath>','','','',2,11968,34,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701228,'Droerda Robley','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701231,'Sigurgar Lindshore','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701232,'Eibrun Lockcall','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701235,'Kildal Spellminer','','','','',2,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701236,'Kornjard Bornaird','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701237,'Odenrandr Glenadder','','','','',0,112,32,0,1,1,9,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701246,'Edvaldr Farnott','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701247,'Larvaldr Kinheart','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701255,'Odenodd Byrcalum','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701256,'Magvard Galheart','<Hammer''s Wrath>','','','',0,112,33,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701257,'Benfrida Langley','<Hammer''s Wrath>','','','',0,111,34,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701259,'Egvald Halcaid','<Hammer''s Wrath>','','','',0,112,32,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701261,'Danhild Caldbrayne','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701264,'Charhild Whitheart','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701265,'Advard Glencall','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701266,'Gavarda Forlop','','','','',0,111,34,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701267,'Duborg Caldton','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701268,'Arnuflr Lindlop','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701269,'Hildlaugur Macson','','','','',0,112,30,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701273,'Ingodd Halson','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701276,'Andgjerd Abercall','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701281,'Tjerold Galmer','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701284,'Gawig Lindwell','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701286,'Yerbi Coldaxe','<Hammer''s Wrath>','','','',2,11968,32,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701287,'Iollak Quartzcheek','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701288,'Yerbi Metalcaster','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701289,'Iollak Ironoath','','','','',2,11868,30,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701290,'Vonida Coldpick','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701291,'Tali Grayheart','','','','',2,11968,29,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701292,'Rak Coldfist','','','','',2,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701293,'Nola Bluecheek','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701294,'Rigar Firespinner','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701295,'Keldgrim Veliumshield','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701296,'Gima Coldleg','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701298,'Hilra Grayoath','<Hammer''s Wrath>','','','',2,11968,29,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701299,'Skjolrandr Halculloch','','','','',0,112,34,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701301,'Magmer Orrbrayne','<Hammer''s Wrath>','','','',0,112,34,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701302,'Ulflaugur Whitsong','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701303,'Ellehelga Ternott','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701304,'Padgarth Whitnaird','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701307,'Valnar Glenloch','<Hammer''s Wrath>','','','',0,112,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701308,'Ragnda Farmont','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701309,'Morvald Crichadder','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701310,'Frohild Lockshore','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701311,'Agvard Armnott','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701312,'Friduflr Mchan','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701313,'Idagardh Ramwell','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701317,'Drobritt Robmer','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701318,'Dyrheidr Spalcalum','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701319,'Belkral Flamecheek','','','','',2,11868,32,0,1,1,0,0,11500,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701320,'Iollak Redbreaker','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701321,'Agli Magicminer','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701322,'Tetil Ironaxe','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701323,'Ridisi Bluearmor','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701324,'Ulvveig Primton','<Hammer''s Wrath>','','','',0,111,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701325,'Ilna Copperaxe','<Hammer''s Wrath>','','','',2,11968,33,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701332,'Stigstoffur Langnaird','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701333,'Larvald Crandonald','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701334,'Audhard Mcewen','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701337,'Kagak Spellmaul','','','','',2,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701338,'Ingved Lindcalum','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701339,'Haegabo Veliumpick','<Hammer''s Wrath>','','','',2,11968,33,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701340,'Gima Copperkeg','<Hammer''s Wrath>','','','',2,11968,31,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701341,'Geirgen Primley','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701343,'Ellegard Kincalum','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701349,'Garn','Domiun''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701360,'Fang','','','','',255,8869,12,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701368,'Brygjerd Langcall','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701369,'Ingbegn Lockculloch','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701370,'Torfinn Nesson','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701373,'Vigarth Nesheart','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701374,'Steingard Farewen','<Hammer''s Wrath>','','','',0,111,33,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701375,'Rak Coldpick','<Hammer''s Wrath>','','','',2,11868,31,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701376,'Iollak Farbreaker','<Hammer''s Wrath>','','','',2,11868,35,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701377,'Andfradr Ruthcall','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701378,'Diril Graypick','<Hammer''s Wrath>','','','',2,11968,34,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701380,'Kagak Metalbreaker','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701381,'Diril Thundermaul','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701382,'Deldok Thundershield','','','','',2,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701383,'Igbjorg Haldonald','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701385,'Marbritt Ternaird','<Hammer''s Wrath>','','','',0,111,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701386,'Albgunda Cordougall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701389,'Rodro Farleg','','','','',2,11868,31,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701390,'Tanra Quartzpick','','','','',2,11968,33,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701391,'Tumra Gemcutter','','','','',2,11968,29,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701394,'Gulbritt Spalmer','<Hammer''s Wrath>','','','',0,111,30,0,1,1,13,0,0,0,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701397,'Korvaldr Bordougall','<Hammer''s Wrath>','','','',0,112,34,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701403,'Abeta Lockmont','','','','',0,111,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701404,'Holmgjerd Crancalum','','','','',0,112,30,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701414,'Marhildur Fordougall','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701415,'Brigikka Orrford','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701425,'Jorold Cransong','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701427,'Tanra Quartzbreaker','<Hammer''s Wrath>','','','',2,11968,30,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701428,'Yutte Bluecheek','<Hammer''s Wrath>','','','',2,11968,34,0,1,1,13,0,0,0,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701429,'Odendor Armadder','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701431,'Nikvor Armbrayne','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701439,'Barurt Stonespinner','','','','',2,11868,32,0,1,1,0,0,11420,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701440,'Tjermann Abermer','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701441,'Tjerborr Caldadder','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701442,'Brynborg Malnaird','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701446,'Bodbjort Kinshore','<Hammer''s Wrath>','','','',0,111,34,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701447,'Wilfridour Byrford','<Hammer''s Wrath>','','','',0,111,28,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701448,'Tuli Coppermaul','<Hammer''s Wrath>','','','',2,11968,28,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701449,'Rov Thunderbeard','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701450,'Kalina Magicfoot','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701451,'Steingardh Robmer','<Hammer''s Wrath>','','','',0,111,30,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701452,'Deldok Coldbreaker','','','','',2,11868,30,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701453,'Haegail Frozencrusher','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701454,'Tuli Stonebeard','','','','',2,11968,31,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701457,'Adefridour Ruthton','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701458,'Ilna Coppercrusher','<Hammer''s Wrath>','','','',2,11968,31,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701459,'Iollak Graybreaker','','','','',2,11868,32,0,1,1,0,0,11500,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701460,'Rak Veliummaul','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701461,'Marlthra Gemleg','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701462,'Runda Stoneaxe','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701463,'Tanra Flamecutter','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701466,'Karn','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701467,'Garer','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701472,'Jekn','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701473,'Losarer','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701475,'Zabarer','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701476,'Vann','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701477,'Gobobtik','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701478,'Zeker','A Ry''Gorr necromancer''s servant','','','',255,2363,32,0,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701480,'Egvald Cornott','','','','',0,112,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701483,'Charhild Crichewen','','','','',0,111,31,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701485,'Odennur Former','<Hammer''s Wrath>','','','',0,112,32,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701486,'Stigoth Spalden','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701487,'Hildodd Primshore','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701492,'Botinda Fornott','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701493,'Fredfinn Crichnaird','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701495,'Glorna Metalfoot','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701496,'Keldgrim Veliumheart','','','','',2,11868,32,0,1,1,0,0,11422,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701497,'Thoradgur Ironbeard','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701498,'Oain Metalheart','','','','',2,11868,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701499,'Vonida Quartzaxe','','','','',2,11968,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701500,'Rigar Redarmor','<Hammer''s Wrath>','','','',2,11868,31,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701503,'Ingund Halcall','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701504,'Jorard Byrlop','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701505,'Froida Farnaird','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701506,'Elinveig Spalden','','','','',0,111,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701507,'Albinda Corhan','','','','',0,111,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701508,'Hervor Robheart','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701509,'Ingbegn Corcall','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701510,'Brynurr Dunnaird','','','','',0,112,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701511,'Sigurrin Lindton','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701517,'Aldveig Abercaid','<Hammer''s Wrath>','','','',0,111,31,0,1,1,13,1262,0,1,1,1,0,34,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701518,'Froyrandr Ramcall','<Hammer''s Wrath>','','','',0,112,31,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701520,'Dagodd Kinnaird','<Hammer''s Wrath>','','','',0,112,29,0,1,1,13,0,0,0,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701521,'Hervor Presland','<Hammer''s Wrath>','','','',0,112,32,0,1,1,13,1262,0,1,1,1,0,34,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701522,'widget_redblade_x4_signal_fire_switch',NULL,'','','',0,49,32,0,0,0,1257,0,0,0,0,1,1,0,475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701523,'Gwenevyn II',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,344,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701524,'widget_velium_barricade_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,876,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701525,'widget_qst_orcbane_x6_black_shard_cart',NULL,'','','',0,49,32,0,0,0,1301,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701526,'widget_kinloch_x3_orc_flame_07',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701527,'widget_kinloch_x3_orc_flame_06',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701528,'widget_kinloch_x3_orc_flame_05',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701529,'widget_kinloch_x3_orc_flame_04',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701530,'widget_kinloch_x3_orc_flame_03',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701531,'widget_kinloch_x3_orc_flame_02',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701532,'widget_kinloch_x3_orc_flame_08',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701533,'widget_kinloch_x3_orc_flame_01',NULL,'','','',0,49,32,0,0,0,27,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701534,'',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701535,'Halas Magical Manor',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701536,'',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701537,'',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701538,'widget_nov11_cairn_statue',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701539,'',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701540,'',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701541,'',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701542,'halas_guildhall_entrance',NULL,'','','',0,49,32,0,0,0,28,1270,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701543,'widget_scourgeson_x2_orc_provisions_06',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701544,'widget_qst_scourgeson_x2_rygorr_tent_01',NULL,'','','',0,49,32,0,0,0,871,0,0,0,0,1,1,0,629,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701545,'widget_qst_scourgeson_x2_rygorr_tent_02',NULL,'','','',0,49,32,0,0,0,871,0,3120,0,0,1,1,0,625,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701546,'widget_scourgeson_x2_orc_provisions_07',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701547,'widget_scourgeson_x2_orc_provisions_04',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701548,'widget_scourgeson_x2_orc_provisions_05',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701549,'widget_scourgeson_x2_orc_provisions_01',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701550,'widget_qst_scourgeson_x2_rygorr_tent_03',NULL,'','','',0,49,32,0,0,0,871,0,0,0,0,1,1,0,624,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701551,'widget_scourgeson_x2_orc_provisions_02',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701552,'widget_qst_scourgeson_x2_rygorr_tent_06',NULL,'','','',0,49,32,0,0,0,871,0,0,0,0,1,1,0,626,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701553,'widget_scourgeson_x2_orc_provisions_03',NULL,'','','',0,49,32,0,0,0,1294,0,0,0,0,1,1,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701554,'widget_qst_scourgeson_x2_rygorr_tent_05',NULL,'','','',0,49,32,0,0,0,871,0,0,0,0,1,1,0,623,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701555,'widget_qst_scourgeson_x2_rygorr_tent_04',NULL,'','','',0,49,32,0,0,0,871,0,0,0,0,1,1,0,623,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701556,'halas_three_barrels_snow_01',NULL,'','','',0,13336,32,0,0,0,1258,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701557,'halas_three_barrels_snow_02',NULL,'','','',0,13337,32,0,0,0,1258,0,0,0,0,1,1,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701558,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701559,'present03_big',NULL,'','','',0,7077,22,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701560,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701561,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701562,'Mender''s Anvil',NULL,'','','',0,41,64,0,1,0,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701563,'open treasure chest',NULL,'','','',0,4015,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701564,'chest_halas_03',NULL,'','','',0,13282,44,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701565,'gravedirt01',NULL,'','','',0,2916,31,0,0,0,5,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701566,'respawn_graves',NULL,'','','',0,2921,23,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701567,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701568,'cave rubbish',NULL,'','','',0,2401,18,0,0,0,1273,0,0,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701570,'yet_event_snow_pile',NULL,'','','',0,13279,21,0,0,0,0,0,0,0,0,0,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701571,'qst_axebeard_x4_totem',NULL,'','','',0,1617,12,0,0,0,1279,0,17431,0,0,1,1,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701572,'invis_wall',NULL,'','','',0,4544,24,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701573,'',NULL,'','','',0,1667,59,8,1,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701574,'Cragged Spine supply crate',NULL,'','','',0,13301,31,0,0,0,1298,0,1494,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701575,'qst_veliumdelver_barrel',NULL,'','','',0,2021,32,0,0,0,1256,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701576,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701577,'',NULL,'','','',255,2306,32,8,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701578,'Scourgeson arrow',NULL,'','','',0,13438,32,0,0,0,1292,0,17432,0,0,1,1,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701579,'hal_obj_cave_rock02',NULL,'','','',0,13279,5,0,0,0,0,0,0,0,0,0,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701580,'widget_velinoid_cave_boulder',NULL,'','','',0,13279,66,0,0,0,0,0,3428,0,0,0,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701581,'a crushed Ry''Gorr tunneler',NULL,'','','',255,13209,32,0,1,1,0,0,228,0,0,1,0,0,32,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701582,'qst_veliumdelver_x5_wall_expolsion',NULL,'','','',0,2306,256,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701583,'snow balls',NULL,'','','',0,5957,32,0,0,0,19,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701584,'candycane',NULL,'','','',0,5983,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701585,'presents01',NULL,'','','',0,5968,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701586,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701587,'dpo_holiday_candlegroup01_bluesilver',NULL,'','','',0,5961,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701588,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701589,'halas_kendi_mirror',NULL,'','','',0,12126,25,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701590,'presents01',NULL,'','','',0,5977,23,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701591,'presents01',NULL,'','','',0,5972,26,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701592,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701593,'presents01',NULL,'','','',0,5967,23,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701594,'presents01',NULL,'','','',0,5970,22,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701595,'dpo_present03_big',NULL,'','','',0,7077,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701596,'holiday_fatcandle_white',NULL,'','','',0,7976,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701597,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701598,'dpo_bauble_blue01',NULL,'','','',0,8722,49,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701599,'holiday_wreath01',NULL,'','','',0,7073,53,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701600,'qst_scourgeson_x5_ceiling_crystals',NULL,'','','',0,10324,32,0,0,0,1296,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701601,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701602,'',NULL,'','','',0,13323,32,7,1,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701603,'candycane',NULL,'','','',0,5986,5,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701604,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701605,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701606,'dpo_spiderweb_small02',NULL,'','','',0,5144,48,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701607,'presents01',NULL,'','','',0,5971,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701608,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701609,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701610,'holiday_snowpile01',NULL,'','','',0,7093,77,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701611,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701612,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701613,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,19,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701614,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701615,'dpo_holiday_cookie_plate02',NULL,'','','',0,7969,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701616,'snowwoman',NULL,'','','',0,5976,24,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701618,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,0,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701619,'dpo_christmas_snowtree_small01_houseitem',NULL,'','','',0,9239,32,0,0,0,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701620,'placeholder web',NULL,'','','',0,9705,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701621,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701622,'placeholder web',NULL,'','','',0,9708,48,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701623,'placeholder web',NULL,'','','',0,9706,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701624,'placeholder web',NULL,'','','',0,5141,48,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701625,'candycane',NULL,'','','',0,5985,31,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701626,'dpo_bow01_green',NULL,'','','',0,7075,31,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701627,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701628,'city_mage_fx',NULL,'','','',0,2306,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701629,'presents01',NULL,'','','',0,5969,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701630,'halas science library book - lore only',NULL,'','','',0,13293,32,0,0,0,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701631,'halas fiction library book - words of puremagic qst',NULL,'','','',0,13292,32,0,0,0,55,0,0,0,1,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701632,'short_spear001_plain',NULL,'','','',0,8194,99,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701633,'christmastree01',NULL,'','','',0,5990,9,0,0,0,0,0,0,0,0,0,0,0,2631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701634,'dpo_snowflake02',NULL,'','','',0,8753,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701635,'dpo_snowflake01_rotate',NULL,'','','',0,8752,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701636,'coldain_ice_short_spear',NULL,'','','',0,8194,41,0,0,0,0,0,17431,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701637,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701638,'dpo_spiderweb_large02',NULL,'','','',0,5142,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701639,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701640,'dpo_bow01_red',NULL,'','','',0,7076,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701641,'snowman',NULL,'','','',0,5975,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701642,'halas_crate_04',NULL,'','','',0,13232,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701643,'halas_crate_01',NULL,'','','',0,13301,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701644,'Forge',NULL,'','','',0,1859,32,0,1,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701645,'dpo_spiderweb_large01',NULL,'','','',0,5141,48,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701646,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701647,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701648,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701649,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701650,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701651,'',NULL,'','','',0,13574,34,8,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701652,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701653,'halas_crate_02',NULL,'','','',0,13302,32,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701654,'halas_crate_03',NULL,'','','',0,13303,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701655,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701656,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701657,'Keden McFurkins',NULL,'','','',255,1696,32,0,1,1,9,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701658,'holiday_fruitcake',NULL,'','','',0,7071,32,0,0,0,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701659,'candles1',NULL,'','','',0,5961,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701660,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,0,0,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701661,'Snarf Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701662,'Velium Crystal of Focus',NULL,'','','',0,9500,96,0,0,0,0,0,1867,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701663,'candles2',NULL,'','','',0,5962,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701664,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701665,'mistletoe',NULL,'','','',0,7973,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701666,'dpo_present03_medium',NULL,'','','',0,7078,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701667,'valorian_bloom',NULL,'','','',0,10325,32,0,0,0,0,0,17431,0,0,0,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701668,'dpo_ham01',NULL,'','','',0,8739,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701669,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701670,'dpo_holiday_candycane_small03_blue',NULL,'','','',0,7052,18,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701671,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701672,'',NULL,'','','',0,13904,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701673,'',NULL,'','','',0,13903,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701674,'',NULL,'','','',0,13902,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701675,'spinning wheel to break',NULL,'','','',0,13899,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701676,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701677,'',NULL,'','','',0,13628,22,0,0,0,0,0,0,0,0,0,0,0,441,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701678,'',NULL,'','','',0,2187,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701679,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,16,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701680,'gutten_frostfell_decoration01',NULL,'','','',0,7078,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701681,'hay_1',NULL,'','','',0,1848,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701682,'cerise velium crystal geode',NULL,'','','',0,3914,25,0,0,0,1256,0,17433,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701683,'dpo_pastries01',NULL,'','','',0,8740,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701684,'',NULL,'','','',0,12541,7,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701685,'halas_polarbear_rug_01',NULL,'','','',0,13357,32,0,0,0,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701686,'',NULL,'','','',0,13227,32,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701687,'',NULL,'','','',0,13228,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701688,'',NULL,'','','',0,13235,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701689,'',NULL,'','','',0,13226,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701690,'',NULL,'','','',0,13238,22,0,0,0,0,0,0,0,0,0,0,0,583,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701691,'',NULL,'','','',0,13230,32,0,0,0,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701692,'Mystic Margreth',NULL,'','','',255,5236,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701693,'crystal_ball',NULL,'','','',0,2681,54,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701694,'round_table',NULL,'','','',0,3617,22,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701695,'brazier',NULL,'','','',0,2025,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701696,'tent',NULL,'','','',0,12193,31,0,0,0,0,0,0,0,0,0,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701697,'fabric roll',NULL,'','','',0,11673,32,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701698,'ensorcelled_purple_lantern',NULL,'','','',0,10379,32,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701699,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701700,'basket',NULL,'','','',0,11817,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701701,'Military Table',NULL,'','','',0,9332,32,0,0,0,36,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701702,'basket',NULL,'','','',0,11814,40,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701703,'basket',NULL,'','','',0,11816,23,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701704,'basket',NULL,'','','',0,11815,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701705,'basket',NULL,'','','',0,11812,21,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701706,'ensorcelled_yellow_lantern',NULL,'','','',0,10381,32,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701707,'ensorcelled_green_lantern',NULL,'','','',0,10378,32,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701708,'ensorcelled_red_lantern',NULL,'','','',0,10380,32,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701709,'ensorcelled_blue_lantern',NULL,'','','',0,10377,32,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701711,'gravestone01',NULL,'','','',0,1549,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701712,'gravestone09',NULL,'','','',0,2924,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701713,'candles_group01',NULL,'','','',0,3449,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701714,'gravestone05',NULL,'','','',0,2920,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701715,'jackolantern02',NULL,'','','',0,5786,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701716,'jackolantern03',NULL,'','','',0,5787,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701717,'jackolantern01',NULL,'','','',0,5785,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701718,'jack-o-lantern',NULL,'','','',0,5786,32,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701719,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701722,'Erollsi Release Effects',NULL,'','','',0,6313,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701723,'kp_fish_hanging01',NULL,'','','',0,13325,32,0,0,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701724,'dpo_candied_apple_plate',NULL,'','','',0,13875,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701725,'dpo_bucket_of_apples',NULL,'','','',0,13874,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701726,'jack-o-lantern',NULL,'','','',0,5787,32,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701727,'',NULL,'','','',255,2306,8,5,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701728,'orc skull',NULL,'','','',0,2998,41,0,0,0,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701729,'a wooden cart',NULL,'','','',0,2243,32,0,0,0,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701730,'qst_goodfiath_x1_player_bedroll',NULL,'','','',0,1997,44,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701731,'Duel Flag',NULL,'','','',0,5015,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701732,'qst_redblade_x3_revamp_barricade',NULL,'','','',0,14052,40,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701733,'signal fire',NULL,'','','',0,13625,32,0,0,0,0,0,0,0,0,0,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701734,'',NULL,'','','',0,1667,57,0,0,0,1283,0,1794,0,0,1,1,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701735,'a crushed Ry''Gorr tunneler',NULL,'','','',0,13209,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701736,'',NULL,'','','',0,13323,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701737,'',NULL,'','','',0,13574,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701738,'Keden McFurkins',NULL,'','','',0,1696,32,0,1,1,9,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701739,'Snarf Frostfoot',NULL,'','','',0,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701740,'',NULL,'','','',0,2306,32,6,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701741,'a spirit ward',NULL,'','','',0,13332,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701742,'a rusty piton',NULL,'','','',0,13621,32,0,0,0,1285,0,24000,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701743,'a crude piton cannon',NULL,'','','',0,13617,32,0,0,0,1286,0,20580,0,0,1,1,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701744,'Ry''Gorr siege catapult',NULL,'','','',0,13676,32,0,0,0,0,0,0,0,0,0,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701745,'dark crystal',NULL,'','','',0,10324,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701746,'velium shard',NULL,'','','',0,3160,63,0,0,0,1282,0,17432,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701747,'qst_herga_x5_helm',NULL,'','','',0,6250,32,0,0,0,1287,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701748,'orc pickaxe',NULL,'','','',0,13620,32,0,0,0,1295,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701749,'qst_scourgeson_x2_orc_tent6_invis_cube',NULL,'','','',0,2306,160,0,0,0,0,0,6866,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701750,'RyGorr firepit torch',NULL,'','','',0,4676,16,0,0,0,37,0,3120,0,0,1,1,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701751,'imbued Ry''Gorr pickaxe',NULL,'','','',0,13620,32,0,0,0,1295,0,17434,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701752,'shard of glowing velium',NULL,'','','',0,10324,12,0,0,0,1297,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701753,'firebeard_x1_orc_footprints',NULL,'','','',0,6313,32,0,0,0,0,0,20561,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701754,'an ice lily',NULL,'','','',0,1738,52,0,0,0,1275,0,17431,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701755,'a strange ice crystal',NULL,'','','',0,6186,14,0,0,0,1280,0,1800,0,0,1,1,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701756,'Lord Bob',NULL,'','','',0,14829,64,0,1,1,10,0,18954,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701758,'a Ry''Gorr weapon',NULL,'','','',255,1458,32,0,1,1,0,0,2623,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701759,'dpo_cookie_plate_halloween',NULL,'','','',0,13881,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701760,'a dame''s rocket',NULL,'','','',0,10168,23,0,0,0,1303,0,17434,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701761,'a halasian reed plant',NULL,'','','',0,10554,16,0,0,0,1305,0,17431,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701762,'an ice shroom',NULL,'','','',0,1743,62,0,0,0,1308,0,17431,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701763,'blueberries',NULL,'','','',0,11591,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701764,'Researcher Yurgo Goldspell',NULL,'','','',255,11868,32,0,1,1,916,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701765,'bucket of fish',NULL,'','','',0,6654,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701766,'sloppy fish gut bucket',NULL,'','','',0,1941,32,0,0,0,0,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701767,'Mail Kiosk',NULL,'','','',0,13319,32,0,0,0,29,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701768,'a scraggly shrub',NULL,'','','',0,13630,31,0,0,0,1259,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701769,'widget_pilgrims_landing_dock',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,230,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701770,'Lion post',NULL,'','','',0,13286,32,0,0,0,1276,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701771,'respawn_graves_wregan',NULL,'','','',0,2306,47,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701772,'guardhouse_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701773,'guardhouse_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701774,'sign_coldain_house02',NULL,'','','',0,2306,36,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701775,'sign_coldain_house01',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701776,'dock_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,244,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701777,'sign_coldain_house07',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701778,'sign_coldain_house06',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701779,'city_swinging_signs_library',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701780,'frostfell_entrance',NULL,'','','',0,3165,32,0,0,0,30,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701781,'sign_halas_street_sign02',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701782,'sign_coldain_street_sign_01',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701783,'sign_dock_to_city',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701784,'tradeskill_work_order_desk',NULL,'','','',0,2177,32,0,0,0,31,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701785,'city_swinging_signs_welcome',NULL,'','','',0,2306,166,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701786,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,0,0,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701787,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(4701788,'mender_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701789,'sign_coldain_house04',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701790,'banquet_hall_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701791,'sign_coldain_house05',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701792,'sign_recipe_book',NULL,'','','',0,13292,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701793,'sign_coldain_house03',NULL,'','','',0,2306,158,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701794,'city_signs_coldwind_hall',NULL,'','','',0,2306,129,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701795,'sign_shaman_tent',NULL,'','','',0,2451,32,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701796,'hunting_lodge_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701798,'tcg_druid_portal',NULL,'','','',0,2306,48,0,0,0,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701799,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,0,0,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701800,'Translocator Spires',NULL,'','','',0,2306,96,0,0,0,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701801,'letter_tso',NULL,'','','',0,3497,32,0,0,0,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701802,'letter_rok',NULL,'','','',0,3498,32,0,0,0,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701803,'a plank of wood',NULL,'','','',0,4676,21,0,0,0,1256,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701804,'lucky wolf paw recipe',NULL,'','','',0,5261,32,0,0,0,1260,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701805,'sack of coal',NULL,'','','',0,8750,48,0,0,0,1261,0,0,0,0,1,1,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701806,'tundra beet',NULL,'','','',0,13624,9,0,0,0,1271,0,0,0,0,1,1,0,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701807,'zone_to_permafrost_epic02_crypt_treachery',NULL,'','','',0,13279,27,0,0,0,859,0,0,0,0,0,0,0,266,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701808,'good_book_feeding_the_guurok',NULL,'','','',0,5261,32,0,0,0,646,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701809,'Cave of Illboding Dark',NULL,'','','',0,49,32,0,0,0,604,0,0,0,0,0,0,0,154,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0),
(4701810,'',NULL,'','','',0,4651,64,0,0,0,1288,0,0,0,0,1,1,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701811,'Totem of the Iceclad Manta',NULL,'','','',0,13333,19,0,0,0,1290,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701812,'sign_coldain_house03',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701813,'bucket of fish',NULL,'','','',0,6654,32,0,0,0,26,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701814,'ice-covered stone',NULL,'','','',0,13629,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701815,'stunted roots',NULL,'','','',0,13634,10,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701816,'creature den',NULL,'','','',0,13631,32,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701817,'scattered ore',NULL,'','','',0,13632,20,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701818,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701819,'windblown shrub',NULL,'','','',0,13630,19,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701820,'school of sunfish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701821,'weathered driftwood',NULL,'','','',0,13633,16,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701822,'tenacious roots',NULL,'','','',0,13634,14,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701823,'frost-stunted garden',NULL,'','','',0,13630,20,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701824,'frosted ore',NULL,'','','',0,13632,17,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701825,'freewater fish fleet',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701826,'burrowed nest',NULL,'','','',0,13631,35,0,1,1,3,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701827,'weathered maple',NULL,'','','',0,13633,11,0,1,1,8,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701828,'frost-rimed rock',NULL,'','','',0,13629,20,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701829,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701830,'weathered timber',NULL,'','','',0,13633,16,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701831,'maple driftwood',NULL,'','','',0,13633,12,0,1,1,8,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701832,'Spawn Dummy',NULL,'','','',255,8050,32,0,1,1,0,0,0,0,1,0,0,0,32,2501,2501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701833,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701834,'Wregan Firebeard',NULL,'','','',0,1468,32,0,1,1,18,0,228,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701835,'Splorpy Quagmarr',NULL,'','','',4,3793,16,0,1,1,9,1277,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701836,'Gear Bot','<The Great Bovine>','','','',255,2456,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701837,'calling_them_back_cube',NULL,'','','',255,2306,32,0,1,0,0,0,3450,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701838,'orc_summon_portal',NULL,'','','',255,2306,64,0,0,0,0,0,19051,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701839,'discarded_sack',NULL,'','','',255,50111,32,0,0,0,1300,0,17431,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701840,'a_necromancer_totem',NULL,'','','',255,3158,64,0,0,0,0,0,17431,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701841,'spider_puffs',NULL,'','','',255,8740,32,0,0,0,1302,0,0,0,0,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701842,'frozen_pincer_chowder',NULL,'','','',255,7070,32,0,0,0,1304,0,0,0,0,1,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701843,'beans',NULL,'','','',255,11812,20,0,0,0,1307,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701844,'ham',NULL,'','','',255,8739,16,0,0,0,1306,0,0,0,0,1,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701845,'pie',NULL,'','','',255,3388,32,0,0,0,1309,0,0,0,0,1,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701846,'a sheep',NULL,'','','',255,2336,32,0,0,0,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701847,'iceshard_goblin',NULL,'','','',255,7039,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701848,'horse',NULL,'','','',255,6828,38,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701849,'blonde_horse',NULL,'','','',255,6856,37,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701850,'cloak_mannequin',NULL,'','','',255,8053,32,0,0,0,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701851,'Firiona Vie','<Goddess of EQ2Emulator>','','','',255,21516,40,0,1,1,9,0,15640,0,0,1,0,0,32,26,26,0,0,0,0,0,0,1001,0,0,0,0,0,0,0,0),
(4701852,'dias',NULL,'','','',255,21251,15,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701958,'Nikolas MacCraifft','<The White Raven>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4701959,'Roachie',NULL,'','','',0,112,32,0,1,1,0,0,0,1,1,1,0,0,32,18270,19045,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4720000,'a lifeless Deathfist marauder','','','','',19,5022,31,2,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4720001,'a dying Deathfist marauder','','','','',19,5022,30,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4720002,'Kaljanar','','','','',255,238,160,0,1,1,0,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4720003,'zone_to_commonlands02',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4720004,'zone_to_commonlands01',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730000,'a Thexian honor guard','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730001,'a Thexian grand inquisitor','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730002,'a Thexian guard','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730003,'a Thexian guard','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730004,'Tyvalis V''Sorn','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730005,'a dark Thexian ritualist','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730006,'a Thexian evoker','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730007,'a conjured fire elemental','','','','',255,171,41,0,1,1,0,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730008,'Inana''s honor guardian','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730009,'a Thexian inquisitor','','','','',1,116,35,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730010,'Inana V''Sorn','','','','',1,116,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730011,'Kanos X''aphon','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730012,'basement_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730013,'top_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730014,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730017,'orcish_throne',NULL,'','','',0,1435,32,0,1,1,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730018,'hand_eye_innoruk',NULL,'','','',0,1615,32,0,1,1,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730019,'clear_appearance_plane',NULL,'','','',0,2246,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4730020,'exit_door',NULL,'','','',0,49,32,0,1,1,989,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4740000,'hanging_cage',NULL,'','','',0,4472,32,0,1,1,0,0,0,0,0,0,0,0,304,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4740001,'zone_to_soluseks_left',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4740002,'zone_to_soluseks_right',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4740003,'zone_to_soluseks_nagafen_right',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4740004,'zone_to_soluseks_nagafen_left',NULL,'','','',0,49,32,0,1,1,549,0,0,0,0,1,0,0,231,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4750000,'a Murkwater thief','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4750001,'a Murkwater warrior','','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4750002,'a Murkwater Brute','','','','',13,73,44,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4750003,'Madame Kisa','','','','',13,56,28,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4750004,'to_fprt_sewer03',NULL,'','','',0,49,32,0,0,0,941,0,0,0,0,1,0,0,206,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760001,'lost captain','','','','',9,4539,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760002,'lost conscript','','','','',9,4542,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760003,'lost soldier','','','','',9,4542,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760004,'lost guardian','','','','',9,4542,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760005,'lost mercenary','','','','',9,4542,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760006,'Shakuto the Lost','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,130000,65000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760007,'Makuto the Lost','','','','',9,4536,32,0,1,1,11,0,0,1,1,1,0,0,36,130000,65000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760008,'lost sentry','','','','',9,4542,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760009,'Arch Lich Udalan','','','','',9,3654,80,0,1,1,11,0,0,1,1,1,0,0,36,350000,175000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760010,'skeletal archmage','','','','',9,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760011,'skeletal guardian','','','','',9,4541,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760012,'skeletal high priest','','','','',9,4538,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760013,'a chaotic elemental','','','','',255,3687,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760015,'zone_to_antonica_0',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4760016,'zone_to_antonica_1',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770000,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770001,'a treasure hoarder','','','','',5,122,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770002,'a treasure hoarder','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770003,'a treasure hoarder','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770004,'a pirate guard','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770005,'a treasure sorter','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770006,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770007,'a cave forager','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770008,'a pirate guard','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770009,'a pirate guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770010,'an intoxicated pirate','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770011,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770012,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770013,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770014,'fprt_bench_plainlong01',NULL,'','','',0,1492,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770016,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770017,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770018,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770019,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770020,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770021,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770022,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770023,'qst_galintos_bedframe_1',NULL,'','','',0,1406,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4770024,'rock01',NULL,'','','',0,1550,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780000,'an under rumbler curate','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780001,'an under rumbler','','','','',255,2412,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780002,'an under rumbler sage','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780003,'a rubble eater pastor','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780004,'a rubble eater','','','','',255,2412,25,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780005,'a rubble eater magus','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780006,'a rubble rumbler','','','','',255,2412,25,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780007,'a rubble rumbler elder','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780008,'a rubble rumbler adept','','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780011,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4780012,'rock01',NULL,'','','',0,1550,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790001,'','','','','',255,7241,39,7,1,1,0,0,3679,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790002,'','','','','',255,11363,120,8,1,1,0,0,2623,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790003,'a scarecrow','','','','',255,10810,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790004,'a hedge lurker','','','','',255,9030,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790005,'Altius Volfban','','','','',255,134,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790006,'an animated hedge','','','','',255,10809,160,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790007,'a disturbed zombie','','','','',255,3736,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790008,'Old Man Dave','','','','',255,143,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790009,'a scarecrow','','','','',255,10810,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790010,'Raven','','','','',255,9030,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790011,'a summoned bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790012,'a terrified gnome','','','','',255,121,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790013,'a trained entity','','','','',255,8768,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790014,'hedge 01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790015,'an old hallowed tree',NULL,'','','',0,49,32,0,1,1,1136,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790016,'exit_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790017,'hedge 03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,199,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790018,'hedge 05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790019,'hedge 02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790020,'hedge 04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790022,'a rusted chest',NULL,'','','',0,5766,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790023,'dagger',NULL,'','','',0,1860,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790024,'skull',NULL,'','','',0,2995,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790025,'a head in a bag',NULL,'','','',0,50111,32,0,1,1,33,0,17064,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790026,'clouds',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790027,'doll',NULL,'','','',0,149,6,0,1,1,33,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790028,'nightmarish statue',NULL,'','','',0,3581,32,0,1,1,1135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790029,'FX',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790030,'an infected wolf',NULL,'','','',255,1374,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790031,'doorknocker',NULL,'','','',0,2306,68,0,1,1,1134,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790032,'a grime covered chest',NULL,'','','',0,5768,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790033,'coin_visual',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790034,'book',NULL,'','','',0,10012,9,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790035,'A Headless Knight',NULL,'','','',255,10694,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790036,'beer-braised Norrathian',NULL,'','','',255,110,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790037,'troll jerky',NULL,'','','',255,106,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790038,'frog legs',NULL,'','','',255,77,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4790039,'medium-rare appetiser',NULL,'','','',255,122,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800000,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800001,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800002,'','','','','',255,8889,136,8,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800003,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800004,'a Coldain guard','','','','',2,75,35,3,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800005,'an icebound shell-cracker','','','','',255,14880,51,0,1,1,11,0,1902,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800006,'a Gnome pirate','','','','',5,122,31,3,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800007,'an adventurer','','','','',255,114,36,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800008,'an adventurer','','','','',255,1469,33,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800009,'an adventurer','','','','',255,1475,35,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800010,'Gargan','<Thurgadin Relic Seeker>','','','',2,11868,41,1,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800011,'Rotuk','<Armorsmith>','','','',2,11868,40,2,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800012,'Grilda','<Quartermaster>','','','',2,11968,42,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800013,'a poison slimfish','','','','',255,194,57,3,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800014,'an adventurer','','','','',255,4943,35,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800015,'Stomper','','','','',255,14762,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800016,'Pearce Coldheart','<Provisioner>','','','',2,80,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800017,'an icy barracuda','','','','',255,194,43,8,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800018,'a young icy barracuda','','','','',255,194,41,0,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800019,'Osgar Maxton','<New Halas Representative>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800020,'a Coldain wolfmaster','','','','',2,52,35,3,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800021,'a Coldain tracking wolf','','','','',255,14693,28,3,1,1,11,0,11183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800022,'Bellik Coldthunder','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800023,'Oomba','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800024,'a Deepwater researcher','<Deepwater Circle>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800025,'an adventurer','','','','',255,110,35,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800026,'Lieutenant Rennik','<New Combine>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800027,'New Combine Flightmaster','<New Combine>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800028,'a lurking shell-cracker','','','','',255,14880,51,0,1,1,11,0,1902,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800029,'Foto Stratobelt','<Steam Industry''s Nautical Kontraptions Engineer>','','','',5,121,38,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800030,'Nial Frosteye','<Bowyer>','','','',2,11868,38,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800031,'an adventurer','','','','',255,1465,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800032,'an ancient great white','','','','',255,242,112,0,1,1,11,0,1902,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800033,'a ptarmigan','','','','',255,15093,47,5,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800034,'a frostdeath dervish','','','','',255,3688,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800035,'a lesser ice shade','','','','',255,5002,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800036,'a lesser shadowbone skeleton','','','','',9,2901,56,8,1,1,11,0,20483,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800037,'an armorclad ice urchin','','','','',255,298,63,3,1,1,11,0,1767,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800038,'Captain Gunnhilde Bluebeard','<Defenders of Thurgadin>','','','',2,11968,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800039,'a risen Snowfang gnoll','','','','',255,4732,31,6,1,1,11,0,14627,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800040,'a frostbite shadowbeast','','','','',255,376,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800041,'an Iceclad sleeper shark','','','','',255,242,48,0,1,1,11,0,0,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800042,'a mature barracuda','','','','',255,194,51,0,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800043,'an icy barracuda','','','','',255,194,57,3,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800044,'a dangerous barracuda','','','','',255,194,57,0,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800045,'a great icemaw','','','','',255,242,70,0,1,1,11,0,0,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800046,'an othmir guard','','','','',255,14255,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800047,'an Iceclad crab','','','','',255,7741,42,7,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800048,'an Iceclad crab','','','','',255,7741,29,4,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800049,'an othmir water weaver','','','','',255,14257,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800050,'an oceanspray wisp','','','','',255,8061,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800051,'Banik','<Othmir Fishing Lead>','','','',255,14270,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800052,'Yue','<Othmir Messenger>','','','',255,14256,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800053,'a windy wisp','','','','',255,8058,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800054,'Fynn','<Othmir Quartermaster>','','','',255,14266,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800055,'an othmir fish trapper','','','','',255,14277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800056,'Nia','','','','',255,15163,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800057,'Lan','<Othmir Fisher>','','','',255,14268,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800058,'Jin','','','','',255,14277,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800059,'Fiver','','','','',255,14263,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800060,'an arctic badger','','','','',255,15092,22,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800061,'Pipkin','<Iceclad Market Broker>','','','',255,14269,35,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800062,'Priddie','<Banker>','','','',255,14261,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800063,'Topi','<Othmir Relic Seeker>','','','',255,14268,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800064,'Narp','','','','',255,14271,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800065,'Yellow','<Mender>','','','',255,837,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4800066,'an othmir nurturer','','','','',255,838,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800067,'an othmir fisher','','','','',255,14277,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800068,'Splish','','','','',255,14260,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800069,'Runt','','','','',255,14263,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800070,'an othmir pup','','','','',255,14263,20,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800071,'an othmir patroller','','','','',255,14267,32,0,1,1,11,0,0,1,1,1,0,0,32,1306,1306,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800072,'Noden Loadcrusher','<Coldain Griffin Tamer>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800073,'Aidia Mispah','<Deepwater Circle>','','','',9,1591,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800074,'Jel''ziz Amun','<Deepwater Circle>','','','',9,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800075,'Erus Dal''viv','<The Swordbearer>','','','',9,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800076,'Beckavar','<Othmir Captain>','','','',255,14255,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800077,'Laput Crackgear','<Deepwater Circle>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800078,'a krait patriarch','','','','',255,277,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800079,'a winged krait','','','','',255,277,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800080,'Clicker','<Othmir Defender>','','','',255,14271,32,0,1,1,9,0,18943,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800081,'a juvenile krait','','','','',255,277,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800082,'Sana','<Othmir Shaman>','','','',255,14262,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800083,'an othmir villager','','','','',255,14256,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800084,'an othmir bone artisan','','','','',255,14263,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800085,'Misa','','','','',255,838,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800086,'an icy barracuda','','','','',255,194,33,0,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800087,'an incapacitated Snowfang','','','','',255,1384,38,0,1,1,0,0,3910,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800088,'an enthralled Snowfang gnoll','','','','',255,1384,31,5,1,1,11,0,14627,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800089,'a Snowfang disruptor','','','','',255,3814,35,3,1,1,0,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800090,'a Snowfang defender','','','','',255,3814,38,6,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800091,'a Snowfang spirit caller','','','','',255,4099,32,6,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800092,'a slain shadowbeast','','','','',255,376,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800093,'Raawl','','','','',255,4099,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800094,'a Snowfang warrior','','','','',255,1384,35,5,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800095,'Wuuf','<Snowfang Shaman>','','','',255,4099,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800096,'Snaps','<Snowfang Fisher>','','','',255,1384,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800097,'a Snowfang priestess','','','','',255,4099,28,2,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800098,'Bitter','','','','',255,1384,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800099,'Ruffin','<Snowfang Provisioner>','','','',255,1384,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800100,'Herrga','<Snowfang Relic Seeker>','','','',255,3816,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800101,'Griggin','<Snowfang Quartermaster>','','','',255,3816,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800102,'a Snowfang defender','','','','',255,3814,38,3,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800103,'Polar Kraken','','','','',255,288,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800104,'a coldain soldier','','','','',2,2362,32,0,1,1,11,0,0,1,1,1,0,0,18,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800105,'Alma Marigold','<Kelethin Representative>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800106,'Erline Dwerryhouse','<Qeynos Representative>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800107,'an adventurous leader','','','','',255,78,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800108,'a necromancer','','','','',255,3788,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800109,'a swashbuckler','','','','',255,114,36,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800110,'Hircus','<Gryphon Expert>','','','',255,13924,41,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800111,'Aarne Hillevi','<Flight Researcher>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800112,'a gryphon','','','','',255,14656,44,0,1,1,0,0,18586,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800113,'Norbu','','','','',255,13923,41,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800114,'a Rookery Guard','','','','',255,13927,44,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800115,'a Goahmari protector','','','','',255,13927,44,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800116,'a Goahmari haruspex','','','','',255,13923,44,0,1,1,0,0,0,1,1,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800117,'a Goahmari recluse','','','','',255,13927,44,0,1,1,0,0,0,1,1,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800118,'a Goahmari monk','','','','',255,13924,44,0,1,1,0,0,0,1,1,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800119,'Gyatso','','','','',255,13924,41,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800120,'a Goahmari recluse','','','','',255,13927,44,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800121,'Windso','<Gryphon Expert>','','','',255,13927,41,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800122,'Dillamond','<Herbal Medicine>','','','',255,13927,38,0,1,1,10,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800123,'Delafar Nelmaise','<Deepwater Circle>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800124,'Rillo','<Culture Keeper>','','','',255,13924,35,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800125,'a snowy cliff beak','','','','',255,15093,47,6,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800126,'a fanatical shardhammer','<The Order of Rime>','','','',0,111,39,4,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800127,'Amdo','','','','',255,13927,41,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800128,'a scholarly flurryburst','<The Order of Rime>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800129,'an icy howler','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800130,'Billie','','','','',255,13927,41,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800131,'a Goahmari defender','','','','',255,13927,44,0,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800132,'a battle ready Goahmari','','','','',255,13927,38,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800133,'Capru','','','','',255,13924,44,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800134,'Milly','','','','',255,257,80,0,1,1,0,0,1494,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800135,'Tellpa','','','','',255,13924,32,0,1,1,9,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800136,'a Rime aggressor','<The Order of Rime>','','','',6,78,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800137,'a slain Rime aggressor','','','','',2,109,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800138,'a fanatical shardhammer','<The Order of Rime>','','','',13,59,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800139,'a cliff stalker','','','','',255,10431,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800140,'an arctic cliffstrider','','','','',255,6280,70,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800141,'a deceptive sleetsaber','<The Order of Rime>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800142,'a searching shardhammer','','','','',9,132,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800143,'a snow dervish','','','','',255,15171,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800144,'a screeching frostwing','','','','',255,239,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800145,'a Ry''Gorr pathfinder','','','','',20,14841,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800146,'a Ry''Gorr thaumaturgist','','','','',20,14847,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800147,'a Ry''Gorr shocktrooper','','','','',20,14843,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800148,'a crystalline watcher','','','','',255,246,48,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800149,'a Ry''Gorr soldier','','','','',20,14844,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800150,'a Ry''Gorr winter scout','','','','',20,14838,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800151,'a Ry''Gorr grunt','','','','',20,14842,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800152,'a Ry''Gorr bodyguard','','','','',20,14845,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800153,'an adventurer','','','','',255,103,34,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800154,'an adventurous leader','','','','',255,1462,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800155,'a shadowknight','','','','',255,104,37,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800156,'a Coldain lorekeeper','','','','',2,51,34,2,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800157,'Brann Stoneaxe','<Group Mission Master>','','','',2,75,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800158,'a Coldain messenger','','','','',2,11868,35,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800159,'a coldain battle priest','','','','',2,11868,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800160,'a coldain war wizard','','','','',2,129,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800161,'a coldain lieutenant','','','','',2,11868,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800162,'a Thurgadin war wolf','','','','',255,90,32,0,1,1,11,0,11183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800163,'a coldain tracker','','','','',2,52,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800164,'a Rime advancer','<The Order of Rime>','','','',6,78,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800165,'a scattered coldain soldier','','','','',2,75,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800166,'Captain Palinor','','','','',2,11868,28,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800167,'a Thurgadin battlepriest','<Icemaul''s Siege>','','','',2,74,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800168,'a Thurgadin esper','<Icemaul''s Siege>','','','',2,51,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800169,'a Thurgadin protector','<Icemaul''s Siege>','','','',2,75,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800170,'a Thurgadin watcher','<Icemaul''s Siege>','','','',2,52,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800171,'a Thurgadin supply runner','<Icemaul''s Siege>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800172,'a scavenging war wolf','','','','',255,14693,32,0,1,1,11,0,11183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800173,'','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800174,'a flurryburst evoker','<The Order of Rime>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800175,'a shardhammer defender','<The Order of Rime>','','','',0,112,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800176,'a sleetsaber assassin','<The Order of Rime>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800177,'Fangor','<Bargbae Skullhelm''s Pet>','','','',255,14371,38,0,1,1,0,0,11183,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800178,'Bargbae Skullhelm','<The Order of Rime>','','','',0,1696,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800179,'an entranced glacier','<a mesmerizing flurryburst''s pet>','','','',255,6280,48,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800180,'a mesmerizing flurryburst','<The Order of Rime>','','','',6,79,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800181,'a lurking sleetsaber','<The Order of Rime>','','','',6,79,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800182,'a Rime field commander','<The Order of Rime>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800183,'a vigilant nova-vicar','<The Order of Rime>','','','',0,112,37,5,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800184,'Adrad Postumius','<The Order of Rime>','','','',0,1598,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800185,'Fedya','<The Order of Rime>','','','',0,57,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800186,'a living glacier','','','','',255,6280,96,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800187,'Keyrin Curetouch','<Hiipiv''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800188,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800189,'Bdorn Alehammer','<Oahooyugo''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800190,'a shadowbeast attacker','','','','',255,377,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800191,'a shadowbeast assaulter','','','','',255,377,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800192,'Delhagin the Frightful','','','','',255,5002,41,0,1,1,11,0,16059,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800193,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800194,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800195,'Loppa','','','','',255,14262,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800196,'Miau','','','','',255,15163,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800197,'Diu','<Othmir Shaman>','','','',255,14265,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800198,'Rox','<Othmir Messenger Lead>','','','',255,14260,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800199,'an othmir pup-bearer','','','','',255,15163,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800200,'Rui','','','','',255,14272,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800201,'Aqua','<Othmir Greeter>','','','',255,14261,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800202,'a glacial tunneler','','','','',255,2413,9,3,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800203,'an ice shade enthraller','','','','',255,5002,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800204,'Thurr','<Snowfang Warrior>','','','',255,3814,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800205,'an adventurer','','','','',255,110,33,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800206,'a wizard','','','','',255,115,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800207,'a ranger','','','','',255,79,34,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800208,'an adventurous leader','','','','',255,1597,37,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800209,'Vira Warcarver','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800210,'Caius Arcadius','<Freeport Representative>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800211,'Drezlok Sak''Xin','<Gorowyn Representative>','','','',255,7370,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800212,'Shanea K''Xaal','<Neriak Representative>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800213,'an adventurer','','','','',255,82,37,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800214,'Des Glacierwell','<Wholesaler>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800215,'a Coldain warpriest','','','','',2,11,38,2,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800216,'a Coldain','','','','',2,11,35,3,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800217,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800218,'an othmir priest','','','','',255,14270,32,0,1,1,0,0,22609,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800219,'a nova-vicar warder','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800220,'Bergna Veliumsmiter','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800221,'Yrsa Gravelcut','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800222,'a Thurgadin siege-marshal','<Icemaul''s Siege>','','','',2,11,35,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800223,'a shardhammer stampeder','<The Order of Rime>','','','',2,109,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800224,'a sleetsaber howler','<The Order of Rime>','','','',5,121,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800225,'a flurryburst stormbringer','<The Order of Rime>','','','',9,134,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800226,'Torbin Frostarm','<Mender>','','','',2,10,41,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4800227,'Tara Coldcarver','<Hammer of Brell>','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800228,'Ragna Orcsmasher','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800229,'Nollarr Goodforger','<Hammer of Brell>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800230,'Mhadr the Lost','<Lost Ones>','','','',2,11868,22,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800231,'Frida Honormace','<Archaeologist>','','','',2,11968,25,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800232,'Fleinn Rocksteel','','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800233,'Viglundr Doomforge','','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800234,'a coldain spotter','','','','',2,11968,28,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800235,'a scholarly flurryburst','<The Order of Rime>','','','',5,121,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800236,'an entranced snow dervish','','','','',255,15171,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800237,'Vada Doomquartz','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800238,'Borotar Pickbeard','','','','',2,74,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800239,'Ralo Bravehelm','','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800240,'Yutte Rocksword','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800241,'Stoick Vastsmasher','<Dragon Hunter>','','','',2,11868,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800242,'Herga Grimblade','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800243,'Signy Silverbreaker','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800244,'Sparr Grandchop','','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800245,'Kilrim Stonehewer','<Mender>','','','',2,10,41,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4800246,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800247,'Bellin Icepike','<Linguist>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800248,'Matthew','<Far Seas Supply Division>','','','',9,4990,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800249,'Stissa, Emissary of the Speaker','<Transport to Sinking Sands>','','','',255,14265,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800250,'Naui','<Guide>','','','',255,14267,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800251,'Chitter','<Imports Merchant>','','','',255,14271,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800252,'Nipik','<Speaker of Lodizal>','','','',255,14870,25,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800253,'an othmir shell cracker','','','','',255,14272,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800254,'an othmir defender','','','','',255,14272,34,2,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800255,'a fallen starving gnoll','','','','',255,3814,32,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800256,'an othmir warrior','','','','',255,14255,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800257,'a collapsed gnoll','','','','',255,1384,30,0,1,1,11,0,22015,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800258,'a starving gnoll','','','','',255,1384,31,2,1,1,11,0,22015,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800259,'a slavering gnoll scavenger','','','','',255,1384,35,0,1,1,11,0,22015,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800260,'a famished gnoll','','','','',255,1384,32,1,1,1,11,0,22015,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800261,'a ravenous gnoll','','','','',255,1384,31,2,1,1,11,0,22015,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800262,'a winged krait','','','','',255,277,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800263,'Venomwing','','','','',255,3785,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800264,'a defeated ice shade','','','','',255,5002,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800265,'a hungry Snowfang gnoll','','','','',255,1384,36,1,1,1,11,0,22015,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800266,'a Snowfang fisher','','','','',255,1384,28,3,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800267,'a rugged arctic badger','','','','',255,15092,28,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800268,'a Snowfang stalker','','','','',255,1384,35,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800269,'a Snowfang hunter','','','','',255,1384,44,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800270,'a Snowfang hunter','','','','',255,1384,41,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800271,'a Snowfang crossing guard','','','','',255,1384,48,0,1,1,11,0,3910,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800272,'Keel','','','','',255,1384,28,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800273,'Mirna Greatfrost','<Snowfang High Shaman>','','','',255,3816,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800274,'a Snowfang protector','','','','',255,3814,37,4,1,1,0,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800275,'a defeated Snowfang','','','','',255,3814,38,3,1,1,0,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800276,'a controlled Snowfang protector','','','','',255,3814,38,0,1,1,11,0,14627,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800277,'a migrating seagull','','','','',255,2335,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800278,'a frenzied sleeper shark','','','','',255,242,48,0,1,1,0,0,10783,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800279,'a frenzied sleeper shark','','','','',255,242,48,0,1,1,11,0,0,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800280,'a lesser icy shade','','','','',255,5002,42,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800281,'a ridge hunter','','','','',255,5020,88,8,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800282,'a steam walker','','','','',255,3636,94,5,1,1,11,0,22281,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800283,'a Blisterrock ettin','','','','',255,12398,98,7,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800284,'an engulfed blistercrag','','','','',255,257,106,8,1,1,11,0,22327,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800285,'a ridge lurker','','','','',255,5020,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800286,'a Blisterrock shaman','','','','',255,13315,95,5,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800287,'an engulfed blistercrag','','','','',255,257,121,5,1,1,11,0,22327,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800288,'a tundra sphere','','','','',255,3881,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800289,'a brontotherium bull','','','','',255,14762,44,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800290,'a brontotherium calf','','','','',255,14762,25,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800291,'a brontotherium cow','','','','',255,14762,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800292,'a wolf pup','','','','',255,14857,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800293,'a wolf matron','','','','',255,14693,32,0,1,1,11,0,11183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800294,'Scout Drevill','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800295,'Rallin','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800296,'a feral dire wolf','','','','',255,14693,32,0,1,1,11,0,11183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800297,'a Blisterrock ettin','','','','',255,12398,89,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800298,'a shardwurm','','','','',255,14329,32,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800299,'an engulfed blistercrag','','','','',255,257,96,0,1,1,11,0,22327,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800300,'a boiling blistercrag','','','','',255,7252,96,8,1,1,11,0,6867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800301,'a brontotherium patriarch','','','','',255,14762,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800302,'a Tizmak warrior','','','','',255,157,38,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800303,'a Tizmak spiritcaller','','','','',255,157,35,3,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800304,'a Tizmak champion','','','','',255,158,44,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800305,'Ghost of the Tundra','','','','',255,14693,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800306,'an ancient shardwurm','','','','',255,14329,32,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800307,'Shardtooth the Old','','','','',255,14763,44,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800308,'Yaka Razorhoof','<Clan Elder>','','','',255,157,48,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800309,'a young shardwurm','','','','',255,14329,21,1,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800310,'','','','','',255,14762,43,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800311,'a boiling blistercrag','','','','',255,7252,108,2,1,1,11,0,6867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800312,'a boiling blistercrag','','','','',255,7252,82,2,1,1,11,0,6867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800313,'Fleshrender','','','','',255,14656,80,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800314,'a blistercrag crawler','','','','',255,258,64,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800315,'Jelgith Heartwood','<Deepwater Circle>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800316,'Felnon Rockground','<Deepwater Circle>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800317,'Adebi Ka''nabi','<Deepwater Circle>','','','',3,10020,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800318,'Rivra Prayercrystal','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800319,'a coldain mystic','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800320,'Ghost','<Greatslasher''s companion>','','','',255,14857,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800321,'Gareri Greatslasher','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800322,'Archaeologist Ferni','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800323,'Assistant Beldry','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800324,'Student Genn','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800325,'Fora Frostarm','<Mender>','','','',2,80,35,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4800326,'lingering Kromrif shocktrooper','','','','',255,87,38,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800327,'lingering Kromrif lancer','','','','',255,87,35,3,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800328,'Kromrif Recruit','<Kromrif Invasion>','','','',255,86,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800329,'Kromrif Spearman','<Kromrif Invasion>','','','',255,87,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800330,'Priest of Zek','<Kromrif Invasion>','','','',255,86,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800331,'Kromrif Warrior','<Kromrif Invasion>','','','',255,88,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800332,'Royal Cryomancer','<Defenders of Thurgadin>','','','',2,51,32,0,1,1,0,0,17365,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800333,'Dain Frostreaver IV','<Fallen Coldain King>','','','',2,14821,35,0,1,1,0,0,6193,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800334,'','','','','',255,14762,17,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800335,'','','','','',255,2555,15,3,1,1,623,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800336,'a Tizmak augur','','','','',255,157,38,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800337,'Firbrand of the Black','','','','',20,14843,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800338,'Igrayne','','','','',255,11211,51,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800339,'Bethra Lartius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800340,'Zalyn D''Kilneld','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800341,'a brontotherium consort','','','','',255,14762,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800342,'a hulking brontotherium','','','','',255,14762,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800343,'a crystalline hunter','','','','',255,246,64,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800344,'Crystal Fang the Ancient','','','','',255,246,121,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800345,'a Kromzek viator','','','','',255,14002,64,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800346,'Poxbreath of the Yellowfang','','','','',20,14852,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800347,'Decanus Thekklod ','<Kromzek Necromancer>','','','',255,14758,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800348,'a Ry''Gorr advance scout','','','','',20,14838,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800349,'Trokk Curseslinger','','','','',20,14852,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800350,'a coldain cannoneer','','','','',2,11868,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800351,'Spotter Delna','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800352,'Captain Grimglacier','','','','',2,11968,28,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800353,'Blacksmith Grilin','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800354,'Mazni Nah''fal','<Deepwater Circle>','','','',3,1591,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800355,'Elnia Felmerai','<Deepwater Circle>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800356,'Drill Sergeant Dannkurt','','','','',2,11968,28,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800357,'Danna Stoneaxe','<Mission Master>','','','',2,128,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800358,'a paladin','','','','',255,110,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800359,'an adventurer','','','','',255,136,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800360,'Gemmi Booksmith','<Reader of Books>','','','',2,11868,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800361,'Grand Historian Elred Wintershade','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800362,'Provocateur Bas Darkfrost','<Shard Mission Master>','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800363,'an assassin','','','','',255,115,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800364,'Halldor Brewbeard','<Bartender>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800365,'an adventurer','','','','',255,104,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800366,'a conjuror','','','','',255,1471,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800367,'an adventurous leader','','','','',255,132,34,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800368,'Fradin Underbelly','<Armorsmith>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800369,'Hason Brightsteel','<Shieldsmith>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800370,'Dran Frostdown','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800371,'a wooden crate','','','','',255,1583,32,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800372,'an adventurer','','','','',255,112,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800373,'Bildi Pieflinger','<Zekoretri''s Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800374,'arjon_bed',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800375,'Cooking Fire',NULL,'','','',0,49,32,0,1,1,4,0,0,0,0,1,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800376,'a bubbling cookpot',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800377,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800378,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,213,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800379,'undead focus',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,487,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800380,'undead focus',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,472,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800381,'undead focus',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800382,'Cooking Fire',NULL,'','','',0,49,32,0,1,1,4,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800383,'undead focus',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,564,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800384,'undead focus',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,570,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800385,'qst_gravelheart_x1_feedstone4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800386,'qst_gravelheart_x1_feedstone3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800387,'qst_tizmak_food_05',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800388,'qst_tizmak_food_04',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800389,'qst_gravelheart_x1_feedstone1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,245,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800390,'qst_gravelheart_x1_feedstone2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800391,'mystic fire',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800392,'a frozen coldain',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800393,'Ring War Icy Prison',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,970,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800394,'qst_tizmak_food_03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800395,'qst_tizmak_food_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800396,'qst_tizmak_food_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800397,'qst_mudhoof_barrel_02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,115,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800398,'qst_mudhoof_barrel_01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800399,'Storm Gorge Cannon 2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800400,'Storm Gorge Cannon 1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,264,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800402,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800403,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800404,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800405,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800406,'floor_box_any_wood01',NULL,'','','',0,3102,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800407,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800408,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800409,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800410,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800411,'throwing_knife001_rusty',NULL,'','','',0,3906,31,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800412,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800413,'gravestone09',NULL,'','','',0,2924,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800414,'candles_group01',NULL,'','','',0,3449,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800415,'gravestone05',NULL,'','','',0,2920,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800416,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800417,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800418,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800419,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800420,'lodizal',NULL,'','','',0,13847,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800421,'invis cube with fire damage result',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800422,'',NULL,'','','',0,15248,32,0,1,1,0,0,0,0,0,0,0,0,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800423,'beams',NULL,'','','',0,555,32,0,1,1,0,0,0,0,0,0,0,0,1062,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800424,'Momo',NULL,'','','',255,15222,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800425,'Captain Bin Nalot',NULL,'','','',255,122,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800427,'a tamed snow griffin',NULL,'','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800428,'Fenwick',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800429,'a Gnome pirate merchant',NULL,'','','',255,122,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800430,'Sewing Loom',NULL,'','','',0,14781,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800431,'Dwidle Cogsling',NULL,'','','',255,122,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800432,'Dort Lumrick',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800433,'lumrick_x1_book',NULL,'','','',0,14242,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800434,'nalot_x2_chest',NULL,'','','',0,13280,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800435,'Mira',NULL,'','','',255,14260,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800436,'tradeskill_abalone',NULL,'','','',0,14828,32,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800437,'old weapon',NULL,'','','',0,2286,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800438,'an old book',NULL,'','','',0,3323,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800439,'bed of coals',NULL,'','','',0,403,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800440,'stationary egg',NULL,'','','',0,14770,19,0,1,1,0,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800441,'sick gryphon',NULL,'','','',0,14656,51,0,1,1,0,0,540,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800442,'goatman_rookery_portal',NULL,'','','',0,2306,32,0,1,1,0,0,14721,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800443,'gd_nest01',NULL,'','','',0,15002,55,0,1,1,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800444,'snow covered stone',NULL,'','','',0,5014,6,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800445,'Kezu',NULL,'','','',255,11746,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800446,'qst_gyatso_x1_ceremony_fire',NULL,'','','',0,403,48,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800447,'gravestone04',NULL,'','','',0,2919,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800448,'gravestone02',NULL,'','','',0,1854,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800449,'a Goahmari windrunner',NULL,'','','',255,11745,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800450,'Order of Rime tapestry',NULL,'','','',0,15025,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800451,'Order of Rime weapons',NULL,'','','',0,375,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800452,'a soft and crumbly rock',NULL,'','','',255,13632,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800453,'wriggling_cocoon',NULL,'','','',0,14987,32,0,1,1,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800454,'Frozen Bitterleaf',NULL,'','','',0,13624,6,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800455,'halas_anvil_01',NULL,'','','',0,13239,25,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800456,'Training Dummy',NULL,'','','',0,4467,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800457,'Boom Powder',NULL,'','','',255,2563,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800458,'a Coldain Weapon Rack',NULL,'','','',255,15013,32,0,1,1,227,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800459,'A Wolf Hitching Post',NULL,'','','',0,11400,32,0,1,1,0,0,1494,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800460,'a Rime Ballista',NULL,'','','',0,13617,96,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800461,'',NULL,'','','',255,2306,8,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800462,'spirit drum',NULL,'','','',0,14824,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800463,'break ice festival',NULL,'','','',0,14823,38,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800464,'hal_coldain_house_sign_05',NULL,'','','',0,13333,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800465,'Kagur Thunderbeard',NULL,'','','',255,11868,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800466,'Lagur Thunderbeard',NULL,'','','',255,11868,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800467,'Jubie Cyclocrank',NULL,'','','',255,122,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800468,'Order of Rime small tent',NULL,'','','',0,15027,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800469,'hal_coldain_house_sign_04',NULL,'','','',0,13332,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800470,'ralo_circling_falcon',NULL,'','','',0,2306,32,0,1,1,0,0,22320,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800471,'Nipik''s cane',NULL,'','','',0,14960,28,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800472,'Nipik''s Pillow',NULL,'','','',0,2750,96,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800473,'Othmir Barricade with Nets 3',NULL,'','','',0,15068,38,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800474,'Othmir Barricade with Nets 2',NULL,'','','',0,15080,38,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800475,'Othmir Barricade with Nets 1',NULL,'','','',0,15068,35,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800476,'nipik lodizal arctic moss - iceclad lichen',NULL,'','','',0,9489,18,0,1,1,0,0,22014,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800477,'Arjon',NULL,'','','',255,14267,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800478,'gnoll shaman magic',NULL,'','','',0,2306,19,0,1,1,0,0,20667,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800479,'risen gnoll skeleton triggered soul escape invis cube',NULL,'','','',0,2306,32,0,1,1,0,0,20682,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800480,'Rui''s Captured Bird',NULL,'','','',0,2335,32,0,1,1,0,0,22157,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800481,'Shark Attack Fish Eat',NULL,'','','',0,15081,64,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800482,'shark attack boat debris - wood 1',NULL,'','','',0,15252,12,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800483,'shark attack boat debris - dead fish',NULL,'','','',0,15081,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800484,'Osh Danger Bubbles',NULL,'','','',0,2306,32,0,1,1,0,0,1863,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800485,'shark attack boat debris - wood 2',NULL,'','','',0,15253,12,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800486,'shark attack boat debris - fish skeleton',NULL,'','','',0,15251,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800487,'shark attack boat debris - jar',NULL,'','','',0,15250,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800488,'shark attack boat debris - basket',NULL,'','','',0,14823,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800489,'shark attack boat debris - bucket fish',NULL,'','','',0,14873,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800490,'shark attack boat debris - fish trap',NULL,'','','',0,14791,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800491,'qst othmir shark attack boat',NULL,'','','',0,14822,32,0,1,1,0,0,0,0,0,0,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800492,'shark attack Fiver, passed out',NULL,'','','',0,14263,19,0,1,1,0,0,228,0,0,1,6,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800493,'Grandpa''s Memorial',NULL,'','','',0,13332,80,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800494,'infused velium',NULL,'','','',0,14986,9,0,1,1,0,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800495,'qst_prayercrystal_x1_totem',NULL,'','','',0,13332,80,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800496,'Tora',NULL,'','','',255,11968,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800497,'dpo_axe_curved_handle_plain',NULL,'','','',0,8809,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800498,'dig site',NULL,'','','',0,5014,13,0,1,1,0,0,1494,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800499,'Ceremonial Drum',NULL,'','','',0,15034,25,0,1,1,0,0,0,0,0,0,0,0,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800500,'Holding Cage',NULL,'','','',0,15067,48,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800501,'Diamond Dust',NULL,'','','',0,14925,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800502,'Order of Rime crate',NULL,'','','',0,15023,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800503,'Order of Rime large tent',NULL,'','','',0,15026,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800504,'a fallen coldain soldier',NULL,'','','',0,74,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800505,'cannon_cube_01',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800506,'Iceshard Teleport',NULL,'','','',0,2684,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800507,'crank_machine',NULL,'','','',0,5210,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800508,'Datti Corywocket',NULL,'','','',255,122,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800509,'a barrel of powder',NULL,'','','',0,13336,32,0,1,1,0,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800510,'Mail Kiosk',NULL,'','','',0,13319,32,0,1,1,29,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800511,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(4800512,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800513,'Portable Globe of Swift Travel',NULL,'','','',0,2306,48,0,1,1,0,0,21432,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800514,'break ice festival',NULL,'','','',0,5014,21,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800515,'ice eel tunnel',NULL,'','','',0,3977,65,0,1,1,0,0,1494,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800516,'Diu Sacred Shells 02 (flat & purble)',NULL,'','','',0,14826,39,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800517,'rui coral 02',NULL,'','','',0,15107,125,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800518,'rui coral 01',NULL,'','','',0,15106,110,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800519,'Diu Sacred Shells 03 (flat & blue)',NULL,'','','',0,14827,40,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800520,'Diu Sacred Shells 04 (flat & yellow)',NULL,'','','',0,14828,37,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800521,'Diu Sacred Shells 01 (spiral & yellow)',NULL,'','','',0,14825,31,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800522,'discarded gnoll weapon 1 - cleaver',NULL,'','','',0,15104,61,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800523,'discarded gnoll weapon 3 - shield',NULL,'','','',0,15103,52,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800524,'discarded gnoll weapon 4 - shield',NULL,'','','',0,11135,51,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800525,'discarded gnoll weapon 2 - axe',NULL,'','','',0,15105,64,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800526,'thurgadin_entrance_from_gd',NULL,'','','',0,49,32,0,1,1,215,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800527,'wriggling_cocoon',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800528,'zone_to_tofs',NULL,'','','',0,2306,32,0,1,1,470,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800529,'zone_to_tofs',NULL,'','','',0,14499,19,0,1,1,470,0,0,0,0,1,0,0,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800530,'fina''s memory',NULL,'','','',0,2306,112,0,1,1,0,0,185,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800531,'gnoll pile of badger bones',NULL,'','','',0,2430,63,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800532,'Thurgadin Docks Portal',NULL,'','','',0,7008,32,0,1,1,542,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800533,'prexus shrine',NULL,'','','',0,52114,64,0,1,1,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800534,'Enter',NULL,'','','',0,14365,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800535,'hor_ascent_entrance',NULL,'','','',0,49,32,0,1,1,553,0,0,0,0,0,0,0,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800536,'kraytocs_fortress_entrance',NULL,'','','',0,49,32,0,1,1,557,0,0,0,0,1,0,0,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800537,'evermelting ice',NULL,'','','',0,7347,19,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800538,'Fina''s Retreat Portal',NULL,'','','',0,7008,32,0,1,1,542,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800539,'lodizal head spirits',NULL,'','','',0,2306,192,0,1,1,0,0,22007,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800540,'nia seaweed',NULL,'','','',0,15249,42,0,1,1,0,0,22176,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800541,'gnoll sea med flower',NULL,'','','',0,15108,42,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800542,'Ring War Portal',NULL,'','','',0,7008,32,0,1,1,542,0,0,0,0,0,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800543,'thurgadin_entrance_from_dock',NULL,'','','',0,49,32,0,1,1,215,0,0,0,0,1,0,0,474,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800544,'school of iceclad swordfish',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800545,'school of iceclad cutlassfish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800546,'?',NULL,'','','',0,499,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800547,'?',NULL,'','','',0,498,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800548,'Windswept Frostflowers',NULL,'','','',0,885,12,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800549,'frosty den',NULL,'','','',0,13631,32,0,1,1,3,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800550,'Frozen Parsnip Plant',NULL,'','','',0,13630,20,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800551,'chillblossom bloom',NULL,'','','',0,10168,32,0,1,1,2,0,1494,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800552,'Spiceleaf Bush',NULL,'','','',0,887,35,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800553,'icy rock',NULL,'','','',0,12345,32,0,1,1,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800554,'Goahmari Herb',NULL,'','','',0,14836,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800555,'Velious Pine',NULL,'','','',0,3937,20,0,1,1,8,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800556,'Glacier Shrub',NULL,'','','',0,13630,33,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800557,'bowl of Tizmak gems',NULL,'','','',0,15120,14,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800558,'a coldain griffin rider','<Flight Master>','','','',255,11968,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4800559,'Test Golem',NULL,'','','',255,6280,32,0,1,1,0,0,0,1,1,0,0,0,32,6376,6376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810001,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810002,'a Deepwater researcher','<Deepwater Circle>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810003,'an othmir patroller','','','','',255,14267,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810004,'a Ry''Gorr shocktrooper','','','','',20,14843,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810005,'a blizzard dervish','','','','',255,9781,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810006,'a foreboding sentry','','','','',9,3690,79,3,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810007,'a mature icegaze basilisk','','','','',255,5862,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810008,'an icegaze basilisk','','','','',255,5862,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810009,'Ulart Koshgak','','','','',20,14847,38,0,1,1,0,0,17065,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810010,'a Deepwater merchant','<General Goods>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810011,'a tundra wind griffin','','','','',255,7742,38,6,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810012,'a Ry''Gorr rearguard','<Clan Ry''Gorr>','','','',20,14844,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810013,'a Ry''Gorr shocktrooper','<Clan Ry''gorr>','','','',20,14843,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810014,'Orolr Throatgrinder','<Clan Ry''Gorr>','','','',20,14842,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810015,'a brownbeak','','','','',255,14990,38,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810016,'a Ry''Gorr rearguard','','','','',20,14844,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810017,'a Ry''Gorr war shaman','<Clan Ry''Gorr>','','','',20,14845,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810018,'a Ry''Gorr striker','<Clan Ry''Gorr>','','','',20,14844,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810019,'a Ry''Gorr striker','','','','',20,14844,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810020,'a Ry''Gorr war shaman','','','','',20,14845,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810021,'Blor Greatbasher','<Clan Ry''Gorr>','','','',20,14840,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810022,'Rogla Dainkiller','<Priest of Rage>','','','',20,14845,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810023,'a Ry''Gorr marauder','<Clan Ry''Gorr>','','','',20,14839,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810024,'Tragg Sharptongue','<Ry''Gorr Emissary>','','','',20,14846,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810025,'a Kromzek emissary','','','','',255,14002,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810026,'Cramnon Spirittalker','<Armorsmith>','','','',20,14852,41,2,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810027,'Kras Hogdish','<Clan Ry''Gorr>','','','',20,14844,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810028,'Mul-Bak','<Ry''Gorr Relic Seeker>','','','',20,14846,41,2,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810029,'Dregnot Bloodletter','<Quartermaster>','','','',20,14845,41,2,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810030,'a Ry''Gorr marauder','','','','',20,14840,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810031,'Tsud Tonguebutcher','<Clan Ry''Gorr>','','','',20,14843,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810032,'Granuk Meatgrinder','<Ry''Gorr Cook>','','','',20,14842,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810033,'Grimlik Spirittalker','<Mender>','','','',20,14843,41,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4810034,'a fanged crawler','','','','',255,258,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810035,'a lingering knight','','','','',9,6728,47,5,1,1,11,0,17431,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810036,'a lingering rogue','','','','',9,6729,48,6,1,1,11,0,17433,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810037,'a lingering mage','','','','',9,6726,47,6,1,1,11,0,17432,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810038,'a lingering priest','','','','',9,6731,48,6,1,1,11,0,17434,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810039,'a lingering detriment','','','','',255,10354,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810040,'Misha','','','','',13,61,32,0,1,1,9,0,6193,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810041,'a drakonine guardian','','','','',255,13278,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810042,'Incael','<sentient gem>','','','',255,9034,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810043,'a snowmane sabertooth','','','','',255,5249,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810044,'Jorlak','<Chronomage Adroit>','','','',255,17544,70,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810045,'Billy','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810046,'Drumlin','','','','',255,11679,80,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810047,'a Geonid defender','','','','',255,11679,67,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810048,'a Geonid repeller','','','','',255,11679,67,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810049,'a Geonid watcher','','','','',255,11679,57,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810050,'','','','','',255,19311,72,8,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810051,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810052,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810053,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810054,'Rongot Wyrmrippa','<Clan Ry''Gorr>','','','',20,14847,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810055,'Ergra Bonecracker','<Clan Ry''Gorr>','','','',20,14845,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810056,'Turgur Kruugnaak','<Clan Ry''Gorr>','','','',20,14838,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810057,'Gunger Sharptooth','<Rune Trader>','','','',20,14843,42,1,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810058,'Swog Bloodytusk','<Clan Ry''Gorr>','','','',20,14847,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810059,'a Ry''Gorr guard','<Clan Ry''Gorr>','','','',20,14844,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810060,'Miyau','','','','',255,14259,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810061,'Kriktik Sharptooth','<Greater Rune Trader>','','','',20,14844,40,2,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810062,'Chief Ry''Gorr','','','','',20,14854,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810063,'Bdorn Alehammer','<Blurboa''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810064,'a sinister sentinel','','','','',9,3690,96,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810065,'Perrin Wanderhoof','<Gaealiege''s Stormcaller Mercenary>','','','',255,17174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810066,'Desolation','Gaealiege''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810067,'a ravaging snowmane','','','','',255,5249,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810068,'a sootpaw direbear','','','','',255,8872,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810069,'Oracle of Ry''Gorr','','','','',20,14852,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810070,'a woolly mammoth bull','','','','',255,3804,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810071,'a cinder walker','','','','',255,9845,80,0,1,1,11,0,2724,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810072,'a molten sphere','','','','',255,295,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810073,'a direbear cub','','','','',255,8871,16,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810074,'a frostpaw direbear','','','','',255,8871,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810075,'an unstable flamewatcher','','','','',255,7600,48,6,1,1,11,0,20680,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810076,'Suna','','','','',255,14260,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810077,'Ullk Heartripper','','','','',20,14852,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810078,'Kosh Brokenwound','','','','',20,14843,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810079,'Grand Shaman Ollurn','','','','',20,14852,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810080,'Chief Ry''Gorr ','','','','',20,14854,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810081,'Hurg Gutstomp','','','','',20,14839,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810082,'a woolly mammoth','','','','',255,3804,79,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810083,'a woolly mammoth calf','','','','',255,3804,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810084,'a woolly mammoth','','','','',255,3804,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810085,'Tantor XII','','','','',255,3804,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810086,'a Geonid refugee','','','','',255,11363,47,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810087,'a Geonid escapee','','','','',255,11678,47,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810088,'a geopet guardian','','','','',255,6284,44,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810089,'a Geonid upholder','','','','',255,11679,67,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810090,'a rubble dervish','','','','',255,9034,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810091,'an escaped Thrael''Gorr','','','','',20,14842,35,2,1,1,9,0,221,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810092,'Blazebody','','','','',255,295,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810093,'a Kromzek pervasor','','','','',255,13998,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810094,'a Thrael''Gorr despoiler','','','','',20,14839,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810095,'a Duhjalm deforester','','','','',255,13318,70,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810096,'a shell piercer','','','','',255,11771,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810097,'Glawksgotter','','','','',255,14002,54,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810098,'a Kromzek henchman','<Glawksgotter''s Guard>','','','',255,13998,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810099,'a doomed crawler','','','','',255,258,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810100,'a shell pincher','','','','',255,11771,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810101,'a shell crusher','','','','',255,11771,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810102,'a Thrael''Gorr flea hunter','','','','',20,14839,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810103,'an ancient wurm','','','','',255,14766,47,2,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810104,'a ravaged kromzek','','','','',255,13998,44,0,1,1,0,0,228,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810105,'a wurm','','','','',255,14765,48,3,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810106,'Korgak Rotstomper','<Clan Thrael''Gorr>','','','',20,14843,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810107,'Thrael''Gorr Oracle','<Clan Thrael''Gorr>','','','',20,14846,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810108,'Chief Thrael''Gorr','<Clan Thrael''Gorr>','','','',20,14854,44,0,1,1,9,0,6676,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810109,'Chief Thrael''Gorr','','','','',20,14854,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810110,'Thrael''Gorr Oracle','','','','',20,14846,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810111,'Korgak Rotstomper','','','','',20,14843,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810112,'a foreboding sentry','','','','',9,3690,83,2,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810113,'a drakonine watcher','','','','',255,13278,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810114,'Scout Fipitt','','','','',255,14272,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810115,'an ice-spiked urchin','','','','',255,298,63,3,1,1,11,0,1767,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810116,'an othmir fisher','','','','',255,14263,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810117,'Kapu','','','','',255,14255,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810118,'an othmir protector','','','','',255,14255,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810119,'an othmir warrior','','','','',255,14272,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810120,'Ann','','','','',255,14259,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810121,'a slain Yha-lei','','','','',255,7186,36,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810122,'Yipyip','','','','',255,14272,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810123,'an othmir distorter','','','','',255,14258,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810124,'Bilvee Hummingwing','<Deepwater Circle>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810125,'Darien Hasskel','<Deepwater Circle>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810126,'a bitter barracuda','','','','',255,194,57,3,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810127,'Laurel','<Othmir Quartermaster>','','','',255,14261,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810128,'Fiyt','','','','',255,14271,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810129,'Woef','','','','',255,14259,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810130,'a wounded othmir','','','','',255,14266,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810131,'an othmir medic','','','','',255,14267,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810132,'an injured othmir','','','','',255,14271,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810133,'High Shaman Lien','<Othmir High Shaman>','','','',255,14262,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810134,'an othmir priest','','','','',255,14270,32,0,1,1,0,0,22609,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810135,'Mei','','','','',255,15163,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810136,'a vicious barracuda','','','','',255,194,57,0,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810137,'a Yha-lei invader','','','','',255,7186,29,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810138,'an othmir fisherman','','','','',255,838,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810139,'Terwoo','','','','',255,14266,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810140,'Livi','<Othmir Crafter>','','','',255,14262,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810141,'Claud','<Fuel Merchant>','','','',255,14265,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810142,'Chief Dampion','<Othmir Chief>','','','',255,839,48,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810143,'Bao','','','','',255,14267,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810144,'Klipklap','','','','',255,14268,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810145,'Naka','<Mender>','','','',255,14258,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4810146,'Silver','<Banker>','','','',255,14272,35,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810147,'Nusan','<Iceclad Market Broker>','','','',255,14260,32,0,1,1,20,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810148,'Kian','<Othmir Fisher>','','','',255,14272,32,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810149,'Old Meerl the Fisherman','','','','',255,14263,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810150,'Piep','','','','',255,15163,32,0,1,1,9,0,11275,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810151,'a Yha-lei scrounger','','','','',255,7212,34,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810152,'a slain othmir','','','','',255,14267,36,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810153,'Minos','','','','',255,14266,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810154,'a Yha-lei trespasser','','','','',255,7186,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810155,'a Yha''lei trespasser','','','','',255,7212,27,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810156,'a frigid barracuda','','','','',255,194,57,3,1,1,11,0,1902,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810157,'a tempestuous blizzard dervish','','','','',255,9781,80,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810158,'a Geonid pathmaker','','','','',255,11363,64,2,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810159,'Igneous','','','','',255,11678,60,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810160,'Fulensticx','Fulensticxx''s Personae Reflection','','','',9,78,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810161,'a bitter shell-cracker','','','','',255,14880,51,0,1,1,11,0,1902,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810162,'Lion','Valiant Beast','','','',255,303,12,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810163,'a rumbling geode','','','','',255,8875,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810164,'Docent Selly','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810165,'a Thrael''Gorr war fisher','','','','',20,14840,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810166,'a Kromzek tactician','<Head Emissary>','','','',255,13996,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810167,'a Geonid remnant','','','','',255,11363,47,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810168,'Gritstone','','','','',255,11679,57,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810169,'Marblefist','','','','',255,11679,57,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810170,'Graniterift','','','','',255,11679,57,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810171,'Rumbleslate','','','','',255,11679,51,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810172,'an inactive geopet guardian','','','','',255,6284,44,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810173,'a Geonid geocrafter','','','','',255,11678,52,1,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810174,'a geopet guardian','','','','',255,6284,44,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810175,'Hartrix the Geomancer','','','','',255,11679,60,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810176,'a geopet rock','','','','',255,8887,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810177,'Crystalik','<Mender>','','','',255,11363,65,0,1,1,12,9,0,0,0,1,0,0,43,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4810178,'Brakerouk','<Broker>','','','',255,11363,67,0,1,1,20,9,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810179,'Porousk','<Banker>','','','',255,11679,65,1,1,1,14,9,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810180,'an atrophy of growth','','','','',255,6282,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810181,'a melancholy of growth','','','','',255,9532,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810182,'a Wakening prowler','','','','',255,5237,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810183,'a Wakening ravager','','','','',255,5237,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810184,'The Frenzied Rapticor','','','','',255,5237,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810185,'an aggressive glacial shark','','','','',255,242,112,0,1,1,11,0,1902,1,1,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810186,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810187,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810188,'Virolife','Virolifex''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810189,'Alotta','Alotta''s grim sorcerer','','','',255,19968,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810190,'Archon Construct','<Gonorrhoeae''s Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810192,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810193,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810194,'basket',NULL,'','','',0,11815,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810195,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810196,'floor_books_any_mixed04',NULL,'','','',0,2594,18,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810197,'table brazier lit',NULL,'','','',0,9347,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810198,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810199,'invis cube with fire damage result',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810201,'a tamed snow griffin',NULL,'','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810202,'gravestone04',NULL,'','','',0,2919,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810203,'gravestone02',NULL,'','','',0,1854,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810204,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810205,'floor_table_human_ornate06',NULL,'','','',0,3605,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810206,'elaborate oval briarwood',NULL,'','','',0,2175,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810207,'halas_anvil_01',NULL,'','','',0,13239,25,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810208,'pf_falconeggs_unbroken',NULL,'','','',0,5200,26,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810209,'floor_pan_any_frying01',NULL,'','','',0,2689,34,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810210,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810211,'kp_fish_hanging01',NULL,'','','',0,13325,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810212,'plate of rats',NULL,'','','',0,9487,22,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810213,'sediment bed',NULL,'','','',0,14926,67,0,1,1,0,0,0,0,0,0,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810214,'goblin_cage01',NULL,'','','',0,1528,21,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810215,'qst_othmir_cage_miyau_x1',NULL,'','','',0,1528,44,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810216,'mushroom01_grp5',NULL,'','','',0,1740,31,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810217,'Frost Whip',NULL,'','','',0,13630,33,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810218,'',NULL,'','','',0,2306,224,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810219,'orc_firewood_01',NULL,'','','',0,14898,32,0,1,1,0,0,0,0,0,0,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810220,'orc_pelt_01',NULL,'','','',0,14900,30,0,1,1,0,0,0,0,0,0,0,0,207,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810221,'orc_barrels_01',NULL,'','','',0,14895,32,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810222,'orc_barrels_02',NULL,'','','',0,14896,32,0,1,1,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810223,'orc_seat_02',NULL,'','','',0,14902,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810224,'',NULL,'','','',0,14908,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810225,'bef_bone_totem02',NULL,'','','',0,11256,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810226,'Ry''Gorr Containment Chest',NULL,'','','',0,14908,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810227,'Dragon''s Head Slate',NULL,'','','',0,2265,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810228,'qst klipklap barrel stabelizing wood',NULL,'','','',0,15137,28,0,1,1,0,0,0,0,0,0,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810229,'',NULL,'','','',0,15041,48,0,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810230,'Othmir Forge',NULL,'','','',0,2492,57,0,1,1,4,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810231,'Kian fish traps',NULL,'','','',0,14791,37,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810232,'a dwarven cut stone',NULL,'','','',0,52115,3,0,1,1,0,0,0,0,0,1,0,0,488,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810233,'a pertified wooden plank',NULL,'','','',0,5086,32,0,1,1,0,0,0,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810234,'Seedling Soil',NULL,'','','',0,3977,96,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810235,'Phenocryst Rubble',NULL,'','','',0,14925,35,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810236,'phen_fx',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810237,'ceremonious rock slab',NULL,'','','',0,846,16,0,1,1,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810238,'Poisoned Plant',NULL,'','','',0,4075,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810239,'avalanche invis cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810240,'root_stone',NULL,'','','',0,14927,96,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810241,'wakening_lands_raptor_nest',NULL,'','','',0,2400,32,0,1,1,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810242,'qst_graniterift_x1_egg_whole',NULL,'','','',0,5200,96,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810243,'qst_graniterift_x1_egg_shell',NULL,'','','',0,5198,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810244,'Mail Kiosk',NULL,'','','',0,13319,32,0,1,1,29,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810245,'Translocator Spires',NULL,'','','',0,2306,96,0,1,1,88,0,18973,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810246,'Howling Pass Portal',NULL,'','','',0,7008,32,0,1,1,216,0,0,0,0,0,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810247,'Crystalline Breaks',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810248,'zone_to_sleepers_upper',NULL,'','','',0,2306,48,0,1,1,217,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810249,'door_to_sleepers_tomb',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,781,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810250,'The Fortress of Drunder',NULL,'','','',0,49,32,0,1,1,218,0,0,0,0,0,0,0,4682,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810251,'terwoo kael food supplies explode ',NULL,'','','',0,15139,22,0,1,1,0,0,0,0,0,0,0,0,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810252,'terwoo poison stangleknot root 1',NULL,'','','',0,6905,38,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810253,'terwoo poison stangleknot root 2',NULL,'','','',0,6906,37,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810254,'Nipik''s Haven Portal',NULL,'','','',0,7008,32,0,1,1,216,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810255,'prexus shrine',NULL,'','','',0,52114,64,0,1,1,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810256,'nipiks haven memorial sign',NULL,'','','',0,2306,144,0,1,1,0,0,185,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810257,'terwoo poison fighing kael food',NULL,'','','',0,14899,25,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810258,'Kael Drakkel',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,904,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810259,'school of iceclad swordfish',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810260,'school of iceclad cutlassfish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810261,'?',NULL,'','','',0,499,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810262,'?',NULL,'','','',0,498,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810263,'frosty den',NULL,'','','',0,13631,32,0,1,1,3,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810264,'chillblossom bloom',NULL,'','','',0,10168,32,0,1,1,2,0,1494,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810265,'icy rock',NULL,'','','',0,12345,32,0,1,1,1,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4810266,'a coldain griffin rider','<Flight Master>','','','',255,11968,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820000,'','','','','',9,20019,96,0,1,1,11,0,27499,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820001,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820002,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820003,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820004,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820005,'Skoop''s protoflame','','','','',255,2360,38,6,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820006,'Skoop''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820007,'a Ry''Gorr miner','','','','',20,14842,41,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820008,'a Ry''Gorr miner','','','','',20,14842,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820009,'a crystal hunter','','','','',255,246,70,6,1,1,11,0,5605,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820010,'a crystal spiderling','','','','',255,246,26,2,1,1,11,0,5605,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820011,'a velium crawler','','','','',255,11772,80,0,1,1,11,0,1494,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820012,'a geonid patroller','','','','',255,13580,94,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820013,'a drachnid knight','','','','',255,4396,40,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820014,'Queen Drachnia','','','','',255,4310,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820015,'an injured Coldain prisoner','','','','',2,14961,38,0,1,1,9,0,17673,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820016,'Foreman Smason V','','','','',20,14854,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820017,'The Ry''gorr Herbalist','','','','',20,13209,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820018,'The Gem Collector','','','','',255,13580,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820019,'a Coldain prisoner','','','','',2,51,37,0,1,1,9,0,17673,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820020,'The Life Leech','','','','',255,4313,96,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820021,'a velium crawler','','','','',255,11772,64,0,1,1,11,0,1494,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820022,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820023,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820024,'dpo_spiderweb_small02',NULL,'','','',0,5144,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820025,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820026,'dpo_spiderweb_large02',NULL,'','','',0,5142,31,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820030,'crystalcavern_blocker01_green',NULL,'','','',0,393,18,0,1,1,0,0,0,0,0,0,0,0,900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820031,'crystalcavern_blocker01_purple',NULL,'','','',0,394,18,0,1,1,0,0,0,0,0,0,0,0,900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820032,'crystalcavern_blocker01_blue',NULL,'','','',0,392,25,0,1,1,0,0,0,0,0,0,0,0,900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820033,'A Green Crystal',NULL,'','','',0,4400,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820034,'',NULL,'','','',0,4312,37,0,1,1,0,0,540,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820035,'crystalcavern_crevice01_floor01',NULL,'','','',0,395,32,0,1,1,0,0,0,0,0,0,0,0,1914,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820036,'Baenek Frostaxe',NULL,'','','',255,51,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820037,'A Purple Crystal',NULL,'','','',0,4401,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820038,'qst_unseenhand_kitchen_1',NULL,'','','',0,11993,48,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820039,'Grav Flux cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820040,'A Blue Crystal',NULL,'','','',0,4399,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820041,'Red Potion Bottle',NULL,'','','',0,12518,32,0,1,1,0,0,17433,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820042,'Blue Potion Bottle',NULL,'','','',0,12723,32,0,1,1,0,0,17431,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820043,'a crystalline gemmed chest',NULL,'','','',0,5768,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820044,'Exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4820047,'Escape Portal',NULL,'','','',0,2306,48,0,1,1,619,0,23057,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830000,'a woolly mammoth','','','','',255,3804,79,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830001,'a Kromzek praetorian','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830002,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830003,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830004,'Statue of Rallos Zek','','','','',255,14756,240,0,1,1,0,0,0,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830005,'Soren the Vindicator','<Temple Guardian>','','','',255,13999,83,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830006,'Malina MacFristy','<Clan Ragebourne>','','','',9,13946,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830007,'a Kromzek libritor','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830008,'a Kromzek custos','','','','',255,13997,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830009,'a Kromzek viator','','','','',255,13997,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830010,'Sven the Exactor','<Ballista Master>','','','',255,14016,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830011,'Glarn Furyheart','<Clan Ragebourne>','','','',9,13950,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830012,'Caerwyn Thomlin','<Clan Ragebourne>','','','',9,13947,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830013,'a brutish brontotherium','','','','',255,14762,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830014,'a Thrael''Gorr beast tender','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830015,'a feral mammoth','','','','',255,3804,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830016,'a Kromzek munifex','','','','',255,13998,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830017,'a Kromzek expeditus','','','','',255,13997,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830018,'a Duhjalm enforcer','','','','',255,13446,70,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830019,'a Kromzek assiduus','','','','',255,13997,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830020,'a Kromzek dekanos','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830021,'a Thrael''Gorr grubber','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830022,'a Thrael''Gorr digger','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830023,'a Thrael''Gorr butcher','','','','',20,13209,35,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830024,'a Duhjalm sentinel','','','','',255,13317,70,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830025,'a Thrael''Gorr butcher','','','','',20,13209,34,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830026,'a Thrael''Gorr toiler','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830027,'a Thrael''Gorr drudge','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830028,'a slaughtered mammoth','','','','',255,3804,80,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830029,'a Duhjalm watcher','','','','',255,13446,70,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830030,'a mammoth calf','','','','',255,3804,29,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830031,'a Kromzek assiduus','','','','',255,13997,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830032,'Ponzer the Propugnator','<Arena Champion>','','','',255,13998,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830033,'a Kael slave','','','','',20,13209,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830034,'a Thrael''Gorr peon','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830035,'a Kromzek unicultor','','','','',255,14002,64,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830036,'a temple warden','<Aureate Legion of Zek>','','','',255,14782,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830037,'a Kromzek deprecator','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830038,'a Kromzek scurra','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830039,'Duncan Peadar','<Clan Ragebourne>','','','',9,13948,32,0,1,1,9,0,221,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830040,'a Kromzek evocatus','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830041,'a Duhjalm subjugator','','','','',255,13317,70,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830042,'a Kromzek fumentar','','','','',255,13998,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830043,'a Kromzek armicustos','','','','',255,13998,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830044,'a Kromzek quaestor','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830045,'a Kromzek faber','','','','',255,13997,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830046,'Mittendarius Resven','<Kael City Peacekeeper>','','','',255,14757,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830047,'a Duhjalm forge-men','','','','',255,13317,70,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830048,'Faber Jonenry','<Master Smith>','','','',255,13997,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830049,'Brig Bentfang','<Thrael''Gorr Freedom Movement>','','','',20,14840,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830050,'Rheinalt Druthers','<Clan Ragebourne>','','','',9,13949,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830051,'Swog Rogdish','','','','',20,14839,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830052,'Josiah Lindon','<Clan Ragebourne>','','','',9,13948,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830053,'a Kromzek allectus','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830054,'Drystan Fathers','<Clan Ragebourne>','','','',9,13950,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830055,'a Kromzek procusator','','','','',255,13998,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830056,'Praefectus Ptor','<Iceshard Legion Commander>','','','',255,14000,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830057,'a Kromzek armatura','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830058,'Corrin Ruadh','<Clan Ragebourne>','','','',9,13949,32,0,1,1,9,0,221,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830059,'a Drakkel dire wolf','','','','',255,14693,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830060,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830061,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830062,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830063,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830064,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830065,'',NULL,'','','',0,49,32,0,1,1,617,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830066,'',NULL,'','','',0,49,32,0,1,1,617,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830067,'',NULL,'','','',0,49,32,0,1,1,617,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830068,'',NULL,'','','',0,49,32,0,1,1,617,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830069,'',NULL,'','','',0,49,32,0,1,1,617,0,0,0,0,0,0,0,638,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830070,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,387,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830071,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830072,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,373,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830073,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830074,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,329,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830075,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830076,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,311,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830077,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830078,'',NULL,'','','',0,49,32,0,1,1,618,0,0,0,0,0,0,0,909,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830079,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,970,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830080,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,392,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830081,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830082,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830083,'weaponrack01',NULL,'','','',0,4455,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830084,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830085,'weaponrack03',NULL,'','','',0,4651,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830086,'floor_dummy_any_training01',NULL,'','','',0,4467,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830087,'cr_straw_mat_worn01',NULL,'','','',0,5170,19,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830088,'fprt_weaponrack_sword001',NULL,'','','',0,6262,32,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830089,'cr_bucket_orc_full_meat',NULL,'','','',0,5165,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830090,'cr_meat_hanger_orc',NULL,'','','',0,5166,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830091,'floor brazier',NULL,'','','',0,2025,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830092,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830093,'a wooden cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830094,'klakanon_large_switch_base',NULL,'','','',0,6480,96,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830095,'kael drakkel orc forge',NULL,'','','',0,15183,32,0,1,1,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830096,'floor_crate_darkelf_wood01',NULL,'','','',0,2677,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830097,'storm giant crate',NULL,'','','',0,10983,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830098,'storm giant crate',NULL,'','','',0,15198,32,0,1,1,0,0,0,0,0,0,0,0,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830099,'storm giant crate',NULL,'','','',0,15196,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830100,'storm giant crate',NULL,'','','',0,15179,32,0,1,1,0,0,0,0,0,0,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830101,'storm giant crate',NULL,'','','',0,15199,32,0,1,1,0,0,0,0,0,0,0,0,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830102,'kael drakkel orc forge',NULL,'','','',0,15028,54,0,1,1,0,0,0,0,0,0,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830103,'floor_table_human_hood05',NULL,'','','',0,6710,96,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830104,'Mine Cart',NULL,'','','',0,8207,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830105,'Emma Stormeyes',NULL,'','','',255,13945,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830106,'a campfire cookout',NULL,'','','',0,1547,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830107,'storm giant crate',NULL,'','','',0,15180,32,0,1,1,0,0,0,0,0,0,0,0,225,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830108,'storm giant crate',NULL,'','','',0,15178,32,0,1,1,0,0,0,0,0,0,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830109,'a damaged cart',NULL,'','','',0,2209,31,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830110,'Supply Cart',NULL,'','','',0,5295,32,0,1,1,0,0,0,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830111,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830112,'screw_elevator_control',NULL,'','','',0,6481,96,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830113,'a weapons crate',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,223,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830114,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,969,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830115,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,759,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830116,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,759,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830117,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,756,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830118,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,756,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830119,'a Kromzek barrel',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,229,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830120,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1540,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830121,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,825,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830122,'a Thrael''Gorr Forge',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830123,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,519,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4830124,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840000,'Brother Cormag','<Clan Ragebourne>','','','',9,13948,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840001,'a Drakkel dire wolf','','','','',255,14693,72,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840002,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840003,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840004,'Halkon Tormax','<The Stern>','','','',255,14000,67,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840005,'Private Guard Krox','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840006,'Private Guard Nox','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840007,'a Kromzek emissarius','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840008,'a Kromzek neocorus','','','','',255,14002,65,1,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840009,'a Kromzek deprecator','','','','',255,13996,64,1,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840010,'a Kromzek vigilis','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840011,'Krindem Sigmundr','<Gate Keeper of Iceshard>','','','',255,14016,67,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840012,'a Thrael''Gorr serf','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840013,'Mairi Hendry','<Clan Ragebourne>','','','',9,13947,32,0,1,1,9,0,221,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840014,'Sjurd Randskeggr','<Quartermaster of the Keep>','','','',255,14016,67,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840015,'a Thrael''Gorr serf','','','','',20,13209,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840016,'Grundr Kolfrodr','<Forge Master>','','','',255,13997,67,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840017,'Praefectus Kriegr','<Iceshard Captain>','','','',255,14000,70,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840018,'Soren the Vindicator','<Temple Guardian>','','','',255,13999,80,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,392,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,392,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840021,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840022,'a tiny giant''s chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840023,'klakanon_large_switch_base',NULL,'','','',0,6480,96,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840024,'kael drakkel orc forge',NULL,'','','',0,15183,32,0,1,1,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840025,'plain shield',NULL,'','','',0,4714,192,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840026,'qey_blacksmith_armorstand001',NULL,'','','',0,2395,128,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840027,'klakanon_large_switch_base',NULL,'','','',0,14756,64,0,1,1,0,0,0,0,0,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840028,'screw_elevator_control',NULL,'','','',0,6481,96,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4840029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,749,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850000,'Brother Cormag','<Clan Ragebourne>','','','',9,13948,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850001,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850002,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850003,'Statue of Rallos Zek','','','','',255,14756,192,0,1,1,0,0,0,0,0,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850004,'Scerd the Gutless','<Temple Herald>','','','',20,13209,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850005,'Neocorus Rikrlander','<The Sentry>','','','',255,14757,70,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850006,'a temple vanquisher','<Aureate Legion of Zek>','','','',255,14782,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850007,'a Kromzek imperium','','','','',255,14758,64,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850008,'a temple watcher','<Aureate Legion of Zek>','','','',255,14782,192,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850009,'Arch-Castigator Godahus Rekkr','<Sentinel of Zek>','','','',255,14758,70,0,1,1,11,0,0,1,1,1,0,0,96,1456,1456,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850010,'an inactive temple watcher','<Aureate Legion of Zek>','','','',255,14782,192,0,1,1,0,0,2623,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850011,'a Kromzek judicar','','','','',255,14002,64,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850012,'a Kromzek castigar','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850013,'Goldenrod','<a temple vanquisher>','','','',255,14782,160,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850014,'Luminor','<a temple vanquisher>','','','',255,14782,160,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,666,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,668,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850020,'light_game_wall',NULL,'','','',0,7712,32,0,1,1,0,0,15913,0,0,0,0,0,777,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850021,'fire_wall',NULL,'','','',0,4544,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850022,'an icy chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850023,'light_game_wall',NULL,'','','',0,4544,96,0,1,1,0,0,22452,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850024,'switch',NULL,'','','',0,7743,80,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850025,'a red haze mystic lamp post',NULL,'','','',0,3461,160,0,1,1,0,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850026,'a blue haze mystic lamp post',NULL,'','','',0,3459,160,0,1,1,0,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850027,'a purple haze mystic lamp post',NULL,'','','',0,3460,160,0,1,1,0,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850028,'klakanon_large_switch_base',NULL,'','','',0,6532,320,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,1132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850030,'switch',NULL,'','','',0,7744,80,0,1,1,616,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850031,'switch',NULL,'','','',0,7744,80,0,1,1,616,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850032,'switch',NULL,'','','',0,7744,80,0,1,1,616,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850033,'screw_elevator_control',NULL,'','','',0,6533,320,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4850034,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860000,'Brother Cormag','<Clan Ragebourne>','','','',9,13948,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860001,'Allectus Prime Karsgard','<Storm Lord>','','','',255,14758,70,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860002,'Weapons Master Korin','<The Fist of Kael>','','','',255,14757,70,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860003,'Decanus Prime Vundr','<The Lion>','','','',255,14000,70,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860004,'Arch-Deprecator Vorkin','<The Bulwark>','','','',255,14002,70,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860005,'King Tormax','<The Ancient>','','','',255,14001,80,0,1,1,0,0,0,0,0,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860006,'Wolfsnack','','','','',20,14842,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860007,'a Kromzek fulgurator','','','','',255,14002,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860008,'a prophetic spellspark','','','','',255,7241,95,6,1,1,11,0,18453,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860009,'a Kromzek praetorian','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860010,'a Drakkel dire wolf','','','','',255,14693,72,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860011,'a Kromzek procurator','','','','',255,13996,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860012,'Treachery','<a Drakkel dire wolf>','','','',255,14692,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860013,'Ragefrost','<a Drakkel dire wolf>','','','',255,14693,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860014,'Wolfmaster Oor','<Kennel Master>','','','',255,14016,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860015,'a Kromzek edictalis','','','','',255,14016,64,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860016,'a dire flea','','','','',255,7095,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860017,'Weapons Master Korin','<The Fist of Kael>','','','',255,14757,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860018,'Arch-Depracator Vorkin','<The Healer>','','','',255,14002,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860019,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860020,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860021,'Skoop''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860022,'Decanus Prime Vundr','<The Lion>','','','',255,14000,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860023,'',NULL,'','','',0,49,32,0,1,1,613,0,0,0,0,0,0,0,1408,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860024,'',NULL,'','','',0,49,32,0,1,1,613,0,0,0,0,0,0,0,1428,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860025,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,497,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860027,'',NULL,'','','',0,49,32,0,1,1,613,0,0,0,0,0,0,0,1375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860028,'',NULL,'','','',0,49,32,0,1,1,613,0,0,0,0,0,0,0,1458,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860029,'a spiritual stone',NULL,'','','',0,2920,160,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860030,'a battle-scarred chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860031,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860032,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860033,'screw_elevator_control',NULL,'','','',0,6481,96,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4860034,'Horn of Hsagra',NULL,'','','',0,15181,32,0,1,1,615,0,0,0,0,0,0,0,735,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870000,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870001,'Brendegor Bitelimb','<Rime Elite>','','','',255,10754,83,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870002,'Zaashka Bradagan','<Rime Guardian>','','','',20,111,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870003,'Iilatus Frostbeard','<Rime Sorcerer>','','','',255,10753,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870004,'Duncan Bradagan','<Rime Guardian>','','','',20,112,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870005,'Tert Turganpuncher','<Turgan Wrangler>','','','',0,10753,48,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870006,'a Dhujalm guardian','<Kraytoc''s Chosen>','','','',255,13318,84,7,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870007,'a Dhujalm striker','<Kraytoc''s Chosen>','','','',255,13318,90,4,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870008,'a shardhammer defender','<The Order of Rime>','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870009,'a Dhujalm shaman','<Kraytoc''s Chosen>','','','',255,13315,72,7,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870010,'Eirreen the Broken','','','','',255,1235,64,0,1,1,11,0,1797,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870011,'Kraytoc Killingfrost','','','','',0,10830,70,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870012,'a Dhujalm shaman','<Kraytoc''s Chosen>','','','',255,13315,85,3,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870013,'a Dhujalm guardian','<Kraytoc''s Chosen>','','','',255,13318,98,4,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870014,'Left','<Lesser Turgan>','','','',255,10976,96,0,1,1,0,0,9733,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870015,'Right','<Lesser Turgan>','','','',255,10976,96,0,1,1,0,0,2104,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870023,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870024,'fort_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870025,'fort_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870026,'messhall_exit_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870027,'messhall_exit_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870028,'05_dragon_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,527,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870030,'05_dragon_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870031,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4711,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870032,'03_spire_to_barracks_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870033,'03_spire_to_barracks_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,923,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870042,'04_barracks_to_spire_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870043,'04_barracks_to_spire_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870056,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13970,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870057,'chandelier_switch2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870058,'chandelier_switch1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870059,'chandelier_switch4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870060,'chandelier_switch3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870061,'chandelier4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870062,'chandelier2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870063,'chandelier3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870064,'chandelier1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870065,'puzzle_ladder',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870066,'puzzle_platform',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870067,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870068,'messhall_tables_human2',NULL,'','','',0,14497,32,0,1,1,0,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870069,'messhall_tables_giant2',NULL,'','','',0,14495,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870070,'messhall_tables_human',NULL,'','','',0,14497,32,0,1,1,0,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870071,'messhall_tables_giant',NULL,'','','',0,14495,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870072,'dragon room hot',NULL,'','','',0,14047,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870073,'Infernal Pillar',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4870074,'exit to gd',NULL,'','','',0,49,32,0,1,1,556,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880000,'Keyrin Curetouch','<Hiipiv''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880001,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880002,'Jobtik','Apan''s earthen avatar','','','',255,11678,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880003,'an enormous shadowbound tome','','','','',255,283,160,0,1,1,11,0,21700,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880004,'a shadowy wanderer','','','','',255,5987,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880005,'Spectral Librarian Emiida','','','','',255,11218,64,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880006,'Shadowed Tome of Ages Past','','','','',255,13134,80,0,1,1,0,0,1494,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880007,'Marian Cross','<Assistant Librarian>','','','',255,11218,48,0,1,1,9,0,9733,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880008,'a ghostly student','','','','',255,9035,25,3,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880009,'J.G. Hill','<Head Cataloger>','','','',255,11219,48,0,1,1,9,0,1796,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880010,'Bildi Pieflinger','<Zcoretri''s Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880011,'a summoned tome','','','','',255,11067,64,0,1,1,11,0,20483,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880012,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880013,'Vobartik','Apan''s earthen avatar','','','',255,11678,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880014,'Kaner','Apan''s earthen avatar','','','',255,11678,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880015,'Kann','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880016,'Zman','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880017,'Xenantik','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880018,'an infectious bat','','','','',255,239,57,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880019,'a severed hand','','','','',255,8787,64,0,1,1,11,0,10584,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880020,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880021,'Skoop''s protoflame','','','','',255,2360,38,6,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880022,'Skoop''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880023,'a lesser icy shade','','','','',255,5002,42,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880024,'Bildi Pieflinger','<Zekoretri''s Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880025,'Library Facilitarian','','','','',255,14782,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880026,'a shadowbone skeleton','','','','',9,2901,32,0,1,1,11,0,20483,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880027,'a forlorn shadowbeast','','','','',255,377,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880028,'a shadowbeast cook','','','','',255,15238,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880029,'Sergeant Schriber','<The Shadowbeast Drill Sergeant>','','','',255,23280,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880030,'a ghostly teacher','','','','',255,9036,31,3,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880031,'a ghostly scholar','','','','',255,9036,31,2,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880032,'a training soldier','','','','',255,143,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880033,'a shadow-runed book','','','','',255,280,96,0,1,1,11,0,21700,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880034,'an armored shadow','','','','',255,3728,57,0,1,1,11,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880035,'a robed shadow','','','','',255,3728,57,0,1,1,11,0,3119,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880036,'The Armored Presence','','','','',255,5987,70,0,1,1,0,0,18224,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880037,'a zombie maid','','','','',255,142,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880038,'a shadowed sacrificer','','','','',255,5987,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880039,'Xalgoti','','','','',255,23280,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880040,'a ghostly researcher','','','','',255,9035,31,2,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880041,'a cold velium statue','','','','',255,14782,64,0,1,1,33,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880042,'a Vampire dinner guest','','','','',255,8658,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880043,'Romero','<The Zombie Butler>','','','',255,143,48,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880044,'a moldy tome','','','','',255,280,80,0,1,1,625,0,21700,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880045,'a decaying watchdog','','','','',255,3882,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880046,'the zombie matron','','','','',255,142,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880047,'a shadowbeast captain','','','','',255,15238,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880048,'Alvik the Cold','<The Enraged Shadowbeast Cook>','','','',255,23280,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880049,'Zekoretri''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880050,'a forming armorine','','','','',255,5987,64,0,1,1,11,0,13076,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880051,'A Shadow Armorine','','','','',255,5987,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880052,'a mostly drained corpse','','','','',255,140,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880053,'Zenann','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880054,'Xartik','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880055,'Xarab','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880056,'Jabarer','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880057,'Gartik','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880058,'Jibarer','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880059,'Vabn','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880060,'Jabarn','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880061,'Jasann','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880062,'cooking pot',NULL,'','','',0,49,32,0,1,1,462,0,0,0,0,0,0,0,215,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880063,'zone_exit',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880064,'a pedestal for Tserrina''s diary',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880065,'drill_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880066,'kitchen_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880067,'exit_bookcase_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880068,'diningroom_hidden_door_02',NULL,'','','',0,49,32,0,1,1,52,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880069,'kitchen_hidden_door',NULL,'','','',0,49,32,0,1,1,52,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880070,'dining_room_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880071,'boss_trap_door',NULL,'','','',0,49,32,0,1,1,52,0,0,0,0,1,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880072,'inspection_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880073,'entrance_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880074,'diningroom_hidden_door_01',NULL,'','','',0,49,32,0,1,1,52,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880075,'bloodpool_hidden_door',NULL,'','','',0,49,32,0,1,1,52,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880076,'inspection_door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880077,'armory_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880078,'dwarf_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880079,'exit_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880080,'hidden_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880081,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880082,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880083,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880084,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880085,'hidden_door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880086,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880087,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880091,'The Old Vampire and the Sea',NULL,'','','',0,2597,96,0,1,1,0,0,17434,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880092,'summons',NULL,'','','',0,3497,32,0,1,1,0,0,17431,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880093,'a recipe scroll',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880094,'a rank wine goblet',NULL,'','','',0,3361,32,0,1,1,0,0,2623,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880095,'an empty potion bottle',NULL,'','','',0,2607,32,0,1,1,0,0,17431,0,0,1,1,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880096,'a letter',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880097,'a Blood-Rusted Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880098,'Bubbling Cauldron',NULL,'','','',0,4437,38,0,1,1,4,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880099,'a decrepit folio',NULL,'','','',0,3323,32,0,1,1,0,0,17434,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880100,'a page from Tserrina''s diary',NULL,'','','',0,3499,32,0,1,1,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880101,'Vethilot the Young',NULL,'','','',255,134,32,6,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880102,'an injured Snowfang spirit caller',NULL,'','','',255,4099,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880103,'Fidget',NULL,'','','',255,6824,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880104,'',NULL,'','','',255,13134,80,0,1,1,0,0,1494,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880105,'Tserrina Syl''Tor',NULL,'','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880106,'Beauty''s Only Skin Deep',NULL,'','','',0,2599,35,0,1,1,0,0,0,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880107,'severed hand',NULL,'','','',0,12195,32,0,1,1,467,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880108,'a bound darkelf',NULL,'','','',255,116,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880109,'Mayong Mistmoore: An Unauthorized Biography',NULL,'','','',0,2599,96,0,1,1,0,0,17434,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880110,'',NULL,'','','',255,13134,44,0,1,1,624,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880111,'qst_floating_book',NULL,'','','',0,14769,32,0,1,1,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880112,'sulfur',NULL,'','','',0,1329,9,0,1,1,0,0,17433,0,0,1,1,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880113,'an undefined potion',NULL,'','','',0,3097,32,0,1,1,0,0,0,0,0,1,1,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880114,'an undefined potion',NULL,'','','',0,2606,32,0,1,1,0,0,0,0,0,1,1,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880115,'an undefined potion',NULL,'','','',0,3098,32,0,1,1,0,0,0,0,0,1,1,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880116,'A Trained Soldier',NULL,'','','',255,143,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880117,'Of Bats and Men',NULL,'','','',0,2598,96,0,1,1,0,0,17434,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880118,'Mistmoore than You Know',NULL,'','','',0,2596,96,0,1,1,0,0,17434,0,0,1,1,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880119,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880120,'floor2_entrance_mirror',NULL,'','','',0,2451,37,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880121,'floor3_entrance_mirror',NULL,'','','',0,2451,37,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880122,'floor3_exit_mirror',NULL,'','','',0,2451,21,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880123,'floor7_entrance_mirror',NULL,'','','',0,2451,32,0,1,1,0,0,0,0,0,1,1,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880124,'floor2_exit_mirror',NULL,'','','',0,2451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880125,'zone_exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4880126,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890000,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890001,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890002,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890003,'a corruptive kybur','','','','',255,11771,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890004,'a murk viper','','','','',255,197,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890005,'Bergna Veliumsmiter','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890006,'a petrified ancient','','','','',255,7362,90,5,1,1,11,0,1498,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890007,'a chlorogoo','','','','',255,8197,36,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890008,'a wicker walker','','','','',255,10811,70,2,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890009,'Aeri''ondi the Infectious','','','','',255,14831,96,0,1,1,11,0,1498,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890010,'an acid pool','','','','',255,301,128,0,1,1,11,0,228,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890011,'a Tortured Coldain','<Lost Ones>','','','',255,125,35,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890012,'Terig the Lost','<Lost Ones>','','','',2,11868,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890013,'A Living Door','','','','',255,14360,80,0,1,1,11,0,21666,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890014,'an Icepaw prophet','','','','',255,6454,39,7,1,1,11,0,16903,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890015,'Lord Doljonijiarnimorinar','','','','',255,14829,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890016,'an Icepaw kobold sorcerer','','','','',255,6451,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890017,'an Icepaw kobold warrior','','','','',255,6457,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890018,'A Greater Living Door','','','','',255,14360,80,0,1,1,11,0,21667,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890019,'Olmek of the Living Stone','<A Strong Maledictive Door>','','','',255,14367,32,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890020,'a corruptive kybur','','','','',255,11771,18,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890021,'torpidbloom','<quellgrove keeper''s pet>','','','',255,7217,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890022,'quellgrove keeper','','','','',255,10809,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890023,'ragebloom','<ragegrove keeper''s pet>','','','',255,7217,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890024,'ragegrove keeper','','','','',255,10809,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890025,'a tiny kybur','','','','',255,11771,6,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890026,'Anthocyanin','<Styrax Fluorescene''s pet>','','','',255,7217,128,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890027,'an Icepaw kobold berserker','','','','',255,6450,39,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890028,'Styrax Fluorescene','<Keeper of the Shapery>','','','',255,10809,320,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890029,'Gerg Teae','','','','',255,2413,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890030,'a tightening grasp','','','','',255,7466,32,0,1,1,11,0,21649,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890031,'Gerg Teae','','','','',255,2413,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890032,'Lord Doljonijiarnimorinar''s Harnessed Spirit','','','','',255,14829,32,0,1,1,0,0,18954,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890033,'Bjoron Axefall','<Lost Ones>','','','',2,11868,35,0,1,1,9,0,6193,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890034,'Styrax Fluorescene','<Keeper of the Shapery>','','','',255,10809,320,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890041,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890043,'Survivor''s Tear',NULL,'','','',0,1678,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890044,'an acid-burned chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890045,'giff_room_blocker_01',NULL,'','','',0,14359,32,0,1,1,0,0,0,0,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890046,'boss_door_02_col',NULL,'','','',0,14366,32,0,1,1,0,0,0,0,0,0,0,0,456,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890047,'dpo_invisible_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890048,'receptical_effects_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890049,'receptical_effects_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890050,'boss_door_03_col',NULL,'','','',0,14366,32,0,1,1,0,0,0,0,0,0,0,0,456,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890051,'a tightening graspsss',NULL,'','','',255,5987,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890052,'',NULL,'','','',0,14772,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890053,'',NULL,'','','',0,14770,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890054,'A Speckled Egg',NULL,'','','',0,14770,48,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890055,'a blood pool',NULL,'','','',255,2306,64,0,1,1,0,0,17064,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890056,'a Nesting Ice Gryphon',NULL,'','','',255,14656,32,0,1,1,554,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890057,'Lightning in a Bottle',NULL,'','','',0,14492,48,0,1,1,0,0,17432,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890058,'Lord Doljonijiarnimorinar''s Loot Cache',NULL,'','','',0,14492,32,0,1,1,16,0,1799,0,0,1,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890059,'Coldain Relic',NULL,'','','',0,12806,48,0,1,1,0,0,0,0,0,1,1,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890060,'Exit',NULL,'','','',0,14365,32,0,1,1,0,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890061,'door_shield_02',NULL,'','','',0,14364,32,0,1,1,0,0,0,0,0,0,0,0,503,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890062,'debuffer_04',NULL,'','','',0,14365,32,0,1,1,0,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890063,'debuffer_03',NULL,'','','',0,14365,32,0,1,1,0,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890064,'door_shield_01',NULL,'','','',0,14364,32,0,1,1,0,0,0,0,0,0,0,0,503,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890065,'debuffer_02',NULL,'','','',0,14365,32,0,1,1,0,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890066,'debuffer_01',NULL,'','','',0,14365,32,0,1,1,0,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4890067,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920001,'Rhee''Gor','<The Risen Steward>','','','',255,9424,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920002,'a Ykeshan wraithbuster','','','','',14,9327,41,0,1,1,11,0,10308,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920003,'a Ykeshan wraithsplicer','','','','',14,9327,41,0,1,1,11,0,10308,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920004,'a Ykeshan wraithwarder','','','','',14,9327,41,0,1,1,11,0,10308,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920005,'Treskar Throatpuncher','<Mana Monger>','','','',14,9402,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920006,'mana soul','','','','',255,11797,80,0,1,1,11,0,18174,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920007,'a repairing mass','','','','',9,10813,32,0,1,1,0,0,18174,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920008,'a regenerating mass','','','','',9,10813,32,0,1,1,0,0,18174,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920009,'a coagulating mass','','','','',9,10813,32,0,1,1,0,0,18174,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920010,'a lesser plagueborn prowler','','','','',9,14491,32,0,1,1,11,0,18174,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920011,'Anathraxxis Fetidspine','<Summoned Plague Lord>','','','',14,13316,57,0,1,1,11,0,1497,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920013,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,143,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920016,'power brazier',NULL,'','','',0,8228,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920017,'giant skull portal',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920018,'Mana Column',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920019,'elevator_control',NULL,'','','',0,4499,64,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4920020,'',NULL,'','','',0,14102,64,0,1,1,454,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940001,'a watery thrasher','<Underfoot elemental>','','','',255,2390,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940002,'a stone trooper','<Underfoot Minion>','','','',255,11363,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940003,'a stone crusher','<Underfoot Minion>','','','',255,11678,54,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940004,'a virulent whirlwind','','','','',255,5987,96,0,1,1,0,0,16568,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940005,'an elemental wind waker','<Underfoot minion>','','','',255,10697,64,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940006,'a bobbling inflictor','<Underfoot elemental>','','','',255,8203,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940007,'Regulus','<Aerrestrial Protector>>','','','',255,152,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940008,'Regulus','<Anerrestrial Protector>>','','','',255,152,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940009,'Regulas','<Aquatic Protector>>','','','',255,3636,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940010,'a crushed roekillik','','','','',255,10874,42,4,1,1,0,0,228,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940011,'a crushed roekillik','','','','',255,10871,38,2,1,1,0,0,228,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940012,'a stone ward','<Underfoot elemental>','','','',255,8059,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940013,'a roekillik remnant','','','','',255,10874,41,3,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940014,'a roekillik defender','','','','',255,10871,54,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940015,'a roekillik ritualist','<Elemental Defense>','','','',255,10874,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940016,'Ritualist Sqilak','<Elemental Master>','','','',255,10871,48,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940017,'a summoned undead pawn','','','','',9,4541,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940018,'a roekillik blackmage','','','','',255,10871,51,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940019,'a blistering air pocket','<Underfoot elemental>','','','',255,8058,38,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940020,'a wind spartan','<Underfoot minion>','','','',255,10697,48,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940021,'a summoned undead vanguard','','','','',9,4540,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940022,'Rathgar','<The Invincible>','','','',255,10874,64,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940023,'Maakat','<Triadic Summoner>','','','',255,10874,51,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940024,'Aaskas','<Triadic Ritualist>','','','',255,10874,51,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940025,'Uthgar','<Triadic Enforcer>','','','',255,10874,80,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940026,'a roekillik beastmaster','<Void Channeler>','','','',255,10874,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940027,'Vaclaz','<The Annihilator>','','','',255,11130,86,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940028,'Hole_Exit',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,254,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940029,'door INTO dartains',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940030,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940031,'qey_boulder02',NULL,'','','',0,1725,64,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4940032,'roekillik_barricade',NULL,'','','',0,13698,32,0,1,1,0,0,0,0,0,0,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950000,'a Sullonite vexament','','','','',9,13946,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950001,'a Sullonite acriment','','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950002,'a Sullonite vehement','','','','',9,13947,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950003,'a Sullonite umbrant','','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950004,'a Sullonite Ragebreaker','<Sullon''s Elite>','','','',9,13949,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950005,'a raging web reaver','','','','',255,243,128,0,1,1,11,0,9733,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950006,'a champion of Zek','','','','',255,6453,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950007,'an oracle of Zek','','','','',255,6449,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950008,'a Ry''Gorr heretic','','','','',20,14838,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950009,'a Ry''Gorr Avenger','','','','',20,14844,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950010,'a defender of Zek','','','','',255,6456,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950011,'a Sullonite battle boar','','','','',255,1548,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950012,'Ragebourne Gregor Haldane','','','','',9,13949,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950013,'a Ry''Gorr centurion','','','','',20,14843,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950014,'a Ry''Gorr watchman','','','','',20,14840,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950015,'a Ry''Gorr harbinger','','','','',20,14847,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950016,'ragebourne elite guard','','','','',9,13950,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950019,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950020,'',NULL,'','','',0,4544,96,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950021,'Spire of Rage Raid floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4950022,'Spire of Rage Raid Floor 2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960000,'an Avazek Bishop','<Betrayer of Xegony>','','','',255,4317,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960001,'an Avazek Marshal','<Betrayer of Xegony>','','','',255,4391,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960002,'a Diaku boar beast','','','','',255,9117,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960003,'an Avazek bladewielder','<Betrayer of Xegony>','','','',255,4392,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960004,'a Diaku champion','','','','',12,14959,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960005,'a Diaku warder','','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960006,'a Diaku oracle','','','','',12,14959,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960007,'an Avazek challenger','<Betrayer of Xegony>','','','',255,4391,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960008,'General Utehk','','','','',12,14959,70,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960009,'General Aakita','','','','',12,14958,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960010,'General Zevitus','','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960011,'an ambushing Avazek marshal','<Betrayer of Xegony>','','','',255,4317,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960012,'an ambushing Avazek bladewielder','<Betrayer of Xegony>','','','',255,4392,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960013,'an ambushing Avazek bishop','<Betrayer of Xegony>','','','',255,4318,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960016,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960017,'',NULL,'','','',0,4544,96,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960018,'Spire of Rage Raid floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4960019,'strategists stronghold f2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970000,'Lichlord Skulldugger','','','','',255,8768,112,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970001,'a Gindan war boar','','','','',255,1683,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970002,'a Grindstone defeater','','','','',255,11678,51,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970003,'a Gindan Flayer','<Tower Guardian>','','','',9,4994,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970004,'a Gindan Blademaster','<Tower Guardian>','','','',9,4994,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970005,'a war wraith','','','','',255,11794,96,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970006,'a Grindstone repeller','','','','',255,11678,51,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970007,'a Gindan Darkblade','<Tower Guardian>','','','',9,4994,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970008,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970009,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970010,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970011,'',NULL,'','','',0,4544,96,0,0,0,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970012,'Spire of Rage Raid floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4970013,'tower of tactic f2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980000,'Murchadh Veitch','<Clan Ragebourne>','','','',9,13950,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980001,'Greer Macrae','<Clan Ragebourne>','','','',9,13946,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980002,'Boyd Toirdhealbhach','<Clan Ragebourne>','','','',9,13948,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980003,'Graeme Gordon','<Clan Ragebourne>','','','',9,13949,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980004,'Cameron Barclay','<Clan Ragebourne>','','','',9,13948,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980005,'Breenus McFaylinn','<Clan Ragebourne>','','','',9,13950,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980006,'Brother Cormag','<Clan Ragebourne>','','','',9,13948,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980007,'Sorleyt Taskill','<Clan Ragebourne>','','','',9,13950,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980008,'Rodderick MacLorna','<Clan Ragebourne>','','','',9,13949,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980009,'Rhona MacLorna','<Clan Ragebourne>','','','',9,13946,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980010,'Norman Macleod','<Clan Ragebourne>','','','',9,13949,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980011,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980012,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980013,'Additional Ragebourne Assignment',NULL,'','','',0,3499,32,0,1,1,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980014,'Ragebourne Table',NULL,'','','',0,2060,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980015,'',NULL,'','','',0,49,32,0,1,1,456,0,0,0,0,1,0,0,1615,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980016,'',NULL,'','','',0,2306,256,0,1,1,45,0,18924,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980017,'',NULL,'','','',0,2306,256,0,1,1,45,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980018,'',NULL,'','','',0,2306,256,0,1,1,45,0,18924,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980019,'',NULL,'','','',0,2306,256,0,1,1,45,0,18924,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4980020,'Kael Drakkel',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,908,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990000,'a Coldain wolfmaster','','','','',2,52,35,3,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990001,'a Coldain tracking wolf','','','','',255,14693,28,3,1,1,11,0,11183,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990002,'a Deepwater researcher','<Deepwater Circle>','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990003,'Dartain','<The Duality>','','','',3,1597,48,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990004,'a Coldain','','','','',2,11,35,3,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990005,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990006,'Delvin Hailstorm','<Battleground Armor Recipes>','','','',2,11868,38,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990007,'Mikk Eishammer','<Forgemasters Coordinator>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990008,'a Thurgadin fuel vendor','<Fuel Merchant>','','','',0,80,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990009,'Donall Ironarm','<Forgemasters Faction Merchant>','','','',2,11868,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990010,'Rukh Frosthoard','<Collector>','','','',2,10,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990011,'Bettlewin Frostaxe','<Broker>','','','',2,11968,32,0,1,1,20,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990012,'Durin Icebinder','<Master Sage>','','','',2,51,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990013,'Narola Deepfrost','<Banker>','','','',2,11968,32,0,1,1,14,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990014,'Marrin Fallenfrost','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990015,'a Thurgadin woodshaper','','','','',2,11868,35,2,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990016,'a Thurgadin threader','','','','',2,11968,33,1,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990017,'a Thurgadin coldsmith','','','','',2,11968,33,1,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990018,'Eirik','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990019,'a Thurgadin valorguard','','','','',2,75,35,3,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990020,'a Thurgadin snowchef','','','','',2,11968,34,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990021,'General Rost Fellhammer','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990022,'Felgant Coldstein','<General Goods>','','','',2,10,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990023,'Kedorn Flameforger','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990024,'Ulkrin Stonebreaker','<Banker>','','','',2,11868,32,0,1,1,14,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990025,'Captain Icecleaver','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990026,'Drolk Heavyblaze','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990027,'Draylia Arouraheart','<Provisioner>','','','',2,80,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990028,'Kreidum Bartleby','<Bartender>','','','',2,10,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990029,'Kregsun Bartleby','<Bartender>','','','',2,10,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990030,'Thunderstomp','<Herald of the Hounds>','','','',5,121,32,0,1,1,9,0,15258,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990031,'Bellik Wintershade','<Mender>','','','',2,11868,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4990032,'Bixx Brewbeard','<Bartender>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990033,'Dalkina N''geth','<Neriak Representative>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990034,'Eblius Shek''minn','<Gorowyn Representative>','','','',255,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990035,'Blugah Crushheel','<Freeport Representative>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990036,'Hason Underbelly','<Shieldsmith>','','','',2,10,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990037,'Fradin Brightsteel','<Armorsmith>','','','',2,10,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990038,'Aggi Stonefist','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990039,'Almil Brokenaxe','<Explorer>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990040,'a Coldain singer','','','','',2,75,37,1,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990041,'a Coldain observer','','','','',2,75,35,3,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990042,'Millety Snowblind','<Head Cryomancer>','','','',2,80,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990043,'Cryomancer Addicus','','','','',2,51,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990044,'Cryomancer Eriden','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990045,'a priest of Brell','','','','',2,51,38,3,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990046,'a praying Coldain','','','','',2,11868,34,2,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990047,'Bellin Icepike','<Linguist>','','','',2,11868,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990048,'a Thurgadin highwatch','','','','',2,11,36,1,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990049,'a Coldain wolf trainer','','','','',2,11968,35,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990050,'a tamed direwolf','','','','',255,14693,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990051,'a direwolf pup','','','','',255,14853,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990052,'Felgant Brightsteel','<General Goods>','','','',2,10,38,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990053,'Nial Brightsteel','<Bowyer>','','','',2,10,38,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990054,'Mergus Stonesledge','<Elder Priest of Brell>','','','',2,51,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990055,'Darliu Stoneoath','<Qeynos Representative>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990056,'Jasmi Lightpond','<Kelethin Representative>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990057,'Klaidar of Erollis','<New Halas Representative>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990058,'Melowen Stonehand','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990059,'Cryomancer Dobba','','','','',2,129,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990060,'a priestess of Brell','','','','',2,129,37,2,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990061,'Alfrig','','','','',2,14961,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990062,'Frizella Emberblossom','<Traveling Archmage>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990063,'Maayla A''nadir','<Deepwater Circle Adornment Merchant>','','','',3,10020,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990064,'Lorekeeper Drelin','<Sage>','','','',2,11868,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990065,'Elder Historian Melna','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990066,'Cryomancer Garn','','','','',2,51,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990067,'Neren Gladefire','<Wandering Druid>','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990068,'Ullvar Silverbeard','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990069,'Feldia Hammerwind','','','','',2,11968,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990070,'Gangun','','','','',2,11868,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990071,'Palluk the Parktender','','','','',2,51,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990072,'Trelick','','','','',2,11868,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990073,'Ranolt','','','','',2,11868,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990074,'Olinia','','','','',2,11968,35,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990075,'Kalnie','','','','',2,11968,41,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990076,'Blumm','','','','',2,11868,39,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990077,'Yardel Greyeye','<Mender>','','','',2,11868,32,0,1,1,12,9,0,0,0,1,0,0,18,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(4990078,'Folban Trailsnow','<Broker>','','','',2,11868,32,0,1,1,20,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990079,'Merchant Hagus','<Souvenir Merchant>','','','',2,11868,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990080,'a Thurgadin wolf handler','','','','',2,11968,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990081,'a Thurgadin wolf handler','','','','',2,11968,35,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990082,'Regiweld Fisthammer','<Banker>','','','',2,11868,32,0,1,1,14,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990083,'Lieutenant Dralgin','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990084,'Trella Groundice','<Banker>','','','',2,11968,32,0,1,1,14,9,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990085,'Yelinak the Ancient','<Lord of Skyshrine>','','','',255,15102,32,0,1,1,9,0,0,0,0,1,0,0,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990086,'a Coldain battlerager','','','','',2,11868,38,0,1,1,13,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990087,'a Coldain servant girl','','','','',2,80,35,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990088,'Dain Ulrinn Frostreaver the VII','<Dain of Thurgadin>','','','',2,14837,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990089,'General Thalgus Icemaul','','','','',2,11,38,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990090,'Arthex D''Nim','<Shady Necromancer>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990091,'door_thurgadin_prestige_home',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,295,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990092,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990093,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990094,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990095,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990096,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990097,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990098,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990099,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990100,'',NULL,'','','',0,13230,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990101,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990102,'halas_anvil_01',NULL,'','','',0,13239,25,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990104,'Training Dummy',NULL,'','','',0,4467,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990105,'weighing scales tipped',NULL,'','','',0,7710,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990106,'',NULL,'','','',0,15113,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990107,'',NULL,'','','',0,327,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990108,'halas_coldain_books_03',NULL,'','','',0,13292,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990109,'',NULL,'','','',0,13295,32,0,1,1,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990110,'',NULL,'','','',0,15123,32,0,1,1,0,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990111,'chest_halas_02',NULL,'','','',0,13281,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990112,'',NULL,'','','',0,15122,32,0,1,1,0,0,0,0,0,0,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990113,'floor_rack_any_clothing02',NULL,'','','',0,4613,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990114,'floating candles',NULL,'','','',0,8732,32,0,1,1,0,0,0,0,0,0,0,0,138,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990115,'',NULL,'','','',0,15121,32,0,1,1,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990116,'',NULL,'','','',0,15127,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990117,'',NULL,'','','',0,15125,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990118,'Haligrin Brewbarrel',NULL,'','','',255,80,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990119,'',NULL,'','','',0,15132,32,0,1,1,0,0,0,0,0,0,0,0,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990120,'',NULL,'','','',0,15131,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990121,'table',NULL,'','','',0,15126,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990122,'Loremaster Verdandi',NULL,'','','',255,11968,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990123,'lorekeepers notes',NULL,'','','',0,15225,80,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990124,'',NULL,'','','',0,15129,32,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990125,'',NULL,'','','',0,15133,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990126,'',NULL,'','','',0,324,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990127,'training_dummy001',NULL,'','','',0,1543,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990128,'halas_ph_firepit_red_01',NULL,'','','',0,13311,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990129,'grobb stone vault',NULL,'','','',0,9566,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990130,'a Rime scrying device',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990131,'legendary chest',NULL,'','','',0,5865,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990132,'bread',NULL,'','','',0,3360,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990133,'gold stein',NULL,'','','',0,9586,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990134,'pie',NULL,'','','',0,8248,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990135,'halas_table_03',NULL,'','','',0,13247,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990136,'Mail Kiosk',NULL,'','','',0,13319,32,0,0,0,29,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990137,'recipes',NULL,'','','',0,13292,25,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990138,'cooking ingredients',NULL,'','','',0,5165,9,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990139,'powder ingredients',NULL,'','','',0,3101,48,0,1,1,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990140,'exit_to_great_divide_north',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(4990141,'exit_to_thurgadin_harbor',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,476,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010000,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,1,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010001,'an elaborate potion bottle',NULL,'','','',0,12654,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010002,'a golden potion bottle',NULL,'','','',0,12657,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010003,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010004,'Traditional Coldain Brazier',NULL,'','','',0,787,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010005,'Basic Chandelier',NULL,'','','',0,5,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010006,'Irontoe Sturdy Chair',NULL,'','','',0,12813,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010007,'Basic Mirror',NULL,'','','',0,7,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010008,'Basic Table',NULL,'','','',0,6,85,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010009,'an enchanter''s candelabra',NULL,'','','',0,2090,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010010,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010011,'Norrathian Express Box, New Halas Branch',NULL,'','','',0,13369,17,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010012,'Withering Forest',NULL,'','','',0,593,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010013,'The Legendary Journeyman''s Boots',NULL,'','','',0,1885,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010014,'Coldain Butler',NULL,'','','',0,14961,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010015,'a gilded potion bottle',NULL,'','','',0,12655,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010016,'Wool Rug of New Beginnings',NULL,'','','',0,13362,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010017,'Ry''Gorr camp pelt',NULL,'','','',0,13388,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010018,'reinforced coldain crate',NULL,'','','',0,13301,65,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010019,'hanging coldain coals',NULL,'','','',0,13298,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010020,'Irontoe Recruit''s Bed',NULL,'','','',0,12811,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010021,'Halas Curved Bench',NULL,'','','',0,13228,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010022,'Halasian tile',NULL,'','','',0,15753,134,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010023,'Halasian Andiron',NULL,'','','',0,13768,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010024,'Round Rug of the Frigid Waves',NULL,'','','',0,13364,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010025,'reinforced Halasian chest',NULL,'','','',0,13282,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010026,'frosty Halasian barrels',NULL,'','','',0,13337,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010027,'Coldain Torch',NULL,'','','',0,13248,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010028,'shipwrecked scavenged torch',NULL,'','','',0,13300,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010029,'an opened crate',NULL,'','','',0,11037,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010030,'a pristine halasian boiling pot',NULL,'','','',0,2075,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010031,'Halasian carved tile',NULL,'','','',0,15754,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010032,'Halasian bench',NULL,'','','',0,13290,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010033,'Halasian feasting table',NULL,'','','',0,13306,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010034,'Tall Coldain Bookcase',NULL,'','','',0,13296,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010035,'Halas Stone Inlaid Bar Table',NULL,'','','',0,13235,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010036,'Halasian high backed chair',NULL,'','','',0,13284,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010037,'simple Halasian chest',NULL,'','','',0,13281,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010038,'Round Rug of the Eternal Hunt',NULL,'','','',0,13363,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010039,'hua mein steaming drink',NULL,'','','',0,12732,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010040,'Halas Ice Goblet',NULL,'','','',0,13226,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010041,'Halas Double Bed',NULL,'','','',0,13323,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010042,'Halas Ice Chair',NULL,'','','',0,13250,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010043,'Halas Curved Counter',NULL,'','','',0,13230,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010044,'Coldain Embellished Forge',NULL,'','','',0,13238,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010045,'Coldain Anvil',NULL,'','','',0,13239,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010046,'Welcome! Would You Like A Pint?',NULL,'','','',0,14654,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010047,'coldain weapon rack',NULL,'','','',0,13288,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010048,'Halasian hardbound book',NULL,'','','',0,13292,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010049,'Simple Coldain Door',NULL,'','','',0,13977,35,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010050,'Halas Carved Stool',NULL,'','','',0,13234,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010051,'Ornate Brazier of the Coldain',NULL,'','','',0,774,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010052,'Relics of Battle',NULL,'','','',0,1196,37,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010053,'Wool Rug of the Pine Forest',NULL,'','','',0,13358,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010054,'plush icemane pelt',NULL,'','','',0,13387,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010055,'shipwrecked scavenged table',NULL,'','','',0,13307,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010056,'Handbook of the Ravens of the North',NULL,'','','',0,11360,44,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5010057,'pristine simple candelabra',NULL,'','','',0,2725,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5030000,'Interior House Accessor','','','','',0,49,32,0,0,0,0,0,0,0,0,1,1,0,124,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5050000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5060000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5070000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5070001,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080001,'Iron Cobra Plushie',NULL,'','','',0,4662,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080002,'Skeletal Cobra Plushie',NULL,'','','',0,4660,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080003,'Desert Cobra Plushie',NULL,'','','',0,4661,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080004,'hua mein hassock',NULL,'','','',0,12502,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080005,'hua mein basket of oranges',NULL,'','','',0,12507,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080006,'hua mein basket',NULL,'','','',0,12506,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080007,'hua mein cup',NULL,'','','',0,12365,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080008,'hua mein table',NULL,'','','',0,12498,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080009,'hua mein round mat',NULL,'','','',0,12503,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080010,'Goahmari Meditation Pit',NULL,'','','',0,403,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080011,'hua mein azure banner',NULL,'','','',0,12508,30,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080012,'damask pillow',NULL,'','','',0,10990,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080013,'hua mein brazier',NULL,'','','',0,12497,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080014,'Hua Mein Welcome',NULL,'','','',0,12495,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080015,'Kromzek Weapons Rack',NULL,'','','',0,693,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080016,'hua mein bedroll',NULL,'','','',0,12513,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080017,'hua mein umbrella',NULL,'','','',0,12510,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5080018,'Gorowyn Heights Magical Manor',NULL,'','','',0,4727,8,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100000,'Prettybird','','','','',0,7235,12,0,1,1,39,0,323,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100001,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,585,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100002,'titanium pitcher',NULL,'','','',0,12160,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100003,'pristine azurite chalice',NULL,'','','',0,7267,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100004,'Vigilant screen',NULL,'','','',0,12115,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100005,'an elaborate potion bottle',NULL,'','','',0,12654,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100006,'Trophy: Earthblade',NULL,'','','',0,2260,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100007,'a golden potion bottle',NULL,'','','',0,12657,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100008,'Trophy: Fellfeather',NULL,'','','',0,5870,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100009,'Trophy: Sunder, The Hand of Zek',NULL,'','','',0,2520,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100010,'Trophy: The Lumberjack',NULL,'','','',0,2252,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100011,'Pristine stained tapestry of valor',NULL,'','','',0,7272,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100012,'Trophy: Drolvarg Cleaver',NULL,'','','',0,7422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100013,'Teir''dal shot glass',NULL,'','','',0,2808,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100014,'Tapestry of the Blacktalon',NULL,'','','',0,12428,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100015,'Trophy: The Scaler',NULL,'','','',0,3856,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100016,'sumac washstand',NULL,'','','',0,11422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100017,'sumac towel rack',NULL,'','','',0,11377,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100018,'sumac chest',NULL,'','','',0,11439,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100019,'stone planter',NULL,'','','',0,7703,58,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100020,'The Legendary Glowing Black Stone',NULL,'','','',0,1883,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100021,'sumac cabinet',NULL,'','','',0,11388,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100022,'elaborate stained glass oval',NULL,'','','',0,12100,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100023,'Moving Crate',NULL,'','','',0,2143,32,0,1,1,16,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100024,'a market bulletin board',NULL,'','','',0,4067,32,0,1,1,843,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100025,'Scars of Velious',NULL,'','','',0,15091,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100026,'Female Clockwork Gnome Toy',NULL,'','','',0,6669,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100027,'Trophy: The Pendulum',NULL,'','','',0,4057,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100028,'Trophy: The Bloodlathe',NULL,'','','',0,3844,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100029,'Trophy: Obrel''s Gambit',NULL,'','','',0,2892,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100030,'Rhododendron',NULL,'','','',0,10692,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100031,'Starflower Blossom',NULL,'','','',0,10461,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100032,'Cattails',NULL,'','','',0,10972,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100033,'a Toxxulian guardian',NULL,'','','',0,7297,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100034,'EverQuest II 5th Anniversary Painting',NULL,'','','',0,10180,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100035,'Mirror of Reflected Achievements',NULL,'','','',0,8065,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100036,'E''ci',NULL,'','','',0,14189,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100037,'Mounted Erollisi''s Charm',NULL,'','','',0,3875,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100038,'Savannah Tree',NULL,'','','',0,2382,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100039,'Ancient Musical Harp',NULL,'','','',0,5189,16,0,1,1,845,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100040,'Withering Forest',NULL,'','','',0,593,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100041,'Victory of the Dain',NULL,'','','',0,596,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100042,'The Eternal Battle',NULL,'','','',0,595,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100043,'Otter''s Rest',NULL,'','','',0,594,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100044,'Corrupted Dryad Plushie',NULL,'','','',0,174,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100045,'Pink Lilies in an Elegant Vase',NULL,'','','',0,7121,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100046,'Glittering Temptation',NULL,'','','',0,2244,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100047,'an Emissary Glochk Effigy',NULL,'','','',0,7368,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100048,'Iksar Ship in a Bottle',NULL,'','','',0,5638,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100049,'pristine azurite tall rotating sculpture',NULL,'','','',0,6107,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100050,'Felwithe by Moonlight',NULL,'','','',0,14195,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100051,'The Legendary Golden Efreeti Boots',NULL,'','','',0,430,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100052,'The Legendary Shiny Brass Shield',NULL,'','','',0,4714,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100053,'Everburning Gnomish Love',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100054,'Trophy: The Tickler',NULL,'','','',0,2215,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100055,'Trophy: Sir Altan''s Strike',NULL,'','','',0,2524,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100056,'Trophy: Shattersong',NULL,'','','',0,3280,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100057,'Trophy: Mezmith''s Chance',NULL,'','','',0,3880,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100058,'Trophy: Mandibles of Night',NULL,'','','',0,6046,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100059,'Trophy: D''Vorlian''s Crudgel',NULL,'','','',0,4053,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100060,'Trophy: Clockwork Cog',NULL,'','','',0,3179,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100061,'a tranquil bonsai',NULL,'','','',0,6389,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100062,'Trophy: Sarnak Fanged Blade',NULL,'','','',0,7420,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100063,'Trophy: Yha-lei Briney Poker',NULL,'','','',0,7408,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100064,'decorative shrine of Bristlebane',NULL,'','','',0,7603,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100065,'The Legendary Hierophant''s Crook',NULL,'','','',0,2425,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100066,'Sathirian Ornamental Rug',NULL,'','','',0,8042,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100067,'Alchemist''s Amore',NULL,'','','',0,4529,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100068,'Teir''dal cocktail glass',NULL,'','','',0,2811,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100069,'Miniature Replica Statue: Resolution',NULL,'','','',0,9095,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100070,'Trophy: Caertaxian Skewer',NULL,'','','',0,9613,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100071,'Naiad Guardian Plushie',NULL,'','','',0,50004,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100072,'Golden Rug of the Beloved',NULL,'','','',0,9558,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100073,'tapestry of the steam lord',NULL,'','','',0,9699,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100074,'an intricately wrought bench from the Shard of Love',NULL,'','','',0,11192,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100075,'Stone Jug of Kaladim',NULL,'','','',0,9993,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100076,'a gilded potion bottle',NULL,'','','',0,12655,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100077,'Erollisi''s Arrow',NULL,'','','',0,11393,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100078,'Glacial Round Table',NULL,'','','',0,11396,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100079,'veiled bow of the shard',NULL,'','','',0,11202,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100080,'Painting: Taking Flight',NULL,'','','',0,9354,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100081,'Tumpy Tonic Max',NULL,'','','',0,8132,32,0,1,1,856,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100082,'an ornate vase',NULL,'','','',0,5220,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100083,'Ulteran Vintage',NULL,'','','',0,4604,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100084,'Polished Wooden Mirror',NULL,'','','',0,11623,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100085,'Energized Ulteran Spires Replica',NULL,'','','',0,6147,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100086,'Magic Mouth',NULL,'','','',0,6978,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100087,'Magic Door to the Guild Hall',NULL,'','','',0,2031,16,0,1,1,857,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100088,'Love Candle',NULL,'','','',0,3451,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100089,'The enclosure at Poet''s Palace',NULL,'','','',0,5271,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100090,'Blessed Sapling',NULL,'','','',0,1624,3,0,1,1,858,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100091,'a mushroom circlet',NULL,'','','',0,3949,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100092,'Preserved Roses',NULL,'','','',0,11390,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100093,'Heart-Shaped Pillow',NULL,'','','',0,7123,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100094,'Cloudy Square',NULL,'','','',0,12227,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100095,'Ornate Bench of the Sands',NULL,'','','',0,8853,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100096,'table of the forest bloom',NULL,'','','',0,14379,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100097,'a Ca''Na clay pot',NULL,'','','',0,12659,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100098,'frost-rimed chandelier',NULL,'','','',0,9596,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100099,'frost-rimed chair',NULL,'','','',0,9595,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100100,'Eva''s Altar of Tunare',NULL,'','','',0,6886,32,0,1,1,847,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100101,'a sapling',NULL,'','','',0,4075,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100102,'a harmonious bonsai',NULL,'','','',0,6390,29,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100103,'Teleportation Pad',NULL,'','','',0,2684,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100104,'plain sumac room divider',NULL,'','','',0,11440,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100105,'Small Velium Gear (Active)',NULL,'','','',0,10573,27,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100106,'kerra steps',NULL,'','','',0,12490,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100107,'Medium Female Mannequin',NULL,'','','',0,8052,67,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100108,'Wall-Clinging Vine',NULL,'','','',0,10456,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100109,'Grassy Knoll of Butterflies',NULL,'','','',0,9929,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100110,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100111,'Purple Roses Blooming with Love',NULL,'','','',0,7137,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100112,'Yellow, Pink, and Red Roses',NULL,'','','',0,7126,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100113,'Faydwer Oak Tree',NULL,'','','',0,10327,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100114,'Pristine indium cage bars',NULL,'','','',0,7661,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100115,'Qeynos Round Counter',NULL,'','','',0,11562,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100116,'winged aviak bench',NULL,'','','',0,12424,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100117,'Ykeshan Bear Companion',NULL,'','','',0,8869,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100118,'Celebration of Spring Sculpture',NULL,'','','',0,10583,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100119,'feyiron fence',NULL,'','','',0,11401,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100120,'White Marble Divider',NULL,'','','',0,10674,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100121,'plain teak room divider',NULL,'','','',0,10683,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100122,'Spoked Rhodium Gear (Active)',NULL,'','','',0,10567,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100123,'pristine sandalwood platform',NULL,'','','',0,7664,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100124,'Jarsath Oak Tree',NULL,'','','',0,10326,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100125,'Kelethin Curved Table',NULL,'','','',0,11578,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100126,'Flowering Tree',NULL,'','','',0,1624,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100127,'Plate of Citrus',NULL,'','','',0,14244,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100128,'Frosted Apples',NULL,'','','',0,7068,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100129,'Metalized Ring of Devotion',NULL,'','','',0,6327,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100130,'bale of hay',NULL,'','','',0,1848,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100131,'Wavy Sand Square',NULL,'','','',0,11437,131,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100132,'Sandy Square',NULL,'','','',0,11436,131,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100133,'Large Rhodium Gear (Active)',NULL,'','','',0,10559,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100134,'titanium vase',NULL,'','','',0,12130,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100135,'a pristine Coalition ornate rug',NULL,'','','',0,3528,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100136,'Norrathian Express Box, Qeynos Branch',NULL,'','','',0,11447,38,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100137,'red damask couch',NULL,'','','',0,8330,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100138,'a plate of fish',NULL,'','','',0,11038,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100139,'Kelethin Desk',NULL,'','','',0,11581,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100140,'an opened crate',NULL,'','','',0,11037,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100141,'Stony Lichen Square',NULL,'','','',0,12229,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100142,'Hedge Seeds',NULL,'','','',0,11129,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100143,'Basket of Grain',NULL,'','','',0,11815,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100144,'plain briarwood hitching post',NULL,'','','',0,11400,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100145,'White Marble Column',NULL,'','','',0,11641,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100146,'Mossy Square',NULL,'','','',0,11435,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100147,'Black Marble Divider',NULL,'','','',0,10670,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100148,'Rilissian Soldier''s Mount',NULL,'','','',0,10177,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100149,'Skeletal prowler plushie',NULL,'','','',0,11212,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100150,'briarwood hay trough',NULL,'','','',0,3338,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100151,'a fairy lantern',NULL,'','','',0,9686,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100152,'Plush Dining Chair',NULL,'','','',0,851,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100153,'a pristine archaic oak bench',NULL,'','','',0,2982,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100154,'crude stone block',NULL,'','','',0,2952,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100155,'Cobblestone Square',NULL,'','','',0,12228,118,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100156,'a Freeport ornate urn',NULL,'','','',0,2182,21,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100157,'sumac office desk',NULL,'','','',0,12192,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100158,'White Marble Tile',NULL,'','','',0,11651,95,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100159,'Love Poems',NULL,'','','',0,9728,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100160,'Polished Wooden Tile',NULL,'','','',0,11653,126,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100161,'Starry Square',NULL,'','','',0,12226,182,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100162,'an erudin ornate urn',NULL,'','','',0,2116,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100163,'a gnomish distillery',NULL,'','','',0,3411,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100164,'Wild Hanging Honeysuckle',NULL,'','','',0,10457,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100165,'Large Glacial Room Divider',NULL,'','','',0,10005,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100166,'Firiona Vie Statue',NULL,'','','',0,10315,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100167,'Dark Verdant Druid Ring',NULL,'','','',0,13715,27,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100168,'a pool of divinity',NULL,'','','',0,4451,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100169,'Engraved Kelethin Door',NULL,'','','',0,14309,32,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100170,'pristine gilded ironwood king bed',NULL,'','','',0,2965,58,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100171,'small white lilies',NULL,'','','',0,7463,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100172,'eucalyptus end table',NULL,'','','',0,12143,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100173,'The Nine Contemplations',NULL,'','','',0,3035,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100174,'Cylinder of Growth',NULL,'','','',0,8632,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100175,'dark sumac bookcase',NULL,'','','',0,11381,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100176,'Intricate Tapestry',NULL,'','','',0,11392,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100177,'Mother of Pearl Inlaid End Table',NULL,'','','',0,8636,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100178,'elaborate observatory table',NULL,'','','',0,12479,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100179,'Vampiric Mirror',NULL,'','','',0,9326,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100180,'Ornate Quellithulian Vase',NULL,'','','',0,52107,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100181,'Red Marble Divider',NULL,'','','',0,10673,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100182,'Gold Mechanosynthetic Rose',NULL,'','','',0,8081,95,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100183,'Clockwork Menace Toy',NULL,'','','',0,6285,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100184,'Elegant Coffee Table',NULL,'','','',0,852,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100185,'Seat of a Maj''Dul Artist',NULL,'','','',0,8848,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100186,'Yellow Roses Blooming with Love',NULL,'','','',0,7151,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100187,'Red Roses Blooming with Love',NULL,'','','',0,7144,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100188,'Crystal Mosaic Square',NULL,'','','',0,12232,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100189,'Armoire of the Forest Sprite',NULL,'','','',0,8850,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100190,'Impeccable Feasting Table',NULL,'','','',0,14245,77,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100191,'tall Paineel bookcase',NULL,'','','',0,12537,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100192,'sumac side table',NULL,'','','',0,11410,38,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100193,'Love Letters',NULL,'','','',0,9727,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100194,'Plush Chaise Lounge',NULL,'','','',0,8067,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100195,'Passionate Red and White Candles',NULL,'','','',0,12310,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100196,'Chair of the Acorn Scholar',NULL,'','','',0,8629,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100197,'an Onayan Protector',NULL,'','','',0,11220,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100198,'Servants of Veeshan',NULL,'','','',0,4203,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100199,'Remnants of Guk',NULL,'','','',0,4210,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100200,'Guardian of Flame',NULL,'','','',0,4218,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100201,'Remnants of Feerrott',NULL,'','','',0,4221,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100202,'Gnoma Obscura',NULL,'','','',0,4407,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100203,'pristine adamantine fountain',NULL,'','','',0,7383,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100204,'a Vasty Deep laboratory banner',NULL,'','','',0,12610,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100205,'pristine xegonite knight''s sconce',NULL,'','','',0,7281,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100206,'Paineel pedestal',NULL,'','','',0,12531,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100207,'Sand Urchin Shell',NULL,'','','',0,3968,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100208,'a Ca''Na Vase',NULL,'','','',0,12611,20,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100209,'Trophy: The Impact of the Sacrosanct',NULL,'','','',0,8013,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100210,'a grimberry bush',NULL,'','','',0,9563,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100211,'Trophy: The Gouger',NULL,'','','',0,2547,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100212,'regal Paineel vase',NULL,'','','',0,11344,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100213,'a masquerade vase',NULL,'','','',0,2145,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100214,'a marble vase',NULL,'','','',0,2144,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100215,'Grobb''s Majestic Airship',NULL,'','','',0,9654,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100216,'a Vigilant scroll vase',NULL,'','','',0,12612,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100217,'Box of Assorted Chocolates',NULL,'','','',0,7120,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100218,'Rose Mystique Rug',NULL,'','','',0,11792,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100219,'red damask bench',NULL,'','','',0,8325,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100220,'sumac dining table',NULL,'','','',0,12144,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100221,'a Vasty Deep test subject',NULL,'','','',0,12804,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100222,'Celebration, Phoenix Legion Style',NULL,'','','',0,14653,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100223,'Empress Anassa of the Oakmyst',NULL,'','','',0,4381,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100224,'a Vigilant officer''s rug',NULL,'','','',0,12613,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100225,'Blue Marble Mirror',NULL,'','','',0,11622,81,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100226,'Qeynos Heroes'' Festival Band Flier',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100227,'Table of Torturous Instruments',NULL,'','','',0,13943,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100228,'Conch Shell',NULL,'','','',0,3963,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100229,'Seafarer''s Orbs of Tranquility',NULL,'','','',0,9461,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100230,'Freeport Round Counter',NULL,'','','',0,11632,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100231,'Black Marble Column',NULL,'','','',0,11645,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100232,'Black Marble Tile',NULL,'','','',0,11561,65,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100233,'pristine acrylia griffin fountain',NULL,'','','',0,7378,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100234,'Chipped Qeynos Celebration Cup',NULL,'','','',0,14356,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100235,'Cheers!',NULL,'','','',0,14652,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100236,'Grassy Knoll of Fireflies',NULL,'','','',0,9930,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100237,'Kelethin Round Counter',NULL,'','','',0,11630,18,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100238,'sumac armoire',NULL,'','','',0,11389,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100239,'pristine gilded ironwood twin bed',NULL,'','','',0,2971,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100240,'Falling Petal Tapestry',NULL,'','','',0,11658,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100241,'pristine mystical mirror',NULL,'','','',0,5127,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100242,'Towering Papasan Chair',NULL,'','','',0,52106,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100243,'Refreshment in Maj''Dul',NULL,'','','',0,8643,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100244,'Glacial Scroll Rack',NULL,'','','',0,11395,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100245,'Painting: Bayle',NULL,'','','',0,9351,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100246,'pristine sunken moonstone pool',NULL,'','','',0,7341,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100247,'The docks at sunset',NULL,'','','',0,5273,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100248,'Long Honey Botanics Runner',NULL,'','','',0,11793,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100249,'Desert Palace Table',NULL,'','','',0,9729,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100250,'Sacred Temple of the Elders',NULL,'','','',0,4224,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100251,'Illisia''s Tapestry',NULL,'','','',0,9363,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100252,'sumac bookcase',NULL,'','','',0,12543,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100253,'Tunare''s First Daughter',NULL,'','','',0,14191,31,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100254,'azure spuncloth rug',NULL,'','','',0,12148,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100255,'Desert Palace Chair',NULL,'','','',0,8849,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100256,'Pink Roses Blooming with Love',NULL,'','','',0,7131,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100257,'sumac bench',NULL,'','','',0,11385,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100258,'Upon Reflection',NULL,'','','',0,4364,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100259,'Palatial Bedside Table',NULL,'','','',0,8852,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100260,'a bamboo plant',NULL,'','','',0,11338,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100261,'Red Roses in an Oval Vase',NULL,'','','',0,7143,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100262,'The Legendary Dwarven Work Boots',NULL,'','','',0,868,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100263,'a Strange Elephant Plushie',NULL,'','','',0,7207,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100264,'The Legendary Robe of the Oracle',NULL,'','','',0,4439,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100265,'Fermented Cabbage Juice',NULL,'','','',0,9994,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100266,'Velious Mourns',NULL,'','','',0,4420,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100267,'a desktop mirror',NULL,'','','',0,4447,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100268,'Tinkered Carbonite Divider',NULL,'','','',0,10676,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100269,'The Dwarven Ringmail Tunic',NULL,'','','',0,4015,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100270,'Ulteran Vinegar Bottle',NULL,'','','',0,5948,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100271,'Small Quellithulian Decanter',NULL,'','','',0,52104,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100272,'Tapestry of the Awakened',NULL,'','','',0,12427,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100273,'Distilled Devotion Number Nine',NULL,'','','',0,8087,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100274,'Blanket of Fog',NULL,'','','',0,12299,60,0,1,1,0,0,14226,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100275,'a Teddy Burynai',NULL,'','','',0,8086,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100276,'an Erollisi Teddy Bear',NULL,'','','',0,3836,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100277,'Pool of Reflection',NULL,'','','',0,7382,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100278,'Blue Shelf Fungus',NULL,'','','',0,11592,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100279,'Dryad Plushie',NULL,'','','',0,173,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100280,'Kelethin Sign',NULL,'','','',0,11639,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100281,'Spicebracket Fungus',NULL,'','','',0,9489,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100282,'Raven Plushie',NULL,'','','',0,9030,33,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100283,'Brown Striped Warg with Blue Saddle',NULL,'','','',0,7229,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100284,'a dirty bedroll',NULL,'','','',0,1997,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100285,'Swamp Reed',NULL,'','','',0,1737,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100286,'Neriak Streetlamp',NULL,'','','',0,11573,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100287,'Magma Wormling Plushie',NULL,'','','',0,1375,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100288,'a topiaric ripper',NULL,'','','',0,12803,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100289,'decorative shrine of Brell Serilis',NULL,'','','',0,6866,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100290,'Vestige of Growth',NULL,'','','',0,886,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100291,'Fresh Water Tree Stump',NULL,'','','',0,10455,11,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100292,'Huge Mushroom',NULL,'','','',0,10453,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100293,'Swaying Blue Paper Lantern',NULL,'','','',0,7977,23,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100294,'Naiad Elder Plushie',NULL,'','','',0,50003,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100295,'Flame Flower',NULL,'','','',0,10325,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100296,'Mossy Red Mushrooms',NULL,'','','',0,1748,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100297,'mature purple mushroom',NULL,'','','',0,1523,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100298,'Red Marble Tile',NULL,'','','',0,11652,139,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100299,'formal brellium sconce',NULL,'','','',0,12540,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100300,'Spoked Velium Gear (Active)',NULL,'','','',0,10569,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100301,'Buckler of the Broken Heart',NULL,'','','',0,11915,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100302,'Tinkerer''s Mechanokinetic Sconce',NULL,'','','',0,10589,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100303,'ornate brellium sconce',NULL,'','','',0,12151,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100304,'Tinkerer''s Fancy Chair',NULL,'','','',0,10551,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100305,'Ornate Gold Gear',NULL,'','','',0,10625,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100306,'Tinkerfest Memorial Sculpture',NULL,'','','',0,10574,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100307,'crimson gabardine rug',NULL,'','','',0,12146,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100308,'Red Mechanized Lamppost',NULL,'','','',0,10577,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100309,'Feerrott Fern',NULL,'','','',0,10635,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100310,'Toxxulia plant',NULL,'','','',0,11339,2,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100311,'Wakening Blossom',NULL,'','','',0,644,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100312,'a Coalition ornate rug',NULL,'','','',0,3528,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100313,'a suspicious rug',NULL,'','','',0,12637,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100314,'mossy briarwood room divider',NULL,'','','',0,10681,62,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100315,'Rough Plank Square',NULL,'','','',0,11434,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100316,'Blessed Shrubbery',NULL,'','','',0,3909,32,0,1,1,80,0,144,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100317,'Salesman''s Crate',NULL,'','','',0,6471,28,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100318,'Veteran''s Display Case',NULL,'','','',0,2150,28,0,1,1,848,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100319,'Notebook by Salastinie',NULL,'','','',0,10698,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100320,'House Rating Trophy',NULL,'','','',0,15901,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100321,'Diary by Salastinie',NULL,'','','',0,10698,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5100322,'Riddle of the rugs by Salastinie',NULL,'','','',0,10698,51,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120000,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120001,'a tamed yeti','','','','',255,7257,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120002,'a Guardian of D''Ina','<Maidens of E''ci>','','','',255,182,79,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120003,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,80,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120004,'an Icy Construct','<Ice Creation of D''Ina>','','','',255,9482,192,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120005,'Kastus','<Mangler of Epithet>','','','',255,9483,64,0,1,1,11,0,1867,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120006,'Ice Maiden D''Ina','<Maidens of E''ci>','','','',255,8234,256,0,1,1,0,0,1794,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120007,'Tamer Nicoli','<Yeti Tamer>','','','',255,7257,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120008,'a summoned barrier of ice','','','','',255,5012,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120009,'Odaufe','','','','',255,9483,64,0,1,1,11,0,1867,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120010,'a freezing goblin','','','','',255,7039,38,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120011,'a summoned barrier of ice','','','','',255,5012,96,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120012,'XXXXXXXX''s unswerving hammer','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120013,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,50,7,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120014,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,37,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120015,'a Snow Goblin Soldier','','','','',255,7039,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120016,'Snarf Frostfoot','','','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120017,'wall_gate_right_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120018,'wall_gate_right_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120019,'vox_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120020,'vox_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120021,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120022,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120023,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120024,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120025,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120026,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120027,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120028,'dust snow effect',NULL,'','','',0,2306,32,0,0,0,0,0,17068,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120029,'',NULL,'','','',0,5012,49,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120030,'A frozen length of ice',NULL,'','','',0,5086,43,0,1,1,52,0,1494,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120031,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120033,'egg1',NULL,'','','',0,2306,32,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120034,'egg_shells',NULL,'','','',0,2306,56,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120035,'egg1',NULL,'','','',0,6045,67,0,1,1,53,0,1494,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120036,'egg2',NULL,'','','',0,2306,67,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120037,'egg3_broken',NULL,'','','',0,2306,56,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120038,'invisible wall, force shield',NULL,'','','',0,3180,77,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120039,'goblinpop1',NULL,'','','',0,9678,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120040,'goblinpop2',NULL,'','','',0,9679,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120041,'listening_device_01',NULL,'','','',0,3252,14,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120042,'Gate Captain H''Bri',NULL,'','','',255,182,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120043,'listening_device_03',NULL,'','','',0,3252,19,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120044,'listening_device_04',NULL,'','','',0,3252,18,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120045,'listening_device_08',NULL,'','','',0,3252,22,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120046,'listening_device_02',NULL,'','','',0,3252,19,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120047,'listening_device_10',NULL,'','','',0,3252,20,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120048,'listening_device_09',NULL,'','','',0,3252,16,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120049,'an enslaved snow goblin',NULL,'','','',255,7039,44,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120050,'a Guardian of D''Ina',NULL,'','','',255,182,62,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120051,'a partially thawed goblin',NULL,'','','',255,7039,32,0,1,1,11,0,1867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120052,'listening_device_07',NULL,'','','',0,3252,18,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120053,'goblinpop3',NULL,'','','',0,9680,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120054,'listening_device_06',NULL,'','','',0,3252,17,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120055,'listening_device_05',NULL,'','','',0,3252,18,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120056,'collision cage',NULL,'','','',0,2451,106,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120057,'Ice Brazier',NULL,'','','',0,1905,132,0,1,1,0,0,1494,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120058,'Ice Maiden D''Ina',NULL,'','','',255,8234,192,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120059,'A Hatched Ice Dragon',NULL,'','','',255,9425,96,0,1,1,11,0,1867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120060,'invisible wall, force shield',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120061,'Exit',NULL,'','','',0,10004,64,0,1,1,54,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120062,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5120063,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130000,'a despaired custodian','','','','',255,6539,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130001,'Lanielle','<Love''s Protector>','','','',8,2849,38,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130002,'an agonizing fury','','','','',255,10512,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130003,'a suffering fury','','','','',255,10513,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130004,'a doleful listlessness','','','','',255,2389,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130005,'a fragile melancholy sadness','','','','',255,11251,64,0,1,1,11,0,8179,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130006,'a sorrowful flame sentinel','','','','',255,6529,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130007,'neglectful muck','','','','',255,8202,15,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130008,'Arawen','<Love''s Protector>','','','',8,2849,38,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130009,'Gwestanna','<Love''s Protector>','','','',8,2849,38,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130010,'an eternal chapel guardian','','','','',255,10685,80,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130011,'Mithaniel Marr','<The Sorrowful>','','','',9,11519,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130012,'a wild bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130013,'a wistful wairy-fitch','','','','',255,10503,64,0,1,1,11,0,1794,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130014,'Thane-Malach','<Plagued Essence of Regret>','','','',255,2389,144,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130015,'Elefa''s Holy Avenger','','','','',255,3647,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130016,'Willowmeena','<The White Fairy Queen>','','','',255,10503,80,0,1,1,11,0,18620,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130017,'Woefulness','<Guardian of the Flame>','','','',255,7627,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130018,'a wandering eye','','','','',255,247,16,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130019,'Valoron the Just','<Chapel Sentinel>','','','',255,5193,96,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130020,'sprite of passion','','','','',255,10517,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130021,'chapel_door_right',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130022,'chapel_door_left',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,233,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130026,'eternal_flame',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130027,'tenderness_bough',NULL,'','','',0,1673,12,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130028,'lock symbol',NULL,'','','',0,6313,32,0,1,1,0,0,18961,0,0,0,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130029,'debris',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130030,'chapel_evil_release',NULL,'','','',0,6313,32,0,1,1,0,0,18991,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130031,'Erollsi Release Effects',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130032,'Essence of Erollisi',NULL,'','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130033,'perfect pomegranate',NULL,'','','',0,11314,16,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130034,'A Lovely Treasure Trove',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130035,'widget_gates_zoneout_to_everfrost',NULL,'','','',0,49,32,0,0,0,120,0,0,0,0,1,0,0,801,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130036,'widget_chapel_coffin',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,278,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130037,'Return to Norrath',NULL,'','','',0,11346,16,0,0,0,120,0,0,0,0,1,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130038,'fermented pomegranate',NULL,'','','',0,11197,12,0,1,1,2,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130039,'fresh pomegranate',NULL,'','','',0,11315,9,0,1,1,2,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5130040,'?',NULL,'','','',0,11250,32,0,1,1,6,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160000,'a risen Ry''Gorr','','','','',255,139,38,0,1,1,11,0,1494,1,1,1,0,1,36,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160002,'a Ry''Gorr lackey','','','','',0,13209,29,0,1,1,11,0,540,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160003,'a Ry''Gorr reanimator','','','','',0,13209,36,1,1,1,11,0,0,0,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160004,'Jebaner','Tuce''s earthen avatar','','','',255,6280,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160005,'a Ry''Gorr lackey','','','','',20,13209,28,2,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160006,'a Ry''Gorr reanimator','','','','',20,13209,37,1,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160007,'black shard',NULL,'','','',0,3160,154,0,0,0,0,0,17431,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5160008,'exit_from_rygorr_cave',NULL,'','','',0,49,32,0,0,0,870,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170001,'a shattered Ry''Gorr','','','','',0,139,38,0,1,1,11,0,0,0,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170002,'a Ry''Gorr spiritcaster','','','','',0,13209,32,0,1,1,11,0,0,1,1,0,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170003,'Orug Deathmaker','','','','',0,13209,41,0,1,1,11,0,0,1,1,1,0,0,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170005,'a Ry''Gorr reanimator','','','','',20,13209,37,1,1,1,11,0,0,1,1,1,0,0,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170006,'a shattered Ry''Gorr','','','','',255,139,38,0,1,1,11,0,1494,1,1,1,0,1,36,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170008,'black shard',NULL,'','','',0,3160,154,0,0,0,1293,0,17431,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170009,'orc pickaxe',NULL,'','','',0,13620,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170010,'black shard',NULL,'','','',0,3162,40,0,0,0,0,0,2623,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170011,'black shard',NULL,'','','',0,3158,32,0,0,0,0,0,2623,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5170012,'exit_from_rygorr_cave',NULL,'','','',0,49,32,0,0,0,870,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220001,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220002,'','','','','',255,8889,136,8,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220003,'Sakhr','<Paineel Citizen>','','','',9,1604,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220004,'Isar','<Paineel Citizen>','','','',9,1590,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220005,'Salah','<Erudin Refugee>','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220006,'Alia','','','','',9,1596,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220007,'Haadiya','<Erudin Refugee>','','','',9,1594,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220008,'Fadil','<Erudin Refugee>','','','',9,119,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220009,'Dhakiy','<Erudin Refugee>','','','',9,1602,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220010,'Fahimah','<Erudin Refugee>','','','',9,1596,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220011,'Akram','<Erudin Refugee>','','','',9,119,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220012,'Ratib the Heretic','<Erudin Refugee>','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220013,'Naizim','<Erudin Refugee>','','','',9,1605,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220014,'','','','','',255,195,169,5,1,1,0,0,517,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220015,'','','','','',255,5987,145,0,1,1,0,0,517,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220016,'',NULL,'','','',255,4544,160,8,1,1,464,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220017,'zone_to_odus_north',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220018,'zone_to_vastydeep01',NULL,'','','',0,49,32,0,1,1,682,0,0,0,0,1,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220019,'zone_to_vastydeep02',NULL,'','','',0,49,32,0,1,1,683,0,0,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5220020,'zone_to_vastydeep03',NULL,'','','',0,49,32,0,1,1,684,0,0,0,0,1,0,0,131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230000,'Roehn Theer','<The Sentinel of Balance>','','','',3,11675,128,0,1,1,0,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230001,'6_9','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230002,'7_7','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230003,'7_6','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230004,'7_5','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230005,'6_8','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230006,'6_7','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230007,'6_6','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230008,'6_5','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230009,'7_4','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230010,'7_3','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230011,'6_4','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230012,'6_3','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230013,'6_2','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230014,'6_1','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230015,'Banished God','','','','',3,2306,32,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230016,'5_7','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230017,'5_6','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230018,'5_5','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230019,'4_8','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230020,'4_7','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230021,'4_6','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230022,'4_5','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230023,'3_8','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230024,'3_7','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230025,'3_6','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230026,'3_5','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230027,'2_8','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230028,'2_7','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230029,'2_6','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230030,'2_5','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230031,'5_4','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230032,'5_3','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230033,'5_2','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230034,'4_4','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230035,'4_3','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230036,'4_2','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230037,'5_1','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230038,'4_1','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230039,'3_1','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230040,'2_1','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230041,'3_4','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230042,'3_3','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230043,'3_2','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230044,'2_4','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230045,'2_3','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230046,'2_2','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230047,'5_9','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230048,'4_9','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230049,'3_9','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230050,'2_9','','','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230051,'a royal guard','<Roehn  Theer Loyalist>','','','',3,10021,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230052,'erudin_exit_clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230053,'2st floor top 03 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230054,'2st floor elevator 03 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230056,'1st floor elevator clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230057,'4th floor disc clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230058,'2st floor top 04 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230059,'2st floor elevator 04 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230060,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230061,'1st floor elevator clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230062,'2st floor top 01 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230063,'2st floor elevator 01 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230064,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230065,'2st floor top 02 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230066,'2st floor elevator 02 clicky',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230067,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,356,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230068,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230069,'4th floor elevator clicky top',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230070,'4th floor elevator clicky bottom',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230071,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,344,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230072,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,843,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230073,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,729,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230074,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3843,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230075,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230076,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230077,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230078,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,374,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230079,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,427,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230080,'7_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230081,'7_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230082,'7_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230083,'7_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230084,'6_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230085,'6_7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230086,'6_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230087,'6_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230088,'5_8',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230089,'5_7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230090,'5_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230091,'5_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230092,'4_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230093,'4_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230094,'4_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230095,'3_9',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230096,'3_8',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230097,'3_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230098,'2_6',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230099,'2_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230100,'6_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230101,'6_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230102,'6_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230103,'5_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230104,'5_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230105,'5_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230106,'5_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230107,'4_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230108,'3_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230109,'2_4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230110,'2_3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230111,'2_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230112,'1_7',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230113,'1_5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230114,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230115,'bookramp_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230116,'4th_floor_cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5230117,'death crystal',NULL,'','','',0,10019,32,0,1,1,0,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240000,'a phantasmal watchman','','','','',255,4917,44,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240001,'a phantasmal sentinel','','','','',255,5010,48,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240002,'a phantasmal adherent','','','','',255,5262,44,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240003,'a corrupted globule','','','','',255,11448,48,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240004,'Sohbahk the Unnatural','<Dweller of Sul>','','','',255,10532,160,0,1,1,11,0,16225,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240005,'a haunting watcher','','','','',255,236,96,0,1,1,11,0,16011,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240006,'a tyrannical prowler','','','','',255,5231,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240007,'a voracious resident','','','','',255,4661,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240008,'Sahkmeht the Destructor','<Shade of Sul>','','','',255,5000,112,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240009,'a undead prowler','','','','',9,11212,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240010,'Ketahn Akh Sul','<Lord of the Court>','','','',255,5618,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240011,'a sewage slime','','','','',255,8197,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240012,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240013,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240014,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240016,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240018,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240019,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240020,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240021,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240022,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240023,'Unbroken Canopic Jar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240025,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240026,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240027,'catapult base',NULL,'','','',0,13422,96,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240028,'Monolith of Tears',NULL,'','','',0,5408,32,0,1,1,61,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240029,'blue aura feather',NULL,'','','',0,11063,64,0,1,1,0,0,16902,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240030,'zone_to_sinking_sands',NULL,'','','',0,49,32,0,0,0,421,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5240031,'red aura feather',NULL,'','','',0,11063,64,0,1,1,0,0,3753,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250000,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250001,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250002,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250003,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250004,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250005,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250006,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250007,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250008,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250009,'a corrupt cavern tangle','','','','',255,174,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250010,'a cavern crawler','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250011,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5250012,'rock01',NULL,'','','',0,1550,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260000,'a tainted scorpion','','','','',255,251,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260001,'a tainted drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260002,'a tainted hill cat','','','','',255,1372,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260003,'a tainted hill cat','','','','',255,1372,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260004,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260005,'heavy_stone_archway',NULL,'','','',0,1439,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5260006,'zone_out',NULL,'','','',0,1438,35,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270000,'a tainted scorpion','','','','',255,251,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270001,'a tainted drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270002,'a tainted hill cat','','','','',255,1372,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270003,'a tainted hill cat','','','','',255,1372,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270004,'a tainted drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270005,'a tainted drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270006,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270007,'heavy_stone_archway',NULL,'','','',0,1439,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5270008,'zone_out',NULL,'','','',0,1438,35,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280001,'a Tallon grunt','','','','',20,5022,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280002,'a Tallon spotter','','','','',20,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280003,'a Tallon guard','','','','',20,5022,38,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280004,'a Tallon watchman','','','','',20,5021,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280005,'a Tallon witch doctor','','','','',20,5108,34,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280006,'Captain Zun''Klug','','','','',20,5021,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280007,'a Tallon medic','','','','',20,5108,33,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280008,'a Tallon elite guard','','','','',20,5022,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280009,'a Tallon warpriest','','','','',20,5108,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280010,'heavy_stone_archway',NULL,'','','',0,1439,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280011,'zone_out',NULL,'','','',0,1438,35,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280012,'a Tallon grunt','','','','',20,5022,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280013,'a Tallon spotter','','','','',20,5021,34,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280014,'a Tallon guard','','','','',20,5022,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280015,'a Tallon watchman','','','','',20,5021,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280016,'a Tallon witch doctor','','','','',20,5108,34,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280017,'a Tallon medic','','','','',20,5108,33,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280018,'a Tallon elite guard','','','','',20,5022,39,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280019,'a Tallon warpriest','','','','',20,5108,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280022,'heavy_stone_archway',NULL,'','','',0,1439,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5280023,'zone_out',NULL,'','','',0,1438,35,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290000,'a Sullon grunt','','','','',20,5022,44,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290001,'a Sullon rationeer','','','','',20,5108,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290002,'a Sullon worker','','','','',20,5021,41,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290003,'a Sullon miner','','','','',20,5021,41,3,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290004,'a Sullon miner','','','','',20,5108,37,2,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290005,'a Sullon miner','','','','',20,5022,44,3,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290006,'a Sullon medic','','','','',20,5108,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290007,'a Sullon excavator','','','','',20,5022,45,1,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290008,'Foreman Hvar''Jan','','','','',20,5021,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290009,'a Sullon watchman','','','','',20,5021,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290010,'a Sullon digger','','','','',20,5022,44,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290011,'a Sullon sapper','','','','',20,5021,42,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290012,'a Sullon provisioner','','','','',20,5108,37,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290013,'qey_boulder02',NULL,'','','',0,1725,64,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290014,'heavy_stone_archway',NULL,'','','',0,1439,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290015,'zone_out',NULL,'','','',0,1438,35,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290016,'a Sullon grunt','','','','',20,5022,44,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290017,'a Sullon rationeer','','','','',20,5108,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290018,'a Sullon worker','','','','',20,5021,41,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290019,'a Sullon miner','','','','',20,5021,41,3,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290020,'a Sullon miner','','','','',20,5108,38,3,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290021,'a Sullon miner','','','','',20,5022,44,3,1,1,11,0,13113,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290022,'a Sullon medic','','','','',20,5108,37,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290023,'a Sullon excavator','','','','',20,5022,44,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290024,'a Sullon watchman','','','','',20,5021,41,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290025,'a Sullon digger','','','','',20,5022,44,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290026,'a Sullon sapper','','','','',20,5021,41,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290027,'a Sullon provisioner','','','','',20,5108,38,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290029,'qey_boulder03',NULL,'','','',0,1725,40,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290030,'heavy_stone_archway',NULL,'','','',0,1439,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5290031,'zone_out',NULL,'','','',0,1438,35,0,0,0,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300000,'a dusty vase','','','','',255,4564,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300001,'Jeker','Foshia''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300002,'a mist grinnin fisher','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300003,'a mist grinnin brute','','','','',255,1346,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300004,'a bloated muckfly','','','','',255,2389,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300005,'a larval feeder','','','','',255,284,22,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300006,'a mist grinnin herbalist','','','','',255,1346,35,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300007,'a Neonate vanquisher','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300008,'a Neonate satiator','','','','',1,4634,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300009,'a crumbling wall','','','','',255,4642,35,3,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300010,'a dusty coffin','','','','',255,4602,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300011,'a fleshgoyle','','','','',255,4545,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300012,'a ravenous feeder','','','','',255,284,89,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300013,'a bloated muckfly','','','','',255,2389,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300014,'a mist grinnin theurgist','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300015,'a hellhound','','','','',255,4527,30,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300016,'a flesh draped knight','','','','',9,4542,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300017,'a watcher of Sheya','','','','',255,273,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300018,'a frenzied fleshgoyle','','','','',255,4545,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300019,'a soul parasite','','','','',255,236,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300020,'a jagmouth','','','','',255,204,80,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300021,'an Adherant slayer','','','','',1,4631,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300022,'an Adherant seer','','','','',1,4633,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300023,'an Adherant diabolist','','','','',1,4637,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300024,'an Adherant satiator','','','','',1,4634,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300025,'a Neonate ravager','','','','',1,4632,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300026,'a Bloodsworn diabolist','','','','',1,4634,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300027,'a Bloodsworn vanquisher','','','','',1,4631,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300028,'a flesh draped swordsman','','','','',9,4539,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300029,'an Adherant vanquisher','','','','',1,4631,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300030,'a Neonate seer','','','','',1,4632,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300031,'a Neonate diabolist','','','','',1,4633,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300032,'a flesh draped mage','','','','',9,4535,38,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300033,'an Adherant ravager','','','','',1,4632,38,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300034,'a Neonate slayer','','','','',1,4636,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300035,'a Bloodsworn slayer','','','','',1,4632,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300036,'a Bloodsworn seer','','','','',1,4634,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300037,'a Bloodsworn satiator','','','','',1,4632,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300038,'a Bloodsworn ravager','','','','',1,4637,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300039,'Nilth T''Feyd','','','','',1,4634,44,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300040,'a drained grinnin','','','','',255,1346,41,0,1,1,0,0,11769,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300041,'a weakened grinnin','','','','',255,4673,41,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300042,'Rhayn T`Dax','','','','',1,4634,41,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300043,'quest_bon_artifact',NULL,'','','',0,49,32,0,1,1,779,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300044,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300045,'e2_dryxl_trath',NULL,'','','',0,2306,32,0,1,1,0,0,1870,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300046,'zone_to_nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300047,'quest_symbol_two_coffin',NULL,'','','',0,4602,32,0,1,1,777,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300048,'ornate_coffin',NULL,'','','',0,4603,32,0,1,1,777,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5300049,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310000,'royal guardian','','','','',255,4539,32,0,1,1,11,0,0,1,1,1,0,0,36,30000,15000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310001,'royal acolyte','','','','',255,4538,32,0,1,1,11,0,0,1,1,1,0,0,36,25000,15000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310002,'King Zalak the Ancient','','','','',255,4557,80,0,1,1,11,0,0,1,1,1,0,0,36,450000,225000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310003,'royal astrologer','','','','',255,4535,32,0,1,1,11,0,0,1,1,1,0,0,36,25000,15000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310004,'royal patriarch','','','','',255,4562,32,0,1,1,11,0,0,1,1,1,0,0,36,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310005,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5310006,'',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320000,'Gerbi''s anvil','','','','',255,3316,32,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320001,'an ice drake','','','','',255,238,48,2,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320002,'Ice Maiden of D''Ina','<Maidens of E''ci>','','','',255,182,47,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320003,'Ice Maiden of D''Ina','<Maidens of E''ci>','','','',255,182,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320004,'Ice Maiden D''Ina','<Maidens of E''ci>','','','',255,8234,64,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320005,'a loyal ice golem','','','','',255,2553,44,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320006,'a large ice golem','','','','',255,2553,64,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320007,'wall_gate_right_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320008,'wall_gate_right_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320009,'vox_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320010,'vox_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320011,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320012,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320013,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320015,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320016,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320017,'goblin_cage01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320018,'snow',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,518,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320019,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320020,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320021,'snow',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,506,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320022,'goblin_cage01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320023,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320024,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,194,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320025,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320026,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320027,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320028,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320029,'Velium Crystal of Focus',NULL,'','','',0,9500,96,0,1,1,0,0,1867,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320030,'dragon_invisible_wall',NULL,'','','',0,4544,128,0,1,1,0,0,17142,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320031,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320032,'bellows',NULL,'','','',0,1920,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320033,'catapult base',NULL,'','','',0,13422,96,0,1,1,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320034,'wood_plank',NULL,'','','',0,5086,40,0,1,1,0,0,1494,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320035,'an enchanted battle ram',NULL,'','','',0,2373,32,0,1,1,0,0,1494,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320036,'drakota eggs',NULL,'','','',0,6590,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320037,'a snow goblin soldier',NULL,'','','',255,7039,45,7,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320038,' Lieutenant Zax Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320039,'Zobby Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320040,'Sergeant Snur Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320041,'a restrained ice drake',NULL,'','','',255,13278,19,0,1,1,0,0,3405,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320042,'Baelin Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320043,'Nolram Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320044,'Bartie Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320045,'Kaan Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320046,'Ryni Frostfoot',NULL,'','','',255,7039,44,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320047,'Strofy Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320048,'a snow goblin lackey',NULL,'','','',255,7039,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320049,'a snow goblin slave',NULL,'','','',255,7039,41,4,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320050,'Gerbi Frostfoot',NULL,'','','',255,7039,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320051,'a snow goblin scout',NULL,'','','',255,7039,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320052,'General Snig Frostfoot',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320053,'an enthralled snow beast',NULL,'','','',255,7257,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320054,'a snow goblin slave driver',NULL,'','','',255,7039,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320055,'a restrained yeti',NULL,'','','',255,7257,57,0,1,1,0,0,3405,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320056,'a snow goblin watcher',NULL,'','','',255,7039,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320057,'a crispy snow goblin',NULL,'','','',255,7039,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320058,'Exploding Flame',NULL,'','','',255,5987,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320059,'Hoarfrost Pyreflyte',NULL,'','','',255,13278,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320060,'dragon_invisible_wall_switch_dina',NULL,'','','',0,4544,53,0,1,1,0,0,17142,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320061,'switch 01 handle scripted',NULL,'','','',0,6481,61,0,1,1,0,0,1494,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320062,'switch 01 base',NULL,'','','',0,6480,61,0,1,1,0,0,1494,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320063,'a captured frostfoot sneakie',NULL,'','','',255,7039,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320064,'Snow Beast Statue',NULL,'','','',0,13627,96,0,1,1,0,0,4141,0,0,0,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320065,'Vrewwx',NULL,'','','',255,13368,144,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320066,'Ice Maiden Statue',NULL,'','','',0,13654,128,0,1,1,0,0,4141,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320067,'captain_invisible_wall',NULL,'','','',0,4544,96,0,1,1,680,0,17142,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5320068,'invis cube for captain teleport',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330000,'a decayed corpse','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330001,'a risen D''Morte','','','','',255,4536,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330002,'a shambling corpse','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330003,'Izinar Malkevantrii','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330004,'an assistant conjuror','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330005,'a coffin','','','','',255,4602,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330006,'a thick wall','','','','',255,4642,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330007,'Xoser','Izinar Malkevantrii''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330008,'Gantik','An assistant conjuror''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330009,'Kann','An assistant conjuror''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330010,'Gobn','A''Lyn D''Morte''s shadowy stalker','','','',255,3717,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330011,'A''Lyn D''Morte','','','','',255,2915,32,0,1,1,11,0,3861,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330012,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330013,'dpo_wall',NULL,'','','',0,4642,28,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330014,'dpo_summoning_efffects',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5330015,'zone_to_nektulos',NULL,'','','',0,49,32,0,0,0,117,0,0,0,0,1,0,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5340000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5340001,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5340002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5340003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5340004,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5340005,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350000,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350001,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350002,'Priest of Discord','','','','',9,134,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350003,'Sister of War','<Level 70-95 Equipment Upgrades>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350004,'Sister of War','<Level 40-60 Equipment Upgrades>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350005,'Sister of War','<Level 10-30 Equipment Upgrades>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350006,'Scion of War','<Legacy Goods>','','','',12,124,35,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350007,'Scion of War','<Expendable Goods>','','','',12,124,35,0,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350008,'Scion of War','<Vintage Wares>','','','',12,124,36,1,1,1,10,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350009,'Sister of War','<Prestige Items Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350010,'Sister of War','<Adornment Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350011,'Brollik Spelltwine','','','','',5,121,38,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350012,'Sister of War','<Level 10-30 Weapon Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350013,'Serril Trueheart','','','','',9,132,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350014,'Tass Brewbeard','','','','',2,110,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350015,'Sister of War','<Level 91-95 Weapon Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350016,'Sister of War','<Level 70-90 Weapon Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350017,'Sister of War','<Level 40-60 Weapon Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350018,'Darken D''Verrus','','','','',1,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350019,'Sister of War','<Level 91-95 Armor Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350020,'Sister of War','<Level 70-90 Armor Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350021,'Sister of War','<Level 40-60 Armor Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350022,'Sister of War','<Level 10-30 Armor Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350023,'Ssral Stonefist','','','','',10,103,38,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350024,'Sister of War','<Level 91-95 Jewelry Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350025,'Sister of War','<Level 70-90 Jewelry Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350026,'Sister of War','<Level 10-30 Jewelry Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350027,'Sabira Strongtree','','','','',6,79,38,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350028,'Sister of War','<Level 40-60 Jewelry Merchant>','','','',1,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350029,'Scion of Discord','<Victory Appraiser>','','','',0,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350030,'Scion of Discord','<Carnage Appraiser>','','','',0,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350031,'Priest of Discord','','','','',0,134,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350032,'Sweetbabyjeebus','Undying Servant','','','',0,8220,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350033,'Perpe','Nagafen.Perpe''s bear warder','','','',0,3836,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350034,'Ohmadon','Nagafen.Ohmadon''s undead knight','','','',0,12214,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350035,'Sister of War','<Prestige Items Merchant>','','','',0,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350036,'Sister of War','<Weapon Merchant>','','','',0,116,35,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350037,'Brollik Spelltwine','','','','',0,121,38,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350038,'Sabira Strongtree','','','','',0,79,38,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350039,'Serril Trueheart','','','','',0,132,38,0,1,1,0,0,11224,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350040,'Tass Brewbeard','','','','',0,110,38,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350041,'Sister of War','<Jewelry Merchant>','','','',0,116,35,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350042,'Jonobab','Nagafen.Goux''s avian warder','','','',0,16217,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350043,'Sister of War','<Adornment Merchant>','','','',0,116,35,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350044,'Ssral Stonefist','','','','',0,103,38,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350045,'Darken D''Verrus','','','','',0,115,38,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350046,'Sister of War','<Vanquish Armor Merchant>','','','',0,11968,35,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350047,'Sister of War','<Armor Merchant>','','','',0,116,35,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350048,'Zebekn','Permafrost.Sloopy''s familiar','','','',0,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350049,'Nagfenlightning','Nagafen.Kashie''s familiar','','','',0,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350050,'Healface','Nagafen.Healface''s spirit companion','','','',0,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350051,'Gabn','Gavel of Justice','','','',0,5987,12,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350052,'Atua','Nagafen.Pirus''s aquatic warder','','','',0,211,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350053,'Gorgeous','Unrest.Friale''s pet gorg?','','','',0,5940,9,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350054,'Gartik','Minion of Ro','','','',0,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350055,'Kabarer','Unrest.Friale''s earthen avatar','','','',0,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5350056,'Champion''s Respite Portal',NULL,'','','',0,15477,32,0,0,0,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360000,'Interior House Accessor',NULL,'','','',0,15642,16,0,1,1,28,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360001,'a pristine Kaladim bucket',NULL,'','','',0,2074,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360002,'pristine round quilted rug',NULL,'','','',0,5222,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360003,'pristine worn straw mat',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360004,'sumac couch',NULL,'','','',0,11384,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360005,'a pristine mine lantern',NULL,'','','',0,7326,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360006,'Pristine teak wall mirror',NULL,'','','',0,7303,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360007,'an Order of Rime barrel',NULL,'','','',0,10980,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360008,'pristine marble eggs',NULL,'','','',0,5200,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360009,'a pristine bread pan',NULL,'','','',0,7346,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360010,'a pristine muffin pan',NULL,'','','',0,7270,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360011,'sumac washstand',NULL,'','','',0,11422,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360012,'pristine halfling hanging chimes',NULL,'','','',0,7337,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360013,'Female Clockwork Gnome Toy',NULL,'','','',0,6669,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360014,'sapphire stained glass oval',NULL,'','','',0,12102,13,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360015,'mosaic inlaid mirror',NULL,'','','',0,12126,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360016,'Blue Frog Plushie',NULL,'','','',0,237,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360017,'Blue Marble Divider',NULL,'','','',0,10671,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360018,'Savannah Tree',NULL,'','','',0,2382,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360019,'plain Nektulos pine tree',NULL,'','','',0,7995,17,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360020,'Ruby Djinn Bottle',NULL,'','','',0,11786,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360021,'Golden Rug of the Beloved',NULL,'','','',0,9558,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360022,'Erollisi''s Arrow',NULL,'','','',0,11393,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360023,'an ornate dining plate',NULL,'','','',0,2814,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360024,'Medium Male Mannequin',NULL,'','','',0,8051,35,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360025,'Magic Door to the Guild Hall',NULL,'','','',0,2031,16,0,1,1,857,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360026,'Teleportation Pad',NULL,'','','',0,2684,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360027,'wide carved bench',NULL,'','','',0,12514,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360028,'Kromzek Fence Link',NULL,'','','',0,675,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360029,'Froglok Male Mannequin',NULL,'','','',0,8098,67,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360030,'intricate Paineel wall sconce',NULL,'','','',0,12533,47,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360031,'plain sumac room divider',NULL,'','','',0,11440,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360032,'Pristine large sandworn pillar',NULL,'','','',0,7268,42,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360033,'sumac banquet table',NULL,'','','',0,11391,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360034,'Froglok Female Mannequin',NULL,'','','',0,8097,60,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360035,'Polished Ice Tile',NULL,'','','',0,13240,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360036,'Small Velium Gear (Active)',NULL,'','','',0,10573,27,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360037,'Long Baneful Rug',NULL,'','','',0,13893,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360038,'kejek totem pole',NULL,'','','',0,12491,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360039,'kerra steps',NULL,'','','',0,12490,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360040,'briarwood fence',NULL,'','','',0,4717,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360041,'Medium Female Mannequin',NULL,'','','',0,8052,67,0,1,1,853,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360042,'Wall-Clinging Vine',NULL,'','','',0,10456,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360043,'potted purple lilies',NULL,'','','',0,7462,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360044,'Grassy Knoll of Butterflies',NULL,'','','',0,9929,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360045,'potted white lilies',NULL,'','','',0,7463,21,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360046,'Pristine desert poppies',NULL,'','','',0,48,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360047,'a merchant display cart',NULL,'','','',0,4435,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360048,'Single Red Rose',NULL,'','','',0,7142,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360049,'Bristlebane Day Jester',NULL,'','','',0,1332,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360050,'Purple Roses Blooming with Love',NULL,'','','',0,7137,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360051,'Yellow, Pink, and Red Roses',NULL,'','','',0,7126,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360052,'Faydwer Oak Tree',NULL,'','','',0,10327,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360053,'Spiceleaf Herb',NULL,'','','',0,887,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360054,'Pristine indium cage bars',NULL,'','','',0,7661,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360055,'Small Rusty Gear (Active)',NULL,'','','',0,10630,104,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360056,'a pristine standard teak bench',NULL,'','','',0,2981,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360057,'intricate stained glass oval',NULL,'','','',0,12218,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360058,'Baneful Sarcophagus Lid',NULL,'','','',0,11267,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360059,'Paineel floor lamp',NULL,'','','',0,12536,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360060,'Corrugated Floor Panels',NULL,'','','',0,4600,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360061,'Prefabricated Glorious Frostfell Sconce',NULL,'','','',0,7056,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360062,'Prefabricated Regal Frostfell Sconce',NULL,'','','',0,5965,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360063,'Kelethin Courser',NULL,'','','',0,6852,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360064,'Parade Misty Mustang',NULL,'','','',0,6857,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360065,'Parade Karana Plainstrider',NULL,'','','',0,6853,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360066,'Row of Bristlebane Day Candles',NULL,'','','',0,12624,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360067,'ruby stained glass oval',NULL,'','','',0,12217,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360068,'a Vasty Deep shrine',NULL,'','','',0,12805,21,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360069,'Qeynos Round Counter',NULL,'','','',0,11562,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360070,'a tunarian eagle staff',NULL,'','','',0,4468,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360071,'a Burynai Teddy Bear',NULL,'','','',0,7394,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360072,'winged aviak bench',NULL,'','','',0,12424,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360073,'pristine adamantine round pool',NULL,'','','',0,7381,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360074,'Red Shiny Bauble',NULL,'','','',0,8728,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360075,'Blue Shiny Bauble',NULL,'','','',0,8722,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360076,'Ykeshan Bear Companion',NULL,'','','',0,8869,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360077,'Blue Marble Pole',NULL,'','','',0,11608,77,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360078,'plain rosewood tile',NULL,'','','',0,15762,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360079,'Azure Stained Glass Square',NULL,'','','',0,1318,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360080,'Neriak Destrier',NULL,'','','',0,6852,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360081,'Halasian Draft Horse',NULL,'','','',0,6849,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360082,'Parade Steppes Pony',NULL,'','','',0,6858,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360083,'Jester''s Festive Cup',NULL,'','','',0,1363,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360084,'a dining plate',NULL,'','','',0,2813,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360085,'Halasian Brewday Counter',NULL,'','','',0,13291,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360086,'Celebration of Spring Sculpture',NULL,'','','',0,10583,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360087,'pristine cobalt chest',NULL,'','','',0,6424,67,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360088,'Tinkerer''s Regulat-o-tron',NULL,'','','',0,10555,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360089,'Smokestack',NULL,'','','',0,10556,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360090,'Large Tinkered Lamppost',NULL,'','','',0,10587,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360091,'plain redwood tile',NULL,'','','',0,15765,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360092,'Vertically Aligned Ronium Gear (Inactive)',NULL,'','','',0,10560,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360093,'Tinkered Distillery Column',NULL,'','','',0,2491,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360094,'kerra round table',NULL,'','','',0,12481,24,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360095,'Red Marble Column',NULL,'','','',0,11642,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360096,'kerra short chair',NULL,'','','',0,12486,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360097,'adamantine tile',NULL,'','','',0,15759,192,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360098,'Windswept Frostflower',NULL,'','','',0,885,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360099,'Horse of a Different Color',NULL,'','','',0,6840,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360100,'Elddarian Charger',NULL,'','','',0,6850,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360101,'New Halas Fireworks Launcher',NULL,'','','',0,15571,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360102,'plain maple tile',NULL,'','','',0,15751,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360103,'Kelethin Fireworks Launcher',NULL,'','','',0,15572,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360104,'Qeynos Fireworks Launcher',NULL,'','','',0,15569,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360105,'Freeport Fireworks Launcher',NULL,'','','',0,15568,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360106,'Neriak Fireworks Launcher',NULL,'','','',0,15567,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360107,'Gorowyn Fireworks Launcher',NULL,'','','',0,15570,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360108,'a pristine standard ash shelf',NULL,'','','',0,2113,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360109,'banded sandalwood room divider',NULL,'','','',0,10686,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360110,'Pristine indium brazier',NULL,'','','',0,7660,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360111,'Medium Rhodium Gear (Inactive)',NULL,'','','',0,10564,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360112,'Spoked Rusty Gear',NULL,'','','',0,10622,8,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360113,'Large Carbonite Gear (Inactive)',NULL,'','','',0,10557,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360114,'a pristine standard maple stool',NULL,'','','',0,2649,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360115,'feyiron fence',NULL,'','','',0,11401,40,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360116,'pristine purple nomad tent',NULL,'','','',0,5160,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360117,'Black Marble Pole',NULL,'','','',0,11611,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360118,'reflecting mirror',NULL,'','','',0,12127,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360119,'Font of the Kromzek',NULL,'','','',0,679,5,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360120,'a pristine briarwood chest',NULL,'','','',0,2654,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360121,'a pristine maple chest',NULL,'','','',0,2655,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360122,'White Marble Divider',NULL,'','','',0,10674,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360123,'small fancy mahogany counter',NULL,'','','',0,7617,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360124,'Simple Antonican-Style Guild Tapestry',NULL,'','','',0,1302,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360125,'large fancy mahogany counter',NULL,'','','',0,7615,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360126,'Wooden Pole',NULL,'','','',0,11609,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360127,'banded sandalwood tile',NULL,'','','',0,15756,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360128,'plain teak room divider',NULL,'','','',0,10683,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360129,'Spoked Rhodium Gear (Active)',NULL,'','','',0,10567,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360130,'Pristine Glorious Frostfell Sconce',NULL,'','','',0,7056,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360131,'Glorious Frostfell Sconce',NULL,'','','',0,7056,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360132,'a pristine tall cedar bookcase',NULL,'','','',0,2590,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360133,'pristine sandalwood platform',NULL,'','','',0,7664,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360134,'Granville''s Dining Table',NULL,'','','',0,2780,56,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360135,'pristine djinn''s pillow set',NULL,'','','',0,5225,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360136,'a pristine quirky oak chest',NULL,'','','',0,2656,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360137,'Goblet of Fermentation',NULL,'','','',0,12710,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360138,'plain briarwood room divider',NULL,'','','',0,10682,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360139,'a wooden easel with canvas',NULL,'','','',0,2561,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360140,'a pristine broken large bench',NULL,'','','',0,3312,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360141,'ornate stained glass oval',NULL,'','','',0,12099,10,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360142,'Tinkerer''s Worktable',NULL,'','','',0,10629,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360143,'Large Rhodium Gear (Inactive)',NULL,'','','',0,10558,4,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360144,'Jarsath Oak Tree',NULL,'','','',0,10326,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360145,'Rivervale Keg Table',NULL,'','','',0,12627,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360146,'pristine square quilted rug',NULL,'','','',0,5223,73,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360147,'pristine blue tent',NULL,'','','',0,5155,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360148,'an outrider''s cauldron',NULL,'','','',0,4436,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360149,'pristine nomad tent',NULL,'','','',0,5163,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360150,'Large Rhodium Angled Cog',NULL,'','','',0,13408,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360151,'Othmir Folding Table',NULL,'','','',0,14834,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360152,'pristine Rujarkian firepit',NULL,'','','',0,5168,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360153,'a pristine warped oak table',NULL,'','','',0,3612,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360154,'Calm Forgotten Pools Sproutling',NULL,'','','',0,830,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360155,'pristine potted palm',NULL,'','','',0,5224,19,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360156,'hua mein bed',NULL,'','','',0,12504,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360157,'Kelethin Curved Table',NULL,'','','',0,11578,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360158,'Flowering Tree',NULL,'','','',0,1624,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360159,'pristine ironwood canopy bed',NULL,'','','',0,2973,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360160,'pristine double nomad tent',NULL,'','','',0,5161,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360161,'pristine orange tent',NULL,'','','',0,5156,43,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360162,'Halas Curved Bench',NULL,'','','',0,13228,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360163,'Plate of Frostfell Chip Cookies',NULL,'','','',0,7969,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360164,'Frostfell Candies',NULL,'','','',0,7069,49,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360165,'A plate of Erollisi Marrsipan',NULL,'','','',0,8080,43,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360166,'pristine acrylia bench',NULL,'','','',0,6094,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360167,'Coldain Stone Counter',NULL,'','','',0,785,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360168,'Peppermint Buckler',NULL,'','','',0,9454,76,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360169,'Large White Peppermint Candle',NULL,'','','',0,7976,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360170,'Decorative Rainbow Candycane',NULL,'','','',0,5984,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360171,'Fancy Apple Pie',NULL,'','','',0,8721,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360172,'Moist Fruitcake',NULL,'','','',0,7071,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360173,'Figgy Pudding',NULL,'','','',0,14234,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360174,'Frostfell Pastries',NULL,'','','',0,8740,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360175,'Plate of Citrus',NULL,'','','',0,14244,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360176,'Frosted Apples',NULL,'','','',0,7068,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360177,'Darklight Merchant Tent',NULL,'','','',0,2293,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360178,'Metalized Ring of Devotion',NULL,'','','',0,6327,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360179,'redwood stool',NULL,'','','',0,7913,39,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360180,'adamantine room divider',NULL,'','','',0,15745,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360181,'Bolt of Fine Blue Cloth',NULL,'','','',0,11664,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360182,'fancy fulginate tile',NULL,'','','',0,15760,125,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360183,'Bolt of Fine Yellow Cloth',NULL,'','','',0,11671,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360184,'a pristine alder chest',NULL,'','','',0,2658,55,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360185,'Halasian tile',NULL,'','','',0,15753,134,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360186,'Halasian room divider',NULL,'','','',0,15767,35,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360187,'Cerulean Calm Bottle',NULL,'','','',0,11785,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360188,'Bottle of Temple Street Tonic',NULL,'','','',0,12731,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360189,'noble Paineel desk',NULL,'','','',0,12528,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360190,'Thief''s Golden Bowl',NULL,'','','',0,1377,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360191,'Jester''s Festive Bowl',NULL,'','','',0,1366,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360192,'Jester''s Festive Plate',NULL,'','','',0,1364,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360193,'Thief''s Golden Plate',NULL,'','','',0,1365,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360194,'plate of cheese',NULL,'','','',0,12468,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360195,'Custard Pie',NULL,'','','',0,7972,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360196,'Traditional Apple Pie',NULL,'','','',0,8720,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360197,'Frostfell Baked Ham',NULL,'','','',0,8739,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360198,'a pristine hanging mine lantern',NULL,'','','',0,7327,89,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360199,'mahogany display case',NULL,'','','',0,7914,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360200,'Tinkered Lighting Mechanism',NULL,'','','',0,13395,14,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360201,'The Trials of Sir Morgan',NULL,'','','',0,2596,32,0,1,1,440,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360202,'kerra Isle coconut',NULL,'','','',0,12251,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360203,'Bottle of Maj''Dul Merlot',NULL,'','','',0,12589,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360204,'Bottle of Sovereign Blanc',NULL,'','','',0,12590,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360205,'plain sumac tile',NULL,'','','',0,15764,147,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360206,'plain ash room divider',NULL,'','','',0,10679,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360207,'Hay Square',NULL,'','','',0,14319,127,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360208,'bale of hay',NULL,'','','',0,1848,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360209,'sack of grain',NULL,'','','',0,11409,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360210,'Kromzek Storage Chest',NULL,'','','',0,673,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360211,'Wavy Sand Square',NULL,'','','',0,11437,131,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360212,'Sandy Square',NULL,'','','',0,11436,131,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360213,'Kromzek Barrel',NULL,'','','',0,652,12,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360214,'Halfling Serving Tray',NULL,'','','',0,1311,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360215,'Spoked Rhodium Gear (Inactive)',NULL,'','','',0,10566,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360216,'Large Rhodium Gear (Active)',NULL,'','','',0,10559,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360217,'Carbonite Roller',NULL,'','','',0,13401,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360218,'Vertically Aligned Velium Gear (Inactive)',NULL,'','','',0,10561,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360219,'Medium Rhodium Gear (Active)',NULL,'','','',0,10627,7,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360220,'Blue Glass Bauble',NULL,'','','',0,8723,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360221,'Silver Shiny Bauble',NULL,'','','',0,8729,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360222,'Green Glass Bauble',NULL,'','','',0,8724,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360223,'Vacant Sarcophagus',NULL,'','','',0,11268,71,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360224,'Red Glass Bauble',NULL,'','','',0,8725,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360225,'Qeynos Sign',NULL,'','','',0,15695,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360226,'Qeynos Sign',NULL,'','','',0,15695,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360227,'Qeynos Sign',NULL,'','','',0,15695,57,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360228,'Qeynos Sign',NULL,'','','',0,15695,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360229,'Qeynos Sign',NULL,'','','',0,15695,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360230,'Qeynos Sign',NULL,'','','',0,15695,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360231,'Qeynos Sign',NULL,'','','',0,15695,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360232,'Qeynos Sign',NULL,'','','',0,15695,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360233,'Qeynos Sign',NULL,'','','',0,15695,28,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360234,'Qeynos Sign',NULL,'','','',0,15695,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360235,'Qeynos Sign',NULL,'','','',0,15695,15,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360236,'Qeynos Sign',NULL,'','','',0,15695,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360237,'Qeynos Sign',NULL,'','','',0,15695,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360238,'Qeynos Sign',NULL,'','','',0,15695,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360239,'Qeynos Sign',NULL,'','','',0,15695,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360240,'Qeynos Sign',NULL,'','','',0,15695,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360241,'Qeynos Sign',NULL,'','','',0,15695,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5360242,'Goahmari Herb',NULL,'','','',0,14836,32,0,1,1,2,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370001,'Master of the Guard','<Velium Guardian>','','','',255,18751,96,0,1,1,11,0,23666,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370002,'Hraashna the Warder','<Great Blue Dragon>','','','',255,17354,160,0,1,1,11,0,23666,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370003,'Nanzata the Warder','<Great Red Dragon>','','','',255,17357,160,0,1,1,11,0,23669,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370004,'Tukaarak the Warder','<Great Black Dragon>','','','',255,17353,160,0,1,1,11,0,21878,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370005,'Ventani the Warder','<Great Golden Dragon>','','','',255,17355,160,0,1,1,11,0,23667,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370006,'Kerafyrm','<The Sleeper>','','','',255,18945,80,0,1,1,0,0,0,1,1,1,0,34,96,1000000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370007,'The Final Arbiter','<Velium Protector>','','','',255,18751,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370008,'a baleful sentry','','','','',255,18597,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370009,'a drakeen protector','','','','',255,16198,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370010,'a drakeen guardian','','','','',255,16196,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370011,'a drakeen defender','','','','',255,16197,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370012,'an ancient sentry','','','','',255,18597,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370013,'a scorn specter','','','','',255,18763,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370014,'a screaming banshee','','','','',255,18799,60,0,1,1,11,0,23669,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370015,'an enkindled companion','','','','',255,18597,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370016,'Paldar Bladesoul','<Mourning Conjurer>','','','',9,11963,57,0,1,1,11,0,15989,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370017,'Ingolfa Arnar','<the Furious Phantasm>','','','',255,18867,112,0,1,1,11,0,23666,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370018,'an ancient caretaker','','','','',9,18760,48,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370019,'an ancient caretaker','','','','',9,18760,44,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370020,'a prismatic servitor','','','','',9,18760,54,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370021,'Eudoxxus','<Forbidding Gargoyle>','','','',9,18760,64,0,1,1,11,0,23667,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370022,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370023,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370024,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370025,'Ancient Draconic Text',NULL,'','','',0,3215,64,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370026,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370027,'Plundered Loot',NULL,'','','',0,19255,32,0,1,1,0,0,0,0,0,1,1,0,260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370028,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370029,'zone_to_eastern_wastes',NULL,'','','',0,2306,32,0,1,1,456,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370030,'portal_ancient_bridge',NULL,'','','',0,18599,32,0,1,1,457,0,3753,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5370031,'obliesk teleporter',NULL,'','','',0,18599,32,0,1,1,456,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380000,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380001,'a vengeful watcher','','','','',255,18786,128,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380002,'a flailing afflicter','','','','',255,19384,70,0,1,1,11,0,23669,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380003,'a Drakonine watcher','','','','',255,16198,96,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380004,'a forgotten defender','','','','',255,18597,54,6,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380005,'a forgotten protector','','','','',255,19399,54,0,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380006,'an ancient sentinel','','','','',255,18751,54,0,1,1,11,0,23666,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380007,'an ancient vanquisher','','','','',255,19401,64,0,1,1,11,0,23669,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380008,'Gloust M''ra','<Drakeen Controller>','','','',255,16197,131,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380009,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5380010,'obliesk teleporter',NULL,'','','',0,18599,32,0,1,1,456,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390000,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390001,'a flailing afflicter','','','','',255,19384,70,0,1,1,11,0,23669,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390002,'a Drakonine watcher','','','','',255,16198,96,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390003,'a forgotten defender','','','','',255,18597,54,6,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390004,'a forgotten protector','','','','',255,19399,54,0,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390005,'an ancient sentinel','','','','',255,18751,54,0,1,1,11,0,23666,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390006,'an ancient vanquisher','','','','',255,19401,64,0,1,1,11,0,23669,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390007,'golem','','','','',255,19399,96,0,1,1,0,0,0,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390008,'','','','','',9,18760,48,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390009,'Xentik','Starbux''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390010,'a Drakonine watcher','','','','',255,16198,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390011,'a vengeful watcher','','','','',255,18786,64,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390012,'a scorn harbinger','','','','',255,18763,64,0,1,1,11,0,10516,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390013,'Vorkess Glor','<The Progenitor>','','','',255,18751,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390014,'Dredfang','Dredfang''s mystical warder','','','',255,11211,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390015,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390016,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390017,'obliesk teleporter',NULL,'','','',0,18599,32,0,1,1,456,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5390018,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400000,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400001,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400002,'a Bloodscale zealot','','','','',255,17547,79,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400003,'a Grimscale aggressor','','','','',255,16196,70,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400004,'a Bloodscale oppressor','','','','',255,17345,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400005,'a vigilant construct','','','','',255,18751,60,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400006,'a Grimscale aggressor','','','','',255,16196,70,0,1,1,0,0,228,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400007,'a Bloodscale heretic','','','','',255,17546,79,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400008,'a Grimscale decimator','','','','',255,16200,57,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400009,'a Bloodscale boneweaver','','','','',255,17547,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400010,'a Bloodscale heretic','','','','',255,17546,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400011,'a vigilant construct','','','','',255,18751,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400012,'Commander Vazkurlack Primescale','<Awakened Legion>','','','',255,17134,133,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400013,'an autonomous spirit core','','','','',255,19368,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400014,'a vigilant caretaker','','','','',9,18760,60,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400015,'Skoop''s protoflame','','','','',255,2360,38,6,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400016,'Pillar of Defense','','','','',9,19192,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400017,'Pillar of Offense','','','','',9,19192,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400018,'Frost','<Keeper of Ice>','','','',255,19169,121,0,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400019,'Pillar of Finesse','','','','',9,19192,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400020,'Pillar of Avoidance','','','','',9,19192,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400021,'Sentinel','','','','',9,18760,44,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400022,'Skoop''s Furnace of Ro','','','','',255,4500,80,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400023,'Pyre','<Keeper of Flames>','','','',255,18764,124,0,1,1,11,0,0,1,1,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400024,'Eternal Sentinel','<Obsidian Construct>','','','',9,19354,112,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400026,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400027,'pillar 1 effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400028,'pillar 1 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400029,'pillar 4 effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400030,'pillar 4 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400031,'ice leash target p2p cube 1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400032,'pillar 2 effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400033,'pillar 2 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400034,'pillar 3 effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400035,'pillar 3 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400036,'broken gargoyle',NULL,'','','',0,18760,32,0,1,1,0,0,0,0,0,1,0,0,235,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400037,'fire pillar 1 effect cube',NULL,'','','',0,19192,32,0,1,1,0,0,0,0,0,0,0,0,572,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400038,'fire pillar 4 effect cube',NULL,'','','',0,19192,32,0,1,1,0,0,0,0,0,0,0,0,572,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400039,'fire pillar 4 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400040,'fire pillar 1 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400041,'fire leash target p2p cube 4',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400042,'fire leash target p2p cube 3',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400043,'fire leash target p2p cube 2',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400044,'fire leash target p2p cube 1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400045,'fire pillar 2 effect cube',NULL,'','','',0,19192,32,0,1,1,0,0,0,0,0,0,0,0,572,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400046,'fire pillar 3 effect cube',NULL,'','','',0,19192,32,0,1,1,0,0,0,0,0,0,0,0,572,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400047,'fire pillar 3 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400048,'fire pillar 2 p2p cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400049,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400050,'',NULL,'','','',0,4544,48,0,1,1,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5400051,'obliesk teleporter',NULL,'','','',0,18599,32,0,1,1,456,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410000,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410001,'a Bloodscale zealot','','','','',255,17547,79,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410002,'a Grimscale aggressor','','','','',255,16196,70,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410003,'a Bloodscale oppressor','','','','',255,17345,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410004,'a vigilant construct','','','','',255,18751,60,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410005,'a Grimscale aggressor','','','','',255,16196,70,0,1,1,0,0,228,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410006,'a Bloodscale heretic','','','','',255,17546,79,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410007,'a Grimscale decimator','','','','',255,16200,57,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410008,'a Bloodscale boneweaver','','','','',255,17547,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410009,'a Bloodscale heretic','','','','',255,17546,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410010,'a vigilant construct','','','','',255,18751,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410011,'Commander Vazkurlack Primescale','<Awakened Legion>','','','',255,17134,133,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410012,'a vigilant caretaker','','','','',9,18760,60,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410013,'a Grimscale ravager','','','','',255,16199,57,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410014,'a Bloodscale zealot','','','','',255,17547,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410015,'comet','','','','',9,6313,80,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410016,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410017,'',NULL,'','','',0,4544,48,0,1,1,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5410018,'obliesk teleporter',NULL,'','','',0,18599,32,0,1,1,456,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420000,'Hraashna the Warder','<Great Blue Dragon>','','','',255,17354,160,0,1,1,11,0,23666,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420001,'Nanzata the Warder','<Great Red Dragon>','','','',255,17357,160,0,1,1,11,0,23669,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420002,'Tukaarak the Warder','<Great Black Dragon>','','','',255,17353,160,0,1,1,11,0,21878,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420003,'Ventani the Warder','<Great Golden Dragon>','','','',255,17355,160,0,1,1,11,0,23667,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420004,'Kerafyrm','<The Sleeper>','','','',255,18945,80,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420005,'a drakeen protector','','','','',255,16198,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420006,'a drakeen guardian','','','','',255,16196,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420007,'a drakeen defender','','','','',255,16197,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420008,'an ancient sentry','','','','',255,18597,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420009,'a scorn specter','','','','',255,18763,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420010,'a screaming banshee','','','','',255,18799,60,0,1,1,11,0,23669,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420011,'an ancient caretaker','','','','',9,18760,48,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420012,'an ancient caretaker','','','','',9,18760,44,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420013,'a prismatic servitor','','','','',9,18760,54,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420014,'Eudoxxus','<Forbidding Gargoyle>','','','',9,18760,64,0,1,1,11,0,23667,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420015,'Master of the Guard','<Velium Sentinel>','','','',255,18597,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420016,'The Final Arbiter','<Ancient Protector>','','','',255,18597,144,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420017,'a stalwart sentry','','','','',255,18597,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420018,'a foreboding sentry','','','','',255,18597,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420019,'an enkindled sentry','','','','',255,18597,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420020,'Paldar Bladesoul','<Mourning Conjurer>','','','',9,11963,48,0,1,1,11,0,15989,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420021,'Ingolfa Arnar','<The Furious Phantasm>','','','',255,18867,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420022,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420023,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420024,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420025,'portal effect cube',NULL,'','','',0,2306,32,0,1,1,0,0,17433,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420026,'zone_to_eastern_wastes',NULL,'','','',0,2306,32,0,1,1,456,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420027,'portal_ancient_bridge',NULL,'','','',0,18599,32,0,1,1,457,0,3753,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5420028,'obliesk teleporter',NULL,'','','',0,18599,32,0,1,1,456,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430000,'Sscire Slitherscale','<Skoop''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430001,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430002,'a Kromzek patratus','','','','',255,14758,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430003,'a Kromzek praecant','','','','',255,14002,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430004,'a Kromzek flamen','','','','',255,13996,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430005,'Prime-Cornicen Munderrad','<High Sorcerer>','','','',255,14002,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430006,'Statue of Rallos Zek','','','','',255,14756,144,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430007,'a temple secutor','<Aureate Legion of Zek>','','','',255,14782,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5430008,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,1132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440000,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440001,'a Kromzek patratus','','','','',255,14758,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440002,'a Kromzek praecant','','','','',255,14002,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440003,'a Kromzek flamen','','','','',255,13996,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440004,'Prime-Cornicen Munderrad','<High Sorcerer>','','','',255,14002,73,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440005,'a temple secutor','<Aureate Legion of Zek>','','','',255,14782,256,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440006,'Statue of Rallos Zek','<Eternal Vessel>','','','',255,14756,144,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440007,'an escalation of war','<Planar Amplifier>','','','',9,2306,86,0,1,1,11,0,18343,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5440008,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,1132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450000,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450001,'King Tormax','','','','',255,14001,83,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450002,'a Kromzek praepost','','','','',255,14016,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450003,'a Kromzek optimas','','','','',255,14002,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450004,'a Kromzek fetialis','<Guardian of the Throne>','','','',255,13996,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450005,'a Kromzek praetorian prime','<Guardian of Storms>','','','',255,14000,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450006,'Arch-Magistor Modrfrost','<Court Mage>','','','',255,14002,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450007,'Primus Pilus Gunnr','<Legion Commander>','','','',255,14757,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450008,'Imperator Kolskeggr','<Imperial General>','','','',255,14758,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450009,'Legatus Prime Mikill','<Master Tactician>','','','',255,14757,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450010,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,497,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450011,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,493,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,493,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450013,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,493,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5450014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460000,'Twinkle','Skoop''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460001,'a Kromzek praepost','','','','',255,14016,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460002,'a Kromzek optimas','','','','',255,14002,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460003,'a Kromzek fetialis','<Guardian of the Throne>','','','',255,13996,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460004,'a Kromzek praetorian prime','<Guardian of Storms>','','','',255,14000,67,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460005,'Arch-Magistor Modrfrost','<Court Mage>','','','',255,14002,80,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460006,'Primus Pilus Gunnr','<Legion Commander>','','','',255,14757,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460007,'Imperator Kolskeggr','<Imperial General>','','','',255,14758,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460008,'Legatus Prime Mikill','<Master Tactician>','','','',255,14757,76,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460009,'King Tormax','<The Ancient>','','','',255,14001,83,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460010,'',NULL,'','','',0,49,32,0,1,1,614,0,0,0,0,1,0,0,497,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460011,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,493,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460012,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,493,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460013,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,493,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5460014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,1600,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470000,'a battered rock','','','','',0,1668,6,0,1,1,598,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470001,'an upset assassin','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470002,'a tired mercenary','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470003,'a Tae''Ew conspirator','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470004,'a Tae''Ew conspirator','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470005,'a Tae''Ew manipulator','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470006,'a Tae''Ew acolyte','','','','',255,1638,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470007,'Thelsiss the High Shaman','','','','',255,1637,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470008,'a captured froglok','','','','',4,4942,32,0,1,1,599,0,3341,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470009,'a distracted guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470010,'Broken Door',NULL,'','','',0,49,32,0,1,1,365,0,0,0,0,1,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470011,'qey_boulder03',NULL,'','','',0,1725,40,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470012,'invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5470013,'ladder_out',NULL,'','','',0,4104,44,0,1,1,600,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480000,'Nevis Yewkus','<Pondo''s Warder Mercenary>','','','',0,1471,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480001,'a graverobber hauler','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480002,'a dusty vase','','','','',255,4564,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480003,'a frail wall','','','','',255,4642,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480004,'a mud strider','','','','',255,257,52,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480005,'a graverobber curseward','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480006,'a graverobber cleanser','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480007,'a graverobber lookout','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480008,'a graverobber extractor','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480009,'a loot snapper','','','','',255,226,42,1,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480010,'Archaeologist R''Veth','','','','',1,115,35,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480011,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5480012,'zone_to_nektulos',NULL,'','','',0,49,32,0,1,1,117,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490001,'Brontis','<Elder Thudomatonian Construct>','','','',255,2899,147,0,1,1,9,0,23050,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490002,'Montis','<Thudomatonian Construct>','','','',255,2899,147,0,1,1,9,0,23050,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490003,'Whipmaster Snargeant','','','','',255,9117,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490004,'Donhall Somerled','<Clan Ragebourne>','','','',9,13948,44,0,1,1,9,0,21701,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490005,'Grelik Velgorg','','','','',20,5021,41,0,1,1,9,0,17673,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490006,'Vilbrog Wrathwind','<Clan Ragebourne>','','','',9,13948,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490007,'Muram Bladebender','<Deathfist Master Blacksmith>','','','',20,5021,48,0,1,1,9,0,17673,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490008,'Keyrin Curetouch','<Hiorep''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490009,'whipmasterflavor_rallos',NULL,'','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490010,'Kelraen',NULL,'','','',255,11750,44,0,1,1,9,0,21801,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490011,'whipmasterflavor_forge',NULL,'','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490012,'whipmasterflavor_depot',NULL,'','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490013,'Forge',NULL,'','','',0,2451,144,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490014,'Cart of Coal',NULL,'','','',0,10087,96,0,1,1,0,0,0,0,0,1,1,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490015,'Wakening Lands',NULL,'','','',0,49,32,0,1,1,219,0,0,0,0,1,0,0,899,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490016,'',NULL,'','','',0,2451,63,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490017,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,411,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490018,'Great Forge',NULL,'','','',0,49,32,0,1,1,4,0,0,0,0,1,0,0,591,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490019,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,401,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5490020,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,483,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500001,'Tremblar the Behemoth','','','','',255,2412,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500002,'Shyzin the Coercer','','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500003,'lesser symbiant','','','','',255,3691,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500004,'symbiant channeler','','','','',255,3691,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500005,'Greater Symbiant','','','','',255,3691,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500006,'Symbiant Protector','','','','',255,3691,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500007,'Symbiant Lord','','','','',255,3691,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500008,'Tremblar the Behemoth','','','','',255,2412,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500009,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500010,'comland_cem_mausoleum003',NULL,'','','',0,1347,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500011,'blocking_rock',NULL,'','','',0,4674,320,0,1,1,0,0,0,0,0,0,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5500012,'zone_to_orcishwastes',NULL,'','','',0,1438,27,0,0,0,408,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510000,'','','','','',255,157,36,4,1,1,0,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510001,'Keyrin Curetouch','<Hiipiv''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510002,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510003,'Bildi Pieflinger','<Zcoretri''s Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510004,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510005,'Xenantik','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510006,'Cara Omica','<The Saddened>','','','',255,14659,64,0,1,1,0,0,540,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510007,'a choir member','','','','',255,9035,54,0,1,1,0,0,3864,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510008,'High Priest Mohnt','','','','',255,23280,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510009,'Lismat','','','','',255,3736,57,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510010,'Eamon','','','','',255,3736,57,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510011,'Ach''erin','','','','',255,8657,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510012,'Kanu','','','','',255,3736,57,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510013,'a strange silhouette','','','','',255,240,32,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510014,'a decaying server','','','','',255,3736,38,3,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510015,'a shadow bleeder','','','','',255,236,80,5,1,1,11,0,20483,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510016,'a shadowbone skeleton','','','','',9,2901,60,3,1,1,11,0,20483,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510017,'a mirrored gargoyle','','','','',255,4545,64,0,1,1,11,0,17275,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510018,'a residual jester','','','','',255,9036,64,0,1,1,11,0,5513,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510019,'a lost spirit','','','','',255,7249,96,0,1,1,11,0,17275,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510020,'a greater ice shade','','','','',255,5002,64,0,1,1,11,0,419,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510021,'The Impish Trickster','','','','',255,6824,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510022,'a summoned Icy Shade','','','','',9,5002,96,0,1,1,0,0,11769,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510023,'a Golem Usher','','','','',255,14782,64,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510024,'','','','','',9,14007,64,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510025,'a wedding guest','','','','',255,2838,42,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510026,'a shadowed doll','','','','',255,149,64,0,1,1,0,0,20483,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510027,'Narmek Berreka','','','','',255,3646,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510028,'a residual conductor','','','','',255,9035,64,0,1,1,11,0,3859,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510029,'VhalSera','<Master of the Mirrors>','','','',255,14829,54,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510030,'Spirit of Restlessness','','','','',255,2838,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510031,'an infectious bat','','','','',255,239,57,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510032,'De''manti Sheda','','','','',255,5002,128,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510033,'Doubt','','','','',255,236,128,0,1,1,11,0,1596,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510034,'Misery','','','','',255,236,128,0,1,1,11,0,1596,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510035,'Depression','','','','',255,236,128,0,1,1,11,0,1596,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510036,'Larer','Apan''s fiery magician','','','',255,11067,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510037,'Veker','Apan''s fiery magician','','','',255,11067,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510038,'a called spirit','','','','',255,7249,32,0,1,1,11,0,20483,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510039,'Cloak of Narmek','','','','',255,3646,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510040,'a severed hand','','','','',255,8787,64,0,1,1,11,0,10584,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510041,'Hood of Narmek','','','','',255,3646,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510042,'Oahooyugo','','','','',255,101,9,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510043,'Oahooyugo''s evil severed hand','','','','',255,8788,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510044,'The Impish Trickster','','','','',255,6824,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510045,'Koseker','Apan''s fiery magician','','','',255,11066,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510046,'Lekn','Apan''s fiery magician','','','',255,11065,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510047,'a rotting rat','','','','',255,233,16,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510048,'a feasting spider','','','','',255,243,15,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510049,'Chunk of Necrotic Meat','','','','',255,300,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510050,'Zonekn','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510051,'Dizzina the Lulled','','','','',255,142,64,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510052,'a whirling hammer','','','','',255,5987,64,0,1,1,11,0,10375,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510053,'The Wedding Party','','','','',255,2306,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510054,'entrance_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,243,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510055,'door1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510056,'door2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510057,'door_boss',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510058,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,557,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510059,'floor4 door 02',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510060,'chapel_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,382,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510061,'chapel_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,382,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510062,'an empty mirror frame',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510063,'sarcophagus large',NULL,'','','',0,2872,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510064,'fear lamp',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,383,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510065,'floor4 door 03',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510066,'floor4 door 01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510067,'exit_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,302,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510068,'a ruined reception gift',NULL,'','','',0,49,32,0,1,1,0,0,14023,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510069,'floor6_mirror_room07',NULL,'','','',0,49,32,0,1,1,463,0,0,0,0,1,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510070,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510071,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510073,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510074,'a rank wine goblet',NULL,'','','',0,3361,32,0,1,1,0,0,2623,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510075,'a letter',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510076,'an injured Snowfang spirit caller',NULL,'','','',255,4099,32,0,1,1,9,0,3910,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510077,'Tserrina Syl''Tor',NULL,'','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510078,'an empty dais',NULL,'','','',0,14725,16,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510079,'floor6 boss room invis mirror collision',NULL,'','','',0,4544,32,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510080,'a Shadow-Encrusted Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510081,'floor6_inert_mirror',NULL,'','','',0,14246,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510082,'a sputtering torch',NULL,'','','',0,505,31,0,1,1,0,0,0,0,0,0,0,0,343,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510083,'a completed mirror frame',NULL,'','','',0,14246,12,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510084,'a member of the congregation',NULL,'','','',255,2837,48,0,1,1,0,0,20483,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510085,'an entertained child',NULL,'','','',255,6306,56,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510086,'an angry relative',NULL,'','','',255,6520,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510087,'Cara Omica',NULL,'','','',255,14659,64,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510088,'a shimmering shadowbeast',NULL,'','','',255,15238,38,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510089,'a ghostly witness',NULL,'','','',255,8658,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510090,'an unfinished painting',NULL,'','','',255,12290,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510091,'Narmek Berreka',NULL,'','','',255,3646,51,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510092,'',NULL,'','','',255,4544,160,8,1,1,464,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510093,'floor6_mirror_room01',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510094,'a discarded game',NULL,'','','',255,3172,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510095,'floor6_mirror_room02',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510096,'a horse carcass',NULL,'','','',255,2372,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510097,'wedding cake',NULL,'','','',0,14721,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510098,'switch 01',NULL,'','','',0,597,31,0,1,1,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510099,'floor6_mirror_room04',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510100,'fear orb',NULL,'','','',0,14723,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510101,'floor6_mirror_room03',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510102,'switch 03',NULL,'','','',0,597,31,0,1,1,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510103,'switch 02',NULL,'','','',0,597,31,0,1,1,0,0,0,0,0,1,1,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510104,'a gift mimic',NULL,'','','',255,226,32,0,1,1,465,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510105,'a suspicious gift',NULL,'','','',255,226,32,0,1,1,466,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510106,'Narmek Berreka',NULL,'','','',255,3646,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510107,'an empty mirror frame',NULL,'','','',0,554,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510108,'floor6_mirror_room05',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510109,'a plagued shadowbone skeleton',NULL,'','','',255,4535,41,4,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510110,'severed hand',NULL,'','','',0,12195,32,0,1,1,467,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510111,'floor6_mirror_room06',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510112,'zone_exit',NULL,'','','',0,14246,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510113,'a charged apparition',NULL,'','','',255,9036,32,0,1,1,11,0,1796,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510114,'floor6_mirror_room08-exit2',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510115,'floor6_mirror_room08-exit1',NULL,'','','',0,14246,22,0,1,1,463,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510116,'a mirror shard',NULL,'','','',0,14250,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510117,'a mirror shard',NULL,'','','',0,14248,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510118,'a mirror shard',NULL,'','','',0,14247,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510119,'a mirror shard',NULL,'','','',0,14251,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510120,'a mirror shard',NULL,'','','',0,14249,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510121,'a mirror shard',NULL,'','','',0,14252,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510122,'a veil',NULL,'','','',0,8241,32,0,1,1,0,0,0,0,0,1,1,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510123,'a rotting dancer',NULL,'','','',255,142,32,0,1,1,468,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510124,'a sputtering torch',NULL,'','','',0,384,32,0,1,1,0,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510125,'The Wedding Party''s Dowry',NULL,'','','',0,5763,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510126,'floor4_entrance_mirror',NULL,'','','',0,2451,30,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510127,'floor5_entrance_mirror',NULL,'','','',0,2451,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510128,'floor6_entrance_mirror',NULL,'','','',0,2451,25,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510129,'floor5_exit_mirror',NULL,'','','',0,2451,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510130,'floor6_exit_mirror',NULL,'','','',0,2451,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510131,'floor6_exit_mirror',NULL,'','','',0,14499,9,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5510132,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520000,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520001,'','','','','',255,19311,72,8,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520002,'Keyrin Curetouch','<Hiipiv''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520003,'Equinox','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520004,'Bildi Pieflinger','<Zcoretri''s Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520005,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520006,'Zonekn','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520007,'Tserrina Syl''Tor','','','','',255,14012,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520008,'a resting bat','','','','',255,239,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520009,'a dark huntress','','','','',255,6611,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520010,'a shrouded bat','','','','',255,239,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520011,'a Silently Humming Pile of Bones','','','','',9,1521,32,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520012,'a Vengeful Dancer','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520013,'a Vengeful Musician','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520014,'Nes''tal Webspinner','','','','',255,14668,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520015,'a Vengeful Musician','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520016,'a Vengeful Musician','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520017,'a Vengeful Musician','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520018,'Trouveur D''Kish','<The Vengeful Musician>','','','',255,6490,48,0,1,1,11,0,20841,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520019,'A''Damis Venomstinger','','','','',255,14667,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520020,'Necretia Widowmaker','<The Warped Personae>','','','',255,14669,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520021,'???','<The Unmasked Changeling>','','','',255,13766,128,0,1,1,11,0,20483,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520022,'Advisor Svartmane','','','','',255,8657,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520023,'Tserrina Syl''Tor ','','','','',255,2306,3,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520024,'a Silently Humming Pile of Bones','','','','',9,14670,32,0,1,1,469,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520025,'an enraged vampire','','','','',255,6612,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520026,'Advisor Svartmane','','','','',255,8657,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520027,'Xonaner','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520028,'Bdorn Alehammer','<Oahooyugo''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520029,'Konn','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520030,'Kasantik','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520031,'Xabantik','Apan''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520032,'Necretia Widowmaker''s grave sacrament','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520033,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520034,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520035,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520036,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520037,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520038,'a mirror base',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520040,'piano',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520041,'twist door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520042,'hallway door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520043,'center room lift door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520044,'piano2',NULL,'','','',0,6962,32,0,1,1,0,0,0,0,0,0,0,0,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520045,'mirror_door',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520046,'center room lift - 1337',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1011,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520047,'hidden_door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520048,'a Musty Old Tome',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520049,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520052,'Fidget',NULL,'','','',255,6824,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520053,'a sputtering torch',NULL,'','','',0,384,32,0,1,1,0,0,0,0,0,0,0,0,227,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520054,'an Off-Key Chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520055,'an Off-Key Chest',NULL,'','','',0,15173,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520056,'Dain Kalus Frostreaver the VI',NULL,'','','',255,14821,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520057,'floor7_entrance_mirror',NULL,'','','',0,2451,32,0,1,1,0,0,0,0,0,1,1,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520058,'floor7_exit_mirror',NULL,'','','',0,2451,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520059,'floor7_exit_mirror',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520060,'zone_out',NULL,'','','',0,2451,32,0,1,1,120,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520061,'zone_out',NULL,'','','',0,14499,32,0,1,1,120,0,0,0,0,1,0,0,286,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520062,'floor7_exit_mirror',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5520063,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530000,'a Defender of Kugup','','','','',4,3788,32,0,1,1,9,0,0,0,0,1,0,0,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530001,'Timrek','','','','',4,1430,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,11896,0,0,0,0,0,0,0,0,0,0,0,0),
(5530002,'Teiluj','','','','',4,3788,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,11897,0,0,0,0,0,0,0,0,0,0,0,0),
(5530003,'Oemor','','','','',4,4936,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530004,'Chief Kaorf','','','','',4,1430,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530005,'a Froglok child','','','','',4,4943,22,2,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530006,'Grepp','','','','',4,3789,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,11902,0,0,0,0,0,0,0,0,0,0,0,0),
(5530007,'Euurp','','','','',4,4937,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,11908,0,0,0,0,0,0,0,0,0,0,0,0),
(5530008,'Berit','','','','',4,4944,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530009,'Gribb','','','','',4,1431,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530010,'Sensei Grrupin','','','','',4,3793,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530011,'Burgun','','','','',4,1431,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530012,'Ms. Grupp','','','','',4,4939,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530013,'Freppen','','','','',4,3791,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530014,'Froppen','','','','',4,1431,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530015,'Pikspoh','','','','',4,4943,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,11917,0,0,0,0,0,0,0,0,0,0,0,0),
(5530016,'Pohpiks','','','','',4,4937,32,0,1,1,10,1265,11909,0,0,1,0,0,34,0,0,0,0,11918,0,0,0,0,0,0,0,0,0,0,0,0),
(5530017,'Reppoh','','','','',4,3793,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530018,'Vripp','','','','',4,4943,19,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530019,'Fruppen','','','','',4,1431,22,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,11922,0,0,0,0,0,0,0,0,0,0,0,0),
(5530020,'Grrop the Foreman','','','','',4,3787,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530021,'Frrin','','','','',4,3790,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530022,'Repmuj','','','','',4,3789,25,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530023,'training_dummy',NULL,'','','',0,1558,36,0,0,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530024,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530025,'Flowers',NULL,'','','',0,1738,31,0,1,0,402,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530026,'Fireflies',NULL,'','','',0,4898,22,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530027,'Froglok Totem',NULL,'','','',0,4899,32,0,0,1,471,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530028,'pedistal 1',NULL,'','','',0,4899,6,0,1,1,0,0,0,0,0,0,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530029,'boulder',NULL,'','','',0,1725,32,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530030,'trash sack',NULL,'','','',0,2482,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530031,'trash sack',NULL,'','','',0,4715,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530032,'a halasian boiling pot',NULL,'','','',0,2075,24,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530033,'a small wooden table',NULL,'','','',0,2068,20,0,0,0,0,0,0,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530034,'water barrel',NULL,'','','',0,2107,32,0,0,0,473,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530035,'ogre wall 1',NULL,'','','',0,4924,46,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530036,'small doll',NULL,'','','',0,149,19,0,1,1,37,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530037,'Tree Branch',NULL,'','','',0,3771,32,0,0,0,474,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530038,'zone_out_of_playground',NULL,'','','',0,2306,64,0,0,0,472,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5530039,'cunt',NULL,'','','',255,3541,32,0,1,0,0,0,0,0,0,0,0,0,0,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540000,'a chaotic elemental','','','','',255,3687,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540001,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540002,'a green gardener','','','','',4,1431,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540003,'mystic puppet','','','','',255,149,44,0,1,1,35,0,1569,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540004,'The Keeper of the City Keys','','','','',255,5233,76,0,1,1,9,0,2261,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540005,'ghost of dusk','','','','',255,5001,31,6,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540006,'spirit of dusk','','','','',255,5001,48,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540007,'wiseman','','','','',3,119,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540008,'prophet of truth','','','','',5,121,35,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540009,'Wolan Lakado','','','','',9,134,57,0,1,1,35,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540010,'The Pattern Juggler','','','','',6,78,35,0,1,1,9,0,11500,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540011,'staunch pilgrim','','','','',3,112,51,0,1,1,35,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540012,'The Great Gardener','','','','',4,1431,89,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540013,'Brius Lakado','','','','',9,134,57,0,1,1,35,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540014,'lateman','','','','',9,134,38,0,1,1,35,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540015,'The Purple Piper','','','','',9,134,44,0,1,1,35,0,3786,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540016,'The Prismatic Captain','','','','',255,3636,121,0,1,1,35,0,2769,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540017,'The Black Queen','','','','',3,120,38,0,1,1,9,0,893,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540018,'orchestral vibratto','','','','',255,5219,76,0,1,1,35,0,3870,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540019,'Maestra of Dissonance','','','','',255,5219,102,0,1,1,35,0,1943,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540020,'orchestral minion','','','','',255,5219,57,0,1,1,35,0,3870,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540021,'Moonchild','','','','',8,135,38,0,1,1,35,0,496,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540022,'Pkzwk Tzkr','','','','',255,230,76,0,1,1,35,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540023,'Arch Lich Udalan','','','','',9,3654,80,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540024,'K''Dal the Deceiver','','','','',255,1585,64,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540025,'orchestral contralto','','','','',255,5219,76,0,1,1,35,0,3870,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540026,'ghost of dawn','','','','',255,5001,30,4,1,1,35,0,1211,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540027,'Sunchild','','','','',8,136,48,0,1,1,35,0,496,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540028,'widget_alyarrah_poetry_page_16',NULL,'','','',0,49,32,0,1,1,403,0,0,0,0,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540029,'widget_poetry_history_page_10',NULL,'','','',0,49,32,0,1,1,186,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540030,'door_00',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540031,'widget_alyarrah_poetry_book',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540032,'widget_poetry_history_page_12',NULL,'','','',0,49,32,0,1,1,404,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540033,'widget_poetry_history_page_11',NULL,'','','',0,49,32,0,1,1,160,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540034,'widget_alyarrah_poetry_page_14',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540035,'widget_alyarrah_poetry_page_08',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540036,'qey_boulder03',NULL,'','','',0,1725,40,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540037,'Muse Object',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540038,'drv_urn_small02',NULL,'','','',0,5228,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540039,'telepoerter mirror base',NULL,'','','',0,4895,32,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540040,'Flowers',NULL,'','','',0,1738,31,0,1,1,402,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540041,'Fireflies',NULL,'','','',0,4898,22,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540042,'sc_podium_nosphinx_small01',NULL,'','','',0,5355,9,0,1,1,0,0,0,0,0,0,0,0,253,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540043,'an enchanted lift',NULL,'','','',0,5248,31,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540044,'drv_pillow_seat02',NULL,'','','',0,5346,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540045,'drv_pillow_seat01',NULL,'','','',0,5345,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540046,'shard_recovery_steppes_mini01',NULL,'','','',0,2025,32,0,1,1,45,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5540047,'zone_to_pillars_of_flame',NULL,'','','',0,5647,32,0,0,0,401,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550001,'a raef ew mercenary','','','','',255,4623,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550002,'a troglodyte miner','','','','',255,151,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550003,'a raef ew elite warrior','','','','',255,4640,89,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550004,'a vampiric acolyte','','','','',255,4636,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550005,'Ritual Mistress Cheroon','','','','',255,4631,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550006,'Loremaster Viswin','','','','',255,4635,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550007,'skeletal viper','','','','',255,4664,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550008,'Asaad Ahk Atum','','','','',255,4664,262,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550009,'greater skeletal viper','','','','',255,4664,230,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550010,'greater slime scavenger','','','','',255,175,89,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550011,'slime scavenger','','','','',255,175,57,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550012,'a darkleague assassin','','','','',255,1378,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550013,'a darkleague familiar','','','','',255,2393,44,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550014,'ahket sentinel','','','','',255,5134,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550015,'a dark archaeologist','','','','',255,4636,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550016,'Foreman Ytalzak','','','','',255,151,134,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550017,'a skeletal patriarch','','','','',255,4536,44,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550018,'a blood wolf','','','','',255,1374,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550019,'a dread spectre','','','','',255,5002,51,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550020,'Magrick the Destroyer','','','','',255,5098,115,0,1,1,11,0,2767,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550021,'a greater golemic guardian','','','','',255,161,64,0,1,1,0,0,228,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550022,'a Sul''Dal ravager','','','','',9,4541,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550023,'a bloodless gatekeeper','','','','',255,161,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550024,'an Ahket shade','','','','',255,5000,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550025,'Amenophis Adofo','','','','',255,5132,96,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550026,'Amenophis Elite Guard','','','','',255,5134,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550027,'greater skeletal viper','','','','',255,4664,134,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550028,'Acolyte of Vindication','','','','',255,162,70,0,1,1,11,0,3849,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550029,'The Dark Arbiter','','','','',255,5119,60,0,1,1,11,0,3849,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550030,'Xideus Yoatiak','','','','',255,1371,128,0,1,1,35,0,4141,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550031,'a bloodless bruiser','','','','',255,161,76,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550032,'lost spirit of the ree','','','','',9,4535,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550033,'Dinree','','','','',255,5003,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550034,'Ree Vindicator','','','','',255,5001,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550035,'Ree Adjudicator','','','','',9,4559,76,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550036,'a lesser adjunct','','','','',9,4542,57,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550037,'The Guardian of the Orbs','','','','',255,5184,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550038,'an elite bloodless sentry','','','','',255,161,86,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550039,'ahket astronomer','','','','',255,5137,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550040,'ahket elite guard','','','','',255,5133,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550041,'Malkonis D''Morte','','','','',255,4635,35,0,1,1,35,0,3741,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550042,'Uzh Disciple','','','','',255,5138,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550043,'Ahk''Mun Rhoen','','','','',255,5194,89,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550044,'Akh''Uzh Orus','','','','',255,5136,89,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550045,'a swarm matriarch','','','','',255,2393,89,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550046,'a greater cave bat','','','','',255,239,51,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550047,'Asaad Ahk Atum','','','','',255,4664,262,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550048,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550049,'statue',NULL,'','','',0,5085,32,0,1,1,0,0,0,0,0,0,0,0,1007,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550050,'statue_spinner_door',NULL,'','','',0,5085,32,0,1,1,0,0,0,0,0,0,0,0,1007,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550051,'Dinree''s Workbench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550052,'magic_field_generator',NULL,'','','',0,4733,128,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550053,'statue_whirlwind_effect',NULL,'','','',0,2306,462,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5550054,'zone_to_sinking_sands',NULL,'','','',0,49,32,0,1,1,421,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560001,'a strange guardian','','','','',255,230,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560002,'Pkzwk Tzkr','','','','',255,230,76,0,1,1,11,0,0,1,1,1,0,0,28,300000,175000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560003,'Overlord Oxulius','','','','',255,247,115,0,1,1,11,0,0,1,1,1,0,0,35,350000,200000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560004,'Braxx','','','','',255,247,54,3,1,1,11,0,0,1,1,1,0,0,35,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560005,'Brixx','','','','',255,247,57,0,1,1,11,0,0,1,1,1,0,0,35,50000,25000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560006,'Borxx','','','','',255,247,67,0,1,1,11,0,0,1,1,1,0,0,35,350000,250000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5560007,'to Feerrott',NULL,'','','',0,49,32,0,0,0,199,0,0,0,0,1,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570000,'a tormented magus','','','','',255,1521,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570001,'a tormented servant','','','','',255,4543,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570002,'a bound caller','','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570003,'a bound warrior','','','','',255,5002,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570004,'a cursed servant','','','','',255,4543,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570005,'a bound priest','','','','',255,5001,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570006,'a bound warrior','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570007,'a bound battle priest','','','','',255,5002,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570008,'Sha''ir of Magic','','','','',9,134,32,0,1,1,11,0,10961,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570009,'a crocodile','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570010,'a crocodile guardian','','','','',255,4745,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570011,'Stone of Power','','','','',9,4564,80,0,1,1,11,0,4141,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570012,'Stone of Protection','','','','',9,4564,80,0,1,1,11,0,4141,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570013,'Lockjaw the Ancient','','','','',255,4745,272,0,1,1,35,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570014,'Sha''ir of Flame','','','','',9,134,32,0,1,1,11,0,10961,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570015,'Sha''ir of Stone','','','','',9,134,32,0,1,1,11,0,10961,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570016,'Stone of Mending','','','','',9,4564,80,0,1,1,11,0,4141,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570017,'animated warlock','','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570018,'animated warrior','','','','',255,4543,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570019,'animated inquisitor','','','','',255,5001,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570020,'animated master','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570021,'breakable_collision_wall',NULL,'','','',0,4685,59,0,1,1,0,0,0,0,0,0,0,0,246,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570022,'Lockjaw Wall',NULL,'','','',0,4624,89,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570023,'Sha''ir of Flame',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570024,'square stone',NULL,'','','',0,5088,16,0,1,1,26,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570025,'zone_to_exp01_rgn_sinking_sands',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,525,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570026,'circle stone',NULL,'','','',0,5088,16,0,1,1,26,0,0,0,0,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5570027,'triangle stone',NULL,'','','',0,5088,16,0,1,1,162,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5580000,'Disciple Varlox','<Swifttail Caste>','','','',10,1574,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5580001,'Sister Shoren','<Silent Fist Clan>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5580002,'Master Luris','<Ashen Order>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5580003,'Brother Pharad',NULL,'','','',255,50095,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5580004,'door to village',NULL,'','','',0,49,32,0,1,1,490,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590000,'','','','','',255,8873,38,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590001,'Timeless Chronomage','','','','',3,1598,32,0,1,1,21,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590002,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,100043,0,0,0,0,0,0,0,0,0,0,0,0),
(5590003,'Aimee','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,34092,0,0,0,0,0,0,0,0,0,0,0,0),
(5590004,'G''shugahplum Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590005,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590006,'Oolieamim','<Master Sage>','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590007,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590008,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590009,'Gh''lad Tydingz Gigglegibber','','','','',255,4126,32,0,1,1,9,0,0,0,0,1,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590010,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,21,2,1,1,43,0,0,0,0,1,0,0,35,976,976,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(5590011,'a plaza watcher','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,102,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590012,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,301,301,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590013,'Inim Candychewer','<Frostfell Historian>','','','',8,136,16,0,1,1,9,0,0,0,0,1,0,0,28,301,301,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590014,'Pinchy Presentpeeler','','','','',8,135,16,0,1,1,9,0,0,0,0,1,0,0,28,301,301,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590015,'Harn Greyrick','<Courier for Lucan D''lere>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590016,'Tiberius Atilius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,886,886,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590017,'Ghekk Legbreaker','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590018,'a Militia guard','','','','',12,124,33,5,1,1,9,0,16109,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590019,'a Militia officer','','','','',4,4939,33,3,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590020,'a Freeport gladiator','','','','',0,112,36,4,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590021,'The Forgotten','<The Wraithguard>','','','',9,16337,44,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590022,'a Freeport conscript','','','','',0,112,35,3,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590023,'Captain Rillian','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590024,'an accused arms smuggler','','','','',0,112,30,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590025,'an accused arms smuggler','','','','',10,104,35,1,1,1,0,0,540,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590026,'Guard Arcantos','<Freeport Militia>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590027,'Man-at-Arms Faustus','<Freeport Militia>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590028,'a Freeport denizen','','','','',9,18214,31,4,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590029,'a Militia guard','','','','',1,115,34,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590030,'Guard DeMarco','<The Coalition of Tradesfolke>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590031,'Commandant Placida','<Freeport Militia>','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590032,'Metilia Arcavius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590033,'Golvana','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,856,856,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590034,'a Gigglegibber scout','','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590035,'Mallium','<Broker>','','','',6,78,32,0,1,1,20,9,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590036,'a fanged sentinel','<Guard>','','','',255,1374,13,3,1,1,9,11,0,1,1,1,0,12,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590037,'Bailther Kanar','<Guard>','','','',9,134,35,0,1,1,13,9,0,1,1,1,0,12,34,886,886,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590038,'Fonda','<Reforging>','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,42065,0,0,0,0,0,0,0,0,0,0,0,0),
(5590039,'Boomba','<Merchant>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,43,0,0,0,0,100001,0,0,0,0,0,0,0,0,0,0,0,0),
(5590040,'Ironstar','<Mender>','','','',6,79,32,0,1,1,12,9,0,0,0,1,0,0,34,316,316,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(5590041,'Jan MacGetz','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100004,0,0,0,0,0,0,0,0,0,0,0,0),
(5590042,'Otacilla Opolio','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,871,871,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590043,'a distracted Militia guard','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,102,32,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590044,'a Freeport dweller','','','','',9,134,36,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590045,'Kreglebop Yekl','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590046,'a Menacer Champion','<The Dreadnaughts>','','','',11,101,38,0,1,1,9,0,0,0,0,1,0,0,38,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590047,'Banker Macrinus Sanctus','<Banker>','','','',3,1598,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590048,'Banker Lusius Ulixes','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590049,'Gigantok','<Guard>','','','',12,124,38,0,1,1,13,0,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590050,'Banker Gavius Herenus','<Banker>','','','',1,116,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590051,'Banker Magia Cotta','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590052,'Desia','<Guard>','','','',9,132,32,0,1,1,13,9,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590053,'Panilia L`Un','<Guard>','','','',1,116,32,0,1,1,13,9,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590054,'Titius Auspex','<Guard>','','','',9,134,32,0,1,1,13,9,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590055,'Liege Verus Caldus','<Guard>','','','',9,134,32,0,1,1,13,9,0,1,1,1,0,12,26,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590056,'Gevil Gigglegibber','<Frostfell tree handler>','','','',255,7039,25,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590057,'a Freeport resident','','','','',9,134,33,3,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590058,'17516','','','','',255,7215,32,0,0,0,0,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590059,'Iulus U`Vas','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590060,'Stable Hand Verdantus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590061,'Thabit Kalila','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590062,'Handler Pachomius','<Mount Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100008,0,0,0,0,0,0,0,0,0,0,0,0),
(5590063,'Mulka the Skinner','<Pet Merchant>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,1471,0,0,0,0,0,0,0,0,0,0,0,0),
(5590064,'a kitten','','','','',255,306,17,6,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590065,'a dead kitten','','','','',255,304,23,3,1,1,0,0,228,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590066,'a recruit','','','','',9,132,34,4,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590067,'a recruit','','','','',1,116,34,2,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590068,'a Militia commander','','','','',9,134,38,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590069,'Lord Titurius Ocellus','<Lucanic Knight>','','','',9,134,38,0,1,1,9,0,0,0,0,1,0,102,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590070,'Yozar Eyegouger','<Guard>','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590071,'Viridia Domna','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590072,'Rurg Headbuster','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590073,'a Red Hood watcher','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590074,'Cornelia Vecchia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590075,'Arwain','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590076,'a fanged sentinel','<Guard>','','','',255,1374,14,2,1,1,9,0,0,1,1,1,0,12,32,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590077,'Glanald','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590078,'a Freeport denizen','','','','',1,115,36,3,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590079,'Sentinel Faidian','<Freeport Militia>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590080,'Commandant Arkadios','<Freeport Militia>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590081,'Ozget Bloodspiller','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590082,'Eaneal','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590083,'a Militia officer','','','','',12,124,35,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590084,'Lucanic Knight Xolantan','<The Wraithguard>','','','',9,16153,38,0,1,1,9,0,0,0,0,1,0,102,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590085,'Lasarian Nasin','<Coalition of Tradesfolke>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590086,'Kamaria Cheefar','','','','',11,96,32,0,1,1,9,0,0,0,0,1,0,0,38,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590087,'Human Tradeskill Apprentice','<Tradeskill Apprentice>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590088,'Profallia','<Broker>','','','',9,132,32,0,1,1,20,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590089,'Matthias Zoe','<Crafting Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,42069,0,0,0,0,0,0,0,0,0,0,0,0),
(5590090,'Corporal Sergius Mordanticus','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590091,'Zurgh Nosemangler','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590092,'Othmir Tradeskill Apprentice','<Tradeskill Apprentice>','','','',255,14264,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590093,'Grandmaster Kawayzer','<Trades Coordinator>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590094,'Jules Jumsinger','<Banker>','','','',7,107,32,0,1,1,14,9,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590095,'Feepsin','','','','',13,63,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590096,'Aelia Catus','<General Goods>','','','',1,9913,32,0,1,1,10,1265,0,0,0,1,0,0,32,316,316,0,0,42068,0,0,0,0,0,0,0,0,0,0,0,0),
(5590097,'Kuzik Zozin','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590098,'a Freeport resident','','','','',12,123,35,3,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590099,'Alethea Augustine','<Rush Orders>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590100,'Caius Callidus','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590101,'Weaponsmith Xass','','','','',10,1574,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590102,'Hargula','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590103,'Jonak Harvester','<Tradeskill Career Counsellor>','','','',12,4994,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590104,'Juvena','<Coalition of Tradesfolke Merchant>','','','',11,81,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100013,0,0,0,0,0,0,0,0,0,0,0,0),
(5590105,'Thargh Headbuster','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590106,'Vissa D`Dbth','<Tradeskill Tutorial>','','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,34,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590107,'Zeyx','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590108,'Captain Clausin Bludwins','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590109,'Commandant Dominicus','<Freeport Militia>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590110,'Lerenth','<The Freeport Militia>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590111,'Azrog Eyegouger','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590112,'Lyricist Te''naj','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590113,'D''Ryl','<Guard>','','','',1,115,35,0,1,1,13,0,0,1,1,1,0,12,34,931,931,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590114,'Dela','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590115,'Herennia Lupula','<Guard>','','','',9,132,35,0,1,1,13,0,0,1,1,1,0,12,34,886,886,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590116,'Agar','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590117,'Jaegan','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590118,'Helvia Herminia','<Guard>','','','',6,79,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590119,'Guard Fazio','<Freeport Militia>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590120,'Lieutenant Darrius','<Freeport Militia>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590121,'Serris','<The Freeport Militia>','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590122,'L`Tor','<Berserker Trainer>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(5590123,'Captain D''Vall','<Freeport Militia>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590124,'Gavrus Callidus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590125,'a Brutalizer Champion','<The Dreadnaughts>','','','',0,112,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590126,'Trooper Bonesaw','<Freeport Militia Officer>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,43,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590127,'Jil Nellox','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590128,'Guard Crosato','<Freeport Militia>','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590129,'Commandant Tor''Val','<Freeport Militia>','','','',1,115,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590130,'Shirzzt Bonelasher','<Shadowknight Trainer>','','','',14,105,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100468,0,4,0,0,0,0,0,0,0,0,0,0),
(5590131,'Intelligence Officer Rainus','','','','',9,134,31,3,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590132,'Captain Vrondell','<Freeport Militia>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590133,'Grand Duke Lazarus Hazran','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,102,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590134,'Vivian Matho','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,1021,1021,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590135,'Lieutenant Dalling','<Freeport Militia>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590136,'Eamric Icefist','<Guardian Trainer>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(5590137,'Baron Zafimus','<Freeport Militia Officer>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,631,631,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590138,'Commandant Vatinius','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590139,'a weary Kor shaman','','','','',4,3788,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590140,'Kaherdin Surechest','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1186,1186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590141,'Gorga','<Freeport Militia Merchant>','','','',12,124,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,100011,0,0,0,0,0,0,0,0,0,0,0,0),
(5590142,'Selyse Brazenroot','<Barbarian Mentor>','','','',0,1465,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590143,'Viscount Gelvonius','<Freeport Militia>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590144,'a captured dissident','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590145,'Norm D`Unnar','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590146,'Intelligence Officer Gezlowe','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590147,'a Freeport Militia cellmaster','','','','',9,132,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590148,'Gowan Macgillivray','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590149,'Lellis Parindrix','<Magistrate>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590150,'Liege Helvanica','<Freeport Militia Officer>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590151,'Savant Keza','<Militia Spellsplitter>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590152,'Calidius Sellic','<Guard>','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590153,'a Militia spellsplitter','<Freeport Militia>','','','',3,119,32,0,1,1,0,0,0,0,0,1,0,0,34,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590154,'a Freeport gladiator','','','','',9,134,32,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590155,'Barber Razorburn','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590156,'Liege Annia Fontia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590157,'Cornath','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590158,'Rothach','<Guard>','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590159,'Fryda Brushwuttle','<Housing>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100002,0,0,0,0,0,0,0,0,0,0,0,0),
(5590160,'Painter Brushwuttle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590161,'Gurb the Master Weaponsmith','<Weaponsmith>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,42066,0,0,0,0,0,0,0,0,0,0,0,0),
(5590162,'Barber Whiskerwuzzle','<Barber>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100010,0,0,0,0,0,0,0,0,0,0,0,0),
(5590163,'Grum Zoomly','<Provisioner>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100003,0,0,0,0,0,0,0,0,0,0,0,0),
(5590164,'Raga','','','','',12,123,32,0,1,1,9,0,11500,0,0,1,0,0,34,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590165,'Jetsam Anchorwash','','','','',9,134,32,0,1,1,9,0,11500,0,0,1,0,0,32,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590166,'a Seafury corsair','','','','',4,4938,33,4,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590167,'Bendl Fizztuzzle','<Bartender>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100000,0,0,0,0,0,0,0,0,0,0,0,0),
(5590168,'Kroota Gukbutcher','<Ogre Mentor>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590169,'a training monk','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590170,'Galluss the First','','','','',255,103,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590171,'Met Sleeth','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100006,0,0,0,0,0,0,0,0,0,0,0,0),
(5590172,'Macia Victus','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100005,0,0,0,0,0,0,0,0,0,0,0,0),
(5590173,'Disciple Vlaix','','','','',10,104,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590174,'Master Vlox','<Swifttail Caste>','','','',255,1575,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590175,'Euphemia Lucilla','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590176,'a Juggernaut bouncer','','','','',12,124,35,0,1,1,0,0,0,0,0,1,0,0,43,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590177,'a sparring Dreadnaught','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590178,'a sparring Disciple','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590179,'Mikki Denune','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590180,'a practicing Disciple','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590181,'a Bonebreaker Champion','<The Dreadnaughts>','','','',12,124,38,0,1,1,9,0,0,0,0,1,0,0,43,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590182,'Aric Pickhall','<Monk Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(5590183,'a practicing Dreadnaught','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590184,'Krung Ironfist','<Bruiser Trainer>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(5590185,'Enforcer Drulk','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590186,'Wozur Headsplitter','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590187,'Cordius Tuticanus','<Guard>','','','',9,134,35,0,1,1,13,0,0,1,1,1,0,12,34,991,991,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590188,'Rolius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590189,'Wintolak','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590190,'B''Ryk','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590191,'Lucanic Knight Marcus Rusonius','<The Wraithguard>','','','',9,16337,41,0,1,1,13,9,0,1,1,1,0,12,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590192,'Ateius Aratus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590193,'Lynda Chemroot','<Adorning Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100017,0,0,0,0,0,0,0,0,0,0,0,0),
(5590194,'Kell Glavitus','<Adorning Trainer>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590195,'Ignacius Fallon','<Apothecary>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590196,'Aemilia Sevso','<Alchemist>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100018,0,0,0,0,0,0,0,0,0,0,0,0),
(5590197,'Trannin Steelsea','<Antiquities Dealer>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590198,'Gerhild Maclennan','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590199,'Chloe Misfortune','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590200,'an Enforcer Champion','<The Dreadnaughts>','','','',14,106,35,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590201,'Palan D`Om','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,931,931,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590202,'Slinko','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590203,'Eldmargan','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590204,'Tall Jim','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590205,'Marcia Betto','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100016,0,0,0,0,0,0,0,0,0,0,0,0),
(5590206,'Liege Justus Cnaeus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590207,'Vhishall','<Furniture>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100015,0,0,0,0,0,0,0,0,0,0,0,0),
(5590208,'Melenia Scantus','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590209,'Atilus Crassus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590210,'Mizzog the Sighted','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590211,'K''Val','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590212,'Torlig the Alchemist','<Alchemist>','','','',3,1598,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,42073,0,0,0,0,0,0,0,0,0,0,0,0),
(5590213,'Preceptor Nyjuss','','','','',3,1601,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590214,'Hazrulin Vextrik','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590215,'Aulus Crispian','<Alchemist>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,466,466,0,0,42074,0,0,0,0,0,0,0,0,0,0,0,0),
(5590216,'an academy scholar','','','','',1,116,33,1,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590217,'an academy scholar','','','','',9,132,32,3,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590218,'Sneel Valiyn','<Ratonga Mentor>','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590219,'Thaumaturge T''bor','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,26,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590220,'Azreana','<Erudite Mentor>','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590221,'Neophyte Jhanov','<Arcane Scientist>','','','',13,68,32,0,1,1,10,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590222,'Paragon Jalex','<Arcane Scientist>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590223,'Elon Gallwin','<Arcane Scientist>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590224,'Tohsa B''hondus','<Weaver of Madness>','','','',1,116,32,0,1,1,9,0,2642,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590225,'Gikuthz','<Guard>','','','',9,2901,41,0,1,1,13,0,0,1,1,1,0,102,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590226,'Thaumaturge G''Lex','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,26,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590227,'Glaria ','<Freeblood Mentor>','','','',255,14793,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590228,'a Dismal Rage adherent','','','','',14,106,33,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590229,'a Dismal Rage adherent','','','','',1,116,37,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590230,'Vellia Krissk','','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590231,'a Dismal Rage adherent','','','','',9,132,33,4,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590232,'Dawood Haidaar','<Illusionary Savant>','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590233,'Glimmadge Pilk','<Master Illusionist>','','','',5,4972,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590234,'Vassi Darkscale','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590235,'Gadko','<Vassi''s Assistant>','','','',13,70,32,0,1,1,10,0,0,0,0,1,0,0,19,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590236,'Thesla Blackthorne','','','','',9,132,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590237,'Innkeeper Blerg Splinterthumb','<Housing>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590238,'Dyymona K''Vexx','<Dark Elf Mentor>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590239,'Bronson Thewlis','<Apprentice Illusionist>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590240,'Naltar N''Xaana','<Apprentice Illusionist>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590241,'Izius J''lok','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590242,'Acolyte Ksylia','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590243,'Drund Mordgraahl Skullsprain','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590244,'Thaumaturge Pulo','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590245,'Rav''hyl Daln','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590246,'Jantus Ezrek','<Teleport Trainer>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,1690,0,0,0,0,0,0,0,0,0,0,0,0),
(5590247,'Archivist Jindlefog','<Arcane Scientist>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590248,'Savant Ka''im','<Arcane Scientist>','','','',3,1595,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590249,'Jabir Maridar','<Wizard Trainer>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(5590250,'Ellynottin Zookbiddle','<Necromancer Trainer>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100470,0,4,0,0,0,0,0,0,0,0,0,0),
(5590251,'Tome Warden K''Narn','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590252,'T''ral D''zarn','<Scribe>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590253,'R''dyles Mar''dril','','','','',255,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590254,'Riss Taskel','<Feudal Historian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590255,'Qalantir','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590256,'Nexa L''Dur','<Advancement Counsel>','','','',1,116,32,0,1,1,22,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590257,'Desmera Risentide','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590258,'Boddy Runewick','<Apprentice Illusionist>','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590259,'Tullia Sulla','<Coercer Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(5590260,'Thaumaturge Ranollious','<Arcane Scientist>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590261,'Navarius Orvalis','<Sage>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,42071,0,0,0,0,0,0,0,0,0,0,0,0),
(5590262,'Librarian Zabnolique','','','','',3,1588,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590263,'Euphemius Granius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590264,'Claudia Quarto','<Warlock Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(5590265,'Torbett Witlocke','<Illusionist Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(5590266,'Mareva D''Iniv','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590267,'Historian Velanie','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590268,'Cles','','','','',13,69,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590269,'Micha Longtail','<Academy of Arcane Science>','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590270,'Librarian Motius Feldarn','<Academy of Arcane Science>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590271,'Foci Tamara Paust','<Academy of Arcane Science>','','','',3,5055,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590272,'Brinegaggle','<Arcane Scientist Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,42072,0,0,0,0,0,0,0,0,0,0,0,0),
(5590273,'Dukriz','<Guard>','','','',9,2901,41,0,1,1,13,0,0,1,1,1,0,102,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590274,'B''Rak','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590275,'Liege Torn A`Adar','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590276,'Akkin','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590277,'Rhahrda Olhymne','<Templar Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(5590278,'Claudette Woodbridge','<Portals Trainer>','','','',15,113,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,42079,0,0,0,0,0,0,0,0,0,0,0,0),
(5590279,'Thaumaturge K''Thiz','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,102,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590280,'Blerrkt Marrowdrinker','<Warden Trainer>','','','',14,106,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(5590281,'Kurid T''Sal','<Inquisitor Trainer>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(5590282,'Thaumaturge Sadiiz','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,102,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590283,'Belimee Viperwing','<Aid to the Grand Inquisitor>','','','',255,6486,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590284,'Nethal L''tylex','<Grand Inquisitor of the Dismal Rage>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590285,'Nahirra Usharva','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590286,'Augurer Valgus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590287,'Administrator Frugi','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590288,'Occultist Levonicus','<Dismal Rage Priest>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590289,'Adrianna','<Dismal Rage Priest>','','','',3,5053,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590290,'Forbidden Lore','','','','',255,279,57,0,1,1,9,0,0,0,0,1,0,0,9,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590291,'Occultist L''Takk','<Dismal Rage Priest>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590292,'Fethar Lothki','<Dismal Rage Priest>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590293,'Maldreya Darkheart','<Advisor to the Grand Inquisitor>','','','',1,116,35,0,1,1,9,0,0,0,0,1,0,0,26,1366,1366,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590294,'Archbishop Haleim Felmease','<High Speaker of Freeport>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590295,'Matthias Siegemaker','<Acolyte of the Grand Inquisitor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590296,'Zur','<Dismal Rage Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100024,0,0,0,0,0,0,0,0,0,0,0,0),
(5590297,'Blight Sage Destroz','<Dismal Rage Priest>','','','',10,103,32,0,1,1,10,0,0,0,0,1,0,0,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590298,'Modinite Z''Vol','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590299,'an Undead Servant','','','','',255,6917,32,0,1,1,9,0,0,0,0,1,0,0,32,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590300,'Dyvll Ssavan','<Defiler Trainer>','','','',10,104,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100479,0,4,0,0,0,0,0,0,0,0,0,0),
(5590301,'Xeuxa Foamheart','<Fury Trainer>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(5590302,'Convert Y`Ral','<Dismal Rage Priest>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590303,'Ulhira Grissh','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590304,'Gisuka Voll','<Prime Spiritual Advisor>','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590305,'Missionary G`Zule','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590306,'Thaumaturge Frostheart','<Guard>','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,12,26,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590307,'Emissary Midia','','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590308,'Kenth Lanringe','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590309,'Elrinn Darknor','<Lucanic Knights>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590310,'Elma Lowe','<Bartender>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590311,'Julia Florens','<Bartender>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590312,'Bargiss Ranlor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590313,'Elguka the Oracle','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590314,'a lonely citizen','','','','',6,18954,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590315,'Asbjorn Greyaxe','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590316,'Maak','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590317,'Aulus Cittinus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,102,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590318,'Entertainer Zagat','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590319,'Bard Loganius','','','','',9,134,32,0,1,1,9,0,20839,0,0,1,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590320,'Vibia Valens','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,271,271,0,0,42076,0,0,0,0,0,0,0,0,0,0,0,0),
(5590321,'Cipius Abito','<Provisioner>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,361,361,0,0,42077,0,0,0,0,0,0,0,0,0,0,0,0),
(5590322,'a fanged sentinel','<Guard>','','','',255,1374,18,2,1,1,9,0,0,1,1,1,0,12,32,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590323,'Taragg','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590324,'a Freeport conscript','','','','',14,8955,31,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590325,'Grando Voran','<Guard>','','','',9,134,41,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590326,'Titiana Pollio','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590327,'a Freeport visitant','','','','',12,124,34,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590328,'Aldrevia Metilla','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,256,256,0,0,42078,0,0,0,0,0,0,0,0,0,0,0,0),
(5590329,'Ambassador Zrelach','<Gorowyn Emissary>','','','',18,7315,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590330,'Izzay Meestere','','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590331,'Crispina Carius','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,706,706,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590332,'Dalal Akilia','<Bowyer>','','','',3,1591,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100019,0,0,0,0,0,0,0,0,0,0,0,0),
(5590333,'Shungi','','','','',11,101,32,0,1,1,0,0,0,0,0,1,0,0,38,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590334,'Ambassador Erazak','<Sarnak Mentor>','','','',18,7917,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590335,'Sanura Lithestripe','','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590336,'Decius Dekarn','<Dyric''s Assistant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590337,'Dyric Pire','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590338,'Trothak','<Reforging>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590339,'Sergeant Daimyo','<Freeport Militia>','','','',1,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590340,'Armormaster Ikthar Icehammer','<Armorsmith>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100020,0,0,0,0,0,0,0,0,0,0,0,0),
(5590341,'Skaznik','<Shieldsmith>','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,1799,0,0,0,0,0,0,0,0,0,0,0,0),
(5590342,'Atianoo Donicus','','','','',3,1587,32,0,1,1,9,0,24124,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590343,'Atria Silana','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590344,'Val''il','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590345,'Salonina Herminia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,102,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590346,'Varinius Drusus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590347,'Tacita Vesta','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590348,'Sirraw Swiftpaw','','','','',13,66,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590349,'L''rak Ta''Wound','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590350,'Liege Celatius Corbulo','<Guard>','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590351,'a drunk sailor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590352,'Sergeant Typhoeus','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590353,'Duccius Agorix','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590354,'Mucia Dama','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590355,'Gaeri Tallspire','<Voidcaster Mercenary>','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590356,'Salonius Pinarius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590357,'Elder Fleesa','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590358,'Corsair G`kex','<Seafury Buccaneer>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,556,556,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590359,'Boatswain Fomas','<Seafury Buccaneer>','','','',11,101,32,0,1,1,10,0,0,0,0,1,0,0,38,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590360,'Barrius Iacomus','<Provisioner>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,316,316,0,0,100056,0,0,0,0,0,0,0,0,0,0,0,0),
(5590361,'Mehina ','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590362,'Ambassador Anttel V''Xeath','<Arasai Mentor>','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590363,'Gaius Macrinius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590364,'Kari Rolento','<Waitress>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590365,'Brenin Stoutheart','<Militia Soldier Mercenary>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590366,'a bar patron','','','','',4,3792,32,0,1,1,0,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590367,'Galla Silverring','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590368,'Maegor Hightower','<Bartender>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,1826,0,0,0,0,0,0,0,0,0,0,0,0),
(5590369,'Captain Stovka','<Seafury Buccaneer>','','','',13,55,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590370,'Lieutenant D''Raka','<Seafury Buccaneer>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590371,'Exmarch','<Seafury Buccaneer Merchant>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,34,16,16,0,0,1829,0,0,0,0,0,0,0,0,0,0,0,0),
(5590372,'Lollia Parnesius','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,316,316,0,0,100045,0,0,0,0,0,0,0,0,0,0,0,0),
(5590373,'Dinaris Jounst','<Marauder Mercenary>','','','',6,4981,32,0,1,1,9,0,0,0,0,1,0,0,30,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590374,'Thavian Destrus','<Half Elf Mentor>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590375,'a Freeport conscript','','','','',1,115,31,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590376,'Trtsin','<Brigand Trainer>','','','',13,70,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100478,0,4,0,0,0,0,0,0,0,0,0,0),
(5590377,'Tullia Domna','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(5590378,'a Freeport resident','','','','',1,115,35,3,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590379,'Ulaka','<Guard>','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590380,'Lrak','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,736,736,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590381,'Consternator Soulinus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590382,'Keetra Morrow','<Beastlord Trainer>','','','',11,92,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(5590383,'Gruurz','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590384,'Gigglegibber Thief','<Thief Mercenary>','','','',255,18861,25,0,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590385,'Joss Ridgemarr','<Ranger Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,16,16,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(5590386,'Edesii','<Assassin Trainer>','','','',13,57,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(5590387,'Lirosi','','','','',11,82,32,0,1,1,9,0,0,0,0,1,0,0,38,1216,1216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590388,'Groll','<Provisioner>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1847,0,0,0,0,0,0,0,0,0,0,0,0),
(5590389,'Squab Kalina','<Seafury Buccaneer>','','','',6,79,32,0,1,1,10,0,0,0,0,1,0,0,30,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590390,'Marauder Kindolus','<Seafury Buccaneer>','','','',6,78,32,0,1,1,10,0,0,0,0,1,0,0,30,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590391,'Ranik Calman','<Bartender>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,331,331,0,0,100046,0,0,0,0,0,0,0,0,0,0,0,0),
(5590392,'Rumdum','','','','',12,124,32,0,1,1,9,0,11500,0,0,1,0,0,43,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590393,'Klaessa L''tek','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590394,'Sscire Slitherscale','<Stalker Mercenary>','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590395,'Lucius Wavedancer','<Troubador Trainer>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,286,286,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(5590396,'Stamper Jeralf','<Archon Mercenary>','','','',13,67,32,0,1,1,9,0,0,0,0,1,0,0,19,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590397,'Sicangu Wi','<Dirge Trainer>','','','',11,92,32,0,1,1,10,1265,0,0,0,1,0,0,38,286,286,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(5590398,'Coltix the Cartographer','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590399,'Bellut Shortsong','<Songspinner Mercenary>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590400,'Durog Malthese','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590401,'Jojo Karanja','','','','',11,99,32,0,1,1,9,0,540,0,0,1,0,0,38,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590402,'Kain Starkson','','','','',9,134,35,0,1,1,9,0,24124,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590403,'Tarakh','','','','',13,69,32,0,1,1,9,0,11500,0,0,1,0,0,19,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590404,'Vimminy Crix','<Steward of Lucan D''Lere>','','','',13,71,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590405,'Cleerie Germinas','<Reconstruction Coordinator>','','','',13,54,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590406,'Everett Splizen','<Role Advisor>','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590407,'Ullon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590408,'Vzell','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590409,'a Freeport dweller','','','','',14,106,31,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590410,'a Freeport dweller','','','','',13,53,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590411,'Bruccius Capito','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590412,'Velna T`Kril','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,102,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590413,'Darvin Malkia','<Chronomagi Tasker>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590414,'Viducius Festus','<Armor and Weapon Upgrades>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,346,346,0,0,100044,0,0,0,0,0,0,0,0,0,0,0,0),
(5590415,'Zagokk Skinflayer','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,102,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590416,'a fanged sentinel','','','','',255,1374,15,2,1,1,9,0,0,1,1,1,0,12,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590417,'Boshank Dracious','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590418,'Sabina Thallis','<Jeweler>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,1351,1351,0,0,1883,0,0,0,0,0,0,0,0,0,0,0,0),
(5590419,'Salonia Siculus','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,34,241,241,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590420,'Odyssneu','<Broker>','','','',3,1598,32,0,1,1,20,9,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590421,'Sengira','Sengira''s grim sorcerer','','','',255,19968,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590422,'Quartermaster Redplate','<City Quartermaster>','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590423,'Zula Tazil','<Dismal Rage Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100038,0,0,0,0,0,0,0,0,0,0,0,0),
(5590424,'Renny Parvat','<Collector>','','','',13,70,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590425,'Polycethes','<City Merchant>','','','',3,119,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100054,0,64,0,0,0,0,0,0,0,0,0,0),
(5590426,'Progenitus','<City Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100053,0,64,0,0,0,0,0,0,0,0,0,0),
(5590427,'a perceived conspirator','','','','',17,6486,33,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590428,'Jemilar','<Reforging>','','','',9,116,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590429,'Broll','<Provisioner>','','','',12,124,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,100040,0,0,0,0,0,0,0,0,0,0,0,0),
(5590430,'Valencia Rhein','<Mount Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100039,0,0,0,0,0,0,0,0,0,0,0,0),
(5590431,'Quartermaster Baile','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590432,'Krishana','<Linguist>','','','',3,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,1899,0,0,0,0,0,0,0,0,0,0,0,0),
(5590433,'Klarna','<Guard>','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590434,'Alypia Damian','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,271,271,0,0,100041,0,0,0,0,0,0,0,0,0,0,0,0),
(5590435,'Culdor','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(5590436,'Foreman Asprenus','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590437,'Loche V''Lys','<Kirsteh''s Assistant>','','','',1,115,32,0,1,1,10,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590438,'Kirsteh the Witch','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590439,'Velnak','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590440,'Gratus T`Kril','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,421,421,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590441,'Athgar','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590442,'Angus McPhergin','<Legends of Norrath Greeter>','','','',9,112,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590443,'Zargga','<Freeport Militia Merchant>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100042,0,0,0,0,0,0,0,0,0,0,0,0),
(5590444,'Sidonius Baro','<Alchemist>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,100037,0,0,0,0,0,0,0,0,0,0,0,0),
(5590445,'Salla','','','','',13,58,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590446,'Linst Tincobble','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590447,'Madelyn Tarrad','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590448,'Gibekn','Deathbeyours''s bat warder','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590449,'Vittia Direshadow','<Deathbeyours'' Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590450,'Soleficus Baro','<Banker>','','','',9,134,32,0,1,1,14,9,323,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590451,'Agamennus','<Broker>','','','',9,134,32,0,1,1,20,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590452,'Privateer Twitchwhisker','<Seafury Buccaneers>','','','',13,73,32,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590453,'Caltuur','<Kerra Mentor>','','','',11,101,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590454,'Shivna Crane','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,301,301,0,0,100036,0,0,0,0,0,0,0,0,0,0,0,0),
(5590455,'Preceptor Rhaskos','<Freeport Emissaries>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590456,'Erasmo Crane','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590457,'Zafira','<Seafury Buccaneer Merchant>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,42057,0,0,0,0,0,0,0,0,0,0,0,0),
(5590458,'Karila T''zel','<Arcane Scientist Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,100032,0,0,0,0,0,0,0,0,0,0,0,0),
(5590459,'Bezedd Headcrusher','<Guard>','','','',12,123,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590460,'Captain Siren','<Seafury Buccaneers>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590461,'a Seafury corsair','','','','',1,115,33,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590462,'Pug Jackson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590463,'Kal''ril Nightstalker','<Seafury Buccaneers>','','','',6,4983,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590464,'Kaeso Polluvius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590465,'Brand Narson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590466,'Jezranaz Rottingskin','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590467,'Steve Booth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590468,'Gemellus Sperasius','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590469,'Wimba','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590470,'Annia Kaeso','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,256,256,0,0,100035,0,0,0,0,0,0,0,0,0,0,0,0),
(5590471,'Nipius Malchus','<Armorsmith>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,346,346,0,0,100034,0,0,0,0,0,0,0,0,0,0,0,0),
(5590472,'Clodia Laeca','<Bowyer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,361,361,0,0,100033,0,0,0,0,0,0,0,0,0,0,0,0),
(5590473,'Nelik Ulnya','<Troll Mentor>','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590474,'a suspected renegade','','','','',8,135,33,2,1,1,9,0,16,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590475,'a suspected renegade','','','','',14,105,30,0,1,1,9,0,16,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590476,'Speculator Montanlooa','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590477,'a Roughhouser Champion','<The Dreadnaughts>','','','',9,132,35,0,1,1,9,0,0,0,0,1,0,0,32,1081,1081,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590478,'Decimus Eonus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590479,'a Freeport visitant','','','','',1,116,33,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590480,'Vibius Mansuetus','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590481,'Julia Livilla','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,12,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590482,'Liege Vistilia Amalthea','<Guard>','','','',9,132,35,0,1,1,13,0,0,1,1,1,0,12,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590483,'Professor Flimflam','<Gnome Mentor>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590484,'a tinkerer assistant','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590485,'Ambassador Brutus','<Change of Citizenship>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590486,'Miyran X''Thall','<Guild Cloak Designer>','','','',1,115,32,0,1,1,24,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590487,'City Registrar Glamis','<Guild Registrar>','','','',9,134,32,0,1,1,25,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590488,'Wundil Brakus','<Portal Master>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590489,'Kybosh Clangsworthy','<Tinkering Trainer>','','','',5,121,32,0,1,1,9,0,24046,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590490,'Zizwold','<Alchemist>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100021,0,0,0,0,0,0,0,0,0,0,0,0),
(5590491,'Ginny Boomsprocket','<Tinkering Merchant>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,16,16,0,0,100014,0,0,0,0,0,0,0,0,0,0,0,0),
(5590492,'Torg Bonegrinder','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590493,'Worar Headcrusher','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590494,'Jarvis McNeil','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590495,'Sam McGillicutty','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590496,'Durakan','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590497,'Saveth Noolright','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590498,'Deacon Danerous','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590499,'Rake','<The Red Hoods>','','','',1,4966,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590500,'Whisper','<The Red Hoods>','','','',6,4975,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590501,'Scythe','<The Red Hoods>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590502,'Vulture','<The Red Hoods>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590503,'','','','','',255,264,43,4,0,0,0,0,228,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590504,'Shrew','<The Red Hoods>','','','',6,4982,32,0,1,1,9,0,0,0,0,1,0,0,30,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590505,'','','','','',255,6910,32,0,0,0,0,0,228,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590506,'Bullseye','','','','',5,4972,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590507,'Drake Fallon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590508,'Corporal Henk Rimebreaker','<Freeport Militia>','','','',0,1468,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590509,'Salonina Aventina','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590510,'Ulthus Greygore','<Valorous Companions>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590512,'Derald Walldons','<Human Mentor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590513,'Sergeant Nominus','<Freeport Militia>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590514,'Ceacilia Velva','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590515,'Clan Chief Malachi Sleetsaber','','','','',0,1470,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590516,'Krelnath','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590517,'Clara Maius','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590518,'Zulk Veskk','<Iksar Mentor>','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590519,'Secundus Maecilius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,661,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590520,'a Scale Yard guardsman','','','','',10,103,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590521,'Nellin Jessith','<Red Hoods>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590522,'Amulius Sarrius','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,541,541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590523,'Juturna Postumus','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590524,'Alexandria Tal`Azroth','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590525,'V''Nyr','<Guard>','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,586,586,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590526,'a scarecrow','','','','',255,261,35,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590527,'a black cat','','','','',255,306,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590528,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590529,'a smuggler','','','','',0,111,34,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590530,'a prisoner escort','','','','',0,112,38,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590531,'Lucan D''Lere','<Overlord of Freeport>','','','',9,16482,38,0,1,1,0,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590532,'a Lucanic Knight','<The Wraithguard>','','','',9,16153,38,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590533,'a renegade','','','','',0,1470,32,1,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590534,'a conjured spectre','','','','',255,5002,25,0,1,1,0,0,517,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590535,'a Gigglegibber Illusionist','','','','',255,7039,24,2,1,1,9,0,0,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590536,'Erus Dal''viv','<The Swordbearer>','','','',9,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590537,'Blurt Grasplung','<Gamelle''s Tempest Mercenary>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590538,'a perceived conspirator','','','','',1,19287,36,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590539,'a Seafury corsair','','','','',14,106,32,2,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590540,'Brenin Stoutheart','<Freemerc''s Militia Soldier Mercenary>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590541,'Stamper Jeralf','<Freemerc''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590542,'Bellut Shortsong','<Freemerc''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590543,'Sscire Slitherscale','<Freemerc''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590544,'Dinaris Jounst','<Freemerc''s Marauder Mercenary>','','','',6,4981,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590545,'Gigglegibber Thief','<Freemerc''s Thief Mercenary>','','','',255,18861,25,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590546,'Gaeri Tallspire','<Freemerc''s Voidcaster Mercenary>','','','',3,120,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590547,'Brenin Stoutheart','<Freemerc''s Militia Soldier Mercenary>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590548,'Stamper Jeralf','<Freemerc''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590549,'Bellut Shortsong','<Freemerc''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590550,'Sscire Slitherscale','<Freemerc''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590551,'Dinaris Jounst','<Freemerc''s Marauder Mercenary>','','','',6,4981,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590552,'Gigglegibber Thief','<Freemerc''s Thief Mercenary>','','','',255,18861,25,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590553,'Gaeri Tallspire','<Freemerc''s Voidcaster Mercenary>','','','',3,120,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590554,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,0,1,1,0,0,18,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590555,'Speculator Montanlooa','','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590556,'Zenobtik','Lokaries''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590557,'an Academy spellsplitter','','','','',3,1591,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590558,'Savant Keza','<Academy Spellsplitter>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590559,'Skrig','','','','',14,106,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590560,'Stamper Jeralf','<Karagonx''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590561,'a Roughhouser Champion','<The Dreadnaughts>','','','',9,132,35,0,1,1,9,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590562,'a perceived conspirator','','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590563,'an accused arms smuggler','','','','',14,106,33,0,1,1,0,0,540,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590564,'Pepperjack','Gaealiege''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590565,'a Temple Street resident','','','','',13,68,32,0,1,1,0,0,24046,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590566,'a Temple Street resident','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590567,'a broken necromech','','','','',255,16020,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590569,'Tirnath','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590570,'Conthar','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590571,'a Big Bend reserve guard','','','','',9,18214,36,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590572,'a Juggernaut taskmaster','','','','',12,124,38,0,1,1,9,0,0,0,0,1,0,0,43,1201,1201,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590573,'Wug Facemangler','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,102,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590574,'Brodak','Brodak''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590575,'a dissenting citizen','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590576,'a dissenting citizen','','','','',9,134,32,0,1,1,303,0,228,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590577,'Slaughtergrott the Vigilant','','','','',12,123,32,0,1,1,9,0,0,0,0,1,0,0,43,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590578,'a dissenting citizen','','','','',9,18978,30,3,1,1,9,0,0,0,0,1,0,0,34,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590579,'Hodga Blackblood','<The Freeport Militia>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590580,'a street tough','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590581,'a Beggar''s Court watchguard','','','','',12,124,29,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590582,'a captive worker','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590583,'Tinidela L`Kar','<Guard>','','','',1,116,32,0,1,1,13,0,0,1,1,1,0,12,34,691,691,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590584,'an Intimidator Champion','<The Dreadnaughts>','','','',0,111,35,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590585,'a Longshadow Alley resident','','','','',17,6487,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590586,'William Hille','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,976,976,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590587,'Kargh Boneshaker','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590588,'Thuram','<Guard>','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590589,'Lieutenant Vesder','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590590,'a Stonestair Byway resident','','','','',3,1593,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590591,'Zaveda X''vch','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590592,'Kanos X''aphon','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,34,511,511,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590593,'Serris','','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590594,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590595,'Mylittlewolf','Haimommmm''s spirit companion','','','',255,1374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590596,'a spectator','','','','',12,123,34,4,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590597,'a spectator','','','','',9,18979,34,1,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590598,'a spectator','','','','',1,9913,37,1,1,1,0,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590599,'a renegade','','','','',1,115,36,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590600,'Surabaya','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590601,'Edopia','Edopia''s grim sorcerer','','','',255,12302,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590602,'Mairianne','Undying Servant','','','',255,8220,6,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590604,'a spectator','','','','',14,105,34,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590605,'\\aITEM -1390703925 691220289:Inanimate\\/a','Inanimate''s grim sorcerer','','','',255,19968,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590606,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590607,'Brenin Stoutheart','<Healfactor''s Militia Soldier Mercenary>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590608,'Gaeri Tallspire','<Ofeg''s Voidcaster Mercenary>','','','',3,120,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590610,'a suspected renegade','','','','',1,115,36,2,1,1,9,0,16,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590611,'Stamper Jeralf','<Ufaac''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590612,'Nigel','Arisa''s pack pony','','','',255,9531,32,0,1,1,9,0,0,0,0,1,0,0,32,1381,1381,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590613,'Jonekn','Arisa''s gathering goblin','','','',255,7296,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590614,'door_widget009',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590615,'door_militia_prison2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590616,'door_militia_prison',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590617,'event_halloween_haunted_house',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590618,'door_widget002',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590619,'door_widget001',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590620,'door_widget008',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590621,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590622,'jail_door2',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590623,'door_widget010',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590624,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590625,'Freeport_JailDoor',NULL,'','','',0,49,32,0,0,0,63,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590626,'quest_tome_ancientdance_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590627,'jail_widget',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590628,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590629,'door_widget23',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590630,'quest_tome_moontears_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590631,'jade_social_player_housing_two_room_4',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590632,'door_widget23',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590633,'transport_academy_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590634,'transport_academy_0',NULL,'','','',0,49,32,0,1,0,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590635,'jade_tiger_inn4',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590636,'jade_tiger_inn3',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590637,'coin_player_housing_two_room_3',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590638,'tome_mastery_shadowman_widget',NULL,'','','',0,49,32,0,1,1,64,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590639,'quest_tome_northlands02',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590640,'transport_academy_1 trigger lower',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590641,'transport_academy_0 trigger upper',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590642,'transport_academy_0 trigger lower',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590643,'tome_mastery_elemental_widget',NULL,'','','',0,49,32,0,1,1,64,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590644,'quest_tome_splitpaw01_tome01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590645,'transport_academy_1 trigger upper',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590646,'Magical Academy Housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590647,'jade_tiger_inn2',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590648,'jade_tiger_inn',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590649,'coin_player_housing_two_room_2',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590650,'jade_comfort',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590651,'coin_player_housing_three_room_3',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590652,'coin_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590653,'coin_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590654,'status_player_housing_five_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590655,'status_player_housing_five_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590656,'jade_tiger_comfort3',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590657,'jade_tiger_comfort2',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590658,'jade_tiger_comfort',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590659,'status_player_housing_five_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590660,'status_player_housing_five_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590661,'status_player_housing_three_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590662,'status_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590663,'status_player_housing_five_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590664,'seafarer_royal_suite',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590665,'status_player_housing_five_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590666,'status_player_housing_five_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590667,'status_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590668,'status_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590669,'status_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590670,'status_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590671,'coin_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590672,'coin_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590673,'coin_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590674,'bookcase_widget',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590675,'quest_tome_splitpaw02_tome01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590676,'quest_tome_danarg_one',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590677,'fprt_guildhall_tier1',NULL,'','','',0,49,32,0,0,0,28,0,0,0,1,1,1,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590678,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,459,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590679,'coin_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590680,'status_player_housing_five_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590681,'status_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590682,'status_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590683,'status_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590684,'fprt_guildhall_tier2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,1,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590685,'dpo_bow01_gold_wall',NULL,'','','',0,7079,18,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590686,'dpo_holiday05_stocking_red',NULL,'','','',0,5959,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590687,'dpo_present_darkver_leather_patched_medium',NULL,'','','',0,8745,25,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590688,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590689,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590690,'snow balls',NULL,'','','',0,5957,32,0,1,1,19,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590691,'presents01',NULL,'','','',0,5968,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590692,'dpo_bow01_red_wall',NULL,'','','',0,7081,74,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590693,'dpo_holiday05_stocking_green',NULL,'','','',0,5958,22,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590694,'presents01',NULL,'','','',0,5977,23,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590695,'presents01',NULL,'','','',0,5972,26,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590696,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590697,'presents01',NULL,'','','',0,5967,23,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590698,'holiday_fatcandle_white',NULL,'','','',0,7976,32,0,0,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590699,'dpo_bauble_silver01',NULL,'','','',0,8729,49,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590700,'holiday_wreath01',NULL,'','','',0,7073,53,0,0,0,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590701,'holiday_fatcandle_green',NULL,'','','',0,7974,32,0,0,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590702,'dpo_cookie_plate01',NULL,'','','',0,7968,24,0,1,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590703,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590704,'presents01',NULL,'','','',0,5971,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590705,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,1,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590706,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,1,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590707,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590708,'dpo_holiday05_stocking_redgold',NULL,'','','',0,5960,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590709,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,0,0,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590710,'dpo_bow01_green',NULL,'','','',0,7075,31,0,1,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590711,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,26,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590712,'presents01',NULL,'','','',0,5969,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590713,'dpo_snowflake01_rotate',NULL,'','','',0,8752,32,0,1,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590714,'dpo_sack_of_coal01',NULL,'','','',0,8750,48,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590715,'dpo_bow01_red',NULL,'','','',0,7076,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590716,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,1,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590717,'dpo_holiday_wallcandles02_goldgreen',NULL,'','','',0,7055,83,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590718,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,1,1,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590719,'candles2',NULL,'','','',0,5962,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590720,'dpo_holiday_wallcandles02_silverred',NULL,'','','',0,7056,32,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590721,'mistletoe',NULL,'','','',0,7973,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590722,'dpo_present03_medium',NULL,'','','',0,7078,32,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590723,'dpo_ham01',NULL,'','','',0,8739,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590724,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590725,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,18,0,1,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590726,'holiday_fatcandle_red',NULL,'','','',0,7975,32,0,0,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590727,'dpo_pastries01',NULL,'','','',0,8740,32,0,1,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590728,'dpo_xmas_eggnog',NULL,'','','',0,7070,24,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590729,'dpo_present_darkver_black_big',NULL,'','','',0,8741,60,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590730,'dpo_present_darkver_black_medium',NULL,'','','',0,8742,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590731,'candycane',NULL,'','','',0,5984,44,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590732,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590733,'dpo_stocking_darkver_female_purple',NULL,'','','',0,8755,32,0,1,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590734,'dpo_stocking_darkver_purple_small',NULL,'','','',0,8763,32,0,1,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590735,'candycane',NULL,'','','',0,7950,11,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590736,'candycane',NULL,'','','',0,7951,14,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590737,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590738,'dpo_stocking_darkver_leatherpatch',NULL,'','','',0,8761,53,0,1,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590739,'dpo_present_darkver_purple_big',NULL,'','','',0,8747,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590740,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,1,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590741,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,0,0,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590742,'floor_book_human_open02',NULL,'','','',0,3323,19,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590743,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590744,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590745,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590746,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590747,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590748,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590749,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590750,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590751,'dpo_present_darkver_purple_group01',NULL,'','','',0,8748,26,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590752,'dpo_holiday_skullrow_candycane',NULL,'','','',0,11420,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590753,'bell',NULL,'','','',0,14216,40,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590754,'fpalt sign post',NULL,'','','',0,16549,32,0,1,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590755,'dpo_snowman01_dagger',NULL,'','','',0,11419,32,0,0,0,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590756,'dpo_bauble_bell_garland_gold_ceiling',NULL,'','','',0,15278,21,0,0,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590757,'dpo_candle_darkver_purple02',NULL,'','','',0,8734,20,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590758,'chips_blood_haze_inn',NULL,'','','',0,3177,37,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590759,'cards_generic',NULL,'','','',0,3174,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590760,'dpo_holiday_bowl_beans01',NULL,'','','',0,15464,32,0,1,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590761,'present',NULL,'','','',0,5970,23,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590762,'Forge',NULL,'','','',0,2529,31,0,0,0,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590763,'dpo_holiday_bones_cazic',NULL,'','','',0,11417,23,0,1,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590764,'dpo_holiday_cup02',NULL,'','','',0,15461,28,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590765,'dpo_holiday_cup01',NULL,'','','',0,15460,28,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590766,'dpo_christmas_evil_tree_small01_houseitem',NULL,'','','',0,9243,32,0,0,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590767,'dpo_tree_rug_red',NULL,'','','',0,14233,32,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590768,'dpo_stocking_darkver_female_warg_spotted',NULL,'','','',0,8756,28,0,1,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590770,'frostfell_fanatic08',NULL,'','','',0,8743,32,0,0,0,0,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590771,'bell',NULL,'','','',0,14214,24,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590772,'dpo_holiday_orcskull_candycane',NULL,'','','',0,11450,12,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590773,'dpo_snowflake01',NULL,'','','',0,8751,18,0,1,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590774,'bell',NULL,'','','',0,14215,21,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590775,'dpo_stocking_darkver_green_elven',NULL,'','','',0,8758,22,0,1,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590776,'candycane',NULL,'','','',0,7949,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590777,'Coldain Tradeskill Apprentice',NULL,'','','',255,11868,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590778,'quest_tome_lastvoyage_tome_01',NULL,'','','',0,2604,32,0,1,1,55,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590779,'chalice',NULL,'','','',0,7267,31,0,0,0,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590780,'candle',NULL,'','','',0,2709,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590781,'fpalt_chair_stool_military01',NULL,'','','',0,16416,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590782,'fpalt_table_endtableornate01',NULL,'','','',0,16577,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590783,'ornate linen rug',NULL,'','','',0,3530,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590784,'dpo_tree_rug_gold',NULL,'','','',0,14231,28,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590785,'dpo_snowglobe_cazicthule01',NULL,'','','',0,7057,25,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590786,'dpo_tree_rug_blue',NULL,'','','',0,14230,21,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590787,'chips_coalition_house',NULL,'','','',0,3177,40,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590788,'dpo_tree_rug_grn',NULL,'','','',0,14232,32,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590789,'chips_backalley_brewhouse',NULL,'','','',0,3177,41,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590790,'fpalt_chair_military01',NULL,'','','',0,16414,31,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590791,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590792,'fpalt_chest_small_ornate01',NULL,'','','',0,16419,25,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590793,'throwing_knife001_rusty',NULL,'','','',0,3906,31,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590794,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590795,'floor_potionbottle_any_large04',NULL,'','','',0,2617,31,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590796,'floor_potionbottle_any_small02',NULL,'','','',0,2624,31,0,0,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590797,'dpo_candlegroup_darkver_greensilver',NULL,'','','',0,8736,23,0,1,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590798,'holiday_custard_pie',NULL,'','','',0,7972,24,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590799,'freeport guildhall status',NULL,'','','',0,9094,1,0,0,0,0,0,0,0,0,0,0,0,350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590800,'odd_creature_statue',NULL,'','','',0,1987,8,0,0,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590801,'commonlandsmap01',NULL,'','','',0,1404,9,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590802,'fpalt_vase_ornateface01',NULL,'','','',0,16395,31,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590803,'table brazier lit',NULL,'','','',0,9347,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590804,'fpalt_counter_straightornatelong01',NULL,'','','',0,16531,32,0,0,0,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590805,'fpalt_counter_straightornatemedium01',NULL,'','','',0,16532,32,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590806,'teal tent',NULL,'','','',0,5158,32,0,0,0,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590807,'quest_tome_redlake_tome_01',NULL,'','','',0,3032,32,0,1,1,55,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590808,'chips_jade_tigers_den',NULL,'','','',0,3177,38,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590809,'Dyymona K''Vexx''s Chest',NULL,'','','',0,16418,32,0,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590810,'pedestal',NULL,'','','',0,4639,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590811,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590812,'draconic_widget02',NULL,'','','',0,4178,32,0,1,1,57,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590813,'solusek ro history',NULL,'','','',0,3030,19,0,1,1,58,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590814,'widget_book',NULL,'','','',0,1607,32,0,0,0,59,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590815,'academy of arcane science library book on table ',NULL,'','','',0,1607,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590816,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590817,'adv1_quest_hom_ytheri_info',NULL,'','','',0,2604,32,0,1,1,60,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590818,'academy of arcane science library book on table ',NULL,'','','',0,3027,32,0,0,0,61,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590819,'academy_x4_gnome_illusion_dpo',NULL,'','','',0,12517,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590820,'Bug Fix Player Widget',NULL,'','','',0,1749,22,0,1,1,0,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590821,'Doorbell',NULL,'','','',0,1586,31,0,1,1,62,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590822,'wallcandles',NULL,'','','',0,5965,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590823,'dpo_bauble_bell_garland_red_ceiling',NULL,'','','',0,15280,23,0,1,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590824,'dpo_bauble_bell_garland_green_ceiling',NULL,'','','',0,15279,20,0,1,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590825,'bell',NULL,'','','',0,14213,40,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(5590826,'chips_seafarers_roost',NULL,'','','',0,3177,39,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590827,'fpalt_forge_pliers01',NULL,'','','',0,16546,31,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590828,'fpalt_forge_hammer01',NULL,'','','',0,16545,31,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590829,'fpalt_weaponrack_triple01',NULL,'','','',0,16595,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590830,'fpalt_weaponrack_temple01',NULL,'','','',0,16592,31,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590831,'fpalt_weaponrack_full01',NULL,'','','',0,16591,31,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590832,'fpalt_bankvaultplain001',NULL,'','','',0,16399,31,0,0,0,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590833,'fpalt_hitchingpostmultiple01',NULL,'','','',0,16547,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590834,'chips_bait_and_tackle',NULL,'','','',0,3177,39,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590835,'gevil_frostfell_decoration01',NULL,'','','',0,8745,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590836,'gravestone01',NULL,'','','',0,1549,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590837,'gravestone09',NULL,'','','',0,2924,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590838,'candles_group01',NULL,'','','',0,3449,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590839,'pumpkin',NULL,'','','',0,5787,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(5590840,'gravestone05',NULL,'','','',0,2920,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590841,'jackolantern02',NULL,'','','',0,5786,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(5590842,'jackolantern03',NULL,'','','',0,5787,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(5590843,'jackolantern01',NULL,'','','',0,5785,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(5590844,'jack-o-lantern',NULL,'','','',0,5786,32,0,0,0,52,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590845,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,512,0,0,0),
(5590846,'an advanced technical manual',NULL,'','','',0,3032,31,0,1,1,0,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590847,'fpalt_table_ornatesmall01',NULL,'','','',0,16429,31,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590848,'floor_dagger',NULL,'','','',0,1860,8,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590849,'a large scroll',NULL,'','','',0,2544,6,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590850,'nekf_tent_large_purple001',NULL,'','','',0,4656,32,0,0,0,0,0,0,0,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590851,'storage crate',NULL,'','','',0,16419,32,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590852,'shipping crate',NULL,'','','',0,16500,36,0,0,0,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590853,'secured crate',NULL,'','','',0,16501,38,0,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590854,'Whatizit',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590855,'frostfell_entrance',NULL,'','','',0,2306,32,0,0,0,30,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590856,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590857,'mariners_bell',NULL,'','','',0,13660,32,0,0,0,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(5590858,'chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590859,'execution_plaza_pit',NULL,'','','',0,2306,180,0,0,0,0,0,2306,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590860,'mariner_bell_city_travel_freeport',NULL,'','','',0,16564,31,0,0,0,65,0,0,0,0,1,0,0,69,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0),
(5590861,'To arena',NULL,'','','',0,49,32,0,0,0,66,0,0,0,0,1,0,0,420,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590862,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590863,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590864,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590865,'sign_arm',NULL,'','','',0,16598,31,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590866,'sign_arm',NULL,'','','',0,16598,31,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590867,'sign_arm',NULL,'','','',0,16598,31,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590868,'To the Commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,591,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590869,'fprt_manhole_hood_to_sewer01',NULL,'','','',0,16597,32,0,0,0,68,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590870,'zone_to_quest_brawler_cap',NULL,'','','',0,16599,31,0,1,1,69,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590871,'painting easel',NULL,'','','',0,3303,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590872,'eldar_stables',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590873,'Mail Kiosk',NULL,'','','',0,16563,31,0,1,1,29,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590874,'coercer_epic_fulania',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590875,'door_to_sorcerer_class',NULL,'','','',0,49,32,0,1,1,70,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590876,'door_to_summoner_class',NULL,'','','',0,49,32,0,1,1,71,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590877,'fprt_tradeskill_cca',NULL,'','','',0,16599,31,0,1,1,46,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590878,'to_coalition_factory',NULL,'','','',0,16599,32,0,1,1,46,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590879,'backalley_storage',NULL,'','','',0,49,32,0,0,0,72,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590880,'overlord_lucan_dlere_cube',NULL,'','','',0,2306,319,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590881,'hidden_room',NULL,'','','',0,2031,32,0,1,0,73,0,0,0,0,1,1,0,63,0,0,0,0,0,559001,0,0,0,0,0,0,0,0,0,0,0),
(5590882,'zone_to_fprt_militia_dungeon',NULL,'','','',0,49,32,0,1,1,74,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590883,'coalition_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590884,'',NULL,'','','',0,2031,27,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590885,'guild_writ_door',NULL,'','','',0,2031,31,0,1,1,75,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590886,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590887,'epic_gorynn_militia_cell_lock_inside',NULL,'','','',0,6480,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590888,'epic_gorynn_militia_cell_lock_outside',NULL,'','','',0,6480,22,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590889,'sign_betrayal_guard_schedule',NULL,'','','',0,4067,32,0,1,1,76,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590890,'sign_barber_shop',NULL,'','','',0,16598,20,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590891,'zone_to_bigbend',NULL,'','','',0,49,32,0,0,0,77,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590892,'sign_emporium2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590893,'qst_serris_x3_zone_to_cellar',NULL,'','','',0,16599,31,0,1,1,45,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590894,'arcane_science_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590895,'temple_of_war_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590896,'Tome of Illusion Dispelling',NULL,'','','',0,3322,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590897,'book_chaotic_history',NULL,'','','',0,3322,18,0,1,1,0,0,3859,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590898,'door to opal_x5 and _x7',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590899,'',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590900,'to_dismal_den',NULL,'','','',0,16599,29,0,1,1,46,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590901,'sign_arm',NULL,'','','',0,16598,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590902,'betrayal academy',NULL,'','','',0,4104,35,0,1,1,78,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590903,'jade_tiger_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590904,'donations',NULL,'','','',0,49,32,0,0,0,79,0,0,0,0,1,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590905,'qst_serris_x4_zone_to_hideout',NULL,'','','',0,16599,31,0,1,1,45,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590906,'jade_tiger_den_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590907,'gorowyn_chancery_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590908,'gorowyn_chancery_sign2',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590909,'armor_by_ikthar_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590910,'tcg_druid_portal',NULL,'','','',0,2306,48,0,1,1,80,0,11375,0,0,1,0,0,27,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(5590911,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590912,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590913,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590914,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590915,'sign_arm',NULL,'','','',0,16598,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590916,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590917,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590918,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590919,'merc_door_entrance',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590920,'merc_door_entrance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590921,'harbor_exchange_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590922,'to_quest_rogue_cap',NULL,'','','',0,16599,32,0,1,1,81,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590923,'Zone Teleporter',NULL,'','','',0,7008,16,0,1,1,82,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590924,'to_seafury_hideout',NULL,'','','',0,16599,31,0,1,1,46,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590925,'betrayal militia',NULL,'','','',0,16599,31,0,1,1,83,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590926,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590927,'sign_arm',NULL,'','','',0,16598,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590928,'sign_arm',NULL,'','','',0,16598,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590929,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590930,'sign_arm',NULL,'','','',0,16598,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590931,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590932,'sign_arm',NULL,'','','',0,16598,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590933,'sign_arm',NULL,'','','',0,16598,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590934,'',NULL,'','','',0,2031,32,0,1,1,84,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590935,'zone_to_temple',NULL,'','','',0,49,32,0,0,0,85,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590936,'zone_to_scaleyard',NULL,'','','',0,49,32,0,0,0,86,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590937,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590938,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590939,'sign_emporium01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590940,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590941,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590942,'sign_arm',NULL,'','','',0,16598,31,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590943,'zone_to_beggars',NULL,'','','',0,49,32,0,0,0,304,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590944,'zone_to_longshadow',NULL,'','','',0,49,32,0,0,0,305,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590945,'zone_to_stonestair',NULL,'','','',0,49,32,0,0,0,306,0,0,0,0,0,0,0,561,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590946,'sign_arm',NULL,'','','',0,16598,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590947,'',NULL,'','','',0,2031,32,0,1,1,318,0,0,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590948,'a flower bloom',NULL,'','','',0,1738,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590949,'Player Studio Wall',NULL,'','','',255,25480,32,0,1,0,0,0,0,0,0,0,0,0,10,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590950,'Serpent Fire',NULL,'','','',255,2362,16,0,1,1,0,0,0,1,1,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590951,'GoblinGonDie',NULL,'','','',255,7989,32,0,0,0,0,0,0,0,0,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590952,'Imaryn Yth`Dare','<Nebulous Newsie>','','','',255,2838,31,0,1,1,0,0,82394,0,0,1,0,0,32,100,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590953,'Kel''Drax','<Aerakyn Mentor>','','','',20,24105,35,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590954,'academy_x4_necromechanical_book',NULL,'','','',0,2593,24,0,0,0,1330,0,17434,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590955,'a false roekillik',NULL,'','','',13,68,32,0,1,1,11,0,0,1,1,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590956,'a false roekillik',NULL,'','','',13,58,32,0,1,1,11,0,0,1,1,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590957,'a false roekillik',NULL,'','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590958,'a gravely ill citizen',NULL,'','','',0,134,32,0,0,1,33,0,2073,0,0,1,1,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590959,'a gravely ill citizen',NULL,'','','',0,123,32,0,0,1,33,0,2073,0,0,1,1,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590960,'a gravely ill citizen',NULL,'','','',0,115,32,0,0,1,33,0,2073,0,0,1,1,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590961,'a crazed ratonga',NULL,'','','',13,57,32,0,1,1,11,0,0,1,1,1,0,0,19,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590962,'Jeth the Spy','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590963,'Infiltrator Kath','','','','',6,79,32,0,1,1,0,0,0,1,1,1,0,0,30,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590964,'spawn_Jeth_the_Spy',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5590965,'spawn_Infiltrator_Kath',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600001,'Nizari''ishi praetor','','','','',255,50004,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600002,'Nizari''zhi praetor','','','','',255,50004,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600003,'Nizari''oshu denizen','','','','',255,50005,55,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600004,'Nizari''oshu vindicae','','','','',255,50006,63,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600005,'Nizari''ishi vindicae','','','','',255,50006,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600006,'a small fish','','','','',255,204,22,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600007,'Nizari''zhi vindicae','','','','',255,50006,63,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600008,'K''huthas','<Guardian of the Way>','','','',255,5771,96,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600009,'a Nizari spirit','<Protector of the Nizari Maiden>','','','',255,3710,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600010,'Nizari''oshu patroller','','','','',255,50006,63,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600011,'Nizari''kozu vindicae','','','','',255,50006,63,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600012,'a tiny shark','','','','',255,242,16,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600013,'Nizari''zhi denizen','','','','',255,50005,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600014,'Nizari''kozu denizen','','','','',255,50005,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600015,'Nizari''ishi denizen','','','','',255,50005,56,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600016,'a Nizari student','','','','',255,50005,55,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600017,'a Nizari student','','','','',255,50005,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600018,'Sshi''vaez the Studious','<Nizari Weave Teacher>','','','',255,50006,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600019,'a Nizari aqueous guardian','','','','',255,5771,64,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600020,'Zhi''feng, Lady of Darkness','<Nizari Idol Defender>','','','',255,50004,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600021,'a small ray','','','','',255,219,22,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600022,'a Nizari scholar','','','','',255,50005,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600023,'a Nizari water guardian','','','','',255,5771,64,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600024,'a preserved Tanaan worker','','','','',255,50105,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600025,'a preserved Tanaan servant','','','','',255,50104,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600026,'a preserved Tanaan slave','','','','',255,50099,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600027,'a Nizari deliberator','','','','',255,50005,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600028,'a Nizari debater','','','','',255,50005,53,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600029,'a studious Nizari scholar','','','','',255,50005,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600030,'Zsisae, the Quiet Thinker','<Nizari Spirit Guide>','','','',255,50006,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600031,'a fiery defender','','','','',255,9782,41,0,1,1,11,0,0,1,1,1,0,0,89,1066,1066,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600032,'a small sea turtle','','','','',255,218,22,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600033,'Nizari''oshu praetor','','','','',255,50004,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600034,'Mistress Zhvari, Nizari''zhi','<The Nizari Ruler>','','','',255,50003,105,0,1,1,11,0,2104,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600035,'Aeri''ssth, the Magic Weaver','<The Nizari Grand Summoner>','','','',255,50004,86,0,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600036,'K''hazid','<Guardian of the Path>','','','',255,171,96,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600037,'Nizari''kozu praetor','','','','',255,50004,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600038,'a Nizari gossiper','','','','',255,50005,54,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600039,'Nizari''kozu enthraller','','','','',255,50006,64,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600040,'a relaxing Nizari','','','','',255,50005,59,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600041,'a Nizari koi watcher','','','','',255,50005,58,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600042,'Mai''sith, the Devouring One','<Nizari Priestess>','','','',255,50004,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600043,'a Nizari koi watcher','','','','',255,50005,56,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600044,'a Nizari koi watcher','','','','',255,50005,55,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600045,'a bored Nizari bather','','','','',255,50005,53,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600046,'a Nizari bather','','','','',255,50005,54,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600047,'Mai''sith''s guardian','','','','',255,50006,61,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600048,'a Nizari flame guardian','','','','',255,171,128,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600049,'Vzee''rist the Overseer','<Nizari Slave Overseer>','','','',255,50004,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600050,'Dutheris, the Deathless Dark','<Summoned Minion of Aeri''ssth>','','','',255,240,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600051,'Gosartik','<Aeri''ssth, the Magic Weaver''s summoned elemental>','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600052,'Dutheris, the Dying Dark','<Summoned Minion of Aeri''ssth>','','','',255,240,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600053,'a Nizari student','','','','',255,50005,52,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600054,'a Nizari student','','','','',255,50005,61,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600055,'a Nizari deliberator','','','','',255,50005,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600056,'a Nizari debater','','','','',255,50005,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600057,'a bored Nizari bather','','','','',255,50005,63,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600058,'a relaxing Nizari','','','','',255,50005,53,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600059,'a Nizari bather','','','','',255,50005,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600060,'a relaxing Nizari','','','','',255,50005,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600061,'a Nizari koi watcher','','','','',255,50005,62,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600062,'a Nizari bather','','','','',255,50005,58,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600063,'Mai''sith''s guardian','','','','',255,50006,59,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600064,'Projection of Master Lu Sywaka','','','','',255,6312,41,0,1,1,9,0,496,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600065,'Power of the Nizari','','','','',255,2306,25,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600066,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600067,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600068,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600069,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600070,'a stone gate',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600071,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600073,'',NULL,'','','',0,2657,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600074,'',NULL,'','','',0,3023,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600075,'',NULL,'','','',0,3022,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600076,'',NULL,'','','',0,2591,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600077,'',NULL,'','','',0,2697,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600078,'',NULL,'','','',0,2723,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600079,'',NULL,'','','',0,2594,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600080,'',NULL,'','','',0,2593,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600081,'',NULL,'','','',0,2592,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600082,'',NULL,'','','',0,2589,64,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600083,'',NULL,'','','',0,2696,48,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600084,'',NULL,'','','',0,2737,32,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600085,'',NULL,'','','',0,2590,48,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600086,'ledge_wall',NULL,'','','',0,4544,41,0,1,1,0,0,12093,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600087,'',NULL,'','','',0,2688,48,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600088,'',NULL,'','','',0,2687,64,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600089,'',NULL,'','','',0,2686,64,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600090,'',NULL,'','','',0,2722,64,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600091,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600092,'',NULL,'','','',0,4544,48,0,1,1,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600093,'The History of the Nizari, Volume II',NULL,'','','',0,2600,32,0,1,1,511,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600094,'',NULL,'','','',0,2025,48,0,1,1,512,0,5973,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600095,'',NULL,'','','',0,2683,64,0,1,1,513,0,5514,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600096,'The History of the Nizari, Volume IV',NULL,'','','',0,2600,32,0,1,1,511,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600097,'',NULL,'','','',0,4544,16,0,1,1,514,0,6849,0,0,1,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600098,'The History of the Nizari, Volume I',NULL,'','','',0,2600,32,0,1,1,511,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5600099,'The History of the Nizari, Volume III',NULL,'','','',0,2600,32,0,1,1,511,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610001,'a terracotta soldier','','','','',255,6323,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610002,'The Essence of Zan Fi','','','','',255,6312,32,0,1,1,0,0,3342,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610003,'Kudzua the Tormentor','<Tomb Corruptor>','','','',255,174,41,0,1,1,0,0,2801,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610004,'boss_effect',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610005,'plain grey sarcophagus',NULL,'','','',0,2879,38,0,1,1,515,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610006,'end_r143_int_obj_brazier01',NULL,'','','',0,6373,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5610007,'The Mystic Lake',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620001,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620005,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5620006,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630001,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630006,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5630007,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640001,'Pantrilla','<Guardian of the High Priestess>','','','',255,5917,32,0,1,1,11,0,0,1,1,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640002,'Ireatan the Scale Eye','<Soulclencher>','','','',255,5947,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640003,'keeper of the Awakened','','','','',255,310,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640004,'a scaled guardian','','','','',255,5992,102,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640005,'a Scaleborn soulclencher','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640006,'a scaled guardian','','','','',255,277,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640007,'a temple custodian','','','','',255,310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640008,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640009,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640010,'a guardian drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640011,'Vraksakin','<Watcher of the Brood>','','','',255,5915,32,0,1,1,11,0,0,1,1,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640012,'a broodling','','','','',255,238,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640013,'Rantukara','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640014,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640015,'a guardian drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640016,'a guardian drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640017,'a young drake','','','','',255,238,67,3,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640018,'a young drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640019,'a temple defender','','','','',255,310,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640020,'a young drake','','','','',255,238,56,8,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640021,'a temple sentinel','','','','',255,310,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640022,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640023,'a guardian drake','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640024,'a temple guardian','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640025,'a temple guardian','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640026,'a temple guardian','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640027,'a temple guardian','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640028,'Drelakor','','','','',255,310,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640029,'disciple of the Awakened','','','','',255,238,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640030,'Firanvious','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640031,'protector of the Awakened','','','','',255,238,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640032,'protector of the Awakened','','','','',255,238,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640033,'protector of the Awakened','','','','',255,238,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640034,'Irolesk','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640035,'The Scaled Protector','','','','',255,277,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640036,'The Scaled Enforcer','','','','',255,277,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640037,'Jaled Dar','','','','',255,5915,44,0,1,1,0,0,0,0,0,0,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640038,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640039,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640040,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640041,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640042,'',NULL,'','','',0,49,32,0,1,1,535,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640043,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640044,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640045,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640046,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640047,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640048,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640049,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640050,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640051,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640052,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640053,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640054,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640055,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640056,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640057,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640058,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640059,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640060,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640061,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640062,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640063,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640064,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640065,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640066,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640067,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640068,'raid_r101_dragondoor_room05_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640069,'raid_r101_dragondoor_room05_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640070,'raid_r101_dragondoor_room05_03',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640071,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640072,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640073,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640074,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640075,'raid_r101_dragondoor_room05_04',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640076,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640077,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640078,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640079,'raid_r101_dragondoor_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640080,'raid_r101_dragondoor_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640081,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640082,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640083,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640084,'glass_vial001_rusty',NULL,'','','',0,5948,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640085,'lava spout',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640086,'hf_book_single01',NULL,'','','',0,5880,37,0,1,1,534,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640087,'The Temple of Scale: Pedestal of the Priestess',NULL,'','','',0,4462,32,0,1,1,45,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640088,'exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5640089,'exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650001,'keeper of the Awakened','','','','',255,310,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650002,'a Scaleborn soulclencher','','','','',255,6015,41,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650003,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650004,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650005,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650006,'devotee of the Awakened','','','','',255,238,105,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650007,'Harla Dar','<High Priestess of the Awakened>','','','',255,5955,192,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650008,'raid_r101_dragondoor_01',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650009,'raid_r101_dragondoor_02',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650010,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650011,'',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,1,0,0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650012,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650013,'lava spout',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5650014,'fiend statue',NULL,'','','',0,4462,32,0,1,1,45,0,0,0,0,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5660000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5660001,'a vase','','','','',255,4564,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5660002,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670001,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670002,'a vase','','','','',255,4564,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670006,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670008,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5670009,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680001,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680006,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5680007,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690001,'a vase','','','','',255,4564,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690005,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690006,'vessel',NULL,'','','',0,50109,32,0,1,1,523,0,174,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690007,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5690008,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700001,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700002,'a vase','','','','',255,4564,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700006,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700008,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700009,'vessel',NULL,'','','',0,50109,32,0,1,1,523,0,174,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700010,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5700011,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710001,'a vase','','','','',255,4564,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710006,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710007,'vessel',NULL,'','','',0,50109,32,0,1,1,523,0,174,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710008,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5710009,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720001,'a vase','','','','',255,4564,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720006,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720007,'vessel',NULL,'','','',0,50109,32,0,1,1,523,0,174,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720008,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5720009,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730000,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730001,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730005,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5730006,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740001,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740007,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5740008,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750000,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750001,'a terracotta warrior','','','','',255,6320,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750002,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750003,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750004,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750005,'a stone gate',NULL,'','','',0,49,32,0,1,1,26,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750006,'wall or door',NULL,'','','',0,50106,25,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5750007,'zone_to_pagoda',NULL,'','','',0,2306,32,0,1,1,519,0,6849,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760000,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760001,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760002,'a void enforcer','','','','',255,8221,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760003,'a void enforcer','','','','',255,8221,50,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760004,'Rwznak','<Master of the Fighting Arts>','','','',255,8929,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760005,'Omzuk','<Master of the Divine>','','','',255,8929,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760006,'Iztak','<Master of the Arcane>','','','',255,8927,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760007,'a void enforcer','','','','',255,8221,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760008,'Nynzok','<Master of Stealth>','','','',255,8925,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760009,'Yzlak','<Master of All Forms>','','','',255,8929,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760010,'Riosceub','','','','',9,135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760011,'Yzlak''s Divine Presence','<Divine Essence>','','','',255,8929,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760012,'Yzlak''s Arcane Presence','<Sorcerous Essence>','','','',255,8929,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760013,'Yzlak''s Stealthy Presence','<Predatory Essence>','','','',255,8929,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760014,'Enala','','','','',9,14793,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760015,'Gandol Deathwing','<Ofeg''s Bonecaster Mercenary>','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760016,'Ofeg','','','','',9,78,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760017,'Moosh','<Vengeful Spirit>','','','',12,8665,38,0,1,1,385,0,496,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760018,'Ozyk','<Blademaster of the Void>','','','',255,8929,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760019,'a void sapper','','','','',255,8221,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760020,'a void sapper','','','','',255,8221,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760021,'a void sapper','','','','',255,8221,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760022,'an endless automaton','<Minion of Munzok>','','','',255,8958,150,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760023,'Umzok','<Senior Adjutant>','','','',255,8929,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760024,'an activated automaton','<Minion of Munzok>','','','',255,8958,150,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760025,'a void protectorate','<Minion of Munzok>','','','',255,8928,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760026,'an auxillary crystal','','','','',9,9034,128,0,1,1,33,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760027,'a void guardian','<Minion of Munzok>','','','',255,8223,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760028,'Munzok the Corruptor','<Eternal Void Presence>','','','',255,8926,121,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5760029,'Gozak','<Abominable Destroyer>','','','',255,9005,121,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5770000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5770001,'a dwarven worker','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5770002,'Gustad Aleslammer','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5770003,'K''Dal the Deceiver','','','','',255,1585,64,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5770004,'Munzok the Corruptor','','','','',255,1584,83,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5770005,'door_to_lavastorm',NULL,'','','',0,49,32,0,0,0,102,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5780000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5780001,'a stone watchman','','','','',255,162,32,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5780002,'The Infernal Forge of Ages',NULL,'','','',0,2529,32,0,1,1,4,0,0,0,0,1,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5780003,'zone_from_draconic_forge',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,132,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5840000,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5840001,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,372,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850000,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850001,'a Ry''Gorr thaumaturgist shade','','','','',20,619,42,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850002,'a Ry''Gorr soldier shade','','','','',20,627,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850003,'a Ry''Gorr scout shade','','','','',20,628,39,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850004,'a Ry''Gorr corpse','','','','',20,14847,41,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850005,'an echolis shade','','','','',255,835,38,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850006,'a fragmented Geonid','','','','',255,13581,67,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850007,'Ry''Gorr Mortis','','','','',20,14845,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850008,'Crysallos','','','','',255,11678,70,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850009,'Crysallis','','','','',255,13581,70,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850012,'vel_orc_lightsource_torch01',NULL,'','','',0,14921,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850013,'',NULL,'','','',0,13453,34,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850014,'crystalcavern_blocker01_green',NULL,'','','',0,393,18,0,1,1,0,0,0,0,0,0,0,0,900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850015,'crystalcavern_blocker01_purple',NULL,'','','',0,394,18,0,1,1,0,0,0,0,0,0,0,0,900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850016,'crystalcavern_blocker01_blue',NULL,'','','',0,392,25,0,1,1,0,0,0,0,0,0,0,0,900,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850017,'Subjugation Sphere',NULL,'','','',0,8058,32,0,1,1,0,0,16012,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850018,'Ry''Gorr Containment Chest',NULL,'','','',0,14908,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5850019,'Exit',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860000,'a fanatical shardhammer','<The Order of Rime>','','','',0,111,39,4,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860001,'a scholarly flurryburst','<The Order of Rime>','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860002,'an icy howler','','','','',255,2835,32,0,1,1,11,0,1494,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860003,'a lurking sleetsaber','<The Order of Rime>','','','',6,79,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860004,'a vigilant nova-vicar','<The Order of Rime>','','','',0,112,37,5,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860005,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860006,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860007,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860008,'Bergna Veliumsmiter','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860009,'a hunting frost spider','','','','',255,246,51,0,1,1,11,0,5605,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860010,'a hunting frost spider','','','','',255,246,70,0,1,1,11,0,5605,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860011,'a vigilant shardhammer sentinel','<The Order of Rime>','','','',0,1471,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860012,'a rime rodent','','','','',255,10963,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860013,'Icefang the Cruel','','','','',255,246,96,0,1,1,11,0,1797,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860014,'Goredeth Maulhammer','<Protector of Rime>','','','',255,10753,48,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860015,'a rime tortoise','','','','',255,10962,32,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860016,'a Forgotten taskmaster','<The Forgotten>','','','',255,13315,56,4,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860017,'a laboring Forgotten slave','<The Forgotten>','','','',255,13318,70,5,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860018,'a forgotten patroller','<Order of Rime>','','','',255,13318,96,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860019,'an elite forgotten guardian','<Order of Rime>','','','',255,13318,128,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860020,'Forgotten Overseer Brokentusk','<The Forgotten>','','','',255,13315,70,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860021,'a Forgotten Protector','<The Forgotten>','','','',255,13318,65,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860022,'a Forgotten Defender','<The Forgotten>','','','',255,13318,71,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860023,'Witch Doctor Vuh''Duh','<The Forgotten>','','','',255,6313,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860024,'Witch Doctor Vuh''Duh','<The Forgotten>','','','',255,13315,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860025,'a lurking frost spider','','','','',255,246,44,0,1,1,11,0,5605,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860026,'thick icebound wall','','','','',255,4544,96,0,1,1,11,0,22806,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860027,'a forgotten guardian','<Order of Rime>','','','',255,13318,128,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860028,'an alerted shardhammer sentinel','<The Order of Rime>','','','',0,1471,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860029,'Shardhammer Sergeant','<The Order of Rime>','','','',0,8665,54,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860030,'Rahjondo the Eastern Lord','<Rider of Rime>','','','',0,1698,51,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860031,'Dustan the Southern Lord','<Rider of Rime>','','','',0,1698,51,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860032,'a reclamation captain','<The Order of Rime>','','','',0,1471,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860033,'Goredeth Maulhammer','<Protector of Rime>','','','',255,10753,48,0,1,1,11,0,9733,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3048,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,3878,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860045,'fort_door_left',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,518,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860046,'fort_door_right',NULL,'','','',0,49,32,0,1,1,16,0,0,0,0,0,0,0,518,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860049,'hatch sliding door',NULL,'','','',0,49,32,0,1,1,52,0,0,0,0,0,0,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,20089,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860054,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860057,'ice bridge effects cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860058,'entrance hallway cold',NULL,'','','',0,13739,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860059,'mission_x3 frozen_growth',NULL,'','','',0,10451,16,0,1,1,0,0,0,0,0,1,1,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860060,'guardroom hallway 02 cold',NULL,'','','',0,13743,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860061,'guardroom hallway 01 cold',NULL,'','','',0,13742,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860062,'vine room walls cold',NULL,'','','',0,13750,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860063,'vine room platforms cold',NULL,'','','',0,13749,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860064,'guardroom hallway 04 cold',NULL,'','','',0,13745,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860065,'guardroom hallway 03 cold',NULL,'','','',0,13744,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860066,'guardroom hallway 05 cold',NULL,'','','',0,13746,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860067,'bridge room walls cold',NULL,'','','',0,13738,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860068,'bridge room bridge cold',NULL,'','','',0,13737,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860069,'widget_venom_x1_keg_01',NULL,'','','',0,3183,64,0,1,1,555,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860070,'',NULL,'','','',0,14820,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860071,'',NULL,'','','',0,14819,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860072,'widget_venom_x1_keg_02',NULL,'','','',0,3183,64,0,1,1,555,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860073,'fort hallway 01 cold',NULL,'','','',0,13740,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860074,'widget_venom_x1_keg_03',NULL,'','','',0,3183,64,0,1,1,555,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860075,'icy_portal',NULL,'','','',0,6313,64,0,1,1,0,0,0,0,0,0,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860076,'witchdoctor spike',NULL,'','','',0,85,32,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860077,'Berlon Coldbrew',NULL,'','','',255,12003,32,0,1,1,9,0,496,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860078,'widget_venom_x1_keg_04',NULL,'','','',0,3183,64,0,1,1,555,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860079,'fort hallway 02 cold',NULL,'','','',0,13741,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860080,'Berlon Coldbrew''s Corpse',NULL,'','','',255,12003,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860081,'boiling pool fx',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860082,'shard_fx_invis_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860083,'a strange growth',NULL,'','','',0,13747,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860084,'shard room cold',NULL,'','','',0,13748,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860085,'a slippery chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860086,'mission_x1 listening_placer',NULL,'','','',0,7656,41,0,1,1,0,0,0,0,0,1,1,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860087,'mission_x1 listening_device',NULL,'','','',0,2681,32,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860088,'Veeshan Spike',NULL,'','','',0,14817,32,0,1,1,0,0,0,0,0,0,0,0,661,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860089,'shard room altar alive',NULL,'','','',0,13763,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860090,'shard room alive',NULL,'','','',0,13764,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860091,'fort hallway 02 alive',NULL,'','','',0,13757,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860092,'fort hallway 01 alive',NULL,'','','',0,13756,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860093,'bridge room walls alive',NULL,'','','',0,13754,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860094,'bridge room bridge alive',NULL,'','','',0,13753,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860095,'vine room walls alive',NULL,'','','',0,13752,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860096,'vine room platforms alive',NULL,'','','',0,13765,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860097,'guardroom hallway 02 alive',NULL,'','','',0,13759,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860098,'guardroom hallway 01 alive',NULL,'','','',0,13758,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860099,'guardroom hallway 05 alive',NULL,'','','',0,13762,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860100,'entrance hallway alive',NULL,'','','',0,13755,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860101,'guardroom hallway 04 alive',NULL,'','','',0,13761,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860102,'guardroom hallway 03 alive',NULL,'','','',0,13760,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860103,'A Frozen Coldain Dwarf',NULL,'','','',0,15534,32,0,1,1,0,0,0,0,0,0,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860104,'exit widget',NULL,'','','',0,49,32,0,1,1,556,0,0,0,0,1,0,0,288,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860105,'A Frozen Coldain Dwarf',NULL,'','','',0,10,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5860106,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870000,'Keyrin Curetouch''s Healing Grove','','','','',255,12374,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870001,'Keyrin Curetouch','<Enala''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870002,'Stamper Jeralf','<Glunaku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870003,'Bergna Veliumsmiter','','','','',2,11968,35,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870004,'Bouont Crushingfist','','','','',255,13446,115,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870005,'a Velium Rumbler','','','','',255,7361,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870006,'Coldain Special Forces','','','','',2,75,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870007,'Coldain Special Forces Scout','','','','',2,75,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870008,'Sirthain Coldbrow III','<Coldain General>','','','',2,11868,41,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870009,'an icy apparition','','','','',255,11772,25,0,1,1,11,0,1494,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870010,'an unconscious flurryburst guard','<The Order of Rime>','','','',0,134,35,0,1,1,559,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870011,'a shardfist guard','<The Order of Rime>','','','',0,111,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870012,'a shardhammer guard','<The Order of Rime>','','','',5,121,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870013,'a flurryburst guard','<The Order of Rime>','','','',2,110,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870014,'a sleetsaber guard','<The Order of Rime>','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870015,'Brendegor Bitelimb','<Rime Elite>','','','',255,10754,83,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870016,'Zaashka Bradagan','<Rime Guardian>','','','',20,111,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870017,'Iilatus Frostbeard','<Rime Sorcerer>','','','',255,10753,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870018,'Duncan Bradagan','<Rime Guardian>','','','',20,112,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870019,'a nova-vicar guard','<The Order of Rime>','','','',6,79,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870020,'Agna Icespear','<The Switch Guardian>','','','',0,1464,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870021,'Elna Tsernin','','','','',10,104,32,0,1,1,9,0,17673,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870022,'Smitty \"Cookie\" Breakgut','','','','',255,10753,70,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870023,'a battlehardened Duhjalm warrior','','','','',255,13318,104,1,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870024,'a guarding Duhjalm','','','','',255,13318,100,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870025,'Rime Torturer','','','','',255,13318,96,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870026,'a battlehardened Duhjalm shaman','','','','',255,13315,92,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870027,'Grand Restorer Lingwal','<Sage Commander>','','','',2,1481,51,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870028,'a Turgan','','','','',255,10976,96,0,1,1,0,0,0,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870029,'a rime officer','<The Order of Rime>','','','',9,132,48,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870030,'a battleweary Duhjalm warrior','','','','',255,13318,102,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870031,'a Velium Rumbler','','','','',255,7361,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870032,'Tert Turganpuncher','<Turgan Wrangler>','','','',0,10753,48,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870033,'Counter-Espionage Agent','<The Order of Rime>','','','',13,73,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870034,'an unconscious shardhammer guard','<The Order of Rime>','','','',5,121,38,0,1,1,560,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870035,'a sparring challenger','','','','',6,79,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870036,'a nova-vicar guard','','','','',6,79,57,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870037,'a sleetsaber guard','','','','',6,78,57,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870038,'a flurryburst guard','','','','',13,65,57,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870039,'a shardhammer guard','','','','',5,121,57,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870040,'a shardfist guard','','','','',6,78,57,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870041,'Kreegar Krikneck','<Protector of Rime>','','','',255,10753,48,0,1,1,11,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870042,'a Coldain Scout','','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870043,'an icy tomb','','','','',255,311,96,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870044,'Stamper Jeralf','<Gaeku''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870056,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870057,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870058,'fort_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870059,'fort_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870060,'messhall_exit_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870061,'messhall_exit_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870062,'05_dragon_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870063,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,527,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870064,'05_dragon_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870065,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4711,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870066,'03_spire_to_barracks_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870067,'03_spire_to_barracks_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870068,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,923,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870069,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870070,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870071,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870072,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870073,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870074,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870075,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870076,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870077,'04_barracks_to_spire_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870078,'04_barracks_to_spire_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870079,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870080,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870081,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870082,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870083,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870084,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870085,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870086,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870087,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870088,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870089,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870090,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870091,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13970,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870092,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870093,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870094,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,117,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870095,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,18513,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870096,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4876,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870097,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870099,'Rime Intel 01',NULL,'','','',0,12444,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870100,'messhall_tables_human2',NULL,'','','',0,14497,32,0,1,1,0,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870101,'messhall_tables_giant2',NULL,'','','',0,14495,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870102,'messhall_tables_human',NULL,'','','',0,14497,32,0,1,1,0,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870103,'messhall_tables_giant',NULL,'','','',0,14495,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870104,'Rime Beer',NULL,'','','',0,14774,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870105,'lingwal_effect_cube_center',NULL,'','','',0,6313,35,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870106,'Rime Intel 04',NULL,'','','',0,14017,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870107,'dragon room hot',NULL,'','','',0,14047,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870108,'Short Jumper',NULL,'','','',0,2451,32,0,1,1,0,0,19051,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870109,'Coalescence of Life',NULL,'','','',0,329,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870110,'skittering spider',NULL,'','','',255,246,6,0,1,1,558,0,5605,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870111,'Eirreen the Broken',NULL,'','','',255,1235,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870112,'Rime Intel 02',NULL,'','','',0,13301,9,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870113,'Dockmaster Jit''coel',NULL,'','','',255,78,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870114,'illusion crates',NULL,'','','',0,14775,32,0,1,1,0,0,0,0,0,1,1,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870115,'',NULL,'','','',0,14775,32,0,1,1,0,0,0,0,0,0,0,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870116,'',NULL,'','','',0,14774,32,0,1,1,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870117,'a beer-battered chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870118,'Quanth Coldblade',NULL,'','','',255,1467,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870119,'Sleetsaber Gnonlin',NULL,'','','',255,121,32,0,1,1,9,0,221,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870120,'Rime Intel 03',NULL,'','','',0,13292,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870121,'frothy stein',NULL,'','','',0,12709,64,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870122,'Abelbrow the Bookie',NULL,'','','',255,1484,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870123,'exit widget',NULL,'','','',0,49,32,0,1,1,556,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5870124,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880000,'Brendegor Bitelimb','<Rime Elite>','','','',255,10754,83,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880001,'Zaashka Bradagan','<Rime Guardian>','','','',20,111,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880002,'Iilatus Frostbeard','<Rime Sorcerer>','','','',255,10753,70,0,1,1,11,0,0,1,1,1,0,0,134,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880003,'Duncan Bradagan','<Rime Guardian>','','','',20,112,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880004,'Tert Turganpuncher','<Turgan Wrangler>','','','',0,10753,48,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880005,'a Dhujalm guardian','<Kraytoc''s Chosen>','','','',255,13318,84,7,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880006,'a Dhujalm striker','<Kraytoc''s Chosen>','','','',255,13318,90,4,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880007,'a shardhammer defender','<The Order of Rime>','','','',5,122,38,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880008,'a Dhujalm shaman','<Kraytoc''s Chosen>','','','',255,13315,72,7,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880009,'Eirreen the Broken','','','','',255,1235,64,0,1,1,11,0,1797,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880010,'a Dhujalm shaman','<Kraytoc''s Chosen>','','','',255,13315,85,3,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880011,'a Dhujalm guardian','<Kraytoc''s Chosen>','','','',255,13318,98,4,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880012,'Kraytoc Killingfrost','<Master of Rime>','','','',0,10830,70,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880013,'Right','','','','',255,10976,96,0,1,1,0,0,2104,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880014,'Left','','','','',255,10976,96,0,1,1,0,0,9733,0,0,1,0,0,224,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880020,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880023,'fort_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880024,'fort_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880025,'messhall_exit_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880026,'messhall_exit_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880027,'05_dragon_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,527,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880029,'05_dragon_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880030,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,4711,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880031,'03_spire_to_barracks_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880032,'03_spire_to_barracks_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,923,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880035,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,596,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880041,'04_barracks_to_spire_door_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880042,'04_barracks_to_spire_door_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880051,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880052,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,468,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880053,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880054,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880055,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,13970,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880056,'chandelier_switch2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880057,'chandelier_switch1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880058,'chandelier_switch4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880059,'chandelier_switch3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880060,'chandelier4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880061,'chandelier2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880062,'chandelier3',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880063,'chandelier1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,949,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880064,'puzzle_ladder',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880065,'puzzle_platform',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880066,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880067,'messhall_tables_human2',NULL,'','','',0,14497,32,0,1,1,0,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880068,'messhall_tables_giant2',NULL,'','','',0,14495,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880069,'messhall_tables_human',NULL,'','','',0,14497,32,0,1,1,0,0,0,0,0,0,0,0,217,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880070,'messhall_tables_giant',NULL,'','','',0,14495,32,0,1,1,0,0,0,0,0,0,0,0,267,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880071,'dragon room hot',NULL,'','','',0,14047,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880072,'Infernal Pillar',NULL,'','','',0,2306,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5880073,'exit to gd',NULL,'','','',0,49,32,0,1,1,556,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890000,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890001,'Oolieamim','<Master Sage>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890002,'Human Tradeskill Apprentice','<Tradeskill Apprentice>','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890003,'Othmir Tradeskill Apprentice','<Tradeskill Apprentice>','','','',255,14264,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890004,'a Nights of the Dead celebrator','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890005,'a Qeynos citizen','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890006,'a Qeynos resident','','','','',2,1477,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890007,'a visiting traveller','','','','',4,77,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890008,'Damy Thorn','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890009,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890010,'a canine watcher','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890011,'Blackhammer','<Guard>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890012,'MARKED FOR DELETION','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890013,'Knight-Lieutenant Laughlin','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890014,'a visiting traveller','','','','',2,1481,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890015,'Drobble Clankworth','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890016,'Remo Zigg','','','','',5,121,32,0,1,1,9,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890017,'Oodifo','<Armor and Weapon Upgrades>','','','',9,4989,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,9446,0,0,0,0,0,0,0,0,0,0,0,0),
(5890018,'Hegrenn','<Furniture>','','','',2,109,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,32415,0,0,0,0,0,0,0,0,0,0,0,0),
(5890019,'Tabby Copperpot','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890020,'Baker Voleen','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890021,'Stetts','<City Merchant>','','','',7,107,25,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(5890023,'Tatterhorn','<City Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0),
(5890024,'Algernon','<Broker>','','','',9,134,32,0,1,1,20,9,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890025,'Tibby Copperpot','<Baker>','','','',7,107,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890026,'Penny Goodhearth','','','','',7,107,32,0,1,1,9,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890027,'a Qeynos resident','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890028,'a visiting traveller','','','','',3,1587,34,1,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890029,'Lady Rickson','','','','',8,135,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890030,'a Qeynos resident','','','','',5,122,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890031,'Dawson Magnificent','','','','',9,134,32,0,1,1,0,0,11500,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890032,'Gray Magnificent','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890033,'Andrea Dovesong','','','','',6,79,32,0,1,1,0,0,11500,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890034,'Norbert','Sarah''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890035,'Jason Merrytoe','<Tradeskill Tutorial>','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890036,'Devona Ironforge','<Crafting Trainer>','','','',9,132,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890037,'Accountant Melet','<Ironforge Exchange>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890038,'Drunah Skycaller','<Paladin Trainer>','','','',9,132,32,0,1,1,10,1265,0,1,1,1,0,0,32,0,0,0,0,100487,0,4,0,0,0,0,0,0,0,0,0,0),
(5890039,'Stom Bluntblade','<Berserker Trainer>','','','',2,1482,32,0,1,1,10,1265,0,0,0,1,0,0,18,0,0,0,0,100477,0,4,0,0,0,0,0,0,0,0,0,0),
(5890040,'Recruitment Officer Brandit','<Qeynos Guard>','','','',9,134,35,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890041,'a Circle of Ten Militia guard','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890042,'Squire-Guard Williamson','<Qeynos Guard Officer>','','','',9,132,32,0,1,1,10,0,0,0,1,1,0,0,32,0,0,0,0,9474,0,0,0,0,0,0,0,0,0,0,0,0),
(5890043,'Sergeant Geret Dalshinn','<The Knights of Marr>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890045,'Bekker','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890046,'Burkin','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890047,'Trilin','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890048,'Thompson','<Guard>','','','',9,132,32,0,1,1,11,0,0,0,1,1,0,0,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890049,'Sweeny','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890050,'castle moat perch','','','','',255,204,32,2,1,1,0,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890051,'Grandmaster Kimbialis','<Trades Coordinator>','','','',0,4937,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890052,'Executor Adept Sal''ynelle','<Rush Orders>','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890053,'Captain Woug','<Qeynos Guard Officer>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890054,'Factor Kai Ferdinand','<Qeynos Guard Officer>','','','',9,134,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890055,'Knight-Guard Rellin''thir','<Qeynos Guard Officer>','','','',8,136,32,0,1,1,10,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890056,'General Golias Sydwen','<Qeynos Guard>','','','',9,4990,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890057,'Aldermun','<Qeynos Guard Merchant>','','','',9,132,32,0,1,1,10,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890058,'Sergeant-at-Arms Ironcast','<Qeynos Guard Officer>','','','',2,110,32,0,1,1,10,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890059,'Fillzer Fuzzle','','','','',5,121,32,0,1,1,9,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890060,'Knight Guardian MacMurris','<Guard>','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890061,'Knight Guardian Bestrom','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890062,'Knight-Captain Steelgaze','<Qeynos Guard Officer>','','','',2,110,32,0,1,1,10,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890063,'Alfred Ironforge','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890064,'Hal','<Fuel Merchant>','','','',0,112,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890065,'Fhara Hanford','<Ironforge Exchange Merchant>','','','',9,132,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890066,'Kwipp Stalwart','','','','',4,76,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890067,'a merchant','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890068,'Fidelia Recolo','<Tradeskill Career Counsellor>','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890069,'an Ironforge trader','','','','',11,98,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890070,'Archon Construct','<Ozlee''s Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890071,'Ealoonias','<Banker>','','','',3,1600,32,0,1,1,14,9,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890072,'Clerk Feld','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890073,'Captain Lovato','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890074,'an Ironforge smith','','','','',11,82,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890075,'Carey Meloy','<Banker>','','','',9,132,32,0,1,1,14,9,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890076,'Hilirgo','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890077,'Jo Ironshield','','','','',2,110,32,0,1,1,9,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890078,'Vittia Direshadow','<Glunaku''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890079,'Rorak Ironbellows','<Reforging>','','','',2,110,32,0,1,1,539,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890080,'Gavin Ironforge','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890081,'Walter Channing','<Armorsmith>','','','',9,134,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890082,'Talit','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890083,'Jorgie Icearmor','<Weaponsmith and Shieldsmith>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,151,151,0,0,13069,0,0,0,0,0,0,0,0,0,0,0,0),
(5890084,'Dylan Ironforge','<Mender>','','','',0,134,32,0,1,1,12,9,0,1,1,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(5890085,'Drakk','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890086,'Phrau Blucher','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890087,'an Ironforge smith','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890088,'Laura Ironforge','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890089,'Tara Ironforge','<Jeweler>','','','',9,132,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890090,'Lord Drystan Ironforge','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890091,'Sayergei the Stylist','<Barber>','','','',8,136,32,0,1,1,10,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890092,'a Celestial Watch priest','','','','',8,136,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890093,'Dana Ironforge','<Jeweler>','','','',9,132,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890094,'Lilly Ironforge','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890095,'Rachael Clothspinner','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890096,'Danielle Clothspinner','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890097,'Peona Toughins','<Tailor>','','','',6,107,32,0,1,1,10,1265,0,0,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890098,'Runt','','','','',255,14853,14,3,1,1,0,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890099,'Rascal','','','','',255,14853,11,3,1,1,0,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890100,'Diren','','','','',255,216,16,0,1,1,0,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890101,'Rose Woodhouse','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890102,'Sergeant-at-Arms Stoutiron','<Guard>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890103,'Ardath Bay','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890104,'Friar Montego','<Qeynosian Restoration Project>','','','',7,108,32,0,1,1,10,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890105,'a lady','','','','',9,132,32,0,1,0,0,0,0,1,1,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890106,'a knight','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890107,'a militia guard','<Circle of Ten Militia>','','','',9,132,35,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890108,'Kyle Antihilus Bayle','','','','',255,3295,33,0,1,1,0,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890109,'quest_tome_rivervale_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,1,1,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890110,'quest_tome_rendingend_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,1,1,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890111,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890112,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890113,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890114,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890115,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890116,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890117,'qey_guildhall_tier1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890118,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890119,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890120,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890121,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890122,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890123,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890124,'widget_iron_forge',NULL,'','','',0,49,32,0,1,1,540,0,0,1,1,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890125,'Forge',NULL,'','','',0,1859,32,0,0,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890126,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890127,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890128,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890129,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890130,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890131,'Woodworking Table',NULL,'','','',0,2346,32,0,1,0,4,0,0,1,1,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890132,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,1,1,0,0,0,1,1,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890133,'floor_candelabra_human_plain01',NULL,'','','',0,3440,32,0,1,0,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890134,'Coldain Tradeskill Apprentice',NULL,'','','',255,14961,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890135,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,1,0,0,0,1,1,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890136,'floor_potionbottle_any_small02',NULL,'','','',0,2624,31,0,1,0,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890137,'pumpkin',NULL,'','','',0,5787,32,0,1,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890138,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890139,'jackolantern01',NULL,'','','',0,5785,32,0,1,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890140,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,0,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890141,'floor_plate',NULL,'','','',0,2805,32,0,1,0,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890142,'frostfell chip cookies',NULL,'','','',0,7969,32,0,1,1,0,0,0,1,1,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890143,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,1,1,0,0,0,1,1,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890144,'weighing scales',NULL,'','','',0,3630,32,0,1,0,0,0,0,1,1,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890145,'',NULL,'','','',0,3210,32,0,1,1,0,0,0,1,1,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890146,'floor_chair_human_wood04',NULL,'','','',0,2139,32,0,1,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890147,'teak bench',NULL,'','','',0,2981,32,0,1,1,0,0,0,1,1,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890148,'ash stool',NULL,'','','',0,2652,32,0,1,1,0,0,0,1,1,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890149,'briarwood stool',NULL,'','','',0,2142,32,0,1,1,0,0,0,1,1,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890150,'white holiday candle',NULL,'','','',0,7976,32,0,1,1,0,0,0,1,1,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890151,'qeynos plain single bar counter',NULL,'','','',0,8102,32,0,1,1,0,0,0,1,1,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890152,'standard oval briarwood table',NULL,'','','',0,2174,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890153,'weighing scales tipped',NULL,'','','',0,7710,32,0,1,1,0,0,0,1,1,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890154,'a bed',NULL,'','','',0,1997,32,0,1,1,0,0,0,1,1,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890155,'djinn_mirror_teleporter01',NULL,'','','',0,5127,6,0,1,0,0,0,0,1,1,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890156,'qey_roadside_post01',NULL,'','','',0,30,32,0,1,1,0,0,0,1,1,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890157,'flower',NULL,'','','',0,1738,32,0,1,0,0,0,0,1,1,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890158,'floor_potionbottle_any_small01',NULL,'','','',0,2623,32,0,1,0,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890159,'throwing_knife001_ornate',NULL,'','','',0,3903,8,0,1,0,0,0,0,1,1,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890160,'pillow_green',NULL,'','','',0,2751,32,0,1,0,0,0,0,1,1,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890161,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890162,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(5890163,'Mail Kiosk',NULL,'','','',0,18955,32,0,1,1,29,0,0,1,1,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890164,'mariner_bell_city_travel_qeynos',NULL,'','','',0,18956,16,0,1,1,358,0,0,1,1,1,0,0,32,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0),
(5890165,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890166,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890167,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890168,'zone_to_antonica',NULL,'','','',0,49,32,0,1,1,362,0,0,0,0,1,0,0,449,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890169,'zone_to_antonica',NULL,'','','',0,49,32,0,1,1,362,0,0,0,0,1,0,0,449,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890170,'assassin_epic_traitor_instance',NULL,'','','',0,49,32,0,1,1,376,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890171,'qey_tradeskill_wholesaler',NULL,'','','',0,2512,32,0,0,0,46,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890172,'Baron Ironforge''s Door',NULL,'','','',0,49,32,0,1,1,377,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890173,'Qeynos Guard Barracks',NULL,'','','',0,49,32,0,1,1,378,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890174,'Qeynos Guard Barracks',NULL,'','','',0,49,32,0,1,1,378,0,0,0,0,0,0,0,119,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890175,'betrayal ironforge',NULL,'','','',0,2512,34,0,1,1,379,0,0,1,1,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890176,'to_the_practice_arena',NULL,'','','',0,4161,25,0,1,1,46,0,0,1,1,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890177,'Castle gates',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,430,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890178,'betrayal celestial',NULL,'','','',0,2512,32,0,1,1,379,0,0,1,1,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890179,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890180,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890181,'Ironforge Storehouse',NULL,'','','',0,2512,32,0,1,1,380,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890182,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890183,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890184,'sign_stylist_shop_arrow',NULL,'','','',0,31,32,0,1,1,0,0,0,1,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890185,'',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890186,'zone_to_qey_elddar',NULL,'','','',0,49,32,0,0,0,375,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890187,'a flower bloom',NULL,'','','',0,1738,32,0,1,1,6,0,0,0,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890188,'Londiar Inygad','<Adorning Daily Tasks>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890189,'2869','','','','',255,14334,32,0,0,0,0,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890190,'a kitten','','','','',255,306,18,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890191,'Human Tradeskill Apprentice','<Tradeskill Apprentice>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890192,'barrel','','','','',255,5008,33,6,1,0,11,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890193,'a Qeynos citizen','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,16,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890194,'a local patron','','','','',0,112,31,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890195,'a Circle of Ten Militia guard','','','','',19,112,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890196,'a Qeynos resident','','','','',15,114,29,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890197,'a pig','','','','',255,271,28,6,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890198,'Queen Antonia Bayle','','','','',9,4063,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890199,'a canine watcher','','','','',255,216,16,0,1,1,11,0,0,1,1,1,0,11,32,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890200,'Meyer','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890201,'Knight-Lieutenant Laughlin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890202,'a visiting traveller','','','','',2,1480,32,0,1,0,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890203,'Remo Zigg','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890204,'Tabby Copperpot','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9448,0,0,0,0,0,0,0,0,0,0,0,0),
(5890205,'Baker Voleen','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9449,0,0,0,0,0,0,0,0,0,0,0,0),
(5890206,'Stetts','<City Merchant>','','','',7,107,25,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9450,0,64,0,0,0,0,0,0,0,0,0,0),
(5890207,'Sneed Galliway','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,9451,0,0,0,0,0,0,0,0,0,0,0,0),
(5890208,'Algernon','<Broker>','','','',9,134,32,0,1,1,20,9,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890209,'Tibby Copperpot','<Baker>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890210,'Penny Goodhearth','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890211,'a Qeynos resident','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890212,'a visiting traveller','','','','',0,111,32,1,1,0,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890213,'Lady Rickson','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890214,'A Qeynos scholar','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890215,'Dawson Magnificent','','','','',9,134,32,0,1,1,0,0,11500,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890216,'Gray Magnificent','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890217,'Andrea Dovesong','','','','',6,79,32,0,1,1,0,0,11500,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890218,'Jason Merrytoe','<Tradeskill Tutorial>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890219,'Devona Ironforge','<Crafting Trainer>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890220,'Drunah Skycaller','<Paladin Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,301,301,0,0,100487,0,4,0,0,0,0,0,0,0,0,0,0),
(5890221,'Recruitment Officer Brandit','<Qeynos Guard>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890222,'Squire-Guard Williamson','<Qeynos Guard Officer>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890223,'Priscilla Stoneguard','<Guardian Trainer>','','','',0,1464,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100474,0,4,0,0,0,0,0,0,0,0,0,0),
(5890224,'Bekker','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890225,'Burkin','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890226,'Trilin','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,26,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890227,'Thompson','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890228,'Sweeny','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890229,'castle moat perch','','','','',255,204,31,3,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890230,'Grandmaster Kimbialis','<Trades Coordinator>','','','',0,4937,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890231,'Executor Adept Sal''ynelle','<Rush Orders>','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890232,'Captain Woug','<Qeynos Guard Officer>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890233,'Factor Kai Ferdinand','<Qeynos Guard Officer>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890234,'Knight-Guard Rellin''thir','<Qeynos Guard Officer>','','','',8,136,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890235,'Aldermun','<Qeynos Guard Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890236,'Sergeant-at-Arms Ironcast','<Qeynos Guard Officer>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890237,'Fillzer Fuzzle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890238,'Knight Guardian Bestrom','<Guard>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890239,'Knight-Captain Steelgaze','<Qeynos Guard Officer>','','','',2,110,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890240,'Alfred Ironforge','<Work Orders>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890241,'Hal','<Fuel Merchant>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890242,'Fhara Hanford','<Ironforge Exchange Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890243,'a merchant','','','','',9,18864,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890244,'Fidelia Recolo','<Tradeskill Career Counsellor>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890245,'Ealoonias','<Banker>','','','',3,1600,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890246,'Captain Lovato','<Guard>','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890247,'Carey Meloy','<Banker>','','','',9,132,32,0,1,1,14,9,0,0,0,1,0,0,34,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890248,'Jo Ironshield','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890249,'Rorak Ironbellows','<Reforging>','','','',2,110,32,0,1,1,539,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890250,'Walter Channing','<Armorsmith>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,13067,0,0,0,0,0,0,0,0,0,0,0,0),
(5890251,'Dylan Ironforge','<Mender>','','','',0,134,32,0,1,1,12,9,0,0,0,1,0,0,34,481,481,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(5890252,'Laura Ironforge','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890253,'Tara Ironforge','<Jeweler>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,13075,0,0,0,0,0,0,0,0,0,0,0,0),
(5890254,'Lord Drystan Ironforge','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890255,'Sayergei the Stylist','<Barber>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,13077,0,0,0,0,0,0,0,0,0,0,0,0),
(5890256,'a Celestial Watch priest','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890257,'Dana Ironforge','<Jeweler>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,13079,0,0,0,0,0,0,0,0,0,0,0,0),
(5890258,'Rachael Clothspinner','<Tailor>','Lady','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,391,391,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890259,'Danielle Clothspinner','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890260,'Peona Toughins','<Tailor>','','','',6,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890261,'Runt','','','','',255,14853,13,3,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890262,'Rascal','','','','',255,14853,12,3,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890263,'Diren','','','','',255,216,16,0,1,1,0,0,0,0,0,1,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890264,'Sergeant-at-Arms Stoutiron','<Guard>','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,214,34,796,796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890265,'Friar Montego','<Qeynosian Restoration Project>','','','',7,108,32,0,1,1,10,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890266,'a lady','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890267,'a knight','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890268,'a militia guard','<Circle of Ten Militia>','','','',9,132,35,0,1,1,0,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890269,'Kyle Antihilus Bayle','','','','',255,3295,31,2,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890270,'a cow','','','','',255,259,32,3,1,1,11,0,0,0,0,1,0,0,35,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890271,'Pepper','','','','',255,272,25,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890272,'Aeris Lightwind','<Provisioner>','','','',9,135,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,20203,0,0,0,0,0,0,0,0,0,0,0,0),
(5890273,'Tinkerer Spindlecog','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890274,'Drundo Parn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890275,'Mirf Guinders','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890276,'Popelia','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890277,'Eraanus','<Guard>','','','',3,1590,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890278,'Knight-Lieutenant Ilgar','<Qeynos Guard>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890279,'Stable Hand Stonebear','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890280,'Leona Ward','<Tailor>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890281,'Maile','<Broker>','','','',9,132,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890282,'Drappi Oakheart','<Selwyn''s Assistant>','','','',7,108,32,0,1,1,10,0,0,0,0,1,0,0,17,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890283,'Selwyn Oakheart','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890284,'a piglet','','','','',255,271,12,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890285,'Azima Kaddor','<Armorsmith>','','','',3,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890286,'Atiyah Kaddor','<Weaponsmith>','','','',3,1594,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890287,'Gauldry','<Shieldsmith>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890288,'Jason Walton','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890289,'Steve Echar','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(5890290,'Trevor Minturn','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890291,'Thierry Dillon','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890292,'Celes','<City Merchant>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,32422,0,64,0,0,0,0,0,0,0,0,0,0),
(5890293,'Jowling','<City Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,32424,0,64,0,0,0,0,0,0,0,0,0,0),
(5890294,'Katlyn Paisley','<Jeweler>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890295,'Donovan Herald','<Pet Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,256,256,0,0,32427,0,0,0,0,0,0,0,0,0,0,0,0),
(5890296,'Ulir','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890297,'Woodrow','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890298,'Tabatha Keltor','<Teleport Trainer>','','','',3,135,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890299,'Chronicler Steelwill','<Concordium Mage>','','','',2,109,32,0,1,1,10,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890300,'Librarian Dungil','','','','',2,1484,32,0,1,1,9,0,0,0,0,1,0,0,18,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890301,'Ellinnea Umalia','','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890302,'Melinnae Welxen','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890303,'Shinolio','<Concordium Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,32443,0,0,0,0,0,0,0,0,0,0,0,0),
(5890304,'Felion Shadoweater','<Warlock Trainer>','','','',8,78,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100241,0,4,0,0,0,0,0,0,0,0,0,0),
(5890305,'Indis Surion','<Sage>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,100091,0,0,0,0,0,0,0,0,0,0,0,0),
(5890306,'Ashtur Lawton','<Feudal Historian>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890307,'Telamoninioon Orinsidian','<Illusionist Trainer>','','','',3,1601,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100472,0,4,0,0,0,0,0,0,0,0,0,0),
(5890308,'Pupil Adept Wazzlefop','<Concordium Mage>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890309,'Amren Talbot','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890310,'an oakmyst fawn','','','','',255,206,20,1,1,1,9,0,0,0,0,1,0,0,38,31,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890311,'Eoradalanu Otuden','','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,436,436,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890312,'Augur Prichard Fizzburn','<Concordium Mage>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890313,'Aristide Calais','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890314,'Tilliana Steamsieve','<Conjuror Trainer>','','','',5,122,32,0,1,1,10,1265,0,0,0,1,0,0,16,301,301,0,0,100484,0,4,0,0,0,0,0,0,0,0,0,0),
(5890315,'Krelal','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890316,'Corryn Menai','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890317,'Rune Shimmerstar','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,481,481,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890318,'Exalted Milanthroo','<Concordium Mage>','','','',3,1593,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890319,'Vhret Retharo','<Concordium Mage>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890320,'Wynia Vethe','<Advancement Counsel>','','','',8,135,32,0,1,1,22,0,0,0,0,1,0,0,28,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890321,'Astrynia Burnwynd','<Wizard Trainer>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100471,0,4,0,0,0,0,0,0,0,0,0,0),
(5890322,'Librarian Dalmas','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,496,496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890323,'Elspeth Astley','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,451,451,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890324,'Aesthetic Winchester','<Concordium Mage>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890325,'Augurer Simias','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890326,'Augurer Arnon','','','','',3,1598,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890327,'Abelard Raleigh','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890328,'Feodra Iceslayer','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890329,'Casey','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890330,'Greldane Irongut','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890331,'Bella Ward','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890332,'Tristan Galliway','','','','',9,134,32,0,1,1,9,0,11500,0,0,1,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890333,'Fredrick Losce','','','','',6,78,32,0,1,1,9,0,11500,0,0,1,0,0,30,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890334,'Kayben Eatny','<Bartender>','','','',9,78,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100079,0,0,0,0,0,0,0,0,0,0,0,0),
(5890335,'Garston Viona','<Guild Cloak Designer>','','','',8,135,32,0,1,1,24,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890336,'Quartermaster Lewyn','<City Quartermaster>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890337,'Royal Accountant Fowler','<Guild Registrar>','','','',9,134,32,0,1,1,25,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890338,'Batuula Quindalla','<Portal Master>','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890339,'Mott','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890340,'Barr','<Guard>','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890341,'Captain Cahptor','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890342,'Gavinfell','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890343,'Galla','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890344,'Warley Theodoric','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,271,271,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890345,'Captain Chapman','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890346,'Captain Lawler','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890347,'Stanhyl','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890348,'Lanalie','<Guard>','','','',8,135,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890349,'Urach','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,676,676,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890350,'Thorson','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890351,'Bauer','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890352,'Scholar Demini','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890353,'Nicola Dering','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890354,'Noelle Dering','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890355,'Gyles','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890356,'Gretta Steinbeard','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890357,'Harold Dunstan','<Bartender>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100060,0,0,0,0,0,0,0,0,0,0,0,0),
(5890358,'Magus Weskah','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890359,'Bouncer Johbal','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890360,'Lodo Bightn','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890361,'Drog Leadsleep','','','','',2,110,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890362,'P.T. Irontoe','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890363,'Icebear','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890364,'Milton','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,796,796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890365,'Johannus','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890366,'Feeyord','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890367,'Caretaker Nogfizzle','<Celestial Watch Priest>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890368,'Coalbeard','<Guard>','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890369,'Emma Healtoe','<Warden Trainer>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,100203,0,4,0,0,0,0,0,0,0,0,0,0),
(5890370,'Bleog Healbog','<Templar Trainer>','','','',4,3792,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100480,0,4,0,0,0,0,0,0,0,0,0,0),
(5890371,'Delilah Meadowglow','<Portals Trainer>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890372,'Aren Firerain','<Fury Trainer>','','','',15,1447,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100466,0,4,0,0,0,0,0,0,0,0,0,0),
(5890373,'Kiriana Northsky','<Mystic Trainer>','','','',8,135,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100486,0,4,0,0,0,0,0,0,0,0,0,0),
(5890374,'Elsabethia Hartsunder','','','','',9,79,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890375,'Medic Rowena','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890376,'Medic Brendan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890377,'Toranim Skyblade','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890378,'Ethri Vasou','<Celestial Watch Priest>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890379,'Prelate Lorhym Ithpsym','<Celestial Watch Priest>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890380,'Prophet Bainyn Fairwind','<Prophet of Rodcet Nife>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890381,'Meredeth','<Celestial Watch Merchant>','','','',8,135,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,36815,0,0,0,0,0,0,0,0,0,0,0,0),
(5890382,'a Spirit Steed','','','','',255,6921,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890383,'Missionary Jenson','<Celestial Watch Priest>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890384,'Partisan Keladerouo','<Celestial Watch Priest>','','','',3,1606,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890385,'Priestess Avarona Wenhaver','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890386,'Priestess Allora Reed','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890387,'Arthin Dawnhammer','<Celestial Watch Acolyte>','','','',8,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890388,'Foster Graham','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890389,'Garion Dunam','<Alchemist>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890390,'Gracen Docks','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890391,'Sage Xoort','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890392,'Tawli Whiskwind','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890393,'Augurer Ortasco','','','','',3,1590,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890394,'Augurer Vharlan','','','','',3,1605,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890395,'Chronicler Saerfas','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890396,'Augurer Caranthir','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890397,'Augurer Zhorshan','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890398,'Augurer Phineas','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890399,'Fribit','','','','',4,3787,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890400,'Vondorinsarnoo','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890401,'a local patron','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890402,'Hubert Downes','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890403,'a local patron','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890404,'local patron','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890405,'local patron','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890406,'Sergeant-at-Arms Illervo','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,26,796,796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890407,'a local child','','','','',9,18787,19,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890408,'a Qeynos entertainer','','','','',6,79,35,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890409,'Weesnaw','','','','',255,6845,32,0,1,1,0,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890410,'Lieutenant Raleigh','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890411,'a stable hand','','','','',11,102,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890412,'a stable helper','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890413,'Stable Hand Marcellun Iver','<Mount Merchant>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890414,'Flitia Veel','<Collector>','','','',13,59,28,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890415,'Bartholomew Benson','','','','',9,18762,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890416,'Patricia Benson','<Human Mentor>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890417,'Mystrekai','<Reforging>','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890418,'a visiting dignitary','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890419,'a Qeynos Guard officer','','','','',0,112,35,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890420,'Beregis Geridion','<Royal Antonican Guard>','','','',11,101,35,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890421,'Marik McPherson III','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890422,'a Qeynos Guard officer','','','','',2,1480,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890423,'Courier Laventy','','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890424,'Lieutenant Erwin','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,721,721,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890425,'Aponi Lightris','<Kelethin Ambassador>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890426,'Bergano Coldstone','<New Halas Ambassador>','','','',2,11868,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890427,'Darion','<City Arbitrator>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890428,'Field Marshal Vishra','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890429,'Ambassador Duryo Valstath','<Change of Citizenship>','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890430,'Tysha Rowan','<Adorning Merchant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890431,'Lakosha Maera','<Kerra Mentor>','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890432,'a Nettleville resident','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890433,'Maege Blackwing','<Adorning Trainer>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890434,'Khalil''mun','<Alchemist>','','','',3,1597,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890435,'a Starcrest resident','','','','',11,102,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890436,'a Starcrest resident','','','','',3,1591,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890437,'Johrsen','','','','',13,60,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890438,'a barred resident','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890439,'Rendyl','<Qeynos Guard>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890440,'an entrance guard','','','','',1,132,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890441,'Rrak Boldfist','','','','',4,77,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890442,'Talas Farin','<Freeblood Mentor>','','','',255,15134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890443,'Maareona Ludimintium','<Erudite Mentor>','','','',3,1596,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890444,'a Starcrest gate watcher','','','','',3,1603,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890445,'Musheff af''Neqi','','','','',3,78,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890446,'a Circle of Ten Militia guard','','','','',9,18864,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890447,'a Concordium mage','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890448,'a Concordium mage','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890449,'bookminion guardian','','','','',255,279,32,0,1,1,0,0,0,0,0,1,0,0,9,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890450,'a Concordium apprentice','','','','',3,1592,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890451,'a Concordium apprentice','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890452,'a Concordium scholar','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890453,'a Concordium apprentice','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890454,'Wimbell Tozer','<Illusionist Savant>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890455,'Yori Boswick','<Coercer Trainer>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100473,0,4,0,0,0,0,0,0,0,0,0,0),
(5890456,'Bellengere the Three','<Concordium Archmage>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890457,'Sunshine','Friend of Growth','','','',255,273,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890458,'','','','','',255,12196,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890459,'Khayrat Batul','<Coercer Adept>','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890460,'Assistant Rystan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890461,'Uhmar','<Test Subject>','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,43,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890462,'Junayda Kader','<Coercer Apprentice>','','','',3,1587,28,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890463,'Crexisz Lepidus','<Illusionist Adept>','','','',3,1603,32,0,1,1,9,0,10375,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890464,'Chizoba','<Coercer Proficent>','','','',11,94,32,0,1,1,9,0,0,0,0,1,0,0,38,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890465,'Rohn Tinkerton','<Tinkerer>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890466,'Apprentice Librarian Cippin','','','','',13,62,28,0,1,1,9,0,0,0,0,1,0,0,19,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890467,'Bermo','<Bartender>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100080,0,0,0,0,0,0,0,0,0,0,0,0),
(5890468,'Bethaz','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890469,'Librarian Galdin','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890470,'Augurer Dahimat','','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890471,'Varion Smitelin','<Concordium Sage>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890472,'Zenarn','Zyroc''s familiar','','','',255,238,6,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890473,'Thom','Nithale''s earthen avatar','','','',255,12201,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890474,'Bulurg','<Bartender>','','','',4,4942,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,41800,0,0,0,0,0,0,0,0,0,0,0,0),
(5890475,'Darcnir','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890476,'a Qeynos representative','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890477,'Fruity','','','','',255,18521,9,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890478,'Gretin','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890479,'Ziber','Acouta''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890480,'Monkey','<Acouta''s Martial Mercenary>','','','',11,82,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890481,'Captain McDuffie','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890482,'Captain Campos','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890483,'Tilla','<Ratonga Mentor>','','','',13,57,28,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890484,'Myra Fizzleboom','<Tinkering Merchant>','','','',5,122,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,100059,0,0,0,0,0,0,0,0,0,0,0,0),
(5890485,'Morly Tinswaddle','<Tinkering Trainer>','','','',5,121,32,0,1,1,9,0,24046,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890486,'Trina Tinkerton','<Gnome Mentor>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890487,'Neezer Grund','<Surveyor of Sorts>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890488,'a merchant','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890489,'Seru Girondeaud','<Inquisitor Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100475,0,4,0,0,0,0,0,0,0,0,0,0),
(5890490,'Inquisitor Loffren','','','','',2,11868,30,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890491,'Novitiate Reimund','','','','',9,134,31,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890492,'Preceptor Gabbro ','','','','',2,11868,34,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890493,'Templar Calmarath','','','','',8,136,28,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890494,'Magrah Flintglimmer','','','','',2,11968,29,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890495,'Klecker','','','','',4,3787,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890496,'Disciple Telas''velle','<Celestial Watch Priest>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890497,'Captain Penley','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,32,826,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890498,'a Celestial Watch priest','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890499,'Yeomal Fallenecho','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890500,'an Ironforge smith','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890501,'Patricia','<Ironforge Estate Steward>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890502,'Akina','<High Warden of the Celestial Watch>','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890503,'Priest Ian Turner','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890504,'Frigedwinds','Fizzlewizzles''s pack pony','','','',255,9531,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890505,'Stamper Jeralf','<Fizzlewizzles'' Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890506,'Frigedwinds','Minion of Ro','','','',255,6824,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890507,'Fiery Magician VII Master','Fizzlewizzles''s fiery magician','','','',255,19959,32,0,1,1,11,0,0,1,1,1,0,0,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890508,'an onlooking citizen','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890509,'an onlooking citizen','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890510,'an onlooking citizen','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890511,'an onlooking citizen','','','','',3,1606,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890512,'an onlooking citizen','','','','',4,4944,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890513,'Queen Antonia Bayle','','','','',9,18692,32,0,1,1,0,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890514,'Labaner','Zullaa''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890515,'Prelate Farleaf','','','','',15,114,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890516,'Novitiate Emily Shorechaser','','','','',9,79,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890517,'quest_tome_rivervale_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890518,'quest_tome_rendingend_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890519,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890520,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890521,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890522,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890523,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890524,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890525,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890526,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890527,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890528,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890529,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890530,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890531,'widget_iron_forge',NULL,'','','',0,49,32,0,1,1,540,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890532,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890533,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890534,'Irontoes_East_Large_Inn_Room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890535,'Irontoes_East_Large_Inn_Room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890536,'Irontoes_East_Large_Inn_Room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890537,'Irontoes_East_Large_Inn_Room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890538,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890539,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890540,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890541,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890542,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890543,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890544,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890545,'door_widget23',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890546,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890547,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890548,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890549,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890550,'2_Lucie_Street',NULL,'','','',0,49,32,0,1,1,28,1270,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890551,'coin_player_housing_three_room_6',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890552,'coin_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890553,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890554,'coin_player_housing_three_room_7',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890555,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890556,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890557,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890558,'status_player_housing_three_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890559,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890560,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890561,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890562,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890563,'coin_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890564,'status_player_housing_three_room_6',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890565,'status_player_housing_three_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890566,'status_player_housing_three_room_7',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890567,'coin_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890568,'coin_player_housing_three_room_9',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890569,'coin_player_housing_three_room_8',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890570,'status_player_housing_five_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890571,'coin_player_housing_three_room_10',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890572,'coin_player_housing_three_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890573,'status_player_housing_three_room_8',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890574,'status_player_housing_three_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890575,'status_player_housing_three_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890576,'status_player_housing_three_room_9',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890577,'Xoort''s reagent shelf',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890578,'status_player_housing_three_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890579,'status_player_housing_three_room_10',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890580,'status_player_housing_five_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890581,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,366,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890582,'status_player_housing_five_room_5',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890583,'Concordium Tower Magical Manor housing inn',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890584,'door_magetower2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890585,'door_magetower1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890586,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890587,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890588,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890589,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890590,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890591,'door_widget22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890592,'qst_reading_tree',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,712,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890593,'status_player_housing_five_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890594,'coin_player_housing_village_room_6_the_baubbleshire',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890595,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890596,'status_player_housing_five_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890597,'coin_player_housing_village_room_5_the_willow_wood',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890598,'quest_tome_lakerathetear_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890599,'widget_liveevent_exp05_prelude02_book',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890600,'tome_mastery_shadowman_widget',NULL,'','','',0,49,32,0,1,1,64,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890601,'tome_mastery_elemental_widget',NULL,'','','',0,49,32,0,1,1,64,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890602,'quest_tome_froglokwar_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890603,'quest_tome_cmdrwife_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890604,'Lions_Mane_Suite_Room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890605,'qey_guildhall_entrance',NULL,'','','',0,49,32,0,0,0,28,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890606,'Lions_Mane_Suite_Room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890607,'Lions_Mane_Suite_Room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890608,'coin_player_housing_village_room_3_graystone_yard',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890609,'Lions_Mane_Suite_Room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890610,'coin_player_housing_village_room_2_starcrest_commune',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890611,'coin_player_housing_village_room_1_nettleville',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890612,'status_player_housing_inn_room_4',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890613,'coin_player_housing_village_room_4_castleview_hamlet',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890614,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890615,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890616,'a control orb',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890617,'event_halloween_haunted_house',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890618,'Altar of Rodcet Nife',NULL,'','','',0,49,32,0,1,1,34,0,0,0,0,0,0,0,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890619,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890620,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890621,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890622,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890623,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890624,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890625,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890626,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890627,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890628,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890629,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890630,'barrel_small_light',NULL,'','','',0,1909,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890631,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890632,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,4529,32,0,1,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890633,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890634,'floor_candelabra_human_plain01',NULL,'','','',0,3440,32,0,1,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890635,'floor_scroll_human_ornate01',NULL,'','','',0,3549,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890636,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890637,'floor_inkwell_human_ornate01',NULL,'','','',0,3500,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890638,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890639,'floor_potionbottle_any_small02',NULL,'','','',0,2624,31,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890640,'pedestal',NULL,'','','',0,4639,32,0,1,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890641,'The Words of Zebuxoruk',NULL,'','','',0,3033,32,0,1,1,56,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890642,'solusek ro history',NULL,'','','',0,3030,19,0,1,1,58,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890643,'a vial of enchanted ink',NULL,'','','',0,3501,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890644,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890645,'floor_bookcase_human_preserves02',NULL,'','','',0,3018,32,0,1,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890646,'floor_plate',NULL,'','','',0,2805,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890647,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890648,'frostfell chip cookies',NULL,'','','',0,7969,32,0,1,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890649,'halfling_innbook_01',NULL,'','','',0,1552,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890650,'qeynos_sign_post01',NULL,'','','',0,30,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890651,'dpo_halfing_display_gordflask01',NULL,'','','',0,12626,32,0,1,0,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890652,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,1,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890653,'qst_unseenhand_keg_1',NULL,'','','',0,3101,32,0,1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890654,'qst_unseenhand_keg_1',NULL,'','','',0,3100,32,0,1,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890655,'weighing scales',NULL,'','','',0,3630,32,0,1,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890656,'gold coin pile 01',NULL,'','','',0,16397,32,0,1,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890657,'gold coin pile 01',NULL,'','','',0,16396,32,0,1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890659,'',NULL,'','','',255,2306,8,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890660,'longsword_uncommon',NULL,'','','',0,1458,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890661,'inquis_training_dummy',NULL,'','','',0,14008,32,0,1,1,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890662,'',NULL,'','','',0,3210,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890663,'floor_chair_human_wood04',NULL,'','','',0,2139,32,0,1,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890664,'teak bench',NULL,'','','',0,2981,32,0,1,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890665,'ash stool',NULL,'','','',0,2652,32,0,1,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890666,'briarwood stool',NULL,'','','',0,2142,32,0,1,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890667,'white holiday candle',NULL,'','','',0,7976,32,0,1,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890668,'qeynos plain single bar counter',NULL,'','','',0,8102,32,0,1,0,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890669,'standard oval briarwood table',NULL,'','','',0,2174,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890670,'weighing scales tipped',NULL,'','','',0,7710,32,0,1,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890671,'a bed',NULL,'','','',0,1997,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890672,'djinn_mirror_teleporter01',NULL,'','','',0,5127,6,0,1,0,0,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890673,'qey_roadside_post01',NULL,'','','',0,30,32,0,1,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890674,'flower',NULL,'','','',0,1738,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890675,'floor_potionbottle_any_small01',NULL,'','','',0,2623,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890676,'throwing_knife001_ornate',NULL,'','','',0,3903,8,0,1,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890677,'pillow_green',NULL,'','','',0,2751,32,0,1,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890678,'Female Suit of Armor',NULL,'','','',0,8798,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890679,'Concordium science books stack',NULL,'','','',0,3027,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890680,'Concordium fiction and myth books stack',NULL,'','','',0,1607,32,0,0,0,55,0,0,0,0,1,1,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890681,'bayle tapestry',NULL,'','','',0,9362,50,0,1,1,0,0,0,0,0,0,0,0,118,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890682,'qey_table_desk_plain',NULL,'','','',0,1519,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890683,'Allysha Lanne',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890684,'draconic_widget01',NULL,'','','',0,4185,32,0,1,1,124,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890685,'adv1_quest_hom_ytheri_info',NULL,'','','',0,3031,32,0,1,1,60,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890686,'qey_floursacksgroup003',NULL,'','','',0,3544,22,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890687,'qey_floursacksgroup003',NULL,'','','',0,3537,32,0,1,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890688,'',NULL,'','','',0,9316,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890689,'',NULL,'','','',0,8341,16,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890690,'commonlandsmap01',NULL,'','','',0,3199,16,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890691,'',NULL,'','','',0,13297,32,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890692,'',NULL,'','','',0,13386,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890693,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890694,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(5890695,'',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890696,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890697,'book_chaotic_history',NULL,'','','',0,3322,18,0,1,1,0,0,3859,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890698,'Mail Kiosk',NULL,'','','',0,18955,32,0,1,1,29,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890699,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890700,'mariner_bell_city_travel_qeynos',NULL,'','','',0,18956,16,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0),
(5890701,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890702,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890703,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890705,'betrayal ironforge',NULL,'','','',0,2512,34,0,1,1,379,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890706,'to_the_practice_arena',NULL,'','','',0,4161,25,0,1,1,46,0,0,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890707,'betrayal celestial',NULL,'','','',0,2512,32,0,1,1,379,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890708,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890709,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890710,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890711,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890712,'sign_stylist_shop_arrow',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890713,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890714,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890715,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890716,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890717,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890718,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890719,'qey_roadsign_sign02',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890720,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890721,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890722,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890723,'to_dismal_den',NULL,'','','',0,4161,32,0,1,1,46,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890724,'sign_betrayal_notes',NULL,'','','',0,5981,17,0,1,1,1057,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890725,'The Book of Illusions',NULL,'','','',0,3322,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890726,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890727,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890728,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890729,'sign_coldwind_coast_stables',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890730,'sign_coldwind_coast_stables_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890731,'sign_tubals',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890732,'sign_tubals_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890733,'Enter the Stranger''s Apartment',NULL,'','','',0,49,32,0,1,1,1256,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890734,'zone_to_qey_epic12_L08_sanctum',NULL,'','','',0,49,32,0,1,1,1054,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890735,'scout_subclass_door',NULL,'','','',0,49,32,0,1,1,1053,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890736,'zone_to_qey_epic07_p08_sneeds',NULL,'','','',0,49,32,0,1,1,1052,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890737,'Tin Soldier Practice Rooms',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890738,'zone_to_qey_epic08_p06_voleens',NULL,'','','',0,49,32,0,1,1,1055,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890739,'zone_to_qey_epic03_village03_ph',NULL,'','','',0,49,32,0,1,1,1056,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890740,'zone_to_antonica_south',NULL,'','','',0,49,32,0,1,1,362,0,0,0,0,1,0,0,402,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890741,'Enter the Office of General Golias Sydwen',NULL,'','','',0,49,32,0,1,1,1257,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890742,'guild_writ_door',NULL,'','','',0,49,32,0,1,1,75,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890743,'coercer_epic_laelium_filmalilium',NULL,'','','',0,49,32,0,1,1,46,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890744,'sign_tin_soldier',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890745,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890746,'',NULL,'','','',0,18986,12,0,1,1,0,0,0,0,0,0,0,0,126,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890747,'',NULL,'','','',0,13331,12,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890748,'sign_food_on_foot_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890749,'sign_herbjar',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890750,'sign_herbjar_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890751,'sign_statue_of_antonius_bayle',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890752,'zone_to_qey_harbor',NULL,'','','',0,49,32,0,1,1,375,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890753,'zone_to_qey_village02',NULL,'','','',0,49,32,0,1,1,1015,0,0,0,0,0,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890754,'zone_to_qey_village01',NULL,'','','',0,49,32,0,1,1,1014,0,0,0,0,0,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890755,'sign_food_on_foot',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890756,'sign_coldwind_coast_stables_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890757,'sign_hall_of_thunder_fountain',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,393,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890758,'',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890759,'sign_lions_mane_inn_and_tavern',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890760,'sign_food_on_foot',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890761,'',NULL,'','','',0,2512,32,0,0,0,1258,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890762,'a flower bloom',NULL,'','','',0,1738,32,0,1,1,6,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890763,'a school of Koalindl',NULL,'','','',0,8213,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890764,'qeynos_signpost',NULL,'','','',255,30,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890765,'qeynos_signpost',NULL,'','','',255,30,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890766,'a counter, extended',NULL,'','','',255,23841,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890767,'a large rock',NULL,'','','',255,1724,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890768,'Vegetables',NULL,'','','',255,24861,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890769,'Grains',NULL,'','','',255,24860,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890770,'a counter',NULL,'','','',255,23841,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890771,'Aeraykn Mentor (Post AoM)',NULL,'','','',255,15694,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890772,'a locked door',NULL,'','','',255,14306,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5890773,'arenaofthegods',NULL,'','','',255,21730,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900000,'Gaeri Tallspire','<Ofeg''s Voidcaster Mercenary>','','','',3,120,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900001,'a fanatical sentry','<Unkempt Druids>','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900002,'a thicket protector','','','','',255,173,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900003,'Ambassador of the Thicket','','','','',255,173,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900004,'a dryad guard','','','','',255,173,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900005,'a root guard','','','','',255,274,32,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900006,'a fanatical ranger','<Unkempt Druids>','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900007,'a fanatical defender','<Unkempt Druids>','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900008,'a fanatical defender','<Unkempt Druids>','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900009,'a fanatical defender','<Unkempt Druids>','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900010,'a grove protector','','','','',255,212,72,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900011,'a grove protector','','','','',255,212,87,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900012,'a grove protector','','','','',255,212,72,3,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900013,'Arch Protector Dolis','<Unkempt Druids>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900014,'a grove protector','','','','',255,212,91,3,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900015,'a grove protector','','','','',255,212,66,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900016,'a fanatical defender','<Unkempt Druids>','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900017,'Ambassador of the Grove','','','','',255,212,240,0,1,1,0,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900018,'a grove protector','','','','',255,212,71,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900019,'a mist guard','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900020,'a mist protector','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900021,'Ambassador of the Mist','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900022,'qey_tent03',NULL,'','','',0,6304,32,0,1,1,0,0,0,0,0,0,0,0,269,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900023,'weaponrack01',NULL,'','','',0,4455,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900024,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900025,'floor_chair_human_plain01',NULL,'','','',0,2026,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900026,'weaponrack03',NULL,'','','',0,4651,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900027,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900028,'floor brazier',NULL,'','','',0,2025,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900029,'ext01_grain_sack01',NULL,'','','',0,3536,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900030,'ext01_grain_sacks01',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900031,'ext01_barrel',NULL,'','','',0,2569,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900032,'archery green arrow target',NULL,'','','',0,2185,32,0,1,1,61,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900033,'plant_killer_machine_1',NULL,'','','',0,5210,32,0,1,1,398,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900034,'plant_killer_machine_2',NULL,'','','',0,5210,32,0,1,1,398,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900035,'',NULL,'','','',0,49,32,0,1,1,97,0,0,0,0,1,0,0,282,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900036,'wind felled tree',NULL,'','','',0,3925,23,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900037,'callous ore',NULL,'','','',0,3956,28,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900038,'sandwashed rock',NULL,'','','',0,2265,41,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900039,'plains shrubbery',NULL,'','','',0,4075,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5900040,'critter den',NULL,'','','',0,4002,62,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910000,'a Gunthak marauder','<Pirates of Gunthak>','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910001,'a helmsman','<Far Seas Trading Company>','','','',9,144,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910002,'a Gunthak rogue','<Pirates of Gunthak>','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910003,'a Gunthak scoundrel','<Pirates of Gunthak>','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910004,'Captain Bobick','<Far Seas Trading Company>','','','',7,108,32,0,1,1,0,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910005,'Bizzy','','','','',255,150,9,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910006,'Deputy Surestout','<Far Seas Trading Company>','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910007,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910008,'goblin_cage01',NULL,'','','',0,1528,21,0,1,1,0,0,0,0,0,0,0,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5910009,'a chest of contraband',NULL,'','','',0,2187,32,0,1,1,61,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920001,'Captain Azhub','','','','',255,8661,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920002,'Deckhand Xerxox','','','','',255,9065,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920003,'Deckhand Urtzaz','','','','',255,9064,43,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920004,'Swabber Nezza','','','','',255,9064,46,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920005,'Petty Officer Krakz','','','','',255,8661,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920006,'Swabber Thrax','','','','',255,9065,45,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920007,'Petty Officer Prikaz','','','','',255,8838,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920008,'big old croc','','','','',255,4745,54,0,1,1,11,0,0,1,1,1,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920009,'Pipi Proudblade','<The Children of Marr>','','','',255,4943,22,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920010,'a furlong froglok','<The Children of Marr>','','','',255,4939,22,0,1,1,13,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920011,'crate',NULL,'','','',0,3147,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920012,'qey_birdcage001',NULL,'','','',0,1493,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920013,'canonball',NULL,'','','',0,3239,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920014,'floor_bottle_any_wine01',NULL,'','','',0,4604,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920015,'froglok ship',NULL,'','','',0,2557,32,0,1,1,0,0,0,0,0,0,0,0,1346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920016,'boarding_plank',NULL,'','','',0,4676,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5920017,'steering_wheel',NULL,'','','',0,1957,32,0,0,0,158,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930001,'a harbinger of Fear','','','','',255,176,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930002,'Gorfuzod the Keeper','','','','',255,176,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930003,'Screaming Mace, False tiki',NULL,'','','',0,1620,32,0,1,1,201,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930004,'Screaming Mace, True tiki',NULL,'','','',0,1620,32,0,1,1,201,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930005,'qst_galintos_ogre_table_1',NULL,'','','',0,1422,32,0,1,1,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930006,'Worn stone Cazic door',NULL,'','','',0,1455,32,0,1,1,0,0,0,0,0,0,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930007,'Screaming Mace ',NULL,'','','',0,2325,32,0,1,1,202,0,0,0,0,1,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930008,'zone_to_cazicthule_01',NULL,'','','',0,49,32,0,1,1,203,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5930009,'zone_to_cazicthule_01',NULL,'','','',0,49,32,0,1,1,203,0,0,0,0,1,0,0,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940001,'a dead gnoll','','','','',255,1384,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940002,'a cowering Sabertooth gnoll','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940003,'a released elemental','','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940004,'a released elemental','','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940005,'a Rampaging Elemental','','','','',255,171,41,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940006,'a released elemental','','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940007,'a cowering Sabertooth gnoll','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940008,'a frightened Sabertooth gnoll','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940009,'a fleeing Sabertooth gnoll','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940010,'a frightened Sabertooth gnoll','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940011,'qey_boulder03',NULL,'','','',0,1725,40,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5940012,'zone_from_tish_solo_quest',NULL,'','','',0,1550,91,0,0,0,284,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950000,'a damaged cart','','','','',0,2242,33,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950001,'a blood cult sentry','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950002,'a formless blood spawn','','','','',255,209,47,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950003,'a blood cult sentry','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950004,'a blood cult sentry','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950005,'a formless blood spawn','','','','',255,209,61,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950006,'a bloodgaunt imp','','','','',255,4545,14,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950007,'a blood cult witch','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950008,'a shaped blood spawn','','','','',255,143,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950009,'a human sacrifice','','','','',9,132,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950010,'a blood cult prophetess','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950011,'Disciple of Satrinah','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950012,'Countess Satrinah','','','','',255,1378,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950013,'weaponrack001',NULL,'','','',0,1534,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950014,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950015,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950016,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950017,'Leanto',NULL,'','','',0,2020,32,0,1,1,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950018,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950019,'crate_large_long001',NULL,'','','',0,1497,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950020,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950021,'flat_brown_goldtrim_01',NULL,'','','',0,1453,31,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950022,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950023,'goblin_brazier01',NULL,'','','',0,1547,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950024,'goblin_table01',NULL,'','','',0,1541,26,0,1,1,0,0,0,0,0,0,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950025,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,17,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950026,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950027,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950028,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950029,'a large scroll',NULL,'','','',0,2544,6,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950030,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950031,'troll_candle_01',NULL,'','','',0,1614,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950032,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950033,'invisible cube 1',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950034,'floor_brazier_gnoll',NULL,'','','',0,4926,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950035,'fprt_hood_table_large01',NULL,'','','',0,1515,32,0,1,1,0,0,0,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950036,'invisible cube 2',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950037,'mistman dpo',NULL,'','','',0,3647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950038,'door_from_forbidden_sepulcher',NULL,'','','',0,4997,35,0,1,1,418,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5950039,'to_everfrost',NULL,'','','',0,49,32,0,1,1,418,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960000,'a feline sentinel','','','','',255,5685,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960001,'a pet monkey','','','','',255,5006,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960002,'a Maj''Dul resident','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960003,'a Maj''Dul resident','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960004,'a Maj''Dul resident','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960005,'a Maj''Dul resident','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960006,'a Maj''Dul resident','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960007,'a Maj''Dul resident','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960008,'qst_galintos_chess_1',NULL,'','','',0,1413,25,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960009,'drv_rug_round02',NULL,'','','',0,5385,24,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960010,'drv_urn_large02',NULL,'','','',0,5226,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960011,'drv_rug_square03',NULL,'','','',0,5389,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960012,'drv_stool_wicker_plain01',NULL,'','','',0,5256,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960013,'drv_container_merch_basketshort01',NULL,'','','',0,5148,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960014,'drv_rug_square01',NULL,'','','',0,5223,32,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960015,'treasure_chest',NULL,'','','',0,4034,32,0,1,1,139,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960016,'drv_bed_singleplain001',NULL,'','','',0,5624,32,0,1,1,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960017,'drv_tapestry_tall01',NULL,'','','',0,5253,32,0,1,1,0,0,0,0,0,0,0,0,113,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960018,'drv_mirror_plain01',NULL,'','','',0,5335,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960019,'drv_divider_plain01',NULL,'','','',0,5376,32,0,1,1,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960020,'drv_wallcharger_brass02',NULL,'','','',0,5442,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960021,'cr_straw_mat_worn02',NULL,'','','',0,5171,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960022,'drv_rug_square04',NULL,'','','',0,5390,32,0,1,1,0,0,0,0,0,0,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960023,'drv_vase_ornate_large02',NULL,'','','',0,5370,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960024,'drv_vase_ornate_large01',NULL,'','','',0,5245,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960025,'drv_rug_square_worn01',NULL,'','','',0,5391,24,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960026,'drv_mirror_ornate01',NULL,'','','',0,5334,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960027,'drv_wallcharger_brass01',NULL,'','','',0,5441,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960028,'drv_barrels_group03',NULL,'','','',0,5291,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960029,'drv_wallcharger_ceramic01',NULL,'','','',0,5443,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960030,'drv_pillow_floor_oval_worn02',NULL,'','','',0,5353,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960031,'drv_pillow_floor_square_worn02',NULL,'','','',0,5344,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960032,'drv_container_merch_basketshort_open01',NULL,'','','',0,5314,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960033,'drv_wine_bottle_ornate_brass',NULL,'','','',0,5662,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960034,'drv_cup_ornate_pewter',NULL,'','','',0,5661,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960035,'drv_barrels_group01',NULL,'','','',0,5289,32,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960036,'drv_table_coffee_ornate01',NULL,'','','',0,5250,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960037,'drv_rug_rect_worn02',NULL,'','','',0,5382,32,0,1,1,0,0,0,0,0,0,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960038,'drv_rug_square_worn02',NULL,'','','',0,5392,32,0,1,1,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960039,'divider',NULL,'','','',0,10687,26,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960040,'Peacock Tapestry',NULL,'','','',0,5251,33,0,1,1,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5960041,'door_from_majdul_mini_instances',NULL,'','','',0,49,32,0,1,1,344,0,0,0,0,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970000,'a djinn concubine','','','','',255,5263,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970001,'Khalhan al-Azhar','','','','',255,5233,48,0,1,1,9,0,1625,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970002,'Zathos','','','','',255,5181,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970003,'Uphian','','','','',255,5120,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970004,'a sand scorpion','','','','',255,4532,37,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970005,'Charra''zon','','','','',255,4533,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970006,'King Vach','','','','',255,4711,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970007,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970008,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970009,'floor_books_human_stack01',NULL,'','','',0,3026,32,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970010,'qst_unseenhand_wine_1',NULL,'','','',0,1403,32,0,1,1,0,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970011,'drv_urn_small01',NULL,'','','',0,5227,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970012,'drv_urn_small02',NULL,'','','',0,5228,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970013,'drv_rug_round02',NULL,'','','',0,5385,24,0,1,1,0,0,0,0,0,0,0,0,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970014,'djn_pottedplant_palm01_small_blue',NULL,'','','',0,5356,24,0,1,1,0,0,0,0,0,0,0,0,487,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970015,'djn_pillow_floor_group01',NULL,'','','',0,5225,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970016,'bookcase_2',NULL,'','','',0,1410,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970017,'bookcase_1',NULL,'','','',0,1409,32,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970018,'drv_urn_large02',NULL,'','','',0,5226,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970019,'drv_divider_ornate01',NULL,'','','',0,5247,38,0,1,1,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970020,'drv_pillow_bench_pattern02',NULL,'','','',0,5337,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970021,'drv_container_merch_bowl01',NULL,'','','',0,5316,19,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970022,'drv_rug_rect_palacered01',NULL,'','','',0,5260,22,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970023,'drv_rug_square03',NULL,'','','',0,5389,32,0,1,1,0,0,0,0,0,0,0,0,140,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970024,'drv_table_dining_roundplain01',NULL,'','','',0,5403,41,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970025,'drv_bench_wood_ornate01',NULL,'','','',0,5303,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970026,'drv_stool_wicker_plain01',NULL,'','','',0,5256,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970027,'drv_chair_wood_octagonal01',NULL,'','','',0,5305,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970028,'drv_table_end_round01',NULL,'','','',0,5407,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970029,'drv_rug_round01',NULL,'','','',0,5222,32,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970030,'drv_container_merch_basketshort01',NULL,'','','',0,5148,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970031,'drv_rug_group03',NULL,'','','',0,5380,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970032,'drv_rug_square01',NULL,'','','',0,5223,32,0,1,1,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970033,'drv_rug_rect_palaceblue01',NULL,'','','',0,5259,24,0,1,1,0,0,0,0,0,0,0,0,149,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5970034,'drv_urn_large01',NULL,'','','',0,5437,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980001,'a slitherbone repeller','','','','',255,4660,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980002,'a Sul''Dae deathguard','','','','',255,5134,51,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980003,'a Sul''Dae subjugator','','','','',255,9198,38,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980004,'a prismatic watcher','','','','',255,3295,44,0,1,1,11,0,6044,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980005,'a prismatic defender','','','','',255,3295,48,0,1,1,11,0,6044,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980006,'a prismatic enchanter','','','','',255,3295,44,0,1,1,11,0,6044,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980007,'a morbid guardian','','','','',255,5232,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980008,'a reanimated rampager','','','','',255,10816,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980009,'a resurrected protector','','','','',255,159,44,0,1,1,11,0,0,1,1,1,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980010,'a Djinn deadweaver','','','','',255,9658,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980011,'Cygnus Relic','','','','',9,50108,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980012,'Warmaster Gangar','','','','',255,9659,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980013,'Libra Relic','','','','',9,50108,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980014,'General Dal''Zark','','','','',255,5132,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980015,'Sirius Relic','','','','',9,50108,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980016,'Aries Relic','','','','',9,50108,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980017,'Sabaron','','','','',255,5686,112,0,1,1,11,0,18463,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980018,'Planar Fracture','','','','',255,2306,32,0,1,1,0,0,21449,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980019,'Zone To Sinking Sands',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,174,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5980020,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990001,'a desert tarantula','','','','',255,244,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990002,'Albino Desert Tarantula','','','','',255,246,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990003,'Zoryl N''Xyv','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990004,'Merchant N''Xirin','<Alchemist>','','','',1,116,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990005,'Xiria N''Zyvyl','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990006,'Merchant N''Ryl','<General Goods>','','','',1,116,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990007,'a crag tarantula','','','','',255,244,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990008,'Ancient Cyclops','','','','',255,5177,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990009,'pf_rock_small04',NULL,'','','',0,5146,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990010,'pf_rock_small03',NULL,'','','',0,5146,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990011,'pf_rock_small02',NULL,'','','',0,5146,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990012,'ss_tent_nomad_double01',NULL,'','','',0,5161,32,0,1,1,0,0,0,0,0,0,0,0,203,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990013,'pf_rock_small01',NULL,'','','',0,5146,32,0,1,1,0,0,0,0,0,0,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(5990014,'Pillars of Flame',NULL,'','','',0,49,32,0,0,0,315,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000000,'a damaged cart','','','','',0,2242,33,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000001,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000002,'a Scornfeather ravager','','','','',255,5219,43,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000003,'a Scornfeather stormcaller','','','','',255,5219,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000004,'a relentless serpent','','','','',255,4661,143,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000005,'a Scornfeather sundancer','','','','',255,5219,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000006,'a Scornfeather skychaser','','','','',255,5219,47,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000007,'a Scornfeather ravager','','','','',255,5219,33,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000008,'Ibtinaya the Scorned','','','','',255,5219,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000009,'an enthralled serpent','','','','',255,4661,86,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000010,'That Which Relentlessly Waits','','','','',255,4660,192,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000011,'Ishka-Urz','','','','',255,4661,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000012,'Hurika-Urz','','','','',255,4661,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000013,'Matron Zaqibai','','','','',255,5219,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000014,'Matron Suhailah','','','','',255,5219,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000016,'pf_rock_medium04',NULL,'','','',0,5094,48,0,1,1,0,0,0,0,0,0,0,0,446,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000017,'pf_rock_medium05',NULL,'','','',0,5090,55,0,1,1,0,0,0,0,0,0,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000018,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000019,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000020,'seated skeleton',NULL,'','','',0,2431,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000021,'human skull bashed 02',NULL,'','','',0,3000,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000022,'pf_falconeggs_unbroken',NULL,'','','',0,5200,26,0,1,1,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000023,'iksar skull 02',NULL,'','','',0,2997,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000024,'iksar skull 01',NULL,'','','',0,2996,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000025,'orc skull',NULL,'','','',0,2998,41,0,1,1,323,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000026,'human skulls in a row',NULL,'','','',0,3001,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000027,'dpo_dead_rujarkian_orc_warrior',NULL,'','','',0,5027,32,0,1,1,0,0,228,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000028,'dpo_dead_rujarkian_orc_rogue',NULL,'','','',0,5026,32,0,1,1,0,0,228,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000029,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000030,'cr_orc_rubbishpile02',NULL,'','','',0,5173,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000031,'cr_orc_rubbishpile01',NULL,'','','',0,5172,32,0,1,1,0,0,0,0,0,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000032,'ss_flora_cacti_round01',NULL,'','','',0,5152,70,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000033,'ss_flora_cacti_med01',NULL,'','','',0,5150,41,0,1,1,0,0,0,0,0,0,0,0,164,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000034,'qst_unseenhand_smashed_barrel_1',NULL,'','','',0,1428,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000035,'dpo_dead_sand_giant',NULL,'','','',0,4739,32,0,1,1,0,0,228,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000036,'pf_rock_medium04',NULL,'','','',0,5090,22,0,1,1,0,0,0,0,0,0,0,0,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000037,'ss_flora_cacti_multi01',NULL,'','','',0,5151,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000038,'dpo_dead_sand_goblin',NULL,'','','',0,5190,32,0,1,1,0,0,228,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000039,'pf_nest_harpy01',NULL,'','','',0,5201,32,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000040,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000041,'dpo_dead_elephant',NULL,'','','',0,264,32,0,1,1,0,0,228,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000042,'pf_falconeggs_mixed',NULL,'','','',0,5199,76,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000043,'pf_falconeggs_broken',NULL,'','','',0,5198,80,0,1,1,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6000044,'01_door_to_clefts_of_rujark',NULL,'','','',0,49,32,0,0,0,393,0,0,0,0,1,0,0,142,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010001,'a dervish footpad','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010002,'a dervish footpad','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010003,'a snaptooth crocodile','','','','',255,4745,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010004,'a dervish operative','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010005,'a dervish operative','','','','',255,4922,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010006,'a dervish bandit','','','','',255,4927,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010007,'Master Thief Adham','','','','',255,4999,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010008,'a dervish bandit','','','','',255,4917,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010009,'Bruticus','','','','',255,5119,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010010,'Mullok','','','','',9,5190,19,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010011,'bucket of fish','','','','',255,4649,32,0,1,1,424,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010012,'Snaptooth','','','','',255,4745,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010013,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010014,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,1,1,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010015,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010016,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010017,'qst_unseenhand_table_2',NULL,'','','',0,1402,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010018,'qst_unseenhand_keg_1',NULL,'','','',0,1398,11,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010019,'qst_galintos_bedroll_1',NULL,'','','',0,1407,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010020,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010021,'qey_birdcage001',NULL,'','','',0,1493,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010022,'bones_scattered_01',NULL,'','','',0,2367,32,0,1,1,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010023,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010024,'qst_galintos_ogre_soup_1',NULL,'','','',0,1421,33,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010025,'ss_rocks_group01',NULL,'','','',0,5106,16,0,1,1,0,0,0,0,0,0,0,0,442,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010026,'qst_unseenhand_smashed_1',NULL,'','','',0,1427,32,0,1,1,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010027,'orc_tilted_ladder01',NULL,'','','',0,4995,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010028,'Fireflies',NULL,'','','',0,4898,22,0,1,1,0,0,0,0,0,0,0,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010029,'qst_galintos_ogre_food_1',NULL,'','','',0,1419,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010030,'ss_rocks_group01',NULL,'','','',0,5105,10,0,0,0,0,0,0,0,0,0,0,0,354,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010031,'md_light_10m00',NULL,'','','',0,5747,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010032,'drv_lightsource_ext_torch01',NULL,'','','',0,5687,32,0,0,0,0,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010033,'object_treasure_medium_01',NULL,'','','',0,4016,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010034,'quest_signature_dorn_message_chest',NULL,'','','',0,4015,32,0,1,1,423,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010035,'drv_tent_merchant_red',NULL,'','','',0,5157,25,0,0,0,0,0,0,0,0,0,0,0,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010036,'drv_container_merch_bowl02',NULL,'','','',0,5317,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010037,'drv_barrel_small01',NULL,'','','',0,5288,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010038,'object_treasure_medium_02',NULL,'','','',0,4016,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010039,'object_treasure_low_00',NULL,'','','',0,4034,31,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010040,'object_treasure_high_02',NULL,'','','',0,4015,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010041,'qst_galintos_ogre_mug_1',NULL,'','','',0,1420,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010042,'bones_scattered_02',NULL,'','','',0,2987,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010043,'qey_crystal_globe',NULL,'','','',0,1513,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010044,'cr_stool_orc_wood01',NULL,'','','',0,5167,32,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010045,'object_treasure_medium_00',NULL,'','','',0,4016,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010046,'object_treasure_high_00',NULL,'','','',0,4015,24,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010047,'object_treasure_high_00',NULL,'','','',0,1512,16,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010048,'object_treasure_low_01',NULL,'','','',0,4034,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010049,'object_treasure_high_01',NULL,'','','',0,4015,32,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010050,'quest_necklace',NULL,'','','',0,3163,32,0,1,1,37,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6010051,'leave_hidden_cache',NULL,'','','',0,13,32,0,0,0,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020001,'a relic shriller','','','','',255,239,25,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020002,'an Orillian slayer','','','','',255,5000,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020003,'an Orillian arch mage','','','','',255,5000,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020004,'a corpse devourer','','','','',255,4532,25,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020005,'an Orillian adherent','','','','',255,5135,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020006,'an Orillian courier','','','','',255,5135,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020007,'an Orillian magus','','','','',255,5000,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020008,'an Orillian recluse','','','','',255,5135,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020009,'a fetid slithe','','','','',255,4660,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020010,'a malignant slithe','','','','',255,4660,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020011,'Protector of Rathmana','','','','',255,156,128,0,1,1,11,0,3849,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020012,'Guardian of Rathmana','','','','',255,156,128,0,1,1,11,0,1592,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020013,'a crypt feeder','','','','',255,4534,32,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020014,'an Orillian scourge','','','','',255,5003,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020015,'a tomb feeder','','','','',255,4534,35,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020016,'an Orillian executioner','','','','',255,5003,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020017,'an Orillian demas','','','','',255,5003,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020018,'a brood slithe','','','','',255,4661,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020019,'a molted slithe','','','','',255,4660,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020020,'Ortallius','','','','',20,5024,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020021,'an Orillian prelate','','','','',255,5133,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020022,'Nagini','','','','',255,4661,256,0,1,1,11,0,3849,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020023,'Kebekab','An Orillian heretic''s grim terror','','','',255,1378,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020024,'an Orillian champion','','','','',255,4537,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020025,'an Orillian devout','','','','',255,4538,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020026,'Hira'' Vehn','','','','',255,5000,57,0,1,1,11,0,1592,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020027,'Jabekn','An Orillian arch mage''s aery stalker','','','',255,3647,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020028,'an Orillian heretic','','','','',255,4535,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020029,'Sirn'' Vehn','','','','',255,5003,57,0,1,1,11,0,3679,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020030,'an Orillian oracle','','','','',255,4535,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020031,'Rathmana Allin','','','','',3,1603,64,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020032,'an Orillian corpse','','','','',255,5139,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020033,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020034,'bones_scattered_00',NULL,'','','',0,2366,31,0,1,1,0,0,0,0,0,0,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020035,'bones_scattered_02',NULL,'','','',0,2987,32,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020036,'death statue',NULL,'','','',0,3581,132,0,1,1,0,0,1911,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6020037,'zone_to_sinking_sands',NULL,'','','',0,1847,39,0,0,0,442,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030001,'a Doomwing ravager','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030002,'a Doomwing reaver','<Doomwing Legion>','','','',255,6015,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030003,'a Doomwing blackcoat','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030004,'a Doomwing firedrake','','','','',255,238,64,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030005,'a Doomwing forgewright','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030006,'a Doomwing thaumaturge','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030007,'a Doomwing shackler','<Doomwing Legion>','','','',255,5947,49,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030008,'The Slavering Alzid','','','','',255,6017,104,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030009,'a Doomwing Skarize champion','<Doomwing Legion>','','','',255,6014,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030010,'Doomwright Vakrizt','','','','',255,6014,49,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030011,'a dragonmarked excarnate','<Quellithulian Enclave>','','','',255,5060,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030012,'a terror organ','','','','',255,5863,76,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030013,'a Quellithulian researcher','<Quellithulian Enclave>','','','',255,5065,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030014,'Pardas Predd','','','','',255,5060,38,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030015,'a dragonspawn whelp','','','','',255,238,31,6,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030016,'Doom Prophet Kin''vah','<Doomwing Legion>','','','',255,6016,41,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030017,'Doom Ravager Ru''ystad','<Doomwing Legion>','','','',255,6014,49,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030018,'Doom Reaver Cheyak','<Doomwing Legion>','','','',255,6015,54,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030019,'a Quellithulian researcher','<Quellithulian Enclave>','','','',255,5065,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030020,'a Doomwing keeper','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030021,'a Doomwing keeper','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030022,'Doomwright Vakrizt''s Forge of Doom','','','','',255,4500,80,0,1,1,11,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030023,'a Doomsworn ruiner','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030024,'a Doomsworn endbringer','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030025,'a Doomsworn adept','<Doomwing Legion>','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030026,'Doomsworn Zatrakh','','','','',255,5947,54,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030027,'Euktrzkai Amdaatk','','','','',255,5918,89,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030028,'Rallia Nedorn','','','','',3,5050,32,0,1,1,35,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030029,'The Corsolander','','','','',255,5862,128,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030030,'Ancient Bound Abomination','','','','',255,5863,118,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030031,'Ancient Bound Abomination','','','','',255,5863,101,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030032,'a Doomwing keeper','<Doomwing Legion>','','','',255,6016,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030033,'The Uncaged Alzid','<Wurndrom Creation>','','','',255,6014,108,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030034,'a mutagenic disgorgant','','','','',255,294,57,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030035,'a deathless warlock','','','','',255,5770,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030036,'a deathless warden','','','','',255,5769,38,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030037,'Uustalastus Xiterrax','','','','',255,5770,80,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030038,'a Doomsworn endbringer','<Doomwing Legion>','','','',255,6014,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030039,'Alzid Prime','','','','',255,6015,124,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030040,'Lord Vyemm','','','','',255,6008,70,0,1,1,9,0,0,0,0,1,0,0,272,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030041,'22_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030042,'22_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030043,'23_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030044,'23_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030045,'28_door_1_right',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030046,'28_door_1_left',NULL,'','','',0,49,32,0,1,1,389,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030047,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030048,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030049,'hf_chest_reliquary_bones01',NULL,'','','',0,6075,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030050,'hf_door01',NULL,'','','',0,6042,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030051,'sos_dragoneggs_broken_blue',NULL,'','','',0,6088,53,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030052,'31_door_right',NULL,'','','',0,6043,32,0,1,1,389,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030053,'31_door_left',NULL,'','','',0,6042,32,0,1,1,389,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030054,'Death Pulse',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030055,'los_jail_cell_piece01',NULL,'','','',0,5929,38,0,1,1,430,0,1302,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030056,'Drake Whelp Egg',NULL,'','','',0,6044,65,0,1,1,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030057,'a prismatic lexicon',NULL,'','','',0,5881,32,0,1,1,431,0,6044,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6030058,'orb_to_the_bonemire_from_lower_hof',NULL,'','','',0,6079,32,0,1,1,45,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040001,'channeler of the Flapping Wing','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040002,'protector of The Slashing Talon','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040003,'disciple of The Slashing Talon','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040004,'trainee of the Fire Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040005,'instructor of the Fire Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040006,'pupil of the Icy Breath','','','','',255,5907,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040007,'bountiful flame','','','','',255,209,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040008,'adept of the Flapping Wing','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040009,'Effigy of The Flapping Wing','','','','',255,238,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040010,'protector of The Flame Breath','','','','',255,5907,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040011,'caller of The Flame Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040012,'scholar of the Icy Breath','','','','',255,5907,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040013,'instructor of the Icy Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040014,'scholar of the Icy Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040015,'Effigy of The Slashing Talon','','','','',255,238,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040016,'a sentinel of The Awakened','','','','',255,5947,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040017,'a tender of the Fire Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040018,'learner of the Fire Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040019,'a follower of the Fire Breath','','','','',255,5907,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040020,'conscript of the Icy Breath','','','','',255,5907,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040021,'accumulating energy','','','','',255,296,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040022,'accelerating energy','','','','',255,296,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040023,'Effigy of The Fire Breath','','','','',255,238,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040024,'an orator of the Fire Breath','','','','',255,5910,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040025,'Prophet of The Slashing Talon','','','','',255,238,48,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040026,'warden of the Flapping Wing','','','','',255,238,32,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040027,'warden of the Flapping Wing','','','','',255,238,71,7,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040028,'warden of the Flapping Wing','','','','',255,238,51,1,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040029,'Ancient of the Flapping Wing','','','','',255,238,70,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040030,'Effigy of The Icy Breath','','','','',255,238,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040031,'',NULL,'','','',0,49,32,0,1,1,320,0,0,0,0,1,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040032,'',NULL,'','','',0,49,32,0,1,1,321,0,0,0,0,1,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040038,'',NULL,'','','',0,5952,32,0,1,1,0,0,0,0,0,0,0,0,381,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040039,'sos_wood_door',NULL,'','','',0,6038,32,0,1,1,0,0,0,0,0,0,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,365,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,234,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040049,'sos_wood_door_exit',NULL,'','','',0,6038,32,0,0,0,45,0,0,0,0,1,0,0,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6040050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050001,'a Stormguard ghost','','','','',2,109,28,0,1,1,11,0,496,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050002,'a Stormguard spirit','','','','',2,110,28,0,1,1,11,0,496,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050003,'a Stormguard revenant','','','','',2,110,28,0,1,1,11,0,496,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050004,'a Stormguard haunt','','','','',2,109,28,0,1,1,11,0,496,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050005,'a Stormguard horror','','','','',9,4537,19,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050006,'General Byzar Bloodforge','<The Corrupted>','','','',2,109,32,0,1,1,11,0,6193,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050007,'General Hogunk Ventille','<The Stormguard Lords>','','','',2,110,32,0,1,1,9,0,6193,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050008,'General Beno Targnarle','<The Stormguard Lords>','','','',2,110,32,0,1,1,9,0,6193,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050009,'General Canloe Nusback','<The Stormguard Lords>','','','',2,110,32,0,1,1,9,0,6193,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050010,'door_bunk02_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050011,'door_bunk02_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050012,'door_bunk01_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050013,'door_bunk01_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050014,'door_throne_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050015,'door_throne_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050016,'door_vestibule_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050017,'door_vestibule_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050018,'door_bunk03_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050019,'door_bunk04_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050020,'door_bunk04_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050021,'door_bunk03_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050022,'door_armory_right',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050023,'door_armory_left',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050024,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050025,'bbm_crate_wood02',NULL,'','','',0,6698,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050026,'bbm_crate_wood01',NULL,'','','',0,6697,32,0,1,1,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050027,'qey_bank_vault',NULL,'','','',0,1512,32,0,1,1,0,0,0,0,0,0,0,0,66,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050028,'floor_bookcase_human_stone01',NULL,'','','',0,2130,32,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050029,'floor_bookcase_human_preserves02',NULL,'','','',0,3018,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050030,'kal_obj_stormguard_doorframe_solid01',NULL,'','','',0,6702,32,0,1,1,0,0,0,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050031,'kal_obj_stormguard_door_solid01',NULL,'','','',0,6701,32,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050032,'kal_throne_dwarf',NULL,'','','',0,6695,32,0,1,1,0,0,0,0,0,0,0,0,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050033,'adamant_chest_of_thex',NULL,'','','',0,2657,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6050034,'hatch_to_kaladim_heroes_hold',NULL,'','','',0,6546,31,0,1,1,191,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6070000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6070001,'Xuurk','<The Hand of Cazic-Thule>','','','',255,103,44,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6070002,'a crusader of Fear','','','','',255,104,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6070003,'exit_to_fens',NULL,'','','',0,49,32,0,0,0,45,0,0,0,0,1,0,0,162,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090000,'','','','','',255,12471,36,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090001,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090002,'a planar guardian','<Miragul''s Chosen>','','','',255,178,43,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090003,'a distracted sentry','<Miragul''s Chosen>','','','',255,177,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090004,'a planar reaver','<Miragul''s Chosen>','','','',255,176,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090005,'an animated opus','','','','',255,283,83,0,1,1,11,0,1494,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090006,'Coraste Verisue','<Archive Security>','','','',9,10020,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090007,'a planar warrior','<Miragul''s Chosen>','','','',255,176,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090008,'Talwyn Verisue','<Archive Security>','','','',9,10021,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090009,'an erudite recordskeeper','','','','',9,10021,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090010,'Kervis Pendleir','<Keeper of Forbidden Lore>','','','',9,10021,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090011,'an erudite lorekeeper','','','','',9,10020,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090012,'a viscious snowbeast','','','','',255,3711,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090013,'a snowbeast packleader','','','','',255,3711,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090014,'Tuskers','<Faithful Companion>','','','',255,3804,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090015,'Haladan Moonrunner','<Mythic Tundra Hero>','','','',0,1696,54,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090016,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090017,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090018,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090019,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090020,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090021,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090022,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090023,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090024,'Altar of the Deep',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090025,'Altar of Growth',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,746,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090027,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090028,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090030,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090031,'Altar of Burning Fear',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090032,'Altar of the Sky',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090033,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090034,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090035,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090036,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090037,'stairs_ice_barrier',NULL,'','','',0,4544,71,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090038,'treasure_room_shield',NULL,'','','',0,7237,135,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090039,'mage_pad_green',NULL,'','','',0,2684,32,0,1,1,0,0,16903,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090040,'map_floor_cube_01',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090041,'mage_pad_red',NULL,'','','',0,2682,32,0,1,1,0,0,3753,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090042,'mage_pad_blue',NULL,'','','',0,2683,32,0,1,1,0,0,16902,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6090043,'zone_to_everfrost',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100001,'Ismat','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100002,'Grimsbira Netlaara','<Crew Commander>','','','',9,1590,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100003,'Tarif I''sak','<Magic Sanctioner>','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100004,'a Vigilant navigan','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100005,'a Vigilant medical officer','','','','',9,119,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100006,'a Vigilant observer','','','','',9,1605,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100007,'a Vigilant security member','','','','',9,1598,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100008,'Sedrard Jithir ','<Vigilant Captain>','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100009,'a Vigilant officer','','','','',9,1602,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100010,'a Tallonite amahn','','','','',9,11751,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100011,'a Tallonite lozonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100012,'a Tallonite zonn','','','','',9,11750,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100013,'a Tallonite kage-zonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100014,'Nobuna''s Gazer','','','','',255,10531,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100015,'Lozonn Nobuna','<The Steel Fist>','','','',9,11750,44,0,1,1,11,0,16871,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100016,'a bloated Zekling','','','','',255,10531,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100017,'Stamper Jeralf','<Bloodfree''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100018,'Zonn Kogir','<The Dark Walker>','','','',9,11754,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100019,'a Vigilant watchmen','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100020,'Bellut Shortsong','<Inviteone''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100021,'Sscire Slitherscale','<Invitetwo''s Stalker Mercenary>','','','',10,1574,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100022,'Zonn Gamaz','<The Relentless>','','','',9,11754,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100023,'a fragmented enery core','','','','',255,297,32,0,1,1,11,0,2602,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100024,'Vice Vigoth Sanad','<The Crimson Demon>','','','',9,11753,44,0,1,1,11,0,15672,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100027,'house_item_widget_sentinel01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100029,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100034,'Switch Sphere Navigation',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100035,'Con Switch Base 00',NULL,'','','',0,11845,48,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100036,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100037,'Switch Sphere Cargo',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100038,'portal effect cube',NULL,'','','',0,12006,64,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100039,'static_door_barrier',NULL,'','','',0,11780,32,0,1,1,0,0,0,0,0,0,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100040,'Tube Blocker',NULL,'','','',0,2306,96,0,1,1,0,0,491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100041,'Crate',NULL,'','','',0,11841,38,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100042,'static_door_barrier_tunnel',NULL,'','','',0,11779,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100043,'Crewman''s Stash',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100044,'',NULL,'','','',0,12734,64,0,1,1,147,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6100045,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110000,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110001,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110002,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110003,'Ismat','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110004,'a Vigilant medical officer','','','','',9,119,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110005,'a Vigilant observer','','','','',9,1605,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110006,'Sedrard Jithir ','<Vigilant Captain>','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110007,'a Tallonite amahn','','','','',9,11751,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110008,'a Tallonite lozonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110009,'a Tallonite zonn','','','','',9,11750,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110010,'a Tallonite kage-zonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110011,'a slain erudite','<Vigilant Watchman>','','','',9,1593,31,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110012,'a war hound of Zek','','','','',255,11051,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110013,'a Tallonite necron-anahm','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110014,'a tortured Zekling','','','','',255,10531,31,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110015,'a tormented Zekling','','','','',255,10531,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110016,'a tortured Zekling','','','','',255,10531,46,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110017,'Arch-Amahn Wretchedcorpse','<The Deathwalker>','','','',9,11754,44,0,1,1,11,0,1498,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110018,'Lekn','Arch-Amahn Wretchedcorpse''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110019,'Mri''An Ba''Ay','<Vigilant Magic Sanctioner>','','','',9,1590,32,0,1,1,18,0,1498,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110020,'Znag the Obrut','<Minor Zek Lord>','','','',255,10531,112,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110021,'a feral Stonebrunt silverback','','','','',255,6825,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110022,'a feral slobberjaw','','','','',255,6452,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110023,'a highland fearstalker','','','','',255,11211,48,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110024,'King Cruszhem','<enraged slobberjaw chieftain>','','','',255,6451,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110025,'a Tallonite key-zonn','','','','',9,11750,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110026,'a reanimated crew member','','','','',9,11865,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110027,'Joner','Arch-Amahn Wretchedcorpse''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110028,'Xontik','Arch-Amahn Wretchedcorpse''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110029,'a zombie warhound','','','','',255,11050,48,0,1,1,11,0,18224,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110030,'Jabanab','Arch-Amahn Wretchedcorpse''s undead knight','','','',255,4557,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110031,'a tormented Zeklord','','','','',255,10531,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110032,'a Tallonite mage mauler','','','','',255,11051,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110033,'Kage-Zonn Radas','<Shadow Lord>','','','',9,11753,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110034,'a Tallonite battle mauler','','','','',255,11051,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110035,'Stamper Jeralf','<Bloodfree''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110036,'Bellut Shortsong','<Inviteone''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110037,'Vigoth Rodnan','<The Warblade>','','','',9,11754,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,72,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,578,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,527,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110042,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,558,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110043,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110044,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110045,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,591,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,591,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110048,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,591,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110049,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,554,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110050,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,591,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110051,'house_item_widget_sentinel02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110053,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110057,'Switch Sphere Navigation',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110058,'Con Switch Base 00',NULL,'','','',0,11845,48,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110059,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110060,'Switch Sphere Cargo',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110061,'static_door_barrier',NULL,'','','',0,11780,32,0,1,1,0,0,0,0,0,0,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110062,'static_door_barrier_tunnel',NULL,'','','',0,11779,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110063,'Door Switch Base',NULL,'','','',0,11843,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110064,'Switch Sphere Skydeck',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110065,'portal_disc',NULL,'','','',0,11846,80,0,1,1,0,0,2602,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110066,'Door Sphere GLASS TUNNEL',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110067,'Door Sphere FRONT CARGO',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110068,'Door Sphere SKYDECK',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110069,'portal_disc',NULL,'','','',0,12006,32,0,1,1,0,0,2602,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110070,'Sky Deck Barrier',NULL,'','','',0,11842,32,0,1,1,0,0,0,0,0,0,0,0,1294,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110071,'Tube Blocker',NULL,'','','',0,4544,128,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110072,'Door Sphere SECONDARY SKYDECK',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110073,'Door Sphere KAGE ROOM',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110074,'Tallonite Loot Box',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110075,'Door Sphere VIGOTH ROOM',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110076,'handwritten book',NULL,'','','',0,3030,16,0,1,1,0,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110077,'',NULL,'','','',0,12734,64,0,1,1,147,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6110078,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120000,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120001,'Ismat','','','','',9,1600,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120002,'Sedrard Jithir ','<Vigilant Captain>','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120003,'a Tallonite amahn','','','','',9,11751,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120004,'a Tallonite lozonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120005,'a Tallonite zonn','','','','',9,11750,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120006,'a Tallonite kage-zonn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120007,'a tortured Zekling','','','','',255,10531,31,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120008,'a tormented Zekling','','','','',255,10531,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120009,'a tormented Zeklord','','','','',255,10531,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120010,'Stamper Jeralf','<Bloodfree''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120011,'Bellut Shortsong','<Inviteone''s Songspinner Mercenary>','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120012,'a feasting Zekling','','','','',255,10531,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120013,'a Tallonite necron-amahn','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120014,'a greater blood daemon','<Destroyer of Zek>','','','',9,5993,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120015,'a gorging Zekling','','','','',255,10531,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120016,'a Tallonite savage-maw','','','','',255,11051,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120017,'Amahn-Prime Nirel','<Zekian Battle Mage>','','','',9,11753,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120018,'Kerbiros Razorback','<Zekian Devourer>','','','',255,11051,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120019,'Lenarab','Amahn-Prime Nirel''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120020,'a Tallonite kedon','','','','',9,11752,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120021,'Prime-Kedon Kelv ','<The Heart Piercer>','','','',9,11754,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120022,'a Tallonite razor-maw','','','','',255,11051,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120023,'a sneaky Zekling','','','','',255,10531,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120024,'a lesser blood daemon of Zek','','','','',9,5993,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120025,'a tormented Zekling','','','','',255,10531,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120026,'Freezerburn','<Frozen Beef Snack>','','','',255,262,48,0,1,1,11,0,1494,1,1,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120027,'Fire of Zek','','','','',255,5597,32,0,1,1,0,0,4569,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120028,'a Tallonite Maru-zonn','','','','',9,11750,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120029,'Marus Xand','<Legion Lord>','','','',9,11754,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120030,'a mage of war','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120031,'a minion of war','','','','',255,5987,38,0,1,1,11,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120032,'Flight Master Captain Sedrard Jithir','','','','',9,1601,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120035,'house_item_widget_sentinel03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120036,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120037,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120038,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120039,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120040,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120041,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120042,'freezer_crate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,1,0,137,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120043,'widget_jithir_cage_door',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120044,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120045,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,146,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120046,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,179,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120047,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120048,'Captain''s Flight Crystal',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120052,'Con Switch Base 00',NULL,'','','',0,11845,48,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120053,'',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120054,'Switch Sphere Cargo',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120055,'static_door_barrier',NULL,'','','',0,11780,32,0,1,1,0,0,0,0,0,0,0,0,171,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120056,'static_door_barrier_tunnel',NULL,'','','',0,11779,32,0,1,1,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120057,'Door Switch Base',NULL,'','','',0,11843,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120058,'Switch Sphere Skydeck',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120059,'portal_disc',NULL,'','','',0,12006,32,0,1,1,0,0,2602,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120060,'Sky Deck Barrier',NULL,'','','',0,11842,32,0,1,1,0,0,0,0,0,0,0,0,1294,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120061,'Tube Blocker',NULL,'','','',0,4544,128,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120062,'Switch Sphere Captain',NULL,'','','',0,11844,48,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120063,'Door Sphere Sent03 - Lower Tunnel',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120064,'Door Sphere Sent03 Officer Dojo',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120065,'Door Sphere Sent03 - Officer Tunnel',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,1,1,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120066,'Lava Flow',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120067,'Fire Floor',NULL,'','','',0,6313,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120068,'Door Sphere Sent03 - Freezer',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120069,'Door Sphere Sent03 - Refectory',NULL,'','','',0,11844,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120070,'Unsinkable S''am',NULL,'','','',255,305,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120071,'Captain''s Hoard',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120072,'magic_rune_stairs',NULL,'','','',0,12304,32,0,1,1,0,0,0,0,0,0,0,0,868,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120073,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120074,'',NULL,'','','',0,12734,64,0,1,1,147,0,0,0,0,1,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120075,'Return to Paineel',NULL,'','','',0,49,32,0,1,1,458,0,0,0,0,0,0,0,209,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6120076,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6130000,'Warble','','','','',11,101,38,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6130001,'Firepit with Cauldron',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6130002,'Fractured Anaskar Stone',NULL,'','','',0,16481,6,0,1,1,0,0,0,0,0,0,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6130003,'zone to north odus',NULL,'','','',0,16465,128,0,1,1,250,0,0,0,0,1,0,0,277,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6130004,'Warble','','','','',11,101,38,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140001,'Standard of Ragecrusher','','','','',255,14874,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140002,'Standard of Rageburner','','','','',255,14875,64,0,1,1,11,0,20680,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140003,'Standard of Ragefrost','','','','',255,14876,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140004,'invis_cube_containment_field_effect','','','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140005,'a war boar','','','','',255,1548,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140006,'a Sullonite vexament','','','','',9,13946,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140007,'a Sullonite acriment','','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140008,'a Sullonite vehement','','','','',9,13947,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140009,'Hamslammer','<Rage Smith>','','','',255,9191,73,0,1,1,11,0,10785,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140010,'Ragecrusher Aktu','<Ternate of Rage>','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140011,'a Diaku steward','<Barrier Warden>','','','',12,14959,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140012,'a Diaku keeper','<Barrier Warden>','','','',12,14959,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140013,'a Sullonite umbrant','','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140014,'Rageburner Drewsho','<Ternate of Rage>','','','',9,13950,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140015,'Ragefroster Sumora','<Ternate of Rage>','','','',9,13945,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140016,'a Sullonite destructor','<Elite Soldier>','','','',9,13949,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140017,'Dalrinai Heartrage','<Clan Ragebourne>','','','',9,13949,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140018,'Grolla Skullwielder','<Diaku Warkeeper>','','','',12,14958,64,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140019,'Thana Llac','<High Priestess of Rage>','','','',255,12200,160,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140020,'a Rogue Avazek','','','','',255,5910,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140021,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140022,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140023,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140024,'warsmelt_iron_cluster',NULL,'','','',0,4729,9,0,1,1,0,0,0,0,0,1,1,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140025,'invis_cube_rallos_eyes',NULL,'','','',0,6159,320,0,1,1,0,0,19667,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140026,'triad_effects_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140027,'Acolyte''s Orders',NULL,'','','',0,3548,48,0,1,1,0,0,0,0,0,1,1,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140028,'sullon_bowl_02',NULL,'','','',0,4769,25,0,1,1,0,0,0,0,0,0,0,0,403,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140029,'sullon_bowl_04',NULL,'','','',0,4769,25,0,1,1,0,0,0,0,0,0,0,0,403,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140030,'sullon_bowl_03',NULL,'','','',0,4769,25,0,1,1,0,0,0,0,0,0,0,0,403,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140031,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140032,'sullon_bowl_01',NULL,'','','',0,4769,25,0,1,1,0,0,0,0,0,0,0,0,403,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140033,'a stinky chest',NULL,'','','',0,5767,32,0,1,1,16,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140034,'sullon_bowl_05',NULL,'','','',0,4769,25,0,1,1,0,0,0,0,0,0,0,0,403,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140035,'invis_wall_collision',NULL,'','','',0,7237,480,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140036,'sullon_bowl_06',NULL,'','','',0,4769,25,0,1,1,0,0,0,0,0,0,0,0,403,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140037,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140038,'spire of rage f2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140039,'Orc Hero Statue #4',NULL,'','','',0,4464,73,0,1,1,0,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140040,'Orc Hero Statue #3',NULL,'','','',0,4464,73,0,1,1,0,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140041,'Orc Hero Statue #1',NULL,'','','',0,4464,73,0,1,1,0,0,0,0,0,1,1,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6140042,'',NULL,'','','',0,4544,96,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150001,'a Sullonite vexament','','','','',9,13946,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150002,'a Sullonite acriment','','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150003,'a Sullonite vehement','','','','',9,13947,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150004,'a Sullonite umbrant','','','','',9,13948,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150005,'a Sullonite Ragebreaker','<Sullon''s Elite>','','','',9,13949,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150006,'a raging web reaver','','','','',255,243,128,0,1,1,11,0,9733,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150007,'a champion of Zek','','','','',255,6453,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150008,'an oracle of Zek','','','','',255,6449,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150009,'a Ry''Gorr heretic','','','','',20,14838,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150010,'a Ry''Gorr Avenger','','','','',20,14844,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150011,'a defender of Zek','','','','',255,6456,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150012,'a Sullonite battle boar','','','','',255,1548,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150013,'a Ry''Gorr centurion','','','','',20,14843,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150014,'a Ry''Gorr watchman','','','','',20,14840,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150015,'a Ry''Gorr harbinger','','','','',20,14847,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150016,'ragebourne elite guard','','','','',9,13950,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150017,'Ragebourne Gregor Haldane','<Master of the Tower>','','','',9,13949,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150020,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150021,'',NULL,'','','',0,4544,96,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150022,'Spire of Rage Raid floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6150023,'Spire of Rage Raid Floor 2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160001,'an Avazek Bladeturner','<Betrayer of Xegony>','','','',255,4392,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160002,'an Avazek Bishop','<Betrayer of Xegony>','','','',255,4317,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160003,'an Avazek Marshal','<Betrayer of Xegony>','','','',255,4391,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160004,'a V''uulian war boar','','','','',255,1683,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160005,'Magi-Zonn Lhaaza','<The Eternal Guard>','','','',9,14326,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160006,'Jote-Zonn Kzaaz','<The Eternal Guard>','','','',9,14274,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160007,'Jote-Zonn Kaii','<The Eternal Guard>','','','',9,14274,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160008,'Jote-Zonn Zhii','<The Eternal Guard>','','','',9,14274,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160009,'Prime Tentu-Zonn Ferti','<Strife Sister>','','','',9,14275,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160010,'a Katikarum of V''uul','','','','',9,14275,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160011,'a Magikarum of V''uul','','','','',9,14325,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160012,'High Shinu-Zonn Cerulea','<Spirit Sister>','','','',9,14325,28,0,1,1,11,0,10308,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160013,'Jote-Zonn Shou','<The Eternal Guard>','','','',9,14274,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160014,'Queen Vorticia V''uul','<Kerig''Dal Matriarch>','','','',9,1682,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160015,'Prime Tentu-Zonn Clodae','<Strife Sister>','','','',9,14326,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160016,'Magi-Zonn Kuuii','<The Eternal Guard>','','','',9,14326,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160017,'Magi-Zonn Sweii','<The Eternal Guard>','','','',9,14326,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160018,'Magi-Zonn Jhou','<The Eternal Guard>','','','',9,14326,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160019,'High Shinu-Zonn Magentia','<Spirit Sister>','','','',9,14276,28,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160020,'Effigy of Rallos Zek','','','','',255,15787,40,8,1,1,0,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160021,'Sloth','','','','',255,1548,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160022,'Wrath','','','','',255,1548,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160023,'Arch Confessor Aytali','<High Priestess of V''uul>','','','',9,14326,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160024,'Guardian of V''uul','<Soul Gorger>','','','',255,1683,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160025,'a V''uulian Sentinel','<Citadel Protector>','','','',9,14782,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160026,'a Kote-Zonn Elite','<House of V''uul>','','','',9,14274,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160027,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160028,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160029,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160030,'',NULL,'','','',0,4544,96,0,0,0,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160031,'Vuul floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6160032,'Vuul Floor 2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170000,'an Avazek Bishop','<Betrayer of Xegony>','','','',255,4317,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170001,'an Avazek Marshal','<Betrayer of Xegony>','','','',255,4391,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170002,'a Diaku boar beast','','','','',255,9117,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170003,'an Avazek bladewielder','<Betrayer of Xegony>','','','',255,4392,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170004,'a Diaku champion','','','','',12,14959,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170005,'a Diaku warder','','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170006,'a Diaku oracle','','','','',12,14959,57,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170007,'an Avazek challenger','<Betrayer of Xegony>','','','',255,4391,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170008,'an ambushing Avazek marshal','<Betrayer of Xegony>','','','',255,4317,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170009,'an ambushing Avazek bladewielder','<Betrayer of Xegony>','','','',255,4392,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170010,'an ambushing Avazek bishop','<Betrayer of Xegony>','','','',255,4318,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170011,'General Utehk','<Triad Elite>','','','',12,14959,70,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170012,'General Aakita','<Triad Elite>','','','',12,14958,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170013,'General Zevitus','<Triad Elite>','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170014,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170015,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170016,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170017,'',NULL,'','','',0,4544,96,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170018,'Spire of Rage Raid floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6170019,'strategists stronghold f2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180000,'a Gindan war boar','','','','',255,1683,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180001,'a Grindstone defeater','','','','',255,11678,51,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180002,'a Gindan Flayer','<Tower Guardian>','','','',9,4994,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180003,'a Gindan Blademaster','<Tower Guardian>','','','',9,4994,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180004,'a war wraith','','','','',255,11794,96,0,1,1,11,0,16030,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180005,'a Grindstone repeller','','','','',255,11678,51,2,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180006,'a Gindan Darkblade','<Tower Guardian>','','','',9,4994,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180007,'Lichlord Skulldugger','<Spirit of Warâ€™s Fallen>','','','',255,8768,112,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180008,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,319,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180009,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180010,'floor1_door_barrier',NULL,'','','',0,7237,144,0,1,1,0,0,0,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180011,'',NULL,'','','',0,4544,96,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180012,'Spire of Rage Raid floor 5 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6180013,'tower of tactic f2 elevator switch',NULL,'','','',0,5265,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190000,'Stamper Jeralf','<Onoho''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190001,'Glykus Meldron','<Earth Mist Giant>','','','',9,3647,160,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190002,'Terrinon Bloodclaw','<Wind Marshal>','','','',255,4315,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190003,'Janus Furywings','<Avazek Challenger>','','','',255,4392,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190004,'Meldin Talonmender','<Avazek Bishop>','','','',255,4392,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190005,'Hinvat Deathbringer','<Poison Master>','','','',12,14959,80,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190006,'Decorin Bonewing','<Fire Wraith>','','','',9,15495,128,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190007,'Rallos Zek','<God of War>','','','',20,14173,128,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190008,'a slogging wraith','','','','',9,15497,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190009,'an adriot wraith','','','','',9,15497,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190010,'a befouled wraith','','','','',9,15497,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190011,'General Teku','<Fist of Rallos>','','','',20,15498,176,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190012,'Plane of War Sphere',NULL,'','','',0,15870,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190013,'catapult base',NULL,'','','',0,15677,31,0,1,1,0,0,0,0,0,0,0,0,639,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190014,'Wall of Blockage',NULL,'','','',0,4544,159,0,1,1,0,0,22453,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190015,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190016,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6190017,'',NULL,'','','',0,4544,48,0,1,1,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200000,'Terrinon Bloodclaw','<Wind Marshal>','','','',255,4315,96,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200001,'Janus Furywings','<Avazek Challenger>','','','',255,4392,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200002,'Meldin Talonmender','<Avazek Bishop>','','','',255,4392,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200003,'Hinvat Deathbringer','<Poison Master>','','','',12,14959,80,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200004,'Decorin Bonewing','<Fire Wraith>','','','',9,15495,128,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200005,'Rallos Zek','<God of War>','','','',20,14173,128,0,1,1,0,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200006,'a slogging wraith','','','','',9,15497,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200007,'an adriot wraith','','','','',9,15497,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200008,'a befouled wraith','','','','',9,15497,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200009,'General Teku','<Fist of Rallos>','','','',20,15498,176,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200010,'Plane of War Sphere',NULL,'','','',0,15870,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200011,'catapult base',NULL,'','','',0,15677,31,0,1,1,0,0,0,0,0,0,0,0,639,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200012,'Wall of Blockage',NULL,'','','',0,4544,159,0,1,1,0,0,22453,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200013,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200014,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6200015,'',NULL,'','','',0,4544,48,0,1,1,45,0,18040,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210001,'Rallos Zek','<God of War>','','','',255,14173,128,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210002,'Berik Bloodfist','<Diaku Commander>','','','',12,14959,73,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210003,'Commander Corpsemaul','<Wraith of the Dead>','','','',9,15499,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210004,'Commander Goreslaughter','<Wraith of Destruction>','','','',9,15499,144,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210005,'The Enraged War Boar','','','','',255,1548,144,0,1,1,11,0,23669,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210006,'Eriak the Fetid','<Minor War Wraith>','','','',9,15495,128,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210007,'Tagrin Maldric','<The Traitor>','','','',14,106,73,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210008,'Glokus Windhelm','<Avazek King>','','','',255,4316,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210009,'a Warhide battlecharger','','','','',255,1548,112,0,1,1,11,0,23667,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210010,'a Morlock thrasher','','','','',255,9030,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210011,'a Morlock afflictor','','','','',255,5219,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210012,'a Warhide guardbreaker','','','','',255,1548,112,0,1,1,11,0,23666,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210013,'an artisan of war','','','','',255,3646,144,0,1,1,11,0,19385,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210014,'a Diaku doomcrusher','','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210015,'a Diaku warfury','','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210016,'a Diaku battlebrute','','','','',12,14959,64,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210017,'a Decorin warscourge','','','','',9,15495,112,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210018,'a Decorin terrorfiend','','','','',9,15495,112,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210019,'a Decorin deathmonger','','','','',9,15497,112,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210020,'a Hendin brawlwing','','','','',255,4314,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210021,'a Hendin battleclaw','','','','',255,4395,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210022,'a Hendin wardiver','','','','',255,4394,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210023,'an axiom of war','','','','',255,3646,144,0,1,1,11,0,19385,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210024,'an essence of war','','','','',255,3646,144,0,1,1,11,0,19385,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210025,'an apotheosis of war','','','','',255,3646,144,0,1,1,11,0,19385,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210026,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,2796,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210027,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6210028,'Plane of War Sphere',NULL,'','','',0,15870,32,0,1,1,0,0,0,0,0,0,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220000,'Stamper Jeralf','<Mewmew''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220001,'a Dracurion rejuvenator','','','','',255,6016,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220002,'Hazrem','','','','',255,17349,70,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220003,'a Municipal remnant','','','','',255,17540,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220004,'a Lyceum refugee','','','','',255,6016,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220005,'a Covenant escapee','','','','',255,5947,70,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220006,'Jorlak','','','','',255,17544,62,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220007,'Cek''Arctor','<Mission Master>','','','',255,17540,74,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220008,'a covert shadow-talon drake','','','','',255,18371,54,0,1,1,9,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220009,'Probationary Overknight Krezix','','','','',255,17351,83,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220010,'a Dracurion mender','','','','',255,17540,74,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220011,'Overknight Endinon the Blade','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220012,'Overknight Zremil the Stout','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220013,'Overknight Kenarok the Truthseeker','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220014,'a Dreadscale stifler','','','','',255,17345,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220015,'a summoned osseous vitiator','','','','',255,17061,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220016,'a Dreadscale subverter','','','','',255,17547,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220017,'a Dreadscale compeller','','','','',255,17346,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220018,'an assaulting Dreadscale compeller','','','','',255,17346,79,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220019,'an assaulting Dreadscale stifler','','','','',255,17345,74,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220020,'a Deathwing revoker','','','','',255,16200,54,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220021,'a Deathwing obtruder','','','','',255,16199,54,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220022,'Overknight Xakrem the Fierce','','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220023,'Overknight Zlendin the Protector','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220024,'Overknight Yeldin of the Staff','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220025,'Overknight Feshken the Just','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220026,'Overknight Dokag the Quick','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220027,'an attacking Vilewing preemptor','','','','',255,16200,54,0,1,1,0,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220028,'an attacking Vilewing devourer','','','','',255,16196,60,0,1,1,0,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220029,'Overknight Gozken the Fist','<Sentinel Prime>','','','',255,17351,91,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220030,'a Vilewing devourer','','','','',255,16196,60,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220031,'a Dreadscale pacifier','','','','',255,17546,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220032,'a Bloodscale deceiver','','','','',255,17547,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220033,'a Bloodscale pillager','','','','',255,17345,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220034,'a Vilewing preemptor','','','','',255,16200,54,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220035,'a Bloodscale expilator','','','','',255,17346,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220036,'a Bloodscale despoiler','','','','',255,17345,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220037,'a Doomscale abolisher','','','','',255,17346,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220038,'a Doomscale depraver','','','','',255,17546,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220039,'an osseous trouncer','','','','',255,16966,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220040,'a Bloodscale vilifier','','','','',255,17546,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220041,'an attacking Vilewing arrogator','','','','',255,16199,54,0,1,1,0,0,0,0,0,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220042,'a Doomscale mortifier','','','','',255,17547,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220043,'a Doomscale negator','','','','',255,17345,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220044,'a Deathwing subduer','','','','',255,16196,57,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220045,'an assaulting Dreadscale subverter','','','','',255,17547,74,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220046,'a Deathwing evictor','','','','',255,16196,60,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220047,'an assaulting Dreadcale pacifier','','','','',255,17546,74,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220048,'a Vilewing arrogator','','','','',255,16199,54,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220049,'an osseous banisher','','','','',255,16965,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220050,'Zhaunil the Firebrand','<Drakota Pyromancer>','','','',255,16199,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220051,'a Bloodscale expropriator','','','','',255,17346,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220052,'Ozek the Undying','<Maligonian Defiler>','','','',255,17547,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220053,'a Dreadscale usurper','','','','',255,17346,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220054,'','','','','',255,6015,69,5,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220055,'Zennkron the Malevolent','<Legion Necromancer>','','','',255,17546,83,0,1,1,11,0,23666,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220056,'Kodrak the Insane','<Drakota Sorcerer>','','','',255,16199,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220057,'a Dreadscale suppressor','','','','',255,17345,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220058,'a Terrorclaw subjugator','','','','',255,17051,64,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220059,'dead awakened golem','','','','',255,16965,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220060,'Ikyltor Mor''Tol','<Elder Wyvern>','','','',255,17053,57,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220061,'Gorek the Assembled','<Osseous Destroyer>','','','',255,16966,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220062,'an osseous vitiator','','','','',255,17061,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220063,'a Deathwing impairer','','','','',255,16196,57,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220064,'Lakves the Stealthed','<Awakened Assassin>','','','',255,17345,74,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220065,'a Grimwing expunger','','','','',255,16200,60,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220066,'a Doomscale extirpator','','','','',255,17346,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220067,'Eizzik Deathblaze','<Prime Sorcerer>','','','',255,17546,79,0,1,1,11,0,24958,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220068,'a Direclaw obstructor','','','','',255,14763,48,0,1,1,11,0,0,1,1,1,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220069,'Kolctin Clutch','<Osseous Flayer>','','','',255,17061,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220070,'a Doomscale abolisher','','','','',255,17346,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220071,'Nefari Kwol','<Terror Twins>','','','',255,16199,57,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220072,'Malicor Kehrn','<Terror Twins>','','','',255,16199,64,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220073,'Drelkuma','<Elder Wyvern>','','','',255,17050,57,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220074,'Sevvrinn the Blade','<Maligonian Captain>','','','',255,17346,79,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220075,'Trexxed the Ferocious','<Elder Wyvern>','','','',255,17051,64,0,1,1,11,0,0,1,1,1,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220076,'Arok the Fleshless','<Osseous Corrupter>','','','',255,16965,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220077,'Kavul Konn','<Maligonian Commander>','','','',255,17348,83,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220078,'Nelaarn the Ebon Claw','<High Drakota Priest>','','','',255,16196,96,0,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220079,'Kildrukaun the Ancient','<Awakened Shadow Dragon>','','','',255,17710,140,0,1,1,11,0,0,1,1,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220080,'fpalt_forge_anvil01',NULL,'','','',0,16543,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220081,'solo portal visual effects cube',NULL,'','','',0,16199,48,0,1,1,0,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220082,'solo portal visual effects cube',NULL,'','','',0,17546,51,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220083,'solo portal visual effects cube',NULL,'','','',0,16196,64,0,1,1,0,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220084,'solo portal visual effects cube',NULL,'','','',0,6016,60,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220085,'hazrem x1 corpse',NULL,'','','',0,17349,60,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220086,'hazrem x1 corpse',NULL,'','','',0,17350,64,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220087,'a beleaguered guard',NULL,'','','',255,17349,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220088,'a battle-weary defender',NULL,'','','',255,17350,60,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220089,'solo portal visual effects cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220090,'solo portal visual effects cube',NULL,'','','',0,17349,60,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220091,'poi_market_01_dragon_fountain_contested',NULL,'','','',0,2306,800,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220092,'dead dracurion defender',NULL,'','','',0,17350,64,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220093,'solo portal visual effects cube',NULL,'','','',0,17350,64,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220094,'solo portal visual effects cube',NULL,'','','',0,17350,64,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220095,'solo portal visual effects cube',NULL,'','','',0,16959,60,0,1,1,0,0,0,0,0,0,0,0,147,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220096,'poi_market_02_dragon_statue_contested',NULL,'','','',0,2306,368,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220097,'poi_arcane_01_serpent_statue_contested',NULL,'','','',0,2306,368,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220098,'poi_arcane_02_triad_statue_contested',NULL,'','','',0,2306,352,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220099,'poi_arcane_03_great_stage_contested',NULL,'','','',0,2306,192,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220100,'poi_capitol_01_veeshan_statue_contested',NULL,'','','',0,2306,832,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220101,'solo portal visual effects cube',NULL,'','','',0,17134,64,0,1,1,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220102,'solo portal visual effects cube',NULL,'','','',0,16199,48,0,1,1,0,0,0,0,0,0,0,0,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220103,'Chronology of Military Chronomancy',NULL,'','','',0,11360,38,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220104,'Philosophy of Temporal Academics',NULL,'','','',0,849,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220105,'Lexicon of Relativistic Evocation',NULL,'','','',0,848,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220106,'Paradoxical Chronomancy and its Inherit Dangers',NULL,'','','',0,10012,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220107,'Advanced Chrono String Topography',NULL,'','','',0,8262,9,0,1,1,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220108,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220109,'portal_to_skyshrine_solo_zones',NULL,'','','',0,2306,32,0,1,1,220,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220110,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220111,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220112,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220113,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220114,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220115,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220116,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220117,'',NULL,'','','',0,49,32,0,1,1,135,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6220118,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230001,'','','','','',255,264,43,4,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230002,'Adephala','<Hive Queen>','','','',255,16968,89,0,1,1,9,0,0,0,0,1,0,0,320,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230003,'Myxophela','<Queen>','','','',255,16968,89,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230004,'Porto Bunglefoot','<Master Chef>','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230005,'Vyskudra','','','','',255,15152,160,0,1,1,0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230006,'Stamper Jeralf','<Mewmew''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230007,'Dracurion Flight Master','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230008,'Armsmaster Veyx','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230009,'Skarin','<General Goods>','','','',255,16357,41,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230010,'a Dracurion overseer','','','','',255,17540,49,3,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230011,'a stormwing watcher','','','','',255,13278,25,3,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230012,'Devotee Sa''kala','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230013,'a Dracurion priest','','','','',255,16357,49,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230014,'Emissary Ta''lur','','','','',255,16357,49,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230015,'an Alivan toiler','','','','',9,134,38,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230016,'a storm gust','','','','',255,7241,57,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230017,'Devotee Ah''xarr','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230018,'a Dracurion honorguard','','','','',255,17349,49,1,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230019,'Devotee Zaak''an','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230020,'Overseer Vrek','','','','',255,17540,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230021,'Toiler Killrey','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230022,'Toiler Feera','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230023,'Overseer Talik','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230024,'Keeper Orlis','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230025,'Overseer Valzed','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230026,'a Dracurion resident','','','','',255,16357,49,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230027,'Sergeant Draccur','','','','',255,17350,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230028,'Overseer D''luk','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230029,'Felora','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230030,'a Dracurion whipmaster','','','','',255,16357,50,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230031,'a storm gust','','','','',255,7241,74,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230032,'Researcher Verisa','<Deepwater Circle>','','','',255,14793,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230033,'Researcher Dreldin','<Deepwater Circle>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230034,'a Combine soldier','','','','',255,116,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230035,'a Combine drill sergeant','<New Combine>','','','',255,105,36,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230036,'a Combine guard','<New Combine>','','','',9,18488,37,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230037,'Flight Officer T''Vel','<New Combine>','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230038,'Handler Shirsha','<New Combine>','','','',11,81,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230039,'Tracker Morna','<The Combine>','','','',255,113,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230040,'a Combine soldier','<New Combine>','','','',255,6488,38,3,1,1,0,0,11220,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230041,'Field Marshal Vishra','<New Combine>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230042,'Selquen Klitterbith','<Collector>','','','',13,61,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230043,'Valdra Heartston','<Food and Drink>','','','',0,111,35,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230044,'Vystrik Xalrithan','<General Goods>','','','',10,1574,38,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230045,'a Combine mender','<New Combine>','','','',255,1430,37,0,1,1,12,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230046,'Lieutenant Rockshatter','<New Combine>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230047,'Logistics Officer Solnais','<New Combine>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230048,'Sergeant Herla','<New Combine>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230049,'Researcher Alleng','<Deepwater Circle>','','','',255,7377,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230050,'Commander Bludeye','<New Combine>','','','',12,124,35,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230051,'Researcher Silviss','<Deepwater Circle>','','','',10,1574,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230052,'Researcher Drallvin','<Deepwater Circle>','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230053,'Researcher Grelga','<Deepwater Circle>','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230054,'Captain Laswright','<New Combine>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230055,'Researcher Huberan','<Deepwater Researchers>','','','',3,5066,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230056,'Researcher Auroen','<Deepwater Researchers>','','','',15,5072,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230057,'Researcher Nentik','<Deepwater Circle>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230058,'a withering wisp','','','','',255,17429,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230059,'a corrupted Drakkel alpha','','','','',255,17627,57,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230060,'a Drakkel prowler pup','','','','',255,17628,59,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230061,'a corrupted Drakkel matron','','','','',255,17627,56,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230062,'a briarthorn creeper','','','','',255,17551,108,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230063,'a corrupted Drakkel howler','','','','',255,17627,56,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230064,'a briarthorn snapper','','','','',255,17548,105,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230065,'a corrupted Drakkel prowler','','','','',255,17627,57,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230066,'Farvra Olenthie','<Wholesaler>','','','',7,107,38,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230067,'Olendra Felhope','<Broker>','','','',4,4943,32,0,1,1,20,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230068,'Lenyia Greenfeather','<Banker>','','','',15,113,32,0,1,1,14,9,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230069,'fallen Combine soldier','','','','',255,1601,32,0,1,1,9,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230070,'a corrupted Drakkel wolf','','','','',255,17627,51,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230071,'a corrupted Drakkel pack leader','','','','',255,17627,59,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230072,'a briarthorn bloomguard','','','','',255,17551,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230073,'a wildgrown Kromzek basher','','','','',255,16962,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230074,'a wildgrown Drakkel dasher','','','','',255,17627,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230075,'a wildgrown Kromzek handler','','','','',255,16962,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230076,'Jenluk the Vigilant','<Captain of the Guard>','','','',255,16963,64,0,1,1,11,0,10137,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230077,'a wildgrown Kromzek lasher','','','','',255,16962,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230078,'a wildgrown Kromzek entangler','','','','',255,16962,57,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230079,'a briarthorn entraller','','','','',255,17548,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230080,'Thorncreep','<The Entraller>','','','',255,17549,256,0,1,1,11,0,24003,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230081,'a corrupted tender','','','','',255,17173,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230082,'a musk prowler','','','','',255,17627,57,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230083,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230084,'a corrupted withertalon hunter','','','','',255,17411,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230085,'a corrupted fawn','','','','',255,17537,44,3,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230086,'a corrupted withertalon lurker','','','','',255,17411,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230087,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230088,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230089,'a withering sapling','','','','',255,17595,73,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230090,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230091,'a lost Drakkel prowler pup','','','','',255,14853,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230092,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230093,'a sickly withertalon','','','','',255,17411,64,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230094,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230095,'','','','','',255,17172,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230096,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230097,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230098,'a withertalon scourer','','','','',255,17413,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230099,'a withertalon alpha','','','','',255,17413,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230100,'a brooding withertalon','','','','',255,17413,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230101,'a protecting tender','','','','',255,18433,41,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230102,'a fawn','','','','',255,206,34,2,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230103,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230104,'Leif Tenderton','<Remnants of Growth>','','','',255,18482,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230105,'Pruso Tenderhilt','<Remnants of Growth>','','','',255,18433,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230106,'Bleur Blunderbur','<Remnants of Growth>','','','',255,18433,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230107,'Vadicus Entiri','<Remnants of Growth>','','','',255,18497,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230108,'Terit Tonhoof','<Remnants of Growth>','','','',255,18495,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230109,'Silnas','<Remnants of Growth>','','','',255,18495,48,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230110,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230111,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230112,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230113,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230114,'Brint Thornwood','<The Lumbering Ancient>','','','',255,7362,320,0,1,1,9,0,0,0,0,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230115,'a corrupted squatter','','','','',255,17173,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230116,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230117,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230118,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230119,'a distressed withertalon matron','','','','',255,17411,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230120,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230121,'a corrupted mist panther','','','','',255,17499,45,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230122,'a corrupted forager','','','','',255,17172,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230123,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230124,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230125,'Kerr Wanderroot','','','','',255,17171,41,0,1,1,9,0,20655,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230126,'a virulid assaulter','','','','',255,7095,21,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230127,'a virulid sentry','','','','',255,7095,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230128,'a bark-stripped treant','','','','',255,12555,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230129,'a teralid mulcher','','','','',255,17720,25,0,1,1,11,0,16372,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230130,'a virulid bombast','','','','',255,7095,80,0,1,1,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230131,'a teralid mound-guardian','','','','',255,17712,63,3,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230132,'a bark-stripped treant','','','','',255,12555,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230133,'a bark-stripped treant','','','','',255,12555,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230134,'a bark-stripped treant','','','','',255,12555,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230135,'a bark-stripped treant','','','','',255,12555,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230136,'a bark-stripped treant','','','','',255,12555,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230137,'The Hive Watcher','','','','',255,7095,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230138,'a virulid swarmerling','','','','',255,7095,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230139,'A spawned virulid swarmer','','','','',255,7095,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230140,'a virulid swarmer','','','','',255,7095,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230141,'a virulid swarm','','','','',255,7095,18,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230142,'a virulid swarm hatchling','','','','',255,7095,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230143,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230144,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230145,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230146,'a corrupted Protector of Growth','','','','',255,17171,51,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230147,'a stelae corruptor','','','','',255,17173,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230148,'a virulid conqueror','','','','',255,7095,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230149,'a teralid hive-guardian','','','','',255,17716,192,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230150,'a teralid cultivator','','','','',255,17731,96,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230151,'a teralid terraformer','','','','',255,17739,96,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230152,'Scout Kiosha','<New Combine>','','','',255,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230153,'Scout Master Kilkarn','<New Combine>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230154,'a dehydrated soldier','<New Combine>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230155,'Scout Mayak','<New Combine>','','','',15,1442,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230156,'Scout Leluh','<New Combine>','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230157,'a wounded soldier','<New Combine>','','','',9,18214,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230158,'a Combine Caravan defender','<New Combine>','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230159,'Lieutenant Washburn','<New Combine>','','','',9,134,35,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230160,'Captain Haliran','<New Combine>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230161,'Researcher Eriun','<Deepwater Circle>','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230162,'Lerrin Valderwyne','<Supplies>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230163,'a holgresh warrior','','','','',255,18528,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230164,'a holgresh fireflinger','','','','',255,18527,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230165,'a holgresh forager','','','','',255,18529,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230166,'Scout Kiosha','New Combine','','','',255,6486,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230167,'Scout Leluh','New Combine','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230168,'Scout Mayak','New Combine','','','',15,1442,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230169,'a holgresh skycaller','','','','',255,18526,58,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230170,'a holgresh incanter','','','','',255,18525,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230171,'a coerced mist panther','','','','',255,17430,32,0,1,1,11,0,2775,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230172,'a holgresh warpriest','','','','',255,18527,56,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230173,'a holgresh heister','','','','',255,16159,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230174,'an elder holgresh','','','','',255,18525,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230175,'a holgresh sentry','','','','',255,18529,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230176,'a captured mist panther','','','','',255,17430,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230177,'a holgresh elementalist','','','','',255,18527,63,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230178,'a holgresh devotee','','','','',255,16159,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230179,'Aaeper Dragonspite','<Elder Abecedary>','','','',255,18526,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230180,'a marsh stalker','','','','',255,18437,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230181,'a marsh elemental','','','','',255,17418,102,3,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230182,'a marsh bubbler','','','','',255,298,22,0,1,1,228,0,21299,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230183,'a corrupted sifaye budling','','','','',255,6488,25,3,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230184,'a corrupted sifaye stonehoarder','','','','',255,6488,25,3,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230185,'a protective tender','','','','',255,18433,51,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230186,'a bloated marsh muck','','','','',255,298,85,7,1,1,11,0,21299,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230187,'a marsh muck','','','','',255,298,19,3,1,1,11,0,21299,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230188,'a bloated marsh muck','','','','',255,298,67,7,1,1,11,0,21299,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230189,'a corrupted sifaye thane','','','','',255,6488,25,3,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230190,'Researcher Deros','<Deepwater Circle>','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230191,'Daerlina the Corrupted','','','','',255,6488,32,0,1,1,11,0,17936,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230192,'a corrupted sifaye attendant','','','','',255,6488,24,2,1,1,11,0,16905,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230193,'a bloated marsh muck','','','','',255,298,43,8,1,1,11,0,21299,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230194,'Queen Caleuh','<Queen of the Sifaye>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230195,'Phaerus Thunderhorn','<Remnants of Growth>','','','',255,18433,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230196,'Lopa','<Sifaye Custodian>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230197,'a concerned satyr','<Remnants of Growth>','','','',255,18495,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230198,'Elder Kionn','<Remnants of Growth>','','','',255,18496,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230199,'Swampmaw the Gorged','','','','',255,18435,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230200,'a marsh fiend','','','','',255,17694,41,3,1,1,0,0,21299,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230201,'a bloated marsh muck','','','','',255,298,57,1,1,1,11,0,21299,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230202,'Muddom','<Master of the Muck>','','','',255,17694,48,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230203,'a Combine guard','<New Combine>','','','',255,101,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230204,'Lieutenant Silthiria','<New Combine>','','','',10,1573,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230205,'a stormwing invader','','','','',255,13278,44,5,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230206,'a strange spirit','','','','',255,7241,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230207,'a teralid cultivator','','','','',255,17733,144,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230208,'a teralid terraformer','','','','',255,17741,128,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230209,'a teralid hive-guardian','','','','',255,17718,224,0,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230210,'a holgresh soothseer','','','','',255,18213,70,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230211,'an holgresh luminary','','','','',255,18213,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230212,'a holgresh skyrender','','','','',255,18213,57,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230213,'Mayak''s Corpse','','','','',15,1442,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230214,'a holgresh blood dragoon','','','','',255,18213,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230215,'a holgresh despoiler','','','','',255,18213,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230216,'a holgresh savagist','','','','',255,18213,63,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230217,'Leluh''s Corpse','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230218,'Japalatook''tei','<Grand Luminar>','','','',255,18213,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230219,'a stormwing swoop','','','','',255,13278,24,2,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230220,'a stormwing protector','','','','',255,13278,48,5,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230221,'a storm gust','','','','',255,7241,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230222,'a storm elemental','<The Awakened>','','','',255,12198,55,8,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230223,'a storm elemental','<The Awakened>','','','',255,12198,84,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230224,'Surveyor Gredaina','','','','',3,120,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230225,'Captain Val''kirr','','','','',255,17350,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230226,'Devotee Krek','','','','',255,16357,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230227,'an Alivan blacksmith','<Mender>','','','',9,79,39,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6230228,'a storm elemental','<The Awakened>','','','',255,12198,40,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230229,'a storm elemental','<The Awakened>','','','',255,12198,68,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230230,'Researcher Laillei','<Deepwater Circle>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230231,'Commander Selgrat','<New Combine>','','','',14,105,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230232,'Researcher Coroy','<Deepwater Circle>','','','',9,10021,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230233,'Researcher Wedinn','<Deepwater Circle>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230234,'a storm gust','','','','',255,7241,85,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230235,'an Alivan farmer','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230236,'a stormwing whelp','','','','',255,13278,12,3,1,1,11,0,0,1,1,1,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230237,'a corrupted Sentry of Growth','','','','',255,17173,50,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230238,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230239,'Rumbleleaf Greenroot','<The Tormented Guardian>','','','',255,17595,448,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230240,'a withertalon lurker','','','','',255,17413,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230241,'Kretiz the Claw','','','','',255,17426,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230242,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230243,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230244,'a corrupted hunter','','','','',255,17172,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230245,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230246,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230247,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230248,'an ambushing withertalon raptor','','','','',255,17411,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230249,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230250,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230251,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230252,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230253,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230254,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230255,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230256,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230257,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230258,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230259,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230260,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230261,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230262,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230263,'a withering treant','','','','',255,17595,320,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230264,'Forge',NULL,'','','',0,49,32,0,1,1,4,0,0,0,0,1,1,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230265,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,392,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230266,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230267,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230268,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230269,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230270,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230271,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230272,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230273,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230274,'a tamed snow griffin',NULL,'','','',255,7742,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230275,'?',NULL,'','','',0,17550,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230276,'dpo_qst_stele_broken',NULL,'','','',0,18350,32,0,1,1,0,0,0,0,0,0,0,0,1830,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230277,'dpo_qst_stele_cube',NULL,'','','',0,2451,320,0,1,1,0,0,0,0,0,0,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230278,'a Combine griffin tamer',NULL,'','','',255,4941,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230279,'wl_satyr_cooking_cauldron',NULL,'','','',0,1845,19,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230280,'a Combine horse trainer',NULL,'','','',255,1699,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230281,'',NULL,'','','',0,6480,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230282,'bone collection',NULL,'','','',0,2368,96,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230283,'satyr_camp_unbroken',NULL,'','','',0,18348,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230284,'missing_x1_skeleton_starter',NULL,'','','',0,2431,48,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230285,'qst_stelae_debris_01',NULL,'','','',0,18352,16,0,1,1,0,0,0,0,0,0,0,0,417,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230286,'qst_stelae_brush_01',NULL,'','','',0,18375,112,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230287,'qst_stelae_debris_02',NULL,'','','',0,18354,32,0,1,1,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230288,'qst_stelae_debris_03',NULL,'','','',0,18353,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230289,'qst_stelae_brush_02',NULL,'','','',0,18375,144,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230290,'combine_chest',NULL,'','','',0,2654,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230291,'combine_wood_cart',NULL,'','','',0,2243,31,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230292,'combine_caravan',NULL,'','','',0,18590,31,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230293,'combine_caravan',NULL,'','','',0,18591,30,0,1,1,0,0,0,0,0,0,0,0,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230294,'combine_gravedirt02',NULL,'','','',0,2917,52,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230295,'combine_gravedirt01',NULL,'','','',0,2916,52,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230296,'water_barrel',NULL,'','','',0,2022,54,0,1,1,0,0,17432,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230297,'broken_combine_caravan',NULL,'','','',0,8841,32,0,1,1,0,0,0,0,0,0,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230298,'a rock',NULL,'','','',0,2210,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230299,'drake_nest_01',NULL,'','','',0,15002,91,0,1,1,0,0,0,0,0,0,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230300,'drake_eggs_01',NULL,'','','',0,12429,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230301,'spear',NULL,'','','',0,3669,48,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230302,'strange_seed',NULL,'','','',0,10168,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230303,'Sawhorse',NULL,'','','',0,49,32,0,1,1,4,0,0,0,0,1,0,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230304,'Mail Kiosk',NULL,'','','',0,18510,112,0,1,1,29,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230305,'corrupted_soil',NULL,'','','',0,2916,25,0,1,1,0,0,0,0,0,1,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230306,'water_plant',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230307,'plant_spawner',NULL,'','','',0,7217,25,0,1,1,0,0,228,0,0,1,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230308,'kromzek_orders',NULL,'','','',0,5261,96,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230309,'plant_spores',NULL,'','','',0,10168,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230310,'giant_fortress_transport_switch',NULL,'','','',0,6481,64,0,1,1,45,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230311,'wolf_corpse',NULL,'','','',0,17627,32,0,1,1,0,0,228,0,0,1,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230312,'giant_corpse',NULL,'','','',0,16963,80,0,1,1,0,0,228,0,0,1,1,0,157,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230313,'combine_gravestone01',NULL,'','','',0,5791,69,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230314,'combine_gravestone02',NULL,'','','',0,5791,69,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230315,'combine_provisions',NULL,'','','',0,3156,32,0,1,1,0,0,0,0,0,1,1,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230316,'wounded_drake',NULL,'','','',0,13278,32,0,1,1,0,0,0,0,0,1,1,0,568,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230317,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230318,'electrified ore',NULL,'','','',0,17706,32,0,1,1,1,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230319,'cloudy gem cluster',NULL,'','','',0,17704,41,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230320,'withering shrub',NULL,'','','',0,17703,32,0,1,1,2,0,0,0,0,1,1,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230321,'clump of toxic roots',NULL,'','','',0,17707,44,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230322,'mossy timber',NULL,'','','',0,17705,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230323,'sturdy animal lair',NULL,'','','',0,17708,38,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6230324,'sifaye object',NULL,'','','',0,9488,32,0,1,1,2,0,17432,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240001,'a Yha-lei vanquisher','','','','',255,7212,99,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240002,'a Yha-lei priest','','','','',255,7646,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240003,'a Yha-lei adherent','','','','',255,7186,92,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240004,'a Yha-lei disciple','','','','',255,7186,92,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240005,'a Yha-lei captor','','','','',255,7212,99,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240006,'Murmaz the Believer','','','','',255,7646,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240007,'a ferocious Yha-lei servant','','','','',255,8774,44,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240008,'a skeletal excavator','','','','',255,8712,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240009,'a skeletal drudge','','','','',255,8712,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240010,'a skeletal toiler','','','','',255,8712,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240011,'a ghastly toiler','','','','',255,104,44,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240012,'a ghastly drudge','','','','',255,1575,48,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240013,'a ghastly excavator','','','','',255,1572,51,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240014,'a sorcerous Yha-lei servant','','','','',255,9844,51,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240015,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240016,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240017,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240018,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240019,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240020,'taskmaster crystal',NULL,'','','',0,49,32,0,1,1,235,0,0,0,0,0,0,0,1019,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240021,'polishing tool',NULL,'','','',0,49,32,0,1,1,236,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240022,'polishing tool',NULL,'','','',0,49,32,0,1,1,236,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240023,'vault switch',NULL,'','','',0,49,32,0,1,1,237,0,0,0,0,1,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240024,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,690,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240025,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,706,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240026,'Tarag the Lost',NULL,'','','',255,1604,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240027,'overseer coffin',NULL,'','','',0,7650,80,0,1,1,233,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240028,'exit ancient vault zone',NULL,'','','',0,7008,32,0,1,1,238,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240029,'',NULL,'','','',0,7008,32,0,1,1,239,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6240030,'',NULL,'','','',0,7008,32,0,1,1,240,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250001,'a Yha-lei vanquisher','','','','',255,7212,99,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250002,'a Yha-lei priest','','','','',255,7646,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250003,'a Yha-lei adherent','','','','',255,7186,92,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250004,'a Yha-lei disciple','','','','',255,7186,92,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250005,'a Yha-lei captor','','','','',255,7212,99,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250006,'Murmaz the Believer','','','','',255,7646,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250007,'a ferocious Yha-lei servant','','','','',255,8774,44,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250008,'Overseer Kisiz','','','','',255,1575,60,0,1,1,0,0,6193,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250009,'a pallid assayer','','','','',255,1573,32,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250010,'a skeletal excavator','','','','',255,8712,51,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250011,'a skeletal drudge','','','','',255,8712,48,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250012,'a skeletal toiler','','','','',255,8712,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250013,'a ghastly toiler','','','','',255,104,44,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250014,'a ghastly drudge','','','','',255,1575,48,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250015,'a ghastly excavator','','','','',255,1572,51,0,1,1,11,0,6193,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250016,'Taskmistress Hegal','','','','',255,8710,54,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250017,'Taskmaster Gurunak','','','','',255,8714,51,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250018,'Taskmaster Xatik','','','','',255,8714,57,0,1,1,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250019,'a sorcerous Yha-lei servant','','','','',255,9844,51,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250020,'an engraged water spirit','','','','',255,8774,57,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250021,'Guardian of the Deep','','','','',255,8774,73,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250022,'an ancient protector','','','','',255,8774,44,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250023,'an ancient spirit','','','','',255,9844,51,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250024,'Spirit of the Deep','','','','',255,9844,160,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250025,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250026,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250027,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250028,'shaping tool',NULL,'','','',0,49,32,0,1,1,234,0,0,0,0,1,0,0,101,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250029,'taskmaster crystal',NULL,'','','',0,49,32,0,1,1,235,0,0,0,0,0,0,0,1019,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250030,'polishing tool',NULL,'','','',0,49,32,0,1,1,236,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250031,'polishing tool',NULL,'','','',0,49,32,0,1,1,236,0,0,0,0,1,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250032,'vault switch',NULL,'','','',0,49,32,0,1,1,237,0,0,0,0,1,0,0,315,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250033,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,690,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250034,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,706,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250036,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250038,'Tarag the Lost',NULL,'','','',255,1604,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250039,'overseer coffin',NULL,'','','',0,7650,80,0,1,1,233,0,0,0,0,1,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250040,'exit ancient vault zone',NULL,'','','',0,7008,32,0,1,1,238,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250041,'',NULL,'','','',0,7008,32,0,1,1,239,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250042,'',NULL,'','','',0,7008,32,0,1,1,240,0,0,0,0,1,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6250043,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260000,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260001,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260002,'Caerina the Lost','','','','',255,19674,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260003,'Construct of Souls','','','','',255,19449,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260004,'Bastion','','','','',255,19187,86,6,1,1,11,0,23666,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260005,'Fitzpitzle','<Crazed Gnomish Inventor>','','','',5,121,64,0,1,1,11,0,23666,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260006,'a Gehein soulblighter','','','','',255,19491,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260007,'a Gehein soulripper','','','','',255,19492,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260008,'a resting shadowhound','','','','',255,19398,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260009,'a devout Lujien raker','','','','',255,19580,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260010,'a Gehein soulsapper','','','','',255,19437,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260011,'a devout Lujien mystifier','','','','',255,19575,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260012,'a devout Lujien acolyte','','','','',255,19581,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260013,'a devout Lujien sanctifier','','','','',255,19581,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260014,'a trained shadowhound','','','','',255,19398,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260015,'a Gehein wolfmaster','','','','',255,19491,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260016,'a devout Lujien moondancer','','','','',255,19579,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260017,'a harrowing soul','','','','',255,10356,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260018,'a bound manifestation','','','','',255,19149,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260019,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260020,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260021,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260022,'Oligar of the Dead',NULL,'','','',255,19491,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260023,'Ethereal Crystal',NULL,'','','',0,19246,96,0,1,1,0,0,28076,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260024,'Ethereal Pillar Blue',NULL,'','','',0,20208,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260025,'Ethereal Pillar Red',NULL,'','','',0,20209,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260026,'Melanie Everling',NULL,'','','',255,18870,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260027,'Bell',NULL,'','','',0,19930,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260028,'Soulwell Pedestal 03',NULL,'','','',0,20049,96,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260029,'Soulwell Pedestal 02',NULL,'','','',0,20048,96,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260030,'Soulwell Pedestal 01',NULL,'','','',0,20047,96,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260031,'Soulwell Pedestal 04',NULL,'','','',0,20050,96,0,1,1,0,0,0,0,0,0,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260032,'Bastion FX Cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260033,'Soulwell Teleporter 02',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260034,'Soulwell Teleporter 01',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260035,'zone_to_obol',NULL,'','','',0,49,32,0,1,1,311,0,0,0,0,1,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260036,'Soulwell Teleporter 03',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260037,'Soulwell Teleporter 04',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6260038,'invis_wall',NULL,'','','',0,4544,192,0,1,1,0,0,16814,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270000,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270001,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270002,'Caerina the Lost','','','','',255,19674,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270003,'Construct of Souls','','','','',255,19449,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270004,'Bastion','','','','',255,19187,86,6,1,1,11,0,23666,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270005,'Fitzpitzle','<Crazed Gnomish Inventor>','','','',5,121,64,0,1,1,11,0,23666,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270006,'a Gehein soulripper','','','','',255,19492,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270007,'a resting shadowhound','','','','',255,19398,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270008,'a Gehein soulsapper','','','','',255,19437,60,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270009,'a trained shadowhound','','','','',255,19398,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270010,'a Gehein wolfmaster','','','','',255,19491,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270011,'a harrowing soul','','','','',255,10356,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270012,'a bound manifestation','','','','',255,19149,41,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270013,'a Lujien mystifier','','','','',255,19575,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270014,'a Lujien acolyte','','','','',255,19581,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270015,'a Lujien raker','','','','',255,19580,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270016,'a Lujien moondancer','','','','',255,19579,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270017,'a Lujien sanctifier','','','','',255,19581,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270018,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,1144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270019,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270020,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270021,'Oligar of the Dead',NULL,'','','',255,19491,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270022,'Ethereal Crystal',NULL,'','','',0,19246,96,0,1,1,0,0,28076,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270023,'Ethereal Pillar Blue',NULL,'','','',0,20208,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270024,'Ethereal Pillar Red',NULL,'','','',0,20209,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270025,'Melanie Everling',NULL,'','','',255,18870,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270026,'Bell',NULL,'','','',0,19930,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270027,'Bastion FX Cube',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270028,'Bell',NULL,'','','',0,19931,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270029,'Soulwell Teleporter 02',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270030,'Soulwell Teleporter 01',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270031,'zone_to_obol',NULL,'','','',0,49,32,0,1,1,311,0,0,0,0,1,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270032,'Soulwell Teleporter 03',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6270033,'Soulwell Teleporter 04',NULL,'','','',0,20043,64,0,1,1,0,0,0,0,0,1,1,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280001,'a Rallosian plunderer','','','','',12,19402,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280002,'a captive','','','','',1,19395,28,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280003,'a Rallosian captor','','','','',12,19402,35,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280004,'a Rallosian maruader','','','','',12,19159,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280005,'Mugulg, the Quartermaster','','','','',12,19402,41,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280006,'Chef Blarghrot','','','','',12,19159,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280007,'Captain Goldjaw','','','','',12,19159,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280008,'Taniien','','','','',8,19396,31,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280009,'Locked Sea Chest',NULL,'','','',0,19860,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6280010,'exit dreadcutter zone',NULL,'','','',0,12992,32,0,1,1,310,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290000,'a Rallosian plunderer','','','','',12,19402,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290001,'a captive','','','','',1,19395,28,3,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290002,'a Rallosian captor','','','','',12,19402,35,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290003,'a Rallosian maruader','','','','',12,19159,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290004,'Mugulg, the Quartermaster','','','','',12,19402,41,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290005,'Chef Blarghrot','','','','',12,19159,38,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290006,'Captain Goldjaw','','','','',12,19159,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290007,'The Tempest of Zek','','','','',255,19963,140,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290008,'The Tempest of Zek','','','','',9,6313,83,0,1,1,35,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290011,'Locked Sea Chest',NULL,'','','',0,19860,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6290012,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300000,'Baroddas','<The Shiverback King>','','','',255,20022,480,0,1,1,0,0,0,0,0,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300001,'Sarinich the Wretched','<Thulian Warmaster>','','','',255,19932,128,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300002,'Pharinich the Forlorn','<Thulian Bonecaller>','','','',255,19933,128,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300003,'an ancient shiverback menace','','','','',255,19652,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300004,'a frightful stirge','','','','',255,6289,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300005,'a voracious snapjaw','','','','',255,18435,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300006,'a monolith ritualist','','','','',255,19670,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300007,'an ireblind imp','','','','',255,6824,76,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300008,'archive_teleporter',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300009,'blocked',NULL,'','','',0,19632,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300010,'zone_to_eidolon_jungle',NULL,'','','',0,49,32,0,1,1,242,0,0,0,0,1,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300011,'Monolith of Terror',NULL,'','','',0,7465,192,0,1,1,0,0,540,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300012,'Monolith of Fright',NULL,'','','',0,7454,192,0,1,1,0,0,540,0,0,1,1,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6300013,'Monolith of Dread',NULL,'','','',0,14782,192,0,1,1,0,0,540,0,0,1,1,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310001,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310002,'a chasten terror','','','','',255,18868,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310003,'Phobis','','','','',255,8202,224,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310004,'a fear tracker','','','','',255,19293,56,5,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310005,'a D''iar Ew blood ritualist','','','','',255,19670,43,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310006,'a D''iar Ew warrior','','','','',255,19634,44,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310007,'a shiverback terror','','','','',255,19653,55,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310008,'Sarinich','<Thulian Warmaster>','','','',255,19670,76,0,1,1,11,0,27499,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310009,'Baroddas','<The Shiverback King>','','','',255,19182,416,0,1,1,0,0,0,0,0,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310010,'Tae Ew huntmaster','','','','',255,19670,47,0,1,1,11,0,0,1,1,1,0,124,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310011,'a shiverback terror','','','','',255,19653,76,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310012,'','','','','',9,20020,1600,0,1,1,11,0,27499,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310013,'archive_teleporter',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310014,'blocked',NULL,'','','',0,19632,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6310015,'zone_to_eidolon_jungle',NULL,'','','',0,49,32,0,1,1,242,0,0,0,0,1,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320000,'a chasten terror','','','','',255,18868,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320001,'Baroddas','<The Shiverback King>','','','',255,19182,416,0,1,1,0,0,0,0,0,1,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320002,'Phobis','','','','',255,8202,224,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320003,'a fear tracker','','','','',255,19293,56,5,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320004,'a D''iar Ew blood ritualist','','','','',255,19670,43,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320005,'a D''iar Ew warrior','','','','',255,19634,44,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320006,'a shiverback terror','','','','',255,19653,55,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320007,'','','','','',9,20019,96,0,1,1,11,0,27499,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320008,'Sarinich','<Thulian Warmaster>','','','',255,19670,76,0,1,1,11,0,27499,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320009,'a pained wretch','','','','',255,10531,47,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320010,'Venekor','<Bane of Thule>','','','',255,19151,121,0,1,1,0,0,0,0,0,1,0,0,176,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320011,'center_door_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320012,'center_door_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320013,'center_door_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,428,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320015,'archive_teleporter',NULL,'','','',0,6313,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320017,'blocked',NULL,'','','',0,19632,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320018,'zone_to_eidolon_jungle',NULL,'','','',0,49,32,0,1,1,242,0,0,0,0,1,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6320019,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330001,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330002,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330003,'a D''iar Ew blood ritualist','','','','',255,19670,43,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330004,'a D''iar Ew warrior','','','','',255,19634,44,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330005,'a blissful Amygdalan','','','','',255,178,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330006,'a haunted Amygdalan','','','','',255,177,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330007,'Pharinich','<Thulian Bonecaller>','','','',255,19671,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330008,'manifestation of the dead','','','','',9,10818,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330009,'a D''iar Ew blood ritualist','','','','',255,19670,63,5,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330010,'a D''iar Ew warrior','','','','',255,19634,63,4,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330011,'a summoned frightfinger','','','','',255,8844,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330012,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330013,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330014,'blocked',NULL,'','','',0,19632,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330015,'',NULL,'','','',255,2306,8,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330016,'brazier',NULL,'','','',0,20017,32,0,1,1,0,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330017,'brazier',NULL,'','','',0,20015,32,0,1,1,0,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330018,'brazier',NULL,'','','',0,20013,32,0,1,1,0,0,0,0,0,0,0,0,198,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6330019,'zone_to_eidolon_jungle',NULL,'','','',0,49,32,0,1,1,242,0,0,0,0,1,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340000,'','','','','',255,242,56,8,1,1,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340001,'a D''iar Ew blood ritualist','','','','',255,19670,43,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340002,'a D''iar Ew warrior','','','','',255,19634,44,7,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340003,'a blissful Amygdalan','','','','',255,178,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340004,'a haunted Amygdalan','','','','',255,177,51,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340005,'Pharinich','<Thulian Bonecaller>','','','',255,19671,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340006,'A Planar Manifestation','<Dracholiche>','','','',255,19434,25,0,1,1,11,0,28283,1,1,1,0,0,448,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340007,'manifestation of the dead','','','','',9,10818,64,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340008,'a fearful manifestation','','','','',255,19435,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340009,'an ireblind imp','','','','',255,6824,32,0,1,1,11,0,16903,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340010,'an alerted fright','','','','',255,19595,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340011,'a watchful fright','','','','',255,19595,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340012,'The Enraged Imp','<Ireblind Imp>','','','',255,6824,128,0,1,1,11,0,22049,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340013,'The Thoughtbleeder','','','','',255,19594,128,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340014,'a ritualist defector','','','','',255,1637,42,1,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340015,'Baelon of Thule','<Avatar of Fear>','','','',255,19085,120,0,1,1,0,0,0,0,0,1,0,0,416,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340017,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340018,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340020,'dpo_invisible_cube',NULL,'','','',0,7647,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340021,'blocked',NULL,'','','',0,19632,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340022,'',NULL,'','','',255,2306,8,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340023,'brazier',NULL,'','','',0,20018,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340024,'brazier',NULL,'','','',0,20016,32,0,1,1,0,0,0,0,0,0,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340025,'brazier',NULL,'','','',0,20014,32,0,1,1,0,0,0,0,0,0,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340026,'Morrel Thule Statue',NULL,'','','',0,20019,243,0,1,1,0,0,0,0,0,0,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340027,'',NULL,'','','',255,2306,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340028,'zone_to_eidolon_jungle',NULL,'','','',0,49,32,0,1,1,242,0,0,0,0,1,0,0,141,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6340029,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6350000,'To Eidolon Jungle',NULL,'','','',0,19632,43,0,1,1,245,0,0,0,0,1,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360000,'an Ashlok earthsnagger','','','','',255,16009,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360001,'an Ashlok ardent','','','','',255,19560,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360002,'a winged krait familiar','','','','',255,277,112,0,1,1,11,0,24958,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360003,'an Ashlok dirter','','','','',255,16009,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360004,'a summoned essence','Possessed Essence','','','',9,98,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360005,'an Ashlok fervent','','','','',255,19564,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6360006,'an Ashlok front-out','','','','',255,17070,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370000,'','','','','',255,6015,69,5,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370001,'Prime Magnate Mrelg','<the All-Tender>','','','',255,19631,96,0,1,1,11,0,15851,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370002,'an Ashlok fervent','','','','',255,19564,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370003,'an Ashlok earthsnagger','','','','',255,16009,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370004,'an Ashlok ardent','','','','',255,19560,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370005,'a winged krait familiar','','','','',255,277,112,0,1,1,11,0,24958,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370006,'a summoned essence','Possessed Essence','','','',9,14793,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370007,'a deadly blood spider familiar','','','','',255,19295,64,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370008,'an Ashlok front-out','','','','',255,17070,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370009,'an Ashlok dirter','','','','',255,16009,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370010,'Dirter Aggrog','<Taskmaster>','','','',255,19564,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370011,'Seer Gh''char','<First Ardent>','','','',255,17071,73,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370012,'a summoned essence','Possessed Essence','','','',9,98,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370013,'All-Blocker Mohngu','<the Earth Hammer>','','','',255,19559,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370014,'a Devourite Protector','','','','',255,17070,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370015,'an Ashlok cenobite','','','','',255,1559,57,0,1,1,11,0,10891,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370016,'Necromunger Garrkk','<Primeval Devourite>','','','',255,19560,89,0,1,1,11,0,18696,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370017,'an otherworldly corpse shambler','','','','',255,17418,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370018,'an Ashlok tender-guard','','','','',255,17070,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370019,'Mrelg','','','','',255,6313,32,0,1,1,35,0,22437,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370020,'Mrelg','','','','',255,6313,32,0,1,1,35,0,22437,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370021,'an ominous viper','','','','',255,12675,128,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370026,'darkness spell',NULL,'','','',0,2451,128,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6370027,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380000,'a wandering bonesnapper','','','','',255,19371,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380001,'a predatory bonesnapper','','','','',255,19371,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380002,'a hostile gnorger','','','','',255,7293,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380003,'a deadly bonecollector','','','','',255,19297,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380004,'Aracanocht','<Bone Devourer>','','','',255,19297,240,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380005,'an Ashlok earthbender','','','','',255,1559,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380006,'an Ashlok stabbin','','','','',255,1559,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380007,'an Ashlok spider-cracker','','','','',255,15912,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380008,'an Ashlok snapper','','','','',255,15912,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380009,'an Ashlok all-smasher','','','','',255,16193,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380010,'an Ashlok gut-cutter','','','','',255,16193,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380011,'an Ashlok slinger','','','','',255,1559,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6380012,'an Ashlok bonecleaver','','','','',255,16193,68,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390000,'a wandering bonesnapper','','','','',255,19371,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390001,'a predatory bonesnapper','','','','',255,19371,144,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390002,'a hostile gnorger','','','','',255,7293,80,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390003,'a deadly bonecollector','','','','',255,19297,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390004,'an Ashlok slinger','','','','',255,1559,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390005,'an Ashlok all-smasher','','','','',255,16193,67,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390006,'an Ashlok snapper','','','','',255,15912,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390007,'an Ashlok earthbender','','','','',255,1559,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390008,'an Ashlok spider-cracker','','','','',255,15912,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390009,'an Ashlok gut-cutter','','','','',255,16193,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390010,'an Ashlok stabbin','','','','',255,1559,60,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390011,'Aracanocht','<Bone Devourer>','','','',255,19297,240,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390012,'an Ashlok bonecleaver','','','','',255,16193,68,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390013,'','','','','',255,19311,72,8,1,1,11,0,2103,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390014,'Grelck the Slaughterer','<Meat Cutter>','','','',255,17071,80,0,1,1,11,0,9733,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390015,'a ravaging gnorger','','','','',255,7293,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390016,'a doom toothed gnorger','','','','',255,7293,80,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390017,'Errlik the Bludgeoner','<Ashlok Shaman>','','','',255,17071,70,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390018,'Merglok the Slasher','<Keeper of the Gate of Crag>','','','',255,16010,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390019,'Krelgrek Bone-Chair','<Crag King>','','','',255,19564,99,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390020,'a spinning bone wraith','','','','',255,19435,80,0,1,1,11,0,18174,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6390024,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400000,'Stamper Jeralf','<Straay''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400001,'a Zek servitor','','','','',12,19687,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400002,'a Zek devotee','','','','',12,19686,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400003,'a Zek worshipper','','','','',12,19685,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400004,'a fearstruck soullight','','','','',255,19355,31,3,1,1,11,0,28422,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400005,'a bloodglare creeper','','','','',255,19942,35,3,1,1,11,0,27339,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400006,'a D''iar Ew fearchanter','','','','',255,19671,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400007,'a D''iar Ew terrorhunter','','','','',255,19670,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400008,'a D''iar Ew frightstalker','','','','',255,19634,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400009,'Lesarah T''Deel','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400010,'Alzilius','','','','',255,19665,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400011,'Qalin Cogwisher','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400012,'Kovash','Kovash''s mystical warder','','','',255,11211,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400013,'a wretched fearling','','','','',255,6824,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400014,'a D''iar Ew fearmonger','','','','',255,19670,51,0,1,1,243,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400015,'a D''iar Ew fearcaller','','','','',255,19671,51,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400016,'The Terrorwight','','','','',255,8770,57,0,1,1,11,0,22497,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400017,'The Axiom of Fear','','','','',255,19585,160,0,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400018,'Archon Construct','<Brokenshieldd''s Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400019,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400020,'a soullight','','','','',255,19353,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400021,'a Wayward sentry','<Lightshadow Contingent>','','','',15,19571,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400022,'a Wayward defender','<Lightshadow Contingent>','','','',3,19391,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400023,'a Wayward remnant','<Lightshadow Contingent>','','','',9,19152,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400024,'Greklin Shalegrock','<Lightshadow Contingent>','','','',2,19157,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400025,'Bleer Heveefut','<Lightshadow Contingent>','','','',12,19159,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400026,'a Wayward healer','<Lightshadow Contingent>','','','',255,19158,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400027,'an injured Wayward defender','','','','',255,19396,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400028,'Belriig Trunkcracker','<Lightshadow Contingent>','','','',12,19159,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400029,'Riishu Sulrel','<Lightshadow Contingent>','','','',3,19392,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400030,'Spira Selsol','<Broker>','','','',9,19158,32,0,1,1,20,9,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400031,'Aknum Steelstein','<Mender>','','','',255,19392,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6400032,'Gladithae Sioniel','<Lightshadow Contingent>','','','',8,19395,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400033,'Daliva Selumas','<Lightshadow Contingent>','','','',255,19158,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400034,'a patrolling bouncer','','','','',12,19402,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400035,'Ellora Whisperglen','','','','',255,19571,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400036,'a tenacious razorclaw','','','','',255,19374,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400037,'a hostile Tsol Ew','','','','',255,19664,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400038,'a Wayward defender','<Lightshdow Contingent>','','','',3,19392,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400039,'a Wayward defender','<Lightshadow Contingent>','','','',8,19395,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400040,'a hunting razorclaw','','','','',255,19372,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400041,'a Tsol Ew miststalker','','','','',255,19633,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400042,'Tomei','Tomei''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400043,'Hashu Whelegrind','<Lightshadow Contingent>','','','',5,19394,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400044,'Dagmar McGillivray','','','','',9,19156,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400045,'an agitated soullight','','','','',255,19353,31,3,1,1,11,0,28420,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400046,'a capricious razorclaw','','','','',255,19371,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400047,'a savage razorclaw','','','','',255,19373,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400048,'a Wayward surveyor','','','','',2,19157,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400049,'a Wayward engineer','','','','',5,19394,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400050,'Nalisa Veldershin','<Lightshadow Contingent>','','','',9,19158,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400051,'Veris Windcall','','','','',255,19572,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400052,'Karm L''Tal','','','','',255,18866,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400053,'an assaulting Skirth','','','','',0,19087,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400054,'a Skirth gnasher','','','','',0,19087,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400055,'an Orafic shrillglom','','','','',0,19148,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400056,'an injured defender','','','','',8,19396,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400057,'a tirun brute','','','','',0,19170,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400058,'Diksauz''s awaken grave','','','','',255,3736,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400059,'Zibaner','Diksauz''s undead knight','','','',255,12214,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400060,'a Tsol Ew mistwatcher','','','','',255,19664,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400061,'a Tsol Ew huntsman','','','','',255,19664,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400062,'a Tsol Ew ritualist','','','','',255,19665,44,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400063,'Dimble Sprockwobble','','','','',5,19394,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400064,'Leslie','<Msbeex''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400065,'Healio','<Darkla''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400066,'an Oggok armsmith','','','','',12,19159,54,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400067,'an Oggok footman','','','','',12,19402,44,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400068,'an Oggok warbringer','','','','',12,19159,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400069,'a Zek upholder','','','','',12,19402,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400070,'Ruriix','','','','',255,19437,32,0,1,1,9,0,540,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400071,'an Oggok grenadier','','','','',12,19402,51,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400072,'an etherglade prowler','','','','',255,19558,41,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400073,'a wandering shaderoot','','','','',255,17595,79,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400074,'Bouncer Flerb','','','','',12,19159,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400075,'Bouncer Fug','','','','',12,19159,48,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400076,'Bouncer Hurd','','','','',12,19159,46,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400077,'Bouncer Prud','','','','',12,19159,50,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400078,'Captain Bloodstain','<Cepush''s Rallosian Mercenary>','','','',12,19159,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400079,'a Wayward survivor','','','','',5,19394,32,0,1,1,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400080,'a Skirth siphoner','','','','',0,19087,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400081,'a Skirth assaulter','','','','',0,19087,25,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400082,'an Orafic gloomecho','','','','',0,19148,23,2,1,1,11,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400083,'an Orafic shriekglom','','','','',0,19148,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400084,'a Skirth thrasher','','','','',0,19087,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400085,'a Tirun soulbreaker','','','','',0,19170,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400086,'Aklon the Ethersplicer','','','','',0,19929,70,0,1,1,11,0,6867,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400087,'Clubroot','','','','',255,17595,89,0,1,1,9,0,10559,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400088,'a Gehein soulrazer','','','','',255,19437,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400089,'an ethereal aberration','','','','',255,19358,70,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400090,'Zeeil','','','','',255,19437,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400091,'a Gehein ethermender','','','','',255,19437,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400092,'Nrik','','','','',5,19394,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400093,'Czilk','','','','',255,19437,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400094,'Kuule Vilehammer','','','','',12,19402,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400095,'an ethergrazed shaderoot','','','','',255,19370,143,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400096,'a harrowing enforcer','','','','',0,19087,38,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400097,'a Tsol Ew scarhunter','','','','',255,19664,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400098,'a wracked soullight','','','','',255,19355,31,3,1,1,11,0,28421,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400099,'Geloka','','','','',12,19402,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400100,'a dreadeye watcher','','','','',255,19595,31,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400101,'a gibbering fearling','','','','',255,6824,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400102,'a dreadeye swarmer','','','','',255,19595,12,1,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400103,'a gibbering fearling','','','','',255,6824,33,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400104,'an etherveil planeshifter','','','','',255,19377,47,3,1,1,11,0,0,1,1,1,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400105,'a savage shiverback','','','','',255,19652,76,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400106,'Giirn','','','','',255,19492,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400107,'Korok','Korok''s earthen avatar','','','',255,11678,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400108,'a dreadooze','','','','',255,179,35,3,1,1,11,0,1853,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400109,'Hul''Ylgith','<Sage>','','','',255,178,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400110,'Urlthoo','','','','',255,176,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400111,'Gulthga','','','','',255,176,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400112,'an unconcious shiverback','','','','',255,19652,76,1,1,1,0,0,20127,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400113,'Zusullu the  Ethermancer','','','','',255,178,54,0,1,1,9,0,11116,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400114,'Agmendelu','<Mender>','','','',255,178,51,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6400115,'R''yleth','','','','',255,178,57,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400116,'Cyluuh','','','','',255,178,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400117,'Vylsith','','','','',255,177,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400118,'Yulsluu','','','','',255,177,54,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400119,'Santalucia','<Bertolucha''s Martial Mercenary>','','','',11,82,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400120,'Opulocht','','','','',255,19595,50,0,1,1,11,0,27679,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400121,'a fear-touched shaderoot','','','','',255,19369,95,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400122,'a feargaze creeper','','','','',255,19942,35,3,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400123,'Tancheg','<Eliko''s Shadowguard Mercenary>','','','',1,4965,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400124,'Deleea','','','','',5,4462,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400125,'The Fearbright','','','','',255,19357,64,0,1,1,11,0,28422,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400126,'an insidious fearling','','','','',255,6824,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400127,'rallos_helm',NULL,'','','',0,49,32,0,1,1,0,0,3120,0,0,0,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400128,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400129,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400130,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400133,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400134,'?',NULL,'','','',0,17550,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400135,'qst_unseenhand_keg_1',NULL,'','','',0,3095,32,0,1,1,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400136,'Altar of Rallos Zek',NULL,'','','',0,6880,32,0,1,1,0,0,0,0,0,1,12,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400137,'a distant voice',NULL,'','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400138,'weaponrack001',NULL,'','','',0,20297,32,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400139,'foot_locker',NULL,'','','',0,20289,32,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400140,'mine lantern',NULL,'','','',0,20296,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400141,'floor_beaker_iksar_capped_redgoo01',NULL,'','','',0,20295,16,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400142,'fpalt_chest_small_ornate01',NULL,'','','',0,20290,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400143,'fpalt_chest_small_ornate01',NULL,'','','',0,20288,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400144,'wall_flask_human_leather01',NULL,'','','',0,20292,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400145,'human style forge',NULL,'','','',0,20294,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400146,'fpalt_chest_small_ornate01',NULL,'','','',0,20291,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400147,'cr_tool_orc_forge_anvil',NULL,'','','',0,20287,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400148,'sioniel_broken_cart',NULL,'','','',0,2242,32,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400149,'barricade_short',NULL,'','','',0,19986,32,0,1,1,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400150,'reality anchor crystal broken -DNT',NULL,'','','',0,3688,16,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400151,'reality anchor stand -DNT',NULL,'','','',0,20095,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400152,'barricade_long',NULL,'','','',0,19985,32,0,1,1,0,0,0,0,0,0,0,0,190,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400153,'reality anchor - unpowered',NULL,'','','',0,20095,19,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400154,'zeeil_x2 weapon rack -DNT',NULL,'','','',0,20178,32,0,1,1,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400155,'bone cage -dnt',NULL,'','','',0,2628,64,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400156,'rallos zek idol -DNT',NULL,'','','',0,20188,12,0,1,1,0,0,0,0,0,0,0,0,318,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400157,'invis cube -DNT',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400158,'a mysterious stone',NULL,'','','',255,4729,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400159,'Leanto',NULL,'','','',0,20040,32,0,1,1,0,0,0,0,0,0,0,0,182,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400160,'Leanto',NULL,'','','',0,20042,32,0,1,1,0,0,0,0,0,0,0,0,156,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400161,'gehein mystical barrier',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400162,'spiritual attuner - broken DNT',NULL,'','','',0,19975,0,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400163,'respawn tower',NULL,'','','',0,19970,38,0,1,1,0,0,0,0,0,0,0,0,738,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400164,'respawn tower',NULL,'','','',0,19975,4,0,1,1,0,0,0,0,0,0,0,0,1437,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400165,'respawn tower',NULL,'','','',0,19972,38,0,1,1,0,0,0,0,0,0,0,0,313,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400166,'respawn tower',NULL,'','','',0,20082,6,0,1,1,0,0,0,0,0,0,0,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400167,'respawn tower',NULL,'','','',0,15183,16,0,1,1,0,0,0,0,0,0,0,0,178,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400168,'respawn tower',NULL,'','','',0,5996,32,0,1,1,0,0,0,0,0,0,0,0,221,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400169,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400170,'faceless_entrance',NULL,'','','',0,49,32,0,1,1,241,0,0,0,0,1,0,0,214,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400171,'throne_of_fear_entrance',NULL,'','','',0,49,32,0,0,0,244,0,0,0,0,0,0,0,216,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400172,'fear_gate_active',NULL,'','','',0,19983,32,0,1,1,0,0,0,0,0,0,0,0,1541,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400173,'To Feerrott',NULL,'','','',0,20169,32,0,0,0,410,0,0,0,0,1,0,0,1662,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400174,'torn_diary',NULL,'','','',0,14344,31,0,1,1,0,0,0,0,0,1,1,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400175,'incomplete memoirs',NULL,'','','',0,1453,31,0,1,1,0,0,0,0,0,1,1,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400176,'mysterious_stone',NULL,'','','',0,4729,32,0,1,1,0,0,0,0,0,1,1,0,153,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400177,'foreboding_statue',NULL,'','','',0,20039,32,0,1,1,0,0,0,0,0,1,1,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400178,'adventurer_equipment_starter',NULL,'','','',0,10082,32,0,1,1,0,0,0,0,0,1,1,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400179,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400180,'fortified animal lair',NULL,'','','',0,20056,41,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400181,'smooth planar log',NULL,'','','',0,20058,38,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400182,'surging roots',NULL,'','','',0,20060,39,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400183,'coursing ore',NULL,'','','',0,20059,44,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400184,'quixotic gem cluster',NULL,'','','',0,20057,42,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400185,'astral shrub',NULL,'','','',0,20055,42,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6400186,'school of glowing fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410000,'Jenni Everling','','','','',255,2851,30,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410001,'Billy','Minion of Hate','','','',255,5130,12,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410002,'Stamper Jeralf','<Enala''s Archon Mercenary>','','','',13,67,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410003,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410004,'Ferinold Moonraker','<The Spider King>','','','',255,19583,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410005,'a Rallosian taskmaster','','','','',12,19159,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410006,'an enslaved Wayward','','','','',5,19394,32,0,1,1,9,0,27194,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410007,'a Rallosian taskmaster','','','','',12,19402,40,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410008,'a Wayward captive','','','','',255,19572,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410009,'a Wayward captive','','','','',255,18865,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410010,'a Rallosian captor','','','','',12,19402,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410011,'a Rallosian marauder','','','','',12,19402,38,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410012,'a Rallosian taskmaster','','','','',12,19159,30,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410013,'a Rallosian taskmaster','','','','',12,19159,34,1,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410014,'a Rallosian plunderer','','','','',12,19159,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410015,'a disturbed Augur','','','','',255,19157,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410016,'an agitated Augur','','','','',255,19571,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410017,'Beeepet','Beee''s fiery magician','','','',255,12545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410018,'Archon Construct','<Beee''s Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410019,'Tomei','Tomei''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410020,'a churning obol','','','','',255,19300,40,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410021,'an obol sphere','','','','',255,296,15,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410022,'an obol soulglider','','','','',255,19482,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410023,'Archon Construct','<Kess'' Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410024,'Archon Construct','<Yeojx''s Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410025,'a tuatara windgazer','','','','',255,19924,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410026,'a tuatara broodgazer','','','','',255,19923,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410027,'a tuatara hatchling','','','','',255,19925,19,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410028,'a Skirth skulker','','','','',0,19087,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410029,'an Orafik shrillmaw','','','','',0,19148,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410030,'an obol dreadleaf','','','','',255,19478,63,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410031,'a Skirth dreadskulk','','','','',0,19087,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410032,'an Orafik dreadshrill','','','','',0,19148,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410033,'a Skirth stalker','','','','',0,19087,31,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410034,'an obol shambler','','','','',255,19477,79,3,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410035,'a Wayward ritualist','','','','',255,18865,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410036,'a Wayward sentinel','','','','',255,19157,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410037,'a Wayward surveyor','','','','',255,18865,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410038,'a Wayward magus','','','','',255,19396,38,1,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410039,'a Tirun soulsplitter','','','','',0,19170,76,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410040,'a netherwisp','','','','',255,19356,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410041,'an Orafik shrillscout','','','','',0,19148,54,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410042,'a Tirun dreadsplitter','','','','',0,19170,75,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410043,'an obol soulwing','','','','',255,19482,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410044,'an ethershade','','','','',255,19358,37,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410045,'an Orafik shriekmaw','','','','',0,19148,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410046,'an etherwisp','','','','',255,19355,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410047,'a Skirth dreadstalk','','','','',0,19087,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410048,'an Orafik dreadshriek','','','','',0,19148,44,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410049,'a Tirun dreadblighter','','','','',0,19170,76,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410050,'Tirunos the Soulmonger','','','','',0,19929,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410051,'an obol sludgeling','','','','',255,19308,47,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410052,'a feral diviner','','','','',255,19574,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410053,'a feral raker','','','','',255,19583,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410054,'a feral moondancer','','','','',255,19582,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410055,'Razakhem the Disruptor','','','','',255,19584,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410056,'an obol ooze','','','','',255,19312,48,6,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410057,'a Wayward outcast','','','','',255,18865,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410058,'a Wayward absconder','','','','',255,19393,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410059,'a carrion weaver','','','','',255,19294,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410060,'a Wayward exile','','','','',255,18865,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410061,'a Tirun soulblighter','','','','',0,19170,77,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410062,'a Wayward evader','','','','',255,19152,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410063,'a carrion broodguard','','','','',255,19293,44,3,1,1,11,0,18431,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410064,'a carrion broodling','','','','',255,19292,28,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410065,'Meryl Hightower','','','','',9,19158,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410066,'a Wayward priest','','','','',255,18866,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410067,'a Wayward arcanist','','','','',255,19158,35,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410068,'a Tirun dreadraider','','','','',0,19170,76,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410069,'Galen Cadabrak','','','','',5,19394,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410070,'Malisha Viranta','','','','',5,19393,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410071,'Keiya Oakwood','<Fuel Merchant>','','','',255,19571,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410072,'a Wayward guard','','','','',255,19158,32,0,1,1,13,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410073,'Colonel Adolar','','','','',2,19157,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410074,'General Furtog Ogrebane','<The Stormguard>','','','',2,19157,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410075,'a Spiritual Swashbuckler','','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410076,'Telal J''Nix','<Furniture>','','','',255,18865,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410077,'Warren Redhammer','<Mender>','','','',9,19152,32,0,1,1,12,9,11812,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6410078,'Margo McNerian','<Provisioner>','','','',9,19158,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410079,'a Wayward ritualist','','','','',9,19152,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410080,'Aaryll Elerloth','','','','',255,19396,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410081,'Firiona Vie','<Chosen of Growth>','','','',255,19397,100,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410082,'Darius Barone','<Broker>','','','',9,19152,32,0,1,1,20,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410083,'Larissa Balatore','<Banker>','','','',9,19158,32,0,1,1,14,9,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410084,'Oligar of the Dead','<Kurod''s Overlord of the Gehein>','','','',255,19491,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410085,'Damn','<Chunli''s Ruffian Mercenary>','','','',15,5077,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410086,'Jibby Klangwaddle','','','','',5,19393,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410087,'Anton the Mad','','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410088,'Cordon Vargis','<Ammunition>','','','',9,19152,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410089,'a treasure hunter','','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410090,'an obol muckling','','','','',255,19309,46,5,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410091,'a Wayward marauder','','','','',255,19152,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410092,'a captured Cardinian','','','','',0,19396,32,0,1,1,455,0,18411,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410093,'hatched spiderling','','','','',255,205,16,0,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410094,'Krivix Honorclaw','<Veniex''s Lujien Mercenary>','','','',255,19580,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410095,'a Wayward ritualist','','','','',5,19393,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410096,'a Wayward thug','','','','',255,19402,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410097,'a Wayward thaumaturge','','','','',255,19152,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410098,'a Wayward heretic','','','','',255,19158,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410099,'Ogrom the Wayward Fist','','','','',12,19159,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410100,'a Wayward arcanist','','','','',255,19393,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410101,'a carrion spinner','','','','',255,19293,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410102,'Tal''il Amhenti','<Quellthulian Portal Scholar>','','','',3,19392,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410103,'Alzar Anzrakiz','','','','',3,19392,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410104,'K''rin Valdim','<Quellthulian Portal Scholar>','','','',3,19391,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410105,'Damion Trebatius','','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410106,'a Gehein soulripper','','','','',255,19437,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410107,'an etherspark','','','','',255,19353,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410108,'a Gehein soulsapper','','','','',255,19437,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410109,'a Gehein soulblighter','','','','',255,19437,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410110,'a shambling defender','','','','',255,19476,86,2,1,1,11,0,27609,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410111,'a feral acolyte','','','','',255,19584,35,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410112,'Peepers','Peepers''s Possessed Essence','','','',9,19391,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410113,'Archon Construct','<Peepers'' Ancient Mercenary>','','','',255,16960,16,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410114,'a dreary scuttler','','','','',255,19486,32,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410115,'an Augur of Ulter','','','','',255,19571,31,3,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410116,'an Unkempt Warder','','','','',9,19158,31,2,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410117,'Wegadas','','','','',255,19572,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410118,'Madyl D''Lareth','','','','',255,18865,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410119,'Sequea Erthinon','<Mender>','','','',9,19158,32,0,1,1,12,9,0,0,0,1,0,0,32,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6410120,'Krivok Honorclaw','<Cyliena''s Lujien Mercenary>','','','',255,19581,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410121,'Bloo the Exiled','','','','',5,19394,28,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410122,'an awaiting Wayward','','','','',2,19157,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410123,'an anxious Wayward','','','','',5,19393,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410124,'Fabian','<League of Antonican Bards>','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410125,'a Wayward dockworker','','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410126,'a Rallosian conscript','','','','',0,19392,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410127,'a Rallosian conscript','','','','',255,19158,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410128,'a conscript laborer','','','','',255,19396,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410129,'a Rallosian infiltrator','','','','',12,19159,34,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410130,'a lujien diviner','','','','',255,19579,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410131,'a lujien raker','','','','',255,19577,38,6,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410132,'a lujien acolyte','','','','',255,19581,35,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410133,'a lujien moondancer','','','','',255,19575,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410134,'a lujien disciple','','','','',255,18985,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410135,'Venox Tarkog','','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410136,'a Convert of the Silver Reaper','','','','',2,19157,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410137,'Elder Direfur','','','','',255,19576,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410138,'a lujien sage','','','','',255,19581,41,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410139,'Deema Mertshak','<Silver Reaper Priestess>','','','',9,19158,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410140,'Hildan','<Convert of the Silver Reaper>','','','',9,19152,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410141,'a lujien elder','','','','',255,19581,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410142,'Lunar Sky','<Silver Reaper Diviner>','','','',255,19581,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410143,'a conscript runner','','','','',3,19392,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410144,'Duskrender Drinal Shrine',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410145,'Drinal Head Statue 5',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,505,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410146,'Drinal Head Statue 4',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,475,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410147,'Drinal Head Statue 2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,483,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410148,'Drinal Head Statue 1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,472,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410149,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410150,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410151,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410152,'floor_chair_human_fancy01',NULL,'','','',0,2131,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410153,'floor_beaker_human_lab02',NULL,'','','',0,3407,32,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410154,'floor_book_human_open02',NULL,'','','',0,3323,19,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410155,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410156,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410157,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410158,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410159,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410160,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410161,'Forge',NULL,'','','',0,2529,31,0,1,1,4,0,0,0,0,1,1,0,129,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410162,'?',NULL,'','','',0,17550,32,0,1,1,0,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410163,'',NULL,'','','',255,2306,8,5,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410164,'wizard_spire_construction_phase_5',NULL,'','','',0,6029,32,0,1,1,0,0,0,0,0,0,0,0,1460,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410165,'Dreary crate 2',NULL,'','','',0,19862,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410166,'Dreary chest 1',NULL,'','','',0,19859,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410167,'floor_brazier_gnoll',NULL,'','','',0,4926,32,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410168,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410169,'cardin_gate_wall',NULL,'','','',0,4544,80,0,1,1,0,0,28569,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410170,'Cardin Ward jar',NULL,'','','',0,2875,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410171,'Blessed Kiln',NULL,'','','',0,3318,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410172,'floor_beaker_human_lab01',NULL,'','','',0,3406,31,0,1,1,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410173,'dc_scroll_single02',NULL,'','','',0,20077,16,0,1,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410174,'floor_scrollpaper_human_stack01',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410175,'floor_table_human_ornate05',NULL,'','','',0,3604,31,0,1,1,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410176,'a Gehein head',NULL,'','','',255,2306,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410177,'Tourbillion Augmentation',NULL,'','','',255,19975,1,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410178,'qst_tourbillion_spire_augmentation_01',NULL,'','','',0,20095,32,0,1,1,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410179,'rubble',NULL,'','','',0,2265,32,0,1,1,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410180,'Fabian''s Mandolin',NULL,'','','',0,5246,16,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410181,'Whittled Woodlot log',NULL,'','','',0,20058,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410182,'Lujien camp fire cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410183,'Duskrender',NULL,'','','',255,19575,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410184,'Drinal altar',NULL,'','','',0,2306,25,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410185,'Blackhowl',NULL,'','','',255,19577,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410186,'Blackhowl relic',NULL,'','','',0,20027,1,0,1,1,0,0,0,0,0,0,0,0,372,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410187,'enter dreadcutter zone',NULL,'','','',0,12992,32,0,1,1,309,0,0,0,0,1,0,0,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410188,'Harrow''s End',NULL,'','','',0,2306,32,0,1,1,45,0,28371,0,0,0,0,0,314,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410189,'Mail Kiosk',NULL,'','','',0,20300,32,0,1,1,29,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410190,'a small journal',NULL,'','','',0,20076,9,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410191,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410192,'fortified animal lair',NULL,'','','',0,20056,41,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410193,'smooth planar log',NULL,'','','',0,20058,38,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410194,'surging roots',NULL,'','','',0,20060,39,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410195,'coursing ore',NULL,'','','',0,20059,44,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410196,'quixotic gem cluster',NULL,'','','',0,20057,42,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410197,'astral shrub',NULL,'','','',0,20055,42,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410198,'school of glowing fish',NULL,'','','',0,4159,32,0,1,1,7,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6410199,'test',NULL,'','','',255,2360,32,0,1,1,0,0,0,1,1,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420001,'a reclusive bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420002,'a servant of Tseralith','','','','',255,2838,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420003,'Keeper of the Chamber','','','','',255,140,32,0,1,1,9,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420004,'Dragoon L''Pazn','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420005,'Dragoon N''Malas','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420006,'Dragoon Z''Talis','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420007,'Dragoon L''Na','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420008,'Dragoon G''Zel','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420009,'Dragoon V''Ghen','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420010,'Dragoon L''Abril','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420011,'Dragoon K''Narik','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420012,'Dragoon K''Szan','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420013,'Dragoon K''Ixl','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420014,'Dragoon S''Zjin','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420015,'Tseralith','','','','',255,147,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420016,'Hand of Tseralith','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420017,'tseralith_door',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420018,'tseralith_door2',NULL,'','','',0,49,32,0,0,0,16,0,0,0,0,0,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420019,'dragoon_nezzka_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420020,'dragoon_dina_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420021,'dragoon_ztalis_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420022,'dragoon_nmalas_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420023,'dragoon_lna_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
INSERT INTO `spawn` VALUES
(6420024,'dragoon_kixl_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420025,'dragoon_lpazn_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420026,'dragoon_vyth_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420027,'dragoon_knarik_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420028,'dragoon_svol_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420029,'dragoon_vghen_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420030,'dragoon_labril_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420031,'dragoon_gzel_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420032,'dragoon_cluss_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420033,'dragoon_jlen_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420034,'dragoon_nxry_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420035,'dragoon_kgex_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420036,'dragoon_vkar_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420037,'dragoon_szjin_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420038,'dragoon_vlask_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420039,'dragoon_vresh_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420040,'dragoon_tkix_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420041,'dragoon_tvex_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420042,'dragoon_tvem_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420043,'dragoon_slon_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420044,'dragoon_snez_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420045,'dragoon_blavin_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420046,'dragoon_etru_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420047,'dragoon_zden_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420048,'fallengate',NULL,'','','',0,49,32,0,0,0,453,0,0,0,0,1,0,0,108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420049,'Dragoon Vyth',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420050,'Dragoon S''Vol',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420051,'Dragoon T''Vex',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420052,'Dragoon T''Vem',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420053,'Dragoon V''Lask',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420054,'Dragoon V''Resh',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420055,'Dragoon T''Kix',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420056,'Dragoon C''Luss',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420057,'Dragoon Nezzka',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420058,'Dragoon Din''a',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420059,'Dragoon S''Lon',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420060,'Dragoon S''Nez',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420061,'Dragoon B''Lavin',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420062,'Dragoon K''Gex',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420063,'Dragoon V''Kar',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420064,'Dragoon N''Xry',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420065,'Dragoon J''Len',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420066,'Dragoon Z''Den',NULL,'','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420067,'Dragoon E''Tru',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6420068,'dragoon_kszan_sign',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440000,'a Militia guard','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440001,'a Militia guard','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440002,'a crazed troll','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440003,'a Militia guard','','','','',3,1587,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440004,'a possessing spirit','','','','',255,5987,48,0,1,1,11,0,21813,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440005,'a crazed ogre','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440006,'a possessed ogre','','','','',12,123,32,0,1,1,11,0,21813,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440007,'Torg','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440008,'Caala','','','','',12,123,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440009,'Kvul','','','','',12,124,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440010,'a possessed troll','','','','',14,105,32,0,1,1,11,0,21813,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440011,'Somdoq','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440012,'Lochugh','','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440013,'Verathip','','','','',14,106,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440014,'Molltaz','','','','',14,105,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440015,'Jezranaz','','','','',14,105,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440016,'Rakkez','','','','',14,106,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440017,'Qurgoz','','','','',14,105,32,0,1,1,0,0,0,0,0,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440018,'Rossk','','','','',12,124,44,0,1,1,11,0,21813,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440019,'Zraxthian scroll','','','','',255,3216,32,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440020,'Zraxth statue','','','','',255,4465,32,0,1,1,0,0,17432,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440021,'Zraxthian tome','','','','',255,2598,32,0,1,1,0,0,0,0,0,1,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440022,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440023,'door_widget24',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440024,'door_widget22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440025,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440026,'door_widget28',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440027,'door_widget30',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440028,'door_widget0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440029,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440030,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440031,'door_widget12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440032,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440033,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440034,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440035,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440036,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440038,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440039,'',NULL,'','','',0,8044,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440040,'zone_to_fprt_south',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6440041,'',NULL,'','','',0,49,32,0,1,1,316,0,0,0,0,0,0,0,989,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450000,'an erudite citizen','','','','',3,1598,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450001,'an erudite shieldmage','','','','',3,119,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450002,'an erudite citizen','','','','',3,1590,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450003,'an erudite citizen','','','','',3,1592,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450004,'Adiva Kariyya','','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450005,'an erudite shieldmage','','','','',3,119,32,0,1,1,11,0,22533,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450006,'Ameer Ta''Reev','<Region Principal>','','','',3,119,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450007,'an erudite shieldmage','','','','',3,1590,32,0,1,1,11,0,22533,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450008,'an erudite battlemage','','','','',3,1593,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450009,'a kerra battlepriest','','','','',11,93,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450010,'a kerra battlepriest','','','','',11,97,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450011,'a kerra medic','','','','',11,95,32,0,1,1,11,0,22544,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450012,'a kerra battlepriest','','','','',11,97,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450013,'an erudite battlemage','','','','',3,1591,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450014,'a kerra medic','','','','',11,97,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450015,'Khalfani Tigirin','<Pride Leader>','','','',11,101,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450016,'a kerra battlepriest','','','','',11,93,32,0,1,1,11,0,20240,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450017,'a kerra citizen','','','','',11,102,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450018,'a kerra citizen','','','','',11,93,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450019,'a kerra citizen','','','','',11,81,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450020,'a kerra citizen','','','','',11,101,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450021,'an erudite battlemage','','','','',3,1590,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450022,'Rasha Angorin','','','','',11,99,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450023,'Fateen Muhamin','','','','',3,1604,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450024,'a kerra medic','','','','',11,100,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450025,'a kerra medic','','','','',11,101,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450026,'Hisska Rakepaw','','','','',11,93,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450027,'Nomala Pumarr','','','','',11,92,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450028,'a stalking Kerran','','','','',11,99,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450029,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450030,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450031,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450032,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450033,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450034,'door_widget6',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450035,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450036,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450037,'door_widget0',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450038,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450039,'invis cube with arcane visuals',NULL,'','','',0,2306,32,0,1,1,0,0,17982,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450040,'militia_x2_weapon_dropoff',NULL,'','','',0,7656,32,0,1,1,0,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450041,'invis cube with elemental visuals',NULL,'','','',0,2306,32,0,1,1,0,0,1659,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450042,'militia_x2_weapons',NULL,'','','',0,2677,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6450043,'zone_to_fprt_north',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460000,'a gnome citizen','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460001,'a gnome citizen','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460002,'a necrotik','','','','',255,16016,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460003,'a necromechanist','','','','',13,61,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460004,'a ratonga citizen','','','','',13,65,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460005,'a necromech','','','','',255,16020,32,0,1,1,11,0,0,1,1,1,0,1,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460006,'a mutated pig','','','','',255,5095,16,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460007,'a broken necromech','','','','',255,16020,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460008,'Glimzig Clangbottom','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460009,'a ratonga citizen','','','','',13,55,32,0,1,1,0,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460010,'a broken necrotik','','','','',255,16019,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460011,'','','','','',255,9792,6,0,1,1,317,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460012,'a necrotok','','','','',255,16015,32,0,1,1,11,0,0,1,1,1,0,0,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460013,'a senior necromechanist','','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,0,19,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460014,'a broken necrotok','','','','',255,16015,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460015,'a dedicated necromancer','','','','',5,121,32,0,1,1,0,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460016,'Analyst Dimir','','','','',13,69,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460017,'door_widget17',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460018,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460019,'fprt_hood03_door04',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460020,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460021,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460022,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460023,'fprt_hood03_door13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460024,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460025,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460026,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460027,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460028,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460029,'fprt_hood03_door12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460030,'fprt_hood03_door11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460031,'fprt_hood03_door10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460032,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460033,'hum_shelf_simple_01',NULL,'','','',0,1491,64,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460034,'',NULL,'','','',0,5261,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460035,'tinkers_mug',NULL,'','','',0,10594,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460036,'tile',NULL,'','','',0,15763,36,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460037,'gnome_lantern_red',NULL,'','','',0,10581,32,0,1,1,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460038,'dpo_sfm_chest_ornate01',NULL,'','','',0,10552,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460039,'academy_x4_necromechanical_book',NULL,'','','',0,12336,64,0,1,1,0,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460040,'academy_x4_distraction_object',NULL,'','','',0,1819,32,0,1,1,0,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460041,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460042,'zone_to_fprt_south',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,191,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460043,'equation',NULL,'','','',0,2306,160,0,0,0,1329,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460044,'GnomishEquation',NULL,'','','',255,2306,90,0,0,0,1329,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460045,'brokenclockwork',NULL,'','','',255,16019,50,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460046,'a broken clockwork',NULL,'','','',0,16019,32,0,0,0,1331,0,228,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460047,'a functional clockwork',NULL,'','','',255,16019,32,0,1,1,11,0,0,0,1,0,0,0,32,51,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6460048,'Slate',NULL,'','','',0,1549,40,0,1,0,1332,0,17434,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470000,'a Militia guard','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470001,'Enforcer Moxog','<Dreadnaught>','','','',12,124,32,0,1,1,9,0,0,0,0,1,0,0,43,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470002,'a captive Ayr''Dal','','','','',6,79,32,0,1,1,9,0,23049,0,0,1,0,0,30,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470003,'a captive worker','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470004,'a hapless resident','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470005,'a Freeport loyalist','','','','',0,1462,32,0,1,1,0,0,0,0,0,1,0,0,18,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470006,'Snars','<Taskmaster>','','','',255,100,38,0,1,1,9,0,0,0,0,1,0,0,32,1411,1411,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470007,'a Dreadnaught guard','','','','',12,123,32,0,1,1,0,0,0,0,0,1,0,0,43,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470008,'a rioting captive','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470009,'door_fprt_ph_door_with_handle_24',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470010,'door_fprt_ph_door_with_handle_22',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470011,'door_fprt_ph_door_with_handle_52',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470012,'door_widget28',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470013,'door_fprt_ph_door_with_handle_26',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470014,'door_widget30',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470015,'door_fprt_ph_door_with_handle_12',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470016,'door_fprt_ph_door_with_handle_10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470017,'door_widget34',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470018,'door_widget32',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470019,'door_widget20',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470020,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470021,'door_fprt_ph_door_with_handle_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470022,'door_widget18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470023,'door_fprt_ph_door_with_handle_8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470024,'militia_x5_barricade_location',NULL,'','','',0,1557,32,0,0,0,0,0,17432,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470025,'barricade_short',NULL,'','','',0,1557,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470026,'Militia Materials',NULL,'','','',0,3155,32,0,1,1,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470027,'zone_to_fprt_north',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470028,'stolen artifacts',NULL,'','','',255,1949,5,0,0,0,1328,0,0,0,0,1,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470029,'a barbarian citizen',NULL,'','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470030,'Hanne Sleetsaber',NULL,'','','',0,111,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470031,'a Halasian wolf pup',NULL,'','','',255,14693,12,0,1,1,11,0,0,1,1,1,0,1,15,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6470032,'a barbarian citizen',NULL,'','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480000,'a loyal worshiper','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480001,'Kora N''Vaxin','','','','',17,6486,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480002,'a Nerian gate sentry','','','','',17,6487,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480003,'a Thexian captive','','','','',1,115,32,0,1,1,0,0,9757,0,0,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480004,'a Nerian inquisitor','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480005,'a Longshadow citizen','','','','',1,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480006,'a Nerian guard','','','','',17,6487,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480007,'a Nerian questioner','','','','',17,6486,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480008,'a Freeblood citizen','','','','',255,15134,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480009,'a Nerian questioner','','','','',17,6486,28,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480010,'a cornered citizen','','','','',1,115,35,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480011,'a Freeblood savage','','','','',255,15147,35,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480012,'a Thexian rebel','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480013,'a Thexian rebel','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480014,'Ryltrin V''Zival','','','','',1,115,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480015,'A Thexian Collaborator','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,125,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480016,'door_widget80',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480017,'door_widget74',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480018,'door_widget70',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480019,'door_widget68',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480020,'door_widget66',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480021,'door_widget86',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480022,'door_widget64',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480023,'door_widget62',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480024,'door_widget76',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480025,'door_widget72',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480026,'door_widget56',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480027,'door_widget54',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480028,'door_widget50',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480029,'door_widget58',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480030,'door_widget48',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480031,'door_widget44',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480032,'door_widget46',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480033,'',NULL,'','','',255,2306,32,4,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480034,'zone_to_fprt_north_0',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480035,'ArasaiTortureInstrument',NULL,'','','',255,3234,35,0,1,0,2,0,17433,0,0,1,1,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480036,'ArasaiTortureInstruments',NULL,'','','',255,3234,30,0,0,0,2,0,17433,0,0,1,1,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6480037,'ArasaiTortureInstruments',NULL,'','','',255,3234,45,0,1,0,2,0,17433,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490000,'Ilvix Jilzith','','','','',10,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490001,'a Militia guard','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490002,'Zillik, the Overseer','<Freeport Militia>','','','',255,7390,32,0,1,1,9,0,0,0,0,1,0,0,32,1426,1426,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490003,'a barbarian prisoner','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490004,'a rogue informant','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,1,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490005,'a corrupt Militia guard','','','','',10,103,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490006,'a prison escapee','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490007,'a half elf prisoner','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490008,'an ogre prisoner','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490009,'an arasai prisoner','','','','',17,6486,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490010,'a dark elf prisoner','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490011,'a kerran prisoner','','','','',11,95,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490012,'a troll prisoner','','','','',14,105,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490013,'an accused citizen','','','','',14,106,32,0,1,1,11,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490014,'an accused citizen','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490015,'a human prisoner','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490016,'door_widget10',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490017,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490018,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490019,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490020,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490021,'door_fprt_ph_door_with_handle_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490022,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490023,'door_fprt_ph_door_with_handle_16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490024,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490025,'door_widget14',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490026,'halas_crate_01',NULL,'','','',0,13301,32,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490027,'floor_pot_human_cooking04',NULL,'','','',0,3397,32,0,1,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490028,'fpalt_rug_rolled_group01',NULL,'','','',0,16570,31,0,1,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490029,'birdcage',NULL,'','','',0,1930,31,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490030,'floor_potionbottle_any_medium04',NULL,'','','',0,2622,31,0,1,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490031,'floor_potionbottle_any_large02',NULL,'','','',0,2615,47,0,1,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490032,'Vace Ornate Face',NULL,'','','',0,1665,31,0,1,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490033,'Broken Barricade',NULL,'','','',0,9072,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490034,'',NULL,'','','',0,8044,3,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490035,'barricade_corner_left',NULL,'','','',0,1554,31,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490036,'barricade_corner_right',NULL,'','','',0,1555,32,0,1,1,0,0,0,0,0,0,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490037,'zone_to_fprt_south',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,186,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490038,'Vintage_Halasian_Wine',NULL,'','','',255,13623,32,0,0,0,1333,0,17431,0,0,1,1,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490039,'Heirloom_Halasian_Candle',NULL,'','','',255,13619,32,0,0,0,1335,0,0,0,0,1,1,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490040,'a Militia guard',NULL,'','','',255,7315,40,0,1,1,11,0,0,1,1,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6490041,'a ratonga prisoner',NULL,'','','',255,61,32,0,1,1,0,0,0,1,1,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6500000,'portal_to_upper_floor',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6500001,'portal_to_lower_floor',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6500002,'Interior House Accessor',NULL,'','','',0,18603,16,0,1,1,28,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6510000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,343,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520000,'transport_academy_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520001,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520002,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520003,'transport_academy_0',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520004,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520005,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6520006,'Interior House Accessor',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,326,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6530000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,183,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6530001,'portal_to_upper_floor',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6530002,'portal_to_lower_floor',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,1,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6540000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6550000,'Interior House Accessor',NULL,'','','',0,15848,16,0,1,1,28,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6560000,'weather_controller',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6560001,'Interior House Accessor',NULL,'','','',0,16633,16,0,1,1,28,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6570000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,399,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6580000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6590000,'Interior House Accessor',NULL,'','','',0,18105,16,0,1,1,28,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6590001,'library_portal_to_lower_floor',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6590002,'library_portal_to_upper_floor',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600000,'a rat','','','','',255,196,9,0,1,1,0,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600001,'Jennis Proudhilt','<Antonican Guard Mercenary>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600002,'a freelancer','','','','',4,3793,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600005,'Belle Madson','','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600006,'Leila Fleetfoot','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600007,'Tom Sterling','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600008,'Bdorn Alehammer','<Intercepter Mercenary>','','','',2,4968,32,0,1,1,9,0,24581,0,0,1,0,0,18,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600009,'Bildi Pieflinger','<Spellsinger Mercenary>','','','',7,4985,32,0,1,1,9,0,24579,0,0,1,0,0,17,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600010,'Kyren Darkcloud','<Ruffian Mercenary>','','','',15,5077,32,0,1,1,9,0,24578,0,0,1,0,0,28,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600012,'Commander Fluffy','<Alehouse Mascot>','','','',255,305,25,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600013,'Mary Dillon','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600014,'a Qeynos resident','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600015,'Guard Dravin','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600016,'Logan Camerus','<Royal Antonican Guard>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600017,'Halc Emberstone','','','','',2,110,32,0,1,1,9,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600018,'Thomas Dedry','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600019,'Firus Scorchtouch','<Arcanist Mercenary>','','','',8,136,32,0,1,1,9,0,24581,0,0,1,0,0,28,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600020,'a Qeynos citizen','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600021,'Clarya Blake','<Bartender>','','','',9,132,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600022,'a barmaid','','','','',8,135,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600023,'Vernon Tinworthy','<Bar Patron>','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600024,'Kell Silentfang','<Martial Mercenary>','','','',11,82,32,0,1,1,9,0,24577,0,0,1,0,0,38,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600026,'Rarezut','','','','',6,78,32,0,1,1,0,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600027,'a local patron','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600028,'a freelancer','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600031,'a Qeynos freelancer','','','','',2,110,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600032,'Mervos Stadrin','<Collector>','','','',3,1605,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600033,'Lyricist Kuehja','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600034,'Tanua Dorlin','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600035,'a practicing contender','','','','',0,112,31,2,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600036,'Jennis Proudhilt','<Qeymercs'' Antonican Guard Mercenary>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600037,'Barmaid Drinna','','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600038,'an arena contestant','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600039,'an arena contestant','','','','',0,111,29,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600040,'an arena contestant','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600041,'Palax','','','','',3,1594,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600043,'Bildi Pieflinger','<Qeymercs'' Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600044,'Kyren Darkcloud','<Qeymercs'' Ruffian Mercenary>','','','',15,5077,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600045,'Madam Istynia','<Alchemist>','','','',3,1594,32,0,1,1,10,1265,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600046,'a Circle of Ten Militia guard','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600047,'Zara','<Alchemist Assistant>','','','',9,132,32,0,1,1,10,0,0,0,1,1,0,0,34,0,0,0,0,6133,0,0,0,0,0,0,0,0,0,0,0,0),
(6600048,'Bdorn Alehammer','<Qeymercs'' Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600049,'a Qeynos resident','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600050,'Porter','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600051,'a canine watcher','','','','',255,216,16,0,1,1,9,0,0,1,1,1,0,11,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600052,'Oakhall','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600053,'Bilur','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600054,'Captain Hanstock','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600057,'Firus Scorchtouch','<Qeymercs'' Arcanist Mercenary>','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600058,'Crazy Charlene','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600059,'a visiting traveller','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600060,'Messenger Tibeld','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600061,'Beckah Whistlethorn','','','','',6,79,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600062,'Kell Silentfang','<Qeymercs'' Martial Mercenary>','','','',11,82,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600063,'a visiting traveller','','','','',4,77,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600064,'Jennis Proudhilt','<Qeymercs'' Antonican Guard Mercenary>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600065,'Bildi Pieflinger','<Qeymercs'' Spellsinger Mercenary>','','','',7,4985,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600066,'Kyren Darkcloud','<Qeymercs'' Ruffian Mercenary>','','','',15,5077,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600067,'Bdorn Alehammer','<Qeymercs'' Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600068,'Firus Scorchtouch','<Qeymercs'' Arcanist Mercenary>','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600069,'Kell Silentfang','<Qeymercs'' Martial Mercenary>','','','',11,82,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600070,'Netko','Netko''s spirit companion','','','',255,2835,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600071,'Victoria','Healing Companion','','','',255,182,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600072,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600073,'a reclusive monk','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600074,'Kitty','','','','',255,304,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600075,'Molly Daysun','','','','',9,132,19,1,1,0,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600076,'Elddar kestrel','','','','',255,16217,32,1,1,1,0,0,0,0,0,0,0,0,17,1336,1336,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600077,'a scout trainee','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600078,'an archery instructor','','','','',15,114,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600079,'Captain Percius','<Guard>','','','',8,136,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600080,'Queen Antonia Bayle','','','','',9,4063,64,0,0,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600081,'a Tunarian scout','','','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600082,'an elddar steed','','','','',255,6858,31,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600083,'Nalon Messpie','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600084,'Breeno Messpie','','','','',7,108,25,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600085,'Diggin Diggs','','','','',7,108,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600086,'Steelguard','<Mender>','','','',2,110,32,0,1,1,12,9,0,1,1,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6600087,'Gregor Earthstride','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600088,'Master Archer Nightbow','<Bowyer>','','','',6,79,32,0,1,1,10,0,0,0,1,1,0,0,34,0,0,0,0,100129,0,0,0,0,0,0,0,0,0,0,0,0),
(6600089,'Telandra','','','','',15,113,32,0,1,1,9,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600090,'Bryson','','','','',9,134,32,0,1,1,9,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600091,'a veteran pathfinder','','','','',9,134,32,0,1,1,0,0,0,1,1,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600092,'Hunter Lathar Forestdeep','','','','',15,114,32,0,1,1,9,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600093,'status_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600094,'coin_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600095,'coin_player_housing_inn_room_1',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600096,'quest_wheel_stolen_item03',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600097,'coin_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600098,'status_player_housing_inn_room_3',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600099,'status_player_housing_inn_room_2',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600100,'quest_barrel_stolen_item01',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600101,'quest_barrel_stolen_item02',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600102,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600103,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600104,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600105,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600106,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600107,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600108,'door_widget19',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600109,'door_widget18',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600110,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600111,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600112,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600113,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600114,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600115,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600116,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600117,'',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600118,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600119,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600120,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600121,'quest_tome_rathemountain_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,1,1,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600122,'quest_tome_overhalas_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,1,1,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600123,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600124,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600125,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600126,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600127,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600128,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,1,1,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600129,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600130,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600131,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600132,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600133,'Woodworking Table',NULL,'','','',0,2346,32,0,1,1,4,0,0,1,1,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600134,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,0,0,0,0,1,1,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600135,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,1,1,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600136,'barrel_small_light',NULL,'','','',0,1909,32,0,1,1,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600137,'magic_globe_red',NULL,'','','',0,4733,24,0,1,1,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600138,'floor_mug_human_ornate01',NULL,'','','',0,3381,32,0,1,1,0,0,0,1,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600139,'floor_bread_human_french01',NULL,'','','',0,3359,32,0,1,1,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600140,'floor_plate_human_muffin01',NULL,'','','',0,3393,32,0,1,1,0,0,0,1,1,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600141,'floor_bread_human_loaf01',NULL,'','','',0,3360,32,0,1,1,0,0,0,1,1,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600142,'gravestone01',NULL,'','','',0,1549,32,0,1,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600143,'gravestone09',NULL,'','','',0,2924,32,0,1,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600144,'candles_group01',NULL,'','','',0,3449,32,0,1,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600145,'gravestone05',NULL,'','','',0,2920,32,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600146,'jackolantern02',NULL,'','','',0,5786,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600147,'jackolantern03',NULL,'','','',0,5787,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600148,'jackolantern01',NULL,'','','',0,5785,32,0,1,1,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600149,'hanging_bat_swinging',NULL,'','','',0,5784,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600150,'frostfell chip cookies',NULL,'','','',0,7969,32,0,1,0,0,0,0,1,1,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600151,'qst_unseenhand_keg_1',NULL,'','','',0,3098,32,0,1,0,0,0,0,1,1,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600152,'qst_unseenhand_keg_1',NULL,'','','',0,3095,32,0,1,0,0,0,0,1,1,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600153,'halfling_innbook_01',NULL,'','','',0,1552,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600154,'fpalt_chest_small_ornate01',NULL,'','','',0,2022,32,0,1,1,0,0,0,1,1,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600155,'qeynos_sign_post01',NULL,'','','',0,30,32,0,1,1,0,0,0,1,1,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600156,'dpo_halfing_display_gordflask01',NULL,'','','',0,12626,32,0,1,1,0,0,0,1,1,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600157,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,1,1,0,0,0,1,1,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600158,'qst_unseenhand_keg_1',NULL,'','','',0,3101,32,0,1,1,0,0,0,1,1,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600159,'fpalt_chest_small_ornate01',NULL,'','','',0,2030,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600160,'qst_unseenhand_keg_1',NULL,'','','',0,3100,32,0,1,1,0,0,0,1,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600161,'weighing scales',NULL,'','','',0,3630,32,0,1,1,0,0,0,1,1,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600162,'gold coin pile 01',NULL,'','','',0,4818,22,0,1,1,0,0,0,1,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600163,'gold coin pile 01',NULL,'','','',0,16397,32,0,1,1,0,0,0,1,1,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600164,'gold coin pile 01',NULL,'','','',0,16396,32,0,1,1,0,0,0,1,1,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600166,'floor_egg_human_crystal03',NULL,'','','',0,3419,16,0,1,1,0,0,0,1,1,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600167,'floor_egg_human_crystal02',NULL,'','','',0,3418,16,0,1,1,0,0,0,1,1,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600168,'floor_egg_human_crystal01',NULL,'','','',0,3417,16,0,1,1,0,0,0,1,1,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600169,'soldier statue',NULL,'','','',0,4625,4,0,1,1,0,0,0,1,1,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600170,'fiend statue',NULL,'','','',0,4462,6,0,1,1,0,0,0,1,1,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600171,'soldier statue',NULL,'','','',0,4463,4,0,1,1,0,0,0,1,1,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600172,'floor_stove_human_iron',NULL,'','','',0,2108,32,0,1,1,0,0,0,1,1,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600173,'floor_kitchenpan_human_bake01',NULL,'','','',0,3364,32,0,1,1,0,0,0,1,1,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600174,'floor_dummy_any_training01',NULL,'','','',0,4467,32,0,1,1,0,0,0,1,1,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600175,'Thomas Bodley',NULL,'','','',255,134,32,0,1,1,10,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600176,'black market goods',NULL,'','','',255,3157,44,0,1,1,0,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600177,'floor_dagger',NULL,'','','',0,1860,32,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600178,'barricade_short',NULL,'','','',0,1557,32,0,1,0,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600179,'inquis_training_dummy',NULL,'','','',0,2306,6,0,1,0,0,0,0,1,1,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600180,'inquis_training_dummy',NULL,'','','',0,14008,32,0,1,0,0,0,0,1,1,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600181,'barricade_short',NULL,'','','',0,1556,16,0,1,0,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600182,'dpo_battleaxe_uncommon',NULL,'','','',0,4469,32,0,1,1,0,0,0,1,1,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600183,'Lily',NULL,'','','',0,18798,32,0,1,0,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600184,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,1,1,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600185,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600186,'sign_fishs_alehouse_and_inn_1',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600187,'merc_door_entrance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600188,'sign_sirens_song',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600189,'Mail Kiosk',NULL,'','','',0,18955,32,0,1,1,29,0,0,1,1,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600190,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,1,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600191,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,1,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600192,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,1,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600193,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,1,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600194,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,1,1,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600195,'merc_door_entrance',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600196,'sign_grounds_of_fate_1',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600197,'zone_to_qey_catacomb03_bloodsaber_ceremony',NULL,'','','',0,2512,32,0,1,1,221,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600198,'zone_to_qey_epic06_p12_irontoes',NULL,'','','',0,49,32,0,1,1,222,0,0,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600199,'zone_to_qey_south_alley',NULL,'','','',0,49,32,0,1,1,223,0,0,0,0,1,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600200,'Smuggler''s Vault',NULL,'','','',0,49,32,0,1,1,224,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600201,'zone_to_qey_cap_dist',NULL,'','','',0,49,32,0,1,1,223,0,0,0,0,1,0,0,173,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600202,'Enter the Plotter''s Hovel',NULL,'','','',0,49,32,0,1,1,225,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600203,'zone_to_qey_village03',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,0,0,0,259,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600204,'sign_echoes_of_destiny',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600205,'sign_coldwind_crier',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600206,'sign_inrange',NULL,'','','',0,49,32,0,1,1,0,0,0,1,1,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600207,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600208,'zone_to_qey_north',NULL,'','','',0,49,32,0,0,0,223,0,0,0,0,1,0,0,261,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600209,'Timeless Chronomage','','','','',3,119,32,0,1,1,21,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600210,'Timeless Trader','<Chronomagic Reward Merchant>','','','',3,1605,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600211,'Shiharra Veldin','<Chronomagi Tasker>','','','',3,1587,25,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600212,'Scion of Discord','<Victory Appraiser>','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600213,'Scion of Discord','<Carnage Appraiser>','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600214,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,20,2,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600215,'a kitten','','','','',255,306,18,6,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600216,'a drunk sailor','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600217,'a rat','','','','',255,196,9,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600218,'Jennis Proudhilt','<Antonican Guard Mercenary>','','','',9,134,32,0,1,1,9,0,24581,0,0,1,0,0,32,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600219,'a freelancer','','','','',0,111,32,1,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600220,'Karg Icemoore','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600221,'Barmaid Ceilia Abbot','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100094,0,0,0,0,0,0,0,0,0,0,0,0),
(6600222,'Belle Madson','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600223,'Leila Fleetfoot','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600224,'Tom Sterling','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600225,'Birney Abbot','<Bartender>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,6096,0,0,0,0,0,0,0,0,0,0,0,0),
(6600226,'Commander Fluffy','<Alehouse Mascot>','','','',255,305,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600227,'Mary Dillon','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600228,'a Qeynos resident','','','','',2,1483,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600229,'Logan Camerus','<Royal Antonican Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600230,'Halc Emberstone','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600231,'a Qeynos citizen','','','','',14,109,32,0,1,1,9,0,0,0,0,1,0,0,16,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600232,'Clarya Blake','<Bartender>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600233,'a barmaid','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600234,'Vernon Tinworthy','<Bar Patron>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600235,'Innkeeper Galsway','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100096,0,0,0,0,0,0,0,0,0,0,0,0),
(6600236,'a local patron','','','','',0,112,31,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600237,'a freelancer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600238,'Rebik Sprocketrock','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600239,'Proprietor Blagard','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600240,'a Qeynos freelancer','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600241,'Mervos Stadrin','<Collector>','','','',3,1605,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600242,'Lyricist Kuehja','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,901,901,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600243,'Tanua Dorlin','<Provisioner>','','','',7,107,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600244,'a practicing contender','','','','',0,112,31,2,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600245,'Barmaid Drinna','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600246,'an arena contestant','','','','',0,111,30,1,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600247,'an arena contestant','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600248,'Constable Arathur','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600249,'Madam Istynia','<Alchemist>','','','',3,1594,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,6131,0,0,0,0,0,0,0,0,0,0,0,0),
(6600250,'Zara','<Alchemist Assistant>','','','',9,132,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600251,'a Qeynos resident','','','','',15,1440,33,2,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600252,'Porter','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600253,'a canine watcher','','','','',255,216,16,0,1,1,9,0,540,1,1,1,0,11,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600254,'Oakhall','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600255,'Bilur','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600256,'Captain Hanstock','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600257,'Gornit Penwiggle','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600258,'Master Scribe Phonetia','<Linguist>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,16,16,0,0,6142,0,0,0,0,0,0,0,0,0,0,0,0),
(6600259,'Crazy Charlene','','','','',255,304,32,0,1,0,9,0,0,0,0,1,0,0,32,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600260,'a visiting traveler','','','','',3,119,32,0,1,1,9,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600261,'Beckah Whistlethorn','','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600262,'a reclusive monk','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600263,'Molly Daysun','','','','',9,18787,20,1,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600264,'Elddar kestrel','','','','',255,16217,31,3,1,1,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600265,'a scout trainee','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600266,'an archery instructor','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600267,'Captain Percius','<Guard>','','','',8,136,32,0,1,1,13,9,0,1,1,1,0,11,34,601,601,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600268,'Queen Antonia Bayle','','','','',9,4063,64,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600269,'a Tunarian scout','','','','',15,113,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600270,'an elddar steed','','','','',255,6858,31,4,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600271,'Nalon Messpie','','','','',7,108,32,0,1,1,9,0,11976,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600272,'Breeno Messpie','','','','',7,108,25,0,1,1,9,0,0,0,0,1,0,21,34,0,999,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600273,'Diggin Diggs','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600274,'Steelguard','<Mender>','','','',2,110,32,0,1,1,12,9,11812,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6600275,'Gregor Earthstride','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600276,'Master Archer Nightbow','<Bowyer>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100129,0,0,0,0,0,0,0,0,0,0,0,0),
(6600277,'Telandra','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600278,'Bryson','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600279,'a veteran pathfinder','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600280,'Hunter Lathar Forestdeep','','','','',15,114,32,0,1,1,9,0,221,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600281,'a visiting traveller','','','','',0,111,33,1,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600282,'a Circle of Ten Militia guard','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600283,'Rosalina Goodfallow','<Steward of Antonia Bayle>','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600284,'Harron Griswald','<General Goods>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600285,'Ashilda MacHinry','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600286,'Erwin Rohand','<Provisioner>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600287,'Borden Mannus','<Bartender>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600288,'Boulden Smitestone','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600289,'Squire Moorford','<Qeynos Guard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600290,'Nelis Greenpocket','<Tailor>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100106,0,0,0,0,0,0,0,0,0,0,0,0),
(6600291,'Umli Grayfist','<Bartender>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,20205,0,0,0,0,0,0,0,0,0,0,0,0),
(6600292,'Sprockfuddle','<Supplier>','','','',5,121,32,0,1,1,10,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600293,'Meex','','','','',255,304,25,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600294,'a runt','','','','',255,306,9,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600295,'Captain Salty ','','','','',255,305,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600296,'Phen Domlinson','<Bowyer>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100117,0,0,0,0,0,0,0,0,0,0,0,0),
(6600297,'Fuddlesprock','<Fence>','','','',5,122,32,0,1,1,20,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600298,'Pottsby','<City Merchant>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100104,0,64,0,0,0,0,0,0,0,0,0,0),
(6600299,'Rabbleson','<City Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100105,0,64,0,0,0,0,0,0,0,0,0,0),
(6600300,'Dajor Botswein','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600301,'Alissa Cleeway','<General Goods>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,20218,0,0,0,0,0,0,0,0,0,0,0,0),
(6600302,'Sean Wellfayer','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600303,'Randal Gromoe','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600304,'Velnia','<Salty Sailor>','','','',6,132,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600305,'a duck','','','','',255,269,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600306,'Sergeant Quackers','','','','',255,269,41,0,1,1,9,0,0,0,0,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600307,'Yarwick','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600308,'Shiningleaf','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600309,'Lyricist Trucci','<The Chaos Orchestra>','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600310,'Tala McMorgan','<Shieldsmith>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100118,0,0,0,0,0,0,0,0,0,0,0,0),
(6600311,'Marius Ironflint','<Ian''s Assistant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600312,'Ian Cathlan','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600313,'Rothun','<Guard>','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600314,'Nathan Ironforge','','','','',9,134,17,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600315,'Renee Atherton','<Bartender>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,401,0,0,0,0,0,0,0,0,0,0,0,0),
(6600316,'Alexander Kerr','<Bowyer>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100125,0,0,0,0,0,0,0,0,0,0,0,0),
(6600317,'Sarbith Plegnog','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600318,'Velwich','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600319,'Pearl Honeywine','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600320,'Kizmit','<Banker>','','','',11,95,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600321,'Sir Aidan Godard','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600322,'Elderstrike','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600323,'Taburg','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600324,'Grisvane Stonearm','<Banker>','','','',2,110,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600325,'Litheon McElhannon','<Reforging>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600326,'Praxum','<Mender>','','','',9,134,32,0,1,1,12,9,0,0,0,1,0,0,34,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6600327,'Smith Holgren','<Weaponsmith>','','','',0,112,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100123,0,0,0,0,0,0,0,0,0,0,0,0),
(6600328,'Sheldon Lamport','<Jeweler>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100122,0,0,0,0,0,0,0,0,0,0,0,0),
(6600329,'Robert Newbury','<Banker>','','','',9,134,32,0,1,1,14,9,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600330,'Jarek O''Kelly','<Armorsmith>','','','',0,112,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,20264,0,0,0,0,0,0,0,0,0,0,0,0),
(6600331,'Harkam Nubbytoe','','','','',7,108,32,0,1,1,9,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600332,'Kaldin Deeppockets','<General Goods>','','','',7,108,32,0,1,1,10,1265,0,0,0,0,0,0,34,0,0,0,0,31568,0,0,0,0,0,0,0,0,0,0,0,0),
(6600333,'Scruffy','','','','',255,196,12,0,1,1,9,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600334,'a grove deer','','','','',255,206,23,4,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600335,'Grittlebone','','','','',255,216,16,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600336,'Carpenter Paddock','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600337,'Groban','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600338,'Evenwood','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600339,'Highgold','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600340,'Fosur','<Guard>','','','',2,109,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600341,'Wyrmdon','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600342,'Hilldon','<Guard>','','','',9,78,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600343,'Guster Malirious','<Qeynos Port Official>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600344,'Aliindar','<Broker>','','','',3,1603,32,0,1,1,20,9,0,0,0,1,0,0,34,466,466,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600345,'Buresh','<Guard>','','','',2,110,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600346,'Mav Boilfist','<Dwarf Mentor>','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600347,'Gruffin Goldtooth','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600348,'Takk','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600349,'Mr. Clark','','','','',255,238,9,0,1,1,9,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600350,'Vida Sweeps','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600351,'Angelia Clayton','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600352,'Arbuthnot Jumroller','','','','',7,108,32,0,1,1,9,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600353,'Guard Valmont','<Guard>','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600354,'a koi','','','','',255,204,9,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600355,'Rask Helstot','','','','',6,78,32,0,1,1,9,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600356,'Musician Zwena','','','','',11,95,32,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600357,'Delma Messpie','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600358,'Gildas Cedartree','','','','',8,136,32,0,1,1,9,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600359,'Traylo Leafsway','<Gildas'' Assistant>','','','',8,136,32,0,1,1,10,9,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600360,'Wanderer Greencoast','<Tunarian Alliance Grove Warden>','','','',6,79,32,0,1,1,10,9,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600361,'Preservationist Reynolds','<Tunarian Alliance Grove Warden>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600362,'Shakan Notebend','<Dirge Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,32,0,0,0,0,100467,0,4,0,0,0,0,0,0,0,0,0,0),
(6600363,'Master Rysian Gladewalker','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600364,'Lieoonlioo Croosinian','<Troubador Trainer>','','','',3,1595,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100482,0,4,0,0,0,0,0,0,0,0,0,0),
(6600365,'Wesaelan Brookshadow','','','','',15,114,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600366,'Duvo','<Alchemist>','','','',7,108,32,0,1,1,10,1265,10748,0,0,1,0,0,17,0,0,0,0,100128,0,0,0,0,0,0,0,0,0,0,0,0),
(6600367,'Naturalist Tummyfill','<Tunarian Alliance Grove Warden>','','','',7,108,32,0,1,1,10,1265,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600368,'Wanderer Raegen Truthshadow','<Tunarian Alliance Grove Warden>','','','',6,79,32,0,1,1,10,9,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600369,'Flizzle Cogplume','<Swashbuckler Trainer>','','','',5,121,32,0,1,1,10,1265,0,0,0,1,0,0,16,0,0,0,0,100485,0,4,0,0,0,0,0,0,0,0,0,0),
(6600370,'Outrider Bernd','<Tunarian Alliance Grove Warden>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600371,'Trillium','<Tunarian Alliance Merchant>','','','',15,114,32,0,1,1,10,9,0,0,0,1,0,0,34,0,0,0,0,33747,0,0,0,0,0,0,0,0,0,0,0,0),
(6600372,'Initiate Lo Fan','','','','',9,134,32,0,1,1,9,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600373,'Mirthmire','<City Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100126,0,64,0,0,0,0,0,0,0,0,0,0),
(6600374,'Lambent','<City Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,33750,0,64,0,0,0,0,0,0,0,0,0,0),
(6600375,'Guard Kaladenth','<Guard>','','','',8,136,32,0,1,1,13,9,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600376,'Palla Jhal','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600377,'Aerinleaf','<Broker>','','','',6,78,32,0,1,1,20,9,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600378,'Adrianna','<Provisioner>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100127,0,0,0,0,0,0,0,0,0,0,0,0),
(6600379,'Warble Wildmane','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600380,'Pelle Shinkicker','','','','',7,108,32,0,1,1,9,0,11540,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600381,'Khai Lightfall','<Monk Trainer>','','','',11,82,32,0,1,1,10,1265,0,0,0,0,0,0,38,0,0,0,0,100488,0,4,0,0,0,0,0,0,0,0,0,0),
(6600382,'Initiate Lunaru','','','','',11,97,32,0,1,1,9,0,540,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600383,'Initiate Thomas','','','','',9,134,32,0,1,1,9,0,540,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600384,'Carolyn Wu','','','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,331,331,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600385,'Senior Initiate Delvin','','','','',9,134,32,0,1,1,9,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600386,'Gilp Jadefist','','','','',4,4944,32,0,1,1,9,0,0,0,0,0,0,0,34,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600387,'Marv Boilfist','','','','',2,1482,32,0,1,1,9,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600388,'Guard Tolar','<Guard>','','','',0,112,35,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600389,'Patrolman Edward','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600390,'Patrolman Fanthis','<Guard>','','','',6,78,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600391,'Patrolwoman Varna','<Guard>','','','',0,111,32,0,1,1,13,0,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600392,'Elendia Starleaf','<Ranger Trainer>','','','',8,79,32,0,1,1,10,1265,0,0,0,1,0,0,28,0,0,0,0,100483,0,4,0,0,0,0,0,0,0,0,0,0),
(6600393,'Towser Flizgibbert','','','','',5,121,32,0,1,1,9,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600394,'Initiate Tara','','','','',9,132,32,0,1,1,9,0,540,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600395,'Guard Stonefist','<Guard>','','','',2,110,32,0,1,1,13,9,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600396,'Guard Morlo','<Guard>','','','',9,134,32,0,1,1,13,9,0,1,1,1,0,11,34,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600397,'a local patron','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600398,'an entrance guard','','','','',9,132,32,0,1,1,13,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600399,'a Circle of Ten Militia guard','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600400,'a training strider','','','','',15,114,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600401,'a dragonfly','','','','',255,2389,16,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600402,'Kyla Pursglove','<Assassin Trainer>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,30,0,0,0,0,100476,0,4,0,0,0,0,0,0,0,0,0,0),
(6600403,'Shepherd Sell''ar','<Tunarian Alliance Grove Warden>','','','',15,114,32,0,1,1,10,1267,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600404,'Daylia the Vigil','<Eye of Bayle>','','','',9,4989,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600405,'Kashi Schoj','<Beastlord Trainer>','','','',11,81,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100469,0,4,0,0,0,0,0,0,0,0,0,0),
(6600406,'Ocron','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600407,'Guard Laelyth','<Fae Mentor>','','','',255,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600408,'Kobarab','Ohhno''s fiery magician','','','',255,2393,25,0,1,1,11,0,0,1,1,1,0,0,32,1291,1291,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600409,'Patrolman Ly''stan','<Guard>','','','',15,114,32,0,1,1,13,0,0,1,1,1,0,11,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600410,'Lieutenant Oakheart','<Guard>','','','',15,114,32,0,1,1,13,0,0,1,1,1,0,11,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600411,'Guard Delin','<Fae Royal Guard>','','','',255,6489,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600412,'Comics','Bonkurs''s familiar','','','',255,279,48,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600413,'Tairiel Oakshade','<The Tunarian Alliance>','','','',9,78,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600414,'Marshal Surefoot','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600415,'Bungle Proudfoot','<Halfling Mentor>','','','',7,108,32,0,1,1,9,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600416,'a Graystone Guild bruiser','','','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600417,'Kelia Spiritward','','','','',15,113,32,0,1,1,9,0,0,0,0,0,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600418,'Shireen Faren-Delnara','<Half Elf Mentor>','','','',6,18787,16,0,1,1,9,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600419,'a chi practitioner','','','','',11,97,32,0,1,1,9,0,540,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600420,'Jesenda ','','','','',9,132,32,0,1,1,9,0,540,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600421,'Hagric Skolvein','<Graystone Guild>','','','',0,5037,32,0,1,1,9,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600422,'Senior Initiate Karuda','','','','',6,78,32,0,1,1,9,0,540,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600423,'Trainer Alega Masseri','','','','',0,132,32,0,1,1,10,9,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600424,'Kanni Darkrock','<Graystone Guild Bartender>','','','',2,109,32,0,1,1,9,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600425,'Dalluk Granitehand','<Graystone Guild>','','','',2,5043,32,0,1,1,9,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600426,'Carrik Burnsides','<Bruiser Trainer>','','','',9,134,32,0,1,1,10,1265,0,0,0,0,0,0,32,0,0,0,0,100481,0,4,0,0,0,0,0,0,0,0,0,0),
(6600427,'a monk initiate','','','','',9,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600428,'an injured Baubbleshire citizen','','','','',255,108,32,0,1,1,9,0,20127,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600429,'a hungry Baubbleshire citizen','','','','',255,122,32,0,1,1,9,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600430,'Trelly Greenthorn','<Wood Elf Mentor>','','','',15,113,32,0,1,1,9,0,0,0,0,0,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600431,'a Baubbleshire defender','','','','',7,107,32,0,1,1,9,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600432,'a wounded Baubbleshire defender','','','','',5,122,32,0,1,1,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600433,'a Willow Wood defender','','','','',15,113,34,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600434,'a Willow Wood defender','','','','',6,78,34,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600435,'Hargrove Leafsway','<Qeynos Guard>','','','',15,114,32,0,1,1,9,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600436,'a Castleview resident','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600437,'Captain Gerafaltis','<Qeynos Guard>','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600438,'Eireneith Alannia','<High Elf Mentor>','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600439,'Foorog Gallantblade','','','','',4,3793,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600440,'Rupert Valorbound','<Froglok Mentor>','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600441,'Frup Groaak','','','','',4,3790,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600442,'Olvene Kettershot','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600443,'Captain Warland','<Guard>','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,571,571,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600444,'a Qeynos monk','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,26,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600445,'Fade','Elizaveta''s familiar','','','',255,279,48,0,1,0,0,0,0,0,0,1,0,0,32,841,841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600446,'an onlooker','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600447,'an onlooker','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600448,'Investigator Keklem','<Qeynos Guard>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600449,'Commander Meldraggelien','<Guard>','','','',8,136,32,0,1,1,13,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600450,'an onlooker','','','','',11,91,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600451,'an arena champion','','','','',0,112,38,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600452,'a practicing contender','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600453,'a freelancer','','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600454,'a Graystone resident','','','','',2,109,32,0,1,1,0,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600455,'a Graystone resident','','','','',0,112,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600456,'Borach Anvilstrike','<Master Armorer>','','','',2,110,35,0,1,1,9,0,0,0,0,1,0,0,18,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600457,'Gild Stonebreaker','<Barbarian Mentor>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600458,'Kwa Stalwart','','','','',4,3791,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600459,'Willama','<Tunarian Alliance Merchant>','','','',15,113,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,42035,0,0,0,0,0,0,0,0,0,0,0,0),
(6600460,'Markus','<Ironforge Exchange Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,100108,0,0,0,0,0,0,0,0,0,0,0,0),
(6600461,'Kajiz','','','','',11,100,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600462,'Vorin','<Celestial Watch Merchant>','','','',8,136,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600463,'Jerben Sleepwell','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600464,'Zarartik','Beloved of Bristlebane','','','',255,262,9,0,1,1,9,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600465,'Telgard','<Qeynos Guard Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100110,0,0,0,0,0,0,0,0,0,0,0,0),
(6600466,'harbor pincher','','','','',255,211,25,3,1,1,0,0,0,0,0,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600467,'a local patron','','','','',4,4944,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600468,'a local patron','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600469,'Sinphinus','<Concordium Merchant>','','','',3,1594,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600470,'Captain Sellia','<Skipper of the Blue Sunrise>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600471,'Sikuno','Sikuno''s aery hunter','','','',255,12198,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600472,'Standar Yorden','<Role Advisor>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600473,'Murrar Shar','<Emissary of Queen Antonia Bayle>','','','',11,101,35,0,1,1,9,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600474,'Dortha','<Mount Merchant>','','','',0,111,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100109,0,0,0,0,0,0,0,0,0,0,0,0),
(6600475,'Dockworker Kuint','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600476,'Sergeant Delve','<Royal Antonican Guard>','','','',2,109,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600477,'Dockworker Brond','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600478,'Dockworker Quint','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600479,'Lerad Boilfist','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600480,'Dockworker Juin''l','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600481,'Stalker','<Cradlebait''s Antonican Guard Mercenary>','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600482,'Tacklemaster Moyna','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600483,'Phuul','Phuul''s fiery magician','','','',255,19959,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600484,'Kell Silentfang','<Popuri''s Martial Mercenary>','','','',11,82,32,0,1,1,11,0,0,1,1,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600485,'quest_wheel_stolen_item03',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600486,'quest_barrel_stolen_item01',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600487,'quest_barrel_stolen_item02',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600488,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600489,'door_widget11',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600490,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600491,'door_widget8',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600492,'door_widget7',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600493,'door_widget9',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600494,'door_widget19',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600495,'door_widget18',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600496,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600497,'door_widget13',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600498,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600499,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600500,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600501,'door_widget2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600502,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600503,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600504,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600505,'door_widget16',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600506,'door_widget15',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600507,'quest_tome_rathemountain_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600508,'quest_tome_overhalas_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600509,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600510,'door_widget5',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,54,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600511,'door_widget3',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600512,'door_widget4',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600513,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600514,'door_widget1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600515,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600516,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600517,'Transport Tree Lift',NULL,'','','',0,49,32,0,1,1,820,0,0,0,0,0,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600518,'quest_tome_mistythicket_tome_01',NULL,'','','',0,49,32,0,1,1,55,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600519,'sliding door',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,92,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600520,'widget_sulfur_barrel',NULL,'','','',0,49,32,0,1,1,752,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600521,'qey_blacksmith_anvil001',NULL,'','','',0,41,48,0,1,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600522,'',NULL,'','','',255,2306,32,8,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600523,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600524,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600525,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600526,'Chemistry Table',NULL,'','','',0,2343,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600527,'Engraved Desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600528,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600529,'Woodworking Table',NULL,'','','',0,2346,32,0,0,0,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600530,'Champion''s Respite Portal',NULL,'','','',0,15477,6,0,1,1,0,0,0,0,0,1,1,0,2237,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600531,'weaponrack001',NULL,'','','',0,1534,32,0,1,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600532,'qey_blacksmith_hammer001',NULL,'','','',0,43,32,0,1,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600533,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600534,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600535,'barrel_small_light',NULL,'','','',0,1909,32,0,1,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600536,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,1,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600537,'magic_globe_red',NULL,'','','',0,4733,24,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600538,'floor_mug_human_ornate01',NULL,'','','',0,3381,32,0,1,1,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600539,'floor_bread_human_french01',NULL,'','','',0,3359,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600540,'floor_plate_human_muffin01',NULL,'','','',0,3393,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600541,'floor_bread_human_loaf01',NULL,'','','',0,3360,32,0,1,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600542,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600543,'fpalt_forge_pliers01',NULL,'','','',0,16546,31,0,1,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600544,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600545,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600546,'weaponrack03',NULL,'','','',0,4651,32,0,1,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600547,'floor_plate',NULL,'','','',0,2805,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600548,'frostfell chip cookies',NULL,'','','',0,7969,32,0,1,1,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600549,'qst_unseenhand_keg_1',NULL,'','','',0,3098,32,0,1,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600550,'qst_unseenhand_keg_1',NULL,'','','',0,3095,32,0,1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600551,'halfling_innbook_01',NULL,'','','',0,1552,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600552,'fpalt_chest_small_ornate01',NULL,'','','',0,2022,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600553,'qeynos_sign_post01',NULL,'','','',0,30,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600554,'dpo_halfing_display_gordflask01',NULL,'','','',0,12626,32,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600555,'wall_flask_human_leather01',NULL,'','','',0,3125,32,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600556,'qst_unseenhand_keg_1',NULL,'','','',0,3101,32,0,1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600557,'fpalt_chest_small_ornate01',NULL,'','','',0,2030,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600558,'qst_unseenhand_keg_1',NULL,'','','',0,3100,32,0,1,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600559,'weighing scales',NULL,'','','',0,3630,32,0,1,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600560,'gold coin pile 01',NULL,'','','',0,4818,22,0,1,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600561,'gold coin pile 01',NULL,'','','',0,16397,32,0,1,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600562,'gold coin pile 01',NULL,'','','',0,16396,32,0,1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600564,'floor_egg_human_crystal03',NULL,'','','',0,3419,16,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600565,'floor_egg_human_crystal02',NULL,'','','',0,3418,16,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600566,'floor_egg_human_crystal01',NULL,'','','',0,3417,16,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600567,'soldier statue',NULL,'','','',0,4625,4,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600568,'fiend statue',NULL,'','','',0,4462,6,0,1,1,0,0,0,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600569,'soldier statue',NULL,'','','',0,4463,4,0,1,1,0,0,0,0,0,0,0,0,51,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600570,'floor_stove_human_iron',NULL,'','','',0,2108,32,0,1,1,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600571,'floor_kitchenpan_human_bake01',NULL,'','','',0,3364,32,0,1,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600572,'floor_dummy_any_training01',NULL,'','','',0,4467,32,0,1,1,0,0,0,0,0,0,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600573,'Thomas Bodley',NULL,'','','',255,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600574,'black market goods',NULL,'','','',255,3157,44,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600575,'floor_dagger',NULL,'','','',0,1860,8,0,1,1,0,0,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600576,'barricade_short',NULL,'','','',0,1557,16,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600577,'inquis_training_dummy',NULL,'','','',0,2306,6,0,1,1,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600578,'inquis_training_dummy',NULL,'','','',0,14008,32,0,1,0,0,0,0,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600579,'barricade_short',NULL,'','','',0,1556,16,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600580,'dpo_battleaxe_uncommon',NULL,'','','',0,4469,32,0,1,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600581,'Grove lily pad',NULL,'','','',0,18798,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600582,'fprt_weapons_tableshortbow01',NULL,'','','',0,6266,32,0,1,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600583,'plain shield',NULL,'','','',0,4714,192,0,1,1,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600584,'Minda Broadfeet',NULL,'','','',255,109,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600585,'Archery Target',NULL,'','','',255,2306,6,0,1,0,11,0,491,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600586,'fprt_weapons_arrowgroup01',NULL,'','','',0,6265,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600587,'fpalt_chest_large_ornate01',NULL,'','','',0,2030,32,0,1,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600588,'wl_satyr_vine',NULL,'','','',0,10458,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600589,'dpo_lf_flora_rm01_vine01',NULL,'','','',0,10460,31,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600590,'fae_quest_grove_fire',NULL,'','','',0,2306,32,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600591,'mineral_veins_gruffin_01',NULL,'','','',0,6904,32,0,0,0,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600592,'Clock of Ak''Anon',NULL,'','','',0,2451,57,0,0,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600593,'fpalt_chest_small_ornate01',NULL,'','','',0,3155,32,0,1,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600594,'armorcollection003',NULL,'','','',0,4162,32,0,1,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600595,'fpalt_chest_small_ornate01',NULL,'','','',0,6471,32,0,1,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600596,'fpalt_chest_small_ornate01',NULL,'','','',0,2021,32,0,1,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600597,'qst_unseenhand_keg_1',NULL,'','','',0,3097,32,0,1,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600598,'bread',NULL,'','','',0,3359,32,0,1,0,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600599,'qst_unseenhand_keg_1',NULL,'','','',0,3099,32,0,1,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600600,'cr_librariansdesk_01',NULL,'','','',0,11400,32,0,1,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600601,'tradeskill_work_order_desk',NULL,'','','',0,6657,32,0,1,1,31,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600602,'mariners_bell',NULL,'','','',0,13660,32,0,1,1,32,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(6600603,'lottery sign',NULL,'','','',0,1552,31,0,1,1,44,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600604,'sign_fishs_alehouse_and_inn_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600605,'sign_sirens_song',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600606,'Mail Kiosk',NULL,'','','',0,18955,32,0,1,1,29,0,0,0,0,1,0,0,87,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600607,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600608,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600609,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600610,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600611,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600612,'sign_grounds_of_fate_1',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600613,'sign_echoes_of_destiny',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600614,'sign_coldwind_crier',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600615,'mariner_bell_city_travel_qeynos',NULL,'','','',0,18956,16,0,1,1,358,0,0,0,0,1,0,0,32,0,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0),
(6600616,'sign_inrange',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600617,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600618,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600619,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600620,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600621,'qey_roadsign_sign01',NULL,'','','',0,31,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600622,'betrayal tunarbos',NULL,'','','',0,4161,32,0,1,1,1091,0,0,0,0,0,0,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600623,'sign_pottery',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600624,'zone_to_qey_village04',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,0,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600625,'zone_to_qey_village06',NULL,'','','',0,49,32,0,1,1,1019,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600626,'zone_to_qey_village05',NULL,'','','',0,49,32,0,1,1,1018,0,0,0,0,0,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600627,'sign_qeynos_hold',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600628,'',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600629,'sign_hall_of_steel',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600630,'To arena',NULL,'','','',0,49,32,0,1,1,66,0,0,0,0,1,0,0,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600631,'sign_grounds_of_fate_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600632,'sign_grounds_of_fate',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600633,'sign_mermaids_lure_2',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600634,'sign_mermaids_lure',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600635,'sign_qeynos_shipyard',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600636,'sign',NULL,'','','',255,11607,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600637,'dortha_mount_appearance',NULL,'','','',255,2364,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600638,'Forge',NULL,'','','',255,1859,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600639,'an injured Baubbleshire citizen',NULL,'','','',255,107,32,0,1,1,9,0,20127,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600640,'an injured Baubbleshire citizen',NULL,'','','',255,121,32,0,1,1,9,0,20127,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600641,'a hungry Baubbleshire citizen',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600642,'an injured Baubbleshire citizen',NULL,'','','',255,108,32,0,1,1,9,0,20127,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600643,'an injured Baubbleshire citizen',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600644,'a hungry Baubbleshire citizen',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600645,'a hungry Baubbleshire citizen',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600646,'an injured Baubbleshire citizen',NULL,'','','',255,122,32,0,1,1,9,0,20127,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600647,'an injured Baubbleshire citizen',NULL,'','','',255,107,32,0,1,1,9,0,20127,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600648,'an injured Baubbleshire citizen',NULL,'','','',255,121,32,0,1,1,9,0,20127,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600649,'a hungry Baubbleshire citizen',NULL,'','','',255,108,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600650,'a hungry Baubbleshire citizen',NULL,'','','',255,107,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600651,'a Baubbleshire defender',NULL,'','','',255,121,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600652,'a wonderstruck Qeynos resident',NULL,'','','',255,82,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600653,'a wonderstruck Qeynos resident',NULL,'','','',255,97,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600654,'a wonderstruck Qeynos resident',NULL,'','','',255,101,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600655,'an awestruck Qeynos resident',NULL,'','','',255,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600656,'an awestruck Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600657,'an awestruck Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600658,'a brightened Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600659,'a brightened Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600660,'a brightened Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600661,'a relieved Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600662,'a relieved Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600663,'a relieved Qeynos resident',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600664,'a pacified Qeynos resident',NULL,'','','',255,136,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600665,'a pacified Qeynos resident',NULL,'','','',255,136,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600666,'a pacified Qeynos resident',NULL,'','','',255,136,32,0,1,1,9,0,0,0,0,0,0,0,34,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600667,'a chi practitioner',NULL,'','','',255,132,32,0,1,1,9,0,540,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600668,'a chi practitioner',NULL,'','','',255,132,32,0,1,1,9,0,540,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600669,'a chi practitioner',NULL,'','','',255,132,32,0,1,1,9,0,540,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600670,'a chi practitioner',NULL,'','','',9,134,32,0,1,1,9,0,540,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600671,'a chi practitioner',NULL,'','','',255,134,32,0,1,1,9,0,540,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600672,'a chi practitioner',NULL,'','','',255,134,32,0,1,1,9,0,540,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600673,'a monk initiate',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600674,'a monk initiate',NULL,'','','',255,134,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600675,'a monk initiate',NULL,'','','',255,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600676,'a monk initiate',NULL,'','','',255,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600677,'a monk initiate',NULL,'','','',255,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600678,'a Graystone Guild bruiser',NULL,'','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600679,'a Graystone Guild bruiser',NULL,'','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600680,'a Graystone Guild bruiser',NULL,'','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600681,'a Graystone Guild bruiser',NULL,'','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600682,'a Graystone Guild bruiser',NULL,'','','',9,132,32,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600683,'an emotional Qeynos resident',NULL,'','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600684,'Venarian T''Lye','<Channeler Trainer>','','','',8,136,32,0,1,1,9,1265,0,0,0,1,0,0,28,26,26,0,0,100489,0,4,0,0,0,0,0,0,0,0,0,0),
(6600685,'Inquis_training_dummy_NPC',NULL,'','','',255,2306,6,0,1,0,0,0,0,1,0,0,0,22,32,5,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600686,'SpawnsGroup',NULL,'','','',255,2306,6,0,1,0,0,0,0,0,0,0,0,0,32,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6600687,'a canine watcher',NULL,'','','',255,216,16,0,1,1,0,0,0,1,1,0,0,11,32,876,876,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610000,'Bdorn Alehammer','<Fiosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610001,'Fichman','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610002,'Javvy','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610003,'Serris','<The Freeport Militia>','','','',10,1572,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610004,'a battle-hardened buccaneer','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,115,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610005,'a buccaneer recruit','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,60,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610006,'a buccaneer recruit','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,190,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610007,'a mean brigand cook','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,1,16,1351,1351,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610008,'Grimglot','<Siren''s Bodyguard>','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610009,'Captain Siren','<Seafury Buccaneers>','','','',6,79,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610010,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610011,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610012,'qst_unseenhand_table_2',NULL,'','','',0,1402,32,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610013,'qst_unseenhand_firewood_2',NULL,'','','',0,1396,32,0,0,0,0,0,492,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610014,'qst_galintos_dresser_1',NULL,'','','',0,1414,32,0,0,0,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610015,'qst_unseenhand_fireplace_1',NULL,'','','',0,1394,34,0,0,0,0,0,0,0,0,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610016,'qst_unseenhand_keg_1',NULL,'','','',0,1398,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610017,'qst_galintos_chess_1',NULL,'','','',0,1413,25,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610018,'qst_unseenhand_firewood_1',NULL,'','','',0,1395,25,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610019,'qst_unseenhand_wine_1',NULL,'','','',0,1403,32,0,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610020,'qst_unseenhand_table_1',NULL,'','','',0,1401,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610021,'qst_unseenhand_floorlight_1',NULL,'','','',0,1397,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610022,'qst_unseenhand_chest_1',NULL,'','','',0,1392,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610023,'qst_unseenhand_chair_1',NULL,'','','',0,1391,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610024,'qst_unseenhand_bookcase_1',NULL,'','','',0,1390,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610025,'qst_unseenhand_picture_1',NULL,'','','',0,1426,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610026,'qst_unseenhand_mug_1',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610027,'qst_unseenhand_card_table',NULL,'','','',0,1386,32,0,0,0,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610028,'qst_unseenhand_bunkbead_1',NULL,'','','',0,1385,32,0,0,0,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610029,'qst_galintos_stove_1',NULL,'','','',0,1423,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610030,'zone_to_freeport_combined',NULL,'','','',0,49,32,0,1,1,294,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610031,'Javvy','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610032,'Fichman','<Drunkard>','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610033,'a battle-hardened brigand','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,1,34,190,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610034,'a terrified victim','','','','',9,132,29,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610035,'a battle-hardened buccaneer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,115,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6610036,'Arthegos Alethros','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,1381,1381,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620001,'a Tunarian Alliance woodsman','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620002,'a Tunarian Alliance warden','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620003,'a Tunarian Alliance chef','','','','',15,114,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620004,'a Tunarian Alliance gardener','','','','',6,78,32,0,1,1,11,0,10967,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620005,'a house plant','','','','',255,5946,26,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620006,'door_widget_betrayal_locked',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620007,'(unnamed)',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620008,'door_widget_up_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620009,'antonican_fence_piece01',NULL,'','','',0,4717,32,0,1,1,0,0,0,0,0,0,0,0,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620010,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620011,'foot_locker',NULL,'','','',0,2655,32,0,1,1,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620012,'qey_floursacksgroup003',NULL,'','','',0,1474,32,0,1,1,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620013,'elfbed01',NULL,'','','',0,1382,43,0,1,1,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620014,'ceiling_chandelier_human_ornate02',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620015,'divider',NULL,'','','',0,10682,24,0,1,1,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620016,'fprt_bench_plainlong01',NULL,'','','',0,1492,32,0,1,1,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620017,'floor_bunkbed_human_step01',NULL,'','','',0,2963,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620018,'halfling_tablejunk01',NULL,'','','',0,1459,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620019,'floor_bookcase_human_preserves02',NULL,'','','',0,3018,32,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620020,'qst_unseenhand_floorlight_1',NULL,'','','',0,1397,32,0,1,1,0,0,0,0,0,1,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620021,'qst_galintos_stove_1',NULL,'','','',0,1423,32,0,1,1,0,0,0,0,0,1,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620022,'librarian_desk',NULL,'','','',0,1553,32,0,1,1,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620023,'poppies',NULL,'','','',0,48,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620024,'a generic dining table',NULL,'','','',0,2780,32,0,1,1,0,0,0,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620025,'a treasure chest',NULL,'','','',0,3545,32,0,1,1,16,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620026,'cooking_oil',NULL,'','','',0,2619,32,0,1,1,374,0,0,0,0,1,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620027,'tunarbos seed',NULL,'','','',0,1624,9,0,1,1,0,0,0,0,0,0,0,0,432,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620028,'tunarbos seed',NULL,'','','',0,5008,32,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6620029,'zone_to_qey_eldarr',NULL,'','','',0,49,32,0,1,1,375,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630000,'Bdorn Alehammer','<Riosceub''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630001,'an arena contestant','','','','',8,136,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630002,'an arena contestant','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630003,'The Arena Master','','','','',8,135,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630004,'a ticket taker','','','','',3,1594,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630005,'an awaiting contestant','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630006,'a Qeynos Guardsman','','','','',6,78,32,0,1,1,11,0,0,1,1,1,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630007,'a Guard thaumaturge','','','','',7,107,32,0,1,1,11,0,0,1,1,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630008,'a Guard mystic','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630009,'an arena contestant','','','','',8,136,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630010,'an arena contestant','','','','',8,135,32,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630011,'a Guard lookout','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630012,'door_widget_up_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630013,'door_widget_up_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630014,'door_widget_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630015,'weaponrack001',NULL,'','','',0,1534,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630016,'weaponrack01',NULL,'','','',0,4455,32,0,0,0,0,0,0,0,0,0,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630017,'ceiling_chandelier_human_ornate02',NULL,'','','',0,3430,32,0,1,1,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630018,'floor_chair_gnome_ornate01',NULL,'','','',0,3045,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630019,'floor_table_gnome_round',NULL,'','','',0,2064,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630020,'rug',NULL,'','','',0,3514,32,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630021,'fprt_bench_plainlong01',NULL,'','','',0,1492,32,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630022,'qey_butcherblock',NULL,'','','',0,1518,34,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630024,'weaponrack03',NULL,'','','',0,4651,32,0,0,0,0,0,0,0,0,0,0,0,52,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630025,'training_dummy',NULL,'','','',0,1558,36,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630026,'training_dummy_hanging',NULL,'','','',0,1582,36,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630027,'divider',NULL,'','','',0,10687,26,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630028,'floor_urn02_any_clay',NULL,'','','',0,1960,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630029,'fprt_weaponrack_sword001',NULL,'','','',0,6262,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630030,'chair_1',NULL,'','','',0,1391,29,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630031,'breakable_collision_small_wall',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630032,'rug',NULL,'','','',0,3512,64,0,0,0,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630033,'fprt_weapons_tablethrowaxe01',NULL,'','','',0,6267,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630034,'fprt_weapons_tableshortbow01',NULL,'','','',0,6266,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630035,'fprt_counter_cornerplainlong01',NULL,'','','',0,1500,32,0,0,0,0,0,0,0,0,0,0,0,96,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6630036,'door_exit',NULL,'','','',0,49,32,0,0,0,97,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6640000,'',NULL,'','','',0,49,32,0,1,1,28,0,0,0,0,1,0,0,372,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6640001,'Thurgadin Grand Hall',NULL,'','','',0,15385,16,0,1,1,45,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650000,'Darathar','','','','',255,4496,112,0,1,1,11,0,0,1,1,1,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650001,'Bdorn Alehammer','<Elefa''s Intercepter Mercenary>','','','',2,4968,32,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650002,'a slain inhabitant','','','','',9,1481,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650003,'a Deathfist mercenary','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650004,'a Deathfist vanguard','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650005,'a dire wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650006,'a Deathfist tracker','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650007,'a drakota broodling','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650008,'a broodling protector','','','','',255,238,59,7,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650009,'a broodling protector','','','','',255,238,73,4,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650010,'a protective broodling','','','','',255,238,32,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650011,'Er''aithe the Broodmother','','','','',255,238,112,0,1,1,11,0,0,1,1,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650012,'a Deathfist mercenary','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650013,'Rawg, Traitor of Zek','','','','',20,5027,48,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650014,'a Deathfist mercenary','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650015,'Guardian of Darathar','','','','',255,310,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650016,'a Deathfist mercenary captain','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650017,'a Deathfist mercenary prophet','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650018,'a Deathfist mercenary squad leader','','','','',20,5024,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650019,'Academy Door',NULL,'','','',0,3738,47,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650020,'egg_ice_01',NULL,'','','',0,1667,192,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650021,'Right Draconic Door',NULL,'','','',0,3738,57,0,1,1,167,0,511,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650022,'Left Draconic Door',NULL,'','','',0,3738,78,0,1,1,167,0,511,0,0,1,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6650023,'The Ulteranis',NULL,'','','',0,1513,64,0,1,1,45,0,0,0,0,1,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660000,'Nudd Frostfoot','<Frostfell Tree Chief>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660001,'Gumos Frostfoot','<Minister of Food>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660002,'Gutt Frostfoot','<Dinner Table Director>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660003,'Nute Frostfoot','<Stocking Sergeant>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660004,'Surdi Frostfoot','<Wreath Wrangler>','','','',255,7039,38,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660005,'Ginneldarf Gigglegibber','<Fuel Merchant>','','','',255,7039,25,0,1,1,10,1265,0,0,0,1,0,0,35,46,46,0,0,1343,0,0,0,0,0,0,0,0,0,0,0,0),
(6660006,'Dux Frostfoot','<Candle Captain>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660007,'Zeds Frostfoot','<Ribbon Officer>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660008,'Blosk Frostfoot','<Gift General>','','','',255,7039,35,0,1,1,9,0,23362,0,0,1,0,0,35,46,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660009,'snow_boulder',NULL,'','','',0,5014,32,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660010,'snow boulder',NULL,'','','',0,5014,115,0,0,0,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660011,'dragon_invisible_wall',NULL,'','','',0,4544,128,0,1,0,0,0,17142,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660012,'invisible wall, force shield',NULL,'','','',0,4544,44,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660013,'Stove & Keg',NULL,'','','',0,2340,32,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660014,'Woodworking Table',NULL,'','','',0,2341,32,0,1,1,4,0,0,0,0,1,1,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660015,'Engraved Desk',NULL,'','','',0,2339,32,0,1,1,4,0,0,0,0,1,1,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660016,'Chemistry Table',NULL,'','','',0,2338,31,0,1,1,4,0,0,0,0,1,1,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660017,'Work Bench',NULL,'','','',0,2342,32,0,1,1,4,0,0,0,0,1,1,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660018,'Sewing Table & Mannequin',NULL,'','','',0,2530,32,0,1,1,4,0,0,0,0,1,1,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660019,'timber_widget',NULL,'','','',0,13389,32,0,1,1,0,0,0,0,0,1,0,0,122,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660020,'groceries_widget',NULL,'','','',0,15121,32,0,1,1,0,0,0,0,0,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660021,'fabric_widget',NULL,'','','',0,4612,32,0,1,1,0,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660022,'wreath_kit_widget',NULL,'','','',0,1576,32,0,1,1,0,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660023,'wax_widget',NULL,'','','',0,3094,32,0,1,1,0,0,0,0,0,1,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660024,'tree_kit_widget',NULL,'','','',0,12814,32,0,1,1,0,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660025,'paper_widget',NULL,'','','',0,5979,32,0,1,1,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6660026,'exit_widget',NULL,'','','',0,2306,32,0,1,1,51,0,23983,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670000,'a tamed yeti','','','','',255,7257,64,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670001,'a Guardian of D''Ina','<Maidens of E''ci>','','','',255,182,79,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670002,'a summoned barrier of ice','','','','',255,5012,32,0,1,1,0,0,0,1,1,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670003,'an Icy Shard','<Ice Creation of D''Ina>','','','',255,2553,80,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670004,'an Icy Construct','<Ice Creation of D''Ina>','','','',255,9482,192,0,1,1,11,0,1495,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670005,'Odaufe','','','','',255,9483,64,0,1,1,11,0,1867,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670006,'Kastus','<Mangler of Epithet>','','','',255,9483,64,0,1,1,11,0,1867,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670007,'Tamer Nicoli','<Yeti Tamer>','','','',255,7257,112,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670008,'a freezing goblin','','','','',255,7039,38,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670009,'wall_gate_right_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670010,'wall_gate_right_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670011,'vox_door_2',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670012,'vox_door_1',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,218,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670013,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670014,'',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,187,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670015,'invis_wall',NULL,'','','',0,4544,24,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670016,'snow_boulder',NULL,'','','',0,5014,32,0,1,1,0,0,0,0,0,0,0,0,154,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670017,'invisible wall, force shield',NULL,'','','',0,4544,44,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670018,'invis_cube_yeti',NULL,'','','',0,2306,86,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670019,'dust snow effect',NULL,'','','',0,2306,32,0,1,1,0,0,17068,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670020,'',NULL,'','','',0,5012,49,0,1,1,0,0,0,0,0,0,0,0,248,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670021,'frostfell_fanatic06',NULL,'','','',0,13692,10,0,1,1,0,0,0,0,0,1,0,0,273,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670022,'A frozen length of ice',NULL,'','','',0,5086,43,0,1,1,52,0,1494,0,0,1,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670023,'barricade',NULL,'','','',0,13863,64,0,1,1,0,0,0,0,0,0,0,0,152,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670024,'a dead yeti',NULL,'','','',255,7257,32,0,1,1,0,0,228,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670025,'Gate Captain H''Bri',NULL,'','','',255,182,96,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670026,'Ice Maiden D''Ina',NULL,'','','',255,8234,256,0,1,1,0,0,1794,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670027,'an enslaved snow goblin',NULL,'','','',255,7039,46,5,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670028,'a Guardian of D''Ina',NULL,'','','',255,182,60,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670029,'spell_effect_flames',NULL,'','','',0,2306,160,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670031,'Ice Maiden D''Ina',NULL,'','','',255,8234,96,0,1,1,11,0,1794,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670032,'egg1',NULL,'','','',0,2306,32,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670033,'egg_shells',NULL,'','','',0,2306,56,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670034,'egg1',NULL,'','','',0,6045,67,0,1,1,53,0,1494,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670035,'egg2',NULL,'','','',0,2306,67,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670036,'egg3_broken',NULL,'','','',0,2306,56,0,1,1,0,0,1494,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670037,'invisible wall, force shield',NULL,'','','',0,3180,77,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670038,'invis_cube_device',NULL,'','','',0,2306,32,0,1,1,0,0,17431,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670039,'invisible wall, force shield',NULL,'','','',0,4544,32,0,1,1,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670040,'',NULL,'','','',0,10004,64,0,1,1,54,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670041,'',NULL,'','','',0,2306,180,0,1,1,0,0,1491,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6670042,'?',NULL,'','','',0,7657,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870000,'a hoarfrost attacker',NULL,'','','',255,9786,32,0,1,1,11,0,0,1,1,1,0,1,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870001,'a frostbite scrapper',NULL,'','','',255,5862,48,0,1,1,11,0,1494,1,1,1,0,1,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870002,'Frostbite',NULL,'','','',255,6536,64,0,1,1,11,0,1494,1,1,0,0,1,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870003,'Jarok Frostpetal',NULL,'','','',255,7039,32,0,1,1,9,0,1494,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870004,'Snarf Frostfoot','','','','',255,7039,32,0,1,1,9,0,1794,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870005,'Gerbi Frostfoot','<Frostfoot Merchant>','','','',255,7039,25,0,1,1,10,0,1794,0,0,1,0,0,35,0,0,0,0,42059,0,0,0,0,0,0,0,0,0,0,0,0),
(6870006,'Sogs Frostfoot','<Crafting Recruiter>','','','',255,7039,32,0,1,1,9,0,23362,0,0,1,0,0,35,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870007,'a reindeer','','','','',255,2414,41,0,1,1,0,0,0,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870008,'Kaylie Brianne','','','','',15,1486,35,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870009,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870010,'a Frostfell elf','','','','',15,114,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870011,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870012,'Giggawat Gigglegibber','<Frostfell Vendor>','','','',255,7039,25,0,1,1,10,0,0,0,0,1,0,0,35,0,0,0,0,42060,0,0,0,0,0,0,0,0,0,0,0,0),
(6870013,'Glank Gigglegibber','<Banker>','','','',255,7039,25,0,1,1,14,9,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870014,'a reindeer','','','','',255,2414,38,0,1,1,0,0,12960,0,0,1,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870015,'a Gigglegibber Goblin Gamblin'' Game Vendor','','','','',255,7039,18,0,1,1,43,0,0,0,0,1,0,0,35,0,0,0,0,42055,0,32,0,0,0,0,0,0,0,0,0,0),
(6870016,'Aildiun Mawdrun','<League of Freethinkers>','','','',9,134,41,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870017,'Giffle Gigglegibber','<Mender>','','','',255,7039,25,0,1,1,12,9,0,0,0,1,0,0,35,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0),
(6870018,'Garsleblat Gigglegibber','<Frostfell Vendor>','','','',255,7039,25,0,1,1,10,0,0,0,0,1,0,0,35,0,0,0,0,1177,0,0,0,0,0,0,0,0,0,0,0,0),
(6870019,'a Frostfell faun','','','','',255,7038,32,0,1,1,0,0,11299,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870020,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870021,'a Frostfell elf','','','','',1,115,16,0,1,1,0,0,11854,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870022,'Frostbite','','','','',255,23497,32,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870023,'Jarok Frostpetal','','','','',255,23367,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870024,'Keyrin Curetouch','<Mirieth''s Forest Spirit Mercenary>','','','',15,4991,32,0,1,1,11,0,0,1,1,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870025,'Gebekn','Mirieth''s gathering goblin','','','',255,7296,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870026,'Jingle','','','','',8,135,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870027,'Queen Bunny ','','','','',16,6488,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870028,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870029,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870030,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870031,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870032,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870033,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870034,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870035,'a Frostfell elf','','','','',1,115,16,0,1,1,0,0,11854,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870036,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870037,'Marie Aillene','','','','',15,113,32,0,1,1,0,0,2645,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870038,'a reindeer','','','','',255,2414,41,0,1,1,0,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870039,'a frostfell cube','','','','',255,11823,19,0,1,1,0,0,0,0,0,0,0,0,30,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870040,'Nathan Ironforge','','','','',9,134,22,0,1,1,0,0,1493,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870041,'Shark','','','','',255,242,64,8,1,0,0,0,0,0,0,1,0,0,62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870042,'a reindeer','','','','',255,20678,38,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870043,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870044,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870045,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870046,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870047,'Gasher','<Santa Glug''s helper>','','','',255,7039,22,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870048,'Glitzen','<Santa Glug''s helper>','','','',255,7039,20,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870049,'Santa Glug','<Frostfell Giftgiver>','','','',255,9397,25,0,1,1,9,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870050,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870051,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870052,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870053,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(6870054,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,4096,0,0,0),
(6870055,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870056,'a Frostfell elf','','','','',1,115,16,0,1,1,0,0,11854,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870057,'Gardy Ex-Giftgiver','','','','',1,115,19,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870058,'a Frostfell elf','','','','',15,114,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870059,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870060,'a Frostfell elf','','','','',1,115,16,0,1,1,0,0,11854,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870061,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870062,'Acorn Kornelius','','','','',2,110,32,0,1,1,0,0,13113,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870063,'Fuzzy','Pinecone''s Familiar','','','',255,33669,16,0,0,0,0,0,0,0,0,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870064,'Fuzzy','Pinecone''s spotted baby bovoch','','','',255,21114,19,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870065,'Mr. McScroogle','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870066,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870067,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870068,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870069,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870070,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870071,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870072,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870073,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870074,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870075,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870076,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870077,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870078,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870079,'Brenlo Bixiebopper VI','','','','',15,108,38,0,1,1,0,0,2645,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870080,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870081,'a Frostfell elf','','','','',1,115,16,0,1,1,0,0,11854,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870082,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870083,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870084,'Jarith Icewing','<Frostfell Apprentice>','','','',255,27143,22,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870085,'Glargle Gigglegibber','<Fuel Merchant>','','','',255,7039,25,0,1,1,10,1265,0,0,0,1,0,0,35,0,0,0,0,1177,0,0,0,0,0,0,0,0,0,0,0,0),
(6870086,'a toymaker','','','','',8,135,16,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870087,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,12960,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870088,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870089,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870090,'Frestishan','<Candy Cane Committee>','','','',8,135,16,0,1,1,9,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870091,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870092,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870093,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870094,'a Frostfell fae','','','','',16,6488,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870095,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870096,'a Frostfell elf','','','','',8,136,16,0,1,1,0,0,11854,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870097,'a Frostfell fae','','','','',16,6489,32,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870098,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870099,'a Gigglegibber goblin','','','','',255,7039,25,0,1,1,0,0,0,0,0,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870100,'a toymaker','','','','',8,136,16,0,1,1,0,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870101,'Tinsel','<sweatermaker>','','','',15,113,16,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870102,'Giddlenerf Gigglegibber','<Fuel Merchant>','','','',255,7039,25,0,1,1,10,1265,0,0,0,1,0,0,35,0,0,0,0,1322,0,0,0,0,0,0,0,0,0,0,0,0),
(6870103,'Twine','<sweatermaker>','','','',15,114,16,0,1,1,9,0,0,0,0,1,0,0,28,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870104,'Guhtosle Gigglegibber','<Fuel Merchant>','','','',255,7039,25,0,1,1,10,1265,0,0,0,1,0,0,35,0,0,0,0,1192,0,0,0,0,0,0,0,0,0,0,0,0),
(6870105,'a candymaker','','','','',8,135,16,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870106,'a candymaker','','','','',8,136,16,0,1,1,0,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870107,'Candice Cheriweth','','','','',7,107,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870108,'a drakerfly','','','','',255,6536,19,0,1,1,0,0,0,0,0,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870109,'a unicorn','','','','',255,268,51,0,1,1,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870110,'dpo_holiday_candycane_large05_redpink',NULL,'','','',0,7051,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870111,'dpo_holiday_candycane_small05_redpink',NULL,'','','',0,7054,64,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870112,'icy snowballs',NULL,'','','',0,5957,32,0,0,0,42,0,0,0,0,1,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870113,'dpo_bauble_red01',NULL,'','','',0,8728,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870114,'dpo_bauble_green01',NULL,'','','',0,8727,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870115,'quest starter',NULL,'','','',0,5971,32,0,0,0,0,0,0,0,0,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870116,'dpo_holiday_candycane_large04_green',NULL,'','','',0,7050,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870117,'present03_big',NULL,'','','',0,7077,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870118,'dpo_present03_medium',NULL,'','','',0,7078,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870119,'dpo_bauble_silver01',NULL,'','','',0,8729,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870120,'Leanto',NULL,'','','',0,2020,32,0,0,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870121,'dpo_bauble_blue01',NULL,'','','',0,8722,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870122,'dpo_present_darkver_purple_big',NULL,'','','',0,8747,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870123,'dpo_bow01_red_wall',NULL,'','','',0,7081,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870124,'holiday_fruitcake',NULL,'','','',0,7071,32,0,0,0,23,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870125,'dpo_xmas_candy',NULL,'','','',0,7069,32,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870126,'dpo_snowwoman01_sad',NULL,'','','',0,7067,8,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870127,'dpo_snowman01_sad',NULL,'','','',0,7066,8,0,0,0,0,0,0,0,0,0,0,0,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870128,'dpo_holiday_candlegroup01_redsilver',NULL,'','','',0,7048,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870129,'dpo_holiday_candlegroup01_greensilver',NULL,'','','',0,7047,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870130,'presents01',NULL,'','','',0,5968,32,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870131,'candycane',NULL,'','','',0,5983,46,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870132,'candles2',NULL,'','','',0,5962,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870133,'candles1',NULL,'','','',0,5961,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870134,'qst_unseenhand_table_2',NULL,'','','',0,1402,18,0,0,0,0,0,0,0,0,0,0,0,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870135,'an Ironforge anvil',NULL,'','','',0,2984,32,0,0,0,0,0,0,0,0,1,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870136,'dpo_xmas_apples',NULL,'','','',0,7068,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870137,'candycane',NULL,'','','',0,5986,23,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870138,'candycane',NULL,'','','',0,5984,32,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870139,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870140,'dpo_gumdrop_red01',NULL,'','','',0,15455,19,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870141,'dpo_gumdrop_green01',NULL,'','','',0,15454,19,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870142,'dpo_candy_peppermint01',NULL,'','','',0,4841,138,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870143,'presents01',NULL,'','','',0,5967,32,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870144,'presents01',NULL,'','','',0,5970,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870145,'dpo_present03_big',NULL,'','','',0,7077,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870146,'presents01',NULL,'','','',0,5972,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870147,'presents01',NULL,'','','',0,5971,32,0,0,0,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870148,'lamp_post',NULL,'','','',0,7085,32,0,0,0,0,0,0,0,0,0,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870149,'invis_wall',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,175,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870150,'dpo_holiday_candycane_small03_blue',NULL,'','','',0,7052,73,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870151,'candycane',NULL,'','','',0,5985,64,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870152,'holiday_snowpile01',NULL,'','','',0,7093,80,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870153,'christmas_tree_small01_kelethin',NULL,'','','',0,7084,112,0,0,0,0,0,0,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870154,'presents01',NULL,'','','',0,5977,31,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870155,'dpo_holiday_candycane_large03_blue',NULL,'','','',0,7049,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870156,'dpo_sack_of_coal01',NULL,'','','',0,8750,32,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870157,'broken vase',NULL,'','','',0,3340,16,0,0,0,0,0,0,0,0,0,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870158,'object_ice_chest',NULL,'','','',0,13695,11,0,0,0,0,0,0,0,0,0,0,0,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870159,'dpo_pastries01',NULL,'','','',0,8740,32,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870160,'qst_unseenhand_firewood_2',NULL,'','','',0,1396,32,0,0,0,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870161,'cog_table',NULL,'','','',0,5209,32,0,0,0,0,0,0,0,0,0,0,0,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870162,'Frostfell Work Bench',NULL,'','','',0,2346,31,0,1,0,4,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870163,'dpo_holiday_candycane_small04_green',NULL,'','','',0,7053,64,0,0,0,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870164,'dpo_candy_peppermint02',NULL,'','','',0,4842,138,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870165,'presents01',NULL,'','','',0,5969,32,0,0,0,0,0,0,0,0,0,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870166,'Frostfell Loom',NULL,'','','',0,2545,31,0,1,0,4,0,0,0,0,1,0,0,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870167,'dpo_candycane_gumdrop_cordon01',NULL,'','','',0,20379,32,0,0,0,0,0,0,0,0,0,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870168,'snowman',NULL,'','','',0,5975,32,0,0,0,0,0,0,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870169,'dpo_xmas_eggnog',NULL,'','','',0,7070,22,0,0,0,0,0,0,0,0,0,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870170,'floor_table_human_ornate04',NULL,'','','',0,2179,32,0,0,0,0,0,0,0,0,0,0,0,59,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870171,'dpo_cookie_plate01',NULL,'','','',0,7968,32,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870172,'dpo_candycane_gumdrop_cordon03',NULL,'','','',0,20381,32,0,0,0,0,0,0,0,0,0,0,0,222,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870173,'snowwoman',NULL,'','','',0,5976,32,0,0,0,0,0,0,0,0,0,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870174,'dpo_ham01',NULL,'','','',0,8739,32,0,0,0,0,0,0,0,0,0,0,0,74,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870175,'dpo_apple_pie',NULL,'','','',0,8720,32,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870176,'snow drift',NULL,'','','',0,7093,28,0,0,0,0,0,0,0,0,0,0,0,111,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870177,'dpo_bow01_green_wall',NULL,'','','',0,7080,32,0,0,0,0,0,0,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870178,'blank sign',NULL,'','','',0,1985,19,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870179,'Frostfell Stove & Keg',NULL,'','','',0,2345,31,0,1,1,4,0,0,0,0,1,1,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870180,'sign_frostfoot',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870181,'sign_santa_queen',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870182,'sign_reindeer',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870183,'danger sign',NULL,'','','',0,1985,41,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870184,'danger sign',NULL,'','','',0,40,88,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870185,'lottery sign',NULL,'','','',0,4067,32,0,0,0,44,0,0,0,0,1,0,0,40,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870186,'sign_painting_1',NULL,'','','',0,1581,32,0,0,0,0,0,0,0,0,0,0,0,21,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870187,'',NULL,'','','',0,4997,90,0,0,0,46,0,0,0,0,1,0,0,289,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870188,'',NULL,'','','',0,23521,32,0,0,0,1324,0,0,0,0,1,0,0,188,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870189,'Exit',NULL,'','','',0,3165,56,0,0,0,45,0,0,0,0,1,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870190,'teleporter_to_steamfont',NULL,'','','',0,2306,32,0,0,0,45,0,23983,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870191,'sign_sweater',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870192,'sign_mcscroogle',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870193,'sign_tree',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870194,'sign_toy',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870195,'sign_candy',NULL,'','','',0,1985,32,0,0,0,0,0,0,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870196,'Mailbox',NULL,'','','',0,11447,32,0,0,0,1325,0,0,0,0,1,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870197,'present',NULL,'','','',0,5971,60,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870198,'present',NULL,'','','',0,5972,37,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870199,'present',NULL,'','','',0,5969,43,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870200,'?',NULL,'','','',0,6674,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(6870201,'a frostfell cube',NULL,'','','',255,11823,19,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440000,'top1',NULL,'','','',255,15764,200,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440001,'sumac tile',NULL,'','','',255,15764,200,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440002,'top',NULL,'','','',255,15764,200,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440003,'stairs',NULL,'','','',255,25475,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440004,'stairs',NULL,'','','',255,25475,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440005,'stairs',NULL,'','','',255,25475,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440006,'sumac tile',NULL,'','','',255,15764,200,0,1,0,0,0,9733,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440007,'16697',NULL,'','','',255,16697,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440008,'ladder',NULL,'','','',255,4104,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440009,'ladder',NULL,'','','',255,4103,32,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440010,'Disco Ball Stick',NULL,'','','',255,10737,11,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7440011,'Disco Ball',NULL,'','','',255,12158,200,0,1,0,0,0,11278,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700001,'a Zek berserker','','','','',21,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700002,'a Zek dark knight','','','','',21,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700003,'a Zek defiler','','','','',21,5108,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700004,'a Zek pummeler','','','','',21,5021,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700005,'a Zek warrior','','','','',21,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700006,'a Zek destroyer','','','','',21,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700007,'a Zek war wolf','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700008,'a Zek inquisitor','','','','',21,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700009,'Grozmag''s champion','','','','',21,5022,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700010,'Pedestal of the Champion',NULL,'','','',0,2682,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7700011,'zone_to_orcish_wastes',NULL,'','','',0,49,32,0,0,0,1276,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7710000,'a drowned footsoldier','','','','',9,1521,30,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(7720000,'a drowned footsoldier','','','','',9,1521,30,2,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8150000,'Shakhnazarian',NULL,'','','',255,5234,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8150001,'Ruffles',NULL,'','','',255,61,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8150002,'Stonehew',NULL,'','','',255,134,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8150003,'Kestrel','Guide Merchant','','','',255,134,32,0,1,1,10,0,0,0,0,0,0,0,32,26,26,0,0,100465,0,0,0,0,0,0,0,0,0,0,0,0),
(8150004,'Senior Guide''s Jewel Box',NULL,'','','',255,18566,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8150005,'Bridget Merrytoe',NULL,'','','',255,107,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8150006,'Charles',NULL,'','','',255,18979,32,0,1,1,0,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160000,'In Rememberance: Aradune',NULL,'','','',255,1704,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160001,'Bridge Platform',NULL,'','','',255,1,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160002,'flowers',NULL,'','','',255,1622,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160003,'flowers',NULL,'','','',255,1622,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160004,'flowers',NULL,'','','',255,1622,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160005,'flowers',NULL,'','','',255,1622,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160006,'flowers',NULL,'','','',255,1622,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160007,'flowers',NULL,'','','',255,1622,32,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160008,'a flag',NULL,'','','',255,1530,150,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160009,'Aradune','[1969 - 2019]','','','',255,5013,64,0,0,1,0,0,16225,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160010,'Venekor','','','','',255,1628,57,0,1,1,11,0,0,1,1,1,0,1,272,850000,826,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160011,'Lucan D''Lere','','','','',9,4112,38,0,1,1,0,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160012,'Antonia Bayle','','','','',255,4111,36,0,1,1,9,0,15640,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160013,'a Gruttooth lookout',NULL,'','','',255,145,32,0,1,1,11,0,0,1,1,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160014,'6 Point Bridge Crosser','','','','',255,3813,50,0,1,1,9,0,0,0,0,1,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160015,'Faydark','','','','',255,306,50,0,1,1,9494,9,0,0,0,1,1,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160016,'Speed 1',NULL,'','','',255,145,32,0,1,1,9,0,0,0,0,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160017,'Speed 2',NULL,'','','',255,145,32,0,1,1,9,0,0,0,0,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160018,'Speed 4',NULL,'','','',255,145,32,0,1,1,9,0,0,0,0,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160019,'Speed 6',NULL,'','','',255,145,32,0,1,1,9,0,0,0,0,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160020,'Animation Speed Scroll',NULL,'','','',255,2831,25,0,1,1,9,0,0,0,0,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160021,'2 Point Bridge Crosser','','','','',255,3812,50,0,1,1,9,0,0,0,0,1,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160022,'Movement with Elevation Scroll',NULL,'','','',255,2831,25,0,1,1,9,0,0,0,0,1,0,35,0,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160023,'4 Point Bridge Crosser','','','','',255,3805,50,0,1,1,9,0,0,0,0,1,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8160024,'Chonk',NULL,'','','',255,268,32,0,1,1,11,0,0,1,1,1,0,35,0,110,55,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0),
(8170000,'Gnomish Knockback Device',NULL,'','','',255,25424,32,0,1,1,0,0,0,0,0,1,0,0,0,26,26,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(8170001,'Mirror of Forgiveness',NULL,'','','',255,16637,32,0,1,1,0,0,0,0,0,1,0,0,0,26,26,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0),
(8180000,'Kerran Mannequin',NULL,'','','',255,97,45,0,1,0,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180001,'Entry Hall',NULL,'','','',255,14989,50,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180002,'Floor01',NULL,'','','',255,15352,750,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180003,'Tile',NULL,'','','',255,15352,750,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180004,'Wall01',NULL,'','','',255,25480,100,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180005,'Column01',NULL,'','','',255,21247,35,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180006,'Measure01',NULL,'','','',255,3600,100,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180007,'Door01',NULL,'','','',255,9889,80,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180008,'Door02',NULL,'','','',255,9890,80,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180009,'Stage01',NULL,'','','',255,17383,1500,0,0,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180010,'MeasureEndWallTotal',NULL,'','','',255,3600,110,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180011,'MeasureStage01',NULL,'','','',255,3600,59,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180012,'Column02',NULL,'','','',255,21249,65,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180013,'lonpainting01',NULL,'','','',255,10749,120,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180014,'lonpainting02',NULL,'','','',255,1281,110,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180015,'lonpainting03',NULL,'','','',255,1280,110,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180016,'lonpainting04',NULL,'','','',255,21813,110,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180017,'lonpainting05',NULL,'','','',255,9360,125,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180018,'lonpainting06',NULL,'','','',255,21816,112,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180019,'Stairs01',NULL,'','','',255,25475,87,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180020,'Stairs02',NULL,'','','',255,24396,121,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180021,'lonpainting07',NULL,'','','',255,10748,123,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180022,'lonpainting08',NULL,'','','',255,1277,123,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180023,'DragonHoard01',NULL,'','','',255,391,350,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180024,'Test',NULL,'','','',255,25714,50,0,1,0,0,0,0,0,0,0,0,0,0,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180025,'Custodian',NULL,'','','',255,25258,75,0,1,1,9,0,0,0,0,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8180026,'Actor',NULL,'','','',9,113,32,0,1,1,9,0,0,0,0,0,0,0,32,1876,1876,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200000,'Lord Tonmerk',NULL,'','','',255,112,32,0,1,1,9,0,0,0,0,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200001,'Rustam the Vile',NULL,'','','',255,53,32,0,1,1,11,0,0,1,1,0,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200002,'Ronicus the Red',NULL,'','','',255,134,32,0,1,1,11,0,0,1,1,0,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200003,'a crypt robber',NULL,'','','',255,134,32,0,1,1,11,0,0,1,1,0,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200004,'a crypt robber',NULL,'','','',255,78,32,0,1,1,11,0,0,1,1,0,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200005,'a crypt robber',NULL,'','','',255,134,32,0,1,1,11,0,0,1,1,0,0,0,32,526,526,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200006,'qey_catacomb_entrance01',NULL,'','','',0,49,32,0,0,0,361,0,0,0,0,1,1,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200007,'qey_catacomb_entrance02',NULL,'','','',0,49,32,0,0,0,361,0,0,0,0,1,1,0,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200008,'entry_sarcophagus_01',NULL,'','','',0,49,32,0,0,0,1350,1351,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200009,'entry_sarcophagus_02',NULL,'','','',0,49,32,0,0,0,1350,1351,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200010,'entry_sarcophagus_03',NULL,'','','',0,49,32,0,0,0,1350,1351,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200011,'entry_sarcophagus_04',NULL,'','','',0,49,32,0,0,0,1350,1351,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200012,'entry_sarcophagus_05',NULL,'','','',0,49,32,0,0,0,1350,1351,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200013,'entry_sarcophagus_06',NULL,'','','',0,49,32,0,0,0,1350,1351,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200014,'object_remains',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8200015,'a desecrated remains',NULL,'','','',9,1521,32,0,1,0,11,0,0,1,1,1,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8220000,'A Decomposed Suitor',NULL,'','','',255,143,42,0,1,1,11,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8220001,'a flesh appellant',NULL,'','','',1,4548,32,0,1,1,11,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8220002,'a foul spook',NULL,'','','',255,140,32,0,1,1,11,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230000,'Earthen Avatar Apprentice','earthen avatar','','','',0,8303,3,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230001,'Earthen Avatar Expert','earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230002,'Earthen Avatar Master','Laelinne''s earthen avatar','','','',255,8306,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230003,'Earthen Avatar II Apprentice',NULL,'','','',255,6280,32,0,1,1,0,0,0,1,1,0,0,0,32,6376,6376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230004,'Earthen Avatar II Adept','Ikec''s earthen avatar','','','',255,6284,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230005,'Earthen Avatar II Expert','Ikec''s earthen avatar','','','',255,6284,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230006,'Earthen Avatar II Master','Ikec''s earthen avatar','','','',255,6284,12,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230007,'Earthen Avatar III Apprentice','Thipsycho''s earthen avatar','','','',255,12201,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230008,'Earthen Avatar III Adept','Thipsycho''s earthen avatar','','','',255,12201,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230009,'Earthen Avatar III Expert','Thipsycho''s earthen avatar','','','',255,12201,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230010,'Earthen Avatar III Master','Thipsycho''s earthen avatar','','','',255,12201,19,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230011,'Earthen Avatar IV Apprentice','Zarali''s earthen avatar','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230012,'Earthen Avatar IV Adept','Zarali''s earthen avatar','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230013,'Earthen Avatar IV Expert','Zarali''s earthen avatar','','','',255,2412,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230014,'Earthen Avatar IV Master','Slaggatha''s earthen avatar','','','',255,2413,22,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230015,'Earthen Avatar V Apprentice','Alyisia''s earthen avatar','','','',255,11216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230016,'Earthen Avatar V Adept','Alyisia''s earthen avatar','','','',255,11216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230017,'Earthen Avatar V Expert','Alyisia''s earthen avatar','','','',255,11216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230018,'Earthen Avatar V Master','Alyisia''s earthen avatar','','','',255,11216,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230019,'Earthen Avatar VI Apprentice','Magslyte''s earthen avatar','','','',255,6282,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230020,'Earthen Avatar VI Adept','Magslyte''s earthen avatar','','','',255,6282,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230021,'Earthen Avatar VI Expert','Magslyte''s earthen avatar','','','',255,6282,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230022,'Earthen Avatar VI Master','Magslyte''s earthen avatar','','','',255,6282,38,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230023,'Earthen Avatar VII Apprentice','Draconix''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230024,'Earthen Avatar VII Adept','Draconix''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230025,'Earthen Avatar VII Expert','Draconix''s earthen avatar','','','',255,8302,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230026,'Earthen Avatar VII Master','Master Velihan''s earthen avatar','','','',255,7247,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230027,'Earthen Avatar VIII Apprentice','Athe''s earthen avatar','','','',255,11678,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230028,'Earthen Avatar VIII Adept','Athe''s earthen avatar','','','',255,11678,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230029,'Earthen Avatar VIII Expert','Athe''s earthen avatar','','','',255,11678,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230030,'Earthen Avatar VIII Master','Apan''s earthen avatar','','','',255,11678,41,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230031,'Fiery Magician I Apprentice','Conjura''s fiery magician','','','',255,295,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230032,'Fiery Magician I Adept',NULL,'','','',255,2362,16,0,1,1,0,0,0,1,1,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230033,'Fiery Magician I Expert',NULL,'','','',255,2362,16,0,1,1,0,0,0,1,1,0,0,0,32,1251,1251,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230034,'Fiery Magician I Master','','','','',255,308,27,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230035,'Fiery Magician II Apprentice','Kemset''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230036,'Fiery Magician II Adept','Kemset''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230037,'Fiery Magician II Expert','Kemset''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230038,'Fiery Magician II Master','Kemset''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230039,'Fiery Magician III Apprentice','','','','',255,1375,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230040,'Fiery Magician III Adept','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230041,'Fiery Magician III Master',NULL,'','','',255,2360,32,0,1,1,0,0,0,1,1,0,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230042,'Fiery Magician III Expert','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230043,'Fiery Magician IV Apprentice','Starrun''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,1051,1051,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230044,'Fiery Magician IV Adept','Starrun''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230045,'Fiery Magician IV Expert','Starrun''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230046,'Fiery Magician IV Master','Starrun''s fiery magician','','','',255,3294,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230047,'Fiery Magician Apprentice','Uljae''s fiery magician','','','',255,9657,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230048,'Fiery Magician V Adept','Uljae''s fiery magician','','','',255,9657,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230049,'Fiery Magician V Expert','Uljae''s fiery magician','','','',255,9657,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230050,'Fiery Magician V Master','Circee''s fiery magician','','','',255,9656,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230051,'Fiery Magician VI Apprentice','Riip''s fiery magician','','','',255,12546,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230052,'Fiery Magician VI Adept','Riip''s fiery magician','','','',255,12546,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230053,'Fiery Magician VI Expert','Riip''s fiery magician','','','',255,12546,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230054,'Fiery Magician VI Master','Scruff''s fiery magician','','','',255,12545,28,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230055,'Undead Knight Apprentice','undead knight','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8230056,'Undead Knight Adept','undead knight','','','',255,4558,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250000,'a cooking pot',NULL,'','','',0,4144,32,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250001,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250002,'qst_unseenhand_keg_1',NULL,'','','',0,1398,32,0,0,0,0,0,0,0,0,0,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250003,'hanging_meat01',NULL,'','','',0,1533,18,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250004,'an old bench',NULL,'','','',0,2979,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250005,'sacks of flour',NULL,'','','',0,1474,32,0,0,0,0,0,0,0,0,0,0,0,144,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250006,'qst_unseenhand_crate_1',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250007,'qst_unseenhand_crate_2',NULL,'','','',0,1949,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250008,'qst_unseenhand_bucket_1',NULL,'','','',0,1663,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250009,'Marshal Glorfel','','','','',0,1481,33,0,1,1,9,0,0,0,0,1,0,0,34,361,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250010,'a fallen knight','','','','',8,134,32,0,1,1,9,0,228,0,0,1,0,0,34,6800,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250011,'a Freeport mole','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,30,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250012,'a disgruntled refugee','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250013,'a Freeport partisan','','','','',3,1598,32,0,1,1,9,0,0,0,0,1,0,0,34,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250014,'Tavithi N''sari','','','','',1,79,32,0,1,1,9,0,0,0,0,1,0,0,26,150,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250015,'QCitizenTrial_DoorClosed',NULL,'','','',0,1857,36,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250016,'QCitizenTrial_DoorOpen',NULL,'','','',0,1857,36,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250017,'zone_to_qey_villages',NULL,'','','',0,1857,32,0,0,0,9501,0,0,0,0,1,1,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250018,'zone_to_qey_city',NULL,'','','',0,1857,32,0,0,0,9500,0,0,0,0,1,1,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8250019,'a makeshift bed',NULL,'','','',0,1999,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260001,'a desperate defender','','','','',0,1470,32,0,1,1,11,0,0,1,1,1,0,11,34,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260002,'a white spiderling','','','','',255,246,16,0,1,1,11,0,0,1,1,1,0,361,10,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260003,'a cave serpent','','','','',255,193,44,0,1,1,11,0,0,1,1,1,0,0,8,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260004,'a Dustpaw armorer','','','','',255,1384,28,0,1,1,11,0,0,1,1,1,0,1,32,130,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260005,'a Dustpaw armorer','','','','',255,3816,25,0,1,1,11,0,0,1,1,1,0,1,32,130,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260006,'a Dustpaw guard','','','','',255,1384,35,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260007,'a Dustpaw lookout','','','','',255,3816,30,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260008,'a Mudpaw guard','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260009,'a Mudpaw lookout','','','','',255,3816,25,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260010,'a pale adder','','','','',255,227,64,0,1,1,11,0,0,1,1,1,0,1,8,350,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260011,'a river behemoth','','','','',255,155,32,0,1,1,11,0,1862,1,1,1,0,0,35,1400,430,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260012,'a Rockpaw guard','','','','',255,1384,34,1,1,1,11,0,0,1,1,1,0,1,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260013,'a Rockpaw scout','','','','',255,1384,30,2,1,1,11,0,0,1,1,1,0,1,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260014,'a Rockpaw stonemaster','','','','',255,1384,38,0,1,1,11,0,0,1,1,1,0,1,32,655,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260015,'a Rockpaw striker','','','','',255,1384,32,0,1,1,11,0,0,1,1,1,0,1,32,425,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260016,'a shale bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260017,'a silverfish','','','','',255,204,32,0,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260018,'a terra bat','','','','',255,239,38,0,1,1,11,0,0,1,1,1,0,1,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260019,'a white spider','','','','',255,246,32,0,1,1,11,0,0,1,1,1,0,361,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260020,'an alabaster behemoth','','','','',255,155,27,1,1,1,11,0,0,1,1,1,0,0,35,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260021,'an alabaster golem','','','','',255,155,14,0,1,1,11,0,0,1,1,1,0,0,35,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260022,'an alabaster golem','','','','',255,155,17,3,1,1,11,0,0,1,1,1,0,0,35,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260023,'an albino arachnid','','','','',255,246,38,0,1,1,11,0,0,1,1,1,0,1,10,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260024,'an albino python','','','','',255,227,80,0,1,1,11,0,0,1,1,1,0,1,8,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260025,'Atramentor','','','','',255,153,38,0,0,0,0,0,0,0,0,0,0,0,35,2360,1085,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260026,'Dustcaller Sleg','','','','',255,4099,32,0,1,1,11,0,0,1,1,1,0,1,32,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260027,'Guard Belaire','','','','',0,1698,32,0,1,1,9,11,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260028,'High Shaman Zen''Durath','','','','',255,3816,32,0,1,1,11,0,0,1,1,1,0,0,32,800,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260030,'Neddris','','','','',255,227,160,0,1,1,11,0,0,1,1,1,0,1,8,1445,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260031,'obsidian rocks','','','','',255,153,25,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260032,'Slaverjaw','','','','',255,232,160,0,1,1,11,0,0,1,1,1,0,1,16,2860,760,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260033,'Smithy Slampaw','','','','',255,1384,25,0,1,1,11,0,0,1,1,1,0,0,32,400,145,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(8260034,'The Devoured','','','','',255,3723,38,0,1,1,11,0,496,1,1,0,0,1,32,1445,480,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260035,'The Pale Broodmother','','','','',255,246,54,0,1,1,11,0,0,1,1,1,0,1,10,530,120,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0),
(8260036,'Warmonger Gurne','','','','',255,1384,54,0,1,1,11,0,0,1,1,1,0,1,32,211,211,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260037,'a canoe',NULL,'','','',0,1904,48,0,0,0,0,0,0,0,0,0,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260038,'a crystal formation',NULL,'','','',0,1911,40,0,1,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260039,'a crystal formation',NULL,'','','',0,1910,30,0,1,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260040,'a crystal formation',NULL,'','','',0,1912,32,0,1,0,0,0,0,0,0,0,0,0,98,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260044,'dpo_spiderweb_corner01',NULL,'','','',0,5140,47,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260045,'dpo_spiderweb_large01',NULL,'','','',0,5141,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260046,'dpo_spiderweb_large02',NULL,'','','',0,5142,20,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260047,'dpo_spiderweb_small01',NULL,'','','',0,5143,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260048,'dpo_spiderweb_small02',NULL,'','','',0,5144,40,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260059,'banner_kilroy',NULL,'','','',0,1900,60,0,1,1,135,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260060,'diamond_kilroy',NULL,'','','',0,1917,43,0,1,1,135,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260061,'mariners_bell',NULL,'','','',0,16,32,0,0,0,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(8260062,'mariners_bell',NULL,'','','',0,16,32,0,0,0,358,0,0,0,0,1,0,0,32,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(8260063,'qey_catacomb_entrance01',NULL,'','','',0,15753,32,0,0,0,373,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260064,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260065,'creature den',NULL,'','','',0,3999,45,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260066,'dusky ore',NULL,'','','',0,1724,9,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260067,'fetid arbor',NULL,'','','',0,3927,32,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260068,'natural garden',NULL,'','','',0,4075,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260069,'rigid stone',NULL,'','','',0,1550,18,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260070,'stodgy roots',NULL,'','','',0,1733,28,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260071,'variety of fish',NULL,'','','',0,4157,25,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260072,'ToDownBelow',NULL,'','','',0,1857,32,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1310588,0,0,0,0,0,0,0,0),
(8260073,'a silt bat','','','','',255,239,32,0,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260074,'a cave serpent','','','','',255,197,44,0,1,1,11,0,0,1,1,1,0,361,8,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260075,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260076,'bedroll',NULL,'','','',0,1997,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260077,'an alabaster golem','','','','',255,155,15,3,1,1,11,0,0,1,1,1,0,0,35,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260078,'Drossdozer','','','','',255,155,28,3,1,1,11,0,0,1,1,1,0,1,35,360,150,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260079,'an alabaster golem','','','','',255,155,15,3,1,1,11,0,0,1,1,1,0,0,35,145,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260080,'an albino bat','','','','',255,2833,38,0,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260081,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260082,'a pale adder','','','','',255,227,64,0,1,1,11,0,0,1,1,1,0,1,8,290,105,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260083,'a Rockpaw scout','','','','',255,1384,30,2,1,1,11,0,0,1,1,1,0,1,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260084,'a Rockpaw guard','','','','',255,1384,34,1,1,1,11,0,0,1,1,1,0,1,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260085,'a Rockpaw guard','','','','',255,1384,34,1,1,1,11,0,0,1,1,1,0,1,32,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260086,'an alabaster behemoth','','','','',255,155,27,1,1,1,11,0,0,1,1,1,0,0,35,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260087,'a Mudpaw guard','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,1,32,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260088,'a Mudpaw lookout','','','','',255,3816,30,0,1,1,11,0,0,1,1,1,0,1,32,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260089,'a Mudpaw guard','','','','',255,3816,28,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260090,'a Dustpaw taskmaster','','','','',255,1384,37,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260091,'a Mudpaw taskmaster','','','','',255,1384,37,0,1,1,11,0,0,1,1,1,0,1,32,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260092,'a gnollish chest',NULL,'','','',0,1908,12,0,0,0,295,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260093,'Atramentor','','','','',255,153,38,0,1,1,0,0,11191,1,1,0,0,0,35,1770,580,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260094,'an alabaster behemoth','','','','',255,155,18,1,1,1,11,0,0,1,1,1,0,0,35,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260095,'Invisible_Cube_Atramentor',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260096,'BurningFire_invisible_cube',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260097,'natural herb garden',NULL,'','','',0,3949,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260098,'dpo_invisible_cube',NULL,'','','',0,2306,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260099,'a curious rock',NULL,'','','',0,1668,8,0,0,0,295,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8260100,'mariners_bell_classic',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,7,0,0,0,0,0,0,0,0),
(8270000,'Guard Ingraham','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270002,'a Black Asp','','','','',255,227,70,0,1,1,11,0,0,1,1,1,0,1,8,540,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270003,'a bound watcher','','','','',255,195,38,0,1,1,11,0,0,1,1,1,0,1,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270005,'a brittle accountant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,165,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270006,'a centipede','','','','',255,256,22,3,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270007,'a deep lurker','','','','',255,194,35,2,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270008,'a devoted follower','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270009,'a forgotten guardian','','','','',255,295,19,0,1,1,11,0,0,1,1,1,0,1,89,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270010,'a Flamepaw loyalist','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270011,'a forgotten guardian','','','','',255,155,12,0,1,1,11,0,0,1,1,1,0,1,32,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270012,'a gossamer groundskeeper','','','','',255,2852,32,0,1,1,11,0,0,1,1,1,0,356,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270013,'a lake swarmer','','','','',255,2389,32,0,1,1,11,0,0,1,1,1,0,0,32,70,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270014,'a leathershell snapper','','','','',255,218,28,3,1,1,11,0,0,1,1,1,0,0,9,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270015,'a forest scavenger','','','','',255,244,32,6,1,1,11,0,0,1,1,1,0,1,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270016,'a Rabid Badger','','','','',255,267,25,0,1,1,11,0,0,1,1,1,0,1,10,540,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270017,'a rock adder','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270018,'a sleepless one','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,95,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270019,'a stoneshell snapper','','','','',255,215,38,3,1,1,11,0,0,1,1,1,0,0,9,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270020,'a sun beetle','','','','',255,208,48,0,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270021,'a timber deer','','','','',255,206,27,3,1,1,11,0,0,1,1,1,0,0,38,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270024,'a tireless student','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270025,'a woodland badger','','','','',255,267,12,3,1,1,11,0,0,1,1,1,0,0,10,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270026,'an Antonican hawk','','','','',255,260,22,0,1,1,11,0,0,1,1,1,0,0,17,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270027,'Kendall Copperhold`s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,775,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270028,'Kinloc Flamepaw''s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,1445,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270029,'Outlander Vaughn','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270030,'Sergeant at Arms Uthros','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270031,'Sorn Copperhold`s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,775,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270032,'The Basalt Watcher','','','','',255,1371,118,0,1,0,0,0,0,0,0,0,0,0,32,2860,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270034,'Yestura Rhamrey''s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,775,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270035,'door_castle_right01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,161,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270036,'door_castle_left01',NULL,'','','',0,49,32,0,1,1,45,0,0,0,0,1,0,0,159,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270037,'a Crowned Scavenger','','','','',255,244,65,6,1,1,11,0,0,1,1,1,0,1,10,775,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270038,'qey_catacomb_entrance01',NULL,'','','',0,38,32,0,0,0,135,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270039,'zone_to_qey_village06',NULL,'','','',0,49,32,0,0,0,1019,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270040,'zone_to_qey_village05',NULL,'','','',0,49,32,0,0,0,1018,0,0,0,0,1,0,0,148,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270041,'goblin_broken_cage01',NULL,'','','',0,1526,32,0,1,1,135,0,0,0,0,1,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270042,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270043,'Merchant Aedre','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8270044,'a hunk of Luclin',NULL,'','','',0,5788,20,0,0,0,0,0,0,0,0,0,0,0,1050,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270045,'a bonecutter fish','','','','',255,204,22,3,1,1,11,0,0,1,1,1,0,1,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270046,'a hunk of Luclin',NULL,'','','',0,5788,7,0,0,0,0,0,0,0,0,0,0,0,1050,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270047,'natural garden',NULL,'','','',0,3909,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270048,'aged arbor',NULL,'','','',0,3930,39,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270049,'blemished ore',NULL,'','','',0,3955,33,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270050,'damp roots',NULL,'','','',0,1732,22,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270051,'unearthed stones',NULL,'','','',0,2378,18,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270052,'creature den',NULL,'','','',0,4004,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270053,'natural herb garden',NULL,'','','',0,3908,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270054,'array of fish',NULL,'','','',0,4156,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270055,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270056,'a forgotten guardian','','','','',255,152,25,0,1,1,11,0,0,1,1,1,0,1,32,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270057,'a tattered spellbook','','','','',255,281,48,0,0,0,11,0,0,0,0,0,0,0,9,10,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270058,'a ruins skulker','','','','',0,1346,30,0,1,1,11,0,0,1,1,1,0,0,32,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270059,'a ruins skulker','','','','',0,1346,30,0,1,1,11,0,0,1,1,1,0,0,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270060,'a ruins skulker','','','','',0,1346,30,0,1,1,11,0,0,1,1,1,0,0,32,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270061,'a forgotten guardian','','','','',255,155,12,0,1,1,11,0,0,1,1,1,0,1,32,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270062,'a forgotten guardian','','','','',255,295,19,0,1,1,11,0,0,1,1,1,0,1,89,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270063,'a forgotten sentinel','','','','',255,152,20,0,1,1,11,0,0,1,1,1,0,1,32,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270064,'a forsaken observer','','','','',255,195,38,0,1,1,11,0,0,1,1,1,0,1,89,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270065,'Tinshen Brinth''s Remains','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,1045,325,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270066,'a sleepless one','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270067,'a decrepit row boat',NULL,'','','',0,4644,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270068,'a decrepit barrel',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270069,'a smashed barrel',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270070,'a decrepit shipwreck',NULL,'','','',0,1703,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270071,'a decrepit skeleton',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270072,'a decrepit chest',NULL,'','','',0,8,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270073,'a decrepit chest',NULL,'','','',0,4034,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270074,'a decrepit chest',NULL,'','','',0,4034,32,0,0,0,0,0,11903,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270075,'a tireless student','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8270076,'a devoted follower','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8280000,'Captain Varlos',NULL,'','','',9,134,35,0,1,1,9,0,0,0,0,0,0,0,32,751,751,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290001,'a bog faerie','','','','',255,181,38,0,1,1,11,0,0,1,1,1,0,365,48,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290002,'a bog faerie','','','','',255,181,38,0,1,1,11,0,0,1,1,1,0,365,48,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290003,'a bog faerie','','','','',255,181,35,3,1,1,11,0,0,1,1,1,0,365,48,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290004,'a bog sludge','','','','',255,299,38,0,1,1,11,0,0,1,1,1,0,361,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290005,'a bog slug','','','','',255,252,30,1,1,1,11,0,0,1,1,1,0,361,32,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290006,'a bog slug hatchling','','','','',255,252,18,0,1,1,11,0,0,1,1,1,0,0,32,40,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290007,'a faerie abbot','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,365,48,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290008,'a faerie gatekeeper','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,365,48,140,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290009,'a faerie gatekeeper','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,365,48,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290010,'a faerie guardian','','','','',255,181,54,0,1,1,11,0,0,1,1,1,0,365,48,430,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290011,'a faerie noblesse','','','','',255,181,51,0,1,1,11,0,0,1,1,1,0,365,48,420,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290012,'a faerie noblesse','','','','',255,181,57,3,1,1,11,0,0,1,1,1,0,365,48,420,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290013,'a faerie noblesse','','','','',255,181,54,3,1,1,11,0,0,1,1,1,0,365,48,420,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290014,'a faerie noblesse','','','','',255,181,51,0,1,1,11,0,0,1,1,1,0,365,48,420,145,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290015,'a fay tangleroot','','','','',255,274,80,0,1,1,11,0,0,1,1,1,0,0,64,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290016,'a fungus crawler','','','','',255,256,75,0,1,1,11,0,0,1,1,1,0,1,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290017,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,555,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290018,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,555,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290019,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,555,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290020,'a juvenile shriller','','','','',255,239,22,0,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290021,'a large scavenger','','','','',255,233,40,8,1,1,11,0,0,1,1,1,0,0,12,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290022,'a marsh hatchling','','','','',255,190,15,3,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290023,'a mist stalker','','','','',255,216,34,0,1,1,11,0,0,1,1,1,0,0,32,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290024,'a muck toad','','','','',255,224,32,0,1,1,11,0,0,1,1,1,0,0,12,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290025,'a mud seep','','','','',255,299,48,0,1,1,11,0,0,1,1,1,0,0,32,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290026,'a puny scavenger','','','','',255,196,27,1,1,1,11,0,0,1,1,1,0,361,12,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290027,'a ravenous bog slug','','','','',255,252,50,0,1,1,11,0,0,1,1,1,0,1,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290028,'a rot crawler',NULL,'','','',255,258,75,0,1,1,11,0,0,1,1,1,0,1,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290029,'a silt sucker','','','','',255,301,50,3,1,1,11,0,0,1,1,1,0,1,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290030,'a swamp seep','','','','',255,298,64,0,1,1,11,0,0,1,1,1,0,0,32,145,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290031,'a toxic bog slug','','','','',255,252,40,0,1,1,11,0,0,1,1,1,0,0,32,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290032,'a wetland monitor','','','','',255,190,32,0,1,1,11,0,0,1,1,1,0,0,8,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290033,'Bashmouth','','','','',255,224,48,0,1,1,11,0,0,1,1,1,0,1,12,485,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290034,'Guard Andrews','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,11,34,1905,240,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(8290035,'Guard Dierdra','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(8290036,'Guard Nander','','','','',2,110,32,0,1,1,11,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,1966143,0,0,0,0,0,0,0,0),
(8290037,'Guard Vivian','','','','',0,111,32,0,1,1,11,0,0,1,1,1,0,11,34,1905,640,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(8290038,'Lurkblister','','','','',255,301,96,0,1,1,11,0,0,1,1,1,0,1,32,2585,430,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290039,'Sicklejaw','','','','',255,256,89,0,1,1,11,0,0,1,1,1,0,1,32,1115,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290040,'Stonegnasher','','','','',255,190,44,0,1,1,11,0,0,1,1,1,0,1,8,1045,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290041,'The Sun Wolf','','','','',255,2835,40,0,1,1,11,0,0,1,1,1,0,1,32,585,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290042,'a marsh monitor','','','','',255,190,32,3,1,1,11,0,0,1,1,1,0,0,8,405,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290043,'a mist hunter','','','','',255,216,32,0,1,1,11,0,0,1,1,1,0,0,32,405,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290044,'Queen Ezeldra','','','','',255,181,64,0,1,1,11,0,0,1,1,1,0,1,48,1770,485,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290045,'Merchant Oakvil','<Merchant>','','','',9,134,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8290046,'qey_catacomb_entrance01',NULL,'','','',0,38,38,0,0,0,361,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290047,'Nettleville Door',NULL,'','','',0,49,32,0,0,0,1014,0,0,0,0,1,0,0,263,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290048,'Starcrest Door',NULL,'','','',0,49,32,0,0,0,1015,0,0,0,0,1,0,0,262,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290049,'zone_to_antonica',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290050,'a mud hopper','','','','',255,224,52,0,1,1,11,0,0,1,1,1,0,0,12,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290052,'a bog faerie','','','','',255,181,38,0,1,1,11,0,0,1,1,1,0,365,48,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290053,'a greater bog faerie','','','','',255,181,48,0,1,1,11,0,0,1,1,1,0,1,48,555,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290054,'misty stone',NULL,'','','',0,2210,48,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290055,'assortment of fish',NULL,'','','',0,4157,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290056,'creature den',NULL,'','','',0,4002,52,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290057,'dense felled arbor',NULL,'','','',0,3927,38,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290058,'murky ore',NULL,'','','',0,1725,7,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290059,'natural garden',NULL,'','','',0,4075,38,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290060,'wilted roots',NULL,'','','',0,1730,33,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290061,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290062,'nourished garden',NULL,'','','',0,3951,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8290063,'a dark figure',NULL,'','','',255,1591,32,0,1,1,0,0,0,0,0,1,0,0,32,26,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300000,'Guard Solas','','','','',0,112,32,0,1,1,13,0,0,1,1,1,0,214,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300001,'a badger cub','','','','',255,267,15,0,1,1,11,0,0,1,1,1,0,0,10,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300002,'a bear cub','','','','',255,198,17,1,1,1,11,0,0,1,1,1,0,0,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300003,'a clearwater frog','','','','',255,237,22,0,1,1,11,0,0,1,1,1,0,0,12,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300004,'a corrupted dryad',NULL,'','','',255,174,33,3,1,1,11,0,0,1,1,0,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300005,'a freshwater trout','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300006,'a sunshimmer sprite','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,48,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300007,'a treant sapling','','','','',255,212,12,0,1,1,9,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300008,'a vicious badger','','','','',255,267,25,0,1,1,11,0,0,1,1,1,0,0,10,405,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300009,'Judge Eunomia','','','','',255,173,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300010,'a young mystail rat','','','','',255,231,35,0,1,1,11,0,0,1,1,1,0,0,12,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300011,'Ambassador Jalanderra','','','','',255,181,49,0,1,1,11,0,0,1,1,1,0,0,48,650,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300012,'Ambassador Kialee','','','','',255,164,25,0,1,1,11,0,0,1,1,1,0,0,48,650,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300013,'an Oakmyst doe','','','','',255,206,26,3,1,1,11,0,0,1,1,1,0,0,38,345,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300014,'an Oakmyst fairy','','','','',255,181,22,0,1,1,11,0,0,1,1,1,0,0,48,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300015,'an oakmyst fawn','','','','',255,206,21,1,1,1,11,0,0,1,1,1,0,0,38,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300016,'an Oakmyst great bear','','','','',255,198,32,0,1,1,11,0,0,1,1,1,0,1,36,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300017,'an Oakmyst royal defender','','','','',255,152,16,0,1,1,11,0,0,1,1,1,0,0,89,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300018,'an Oakmyst spider',NULL,'','','',255,244,25,0,1,1,11,0,0,1,1,1,0,0,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300019,'an Oakmyst spirit','','','','',255,273,32,0,1,1,11,0,0,1,1,1,0,0,32,930,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300020,'Aundor Singingsword','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300021,'Empress Anassa','','','','',255,173,38,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300022,'Ferith`Anar','','','','',255,268,40,0,1,1,11,0,0,1,1,1,0,0,32,1470,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300023,'Grubdigger','','','','',255,198,48,0,1,1,11,0,0,1,1,1,0,1,36,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300024,'Huntmaster Krell','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300026,'Karach the Spider Queen','','','','',255,245,44,0,1,1,11,0,0,1,1,1,0,1,10,1445,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300027,'Rotweed','','','','',255,274,48,0,1,1,0,0,0,1,1,0,0,1,64,1770,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300028,'N`Almia the Corruptor','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,1,26,1115,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300029,' ','','','','',255,2306,32,0,0,0,11,0,0,0,0,0,0,0,64,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300030,'Scholar Neola','','','','',255,173,32,0,1,1,9,0,0,0,0,1,0,0,32,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300031,'Steward Tredo','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300032,'Tracker Galera','','','','',15,113,32,0,1,1,9,0,0,0,0,1,0,0,28,1501,1501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300033,'Tracker Kelnis','','','','',8,136,35,0,1,1,9,0,0,0,0,1,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300034,'a glowmyst beetle','','','','',255,222,55,0,1,1,11,0,0,1,1,1,0,0,8,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300035,'a mystail yearling','','','','',255,231,32,0,1,1,11,0,0,1,1,1,0,0,12,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300036,'a mystail matriarch','','','','',255,231,41,0,1,1,11,0,0,1,1,1,0,0,12,260,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300037,'(unnamed)',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300038,'(unnamed)',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300039,'Jemila','<General Goods>','','','',11,96,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100447,0,0,0,0,0,0,0,0,0,0,0,0),
(8300040,'merchant_box',NULL,'','','',0,4605,32,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300041,'mariners_bell',NULL,'','','',0,16,32,0,1,1,358,0,0,0,0,1,0,0,38,0,0,0,0,0,71,0,0,0,0,0,0,0,0,0,0,0),
(8300042,'mariners_bell',NULL,'','','',0,16,32,0,1,1,1040,0,0,0,0,1,0,0,38,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0),
(8300043,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300044,'inspect_rock_poem',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,1,0,91,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300045,'Observer Galadn','','','','',4,1431,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300046,'Guard Madeline ','','','','',9,132,32,0,1,1,13,0,0,1,1,1,0,214,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300047,'Guard Truesteel','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,214,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300048,'an Oakmyst fairy','','','','',255,181,22,0,1,1,11,0,0,1,1,1,0,0,48,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300049,'an Oakmyst fairy','','','','',255,181,22,0,1,1,11,0,0,1,1,1,0,0,48,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300050,'an Oakmyst fairy','','','','',255,181,22,0,1,1,11,0,0,1,1,1,0,0,48,270,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300051,'a sunshimmer sprite','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,48,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300052,'a sunshimmer sprite','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,48,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300053,'a sunshimmer sprite','','','','',255,164,16,0,1,1,11,0,0,1,1,1,0,0,48,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300054,' a lingering corruption',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300055,'compound ore',NULL,'','','',0,3956,39,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300056,'grizzled arbor',NULL,'','','',0,3938,29,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300057,'moss encased stone',NULL,'','','',0,2210,42,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300058,'muddy roots',NULL,'','','',0,1730,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300059,'mystical natural garden',NULL,'','','',0,4077,31,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300060,'creature den',NULL,'','','',0,4003,59,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300061,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300062,'cluster of fish',NULL,'','','',0,4160,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300063,'a fairy ring',NULL,'','','',0,3952,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8300064,'an Oakmyst poacher','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,30,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8310000,'Exit',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320000,'Exit',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320001,'Arena Pedestal',NULL,'','','',0,3180,32,0,0,0,9512,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320002,'a large crate',NULL,'','','',0,1950,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320003,'a barrel',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320004,'an old crate',NULL,'','','',0,1393,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320005,'a stein',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320006,'a cask',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320007,'a Sconce',NULL,'','','',0,2728,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320008,'a cask',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320009,'collision',NULL,'','','',0,4544,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320010,'Bink Oakshire','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,616,616,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320011,'Counselor Vemerik','','','','',6,78,32,0,1,1,9,0,0,0,0,1,0,0,34,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320012,'Burk Stoneshatter','<Barbarian Mentor>','','','',0,1468,32,0,1,1,9,0,0,0,0,1,0,0,34,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320013,'Hargan Icethaw','','','','',0,112,32,0,1,1,9,0,11420,0,0,1,0,0,34,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320014,'Master-at-Arms Dagorel','','','','',2,110,32,0,1,1,9,0,0,0,0,1,0,0,34,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320015,'Lona Dolsar','','','','',0,111,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320016,'Jodi','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320017,'Mav Boilfist','<Dwarf Mentor>','','','',2,1476,32,0,1,1,9,0,0,0,0,1,0,0,18,136,136,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320018,'Bana Shez','','','','',11,96,32,0,1,1,9,0,11854,0,0,1,0,0,32,316,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1),
(8320019,'Duncan Airth','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320020,'Issak Teech','','','','',11,98,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320021,'Byrtle Bobblepeg','','','','',5,122,32,0,1,1,9,0,0,0,0,1,0,0,34,211,211,0,0,0,0,0,0,786435,0,0,0,0,0,0,0,0),
(8320022,'Knight-Captain Gerathalas','<Qeynos Guard>','','','',8,136,32,0,1,1,9,13,0,0,0,1,0,0,28,15000,5000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320023,'Luvile Binlee','','','','',9,132,32,0,1,1,9,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320024,'a rock lion','','','','',255,303,32,2,1,1,11,0,0,1,1,1,0,1,35,100,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320025,'a grizzly bear','','','','',255,198,32,2,1,1,11,0,0,1,1,1,0,1,36,115,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8320026,'Victor Pedestal',NULL,'','','',0,3180,32,0,0,0,9512,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330000,'a beaten table',NULL,'','','',0,2040,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330001,'a chandelier',NULL,'','','',0,3432,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330002,'a stein',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330003,'a keg',NULL,'','','',0,1956,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330004,'a barrel',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330005,'a small crate',NULL,'','','',0,1951,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330006,'a well-used bar',NULL,'','','',0,1978,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330007,'a Chess table',NULL,'','','',0,3222,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330008,'a stool',NULL,'','','',0,2013,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330009,'Fermented Grape Painting',NULL,'','','',0,4196,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330010,'Fermented Grape Painting',NULL,'','','',0,1958,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330011,'Fermented Grape Painting',NULL,'','','',0,4278,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330012,'Exit',NULL,'','','',0,0,32,0,0,0,841,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330013,'a candleabra',NULL,'','','',0,3442,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330014,'a candleabra',NULL,'','','',0,2080,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330015,'a tapestry',NULL,'','','',0,4744,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330016,'an instrument',NULL,'','','',0,3635,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330017,'a card table',NULL,'','','',0,3229,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330018,'strewn cards',NULL,'','','',0,3172,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330019,'a concentrating chess player','','','','',3,119,32,0,1,1,9,0,0,0,0,1,0,0,32,16,16,0,0,33638,0,0,0,0,0,0,0,0,0,0,0,0),
(8330020,' a curious patron','','','','',7,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330021,'a perplexed bartender','','','','',8,136,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330022,'a cowering bard','','','','',8,79,32,0,1,1,9,0,0,0,0,1,0,0,26,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330023,'Captain Pegrinos','','','','',9,134,34,0,1,1,9,11,0,1,1,1,0,0,32,95,55,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(8330024,'a pirate swabby','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330025,'a pirate sailor','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,34,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330026,'a pirate first mate','','','','',6,79,32,0,1,1,11,0,0,1,1,1,0,0,34,65,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330027,'a pirate swabby','','','','',0,132,32,0,1,1,11,0,0,1,1,1,0,0,32,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8330028,'a pirate cutter','','','','',9,108,32,0,1,1,11,0,0,1,1,1,0,0,32,45,35,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(8330029,'a pirate sailor','','','','',9,78,32,0,1,1,11,0,0,1,1,1,0,0,34,70,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340001,'Merchant Adair Barnes','<General Goods>','','','',6,79,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8340002,'Merchant Falin Shaloon','<General Goods>','','','',2,110,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8340003,'To Nettleville Hovel',NULL,'','','',0,49,32,0,1,1,1014,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340004,'To Graystone Yard',NULL,'','','',0,49,32,0,1,1,226,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340005,'To Starcrest Commune',NULL,'','','',0,49,32,0,1,1,1015,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340006,'To The Baubleshire',NULL,'','','',0,49,32,0,1,1,1019,0,0,0,0,1,0,0,103,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340007,'To Castleview Hamlet',NULL,'','','',0,49,32,0,1,1,756,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340008,'To Willow Wood',NULL,'','','',0,49,32,0,1,1,1018,0,0,0,0,1,0,0,268,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340009,'To Vermin''s Snye',NULL,'','','',0,38,32,0,0,0,361,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340010,'To Qeynos Harbor',NULL,'','','',0,49,32,0,0,0,1017,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340011,'To South Qeynos',NULL,'','','',0,49,32,0,0,0,757,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340012,'To North Qeynos',NULL,'','','',0,49,32,0,1,1,1003,0,0,0,0,1,0,0,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340013,'To Elddar Grove',NULL,'','','',0,49,32,0,0,0,758,0,0,0,0,1,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340014,'qey_adv03_caves_entrance',NULL,'','','',0,38,49,0,0,0,1016,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,1310716,0,0,0,0,0,0,0,0),
(8340015,'a Bloodsaber Adjunct','','','','',13,65,38,0,1,1,11,0,0,1,1,1,0,1,19,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340016,'a Bloodsaber initiate','','','','',13,71,32,0,1,1,11,0,0,1,1,1,0,1,19,270,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340017,'a Bloodsaber initiate','','','','',13,64,32,0,1,1,11,0,0,1,1,1,0,1,19,270,120,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340018,'a Bloodsaber lookout','','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,1,19,175,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340019,'a Bloodsaber meddler','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,1,19,175,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340020,'a coiled burrower','','','','',255,213,41,0,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340021,'a creeper protector','','','','',255,244,33,1,1,1,11,0,0,1,1,1,0,1,10,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340022,'a crypt substance','','','','',255,298,25,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340023,'a dust crawler hatchling','','','','',255,257,22,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340025,'a fallen bodyguard','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,795,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340026,'a fallen noble','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340027,'a fallen noble','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340028,'A Fallen Prince','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,2065,635,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340029,'a forgotten soul','','','','',9,1521,25,0,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340030,'a frenzied watcher','','','','',255,245,32,0,1,1,11,0,0,1,1,1,0,1,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340031,'a juvenile shriller','','','','',255,239,22,0,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340032,'a malefic arachnid','','','','',255,244,17,1,1,1,11,0,0,1,1,1,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340033,'a putrid vermin','','','','',255,233,28,0,1,1,11,0,0,1,1,1,0,1,12,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340034,'a rabid pack rat','','','','',255,196,16,0,1,1,11,0,0,1,1,1,0,1,12,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340035,'a rabid shriller','','','','',255,239,28,3,1,1,11,0,0,1,1,1,0,1,8,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340036,'a rotting citizen','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340037,'a rotting citizen','','','','',255,140,25,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340038,'a rotting citizen','','','','',255,140,28,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340039,'a rotting royal','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,1205,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340040,'a rotting royal','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,1205,400,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340041,'A Rotting Vermin','','','','',255,233,38,0,1,1,11,0,0,1,1,1,0,1,12,670,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340042,'a shriller','','','','',255,239,25,0,1,1,11,0,0,1,1,1,0,1,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340043,'a tomb forager','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340044,'a tomb rifter bleeder','','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,1,8,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340045,'a tomb rifter bleeder','','','','',255,208,51,0,1,1,11,0,0,1,1,1,0,1,8,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340046,'a tomb rifter hatchling','','','','',255,208,32,0,1,1,11,0,0,1,1,1,0,0,8,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340047,'a tomb rifter pest','','','','',255,208,54,0,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340048,'a tortured soul','','','','',9,1521,25,3,1,1,11,0,0,1,1,1,0,1,36,870,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340049,'a venom spitter','','','','',255,245,33,5,1,1,11,0,0,1,1,1,0,1,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340050,'a venomous keeper','','','','',255,244,25,0,1,1,11,0,0,1,1,1,0,0,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340051,'a venomous watcher','','','','',255,244,28,0,1,1,11,0,0,1,1,1,0,1,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340052,'The Creeper','','','','',255,243,41,0,1,1,11,0,0,1,1,1,0,1,10,620,240,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340053,'The Crypt Protector','','','','',255,208,72,0,1,1,11,0,0,1,1,1,0,1,8,775,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340054,'The Grounds Keeper','','','','',255,140,40,0,1,1,11,0,0,1,1,1,0,1,36,3940,1350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340055,'a Bloodsaber scout','','','','',13,72,32,0,1,1,11,0,0,1,1,1,0,1,19,175,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340056,'Ancient Statue',NULL,'','','',0,3581,16,0,0,0,9491,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340057,'simple wooden coffin',NULL,'','','',0,1856,31,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340058,'qst_unseenhand_evilchest',NULL,'','','',0,1383,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340059,'inspect_unseen_hand_bookstack',NULL,'','','',0,49,32,0,1,1,1337,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340060,'inspect_ratman_keg',NULL,'','','',0,49,32,0,0,0,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340061,'inspect_unseen_hand_bookstack02',NULL,'','','',0,49,32,0,1,1,1337,0,0,0,0,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340062,'Jester_Coffin_Widget',NULL,'','','',0,49,32,0,1,1,1344,0,0,0,0,1,1,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340063,'qst_unseenhand_evilchest',NULL,'','','',0,1,32,0,1,1,135,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340064,'Chest of Skulls',NULL,'','','',0,1383,31,0,1,1,135,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340065,'human_skeleton_bones',NULL,'','','',0,1847,32,0,1,1,135,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8340066,'zone_to_epic01',NULL,'','','',0,1858,12,0,1,1,372,0,0,0,0,0,0,0,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350000,'Bubbles','','','','',0,124,40,0,1,1,11,0,0,1,1,1,0,120,10,1,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350001,'Tellurian Scarab','tellurian scarab','','','',0,2361,30,0,1,1,11,0,0,1,1,1,0,0,10,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350002,'Tellurian Crawler','tellurian crawler','','','',0,2363,30,0,1,1,11,0,0,1,1,1,0,0,10,0,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350004,'Tellurian Recruit ','tellurian recruit','','','',0,2462,20,0,1,1,11,0,0,1,1,1,0,0,10,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350005,'Bubbles','','','','',0,124,40,0,1,1,11,0,0,1,1,1,0,120,10,1,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350006,'Tellurian Scarab V2','tellurian scarab','','','',0,2361,30,0,1,1,11,0,0,1,1,1,0,0,10,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350007,'CombatTest',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350008,'',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350009,'NPCModule',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350010,'OrcModule',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350011,'EquipmentModule',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350012,'Summoned Wisp',NULL,'','','',0,273,32,0,1,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350013,'Summoned Pet',NULL,'','','',0,2852,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350014,'SpawnCampController',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350015,'PetModule',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350016,'Igneous Apprentice','igneous apprentice','','','',0,295,25,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350017,'Igneous Apprentice','igneous apprentice','','','',0,2362,32,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350018,'Igneous Apprentice','igneous apprentice','','','',0,3294,32,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8350019,'HeroicEncounterController',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360000,'Shrine of Inner Reflection',NULL,'','','',0,1749,32,0,0,0,713,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360001,'Soul Brazier',NULL,'','','',0,7224,28,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360003,'Mist',NULL,'','','',0,1905,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360004,'Too far...',NULL,'','','',0,2306,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360005,'A Warning',NULL,'','','',0,2306,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360006,'Timed Mist1',NULL,'','','',0,1905,125,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360007,'Timed Mist2',NULL,'','','',0,1905,150,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360008,'Timed Mist3',NULL,'','','',0,1905,150,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360009,'Timed Mist4',NULL,'','','',0,1905,150,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360010,'A disturbing shadow','','','','',0,240,32,0,1,1,11,0,0,1,1,1,0,1,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8360011,'Enter Warning',NULL,'','','',0,2306,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370000,'a large crate',NULL,'','','',0,1950,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370001,'a small crate',NULL,'','','',0,1951,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370002,'a crate',NULL,'','','',0,1949,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370003,'a chandelier',NULL,'','','',0,3432,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370004,'a stool',NULL,'','','',0,2058,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370005,'a barrel',NULL,'','','',0,2021,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370006,'a large old crate',NULL,'','','',0,3147,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370007,'a large shelf',NULL,'','','',0,2760,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370008,'a large shelf',NULL,'','','',0,3017,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370009,'a small barrel',NULL,'','','',0,2023,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370010,'a cask',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370011,'a desk',NULL,'','','',0,2176,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370012,'a large shelf',NULL,'','','',0,3018,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370013,'a chair',NULL,'','','',0,2011,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370014,'a game table',NULL,'','','',0,3230,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370015,'a message board',NULL,'','','',0,4067,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370016,'a stein',NULL,'','','',0,1400,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370017,'a ledger',NULL,'','','',0,1552,32,0,0,0,440,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370018,'a Qeynos Cache Guard','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,34,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370019,'Lieutenant Viceroy','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,930,360,0,0,0,0,0,0,786435,0,0,0,0,0,0,0,0),
(8370020,'a Qeynos Cache Guard','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,870,360,0,0,0,0,0,0,1966111,0,0,0,0,0,0,0,0),
(8370021,'a distracted Qeynos Cache guard','','','','',8,135,32,0,1,1,11,0,0,1,1,1,0,1,34,870,360,0,0,0,0,0,0,1835071,0,0,0,0,0,0,0,0),
(8370022,'a Chest',NULL,'','','',0,2102,32,0,0,0,186,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8370023,'Exit',NULL,'','','',0,0,32,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380000,'the ghost of Garanel Rucksif',NULL,'','','',255,110,35,0,1,1,11,0,496,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380001,'qey_table_desk_plain',NULL,'','','',0,1519,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380002,'chair_01',NULL,'','','',0,1391,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380003,'orc_candle_01',NULL,'','','',0,1613,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380004,'qst_galintos_candelabra_1',NULL,'','','',0,1412,32,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380005,'skeletons',NULL,'','','',0,1847,32,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380006,'singlebed001',NULL,'','','',0,1472,32,0,0,0,0,0,0,0,0,0,0,0,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380007,'flat_brown_goldtrim_01',NULL,'','','',0,1453,32,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8380008,'zone_from_workboots_quest',NULL,'','','',0,49,32,0,0,0,362,0,0,0,0,1,0,0,75,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390001,'a boneyard watcher','','','','',255,2895,25,6,1,1,9,0,0,1,1,1,0,104,32,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390002,'a brittle skeleton','','','','',9,1521,30,0,1,1,11,0,0,1,1,1,0,0,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390003,'a contagious rat','','','','',255,233,22,0,1,1,11,0,0,1,1,1,0,0,12,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390004,'a crumbling skeleton','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390005,'a disturbed soul','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390006,'a dread spider','','','','',255,205,44,0,1,1,11,0,0,1,1,1,0,0,10,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390007,'a durable skeleton','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390008,'a fearsome spider','','','','',255,205,38,0,1,1,11,0,0,1,1,1,0,0,10,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390009,'a fiendish ghoul','','','','',255,140,38,0,1,1,11,0,0,1,1,1,0,1,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390010,'a plague rat','','','','',255,233,28,0,1,1,11,0,0,1,1,1,0,0,12,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390012,'a putrid zombie','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,485,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390013,'a rotting zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390014,'a small spider','','','','',255,205,25,0,1,1,11,0,0,1,1,1,0,0,10,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390015,'a wooly spider','','','','',255,205,32,0,1,1,11,0,0,1,1,1,0,0,10,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390016,'an Ethernere caretaker','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,104,26,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390017,'an Ethernere defender','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,104,26,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390018,'an Ethernere guard','','','','',1,115,35,3,1,1,9,0,0,1,1,1,0,104,26,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390019,'an Ethernere undertaker','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,104,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390020,'an undead battlepriest','','','','',9,1521,32,1,1,1,11,0,0,1,1,1,0,1,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390021,'an undead crusader','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390022,'an undead fighter','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390023,'an undead lancer','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390024,'an undead pikeman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390026,'an undead squire','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390027,'Guard L''Sek','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390028,'Guard T''Crit','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390029,'Hangman San''toth','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,0,26,1850,610,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390030,'Merchant R''Tok','<Merchant>','','','',1,115,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8390031,'The Bonewatcher','','','','',255,2895,28,0,1,1,9,0,0,1,1,1,0,104,32,1510,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390032,'The Keeper of Ethernere','','','','',1,115,32,0,1,1,9,0,0,1,1,1,0,104,26,1165,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390033,'The Spirit of Valeron','','','','',255,2852,38,0,1,1,11,0,0,1,1,1,0,1,32,1845,610,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390034,'an undead knight','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,370,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390035,'an undead priest','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390036,'The Malevolent Knight','','','','',9,4557,40,0,1,1,11,0,0,1,1,1,0,1,36,2385,800,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390037,'an exhumed skeleton','','','','',9,1521,28,0,1,1,11,0,0,1,1,1,0,0,36,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390038,'a scourge rat','','','','',255,233,26,0,1,1,11,0,0,1,1,1,0,0,12,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390039,'an undead crusader','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390040,'an undead knight','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390041,'an undead priest','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390042,'To The Commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390045,'To Sunken City',NULL,'','','',0,49,32,0,0,0,329,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390046,'To Stonestair Byway',NULL,'','','',0,49,32,0,0,0,306,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390047,'a graverobber- Human','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390048,'a graverobber','','','','',13,53,32,0,1,1,11,0,0,1,1,1,0,0,19,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390049,'Graverobber Natasha','','','','',1,54,32,0,1,1,11,0,0,1,1,1,0,0,26,810,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390050,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390051,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390052,'creature den',NULL,'','','',0,3996,34,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390053,'dismal ore',NULL,'','','',0,3955,32,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390054,'exhumed stones',NULL,'','','',0,2378,16,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390055,'moldy roots',NULL,'','','',0,1729,22,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390056,'a cemetery garden',NULL,'','','',0,3951,29,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390057,'withered arbor',NULL,'','','',0,3938,41,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390058,'natural herb garden',NULL,'','','',0,4076,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390059,' ',NULL,'','','',0,1725,70,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8390060,'widget_inspect_thex_monument',NULL,'','','',0,49,32,0,1,1,61,0,0,0,0,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400001,'a Black Magi anarchist','','','','',13,53,32,0,1,1,11,0,0,1,1,1,0,364,19,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400002,'a Black Magi dissident','','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,364,19,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400003,'a Black Magi fanatic','','','','',13,54,32,0,1,1,11,0,0,1,1,1,0,364,19,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400004,'a Black Magi insurgent','','','','',13,53,32,0,1,1,11,0,0,1,1,1,0,364,19,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400005,'a dune scorpion','','','','',255,251,16,0,1,1,11,0,0,1,1,1,0,0,32,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400009,'a gravel viper','','','','',255,213,32,0,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400010,'a Guttersnipe crook','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,363,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400011,'a Guttersnipe hooligan','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,363,0,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400012,'a shoreside asp','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,75,45,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400013,'a wild dog','','','','',255,278,32,0,1,1,11,0,0,1,1,1,0,1,21,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400015,'a Giantslayer thug','','','','',0,112,32,0,1,1,11,0,0,1,1,1,0,362,34,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400016,'Gloomstalker','','','','',255,278,73,0,1,1,11,0,0,1,1,1,0,1,21,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400017,'Guard Gorgo','','','','',12,124,32,0,1,1,13,0,0,1,1,1,0,12,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400018,'Liege Aquila','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400019,'Merchant Loria','<Merchant>','','','',0,111,32,0,1,1,10,1265,0,0,0,1,0,0,34,151,151,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8400020,'Guard L`Unt','','','','',1,115,32,0,1,1,13,0,0,1,1,1,0,12,34,1,361,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400021,'Merchant Sasha','<Merchant>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402051,0,0,0,0,0,0,0,0,0,0,0,0),
(8400022,'Guard Talmudius','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400023,'a wild dog pup','','','','',255,278,22,0,1,1,11,0,0,1,1,1,0,1,21,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400025,'a Giantslayer brute','','','','',14,105,36,0,1,1,11,0,0,1,1,1,0,362,43,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400027,'a Giantslayer basher','','','','',12,123,32,0,1,1,11,0,0,1,1,1,0,362,43,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400028,'Axefist','','','','',0,157,40,0,1,1,11,0,0,1,1,1,0,1,34,410,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400029,'a halfling upstart','','','','',7,108,32,0,1,1,11,0,0,1,1,1,0,0,17,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400030,'a wood elf scout','','','','',15,113,32,0,1,1,11,0,0,1,1,1,0,0,28,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400031,'a dwarf agitator','','','','',2,109,32,0,1,1,11,0,0,1,1,1,0,0,18,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400032,'The Great Shivo','','','','',13,53,35,0,1,1,11,0,0,1,1,1,0,1,19,775,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400033,'Darius the Blade','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,0,810,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400034,'zone_to_fprt_adv04_ruins',NULL,'','','',0,49,32,0,1,1,980,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400035,'zone_to_fprt_hood01',NULL,'','','',0,49,32,0,0,0,77,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400036,'zone_to_fprt_sewer02_traitor',NULL,'','','',0,49,32,0,0,0,981,0,0,0,0,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400037,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400038,'zone_to_commonlands',NULL,'','','',0,49,32,0,0,0,67,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400039,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400040,'ravaged natural garden',NULL,'','','',0,4075,29,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400041,'felled arbor',NULL,'','','',0,3931,40,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400042,'feeble roots',NULL,'','','',0,1734,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400043,'excavated stone',NULL,'','','',0,1550,20,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400044,'dusty ore',NULL,'','','',0,1725,11,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400045,'creature den',NULL,'','','',0,3997,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400046,'black magi garden',NULL,'','','',0,3949,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8400047,'a_cog',NULL,'','','',0,1580,32,0,1,1,135,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410001,'a bulky brine sifter','','','','',255,211,22,3,1,1,11,0,0,1,1,1,0,0,25,405,180,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410002,'a brine sifter','','','','',255,211,18,2,1,1,11,0,0,1,1,1,0,0,25,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410003,'a cursed corpsman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410004,'a cursed cutthroat','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410005,'a cursed scout','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,61,61,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410006,'a Deadly Small Scorpion','','','','',255,251,32,1,1,1,11,0,0,1,1,1,0,0,32,810,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410007,'a dusk shark','','','','',255,242,32,0,1,1,11,0,0,1,1,0,0,0,17,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410008,'a rust monster','','','','',255,235,32,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410009,'a small rust monster','','','','',255,235,25,3,1,1,11,0,0,1,1,1,0,0,32,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410010,'a small scorpion','','','','',255,250,22,3,1,1,11,0,0,1,1,1,0,0,32,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410011,'Bouncer Ugbar','','','','',12,124,35,0,1,1,11,0,0,1,1,1,0,1,43,1510,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410012,'Captain Deaythan','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,610,250,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410013,'Guard Dugar','','','','',9,134,28,0,1,1,13,0,0,1,1,1,0,12,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410014,'Gerbard the Snitch','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,226,226,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410015,'Lukur','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,26,106,106,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8410016,'Master at Arms Venqruist','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,435,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410017,'Muck Raker','','','','',255,211,48,0,1,1,11,0,0,1,1,1,0,1,25,1170,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410018,'Saydith Yarr','','','','',10,1575,32,0,1,1,9,0,0,0,0,1,0,0,34,166,166,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410019,'Srat','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,1,19,825,260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410020,'Srit','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,1,19,825,260,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410021,'Guard Teleth','','','','',9,134,32,0,1,1,13,0,0,1,1,1,0,12,34,1905,640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410022,'Ulrich the Kingpin','','','','',9,134,38,0,1,1,11,0,0,1,1,1,0,1,32,1225,390,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410023,'a decaying deadling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410024,'a decaying deadling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410025,'a decaying deadling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410026,'The Revenant of Prexus','','','','',255,140,35,0,1,1,11,0,0,1,1,1,0,1,36,810,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410027,'holy symbol',NULL,'','','',0,1749,32,0,1,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410028,'a decaying deadling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410029,'a decaying deadling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410030,'a decaying deadling','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410031,'Respawn Tent',NULL,'','','',0,1723,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410032,'zone_to_fprt_adv02_graveyard',NULL,'','','',0,49,32,0,0,0,949,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410033,'mariners_bell',NULL,'','','',0,16,32,0,0,0,65,0,0,0,0,1,1,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(8410034,'mariners_bell',NULL,'','','',0,16,32,0,0,0,999,0,0,0,0,1,1,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(8410035,'a Freeport raider','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410036,'a Freeport raider','','','','',1,106,32,0,1,1,11,0,0,1,1,1,0,1,26,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410038,'a Freeport raider','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410039,'a menacing raider','','','','',14,115,32,0,1,1,11,0,0,1,1,1,0,1,43,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410040,'a menacing raider','','','','',12,124,32,0,1,1,11,0,0,1,1,1,0,1,43,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410041,'a Freeport raider','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410042,'a Freeport raider','','','','',1,106,32,0,1,1,11,0,0,1,1,1,0,1,26,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410043,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410044,'widget_box_7',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410045,'widget_box_2',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410046,'widget_box_3',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410047,'widget_box_4',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410048,'widget_box_1',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410049,'widget_box_5',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410050,'widget_box_6',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410051,'widget_box_8',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410052,'widget_box_9',NULL,'','','',0,49,32,0,1,1,162,0,0,0,0,1,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410053,'creature den',NULL,'','','',0,4002,52,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410054,'collection of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410055,'cruddy ore',NULL,'','','',0,1668,21,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410056,'decomposed arbor',NULL,'','','',0,3931,33,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410057,'eroded stone',NULL,'','','',0,1550,24,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410058,'ravaged natural garden',NULL,'','','',0,4078,34,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410059,'stale roots',NULL,'','','',0,1732,24,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410060,'widget_quest_crab_0',NULL,'','','',0,49,32,0,1,1,33,0,0,0,0,1,0,0,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410061,'wall_sign_kilroy',NULL,'','','',0,1715,32,0,1,0,135,0,0,0,0,1,1,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410062,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410063,'sign_arm',NULL,'','','',0,23,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410064,'barrel_kilroy',NULL,'','','',0,1713,32,0,1,1,135,0,0,0,0,1,1,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410065,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410066,'sign_arm',NULL,'','','',0,24,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410067,'sign_arm',NULL,'','','',0,22,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410068,'sign_arm',NULL,'','','',0,22,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410070,'a Freeport raider','','','','',1,134,32,0,1,1,11,0,0,1,1,1,0,1,26,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410071,'a decaying corpse','','','','',255,140,32,0,0,0,0,0,0,0,0,0,0,1,36,235,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410072,'natural herb garden',NULL,'','','',0,4076,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410073,'sign_arm',NULL,'','','',0,24,32,0,0,0,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8410074,'a menacing raider','','','','',14,115,32,0,1,1,11,0,0,1,1,1,0,1,43,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420001,'a Brokentusk crusher','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,367,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420002,'a Brokentusk guard','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,367,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420003,'a Brokentusk pawn','','','','',19,137,28,0,1,1,11,0,0,1,1,1,0,1,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420004,'a Brokentusk pounder','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,367,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420005,'a Brokentusk prophet','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,367,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420006,'a Brokentusk sentry','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,367,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420007,'a Brokentusk warrior','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,367,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420008,'a largemouth gulper','','','','',255,194,32,0,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420009,'a Lonetusk crusher','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,366,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420010,'a Lonetusk guard','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,366,36,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420011,'a Lonetusk pawn','','','','',19,137,25,0,1,1,11,0,0,1,1,1,0,366,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420012,'a Lonetusk prophet','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,366,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420013,'a Lonetusk sentry','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,366,36,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420014,'a Lonetusk warrior','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,366,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420015,'a nomad guard','','','','',9,134,32,3,1,1,11,0,0,1,1,1,0,0,32,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420016,'a nomad seer','','','','',9,134,32,3,1,1,11,0,0,1,1,1,0,0,32,150,80,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420017,'a puny squalid vermin','','','','',255,196,16,1,1,1,11,0,0,1,1,1,0,361,12,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420018,'a Shoreside adder','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420020,'a Shoreside asp','','','','',255,213,46,3,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420021,'a sun viper','','','','',255,234,51,3,1,1,11,0,0,1,1,1,0,0,8,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420022,'an ebon viper','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420023,'a vagrant squatter','','','','',9,134,32,3,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420024,'an anchor grappler','','','','',255,210,32,0,1,1,11,0,0,1,1,1,0,0,32,645,300,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420025,'an exiled orc','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,1,36,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420026,'Armsdealer Nylzs','<Merchant>','','','',10,103,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(8420027,'Bonduhr Lonetusk','','','','',19,137,42,0,1,1,11,0,0,1,1,1,0,1,36,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420028,'Chieftan Rekrin','','','','',19,137,42,0,1,1,11,0,0,1,1,1,0,1,36,1165,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420029,'Dregh Brokentusk','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,810,360,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420030,'Koduhl Brokentusk','','','','',19,137,44,0,1,1,11,0,0,1,1,1,0,1,36,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420031,'Gurrekt Lonetusk','','','','',19,137,48,0,1,1,11,0,0,1,1,1,0,1,36,1510,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420033,'Merchant Pitrova','<Merchant>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,34,211,211,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8420034,'Ringleader Radko',NULL,'','','',255,134,32,0,1,1,11,0,0,1,1,0,0,0,32,1165,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420035,'Merchant Talia','<Merchant>','','','',9,132,32,0,1,1,10,1265,0,0,0,1,0,0,32,211,211,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8420036,'a blood viper','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420037,'a Shoreside racer','','','','',255,213,51,3,1,1,11,0,0,1,1,1,0,0,8,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420038,'Lieutenant Gurg','','','','',19,137,40,0,1,1,11,0,0,1,1,1,0,1,36,1165,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420039,'Slayn Brokentusk','','','','',19,137,38,0,1,1,11,0,0,1,1,1,0,1,36,1165,450,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420040,'mariners_bell',NULL,'','','',0,16,32,0,1,1,921,0,0,0,0,1,0,0,38,0,0,0,0,0,81,0,0,0,0,0,0,0,0,0,0,0),
(8420041,'mariners_bell',NULL,'','','',0,16,32,0,1,1,999,0,0,0,0,1,0,0,38,0,0,0,0,0,80,0,0,0,0,0,0,0,0,0,0,0),
(8420042,'a Lonetusk pounder','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,366,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420043,'a Lonetusk shaman','','','','',19,137,36,0,1,1,11,0,0,1,1,1,0,366,36,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420044,'a harried vagrant squatter','','','','',9,132,32,3,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420045,'Guard Griz','','','','',12,124,32,0,1,1,9,11,0,1,1,1,0,12,34,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420046,'Guard Valinus','','','','',9,132,32,0,1,1,9,0,0,1,1,1,0,12,34,2180,670,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420047,'Guard N''Tal','','','','',1,115,32,0,1,1,9,11,0,1,1,1,0,12,34,4025,965,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420048,'Respawn Tent',NULL,'','','',0,12,32,0,0,0,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420049,'zone_to_fprt_adv03_sprawl',NULL,'','','',0,49,32,0,0,0,923,0,0,0,0,1,0,0,184,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420050,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420051,'sign_arm',NULL,'','','',0,23,32,0,1,1,0,0,0,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420052,'hood_sign_post',NULL,'','','',0,21,32,0,0,0,0,0,0,0,0,0,0,0,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420053,'Spirit of Gurb Landle','','','','',255,2848,32,0,1,1,9,0,0,0,0,1,0,0,32,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420054,'ravaged natural garden',NULL,'','','',0,4078,30,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420055,'gangly arbor',NULL,'','','',0,3927,39,0,1,1,8,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420056,'group of fish',NULL,'','','',0,4155,32,0,1,1,7,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420057,'rugged ore',NULL,'','','',0,2378,15,0,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420058,'creature den',NULL,'','','',0,4004,31,0,1,1,3,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420059,'pale roots',NULL,'','','',0,1734,22,0,1,1,2,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420060,'natural herb garden',NULL,'','','',0,4076,30,0,1,1,2,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420061,'rustic stone',NULL,'','','',0,2265,27,1,1,1,1,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420062,'?',NULL,'','','',0,2244,32,0,1,1,6,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420063,'a fairy seeker','','','','',255,181,22,0,1,1,0,0,0,0,0,1,0,0,48,515,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420064,'Xel Fyara','','','','',255,181,32,0,1,1,9,0,0,0,0,1,0,0,48,515,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420065,'Wele Lyoli','','','','',255,181,32,0,1,1,9,0,0,0,0,1,0,0,48,515,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420066,'a vagrant squatter','','','','',9,134,32,3,1,1,11,0,0,1,1,1,0,0,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420067,'KlaydPlaceholder',NULL,'','','',0,2306,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420068,'Klayd Lonetusk','','','','',19,137,32,0,1,1,11,0,0,1,1,1,0,1,36,435,210,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8420069,'a Brokentusk shaman','','','','',19,137,35,0,1,1,11,0,0,1,1,1,0,367,36,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430001,'a corruptor','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430002,'a Darkblade bodyguard','','','','',1,78,32,0,1,1,11,0,0,1,1,1,0,1,26,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430003,'a Darkblade brigand','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430004,'a Darkblade fury','','','','',6,134,32,0,1,1,11,0,0,1,1,1,0,1,30,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430005,'a Darkblade maiden','','','','',1,79,32,0,1,1,11,0,0,1,1,1,0,1,26,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430006,'a Darkblade noble','','','','',11,102,32,0,1,1,11,0,0,1,1,1,0,1,38,370,130,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430008,'a Darkblade scout','','','','',13,57,32,0,1,1,11,0,0,1,1,1,0,1,19,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430010,'a diseased ratonga',NULL,'','','',13,58,32,0,1,1,11,0,0,1,1,1,0,1,32,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430012,'a drowned cavalier','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430013,'a drowned protector','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,430,160,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430014,'a juvenile mucus','','','','',255,252,22,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430015,'a union member Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430016,'Krakamen','','','','',13,71,25,0,1,1,11,0,0,1,1,1,0,0,19,465,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430017,'Lady Darkblade','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,1510,500,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430018,'Marius Darkblade','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,2150,665,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430019,'Mikela Osa','<Merchant>','','','',10,132,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,100503,0,0,0,0,0,0,0,0,0,0,0,0),
(8430020,'M`Polo Danukh','<Merchant>','','','',11,101,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8430021,'Nikho Tambolo','<Merchant>','','','',6,78,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(8430022,'Sali Va`ah','<Merchant>','','','',1,116,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100502,0,0,0,0,0,0,0,0,0,0,0,0),
(8430023,'Zatzy','','','','',13,56,32,0,1,1,9,0,0,0,0,1,0,0,19,465,165,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430024,'a Darkblade fury- SCOUT','','','','',1,116,32,0,1,1,11,0,0,1,1,1,0,0,26,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430025,'a netherot chanter','','','','',13,53,32,0,1,1,11,0,0,1,1,1,0,1,16,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430026,'a ravenous cube','','','','',255,175,25,0,1,1,11,0,0,1,1,1,0,1,30,175,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430027,'a refuse roach','','','','',255,208,48,0,1,1,11,0,0,1,1,1,0,0,8,200,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430028,'a sewage rat','','','','',255,196,28,0,1,1,11,0,0,1,1,1,0,0,12,110,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430029,'a sewer rat','','','','',255,196,32,0,1,1,11,0,0,1,1,1,0,0,12,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430030,'a sewer slime','','','','',255,301,57,0,1,1,11,0,0,1,1,1,0,0,32,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430031,'a sludgewalker hatchling','','','','',255,211,12,0,1,1,11,0,0,1,1,1,0,0,25,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430032,'a trash hopper','','','','',255,224,28,0,1,1,11,0,0,1,1,1,0,0,12,130,65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430033,'a union mender Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430034,'a deceased crusader','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,1,36,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430035,'Scale Yard Zone',NULL,'','','',0,49,32,0,0,0,86,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430036,'Temple Street Zone',NULL,'','','',0,49,32,0,0,0,85,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430037,'Beggars Court Zone',NULL,'','','',0,49,32,0,0,0,304,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430038,'Stonestair Byway Zone',NULL,'','','',0,49,32,0,0,0,306,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430039,'Longshadow Alley Zone',NULL,'','','',0,49,32,0,0,0,305,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430040,'a mender Shift Boss Local 858','','','','',5,121,32,0,1,1,11,0,0,1,1,1,0,0,16,410,170,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430041,'Big Bend Zone',NULL,'','','',0,49,32,0,0,0,77,0,0,0,0,1,0,0,139,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430042,'Serpent Sewer Zone',NULL,'','','',0,49,32,0,0,0,937,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430043,'zone_to_fprt_west',NULL,'','','',0,49,32,0,0,0,931,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430044,'zone_to_fprt_north',NULL,'','','',0,49,32,0,0,0,928,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430045,'zone_to_fprt_east',NULL,'','','',0,49,32,0,0,0,932,0,0,0,0,1,0,0,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430046,'zone_to_fprt_south',NULL,'','','',0,49,32,0,0,0,922,0,0,0,0,1,0,0,81,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430047,'Engineer Veebert','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,550,185,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8430048,'zone_to_sewer_epic04',NULL,'','','',0,49,32,0,0,0,938,0,0,0,0,1,0,0,90,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450000,'Lucan D''Lere','','','','',9,4112,32,0,1,1,0,0,0,0,0,0,0,0,32,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450001,'Tayil N''Velex','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450002,'a Rug',NULL,'','','',0,3522,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450003,'a Fancy chair',NULL,'','','',0,1435,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450004,'a Table',NULL,'','','',0,2797,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450005,'a Candle Stand',NULL,'','','',0,2090,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450006,'a scrying orb',NULL,'','','',0,1513,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450007,'a freeport rug',NULL,'','','',0,3513,75,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450008,'a Bookcase',NULL,'','','',0,2129,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450009,'a Bookcase',NULL,'','','',0,2130,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450010,'a painting',NULL,'','','',0,4362,45,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450011,'a painting',NULL,'','','',0,4293,45,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450012,'a door',NULL,'','','',0,2031,38,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,231,0,0,0,0,0,0,0,0,0,0,0),
(8450013,'a desk',NULL,'','','',0,1517,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450014,'a desk',NULL,'','','',0,1401,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450015,'a map',NULL,'','','',0,1404,20,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450016,'a candle',NULL,'','','',0,2717,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450017,'a vase',NULL,'','','',0,1665,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450018,'a sconce',NULL,'','','',0,3470,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450019,'a stool',NULL,'','','',0,2141,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450020,'a chair',NULL,'','','',0,1969,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450021,'Executioner Selindi','','','','',1,116,32,0,1,1,0,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450022,'The Bonebreaker','','','','',12,124,34,0,1,1,11,0,0,1,1,1,0,1,43,151,151,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450023,'Lucanic Knight Initiate','','','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,34,106,106,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450024,'Lucanic Knight Initiate',NULL,'','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450025,'a smashed barrel',NULL,'','','',0,1428,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450026,'a decrepit barrel',NULL,'','','',0,2944,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450027,'Stilus Graphium','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,32,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450028,'Watcher Kenjedeau','','','','',9,134,32,0,1,1,0,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8450029,'Chains',NULL,'','','',0,2306,3,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460001,'Forge',NULL,'','','',0,1859,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460004,'Stove & Keg',NULL,'','','',0,2345,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460005,'Work Bench',NULL,'','','',0,2531,32,0,1,1,4,0,0,0,0,1,1,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460006,'Chemistry Table',NULL,'','','',0,2343,32,32,1,1,4,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460007,'Engraving Desk',NULL,'','','',0,2344,32,32,1,1,4,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460008,'Sewing Table & Mannequin',NULL,'','','',0,2545,32,32,1,1,4,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460009,'Woodworking Table',NULL,'','','',0,2346,32,32,1,1,4,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460010,'A Candle Stand',NULL,'','','',0,2083,32,0,1,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8460011,'Ladder',NULL,'','','',0,0,32,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480001,'Cryptcleaner Remy','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480002,'widget_rolled_leather',NULL,'','','',0,49,32,0,1,1,1326,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480003,'widget_small_urn',NULL,'','','',0,49,32,0,1,1,0,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480004,'widget_big_cabinet',NULL,'','','',0,49,32,0,1,1,1327,0,0,0,0,1,0,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480005,'widget_small_painting',NULL,'','','',0,49,32,0,1,1,1325,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480006,'widget_small_crate',NULL,'','','',0,49,32,0,1,1,129,0,0,0,0,1,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480007,'Aleyna McMallon','','','','',0,111,28,0,1,1,9,0,0,0,0,1,0,0,34,406,406,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480008,'Brother Garvis','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,256,256,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480009,'Gillin Blackfist','','','','',0,112,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480010,'X''Loitl the Bloodsaber Fanatic','','','','',1,115,32,0,1,1,11,0,0,1,1,1,0,1,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480011,'a giant burrower','','','','',255,213,48,0,1,1,11,0,0,1,1,1,0,0,8,680,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480012,'an infected burrower','','','','',255,213,43,1,1,1,11,0,0,1,1,1,0,0,8,655,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480013,'a ravenous cube','','','','',255,175,20,4,1,1,11,0,0,1,1,1,0,1,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480014,'a tomb vermin','','','','',255,196,22,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480015,'an infected grave lech','','','','',255,251,31,2,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480016,'a crumbling tomb sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480017,'a large tomb vermin','','','','',255,196,35,3,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480018,'an infected tomb vermin','','','','',255,196,33,0,1,1,11,0,0,1,1,1,0,0,12,655,205,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480019,'a Bloodsaber adept','','','','',9,18214,32,0,1,1,11,0,0,1,1,1,0,1,32,196,196,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480020,'a Bloodsaber proficient','','','','',13,59,32,0,1,1,11,0,0,1,1,1,0,0,19,1180,375,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480021,'a Bloodsaber specialist','','','','',1,19287,32,0,1,1,11,0,0,1,1,1,0,1,26,920,270,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480022,'a crumbling tomb priest','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480023,'Aleth''Rillix the Festering Seer','','','','',255,140,41,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480024,'Lika the Tortured','','','','',9,1521,35,0,1,1,11,0,0,1,1,1,0,1,36,1266,295,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480025,'Ayamia the Rat Queen','','','','',9,132,28,0,1,1,11,0,0,1,1,1,0,0,32,2531,657,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480026,'Zerak the Bloodsabre Ritualist',NULL,'','','',0,134,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480027,'Mehatrin the Festering Brute',NULL,'','','',0,3736,36,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480028,'Sivnillinicos',NULL,'','','',0,175,38,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8480029,'Jaelenth the Black',NULL,'','','',0,1521,36,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8500000,'Bubbles','Goblin Hitter','','','',0,124,40,0,1,1,9,0,0,0,0,1,0,120,10,1,310,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510000,'bookshelf',NULL,'','','',0,2129,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510001,'Chem_Lab',NULL,'','','',0,2825,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510002,'Golem Sketch',NULL,'','','',0,4210,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510003,'rubble pile',NULL,'','','',0,154,20,0,0,0,0,0,228,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510004,'Summoning Rug',NULL,'','','',0,3530,50,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510005,'desk',NULL,'','','',0,1517,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510006,'Lab',NULL,'','','',0,3416,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510007,'Lab Table',NULL,'','','',0,2179,36,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510008,'Lab Shelf',NULL,'','','',0,2126,40,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510009,'Lab Stool',NULL,'','','',0,2141,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510010,'Stone Lab Table',NULL,'','','',0,2178,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510011,'Candle',NULL,'','','',0,2089,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510012,'Rocks',NULL,'','','',0,2378,20,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510013,'glass pile',NULL,'','','',0,309,20,0,0,0,0,0,228,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510019,'Candle set',NULL,'','','',0,3447,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510020,'Book of Summoning Sign',NULL,'','','',0,3323,50,0,0,0,440,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510024,'shard of malachite',NULL,'','','',0,309,10,0,0,0,9525,0,228,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510025,'small sack of crystalized mana',NULL,'','','',0,3212,25,0,0,0,9524,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510026,'pile of clay',NULL,'','','',0,3981,60,0,0,1,9522,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510027,'tub of clay',NULL,'','','',0,1947,32,0,0,0,9523,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510028,'Summoning Energy',NULL,'','','',0,2306,60,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510029,'Earth elemental','','','','',255,155,12,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510030,'torch',NULL,'','','',0,2025,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8510031,'Leave the chamber',NULL,'','','',0,2031,32,0,0,0,841,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520000,'a Bit of Flotsam','','','','',9,2401,32,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520001,'a blacktimber bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520002,'a blacktimber treant','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520004,'a Camp Fire','','','','',9,2019,64,0,1,1,35,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520005,'a deathbloom bee','','','','',255,217,32,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520006,'a deathbloom treant','','','','',255,212,153,0,1,1,11,0,0,1,1,1,0,0,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520007,'a demented fiend','','','','',255,4545,32,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520009,'a Dragoon captain','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520010,'a Dragoon lieutenant','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520011,'a Dragoon patrolman','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520012,'a Dragoon sentinel','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520019,'a guardian mist grinnin','','','','',255,1346,34,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520021,'a Gul''Thex captain','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520022,'a Gul''Thex cleric','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520023,'a Gul''Thex high guard','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520024,'a Gul''Thex mystic','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520025,'a Gul''Thex ravager','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520026,'a Gul''Thex revenant','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520027,'a Gul''Thex sentry','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520028,'a mist grinnin','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520029,'a mist grinnin savage','','','','',255,1346,28,0,1,1,11,0,0,1,1,1,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520031,'a mottled kodiak','','','','',255,198,44,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520032,'a Nerius bandit','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520034,'a Nerius dockhand','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520035,'a Nerius foreman','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520039,'a Nerius Pirate Captain','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520040,'a Nerius scoundrel','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520041,'a Nerius seer','','','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520043,'a Nightfall giant','','','','',255,3812,32,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520044,'a Nightfall Shaman','','','','',255,3805,32,0,1,1,11,0,0,1,1,1,0,0,112,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520045,'TestController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520046,'a Dragoon sith',NULL,'','','',0,1521,36,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520047,'a Dragoon warrior',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520048,'RampSentryController',NULL,'','','',0,2306,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520049,'a Gul''Thex rage','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520050,'an actual particle of fire in a campsite',NULL,'','','',0,2222,39,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520051,'a discarded bottle',NULL,'','','',0,2621,32,0,1,1,890,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520052,'a large scroll',NULL,'','','',0,2544,13,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520053,'a wooden cart',NULL,'','','',0,2243,32,0,1,1,0,0,0,0,0,0,0,0,104,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520054,'an eldritch stone desk',NULL,'','','',0,2344,32,0,1,1,4,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520055,'an ornate dagger',NULL,'','','',0,4050,32,0,1,1,771,0,0,0,0,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520056,'an unusual dagger',NULL,'','','',0,1860,32,0,1,1,891,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520057,'a_halfling_wagon',NULL,'','','',0,1380,32,0,1,1,0,0,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520058,'barricade_long',NULL,'','','',0,1556,32,0,1,1,0,0,0,0,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520059,'canopic jar large',NULL,'','','',0,2872,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520060,'canopic jar laying',NULL,'','','',0,2873,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520061,'card_table',NULL,'','','',0,2040,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520062,'cauldron_1',NULL,'','','',0,1845,32,0,1,1,0,0,0,0,0,0,0,0,93,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520063,'chair_1',NULL,'','','',0,1391,29,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520064,'commonlandsmap01',NULL,'','','',0,1404,9,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520065,'crate_large_long001',NULL,'','','',0,1497,12,0,1,1,0,0,0,0,0,0,0,0,58,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520066,'dog carcase',NULL,'','','',0,2371,38,0,1,1,0,0,0,0,0,0,0,0,31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520067,'draconic_widget05',NULL,'','','',0,4184,16,0,0,0,449,0,0,0,0,1,1,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520068,'egg_ice_01',NULL,'','','',0,1667,192,0,1,1,0,0,0,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520069,'floor_bedroll01_any_dirty',NULL,'','','',0,1997,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520070,'floor_bedroll02_any_dirty',NULL,'','','',0,1998,39,0,1,1,0,0,0,0,0,0,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520071,'floor_bunkbed_human_step01',NULL,'','','',0,2963,32,0,1,1,0,0,0,0,0,0,0,0,63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520072,'floor_crate_darkelf_wood02',NULL,'','','',0,2678,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520073,'floor_scroll_human_stack01',NULL,'','','',0,3548,32,0,1,1,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520074,'floor_testtuberack_iksar_redgoo01',NULL,'','','',0,4611,31,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520075,'fprt_chair_stool_military01',NULL,'','','',0,1659,22,0,1,1,0,0,0,0,0,0,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520076,'fprt_crate_large_militaryboarded01',NULL,'','','',0,6263,32,0,1,1,0,0,0,0,0,0,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520077,'fprt_crate_small_military01',NULL,'','','',0,6264,32,0,1,1,0,0,0,0,0,0,0,0,23,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520078,'fprt_hood_table_small01',NULL,'','','',0,1516,25,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520079,'goblin_brazier01',NULL,'','','',0,1547,32,0,1,1,0,0,0,0,0,0,0,0,107,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520080,'gravedirt02',NULL,'','','',0,2916,62,0,1,1,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520081,'gravestone01',NULL,'','','',0,1549,32,0,1,1,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520082,'grey_tent_small01',NULL,'','','',0,2817,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520083,'halfling_bucket01',NULL,'','','',0,1621,32,0,1,1,0,0,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520084,'Leanto',NULL,'','','',0,2020,32,0,1,0,0,0,0,0,0,0,0,0,135,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520085,'nekf_mushroom_a_mature',NULL,'','','',0,1523,32,0,1,1,0,0,0,0,0,0,0,0,109,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520086,'nekf_mushroom_a_young',NULL,'','','',0,1524,30,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520087,'nekf_tent_large_purple001',NULL,'','','',0,4656,32,0,1,1,0,0,0,0,0,0,0,0,236,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520088,'nektulos_mini02',NULL,'','','',0,4669,11,0,1,1,0,0,0,0,0,0,0,0,657,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520089,'nektulos_small_red',NULL,'','','',0,2293,32,0,0,0,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520090,'Orc Tent',NULL,'','','',0,2379,32,0,1,1,0,0,0,0,0,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520091,'orc_candle_01',NULL,'','','',0,1613,12,0,0,0,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520092,'owlbear_nest',NULL,'','','',0,2400,17,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520093,'papers',NULL,'','','',0,3498,32,0,1,1,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520094,'qey_table_desk_plain',NULL,'','','',0,1519,32,0,1,1,0,0,0,0,0,0,0,0,38,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520095,'Respawn Tent',NULL,'','','',0,12,32,0,1,1,0,0,0,0,0,0,0,0,155,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520096,'rock01',NULL,'','','',0,1550,128,0,1,1,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520097,'rug',NULL,'','','',0,2758,31,0,1,1,0,0,0,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520098,'rug',NULL,'','','',0,1669,32,0,1,1,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520099,'Setri Lur''eth',NULL,'','','',255,132,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520100,'skeletons',NULL,'','','',0,1847,32,0,1,1,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520101,'Small fire',NULL,'','','',0,2019,32,0,1,1,0,0,0,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520102,'solusek ro brazier',NULL,'','','',0,1619,48,0,1,1,149,0,0,0,0,1,1,0,50,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520103,'Tactician Banner',NULL,'','','',0,5266,32,0,1,1,33,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520104,'taskmaster desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520105,'taskmaster papers',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520106,'taskmaster papers',NULL,'','','',0,3553,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520107,'treasure_chest',NULL,'','','',0,2902,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520108,'Vul''Zet Druzaic Shrine',NULL,'','','',0,1704,32,0,1,1,61,0,0,0,0,1,0,0,125,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520109,'a Nerius crab',NULL,'','','',0,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520110,'a ferocious Nerius crab',NULL,'','','',0,211,16,0,1,1,11,0,0,1,1,1,0,1,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520111,'a Nerius marauder',NULL,'','','',0,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520112,'a Nerius vandal',NULL,'','','',0,132,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520113,'a Nerius hermit',NULL,'','','',0,211,18,0,1,1,11,0,0,1,1,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520114,'a flamelight shriller',NULL,'','','',0,2393,32,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520115,'a flamelit shriller',NULL,'','','',0,2393,32,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520116,'a flaring shriller',NULL,'','','',0,2393,32,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520117,'a Blooming Fungus',NULL,'','','',0,2283,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520118,'an ash owlbear',NULL,'','','',0,270,33,0,1,1,11,0,0,1,1,1,0,1,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520119,'a cinder owlbear',NULL,'','','',0,270,36,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520120,'Molt',NULL,'','','',0,270,40,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520121,'an elder ash owlbear',NULL,'','','',0,270,33,0,1,1,11,0,0,1,1,1,0,1,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520122,'a firelight shriller',NULL,'','','',0,2393,32,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520123,'FirelightController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520124,'a shadowed man',NULL,'','','',0,1584,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520125,'ShadowedManController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520126,'Foulfeather',NULL,'','','',0,270,33,0,1,1,11,0,0,1,1,1,0,0,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520127,'an immense tree snake',NULL,'','','',0,213,128,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520128,'TreeSnakeController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520129,'a motley kodiak',NULL,'','','',0,198,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520130,'a Dusky Owlbear',NULL,'','','',0,270,40,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520131,'an enraged ash owlbear',NULL,'','','',0,270,33,0,1,1,11,0,0,1,1,1,0,1,33,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520132,'a cackling cadaver',NULL,'','','',0,140,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520133,'CadaverController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520134,'MistGrinninController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520135,'a Painted mist grinnin','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520136,'a Deadly mist grinnin','','','','',255,1346,34,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520137,'a torrent beaver','','','','',255,207,20,0,1,1,11,0,0,1,1,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520138,'BeaverController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520139,'a bloodthirsty tree snake',NULL,'','','',0,213,75,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520140,'a rumbleroot','','','','',255,274,76,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520141,'a rumbleroot sapling','','','','',255,274,50,0,1,1,11,0,0,1,1,1,0,0,64,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520142,'a Gul''Thex sentinel','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520143,'a Gul''Thex Elite Guard',NULL,'','','',0,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520144,'a Gul''Thex lieutenant','','','','',9,1521,38,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520145,'a Dragoon sentry',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520146,'PatrolController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520147,'Captain T''Sanne','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520148,'Lord J''Narus','','','','',9,1521,41,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520149,'GulThexEventController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520150,'Paddlefoot','','','','',255,207,72,0,1,1,11,0,0,1,1,1,0,0,49,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520151,'PaddlefootController',NULL,'','','',0,175,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520152,'Merchant Dyrina Springfyre','<Merchant>','','','',0,79,0,0,1,1,10,0,0,0,0,1,0,0,0,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8520153,'Harold Winemaster',NULL,'','','',0,134,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520154,'Mariner Guard Balstrom',NULL,'','','',0,134,32,0,1,1,13,11,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520155,'Mariner Guard Inget',NULL,'','','',0,132,32,0,1,1,13,11,0,1,1,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520156,'Ensign Larkin',NULL,'','','',0,134,32,0,1,1,9,0,0,0,0,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520157,'Captain Corripga',NULL,'','','',0,108,32,0,1,1,9,0,0,0,0,1,0,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520158,'taskmaster desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520159,'taskmaster papers',NULL,'','','',0,3548,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520160,'taskmaster papers',NULL,'','','',0,3553,32,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520161,'Taskmaster D''Zran',NULL,'','','',0,116,32,0,1,1,9,0,0,0,0,1,0,0,26,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520162,'Shady Swashbuckler XVIII',NULL,'','','',0,134,32,0,1,1,10,0,0,0,0,1,0,0,34,0,0,0,0,10547,0,0,0,0,0,0,0,0,0,0,0,0),
(8520163,'Da''ud Kateb',NULL,'','','',0,119,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520164,'Mender Burvich',NULL,'','','',0,73,32,0,1,1,12,10,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520165,'Zsik Nee',NULL,'','','',0,103,32,0,1,1,9,0,0,0,0,1,0,0,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520166,'Bain Rockfist',NULL,'','','',0,110,32,0,1,1,9,0,0,0,0,1,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520167,'The Traveling Augur','','','','',3,1600,32,0,1,1,9,0,0,0,0,1,0,0,34,16,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520168,'mariners_bell',NULL,'','','',0,1586,32,0,1,1,352,0,0,0,0,1,0,0,609,0,0,0,0,0,50,0,0,0,0,0,0,0,0,0,0,0),
(8520169,'Groobli','','','','',255,1346,38,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520170,'Dedralium','','','','',255,212,160,0,1,1,11,0,0,1,1,1,0,1,56,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520171,'Agelidaes','','','','',255,205,176,0,1,1,11,0,0,1,1,1,0,1,10,291314,150000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520172,'obscured spiderling','','','','',255,205,65,0,1,1,11,0,0,1,1,1,0,1,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520173,'an Elder mist grinnin','','','','',255,1346,32,0,1,1,11,0,0,1,1,1,0,1,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520174,'an Asilian diviner','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520175,'an Asilian vandal','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520176,'an Asilian protector','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520177,'an Asilian Royal Guard','','','','',255,181,32,0,1,1,11,0,0,1,1,1,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8520178,'an Arachneidae hatchling',NULL,'','','',0,243,48,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530001,'a crazed channel mender','','','','',5,121,35,3,1,1,11,0,0,1,1,1,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530002,'a crazed mender',NULL,'','','',255,122,35,0,1,1,0,0,0,1,1,0,0,0,32,501,501,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530003,'a refuse toad','','','','',255,224,32,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530004,'a drudge globule','','','','',255,297,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530005,'a filthy moccasin','','','','',255,213,57,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530006,'a measly filthy moccasin','','','','',255,213,51,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530007,'a Murkwater abettor','','','','',13,56,35,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530008,'a Murkwater induct','','','','',13,62,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530009,'a Murkwater steward','','','','',13,53,41,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530010,'a pestilent ratonga','','','','',13,70,32,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530011,'a sewage nuisance','','','','',255,299,57,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530012,'a sewage vermin','','','','',255,196,22,0,1,1,11,0,0,1,1,1,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530013,'a sift dasher','','','','',255,190,16,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530014,'a sludge mucus','','','','',255,252,25,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530015,'an immature sludgewater','','','','',255,211,19,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530016,'Cicero Puer','','','','',13,60,32,0,1,1,9,0,0,0,0,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530017,'Hired Guard Gazzuk','<Guard>','','','',14,106,32,0,1,1,13,0,0,1,1,1,0,0,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530018,'Marcus Puer','','','','',5,121,32,0,1,1,9,0,0,0,0,1,0,0,16,301,301,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530019,'Merchant Gurtha Tings','<Merchant>','','','',12,123,32,0,1,1,10,1265,0,0,0,1,0,0,34,0,0,0,0,100501,0,0,0,0,0,0,0,0,0,0,0,0),
(8530020,'Merchant Kerik Lorn','<Merchant>','','','',9,134,32,0,1,1,10,0,0,0,0,1,0,0,32,0,0,0,0,402036,0,0,0,0,0,0,0,0,0,0,0,0),
(8530021,'Merchant Rix Tah''Reh','<Merchant>','','','',1,115,35,0,1,1,10,1265,0,0,0,1,0,0,26,0,0,0,0,100506,0,0,0,0,0,0,0,0,0,0,0,0),
(8530022,'Merchant Tula Mawh','<Merchant>','','','',13,54,32,0,1,1,10,1265,0,0,0,1,0,0,19,0,0,0,0,402025,0,0,0,0,0,0,0,0,0,0,0,0),
(8530023,'Stench','','','','',255,213,70,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530024,'The Murkwater Villain','','','','',13,70,44,0,1,1,11,0,0,1,1,1,0,0,19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530025,'Watcher Kenjedeau','','','','',9,134,32,0,1,1,9,0,0,0,0,1,0,0,26,121,121,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530026,'a segmented globule','','','','',255,297,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530027,'a fragmented globule','','','','',255,297,28,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530028,'an Unstable Globule','','','','',255,297,36,0,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(8530029,'an Ancient Dasher','','','','',255,190,20,0,1,1,11,0,0,1,1,1,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105100,'candles',NULL,'','','',0,5963,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105101,'candles',NULL,'','','',0,5963,32,0,0,0,9510,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105102,'bookshelf',NULL,'','','',0,2127,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105103,'dpo_invisible_cube',NULL,'','','',0,2306,65,0,0,0,9509,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105104,'bookshelf_rules',NULL,'','','',0,2128,32,0,0,0,564,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105105,'lamp',NULL,'','','',0,2110,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105106,'chair',NULL,'','','',0,2016,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105107,'desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105108,'painting',NULL,'','','',0,4223,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105109,'Trial of Air','','','','',255,156,28,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105110,'candles',NULL,'','','',0,3450,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105111,'candles',NULL,'','','',0,3452,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105112,'bookshelf_rules',NULL,'','','',0,2128,32,0,0,0,564,0,0,0,0,1,1,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105113,'bookshelf',NULL,'','','',0,2127,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105114,'chair',NULL,'','','',0,2016,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105115,'desk',NULL,'','','',0,1553,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105116,'lamp',NULL,'','','',0,2110,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105117,'painting',NULL,'','','',0,4324,32,0,0,0,0,0,0,0,0,0,0,0,116,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105118,'dpo_invisible_cube',NULL,'','','',0,2306,70,0,0,0,0,0,1573,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105119,'Trial of Earth','','','','',255,155,12,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105120,'Trial of Water','','','','',255,195,28,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105121,'Trial of Fire','','','','',255,171,32,0,1,1,11,0,0,1,1,1,0,0,10,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105122,'10m_FireLight',NULL,'','','',0,5655,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105125,'10m_FireLight',NULL,'','','',0,5655,32,0,1,1,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105126,'Channeling Orb',NULL,'','','',0,2681,80,0,0,0,9511,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105127,'A Stone Guardian','','','','',255,162,30,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105128,'A Runed Gargoyle','','','','',255,1370,35,0,1,1,11,0,0,1,1,1,0,0,10,275,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105129,'A Knowledge Guardian','','','','',255,279,70,0,1,1,11,0,11737,1,1,1,0,0,10,275,110,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(22105130,'An Energy Keeper','','','','',255,312,40,0,1,1,11,0,0,1,1,1,0,0,10,240,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(25200110,'Test Golem',NULL,'','','',255,6281,32,0,1,1,0,0,0,1,1,0,0,0,32,6376,6376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800010,'Brawler Bently','','','','',2,110,35,0,1,1,9,0,0,0,0,1,0,0,18,346,346,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800011,'a rabid shriller','','','','',255,239,28,3,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800012,'a grave lech','','','','',255,250,22,3,1,1,11,0,0,1,1,1,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800013,'a festering zombie','','','','',255,140,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800014,'a crumbling tomb guard','','','','',9,1521,32,0,1,1,11,0,0,1,1,1,0,0,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800015,'Aurora Elianas',NULL,'','','',8,135,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800016,'Barkeep Brandik the Tall',NULL,'','','',0,110,0,0,1,1,10,1265,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800017,'an undead pirate',NULL,'','','',0,2864,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800018,'an undead first mate',NULL,'','','',0,2860,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800019,'Chef Shirg',NULL,'','','',0,65,0,0,1,1,10,1265,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800020,'Captain Chuck',NULL,'','','',0,4543,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800021,'Studgahrt',NULL,'','','',0,145,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800022,'Guard Bennett',NULL,'','','',0,134,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800023,'Merchant Stonehew',NULL,'','','',0,110,0,0,1,1,10,1265,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800024,'fprt_tradeskill_wholesaler',NULL,'','','',0,4161,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800025,'fprt_tradeskill_wholesaler',NULL,'','','',0,4161,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800027,'MainDoor',NULL,'','','',0,49,0,0,1,1,45,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800028,'MainJailDoor',NULL,'','','',0,49,0,0,1,0,45,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800029,'Stro D''proi',NULL,'','','',0,115,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800030,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800031,'Noxhil V''Sek',NULL,'','','',0,115,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800032,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800033,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800034,'Jonovan the Young',NULL,'','','',0,134,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800035,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800036,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800037,'stpump0',NULL,'','','',0,1551,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800038,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800039,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800040,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800041,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800042,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800043,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800044,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800045,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800046,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800047,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800048,'a shadowed man',NULL,'','','',0,1584,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800049,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800050,'swarm of fish',NULL,'','','',0,4159,0,0,1,1,562,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800051,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800052,'an deadly motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800053,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800054,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800055,'swarm of fish',NULL,'','','',0,4159,0,0,1,1,562,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800056,'an deadly motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800057,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800058,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800059,'and immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800060,'and immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800061,'and immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800062,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800063,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800064,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800065,'a motley kodiak',NULL,'','','',0,198,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800066,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800067,'and immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800068,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800069,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800070,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800071,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800072,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800073,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800074,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800075,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800076,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800077,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800078,'a cackling cadaver',NULL,'','','',0,140,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800079,'a_young_nek_mushroom',NULL,'','','',0,1524,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800080,'an immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800081,'an immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800082,'an immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800083,'an immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800084,'an immense tree snake',NULL,'','','',0,213,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800085,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800086,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800087,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800088,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800089,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800090,'a Blooming Fungus',NULL,'','','',0,2283,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800091,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800092,'a tainted soul',NULL,'','','',0,2359,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800093,'a Gul''Thex Elite Guard',NULL,'','','',0,1521,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800094,'a Dragoon sentry',NULL,'','','',0,1521,32,0,1,1,11,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800095,'a Dragoon sentry',NULL,'','','',0,1521,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800096,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800097,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800098,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800099,'a Forest Leaper',NULL,'','','',0,2306,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800100,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800101,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800102,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800103,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800104,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800105,'an enraged ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800106,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800107,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800108,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800109,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800110,'an enraged ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800111,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800112,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800113,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800114,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800115,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800116,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800117,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800118,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800119,'Foulfeather',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800120,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800121,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800122,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800123,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800124,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800125,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800126,'a cinder owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800127,'Bear Fungus',NULL,'','','',0,2283,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800128,'an elder ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800129,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800130,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800131,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800132,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800133,'a forest leaper',NULL,'','','',0,244,48,0,1,1,11,0,0,1,1,1,0,1,36,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800134,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800135,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800136,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800137,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800138,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800139,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800140,'a Blooming Fungus',NULL,'','','',0,2283,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800141,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800142,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800143,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800144,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800145,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800146,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800147,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800148,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800149,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800150,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800151,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800152,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800153,'a fireflight shriller',NULL,'','','',0,2393,32,0,1,1,11,0,0,1,1,1,0,1,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800154,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800155,'a flamelit shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800156,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800157,'a flaring shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800158,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800159,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800160,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800161,'a fireflight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800162,'a flamelight shriller',NULL,'','','',0,2393,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800163,'Leanto',NULL,'','','',0,2020,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800164,'an ash owlbear',NULL,'','','',0,270,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800165,'Small firp',NULL,'','','',0,2019,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800166,'qst_solo_scout_barrel',NULL,'','','',0,1389,0,0,1,1,892,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800167,'a Nerius hermit',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800168,'a Nerius hermit',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800169,'a Nerius fiddler',NULL,'','','',0,211,16,0,1,1,11,0,0,1,1,1,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800170,'a Nerius fiddler',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800171,'a Nerius fiddler',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800172,'Bruhn K''Viir',NULL,'','','',0,115,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800173,'qst_unseenhand_crate',NULL,'','','',0,1393,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800174,'nektulos_small_red',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800175,'qst_unseenhand_barrel_1',NULL,'','','',0,1389,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800176,'Torq De''Rech',NULL,'','','',0,115,0,0,1,1,9,0,0,0,0,1,0,0,0,376,376,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800177,'a Nerius pirate',NULL,'','','',0,134,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800178,'a Nerius pirate',NULL,'','','',0,132,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800179,'nektulos_small_red',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800180,'a Nerius pirate',NULL,'','','',9,132,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800181,'a Nerius pirate',NULL,'','','',0,132,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800182,'a Nerius Commander',NULL,'','','',0,132,35,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800183,'nektulos_small_red',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800184,'a Nerius pirate',NULL,'e','','',0,132,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800185,'a Nerius Tactician',NULL,'','','',9,134,32,0,1,1,11,0,0,1,1,1,0,1,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800186,'a Nerius pirate',NULL,'e','','',0,132,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800187,'an actual particle of fire in a camps.',NULL,'','','',0,2222,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800188,'a Nerius pirate',NULL,'e','','',0,134,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800189,'fprt_hood_table_small',NULL,'','','',0,1516,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800190,'chair_',NULL,'','','',0,1391,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800191,'a Nerius pirate',NULL,'','','',0,132,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800192,'orc_candle_0',NULL,'','','',0,1613,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800193,'a large scroll',NULL,'','','',0,2544,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800194,'commonlandsmap01',NULL,'','','',0,1404,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800195,'orc_candle_0',NULL,'','','',0,1613,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800196,'a Nerius pirate',NULL,'e','','',0,134,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800197,'a Nerius crab',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800198,'a ferocious Nerius crab',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800199,'a Nerius marauder',NULL,'','','',0,134,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800200,'a Bit of Flesh',NULL,'','','',0,2401,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800201,'Respawn Tent',NULL,'','','',0,12,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800202,'a ferocious Nerius crab',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800203,'a Nerius vandal',NULL,'','','',0,132,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800204,'Daisy Winterhope',NULL,'','','',0,107,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800205,'Mariner Guard Balstrom',NULL,'','','',0,134,0,0,1,1,13,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800206,'Mariner Guard Inget',NULL,'','','',0,132,0,0,1,1,13,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800207,'Harold Winemaster',NULL,'','','',0,134,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800208,'a Nerius crab',NULL,'','','',0,211,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800209,'Merchant Dyrina Springfyre',NULL,'','','',0,79,0,0,1,1,10,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800210,'nektulos_small_red',NULL,'','','',0,2293,32,0,1,1,0,0,0,0,0,0,0,0,168,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800211,'rug',NULL,'','','',0,1669,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800212,'Seamist Fairy Nerina',NULL,'','','',0,164,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800213,'Small firp',NULL,'','','',0,2019,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800214,'Fisherman Djaani',NULL,'','','',0,132,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800215,'Fisherman Aurvill',NULL,'','','',0,134,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800216,'Seamist Fairy Faellia',NULL,'','','',0,164,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800217,'qst_galintos_bedroll_1',NULL,'','','',0,1407,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800218,'Seamist Fairy Yasinta',NULL,'','','',0,164,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800219,'Seamist Fairy Apatia',NULL,'','','',0,164,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800220,'Ensign Larkin',NULL,'','','',0,134,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800221,'taskmaster de',NULL,'','','',0,1553,0,0,1,1,61,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800222,'taskmaster ppa',NULL,'s','','',0,3548,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800223,'taskmaster ppa',NULL,'s','','',0,3553,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800224,'swarm of fish',NULL,'','','',0,4159,0,0,1,1,562,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800225,'Taskmaster D''Zran',NULL,'','','',0,116,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800226,'Captain Corripga',NULL,'','','',0,108,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800227,'Shady Swashbuckler XVIII',NULL,'','','',0,134,0,0,1,1,10,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800228,'Da''ud Kateb',NULL,'','','',0,119,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800229,'Zsik Nee',NULL,'','','',0,103,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800230,'Mender Bpurvic',NULL,'','','',0,73,0,0,1,1,10,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800231,'The Traveling Augur',NULL,'','','',0,1600,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800232,'swarm of fish',NULL,'','','',0,4155,0,0,1,1,562,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800233,'Bain `Ro',NULL,'','','',0,110,0,0,1,1,9,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800234,'solo_quest_torq_remains_',NULL,'','','',0,1847,0,0,1,1,432,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800235,'swarm of fish',NULL,'','','',0,4155,0,0,1,1,562,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0),
(84800236,'a dusk dart',NULL,'','','',0,204,0,0,1,1,11,0,0,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
